#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCommunicator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCommunicator.h"

//@@Signature
//sfunction @vtkCommunicator:vtkCommunicator vtkCommunicatorConstructorFunction
//input a
//output p
//@@Parents vtkCommunicator vtkObject 
ArrayVector vtkCommunicatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCommunicator::New(),"vtkCommunicator",eval);
  } else if (arg[0].className() == "vtkCommunicator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCommunicator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCommunicator");
    vtkCommunicator*q = reinterpret_cast<vtkCommunicator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCommunicator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCommunicator:GetClassName vtkCommunicatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCommunicatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCommunicator requires 1 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:IsA vtkCommunicatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCommunicatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCommunicator requires 2 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:NewInstance vtkCommunicatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCommunicatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCommunicator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCommunicator requires 1 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  vtkCommunicator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCommunicator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:SafeDownCast vtkCommunicatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCommunicatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCommunicator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCommunicator requires 2 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCommunicator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCommunicator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:SetNumberOfProcesses vtkCommunicatorSetNumberOfProcessesFunction
//input a0 a1 
//output none
ArrayVector vtkCommunicatorSetNumberOfProcessesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetNumberOfProcesses (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfProcesses for class vtkCommunicator requires 2 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfProcesses(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:GetNumberOfProcesses vtkCommunicatorGetNumberOfProcessesFunction
//input a0 
//output y
ArrayVector vtkCommunicatorGetNumberOfProcessesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfProcesses (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfProcesses for class vtkCommunicator requires 1 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfProcesses();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:GetLocalProcessId vtkCommunicatorGetLocalProcessIdFunction
//input a0 
//output y
ArrayVector vtkCommunicatorGetLocalProcessIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLocalProcessId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocalProcessId for class vtkCommunicator requires 1 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLocalProcessId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Send__1 vtkCommunicatorSend__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorSend__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (vtkDataObject *data, int remoteHandle, int tag); */
  if (arg.size() < 4) 
    throw Exception("Function Send__1 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Send__2 vtkCommunicatorSend__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorSend__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (vtkDataArray *data, int remoteHandle, int tag); */
  if (arg.size() < 4) 
    throw Exception("Function Send__2 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Send__3 vtkCommunicatorSend__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorSend__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (const int *data, vtkIdType length, int remoteHandle, int tag);return this SendVoidArray data length VTK_INT remoteHandle tag  */
  if (arg.size() < 5) 
    throw Exception("Function Send__3 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  int     *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Send__4 vtkCommunicatorSend__4Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorSend__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (const unsigned int *data, vtkIdType length, int remoteHandle, int tag);return this SendVoidArray data length VTK_INT remoteHandle tag  */
  if (arg.size() < 5) 
    throw Exception("Function Send__4 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned int     *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Send__5 vtkCommunicatorSend__5Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorSend__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (const unsigned long *data, vtkIdType length, int remoteHandle, int tag);return this SendVoidArray data length VTK_UNSIGNED_LONG remoteHandle tag  */
  if (arg.size() < 5) 
    throw Exception("Function Send__5 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned long    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned long)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Send__6 vtkCommunicatorSend__6Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorSend__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (const unsigned char *data, vtkIdType length, int remoteHandle, int tag);return this SendVoidArray data length VTK_UNSIGNED_CHAR remoteHandle tag  */
  if (arg.size() < 5) 
    throw Exception("Function Send__6 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Send__7 vtkCommunicatorSend__7Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorSend__7Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (const char *data, vtkIdType length, int remoteHandle, int tag);return this SendVoidArray data length VTK_CHAR remoteHandle tag  */
  if (arg.size() < 5) 
    throw Exception("Function Send__7 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Send__8 vtkCommunicatorSend__8Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorSend__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (const float *data, vtkIdType length, int remoteHandle, int tag);return this SendVoidArray data length VTK_FLOAT remoteHandle tag  */
  if (arg.size() < 5) 
    throw Exception("Function Send__8 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  float   *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Send__9 vtkCommunicatorSend__9Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorSend__9Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (const double *data, vtkIdType length, int remoteHandle, int tag);return this SendVoidArray data length VTK_DOUBLE remoteHandle tag  */
  if (arg.size() < 5) 
    throw Exception("Function Send__9 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  double  *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Receive__1 vtkCommunicatorReceive__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorReceive__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (vtkDataObject *data, int remoteHandle, int tag); */
  if (arg.size() < 4) 
    throw Exception("Function Receive__1 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:ReceiveDataObject__1 vtkCommunicatorReceiveDataObject__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkCommunicatorReceiveDataObject__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *ReceiveDataObject (int remoteHandle, int tag); */
  if (arg.size() < 3) 
    throw Exception("Function ReceiveDataObject__1 for class vtkCommunicator requires 3 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->ReceiveDataObject(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Receive__2 vtkCommunicatorReceive__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorReceive__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (vtkDataArray *data, int remoteHandle, int tag); */
  if (arg.size() < 4) 
    throw Exception("Function Receive__2 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Receive__3 vtkCommunicatorReceive__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorReceive__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (int *data, vtkIdType maxlength, int remoteHandle, int tag);return this ReceiveVoidArray data maxlength VTK_INT remoteHandle tag  */
  if (arg.size() < 5) 
    throw Exception("Function Receive__3 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  int     *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Receive__4 vtkCommunicatorReceive__4Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorReceive__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (unsigned int *data, vtkIdType maxlength, int remoteHandle, int tag);return this ReceiveVoidArray data maxlength VTK_INT remoteHandle tag  */
  if (arg.size() < 5) 
    throw Exception("Function Receive__4 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned int     *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Receive__5 vtkCommunicatorReceive__5Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorReceive__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (unsigned long *data, vtkIdType maxlength, int remoteHandle, int tag);return this ReceiveVoidArray data maxlength VTK_UNSIGNED_LONG remoteHandle tag  */
  if (arg.size() < 5) 
    throw Exception("Function Receive__5 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned long    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned long)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Receive__6 vtkCommunicatorReceive__6Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorReceive__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (unsigned char *data, vtkIdType maxlength, int remoteHandle, int tag);return this ReceiveVoidArray data maxlength VTK_UNSIGNED_CHAR remoteHandle tag  */
  if (arg.size() < 5) 
    throw Exception("Function Receive__6 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Receive__7 vtkCommunicatorReceive__7Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorReceive__7Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (char *data, vtkIdType maxlength, int remoteHandle, int tag);return this ReceiveVoidArray data maxlength VTK_CHAR remoteHandle tag  */
  if (arg.size() < 5) 
    throw Exception("Function Receive__7 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Receive__8 vtkCommunicatorReceive__8Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorReceive__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (float *data, vtkIdType maxlength, int remoteHandle, int tag);return this ReceiveVoidArray data maxlength VTK_FLOAT remoteHandle tag  */
  if (arg.size() < 5) 
    throw Exception("Function Receive__8 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  float   *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Receive__9 vtkCommunicatorReceive__9Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorReceive__9Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (double *data, vtkIdType maxlength, int remoteHandle, int tag);return this ReceiveVoidArray data maxlength VTK_DOUBLE remoteHandle tag  */
  if (arg.size() < 5) 
    throw Exception("Function Receive__9 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  double  *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:GetCount vtkCommunicatorGetCountFunction
//input a0 
//output y
ArrayVector vtkCommunicatorGetCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCount (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCount for class vtkCommunicator requires 1 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Barrier vtkCommunicatorBarrierFunction
//input a0 
//output none
ArrayVector vtkCommunicatorBarrierFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Barrier (); */
  if (arg.size() < 1) 
    throw Exception("Function Barrier for class vtkCommunicator requires 1 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  vtk_pointer->Barrier();
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Broadcast__1 vtkCommunicatorBroadcast__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorBroadcast__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (int *data, vtkIdType length, int srcProcessId);return this BroadcastVoidArray data length VTK_INT srcProcessId  */
  if (arg.size() < 4) 
    throw Exception("Function Broadcast__1 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  int     *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Broadcast__2 vtkCommunicatorBroadcast__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorBroadcast__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (unsigned long *data, vtkIdType length, int srcProcessId);return this BroadcastVoidArray data length VTK_UNSIGNED_LONG srcProcessId  */
  if (arg.size() < 4) 
    throw Exception("Function Broadcast__2 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned long    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned long)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Broadcast__3 vtkCommunicatorBroadcast__3Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorBroadcast__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (unsigned char *data, vtkIdType length, int srcProcessId);return this BroadcastVoidArray data length VTK_UNSIGNED_CHAR srcProcessId  */
  if (arg.size() < 4) 
    throw Exception("Function Broadcast__3 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Broadcast__4 vtkCommunicatorBroadcast__4Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorBroadcast__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (char *data, vtkIdType length, int srcProcessId);return this BroadcastVoidArray data length VTK_CHAR srcProcessId  */
  if (arg.size() < 4) 
    throw Exception("Function Broadcast__4 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Broadcast__5 vtkCommunicatorBroadcast__5Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorBroadcast__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (float *data, vtkIdType length, int srcProcessId);return this BroadcastVoidArray data length VTK_FLOAT srcProcessId  */
  if (arg.size() < 4) 
    throw Exception("Function Broadcast__5 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  float   *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Broadcast__6 vtkCommunicatorBroadcast__6Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorBroadcast__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (double *data, vtkIdType length, int srcProcessId);return this BroadcastVoidArray data length VTK_DOUBLE srcProcessId  */
  if (arg.size() < 4) 
    throw Exception("Function Broadcast__6 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  double  *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Broadcast__8 vtkCommunicatorBroadcast__8Function
//input a0 a1 a2 
//output y
ArrayVector vtkCommunicatorBroadcast__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (vtkDataObject *data, int srcProcessId); */
  if (arg.size() < 3) 
    throw Exception("Function Broadcast__8 for class vtkCommunicator requires 3 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Broadcast__9 vtkCommunicatorBroadcast__9Function
//input a0 a1 a2 
//output y
ArrayVector vtkCommunicatorBroadcast__9Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (vtkDataArray *data, int srcProcessId); */
  if (arg.size() < 3) 
    throw Exception("Function Broadcast__9 for class vtkCommunicator requires 3 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Gather__1 vtkCommunicatorGather__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorGather__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Gather (const int *sendBuffer, int *recvBuffer, vtkIdType length, int destProcessId);return this GatherVoidArray sendBuffer recvBuffer length VTK_INT destProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Gather__1 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Gather(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Gather__2 vtkCommunicatorGather__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorGather__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Gather (const unsigned long *sendBuffer, unsigned long *recvBuffer, vtkIdType length, int destProcessId);return this GatherVoidArray sendBuffer recvBuffer length VTK_UNSIGNED_LONG destProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Gather__2 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned long    *temp0;
  unsigned long    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned long)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned long)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Gather(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Gather__3 vtkCommunicatorGather__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorGather__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Gather (const unsigned char *sendBuffer, unsigned char *recvBuffer, vtkIdType length, int destProcessId);return this GatherVoidArray sendBuffer recvBuffer length VTK_UNSIGNED_CHAR destProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Gather__3 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned char)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Gather(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Gather__4 vtkCommunicatorGather__4Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorGather__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Gather (const char *sendBuffer, char *recvBuffer, vtkIdType length, int destProcessId);return this GatherVoidArray sendBuffer recvBuffer length VTK_CHAR destProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Gather__4 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Gather(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Gather__5 vtkCommunicatorGather__5Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorGather__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Gather (const float *sendBuffer, float *recvBuffer, vtkIdType length, int destProcessId);return this GatherVoidArray sendBuffer recvBuffer length VTK_FLOAT destProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Gather__5 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  float   *temp0;
  float   *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Gather(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Gather__6 vtkCommunicatorGather__6Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorGather__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Gather (const double *sendBuffer, double *recvBuffer, vtkIdType length, int destProcessId);return this GatherVoidArray sendBuffer recvBuffer length VTK_DOUBLE destProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Gather__6 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Gather(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Gather__8 vtkCommunicatorGather__8Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorGather__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Gather (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int destProcessId); */
  if (arg.size() < 4) 
    throw Exception("Function Gather__8 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Gather(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Scatter__1 vtkCommunicatorScatter__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorScatter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Scatter (const int *sendBuffer, int *recvBuffer, vtkIdType length, int srcProcessId);return this ScatterVoidArray sendBuffer recvBuffer length VTK_INT srcProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Scatter__1 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Scatter(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Scatter__2 vtkCommunicatorScatter__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorScatter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Scatter (const unsigned long *sendBuffer, unsigned long *recvBuffer, vtkIdType length, int srcProcessId);return this ScatterVoidArray sendBuffer recvBuffer length VTK_UNSIGNED_LONG srcProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Scatter__2 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned long    *temp0;
  unsigned long    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned long)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned long)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Scatter(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Scatter__3 vtkCommunicatorScatter__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorScatter__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Scatter (const unsigned char *sendBuffer, unsigned char *recvBuffer, vtkIdType length, int srcProcessId);return this ScatterVoidArray sendBuffer recvBuffer length VTK_UNSIGNED_CHAR srcProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Scatter__3 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned char)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Scatter(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Scatter__4 vtkCommunicatorScatter__4Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorScatter__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Scatter (const char *sendBuffer, char *recvBuffer, vtkIdType length, int srcProcessId);return this ScatterVoidArray sendBuffer recvBuffer length VTK_CHAR srcProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Scatter__4 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Scatter(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Scatter__5 vtkCommunicatorScatter__5Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorScatter__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Scatter (const float *sendBuffer, float *recvBuffer, vtkIdType length, int srcProcessId);return this ScatterVoidArray sendBuffer recvBuffer length VTK_FLOAT srcProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Scatter__5 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  float   *temp0;
  float   *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Scatter(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Scatter__6 vtkCommunicatorScatter__6Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorScatter__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Scatter (const double *sendBuffer, double *recvBuffer, vtkIdType length, int srcProcessId);return this ScatterVoidArray sendBuffer recvBuffer length VTK_DOUBLE srcProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Scatter__6 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Scatter(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Scatter__8 vtkCommunicatorScatter__8Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorScatter__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Scatter (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int srcProcessId); */
  if (arg.size() < 4) 
    throw Exception("Function Scatter__8 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Scatter(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:AllGather__1 vtkCommunicatorAllGather__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorAllGather__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllGather (const int *sendBuffer, int *recvBuffer, vtkIdType length);return this AllGatherVoidArray sendBuffer recvBuffer length VTK_INT  */
  if (arg.size() < 4) 
    throw Exception("Function AllGather__1 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
  vtkIdType   temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AllGather(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:AllGather__2 vtkCommunicatorAllGather__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorAllGather__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllGather (const unsigned long *sendBuffer, unsigned long *recvBuffer, vtkIdType length);return this AllGatherVoidArray sendBuffer recvBuffer length VTK_UNSIGNED_LONG  */
  if (arg.size() < 4) 
    throw Exception("Function AllGather__2 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned long    *temp0;
  unsigned long    *temp1;
  vtkIdType   temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned long)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned long)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AllGather(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:AllGather__3 vtkCommunicatorAllGather__3Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorAllGather__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllGather (const unsigned char *sendBuffer, unsigned char *recvBuffer, vtkIdType length);return this AllGatherVoidArray sendBuffer recvBuffer length VTK_UNSIGNED_CHAR  */
  if (arg.size() < 4) 
    throw Exception("Function AllGather__3 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned char    *temp1;
  vtkIdType   temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned char)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AllGather(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:AllGather__4 vtkCommunicatorAllGather__4Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorAllGather__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllGather (const char *sendBuffer, char *recvBuffer, vtkIdType length);return this AllGatherVoidArray sendBuffer recvBuffer length VTK_CHAR  */
  if (arg.size() < 4) 
    throw Exception("Function AllGather__4 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AllGather(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:AllGather__5 vtkCommunicatorAllGather__5Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorAllGather__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllGather (const float *sendBuffer, float *recvBuffer, vtkIdType length);return this AllGatherVoidArray sendBuffer recvBuffer length VTK_FLOAT  */
  if (arg.size() < 4) 
    throw Exception("Function AllGather__5 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  float   *temp0;
  float   *temp1;
  vtkIdType   temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AllGather(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:AllGather__6 vtkCommunicatorAllGather__6Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorAllGather__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllGather (const double *sendBuffer, double *recvBuffer, vtkIdType length);return this AllGatherVoidArray sendBuffer recvBuffer length VTK_DOUBLE  */
  if (arg.size() < 4) 
    throw Exception("Function AllGather__6 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  vtkIdType   temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AllGather(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:AllGather__8 vtkCommunicatorAllGather__8Function
//input a0 a1 a2 
//output y
ArrayVector vtkCommunicatorAllGather__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllGather (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer); */
  if (arg.size() < 3) 
    throw Exception("Function AllGather__8 for class vtkCommunicator requires 3 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp20 = (vtk_pointer)->AllGather(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Reduce__1 vtkCommunicatorReduce__1Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkCommunicatorReduce__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Reduce (const int *sendBuffer, int *recvBuffer, vtkIdType length, int operation, int destProcessId);return this ReduceVoidArray sendBuffer recvBuffer length VTK_INT operation destProcessId  */
  if (arg.size() < 6) 
    throw Exception("Function Reduce__1 for class vtkCommunicator requires 6 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->Reduce(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Reduce__2 vtkCommunicatorReduce__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkCommunicatorReduce__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Reduce (const unsigned long *sendBuffer, unsigned long *recvBuffer, vtkIdType length, int operation, int destProcessId);return this ReduceVoidArray sendBuffer recvBuffer length VTK_UNSIGNED_LONG operation destProcessId  */
  if (arg.size() < 6) 
    throw Exception("Function Reduce__2 for class vtkCommunicator requires 6 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned long    *temp0;
  unsigned long    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned long)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned long)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->Reduce(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Reduce__3 vtkCommunicatorReduce__3Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkCommunicatorReduce__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Reduce (const unsigned char *sendBuffer, unsigned char *recvBuffer, vtkIdType length, int operation, int destProcessId);return this ReduceVoidArray sendBuffer recvBuffer length VTK_UNSIGNED_CHAR operation destProcessId  */
  if (arg.size() < 6) 
    throw Exception("Function Reduce__3 for class vtkCommunicator requires 6 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned char)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->Reduce(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Reduce__4 vtkCommunicatorReduce__4Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkCommunicatorReduce__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Reduce (const char *sendBuffer, char *recvBuffer, vtkIdType length, int operation, int destProcessId);return this ReduceVoidArray sendBuffer recvBuffer length VTK_CHAR operation destProcessId  */
  if (arg.size() < 6) 
    throw Exception("Function Reduce__4 for class vtkCommunicator requires 6 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->Reduce(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Reduce__5 vtkCommunicatorReduce__5Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkCommunicatorReduce__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Reduce (const float *sendBuffer, float *recvBuffer, vtkIdType length, int operation, int destProcessId);return this ReduceVoidArray sendBuffer recvBuffer length VTK_FLOAT operation destProcessId  */
  if (arg.size() < 6) 
    throw Exception("Function Reduce__5 for class vtkCommunicator requires 6 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  float   *temp0;
  float   *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->Reduce(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Reduce__6 vtkCommunicatorReduce__6Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkCommunicatorReduce__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Reduce (const double *sendBuffer, double *recvBuffer, vtkIdType length, int operation, int destProcessId);return this ReduceVoidArray sendBuffer recvBuffer length VTK_DOUBLE operation destProcessId  */
  if (arg.size() < 6) 
    throw Exception("Function Reduce__6 for class vtkCommunicator requires 6 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->Reduce(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Reduce__8 vtkCommunicatorReduce__8Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorReduce__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Reduce (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int operation, int destProcessId); */
  if (arg.size() < 5) 
    throw Exception("Function Reduce__8 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Reduce(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:AllReduce__1 vtkCommunicatorAllReduce__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorAllReduce__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllReduce (const int *sendBuffer, int *recvBuffer, vtkIdType length, int operation);return this AllReduceVoidArray sendBuffer recvBuffer length VTK_INT operation  */
  if (arg.size() < 5) 
    throw Exception("Function AllReduce__1 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->AllReduce(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:AllReduce__2 vtkCommunicatorAllReduce__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorAllReduce__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllReduce (const unsigned long *sendBuffer, unsigned long *recvBuffer, vtkIdType length, int operation);return this AllReduceVoidArray sendBuffer recvBuffer length VTK_UNSIGNED_LONG operation  */
  if (arg.size() < 5) 
    throw Exception("Function AllReduce__2 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned long    *temp0;
  unsigned long    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned long)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned long)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->AllReduce(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:AllReduce__3 vtkCommunicatorAllReduce__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorAllReduce__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllReduce (const unsigned char *sendBuffer, unsigned char *recvBuffer, vtkIdType length, int operation);return this AllReduceVoidArray sendBuffer recvBuffer length VTK_UNSIGNED_CHAR operation  */
  if (arg.size() < 5) 
    throw Exception("Function AllReduce__3 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned char)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->AllReduce(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:AllReduce__4 vtkCommunicatorAllReduce__4Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorAllReduce__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllReduce (const char *sendBuffer, char *recvBuffer, vtkIdType length, int operation);return this AllReduceVoidArray sendBuffer recvBuffer length VTK_CHAR operation  */
  if (arg.size() < 5) 
    throw Exception("Function AllReduce__4 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->AllReduce(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:AllReduce__5 vtkCommunicatorAllReduce__5Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorAllReduce__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllReduce (const float *sendBuffer, float *recvBuffer, vtkIdType length, int operation);return this AllReduceVoidArray sendBuffer recvBuffer length VTK_FLOAT operation  */
  if (arg.size() < 5) 
    throw Exception("Function AllReduce__5 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  float   *temp0;
  float   *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->AllReduce(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:AllReduce__6 vtkCommunicatorAllReduce__6Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCommunicatorAllReduce__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllReduce (const double *sendBuffer, double *recvBuffer, vtkIdType length, int operation);return this AllReduceVoidArray sendBuffer recvBuffer length VTK_DOUBLE operation  */
  if (arg.size() < 5) 
    throw Exception("Function AllReduce__6 for class vtkCommunicator requires 5 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->AllReduce(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:AllReduce__8 vtkCommunicatorAllReduce__8Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCommunicatorAllReduce__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllReduce (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int operation); */
  if (arg.size() < 4) 
    throw Exception("Function AllReduce__8 for class vtkCommunicator requires 4 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AllReduce(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:SetUseCopy vtkCommunicatorSetUseCopyFunction
//input a0 a1 
//output none
ArrayVector vtkCommunicatorSetUseCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetUseCopy (int useCopy); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseCopy for class vtkCommunicator requires 2 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:GetParentProcessor vtkCommunicatorGetParentProcessorFunction
//input a0 a1 
//output y
ArrayVector vtkCommunicatorGetParentProcessorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetParentProcessor (int pid); */
  if (arg.size() < 2) 
    throw Exception("Function GetParentProcessor for class vtkCommunicator requires 2 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetParentProcessor(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:GetLeftChildProcessor vtkCommunicatorGetLeftChildProcessorFunction
//input a0 a1 
//output y
ArrayVector vtkCommunicatorGetLeftChildProcessorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetLeftChildProcessor (int pid); */
  if (arg.size() < 2) 
    throw Exception("Function GetLeftChildProcessor for class vtkCommunicator requires 2 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetLeftChildProcessor(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:MarshalDataObject vtkCommunicatorMarshalDataObjectFunction
//input a0 a1 a2 
//output y
ArrayVector vtkCommunicatorMarshalDataObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int MarshalDataObject (vtkDataObject *object, vtkCharArray *buffer); */
  if (arg.size() < 3) 
    throw Exception("Function MarshalDataObject for class vtkCommunicator requires 3 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  vtkCharArray  *temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  temp1 = GetVTKPointer<vtkCharArray>(arg[2]);
  temp20 = (vtk_pointer)->MarshalDataObject(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:UnMarshalDataObject vtkCommunicatorUnMarshalDataObjectFunction
//input a0 a1 a2 
//output y
ArrayVector vtkCommunicatorUnMarshalDataObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int UnMarshalDataObject (vtkCharArray *buffer, vtkDataObject *object); */
  if (arg.size() < 3) 
    throw Exception("Function UnMarshalDataObject for class vtkCommunicator requires 3 argument(s)");
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  Array retval;
  vtkCharArray  *temp0;
  vtkDataObject  *temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkCharArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  temp20 = (vtk_pointer)->UnMarshalDataObject(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCommunicator:Send vtkCommunicatorSendFunction
//input varargin
//output varargout
ArrayVector vtkCommunicatorSendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataObject") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorSend__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorSend__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorSend__3Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorSend__4Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorSend__5Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorSend__6Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorSend__7Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorSend__8Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorSend__9Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCommunicatorSend");
}

//@@Signature
//sfunction @vtkCommunicator:Receive vtkCommunicatorReceiveFunction
//input varargin
//output varargout
ArrayVector vtkCommunicatorReceiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataObject") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorReceive__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorReceive__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorReceive__3Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorReceive__4Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorReceive__5Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorReceive__6Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorReceive__7Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorReceive__8Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorReceive__9Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCommunicatorReceive");
}

//@@Signature
//sfunction @vtkCommunicator:ReceiveDataObject vtkCommunicatorReceiveDataObjectFunction
//input varargin
//output varargout
ArrayVector vtkCommunicatorReceiveDataObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkCommunicatorReceiveDataObject__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCommunicatorReceiveDataObject");
}

//@@Signature
//sfunction @vtkCommunicator:Broadcast vtkCommunicatorBroadcastFunction
//input varargin
//output varargout
ArrayVector vtkCommunicatorBroadcastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorBroadcast__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorBroadcast__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorBroadcast__3Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorBroadcast__4Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorBroadcast__5Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorBroadcast__6Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkDataObject") && VTKIsScalarArg(arg[2]))
    return vtkCommunicatorBroadcast__8Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsScalarArg(arg[2]))
    return vtkCommunicatorBroadcast__9Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCommunicatorBroadcast");
}

//@@Signature
//sfunction @vtkCommunicator:Gather vtkCommunicatorGatherFunction
//input varargin
//output varargout
ArrayVector vtkCommunicatorGatherFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorGather__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorGather__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorGather__3Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorGather__4Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorGather__5Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorGather__6Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsClass(arg[2],"vtkDataArray") && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorGather__8Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCommunicatorGather");
}

//@@Signature
//sfunction @vtkCommunicator:GatherV vtkCommunicatorGatherVFunction
//input varargin
//output varargout
ArrayVector vtkCommunicatorGatherVFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkCommunicatorGatherV");
}

//@@Signature
//sfunction @vtkCommunicator:Scatter vtkCommunicatorScatterFunction
//input varargin
//output varargout
ArrayVector vtkCommunicatorScatterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorScatter__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorScatter__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorScatter__3Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorScatter__4Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorScatter__5Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorScatter__6Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsClass(arg[2],"vtkDataArray") && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorScatter__8Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCommunicatorScatter");
}

//@@Signature
//sfunction @vtkCommunicator:ScatterV vtkCommunicatorScatterVFunction
//input varargin
//output varargout
ArrayVector vtkCommunicatorScatterVFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkCommunicatorScatterV");
}

//@@Signature
//sfunction @vtkCommunicator:AllGather vtkCommunicatorAllGatherFunction
//input varargin
//output varargout
ArrayVector vtkCommunicatorAllGatherFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorAllGather__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorAllGather__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorAllGather__3Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorAllGather__4Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorAllGather__5Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorAllGather__6Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsClass(arg[2],"vtkDataArray"))
    return vtkCommunicatorAllGather__8Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCommunicatorAllGather");
}

//@@Signature
//sfunction @vtkCommunicator:AllGatherV vtkCommunicatorAllGatherVFunction
//input varargin
//output varargout
ArrayVector vtkCommunicatorAllGatherVFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkCommunicatorAllGatherV");
}

//@@Signature
//sfunction @vtkCommunicator:Reduce vtkCommunicatorReduceFunction
//input varargin
//output varargout
ArrayVector vtkCommunicatorReduceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkCommunicatorReduce__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkCommunicatorReduce__2Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkCommunicatorReduce__3Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkCommunicatorReduce__4Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkCommunicatorReduce__5Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkCommunicatorReduce__6Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsClass(arg[2],"vtkDataArray") && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorReduce__8Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCommunicatorReduce");
}

//@@Signature
//sfunction @vtkCommunicator:AllReduce vtkCommunicatorAllReduceFunction
//input varargin
//output varargout
ArrayVector vtkCommunicatorAllReduceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorAllReduce__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorAllReduce__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorAllReduce__3Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorAllReduce__4Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorAllReduce__5Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkCommunicatorAllReduce__6Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsClass(arg[2],"vtkDataArray") && VTKIsScalarArg(arg[3]))
    return vtkCommunicatorAllReduce__8Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCommunicatorAllReduce");
}

//@@Signature
//sfunction @vtkCommunicator:ReduceVoidArray vtkCommunicatorReduceVoidArrayFunction
//input varargin
//output varargout
ArrayVector vtkCommunicatorReduceVoidArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkCommunicatorReduceVoidArray");
}

//@@Signature
//sfunction @vtkCommunicator:AllReduceVoidArray vtkCommunicatorAllReduceVoidArrayFunction
//input varargin
//output varargout
ArrayVector vtkCommunicatorAllReduceVoidArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkCommunicatorAllReduceVoidArray");
}

//@@Signature
//sfunction @vtkCommunicator:display vtkCommunicatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCommunicatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCommunicator* vtk_pointer = GetVTKPointer<vtkCommunicator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCommunicator:delete vtkCommunicatorDeleteFunction
//input varargin
//output none
ArrayVector vtkCommunicatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCommunicator
//@@Section VTKParallel
//@@Usage
// This is an abstact class which contains functionality for sending
// and receiving inter-process messages. It contains methods for marshaling
// an object into a string (currently used by the MPI communicator but
// not the shared memory communicator).
//
//To create an instance of class vtkCommunicator, simply
//invoke its constructor as follows
//@[
//  obj = vtkCommunicator
//@]
//@@Methods
//The class vtkCommunicator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCommunicator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCommunicator = obj.NewInstance ()|
// \item @|vtkCommunicator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfProcesses (int num)| -  Set the number of processes you will be using.  This defaults
// to the maximum number available.  If you set this to a value
// higher than the default, you will get an error.
//// \item @|int = obj.GetNumberOfProcesses ()| -  Set the number of processes you will be using.  This defaults
// to the maximum number available.  If you set this to a value
// higher than the default, you will get an error.
//// \item @|int = obj.GetLocalProcessId ()| -  Tells you which process [0, NumProcess) you are in.
//// \item @|int = obj.Send (vtkDataObject data, int remoteHandle, int tag)| -  This method sends a data object to a destination.
// Tag eliminates ambiguity
// and is used to match sends to receives.
//// \item @|int = obj.Send (vtkDataArray data, int remoteHandle, int tag)| -  This method sends a data array to a destination.
// Tag eliminates ambiguity
// and is used to match sends to receives.
//// \item @|int = obj.Send (int data, vtkIdType length, int remoteHandle, int tag)| -  Convenience methods for sending data arrays.
//// \item @|int = obj.Send (int data, vtkIdType length, int remoteHandle, int tag)| -  Convenience methods for sending data arrays.
//// \item @|int = obj.Send (long data, vtkIdType length, int remoteHandle, int tag)| -  Convenience methods for sending data arrays.
//// \item @|int = obj.Send (string data, vtkIdType length, int remoteHandle, int tag)| -  Convenience methods for sending data arrays.
//// \item @|int = obj.Send (string data, vtkIdType length, int remoteHandle, int tag)| -  Convenience methods for sending data arrays.
//// \item @|int = obj.Send (float data, vtkIdType length, int remoteHandle, int tag)| -  Convenience methods for sending data arrays.
//// \item @|int = obj.Send (double data, vtkIdType length, int remoteHandle, int tag)| -  Convenience methods for sending data arrays.
//// \item @|int = obj.Receive (vtkDataObject data, int remoteHandle, int tag)| -  This method receives a data object from a corresponding send. It blocks
// until the receive is finished.
//// \item @|vtkDataObject = obj.ReceiveDataObject (int remoteHandle, int tag)| -  The caller does not have to know the data type before this call is made.
// It returns the newly created object.
//// \item @|int = obj.Receive (vtkDataArray data, int remoteHandle, int tag)| -  This method receives a data array from a corresponding send. It blocks
// until the receive is finished.
//// \item @|int = obj.Receive (int data, vtkIdType maxlength, int remoteHandle, int tag)| -  Convenience methods for receiving data arrays.
//// \item @|int = obj.Receive (int data, vtkIdType maxlength, int remoteHandle, int tag)| -  Convenience methods for receiving data arrays.
//// \item @|int = obj.Receive (long data, vtkIdType maxlength, int remoteHandle, int tag)| -  Convenience methods for receiving data arrays.
//// \item @|int = obj.Receive (string data, vtkIdType maxlength, int remoteHandle, int tag)| -  Convenience methods for receiving data arrays.
//// \item @|int = obj.Receive (string data, vtkIdType maxlength, int remoteHandle, int tag)| -  Convenience methods for receiving data arrays.
//// \item @|int = obj.Receive (float data, vtkIdType maxlength, int remoteHandle, int tag)| -  Convenience methods for receiving data arrays.
//// \item @|int = obj.Receive (double data, vtkIdType maxlength, int remoteHandle, int tag)| -  Convenience methods for receiving data arrays.
//// \item @|vtkIdType = obj.GetCount ()| -  Returns the number of words received by the most recent Receive().
// Note that this is not the number of bytes received, but the number of items
// of the data-type received by the most recent Receive() eg. if
// Receive(int*,..) was used, then this returns the number of ints received;
// if Receive(double*,..) was used, then this returns the number of doubles
// received etc. The return value is valid only after a successful Receive().
//// \item @|obj.Barrier ()| -  Will block the processes until all other processes reach the Barrier
// function.
//// \item @|int = obj.Broadcast (int data, vtkIdType length, int srcProcessId)| -  Broadcast sends the array in the process with id \c srcProcessId to all of
// the other processes.  All processes must call these method with the same
// arguments in order for it to complete.
//// \item @|int = obj.Broadcast (long data, vtkIdType length, int srcProcessId)| -  Broadcast sends the array in the process with id \c srcProcessId to all of
// the other processes.  All processes must call these method with the same
// arguments in order for it to complete.
//// \item @|int = obj.Broadcast (string data, vtkIdType length, int srcProcessId)| -  Broadcast sends the array in the process with id \c srcProcessId to all of
// the other processes.  All processes must call these method with the same
// arguments in order for it to complete.
//// \item @|int = obj.Broadcast (string data, vtkIdType length, int srcProcessId)| -  Broadcast sends the array in the process with id \c srcProcessId to all of
// the other processes.  All processes must call these method with the same
// arguments in order for it to complete.
//// \item @|int = obj.Broadcast (float data, vtkIdType length, int srcProcessId)| -  Broadcast sends the array in the process with id \c srcProcessId to all of
// the other processes.  All processes must call these method with the same
// arguments in order for it to complete.
//// \item @|int = obj.Broadcast (double data, vtkIdType length, int srcProcessId)| -  Broadcast sends the array in the process with id \c srcProcessId to all of
// the other processes.  All processes must call these method with the same
// arguments in order for it to complete.
//// \item @|int = obj.Broadcast (vtkDataObject data, int srcProcessId)| -  Broadcast sends the array in the process with id \c srcProcessId to all of
// the other processes.  All processes must call these method with the same
// arguments in order for it to complete.
//// \item @|int = obj.Broadcast (vtkDataArray data, int srcProcessId)| -  Broadcast sends the array in the process with id \c srcProcessId to all of
// the other processes.  All processes must call these method with the same
// arguments in order for it to complete.
//// \item @|int = obj.Gather (int sendBuffer, int recvBuffer, vtkIdType length, int destProcessId)| -  Gather collects arrays in the process with id \c destProcessId.  Each
// process (including the destination) sends the contents of its send buffer
// to the destination process.  The destination process receives the
// messages and stores them in rank order.  The \c length argument
// (which must be the same on all processes) is the length of the
// sendBuffers.  The \c recvBuffer (on te destination process) must be of
// length length*numProcesses.  Gather is the inverse operation of Scatter.
//// \item @|int = obj.Gather (long sendBuffer, long recvBuffer, vtkIdType length, int destProcessId)| -  Gather collects arrays in the process with id \c destProcessId.  Each
// process (including the destination) sends the contents of its send buffer
// to the destination process.  The destination process receives the
// messages and stores them in rank order.  The \c length argument
// (which must be the same on all processes) is the length of the
// sendBuffers.  The \c recvBuffer (on te destination process) must be of
// length length*numProcesses.  Gather is the inverse operation of Scatter.
//// \item @|int = obj.Gather (string sendBuffer, string recvBuffer, vtkIdType length, int destProcessId)| -  Gather collects arrays in the process with id \c destProcessId.  Each
// process (including the destination) sends the contents of its send buffer
// to the destination process.  The destination process receives the
// messages and stores them in rank order.  The \c length argument
// (which must be the same on all processes) is the length of the
// sendBuffers.  The \c recvBuffer (on te destination process) must be of
// length length*numProcesses.  Gather is the inverse operation of Scatter.
//// \item @|int = obj.Gather (string sendBuffer, string recvBuffer, vtkIdType length, int destProcessId)| -  Gather collects arrays in the process with id \c destProcessId.  Each
// process (including the destination) sends the contents of its send buffer
// to the destination process.  The destination process receives the
// messages and stores them in rank order.  The \c length argument
// (which must be the same on all processes) is the length of the
// sendBuffers.  The \c recvBuffer (on te destination process) must be of
// length length*numProcesses.  Gather is the inverse operation of Scatter.
//// \item @|int = obj.Gather (float sendBuffer, float recvBuffer, vtkIdType length, int destProcessId)| -  Gather collects arrays in the process with id \c destProcessId.  Each
// process (including the destination) sends the contents of its send buffer
// to the destination process.  The destination process receives the
// messages and stores them in rank order.  The \c length argument
// (which must be the same on all processes) is the length of the
// sendBuffers.  The \c recvBuffer (on te destination process) must be of
// length length*numProcesses.  Gather is the inverse operation of Scatter.
//// \item @|int = obj.Gather (double sendBuffer, double recvBuffer, vtkIdType length, int destProcessId)| -  Gather collects arrays in the process with id \c destProcessId.  Each
// process (including the destination) sends the contents of its send buffer
// to the destination process.  The destination process receives the
// messages and stores them in rank order.  The \c length argument
// (which must be the same on all processes) is the length of the
// sendBuffers.  The \c recvBuffer (on te destination process) must be of
// length length*numProcesses.  Gather is the inverse operation of Scatter.
//// \item @|int = obj.Gather (vtkDataArray sendBuffer, vtkDataArray recvBuffer, int destProcessId)| -  Gather collects arrays in the process with id \c destProcessId.  Each
// process (including the destination) sends the contents of its send buffer
// to the destination process.  The destination process receives the
// messages and stores them in rank order.  The \c length argument
// (which must be the same on all processes) is the length of the
// sendBuffers.  The \c recvBuffer (on te destination process) must be of
// length length*numProcesses.  Gather is the inverse operation of Scatter.
//// \item @|int = obj.Scatter (int sendBuffer, int recvBuffer, vtkIdType length, int srcProcessId)| -  Scatter takes an array in the process with id \c srcProcessId and
// distributes it.  Each process (including the source) receives a portion of
// the send buffer.  Process 0 receives the first \c length values, process 1
// receives the second \c length values, and so on.  Scatter is the inverse
// operation of Gather.
//// \item @|int = obj.Scatter (long sendBuffer, long recvBuffer, vtkIdType length, int srcProcessId)| -  Scatter takes an array in the process with id \c srcProcessId and
// distributes it.  Each process (including the source) receives a portion of
// the send buffer.  Process 0 receives the first \c length values, process 1
// receives the second \c length values, and so on.  Scatter is the inverse
// operation of Gather.
//// \item @|int = obj.Scatter (string sendBuffer, string recvBuffer, vtkIdType length, int srcProcessId)| -  Scatter takes an array in the process with id \c srcProcessId and
// distributes it.  Each process (including the source) receives a portion of
// the send buffer.  Process 0 receives the first \c length values, process 1
// receives the second \c length values, and so on.  Scatter is the inverse
// operation of Gather.
//// \item @|int = obj.Scatter (string sendBuffer, string recvBuffer, vtkIdType length, int srcProcessId)| -  Scatter takes an array in the process with id \c srcProcessId and
// distributes it.  Each process (including the source) receives a portion of
// the send buffer.  Process 0 receives the first \c length values, process 1
// receives the second \c length values, and so on.  Scatter is the inverse
// operation of Gather.
//// \item @|int = obj.Scatter (float sendBuffer, float recvBuffer, vtkIdType length, int srcProcessId)| -  Scatter takes an array in the process with id \c srcProcessId and
// distributes it.  Each process (including the source) receives a portion of
// the send buffer.  Process 0 receives the first \c length values, process 1
// receives the second \c length values, and so on.  Scatter is the inverse
// operation of Gather.
//// \item @|int = obj.Scatter (double sendBuffer, double recvBuffer, vtkIdType length, int srcProcessId)| -  Scatter takes an array in the process with id \c srcProcessId and
// distributes it.  Each process (including the source) receives a portion of
// the send buffer.  Process 0 receives the first \c length values, process 1
// receives the second \c length values, and so on.  Scatter is the inverse
// operation of Gather.
//// \item @|int = obj.Scatter (vtkDataArray sendBuffer, vtkDataArray recvBuffer, int srcProcessId)| -  Scatter takes an array in the process with id \c srcProcessId and
// distributes it.  Each process (including the source) receives a portion of
// the send buffer.  Process 0 receives the first \c length values, process 1
// receives the second \c length values, and so on.  Scatter is the inverse
// operation of Gather.
//// \item @|int = obj.AllGather (int sendBuffer, int recvBuffer, vtkIdType length)| -  Same as gather except that the result ends up on all processes.
//// \item @|int = obj.AllGather (long sendBuffer, long recvBuffer, vtkIdType length)| -  Same as gather except that the result ends up on all processes.
//// \item @|int = obj.AllGather (string sendBuffer, string recvBuffer, vtkIdType length)| -  Same as gather except that the result ends up on all processes.
//// \item @|int = obj.AllGather (string sendBuffer, string recvBuffer, vtkIdType length)| -  Same as gather except that the result ends up on all processes.
//// \item @|int = obj.AllGather (float sendBuffer, float recvBuffer, vtkIdType length)| -  Same as gather except that the result ends up on all processes.
//// \item @|int = obj.AllGather (double sendBuffer, double recvBuffer, vtkIdType length)| -  Same as gather except that the result ends up on all processes.
//// \item @|int = obj.AllGather (vtkDataArray sendBuffer, vtkDataArray recvBuffer)| -  Same as gather except that the result ends up on all processes.
//// \item @|int = obj.Reduce (int sendBuffer, int recvBuffer, vtkIdType length, int operation, int destProcessId)| -  Reduce an array to the given destination process.  This version of Reduce
// takes an identifier defined in the
// vtkCommunicator::StandardOperations enum to define the operation.
//// \item @|int = obj.Reduce (long sendBuffer, long recvBuffer, vtkIdType length, int operation, int destProcessId)| -  Reduce an array to the given destination process.  This version of Reduce
// takes an identifier defined in the
// vtkCommunicator::StandardOperations enum to define the operation.
//// \item @|int = obj.Reduce (string sendBuffer, string recvBuffer, vtkIdType length, int operation, int destProcessId)| -  Reduce an array to the given destination process.  This version of Reduce
// takes an identifier defined in the
// vtkCommunicator::StandardOperations enum to define the operation.
//// \item @|int = obj.Reduce (string sendBuffer, string recvBuffer, vtkIdType length, int operation, int destProcessId)| -  Reduce an array to the given destination process.  This version of Reduce
// takes an identifier defined in the
// vtkCommunicator::StandardOperations enum to define the operation.
//// \item @|int = obj.Reduce (float sendBuffer, float recvBuffer, vtkIdType length, int operation, int destProcessId)| -  Reduce an array to the given destination process.  This version of Reduce
// takes an identifier defined in the
// vtkCommunicator::StandardOperations enum to define the operation.
//// \item @|int = obj.Reduce (double sendBuffer, double recvBuffer, vtkIdType length, int operation, int destProcessId)| -  Reduce an array to the given destination process.  This version of Reduce
// takes an identifier defined in the
// vtkCommunicator::StandardOperations enum to define the operation.
//// \item @|int = obj.Reduce (vtkDataArray sendBuffer, vtkDataArray recvBuffer, int operation, int destProcessId)| -  Reduce an array to the given destination process.  This version of Reduce
// takes an identifier defined in the
// vtkCommunicator::StandardOperations enum to define the operation.
//// \item @|int = obj.AllReduce (int sendBuffer, int recvBuffer, vtkIdType length, int operation)| -  Same as Reduce except that the result is placed in all of the processes.
//// \item @|int = obj.AllReduce (long sendBuffer, long recvBuffer, vtkIdType length, int operation)| -  Same as Reduce except that the result is placed in all of the processes.
//// \item @|int = obj.AllReduce (string sendBuffer, string recvBuffer, vtkIdType length, int operation)| -  Same as Reduce except that the result is placed in all of the processes.
//// \item @|int = obj.AllReduce (string sendBuffer, string recvBuffer, vtkIdType length, int operation)| -  Same as Reduce except that the result is placed in all of the processes.
//// \item @|int = obj.AllReduce (float sendBuffer, float recvBuffer, vtkIdType length, int operation)| -  Same as Reduce except that the result is placed in all of the processes.
//// \item @|int = obj.AllReduce (double sendBuffer, double recvBuffer, vtkIdType length, int operation)| -  Same as Reduce except that the result is placed in all of the processes.
//// \item @|int = obj.AllReduce (vtkDataArray sendBuffer, vtkDataArray recvBuffer, int operation)| -  Same as Reduce except that the result is placed in all of the processes.
////\end{itemize}
//!
