#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCompositeRenderManager object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCompositeRenderManager.h"

//@@Signature
//sfunction @vtkCompositeRenderManager:vtkCompositeRenderManager vtkCompositeRenderManagerConstructorFunction
//input a
//output p
//@@Parents vtkCompositeRenderManager vtkParallelRenderManager 
ArrayVector vtkCompositeRenderManagerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCompositeRenderManager::New(),"vtkCompositeRenderManager",eval);
  } else if (arg[0].className() == "vtkCompositeRenderManager") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCompositeRenderManager"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCompositeRenderManager");
    vtkCompositeRenderManager*q = reinterpret_cast<vtkCompositeRenderManager*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCompositeRenderManager");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCompositeRenderManager:GetClassName vtkCompositeRenderManagerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCompositeRenderManagerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCompositeRenderManager requires 1 argument(s)");
  vtkCompositeRenderManager* vtk_pointer = GetVTKPointer<vtkCompositeRenderManager>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeRenderManager:IsA vtkCompositeRenderManagerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeRenderManagerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCompositeRenderManager requires 2 argument(s)");
  vtkCompositeRenderManager* vtk_pointer = GetVTKPointer<vtkCompositeRenderManager>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeRenderManager:NewInstance vtkCompositeRenderManagerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCompositeRenderManagerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeRenderManager *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCompositeRenderManager requires 1 argument(s)");
  vtkCompositeRenderManager* vtk_pointer = GetVTKPointer<vtkCompositeRenderManager>(arg[0]);
  Array retval;
  vtkCompositeRenderManager  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeRenderManager",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeRenderManager:SafeDownCast vtkCompositeRenderManagerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCompositeRenderManagerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeRenderManager *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCompositeRenderManager requires 2 argument(s)");
  vtkCompositeRenderManager* vtk_pointer = GetVTKPointer<vtkCompositeRenderManager>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCompositeRenderManager  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeRenderManager",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeRenderManager:SetCompositer vtkCompositeRenderManagerSetCompositerFunction
//input a0 a1 
//output none
ArrayVector vtkCompositeRenderManagerSetCompositerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompositer (vtkCompositer *c); */
  if (arg.size() < 2) 
    throw Exception("Function SetCompositer for class vtkCompositeRenderManager requires 2 argument(s)");
  vtkCompositeRenderManager* vtk_pointer = GetVTKPointer<vtkCompositeRenderManager>(arg[0]);
  Array retval;
  vtkCompositer  *temp0;
  temp0 = GetVTKPointer<vtkCompositer>(arg[1]);
  vtk_pointer->SetCompositer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeRenderManager:GetCompositer vtkCompositeRenderManagerGetCompositerFunction
//input a0 
//output y
ArrayVector vtkCompositeRenderManagerGetCompositerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositer *GetCompositer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompositer for class vtkCompositeRenderManager requires 1 argument(s)");
  vtkCompositeRenderManager* vtk_pointer = GetVTKPointer<vtkCompositeRenderManager>(arg[0]);
  Array retval;
  vtkCompositer  *temp20;
  temp20 = (vtk_pointer)->GetCompositer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositeRenderManager:GetImageProcessingTime vtkCompositeRenderManagerGetImageProcessingTimeFunction
//input a0 
//output y
ArrayVector vtkCompositeRenderManagerGetImageProcessingTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetImageProcessingTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageProcessingTime for class vtkCompositeRenderManager requires 1 argument(s)");
  vtkCompositeRenderManager* vtk_pointer = GetVTKPointer<vtkCompositeRenderManager>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetImageProcessingTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositeRenderManager:display vtkCompositeRenderManagerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCompositeRenderManagerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCompositeRenderManager* vtk_pointer = GetVTKPointer<vtkCompositeRenderManager>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCompositeRenderManager:delete vtkCompositeRenderManagerDeleteFunction
//input varargin
//output none
ArrayVector vtkCompositeRenderManagerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCompositeRenderManager
//@@Section VTKParallel
//@@Usage
// vtkCompositeRenderManager is a subclass of vtkParallelRenderManager that
// uses compositing to do parallel rendering.  This class has
// replaced vtkCompositeManager.
//
//
//To create an instance of class vtkCompositeRenderManager, simply
//invoke its constructor as follows
//@[
//  obj = vtkCompositeRenderManager
//@]
//@@Methods
//The class vtkCompositeRenderManager has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCompositeRenderManager class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCompositeRenderManager = obj.NewInstance ()|
// \item @|vtkCompositeRenderManager = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCompositer (vtkCompositer c)| -  Set/Get the composite algorithm.
//// \item @|vtkCompositer = obj.GetCompositer ()| -  Set/Get the composite algorithm.
//// \item @|double = obj.GetImageProcessingTime ()| -  Get rendering metrics.
////\end{itemize}
//!
