#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCompositer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCompositer.h"

//@@Signature
//sfunction @vtkCompositer:vtkCompositer vtkCompositerConstructorFunction
//input a
//output p
//@@Parents vtkCompositer vtkObject 
ArrayVector vtkCompositerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCompositer::New(),"vtkCompositer",eval);
  } else if (arg[0].className() == "vtkCompositer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCompositer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCompositer");
    vtkCompositer*q = reinterpret_cast<vtkCompositer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCompositer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCompositer:GetClassName vtkCompositerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCompositerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCompositer requires 1 argument(s)");
  vtkCompositer* vtk_pointer = GetVTKPointer<vtkCompositer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositer:IsA vtkCompositerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCompositerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCompositer requires 2 argument(s)");
  vtkCompositer* vtk_pointer = GetVTKPointer<vtkCompositer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositer:NewInstance vtkCompositerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCompositerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCompositer requires 1 argument(s)");
  vtkCompositer* vtk_pointer = GetVTKPointer<vtkCompositer>(arg[0]);
  Array retval;
  vtkCompositer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositer:SafeDownCast vtkCompositerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCompositerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCompositer requires 2 argument(s)");
  vtkCompositer* vtk_pointer = GetVTKPointer<vtkCompositer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCompositer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositer:CompositeBuffer vtkCompositerCompositeBufferFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkCompositerCompositeBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CompositeBuffer (vtkDataArray *pBuf, vtkFloatArray *zBuf, vtkDataArray *pTmp, vtkFloatArray *zTmp); */
  if (arg.size() < 5) 
    throw Exception("Function CompositeBuffer for class vtkCompositer requires 5 argument(s)");
  vtkCompositer* vtk_pointer = GetVTKPointer<vtkCompositer>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkFloatArray  *temp1;
  vtkDataArray  *temp2;
  vtkFloatArray  *temp3;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkFloatArray>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  temp3 = GetVTKPointer<vtkFloatArray>(arg[4]);
  vtk_pointer->CompositeBuffer(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkCompositer:SetController vtkCompositerSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkCompositerSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkCompositer requires 2 argument(s)");
  vtkCompositer* vtk_pointer = GetVTKPointer<vtkCompositer>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompositer:GetController vtkCompositerGetControllerFunction
//input a0 
//output y
ArrayVector vtkCompositerGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkCompositer requires 1 argument(s)");
  vtkCompositer* vtk_pointer = GetVTKPointer<vtkCompositer>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositer:SetNumberOfProcesses vtkCompositerSetNumberOfProcessesFunction
//input a0 a1 
//output none
ArrayVector vtkCompositerSetNumberOfProcessesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfProcesses (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfProcesses for class vtkCompositer requires 2 argument(s)");
  vtkCompositer* vtk_pointer = GetVTKPointer<vtkCompositer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfProcesses(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompositer:GetNumberOfProcesses vtkCompositerGetNumberOfProcessesFunction
//input a0 
//output y
ArrayVector vtkCompositerGetNumberOfProcessesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfProcesses (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfProcesses for class vtkCompositer requires 1 argument(s)");
  vtkCompositer* vtk_pointer = GetVTKPointer<vtkCompositer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfProcesses();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositer:DeleteArray vtkCompositerDeleteArrayFunction
//input a0 a1 
//output none
ArrayVector vtkCompositerDeleteArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void DeleteArray (vtkDataArray *da); */
  if (arg.size() < 2) 
    throw Exception("Function DeleteArray for class vtkCompositer requires 2 argument(s)");
  vtkCompositer* vtk_pointer = GetVTKPointer<vtkCompositer>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->DeleteArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompositer:ResizeFloatArray vtkCompositerResizeFloatArrayFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCompositerResizeFloatArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ResizeFloatArray (vtkFloatArray *fa, int numComp, vtkIdType size); */
  if (arg.size() < 4) 
    throw Exception("Function ResizeFloatArray for class vtkCompositer requires 4 argument(s)");
  vtkCompositer* vtk_pointer = GetVTKPointer<vtkCompositer>(arg[0]);
  Array retval;
  vtkFloatArray  *temp0;
  int      temp1;
  vtkIdType   temp2;
  temp0 = GetVTKPointer<vtkFloatArray>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->ResizeFloatArray(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCompositer:ResizeUnsignedCharArray vtkCompositerResizeUnsignedCharArrayFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCompositerResizeUnsignedCharArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ResizeUnsignedCharArray (vtkUnsignedCharArray *uca, int numComp, vtkIdType size); */
  if (arg.size() < 4) 
    throw Exception("Function ResizeUnsignedCharArray for class vtkCompositer requires 4 argument(s)");
  vtkCompositer* vtk_pointer = GetVTKPointer<vtkCompositer>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp0;
  int      temp1;
  vtkIdType   temp2;
  temp0 = GetVTKPointer<vtkUnsignedCharArray>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->ResizeUnsignedCharArray(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCompositer:display vtkCompositerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCompositerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCompositer* vtk_pointer = GetVTKPointer<vtkCompositer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCompositer:delete vtkCompositerDeleteFunction
//input varargin
//output none
ArrayVector vtkCompositerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCompositer
//@@Section VTKParallel
//@@Usage
// vtkCompositer operates in multiple processes.  Each compositer has 
// a render window.  They use vtkMultiProcessControllers to communicate 
// the color and depth buffer to process 0's render window.
// It will not handle transparency well.
//
//
//To create an instance of class vtkCompositer, simply
//invoke its constructor as follows
//@[
//  obj = vtkCompositer
//@]
//@@Methods
//The class vtkCompositer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCompositer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCompositer = obj.NewInstance ()|
// \item @|vtkCompositer = obj.SafeDownCast (vtkObject o)|
// \item @|obj.CompositeBuffer (vtkDataArray pBuf, vtkFloatArray zBuf, vtkDataArray pTmp, vtkFloatArray zTmp)| -  This method gets called on every process.  The final image gets
// put into pBuf and zBuf.
//// \item @|obj.SetController (vtkMultiProcessController )| -  Access to the controller.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  Access to the controller.
//// \item @|obj.SetNumberOfProcesses (int )| -  A hack to get a sub world until I can get communicators working.
//// \item @|int = obj.GetNumberOfProcesses ()| -  A hack to get a sub world until I can get communicators working.
////\end{itemize}
//!
