#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCompressCompositer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCompressCompositer.h"

//@@Signature
//sfunction @vtkCompressCompositer:vtkCompressCompositer vtkCompressCompositerConstructorFunction
//input a
//output p
//@@Parents vtkCompressCompositer vtkCompositer 
ArrayVector vtkCompressCompositerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCompressCompositer::New(),"vtkCompressCompositer",eval);
  } else if (arg[0].className() == "vtkCompressCompositer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCompressCompositer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCompressCompositer");
    vtkCompressCompositer*q = reinterpret_cast<vtkCompressCompositer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCompressCompositer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCompressCompositer:GetClassName vtkCompressCompositerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCompressCompositerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCompressCompositer requires 1 argument(s)");
  vtkCompressCompositer* vtk_pointer = GetVTKPointer<vtkCompressCompositer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompressCompositer:IsA vtkCompressCompositerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCompressCompositerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCompressCompositer requires 2 argument(s)");
  vtkCompressCompositer* vtk_pointer = GetVTKPointer<vtkCompressCompositer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompressCompositer:NewInstance vtkCompressCompositerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCompressCompositerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompressCompositer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCompressCompositer requires 1 argument(s)");
  vtkCompressCompositer* vtk_pointer = GetVTKPointer<vtkCompressCompositer>(arg[0]);
  Array retval;
  vtkCompressCompositer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompressCompositer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompressCompositer:SafeDownCast vtkCompressCompositerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCompressCompositerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompressCompositer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCompressCompositer requires 2 argument(s)");
  vtkCompressCompositer* vtk_pointer = GetVTKPointer<vtkCompressCompositer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCompressCompositer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompressCompositer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompressCompositer:CompositeBuffer vtkCompressCompositerCompositeBufferFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkCompressCompositerCompositeBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CompositeBuffer (vtkDataArray *pBuf, vtkFloatArray *zBuf, vtkDataArray *pTmp, vtkFloatArray *zTmp); */
  if (arg.size() < 5) 
    throw Exception("Function CompositeBuffer for class vtkCompressCompositer requires 5 argument(s)");
  vtkCompressCompositer* vtk_pointer = GetVTKPointer<vtkCompressCompositer>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkFloatArray  *temp1;
  vtkDataArray  *temp2;
  vtkFloatArray  *temp3;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkFloatArray>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  temp3 = GetVTKPointer<vtkFloatArray>(arg[4]);
  vtk_pointer->CompositeBuffer(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkCompressCompositer:Compress vtkCompressCompositerCompressFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkCompressCompositerCompressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Compress (vtkFloatArray *zIn, vtkDataArray *pIn, vtkFloatArray *zOut, vtkDataArray *pOut); */
  if (arg.size() < 5) 
    throw Exception("Function Compress for class vtkCompressCompositer requires 5 argument(s)");
  vtkCompressCompositer* vtk_pointer = GetVTKPointer<vtkCompressCompositer>(arg[0]);
  Array retval;
  vtkFloatArray  *temp0;
  vtkDataArray  *temp1;
  vtkFloatArray  *temp2;
  vtkDataArray  *temp3;
  temp0 = GetVTKPointer<vtkFloatArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkFloatArray>(arg[3]);
  temp3 = GetVTKPointer<vtkDataArray>(arg[4]);
  vtk_pointer->Compress(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkCompressCompositer:Uncompress vtkCompressCompositerUncompressFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkCompressCompositerUncompressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Uncompress (vtkFloatArray *zIn, vtkDataArray *pIn, vtkFloatArray *zOut, vtkDataArray *pOut, int finalLength); */
  if (arg.size() < 6) 
    throw Exception("Function Uncompress for class vtkCompressCompositer requires 6 argument(s)");
  vtkCompressCompositer* vtk_pointer = GetVTKPointer<vtkCompressCompositer>(arg[0]);
  Array retval;
  vtkFloatArray  *temp0;
  vtkDataArray  *temp1;
  vtkFloatArray  *temp2;
  vtkDataArray  *temp3;
  int      temp4;
  temp0 = GetVTKPointer<vtkFloatArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkFloatArray>(arg[3]);
  temp3 = GetVTKPointer<vtkDataArray>(arg[4]);
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  vtk_pointer->Uncompress(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkCompressCompositer:CompositeImagePair vtkCompressCompositerCompositeImagePairFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkCompressCompositerCompositeImagePairFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void CompositeImagePair (vtkFloatArray *localZ, vtkDataArray *localP, vtkFloatArray *remoteZ, vtkDataArray *remoteP, vtkFloatArray *outZ, vtkDataArray *outP); */
  if (arg.size() < 7) 
    throw Exception("Function CompositeImagePair for class vtkCompressCompositer requires 7 argument(s)");
  vtkCompressCompositer* vtk_pointer = GetVTKPointer<vtkCompressCompositer>(arg[0]);
  Array retval;
  vtkFloatArray  *temp0;
  vtkDataArray  *temp1;
  vtkFloatArray  *temp2;
  vtkDataArray  *temp3;
  vtkFloatArray  *temp4;
  vtkDataArray  *temp5;
  temp0 = GetVTKPointer<vtkFloatArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkFloatArray>(arg[3]);
  temp3 = GetVTKPointer<vtkDataArray>(arg[4]);
  temp4 = GetVTKPointer<vtkFloatArray>(arg[5]);
  temp5 = GetVTKPointer<vtkDataArray>(arg[6]);
  vtk_pointer->CompositeImagePair(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkCompressCompositer:display vtkCompressCompositerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCompressCompositerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCompressCompositer* vtk_pointer = GetVTKPointer<vtkCompressCompositer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCompressCompositer:delete vtkCompressCompositerDeleteFunction
//input varargin
//output none
ArrayVector vtkCompressCompositerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCompressCompositer
//@@Section VTKParallel
//@@Usage
// vtkCompressCompositer operates in multiple processes.  Each compositer has 
// a render window.  They use vtkMultiProcessController to communicate 
// the color and depth buffer to process 0's render window.
// It will not handle transparency.  Compositing is run length encoding
// of background pixels.
//
// SECTION See Also
// vtkCompositeManager.
//
//To create an instance of class vtkCompressCompositer, simply
//invoke its constructor as follows
//@[
//  obj = vtkCompressCompositer
//@]
//@@Methods
//The class vtkCompressCompositer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCompressCompositer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCompressCompositer = obj.NewInstance ()|
// \item @|vtkCompressCompositer = obj.SafeDownCast (vtkObject o)|
// \item @|obj.CompositeBuffer (vtkDataArray pBuf, vtkFloatArray zBuf, vtkDataArray pTmp, vtkFloatArray zTmp)|
//\end{itemize}
//!
