#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCutMaterial object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCutMaterial.h"

//@@Signature
//sfunction @vtkCutMaterial:vtkCutMaterial vtkCutMaterialConstructorFunction
//input a
//output p
//@@Parents vtkCutMaterial vtkPolyDataAlgorithm 
ArrayVector vtkCutMaterialConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCutMaterial::New(),"vtkCutMaterial",eval);
  } else if (arg[0].className() == "vtkCutMaterial") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCutMaterial"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCutMaterial");
    vtkCutMaterial*q = reinterpret_cast<vtkCutMaterial*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCutMaterial");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCutMaterial:GetClassName vtkCutMaterialGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCutMaterialGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCutMaterial requires 1 argument(s)");
  vtkCutMaterial* vtk_pointer = GetVTKPointer<vtkCutMaterial>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCutMaterial:IsA vtkCutMaterialIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCutMaterialIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCutMaterial requires 2 argument(s)");
  vtkCutMaterial* vtk_pointer = GetVTKPointer<vtkCutMaterial>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCutMaterial:NewInstance vtkCutMaterialNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCutMaterialNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCutMaterial *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCutMaterial requires 1 argument(s)");
  vtkCutMaterial* vtk_pointer = GetVTKPointer<vtkCutMaterial>(arg[0]);
  Array retval;
  vtkCutMaterial  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCutMaterial",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCutMaterial:SafeDownCast vtkCutMaterialSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCutMaterialSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCutMaterial *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCutMaterial requires 2 argument(s)");
  vtkCutMaterial* vtk_pointer = GetVTKPointer<vtkCutMaterial>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCutMaterial  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCutMaterial",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCutMaterial:SetMaterialArrayName vtkCutMaterialSetMaterialArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkCutMaterialSetMaterialArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaterialArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaterialArrayName for class vtkCutMaterial requires 2 argument(s)");
  vtkCutMaterial* vtk_pointer = GetVTKPointer<vtkCutMaterial>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetMaterialArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCutMaterial:GetMaterialArrayName vtkCutMaterialGetMaterialArrayNameFunction
//input a0 
//output y
ArrayVector vtkCutMaterialGetMaterialArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetMaterialArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaterialArrayName for class vtkCutMaterial requires 1 argument(s)");
  vtkCutMaterial* vtk_pointer = GetVTKPointer<vtkCutMaterial>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetMaterialArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCutMaterial:SetMaterial vtkCutMaterialSetMaterialFunction
//input a0 a1 
//output none
ArrayVector vtkCutMaterialSetMaterialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaterial (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaterial for class vtkCutMaterial requires 2 argument(s)");
  vtkCutMaterial* vtk_pointer = GetVTKPointer<vtkCutMaterial>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaterial(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCutMaterial:GetMaterial vtkCutMaterialGetMaterialFunction
//input a0 
//output y
ArrayVector vtkCutMaterialGetMaterialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaterial (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaterial for class vtkCutMaterial requires 1 argument(s)");
  vtkCutMaterial* vtk_pointer = GetVTKPointer<vtkCutMaterial>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaterial();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCutMaterial:SetArrayName vtkCutMaterialSetArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkCutMaterialSetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetArrayName for class vtkCutMaterial requires 2 argument(s)");
  vtkCutMaterial* vtk_pointer = GetVTKPointer<vtkCutMaterial>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCutMaterial:GetArrayName vtkCutMaterialGetArrayNameFunction
//input a0 
//output y
ArrayVector vtkCutMaterialGetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayName for class vtkCutMaterial requires 1 argument(s)");
  vtkCutMaterial* vtk_pointer = GetVTKPointer<vtkCutMaterial>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCutMaterial:SetUpVector__1 vtkCutMaterialSetUpVector__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCutMaterialSetUpVector__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUpVector (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetUpVector__1 for class vtkCutMaterial requires 4 argument(s)");
  vtkCutMaterial* vtk_pointer = GetVTKPointer<vtkCutMaterial>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetUpVector(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCutMaterial:SetUpVector__2 vtkCutMaterialSetUpVector__2Function
//input a0 a1 
//output none
ArrayVector vtkCutMaterialSetUpVector__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUpVector (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetUpVector__2 for class vtkCutMaterial requires 2 argument(s)");
  vtkCutMaterial* vtk_pointer = GetVTKPointer<vtkCutMaterial>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetUpVector(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCutMaterial:GetUpVector vtkCutMaterialGetUpVectorFunction
//input a0 
//output y
ArrayVector vtkCutMaterialGetUpVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetUpVector (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUpVector for class vtkCutMaterial requires 1 argument(s)");
  vtkCutMaterial* vtk_pointer = GetVTKPointer<vtkCutMaterial>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetUpVector();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCutMaterial:GetMaximumPoint vtkCutMaterialGetMaximumPointFunction
//input a0 
//output y
ArrayVector vtkCutMaterialGetMaximumPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetMaximumPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumPoint for class vtkCutMaterial requires 1 argument(s)");
  vtkCutMaterial* vtk_pointer = GetVTKPointer<vtkCutMaterial>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetMaximumPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCutMaterial:GetCenterPoint vtkCutMaterialGetCenterPointFunction
//input a0 
//output y
ArrayVector vtkCutMaterialGetCenterPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenterPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenterPoint for class vtkCutMaterial requires 1 argument(s)");
  vtkCutMaterial* vtk_pointer = GetVTKPointer<vtkCutMaterial>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenterPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCutMaterial:GetNormal vtkCutMaterialGetNormalFunction
//input a0 
//output y
ArrayVector vtkCutMaterialGetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormal for class vtkCutMaterial requires 1 argument(s)");
  vtkCutMaterial* vtk_pointer = GetVTKPointer<vtkCutMaterial>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetNormal();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCutMaterial:SetUpVector vtkCutMaterialSetUpVectorFunction
//input varargin
//output varargout
ArrayVector vtkCutMaterialSetUpVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCutMaterialSetUpVector__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCutMaterialSetUpVector__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCutMaterialSetUpVector");
}

//@@Signature
//sfunction @vtkCutMaterial:display vtkCutMaterialDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCutMaterialDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCutMaterial* vtk_pointer = GetVTKPointer<vtkCutMaterial>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCutMaterial:delete vtkCutMaterialDeleteFunction
//input varargin
//output none
ArrayVector vtkCutMaterialDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCutMaterial
//@@Section VTKParallel
//@@Usage
// vtkCutMaterial computes a cut plane based on an up vector, center of the bounding box
// and the location of the maximum variable value.
//  These computed values are available so that they can be used to set the camera
// for the best view of the plane.
//
//To create an instance of class vtkCutMaterial, simply
//invoke its constructor as follows
//@[
//  obj = vtkCutMaterial
//@]
//@@Methods
//The class vtkCutMaterial has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCutMaterial class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCutMaterial = obj.NewInstance ()|
// \item @|vtkCutMaterial = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMaterialArrayName (string )| -  Cell array that contains the material values.
//// \item @|string = obj.GetMaterialArrayName ()| -  Cell array that contains the material values.
//// \item @|obj.SetMaterial (int )| -  Material to probe.
//// \item @|int = obj.GetMaterial ()| -  Material to probe.
//// \item @|obj.SetArrayName (string )| -  For now, we just use the cell values.
// The array name to cut.
//// \item @|string = obj.GetArrayName ()| -  For now, we just use the cell values.
// The array name to cut.
//// \item @|obj.SetUpVector (double , double , double )| -  The last piece of information that specifies the plane.
//// \item @|obj.SetUpVector (double  a[3])| -  The last piece of information that specifies the plane.
//// \item @|double = obj. GetUpVector ()| -  The last piece of information that specifies the plane.
//// \item @|double = obj. GetMaximumPoint ()| -  Accesses to the values computed during the execute method.  They
// could be used to get a good camera view for the resulting plane.
//// \item @|double = obj. GetCenterPoint ()| -  Accesses to the values computed during the execute method.  They
// could be used to get a good camera view for the resulting plane.
//// \item @|double = obj. GetNormal ()| -  Accesses to the values computed during the execute method.  They
// could be used to get a good camera view for the resulting plane.
////\end{itemize}
//!
