#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDistributedDataFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDistributedDataFilter.h"

//@@Signature
//sfunction @vtkDistributedDataFilter:vtkDistributedDataFilter vtkDistributedDataFilterConstructorFunction
//input a
//output p
//@@Parents vtkDistributedDataFilter vtkDataObjectAlgorithm 
ArrayVector vtkDistributedDataFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDistributedDataFilter::New(),"vtkDistributedDataFilter",eval);
  } else if (arg[0].className() == "vtkDistributedDataFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDistributedDataFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDistributedDataFilter");
    vtkDistributedDataFilter*q = reinterpret_cast<vtkDistributedDataFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDistributedDataFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDistributedDataFilter:GetClassName vtkDistributedDataFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDistributedDataFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:IsA vtkDistributedDataFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDistributedDataFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDistributedDataFilter requires 2 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:NewInstance vtkDistributedDataFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDistributedDataFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDistributedDataFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtkDistributedDataFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDistributedDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:SafeDownCast vtkDistributedDataFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDistributedDataFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDistributedDataFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDistributedDataFilter requires 2 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDistributedDataFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDistributedDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:SetController vtkDistributedDataFilterSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkDistributedDataFilterSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetController (vtkMultiProcessController *c); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkDistributedDataFilter requires 2 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:GetController vtkDistributedDataFilterGetControllerFunction
//input a0 
//output y
ArrayVector vtkDistributedDataFilterGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:GetKdtree vtkDistributedDataFilterGetKdtreeFunction
//input a0 
//output y
ArrayVector vtkDistributedDataFilterGetKdtreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPKdTree *GetKdtree (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKdtree for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtkPKdTree  *temp20;
  temp20 = (vtk_pointer)->GetKdtree();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPKdTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:RetainKdtreeOn vtkDistributedDataFilterRetainKdtreeOnFunction
//input a0 
//output none
ArrayVector vtkDistributedDataFilterRetainKdtreeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RetainKdtreeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RetainKdtreeOn for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->RetainKdtreeOn();
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:RetainKdtreeOff vtkDistributedDataFilterRetainKdtreeOffFunction
//input a0 
//output none
ArrayVector vtkDistributedDataFilterRetainKdtreeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RetainKdtreeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RetainKdtreeOff for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->RetainKdtreeOff();
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:GetRetainKdtree vtkDistributedDataFilterGetRetainKdtreeFunction
//input a0 
//output y
ArrayVector vtkDistributedDataFilterGetRetainKdtreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRetainKdtree (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRetainKdtree for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRetainKdtree();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:SetRetainKdtree vtkDistributedDataFilterSetRetainKdtreeFunction
//input a0 a1 
//output none
ArrayVector vtkDistributedDataFilterSetRetainKdtreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRetainKdtree (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRetainKdtree for class vtkDistributedDataFilter requires 2 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRetainKdtree(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:IncludeAllIntersectingCellsOn vtkDistributedDataFilterIncludeAllIntersectingCellsOnFunction
//input a0 
//output none
ArrayVector vtkDistributedDataFilterIncludeAllIntersectingCellsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IncludeAllIntersectingCellsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IncludeAllIntersectingCellsOn for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->IncludeAllIntersectingCellsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:IncludeAllIntersectingCellsOff vtkDistributedDataFilterIncludeAllIntersectingCellsOffFunction
//input a0 
//output none
ArrayVector vtkDistributedDataFilterIncludeAllIntersectingCellsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IncludeAllIntersectingCellsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IncludeAllIntersectingCellsOff for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->IncludeAllIntersectingCellsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:GetIncludeAllIntersectingCells vtkDistributedDataFilterGetIncludeAllIntersectingCellsFunction
//input a0 
//output y
ArrayVector vtkDistributedDataFilterGetIncludeAllIntersectingCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIncludeAllIntersectingCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIncludeAllIntersectingCells for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIncludeAllIntersectingCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:SetIncludeAllIntersectingCells vtkDistributedDataFilterSetIncludeAllIntersectingCellsFunction
//input a0 a1 
//output none
ArrayVector vtkDistributedDataFilterSetIncludeAllIntersectingCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIncludeAllIntersectingCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIncludeAllIntersectingCells for class vtkDistributedDataFilter requires 2 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIncludeAllIntersectingCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:ClipCellsOn vtkDistributedDataFilterClipCellsOnFunction
//input a0 
//output none
ArrayVector vtkDistributedDataFilterClipCellsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClipCellsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ClipCellsOn for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->ClipCellsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:ClipCellsOff vtkDistributedDataFilterClipCellsOffFunction
//input a0 
//output none
ArrayVector vtkDistributedDataFilterClipCellsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClipCellsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ClipCellsOff for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->ClipCellsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:GetClipCells vtkDistributedDataFilterGetClipCellsFunction
//input a0 
//output y
ArrayVector vtkDistributedDataFilterGetClipCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClipCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClipCells for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClipCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:SetClipCells vtkDistributedDataFilterSetClipCellsFunction
//input a0 a1 
//output none
ArrayVector vtkDistributedDataFilterSetClipCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClipCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetClipCells for class vtkDistributedDataFilter requires 2 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClipCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:SetBoundaryMode vtkDistributedDataFilterSetBoundaryModeFunction
//input a0 a1 
//output none
ArrayVector vtkDistributedDataFilterSetBoundaryModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoundaryMode (int mode); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoundaryMode for class vtkDistributedDataFilter requires 2 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBoundaryMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:SetBoundaryModeToAssignToOneRegion vtkDistributedDataFilterSetBoundaryModeToAssignToOneRegionFunction
//input a0 
//output none
ArrayVector vtkDistributedDataFilterSetBoundaryModeToAssignToOneRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoundaryModeToAssignToOneRegion ();this SetBoundaryMode vtkDistributedDataFilter ASSIGN_TO_ONE_REGION  */
  if (arg.size() < 1) 
    throw Exception("Function SetBoundaryModeToAssignToOneRegion for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetBoundaryModeToAssignToOneRegion();
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:SetBoundaryModeToAssignToAllIntersectingRegions vtkDistributedDataFilterSetBoundaryModeToAssignToAllIntersectingRegionsFunction
//input a0 
//output none
ArrayVector vtkDistributedDataFilterSetBoundaryModeToAssignToAllIntersectingRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoundaryModeToAssignToAllIntersectingRegions ();this SetBoundaryMode vtkDistributedDataFilter ASSIGN_TO_ALL_INTERSECTING_REGIONS  */
  if (arg.size() < 1) 
    throw Exception("Function SetBoundaryModeToAssignToAllIntersectingRegions for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetBoundaryModeToAssignToAllIntersectingRegions();
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:SetBoundaryModeToSplitBoundaryCells vtkDistributedDataFilterSetBoundaryModeToSplitBoundaryCellsFunction
//input a0 
//output none
ArrayVector vtkDistributedDataFilterSetBoundaryModeToSplitBoundaryCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoundaryModeToSplitBoundaryCells ();this SetBoundaryMode vtkDistributedDataFilter SPLIT_BOUNDARY_CELLS  */
  if (arg.size() < 1) 
    throw Exception("Function SetBoundaryModeToSplitBoundaryCells for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetBoundaryModeToSplitBoundaryCells();
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:GetBoundaryMode vtkDistributedDataFilterGetBoundaryModeFunction
//input a0 
//output y
ArrayVector vtkDistributedDataFilterGetBoundaryModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBoundaryMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoundaryMode for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBoundaryMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:UseMinimalMemoryOn vtkDistributedDataFilterUseMinimalMemoryOnFunction
//input a0 
//output none
ArrayVector vtkDistributedDataFilterUseMinimalMemoryOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseMinimalMemoryOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseMinimalMemoryOn for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->UseMinimalMemoryOn();
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:UseMinimalMemoryOff vtkDistributedDataFilterUseMinimalMemoryOffFunction
//input a0 
//output none
ArrayVector vtkDistributedDataFilterUseMinimalMemoryOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseMinimalMemoryOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseMinimalMemoryOff for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->UseMinimalMemoryOff();
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:GetUseMinimalMemory vtkDistributedDataFilterGetUseMinimalMemoryFunction
//input a0 
//output y
ArrayVector vtkDistributedDataFilterGetUseMinimalMemoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseMinimalMemory (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseMinimalMemory for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseMinimalMemory();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:SetUseMinimalMemory vtkDistributedDataFilterSetUseMinimalMemoryFunction
//input a0 a1 
//output none
ArrayVector vtkDistributedDataFilterSetUseMinimalMemoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseMinimalMemory (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseMinimalMemory for class vtkDistributedDataFilter requires 2 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseMinimalMemory(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:TimingOn vtkDistributedDataFilterTimingOnFunction
//input a0 
//output none
ArrayVector vtkDistributedDataFilterTimingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TimingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TimingOn for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->TimingOn();
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:TimingOff vtkDistributedDataFilterTimingOffFunction
//input a0 
//output none
ArrayVector vtkDistributedDataFilterTimingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TimingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TimingOff for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->TimingOff();
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:SetTiming vtkDistributedDataFilterSetTimingFunction
//input a0 a1 
//output none
ArrayVector vtkDistributedDataFilterSetTimingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTiming (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTiming for class vtkDistributedDataFilter requires 2 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTiming(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:GetTiming vtkDistributedDataFilterGetTimingFunction
//input a0 
//output y
ArrayVector vtkDistributedDataFilterGetTimingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTiming (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTiming for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTiming();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:GetCuts vtkDistributedDataFilterGetCutsFunction
//input a0 
//output y
ArrayVector vtkDistributedDataFilterGetCutsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBSPCuts *GetCuts ();return this UserCuts  */
  if (arg.size() < 1) 
    throw Exception("Function GetCuts for class vtkDistributedDataFilter requires 1 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtkBSPCuts  *temp20;
  temp20 = (vtk_pointer)->GetCuts();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBSPCuts",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:SetCuts vtkDistributedDataFilterSetCutsFunction
//input a0 a1 
//output none
ArrayVector vtkDistributedDataFilterSetCutsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCuts (vtkBSPCuts *cuts); */
  if (arg.size() < 2) 
    throw Exception("Function SetCuts for class vtkDistributedDataFilter requires 2 argument(s)");
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  Array retval;
  vtkBSPCuts  *temp0;
  temp0 = GetVTKPointer<vtkBSPCuts>(arg[1]);
  vtk_pointer->SetCuts(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedDataFilter:ExchangeMergeSubGrids vtkDistributedDataFilterExchangeMergeSubGridsFunction
//input varargin
//output varargout
ArrayVector vtkDistributedDataFilterExchangeMergeSubGridsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkDistributedDataFilterExchangeMergeSubGrids");
}

//@@Signature
//sfunction @vtkDistributedDataFilter:InMySpatialRegion vtkDistributedDataFilterInMySpatialRegionFunction
//input varargin
//output varargout
ArrayVector vtkDistributedDataFilterInMySpatialRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkDistributedDataFilterInMySpatialRegion");
}

//@@Signature
//sfunction @vtkDistributedDataFilter:StrictlyInsideMyBounds vtkDistributedDataFilterStrictlyInsideMyBoundsFunction
//input varargin
//output varargout
ArrayVector vtkDistributedDataFilterStrictlyInsideMyBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkDistributedDataFilterStrictlyInsideMyBounds");
}

//@@Signature
//sfunction @vtkDistributedDataFilter:ExtractCells vtkDistributedDataFilterExtractCellsFunction
//input varargin
//output varargout
ArrayVector vtkDistributedDataFilterExtractCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkDistributedDataFilterExtractCells");
}

//@@Signature
//sfunction @vtkDistributedDataFilter:display vtkDistributedDataFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDistributedDataFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDistributedDataFilter* vtk_pointer = GetVTKPointer<vtkDistributedDataFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDistributedDataFilter:delete vtkDistributedDataFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkDistributedDataFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDistributedDataFilter
//@@Section VTKParallel
//@@Usage
// This filter redistributes data among processors in a parallel
// application into spatially contiguous vtkUnstructuredGrids.
// The execution model anticipated is that all processes read in
// part of a large vtkDataSet. Each process sets the input of
// filter to be that DataSet. When executed, this filter builds
// in parallel a k-d tree, decomposing the space occupied by the
// distributed DataSet into spatial regions.  It assigns each
// spatial region to a processor.  The data is then redistributed
// and the output is a single vtkUnstructuredGrid containing the
// cells in the process' assigned regions.
//
// This filter is sometimes called "D3" for "distributed data decomposition".
//
// Enhancement: You can set the k-d tree decomposition, rather than
// have D3 compute it.  This allows you to divide a dataset using
// the decomposition computed for another dataset.  Obtain a description
// of the k-d tree cuts this way:
//
//    vtkBSPCuts *cuts = D3Object1->GetCuts()
//
// And set it this way:
//
//    D3Object2->SetCuts(cuts) 
//
//    It is desirable to have a field array of global node IDs
//    for two reasons:
//
//    1. When merging together sub grids that were distributed
//    across processors, global node IDs can be used to remove
//    duplicate points and significantly reduce the size of the
//    resulting output grid.  If no such array is available,
//    D3 will use a tolerance to merge points, which is much
//    slower.
//
//    2. If ghost cells have been requested, D3 requires a
//    global node ID array in order to request and transfer
//    ghost cells in parallel among the processors.  If there
//    is no global node ID array, D3 will in parallel create
//    a global node ID array, and the time to do this can be
//    significant.
//    
//    If you know the name of a global node ID array in the input
//    dataset, set that name with this method.  If you leave
//    it unset, D3 will search the input data set for certain
//    common names of global node ID arrays.  If none is found,
//    and ghost cells have been requested, D3 will create a
//    temporary global node ID array before aquiring ghost cells.
//   It is also desirable to have global element IDs.  However,
//   if they don't exist D3 can create them relatively quickly.
//   Set the name of the global element ID array if you have it.
//   If it is not set, D3 will search for it using common names.
//   If still not found, D3 will create a temporary array of
//   global element IDs.
//
//
//To create an instance of class vtkDistributedDataFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkDistributedDataFilter
//@]
//@@Methods
//The class vtkDistributedDataFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDistributedDataFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDistributedDataFilter = obj.NewInstance ()|
// \item @|vtkDistributedDataFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetController (vtkMultiProcessController c)| -    Set/Get the communicator object
//// \item @|vtkMultiProcessController = obj.GetController ()| -    Set/Get the communicator object
//// \item @|vtkPKdTree = obj.GetKdtree ()|
// \item @|obj.RetainKdtreeOn ()|
// \item @|obj.RetainKdtreeOff ()|
// \item @|int = obj.GetRetainKdtree ()|
// \item @|obj.SetRetainKdtree (int )|
// \item @|obj.IncludeAllIntersectingCellsOn ()|
// \item @|obj.IncludeAllIntersectingCellsOff ()|
// \item @|int = obj.GetIncludeAllIntersectingCells ()|
// \item @|obj.SetIncludeAllIntersectingCells (int )|
// \item @|obj.ClipCellsOn ()|
// \item @|obj.ClipCellsOff ()|
// \item @|int = obj.GetClipCells ()|
// \item @|obj.SetClipCells (int )|
// \item @|obj.SetBoundaryMode (int mode)| -  Handling of ClipCells and IncludeAllIntersectingCells.
//// \item @|obj.SetBoundaryModeToAssignToOneRegion ()| -  Handling of ClipCells and IncludeAllIntersectingCells.
//// \item @|obj.SetBoundaryModeToAssignToAllIntersectingRegions ()| -  Handling of ClipCells and IncludeAllIntersectingCells.
//// \item @|obj.SetBoundaryModeToSplitBoundaryCells ()| -  Handling of ClipCells and IncludeAllIntersectingCells.
//// \item @|int = obj.GetBoundaryMode ()| -  Handling of ClipCells and IncludeAllIntersectingCells.
//// \item @|obj.UseMinimalMemoryOn ()|
// \item @|obj.UseMinimalMemoryOff ()|
// \item @|int = obj.GetUseMinimalMemory ()|
// \item @|obj.SetUseMinimalMemory (int )|
// \item @|obj.TimingOn ()|
// \item @|obj.TimingOff ()|
// \item @|obj.SetTiming (int )|
// \item @|int = obj.GetTiming ()|
// \item @|vtkBSPCuts = obj.GetCuts ()| -  You can set the k-d tree decomposition, rather than
// have D3 compute it.  This allows you to divide a dataset using
// the decomposition computed for another dataset.  Obtain a description
// of the k-d tree cuts this way:
//
//    vtkBSPCuts *cuts = D3Object1->GetCuts()
//
// And set it this way:
//
//    D3Object2->SetCuts(cuts) 
//// \item @|obj.SetCuts (vtkBSPCuts cuts)| -  You can set the k-d tree decomposition, rather than
// have D3 compute it.  This allows you to divide a dataset using
// the decomposition computed for another dataset.  Obtain a description
// of the k-d tree cuts this way:
//
//    vtkBSPCuts *cuts = D3Object1->GetCuts()
//
// And set it this way:
//
//    D3Object2->SetCuts(cuts) 
////\end{itemize}
//!
