#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDistributedStreamTracer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDistributedStreamTracer.h"

//@@Signature
//sfunction @vtkDistributedStreamTracer:vtkDistributedStreamTracer vtkDistributedStreamTracerConstructorFunction
//input a
//output p
//@@Parents vtkDistributedStreamTracer vtkPStreamTracer 
ArrayVector vtkDistributedStreamTracerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDistributedStreamTracer::New(),"vtkDistributedStreamTracer",eval);
  } else if (arg[0].className() == "vtkDistributedStreamTracer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDistributedStreamTracer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDistributedStreamTracer");
    vtkDistributedStreamTracer*q = reinterpret_cast<vtkDistributedStreamTracer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDistributedStreamTracer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDistributedStreamTracer:GetClassName vtkDistributedStreamTracerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDistributedStreamTracerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDistributedStreamTracer requires 1 argument(s)");
  vtkDistributedStreamTracer* vtk_pointer = GetVTKPointer<vtkDistributedStreamTracer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistributedStreamTracer:IsA vtkDistributedStreamTracerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDistributedStreamTracerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDistributedStreamTracer requires 2 argument(s)");
  vtkDistributedStreamTracer* vtk_pointer = GetVTKPointer<vtkDistributedStreamTracer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistributedStreamTracer:NewInstance vtkDistributedStreamTracerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDistributedStreamTracerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDistributedStreamTracer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDistributedStreamTracer requires 1 argument(s)");
  vtkDistributedStreamTracer* vtk_pointer = GetVTKPointer<vtkDistributedStreamTracer>(arg[0]);
  Array retval;
  vtkDistributedStreamTracer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDistributedStreamTracer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedStreamTracer:SafeDownCast vtkDistributedStreamTracerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDistributedStreamTracerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDistributedStreamTracer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDistributedStreamTracer requires 2 argument(s)");
  vtkDistributedStreamTracer* vtk_pointer = GetVTKPointer<vtkDistributedStreamTracer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDistributedStreamTracer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDistributedStreamTracer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistributedStreamTracer:display vtkDistributedStreamTracerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDistributedStreamTracerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDistributedStreamTracer* vtk_pointer = GetVTKPointer<vtkDistributedStreamTracer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDistributedStreamTracer:delete vtkDistributedStreamTracerDeleteFunction
//input varargin
//output none
ArrayVector vtkDistributedStreamTracerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDistributedStreamTracer
//@@Section VTKParallel
//@@Usage
// This filter integrates streamlines on a distributed dataset. It is
// essentially a serial algorithm: only one process is active at one
// time and it is not more efficient than a single process integration.
// It is useful when the data is too large to be on one process and
// has to be kept distributed.
//
//To create an instance of class vtkDistributedStreamTracer, simply
//invoke its constructor as follows
//@[
//  obj = vtkDistributedStreamTracer
//@]
//@@Methods
//The class vtkDistributedStreamTracer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDistributedStreamTracer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDistributedStreamTracer = obj.NewInstance ()|
// \item @|vtkDistributedStreamTracer = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
