#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDummyCommunicator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDummyCommunicator.h"

//@@Signature
//sfunction @vtkDummyCommunicator:vtkDummyCommunicator vtkDummyCommunicatorConstructorFunction
//input a
//output p
//@@Parents vtkDummyCommunicator vtkCommunicator 
ArrayVector vtkDummyCommunicatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDummyCommunicator::New(),"vtkDummyCommunicator",eval);
  } else if (arg[0].className() == "vtkDummyCommunicator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDummyCommunicator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDummyCommunicator");
    vtkDummyCommunicator*q = reinterpret_cast<vtkDummyCommunicator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDummyCommunicator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDummyCommunicator:GetClassName vtkDummyCommunicatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDummyCommunicatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDummyCommunicator requires 1 argument(s)");
  vtkDummyCommunicator* vtk_pointer = GetVTKPointer<vtkDummyCommunicator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDummyCommunicator:IsA vtkDummyCommunicatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDummyCommunicatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDummyCommunicator requires 2 argument(s)");
  vtkDummyCommunicator* vtk_pointer = GetVTKPointer<vtkDummyCommunicator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDummyCommunicator:NewInstance vtkDummyCommunicatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDummyCommunicatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDummyCommunicator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDummyCommunicator requires 1 argument(s)");
  vtkDummyCommunicator* vtk_pointer = GetVTKPointer<vtkDummyCommunicator>(arg[0]);
  Array retval;
  vtkDummyCommunicator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDummyCommunicator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDummyCommunicator:SafeDownCast vtkDummyCommunicatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDummyCommunicatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDummyCommunicator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDummyCommunicator requires 2 argument(s)");
  vtkDummyCommunicator* vtk_pointer = GetVTKPointer<vtkDummyCommunicator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDummyCommunicator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDummyCommunicator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDummyCommunicator:display vtkDummyCommunicatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDummyCommunicatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDummyCommunicator* vtk_pointer = GetVTKPointer<vtkDummyCommunicator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDummyCommunicator:delete vtkDummyCommunicatorDeleteFunction
//input varargin
//output none
ArrayVector vtkDummyCommunicatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDummyCommunicator
//@@Section VTKParallel
//@@Usage
//
// This is a dummy communicator, which can be used by applications that always
// require a controller but are also compiled on systems without threads or MPI.
// Because there is always only one process, no real communication takes place.
//
//
//To create an instance of class vtkDummyCommunicator, simply
//invoke its constructor as follows
//@[
//  obj = vtkDummyCommunicator
//@]
//@@Methods
//The class vtkDummyCommunicator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDummyCommunicator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDummyCommunicator = obj.NewInstance ()|
// \item @|vtkDummyCommunicator = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
