#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDuplicatePolyData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDuplicatePolyData.h"

//@@Signature
//sfunction @vtkDuplicatePolyData:vtkDuplicatePolyData vtkDuplicatePolyDataConstructorFunction
//input a
//output p
//@@Parents vtkDuplicatePolyData vtkPolyDataAlgorithm 
ArrayVector vtkDuplicatePolyDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDuplicatePolyData::New(),"vtkDuplicatePolyData",eval);
  } else if (arg[0].className() == "vtkDuplicatePolyData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDuplicatePolyData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDuplicatePolyData");
    vtkDuplicatePolyData*q = reinterpret_cast<vtkDuplicatePolyData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDuplicatePolyData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDuplicatePolyData:GetClassName vtkDuplicatePolyDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDuplicatePolyDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDuplicatePolyData requires 1 argument(s)");
  vtkDuplicatePolyData* vtk_pointer = GetVTKPointer<vtkDuplicatePolyData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDuplicatePolyData:IsA vtkDuplicatePolyDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDuplicatePolyDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDuplicatePolyData requires 2 argument(s)");
  vtkDuplicatePolyData* vtk_pointer = GetVTKPointer<vtkDuplicatePolyData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDuplicatePolyData:NewInstance vtkDuplicatePolyDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDuplicatePolyDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDuplicatePolyData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDuplicatePolyData requires 1 argument(s)");
  vtkDuplicatePolyData* vtk_pointer = GetVTKPointer<vtkDuplicatePolyData>(arg[0]);
  Array retval;
  vtkDuplicatePolyData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDuplicatePolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDuplicatePolyData:SafeDownCast vtkDuplicatePolyDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDuplicatePolyDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDuplicatePolyData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDuplicatePolyData requires 2 argument(s)");
  vtkDuplicatePolyData* vtk_pointer = GetVTKPointer<vtkDuplicatePolyData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDuplicatePolyData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDuplicatePolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDuplicatePolyData:SetController vtkDuplicatePolyDataSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkDuplicatePolyDataSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkDuplicatePolyData requires 2 argument(s)");
  vtkDuplicatePolyData* vtk_pointer = GetVTKPointer<vtkDuplicatePolyData>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDuplicatePolyData:GetController vtkDuplicatePolyDataGetControllerFunction
//input a0 
//output y
ArrayVector vtkDuplicatePolyDataGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkDuplicatePolyData requires 1 argument(s)");
  vtkDuplicatePolyData* vtk_pointer = GetVTKPointer<vtkDuplicatePolyData>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDuplicatePolyData:InitializeSchedule vtkDuplicatePolyDataInitializeScheduleFunction
//input a0 a1 
//output none
ArrayVector vtkDuplicatePolyDataInitializeScheduleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitializeSchedule (int numProcs); */
  if (arg.size() < 2) 
    throw Exception("Function InitializeSchedule for class vtkDuplicatePolyData requires 2 argument(s)");
  vtkDuplicatePolyData* vtk_pointer = GetVTKPointer<vtkDuplicatePolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->InitializeSchedule(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDuplicatePolyData:SetSynchronous vtkDuplicatePolyDataSetSynchronousFunction
//input a0 a1 
//output none
ArrayVector vtkDuplicatePolyDataSetSynchronousFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSynchronous (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSynchronous for class vtkDuplicatePolyData requires 2 argument(s)");
  vtkDuplicatePolyData* vtk_pointer = GetVTKPointer<vtkDuplicatePolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSynchronous(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDuplicatePolyData:GetSynchronous vtkDuplicatePolyDataGetSynchronousFunction
//input a0 
//output y
ArrayVector vtkDuplicatePolyDataGetSynchronousFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSynchronous (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSynchronous for class vtkDuplicatePolyData requires 1 argument(s)");
  vtkDuplicatePolyData* vtk_pointer = GetVTKPointer<vtkDuplicatePolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSynchronous();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDuplicatePolyData:SynchronousOn vtkDuplicatePolyDataSynchronousOnFunction
//input a0 
//output none
ArrayVector vtkDuplicatePolyDataSynchronousOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SynchronousOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SynchronousOn for class vtkDuplicatePolyData requires 1 argument(s)");
  vtkDuplicatePolyData* vtk_pointer = GetVTKPointer<vtkDuplicatePolyData>(arg[0]);
  Array retval;
  vtk_pointer->SynchronousOn();
  return retval;
}

//@@Signature
//sfunction @vtkDuplicatePolyData:SynchronousOff vtkDuplicatePolyDataSynchronousOffFunction
//input a0 
//output none
ArrayVector vtkDuplicatePolyDataSynchronousOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SynchronousOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SynchronousOff for class vtkDuplicatePolyData requires 1 argument(s)");
  vtkDuplicatePolyData* vtk_pointer = GetVTKPointer<vtkDuplicatePolyData>(arg[0]);
  Array retval;
  vtk_pointer->SynchronousOff();
  return retval;
}

//@@Signature
//sfunction @vtkDuplicatePolyData:GetSocketController vtkDuplicatePolyDataGetSocketControllerFunction
//input a0 
//output y
ArrayVector vtkDuplicatePolyDataGetSocketControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSocketController *GetSocketController ();return this SocketController  */
  if (arg.size() < 1) 
    throw Exception("Function GetSocketController for class vtkDuplicatePolyData requires 1 argument(s)");
  vtkDuplicatePolyData* vtk_pointer = GetVTKPointer<vtkDuplicatePolyData>(arg[0]);
  Array retval;
  vtkSocketController  *temp20;
  temp20 = (vtk_pointer)->GetSocketController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSocketController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDuplicatePolyData:SetSocketController vtkDuplicatePolyDataSetSocketControllerFunction
//input a0 a1 
//output none
ArrayVector vtkDuplicatePolyDataSetSocketControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSocketController (vtkSocketController *controller); */
  if (arg.size() < 2) 
    throw Exception("Function SetSocketController for class vtkDuplicatePolyData requires 2 argument(s)");
  vtkDuplicatePolyData* vtk_pointer = GetVTKPointer<vtkDuplicatePolyData>(arg[0]);
  Array retval;
  vtkSocketController  *temp0;
  temp0 = GetVTKPointer<vtkSocketController>(arg[1]);
  vtk_pointer->SetSocketController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDuplicatePolyData:SetClientFlag vtkDuplicatePolyDataSetClientFlagFunction
//input a0 a1 
//output none
ArrayVector vtkDuplicatePolyDataSetClientFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClientFlag (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetClientFlag for class vtkDuplicatePolyData requires 2 argument(s)");
  vtkDuplicatePolyData* vtk_pointer = GetVTKPointer<vtkDuplicatePolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClientFlag(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDuplicatePolyData:GetClientFlag vtkDuplicatePolyDataGetClientFlagFunction
//input a0 
//output y
ArrayVector vtkDuplicatePolyDataGetClientFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClientFlag (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClientFlag for class vtkDuplicatePolyData requires 1 argument(s)");
  vtkDuplicatePolyData* vtk_pointer = GetVTKPointer<vtkDuplicatePolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClientFlag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDuplicatePolyData:GetMemorySize vtkDuplicatePolyDataGetMemorySizeFunction
//input a0 
//output y
ArrayVector vtkDuplicatePolyDataGetMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long unsigned GetMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMemorySize for class vtkDuplicatePolyData requires 1 argument(s)");
  vtkDuplicatePolyData* vtk_pointer = GetVTKPointer<vtkDuplicatePolyData>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDuplicatePolyData:display vtkDuplicatePolyDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDuplicatePolyDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDuplicatePolyData* vtk_pointer = GetVTKPointer<vtkDuplicatePolyData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDuplicatePolyData:delete vtkDuplicatePolyDataDeleteFunction
//input varargin
//output none
ArrayVector vtkDuplicatePolyDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDuplicatePolyData
//@@Section VTKParallel
//@@Usage
// This filter collects poly data and duplicates it on every node.
// Converts data parallel so every node has a complete copy of the data.
// The filter is used at the end of a pipeline for driving a tiled
// display.
//
//To create an instance of class vtkDuplicatePolyData, simply
//invoke its constructor as follows
//@[
//  obj = vtkDuplicatePolyData
//@]
//@@Methods
//The class vtkDuplicatePolyData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDuplicatePolyData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDuplicatePolyData = obj.NewInstance ()|
// \item @|vtkDuplicatePolyData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetController (vtkMultiProcessController )| -  By defualt this filter uses the global controller,
// but this method can be used to set another instead.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  By defualt this filter uses the global controller,
// but this method can be used to set another instead.
//// \item @|obj.InitializeSchedule (int numProcs)|
// \item @|obj.SetSynchronous (int )| -  This flag causes sends and receives to be matched.
// When this flag is off, two sends occur then two receives.
// I want to see if it makes a difference in performance.
// The flag is on by default.
//// \item @|int = obj.GetSynchronous ()| -  This flag causes sends and receives to be matched.
// When this flag is off, two sends occur then two receives.
// I want to see if it makes a difference in performance.
// The flag is on by default.
//// \item @|obj.SynchronousOn ()| -  This flag causes sends and receives to be matched.
// When this flag is off, two sends occur then two receives.
// I want to see if it makes a difference in performance.
// The flag is on by default.
//// \item @|obj.SynchronousOff ()| -  This flag causes sends and receives to be matched.
// When this flag is off, two sends occur then two receives.
// I want to see if it makes a difference in performance.
// The flag is on by default.
//// \item @|vtkSocketController = obj.GetSocketController ()| -  This duplicate filter works in client server mode when this
// controller is set.  We have a client flag to diferentiate the
// client and server because the socket controller is odd:
// Proth processes think their id is 0.
//// \item @|obj.SetSocketController (vtkSocketController controller)| -  This duplicate filter works in client server mode when this
// controller is set.  We have a client flag to diferentiate the
// client and server because the socket controller is odd:
// Proth processes think their id is 0.
//// \item @|obj.SetClientFlag (int )| -  This duplicate filter works in client server mode when this
// controller is set.  We have a client flag to diferentiate the
// client and server because the socket controller is odd:
// Proth processes think their id is 0.
//// \item @|int = obj.GetClientFlag ()| -  This duplicate filter works in client server mode when this
// controller is set.  We have a client flag to diferentiate the
// client and server because the socket controller is odd:
// Proth processes think their id is 0.
//// \item @|long = obj.GetMemorySize ()| -  This returns to size of the output (on this process).
// This method is not really used.  It is needed to have
// the same API as vtkCollectPolyData.
////\end{itemize}
//!
