#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEnSightWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEnSightWriter.h"

//@@Signature
//sfunction @vtkEnSightWriter:vtkEnSightWriter vtkEnSightWriterConstructorFunction
//input a
//output p
//@@Parents vtkEnSightWriter vtkWriter 
ArrayVector vtkEnSightWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEnSightWriter::New(),"vtkEnSightWriter",eval);
  } else if (arg[0].className() == "vtkEnSightWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEnSightWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEnSightWriter");
    vtkEnSightWriter*q = reinterpret_cast<vtkEnSightWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEnSightWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEnSightWriter:GetClassName vtkEnSightWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEnSightWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEnSightWriter requires 1 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:IsA vtkEnSightWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEnSightWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEnSightWriter requires 2 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:NewInstance vtkEnSightWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEnSightWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEnSightWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEnSightWriter requires 1 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  vtkEnSightWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEnSightWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:SafeDownCast vtkEnSightWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEnSightWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEnSightWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEnSightWriter requires 2 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEnSightWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEnSightWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:SetProcessNumber vtkEnSightWriterSetProcessNumberFunction
//input a0 a1 
//output none
ArrayVector vtkEnSightWriterSetProcessNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProcessNumber (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProcessNumber for class vtkEnSightWriter requires 2 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProcessNumber(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:GetProcessNumber vtkEnSightWriterGetProcessNumberFunction
//input a0 
//output y
ArrayVector vtkEnSightWriterGetProcessNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProcessNumber (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProcessNumber for class vtkEnSightWriter requires 1 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProcessNumber();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:SetPath vtkEnSightWriterSetPathFunction
//input a0 a1 
//output none
ArrayVector vtkEnSightWriterSetPathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPath (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPath for class vtkEnSightWriter requires 2 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPath(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:GetPath vtkEnSightWriterGetPathFunction
//input a0 
//output y
ArrayVector vtkEnSightWriterGetPathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetPath (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPath for class vtkEnSightWriter requires 1 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetPath();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:SetBaseName vtkEnSightWriterSetBaseNameFunction
//input a0 a1 
//output none
ArrayVector vtkEnSightWriterSetBaseNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBaseName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetBaseName for class vtkEnSightWriter requires 2 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetBaseName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:GetBaseName vtkEnSightWriterGetBaseNameFunction
//input a0 
//output y
ArrayVector vtkEnSightWriterGetBaseNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetBaseName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBaseName for class vtkEnSightWriter requires 1 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetBaseName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:SetFileName vtkEnSightWriterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkEnSightWriterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkEnSightWriter requires 2 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:GetFileName vtkEnSightWriterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkEnSightWriterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkEnSightWriter requires 1 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:SetTimeStep vtkEnSightWriterSetTimeStepFunction
//input a0 a1 
//output none
ArrayVector vtkEnSightWriterSetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStep (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStep for class vtkEnSightWriter requires 2 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimeStep(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:GetTimeStep vtkEnSightWriterGetTimeStepFunction
//input a0 
//output y
ArrayVector vtkEnSightWriterGetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimeStep (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStep for class vtkEnSightWriter requires 1 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTimeStep();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:SetGhostLevel vtkEnSightWriterSetGhostLevelFunction
//input a0 a1 
//output none
ArrayVector vtkEnSightWriterSetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGhostLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGhostLevel for class vtkEnSightWriter requires 2 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGhostLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:GetGhostLevel vtkEnSightWriterGetGhostLevelFunction
//input a0 
//output y
ArrayVector vtkEnSightWriterGetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGhostLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGhostLevel for class vtkEnSightWriter requires 1 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGhostLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:SetTransientGeometry vtkEnSightWriterSetTransientGeometryFunction
//input a0 a1 
//output none
ArrayVector vtkEnSightWriterSetTransientGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTransientGeometry (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransientGeometry for class vtkEnSightWriter requires 2 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetTransientGeometry(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:GetTransientGeometry vtkEnSightWriterGetTransientGeometryFunction
//input a0 
//output y
ArrayVector vtkEnSightWriterGetTransientGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetTransientGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransientGeometry for class vtkEnSightWriter requires 1 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetTransientGeometry();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:SetNumberOfBlocks vtkEnSightWriterSetNumberOfBlocksFunction
//input a0 a1 
//output none
ArrayVector vtkEnSightWriterSetNumberOfBlocksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfBlocks (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfBlocks for class vtkEnSightWriter requires 2 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfBlocks(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:GetNumberOfBlocks vtkEnSightWriterGetNumberOfBlocksFunction
//input a0 
//output y
ArrayVector vtkEnSightWriterGetNumberOfBlocksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfBlocks (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfBlocks for class vtkEnSightWriter requires 1 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfBlocks();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:SetBlockIDs vtkEnSightWriterSetBlockIDsFunction
//input a0 a1 
//output none
ArrayVector vtkEnSightWriterSetBlockIDsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetBlockIDs (int *val);BlockIDs val  */
  if (arg.size() < 2) 
    throw Exception("Function SetBlockIDs for class vtkEnSightWriter requires 2 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->SetBlockIDs(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:SetInput vtkEnSightWriterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkEnSightWriterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkUnstructuredGrid *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkEnSightWriter requires 2 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp0;
  temp0 = GetVTKPointer<vtkUnstructuredGrid>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:GetInput vtkEnSightWriterGetInputFunction
//input a0 
//output y
ArrayVector vtkEnSightWriterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkUnstructuredGrid *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkEnSightWriter requires 1 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:WriteCaseFile vtkEnSightWriterWriteCaseFileFunction
//input a0 a1 
//output none
ArrayVector vtkEnSightWriterWriteCaseFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WriteCaseFile (int TotalTimeSteps); */
  if (arg.size() < 2) 
    throw Exception("Function WriteCaseFile for class vtkEnSightWriter requires 2 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->WriteCaseFile(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:WriteSOSCaseFile vtkEnSightWriterWriteSOSCaseFileFunction
//input a0 a1 
//output none
ArrayVector vtkEnSightWriterWriteSOSCaseFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WriteSOSCaseFile (int NumProcs); */
  if (arg.size() < 2) 
    throw Exception("Function WriteSOSCaseFile for class vtkEnSightWriter requires 2 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->WriteSOSCaseFile(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:SetModelMetadata vtkEnSightWriterSetModelMetadataFunction
//input a0 a1 
//output none
ArrayVector vtkEnSightWriterSetModelMetadataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetModelMetadata (vtkModelMetadata *model); */
  if (arg.size() < 2) 
    throw Exception("Function SetModelMetadata for class vtkEnSightWriter requires 2 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  vtkModelMetadata  *temp0;
  temp0 = GetVTKPointer<vtkModelMetadata>(arg[1]);
  vtk_pointer->SetModelMetadata(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:GetModelMetadata vtkEnSightWriterGetModelMetadataFunction
//input a0 
//output y
ArrayVector vtkEnSightWriterGetModelMetadataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkModelMetadata *GetModelMetadata (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModelMetadata for class vtkEnSightWriter requires 1 argument(s)");
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  Array retval;
  vtkModelMetadata  *temp20;
  temp20 = (vtk_pointer)->GetModelMetadata();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkModelMetadata",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightWriter:display vtkEnSightWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEnSightWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEnSightWriter* vtk_pointer = GetVTKPointer<vtkEnSightWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEnSightWriter:delete vtkEnSightWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkEnSightWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkEnSightWriter
//@@Section VTKParallel
//@@Usage
// vtkEnSightWriter is a source object that writes binary 
// unstructured grid data files in EnSight format. See EnSight Manual for 
// format details
//
//To create an instance of class vtkEnSightWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkEnSightWriter
//@]
//@@Methods
//The class vtkEnSightWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkEnSightWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkEnSightWriter = obj.NewInstance ()|
// \item @|vtkEnSightWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetProcessNumber (int )|
// \item @|int = obj.GetProcessNumber ()|
// \item @|obj.SetPath (string )| -  Specify path of EnSight data files to write.
//// \item @|string = obj.GetPath ()| -  Specify path of EnSight data files to write.
//// \item @|obj.SetBaseName (string )| -  Specify base name of EnSight data files to write.
//// \item @|string = obj.GetBaseName ()| -  Specify base name of EnSight data files to write.
//// \item @|obj.SetFileName (string )| -  Specify the path and base name of the output files.
//// \item @|string = obj.GetFileName ()| -  Specify the path and base name of the output files.
//// \item @|obj.SetTimeStep (int )|
// \item @|int = obj.GetTimeStep ()|
// \item @|obj.SetGhostLevel (int )|
// \item @|int = obj.GetGhostLevel ()|
// \item @|obj.SetTransientGeometry (bool )|
// \item @|bool = obj.GetTransientGeometry ()|
// \item @|obj.SetNumberOfBlocks (int )|
// \item @|int = obj.GetNumberOfBlocks ()|
// \item @|obj.SetBlockIDs (int val)|
// \item @|obj.SetInput (vtkUnstructuredGrid input)| -  Specify the input data or filter.
//// \item @|vtkUnstructuredGrid = obj.GetInput ()| -  Specify the input data or filter.
//// \item @|obj.WriteCaseFile (int TotalTimeSteps)|
// \item @|obj.WriteSOSCaseFile (int NumProcs)|
// \item @|obj.SetModelMetadata (vtkModelMetadata model)|
// \item @|vtkModelMetadata = obj.GetModelMetadata ()|
//\end{itemize}
//!
