#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExodusIIWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExodusIIWriter.h"

//@@Signature
//sfunction @vtkExodusIIWriter:vtkExodusIIWriter vtkExodusIIWriterConstructorFunction
//input a
//output p
//@@Parents vtkExodusIIWriter vtkWriter 
ArrayVector vtkExodusIIWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExodusIIWriter::New(),"vtkExodusIIWriter",eval);
  } else if (arg[0].className() == "vtkExodusIIWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExodusIIWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExodusIIWriter");
    vtkExodusIIWriter*q = reinterpret_cast<vtkExodusIIWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExodusIIWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExodusIIWriter:GetClassName vtkExodusIIWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:IsA vtkExodusIIWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExodusIIWriter requires 2 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:NewInstance vtkExodusIIWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExodusIIWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExodusIIWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  vtkExodusIIWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExodusIIWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:SafeDownCast vtkExodusIIWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExodusIIWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExodusIIWriter requires 2 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExodusIIWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExodusIIWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:SetModelMetadata vtkExodusIIWriterSetModelMetadataFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIWriterSetModelMetadataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelMetadata (vtkModelMetadata *); */
  if (arg.size() < 2) 
    throw Exception("Function SetModelMetadata for class vtkExodusIIWriter requires 2 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  vtkModelMetadata  *temp0;
  temp0 = GetVTKPointer<vtkModelMetadata>(arg[1]);
  vtk_pointer->SetModelMetadata(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:GetModelMetadata vtkExodusIIWriterGetModelMetadataFunction
//input a0 
//output y
ArrayVector vtkExodusIIWriterGetModelMetadataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkModelMetadata *GetModelMetadata (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModelMetadata for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  vtkModelMetadata  *temp20;
  temp20 = (vtk_pointer)->GetModelMetadata();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkModelMetadata",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:SetFileName vtkExodusIIWriterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIWriterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkExodusIIWriter requires 2 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:GetFileName vtkExodusIIWriterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIWriterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:SetStoreDoubles vtkExodusIIWriterSetStoreDoublesFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIWriterSetStoreDoublesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStoreDoubles (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStoreDoubles for class vtkExodusIIWriter requires 2 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStoreDoubles(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:GetStoreDoubles vtkExodusIIWriterGetStoreDoublesFunction
//input a0 
//output y
ArrayVector vtkExodusIIWriterGetStoreDoublesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStoreDoubles (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStoreDoubles for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStoreDoubles();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:SetGhostLevel vtkExodusIIWriterSetGhostLevelFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIWriterSetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGhostLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGhostLevel for class vtkExodusIIWriter requires 2 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGhostLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:GetGhostLevel vtkExodusIIWriterGetGhostLevelFunction
//input a0 
//output y
ArrayVector vtkExodusIIWriterGetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGhostLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGhostLevel for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGhostLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:SetWriteOutBlockIdArray vtkExodusIIWriterSetWriteOutBlockIdArrayFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIWriterSetWriteOutBlockIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWriteOutBlockIdArray (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWriteOutBlockIdArray for class vtkExodusIIWriter requires 2 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWriteOutBlockIdArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:GetWriteOutBlockIdArray vtkExodusIIWriterGetWriteOutBlockIdArrayFunction
//input a0 
//output y
ArrayVector vtkExodusIIWriterGetWriteOutBlockIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWriteOutBlockIdArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWriteOutBlockIdArray for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWriteOutBlockIdArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:WriteOutBlockIdArrayOn vtkExodusIIWriterWriteOutBlockIdArrayOnFunction
//input a0 
//output none
ArrayVector vtkExodusIIWriterWriteOutBlockIdArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteOutBlockIdArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteOutBlockIdArrayOn for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteOutBlockIdArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:WriteOutBlockIdArrayOff vtkExodusIIWriterWriteOutBlockIdArrayOffFunction
//input a0 
//output none
ArrayVector vtkExodusIIWriterWriteOutBlockIdArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteOutBlockIdArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteOutBlockIdArrayOff for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteOutBlockIdArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:SetWriteOutGlobalNodeIdArray vtkExodusIIWriterSetWriteOutGlobalNodeIdArrayFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIWriterSetWriteOutGlobalNodeIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWriteOutGlobalNodeIdArray (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWriteOutGlobalNodeIdArray for class vtkExodusIIWriter requires 2 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWriteOutGlobalNodeIdArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:GetWriteOutGlobalNodeIdArray vtkExodusIIWriterGetWriteOutGlobalNodeIdArrayFunction
//input a0 
//output y
ArrayVector vtkExodusIIWriterGetWriteOutGlobalNodeIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWriteOutGlobalNodeIdArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWriteOutGlobalNodeIdArray for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWriteOutGlobalNodeIdArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:WriteOutGlobalNodeIdArrayOn vtkExodusIIWriterWriteOutGlobalNodeIdArrayOnFunction
//input a0 
//output none
ArrayVector vtkExodusIIWriterWriteOutGlobalNodeIdArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteOutGlobalNodeIdArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteOutGlobalNodeIdArrayOn for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteOutGlobalNodeIdArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:WriteOutGlobalNodeIdArrayOff vtkExodusIIWriterWriteOutGlobalNodeIdArrayOffFunction
//input a0 
//output none
ArrayVector vtkExodusIIWriterWriteOutGlobalNodeIdArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteOutGlobalNodeIdArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteOutGlobalNodeIdArrayOff for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteOutGlobalNodeIdArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:SetWriteOutGlobalElementIdArray vtkExodusIIWriterSetWriteOutGlobalElementIdArrayFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIWriterSetWriteOutGlobalElementIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWriteOutGlobalElementIdArray (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWriteOutGlobalElementIdArray for class vtkExodusIIWriter requires 2 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWriteOutGlobalElementIdArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:GetWriteOutGlobalElementIdArray vtkExodusIIWriterGetWriteOutGlobalElementIdArrayFunction
//input a0 
//output y
ArrayVector vtkExodusIIWriterGetWriteOutGlobalElementIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWriteOutGlobalElementIdArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWriteOutGlobalElementIdArray for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWriteOutGlobalElementIdArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:WriteOutGlobalElementIdArrayOn vtkExodusIIWriterWriteOutGlobalElementIdArrayOnFunction
//input a0 
//output none
ArrayVector vtkExodusIIWriterWriteOutGlobalElementIdArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteOutGlobalElementIdArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteOutGlobalElementIdArrayOn for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteOutGlobalElementIdArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:WriteOutGlobalElementIdArrayOff vtkExodusIIWriterWriteOutGlobalElementIdArrayOffFunction
//input a0 
//output none
ArrayVector vtkExodusIIWriterWriteOutGlobalElementIdArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteOutGlobalElementIdArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteOutGlobalElementIdArrayOff for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteOutGlobalElementIdArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:SetWriteAllTimeSteps vtkExodusIIWriterSetWriteAllTimeStepsFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIWriterSetWriteAllTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWriteAllTimeSteps (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWriteAllTimeSteps for class vtkExodusIIWriter requires 2 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWriteAllTimeSteps(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:GetWriteAllTimeSteps vtkExodusIIWriterGetWriteAllTimeStepsFunction
//input a0 
//output y
ArrayVector vtkExodusIIWriterGetWriteAllTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWriteAllTimeSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWriteAllTimeSteps for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWriteAllTimeSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:WriteAllTimeStepsOn vtkExodusIIWriterWriteAllTimeStepsOnFunction
//input a0 
//output none
ArrayVector vtkExodusIIWriterWriteAllTimeStepsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteAllTimeStepsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteAllTimeStepsOn for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteAllTimeStepsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:WriteAllTimeStepsOff vtkExodusIIWriterWriteAllTimeStepsOffFunction
//input a0 
//output none
ArrayVector vtkExodusIIWriterWriteAllTimeStepsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteAllTimeStepsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteAllTimeStepsOff for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteAllTimeStepsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:SetBlockIdArrayName vtkExodusIIWriterSetBlockIdArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIWriterSetBlockIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlockIdArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetBlockIdArrayName for class vtkExodusIIWriter requires 2 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetBlockIdArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:GetBlockIdArrayName vtkExodusIIWriterGetBlockIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIWriterGetBlockIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetBlockIdArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBlockIdArrayName for class vtkExodusIIWriter requires 1 argument(s)");
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetBlockIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIWriter:display vtkExodusIIWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExodusIIWriter* vtk_pointer = GetVTKPointer<vtkExodusIIWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExodusIIWriter:delete vtkExodusIIWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkExodusIIWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExodusIIWriter
//@@Section VTKParallel
//@@Usage
//     This is a vtkWriter that writes it's vtkUnstructuredGrid 
//     input out to an Exodus II file.  Go to http://endo.sandia.gov/SEACAS/
//     for more information about the Exodus II format.
//
//     Exodus files contain much information that is not captured
//     in a vtkUnstructuredGrid, such as time steps, information
//     lines, node sets, and side sets.  This information can be
//     stored in a vtkModelMetadata object.
//
//     The vtkExodusReader and vtkPExodusReader can create
//     a vtkModelMetadata object and embed it in a vtkUnstructuredGrid
//     in a series of field arrays.  This writer searches for these
//     field arrays and will use the metadata contained in them
//     when creating the new Exodus II file. 
//
//     You can also explicitly give the vtkExodusIIWriter a
//     vtkModelMetadata object to use when writing the file.
//
//     In the absence of the information provided by vtkModelMetadata,
//     if this writer is not part of a parallel application, we will use
//     reasonable defaults for all the values in the output Exodus file.
//     If you don't provide a block ID element array, we'll create a
//     block for each cell type that appears in the unstructured grid.
//
//     However if this writer is part of a parallel application (hence 
//     writing out a distributed Exodus file), then we need at the very 
//     least a list of all the block IDs that appear in the file.  And 
//     we need the element array of block IDs for the input unstructured grid.
//
//     In the absense of a vtkModelMetadata object, you can also provide
//     time step information which we will include in the output Exodus
//     file.
//
//  .SECTION Caveats
//     If the input floating point field arrays and point locations are all
//     floats or all doubles, this class will operate more efficiently.
//     Mixing floats and doubles will slow you down, because Exodus II
//     requires that we write only floats or only doubles.
//
//     We use the terms "point" and "node" interchangeably.
//     Also, we use the terms "element" and "cell" interchangeably.
//
//To create an instance of class vtkExodusIIWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkExodusIIWriter
//@]
//@@Methods
//The class vtkExodusIIWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExodusIIWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExodusIIWriter = obj.NewInstance ()|
// \item @|vtkExodusIIWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetModelMetadata (vtkModelMetadata )|
// \item @|vtkModelMetadata = obj.GetModelMetadata ()|
// \item @|obj.SetFileName (string )|
// \item @|string = obj.GetFileName ()|
// \item @|obj.SetStoreDoubles (int )|
// \item @|int = obj.GetStoreDoubles ()|
// \item @|obj.SetGhostLevel (int )|
// \item @|int = obj.GetGhostLevel ()|
// \item @|obj.SetWriteOutBlockIdArray (int )|
// \item @|int = obj.GetWriteOutBlockIdArray ()|
// \item @|obj.WriteOutBlockIdArrayOn ()|
// \item @|obj.WriteOutBlockIdArrayOff ()|
// \item @|obj.SetWriteOutGlobalNodeIdArray (int )|
// \item @|int = obj.GetWriteOutGlobalNodeIdArray ()|
// \item @|obj.WriteOutGlobalNodeIdArrayOn ()|
// \item @|obj.WriteOutGlobalNodeIdArrayOff ()|
// \item @|obj.SetWriteOutGlobalElementIdArray (int )|
// \item @|int = obj.GetWriteOutGlobalElementIdArray ()|
// \item @|obj.WriteOutGlobalElementIdArrayOn ()|
// \item @|obj.WriteOutGlobalElementIdArrayOff ()|
// \item @|obj.SetWriteAllTimeSteps (int )|
// \item @|int = obj.GetWriteAllTimeSteps ()|
// \item @|obj.WriteAllTimeStepsOn ()|
// \item @|obj.WriteAllTimeStepsOff ()|
// \item @|obj.SetBlockIdArrayName (string )|
// \item @|string = obj.GetBlockIdArrayName ()|
//\end{itemize}
//!
