#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractCTHPart object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractCTHPart.h"

//@@Signature
//sfunction @vtkExtractCTHPart:vtkExtractCTHPart vtkExtractCTHPartConstructorFunction
//input a
//output p
//@@Parents vtkExtractCTHPart vtkMultiBlockDataSetAlgorithm 
ArrayVector vtkExtractCTHPartConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractCTHPart::New(),"vtkExtractCTHPart",eval);
  } else if (arg[0].className() == "vtkExtractCTHPart") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractCTHPart"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractCTHPart");
    vtkExtractCTHPart*q = reinterpret_cast<vtkExtractCTHPart*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractCTHPart");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractCTHPart:GetClassName vtkExtractCTHPartGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractCTHPartGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractCTHPart requires 1 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:IsA vtkExtractCTHPartIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractCTHPartIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractCTHPart requires 2 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:NewInstance vtkExtractCTHPartNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractCTHPartNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractCTHPart *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractCTHPart requires 1 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  vtkExtractCTHPart  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractCTHPart",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:SafeDownCast vtkExtractCTHPartSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractCTHPartSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractCTHPart *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractCTHPart requires 2 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractCTHPart  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractCTHPart",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:BOUNDS vtkExtractCTHPartBOUNDSFunction
//input a0 
//output y
ArrayVector vtkExtractCTHPartBOUNDSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationDoubleVectorKey *BOUNDS (); */
  if (arg.size() < 1) 
    throw Exception("Function BOUNDS for class vtkExtractCTHPart requires 1 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp20;
  temp20 = (vtk_pointer)->BOUNDS();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:RemoveDoubleVolumeArrayNames vtkExtractCTHPartRemoveDoubleVolumeArrayNamesFunction
//input a0 
//output none
ArrayVector vtkExtractCTHPartRemoveDoubleVolumeArrayNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveDoubleVolumeArrayNames (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveDoubleVolumeArrayNames for class vtkExtractCTHPart requires 1 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  vtk_pointer->RemoveDoubleVolumeArrayNames();
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:RemoveFloatVolumeArrayNames vtkExtractCTHPartRemoveFloatVolumeArrayNamesFunction
//input a0 
//output none
ArrayVector vtkExtractCTHPartRemoveFloatVolumeArrayNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveFloatVolumeArrayNames (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveFloatVolumeArrayNames for class vtkExtractCTHPart requires 1 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  vtk_pointer->RemoveFloatVolumeArrayNames();
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:RemoveUnsignedCharVolumeArrayNames vtkExtractCTHPartRemoveUnsignedCharVolumeArrayNamesFunction
//input a0 
//output none
ArrayVector vtkExtractCTHPartRemoveUnsignedCharVolumeArrayNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveUnsignedCharVolumeArrayNames (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveUnsignedCharVolumeArrayNames for class vtkExtractCTHPart requires 1 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  vtk_pointer->RemoveUnsignedCharVolumeArrayNames();
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:GetNumberOfVolumeArrayNames vtkExtractCTHPartGetNumberOfVolumeArrayNamesFunction
//input a0 
//output y
ArrayVector vtkExtractCTHPartGetNumberOfVolumeArrayNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfVolumeArrayNames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVolumeArrayNames for class vtkExtractCTHPart requires 1 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVolumeArrayNames();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:GetVolumeArrayName vtkExtractCTHPartGetVolumeArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExtractCTHPartGetVolumeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetVolumeArrayName (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetVolumeArrayName for class vtkExtractCTHPart requires 2 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVolumeArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:RemoveAllVolumeArrayNames vtkExtractCTHPartRemoveAllVolumeArrayNamesFunction
//input a0 
//output none
ArrayVector vtkExtractCTHPartRemoveAllVolumeArrayNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllVolumeArrayNames (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllVolumeArrayNames for class vtkExtractCTHPart requires 1 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllVolumeArrayNames();
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:AddDoubleVolumeArrayName vtkExtractCTHPartAddDoubleVolumeArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkExtractCTHPartAddDoubleVolumeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddDoubleVolumeArrayName (char *arrayName); */
  if (arg.size() < 2) 
    throw Exception("Function AddDoubleVolumeArrayName for class vtkExtractCTHPart requires 2 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->AddDoubleVolumeArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:AddFloatVolumeArrayName vtkExtractCTHPartAddFloatVolumeArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkExtractCTHPartAddFloatVolumeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFloatVolumeArrayName (char *arrayName); */
  if (arg.size() < 2) 
    throw Exception("Function AddFloatVolumeArrayName for class vtkExtractCTHPart requires 2 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->AddFloatVolumeArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:AddUnsignedCharVolumeArrayName vtkExtractCTHPartAddUnsignedCharVolumeArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkExtractCTHPartAddUnsignedCharVolumeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddUnsignedCharVolumeArrayName (char *arrayName); */
  if (arg.size() < 2) 
    throw Exception("Function AddUnsignedCharVolumeArrayName for class vtkExtractCTHPart requires 2 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->AddUnsignedCharVolumeArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:AddVolumeArrayName vtkExtractCTHPartAddVolumeArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkExtractCTHPartAddVolumeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddVolumeArrayName (char *arrayName); */
  if (arg.size() < 2) 
    throw Exception("Function AddVolumeArrayName for class vtkExtractCTHPart requires 2 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->AddVolumeArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:SetClipPlane vtkExtractCTHPartSetClipPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkExtractCTHPartSetClipPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClipPlane (vtkPlane *clipPlane); */
  if (arg.size() < 2) 
    throw Exception("Function SetClipPlane for class vtkExtractCTHPart requires 2 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  vtkPlane  *temp0;
  temp0 = GetVTKPointer<vtkPlane>(arg[1]);
  vtk_pointer->SetClipPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:GetClipPlane vtkExtractCTHPartGetClipPlaneFunction
//input a0 
//output y
ArrayVector vtkExtractCTHPartGetClipPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlane *GetClipPlane (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClipPlane for class vtkExtractCTHPart requires 1 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  vtkPlane  *temp20;
  temp20 = (vtk_pointer)->GetClipPlane();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlane",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:GetMTime vtkExtractCTHPartGetMTimeFunction
//input a0 
//output y
ArrayVector vtkExtractCTHPartGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkExtractCTHPart requires 1 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:SetController vtkExtractCTHPartSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkExtractCTHPartSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetController (vtkMultiProcessController *controller); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkExtractCTHPart requires 2 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:GetController vtkExtractCTHPartGetControllerFunction
//input a0 
//output y
ArrayVector vtkExtractCTHPartGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkExtractCTHPart requires 1 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:SetVolumeFractionSurfaceValue vtkExtractCTHPartSetVolumeFractionSurfaceValueFunction
//input a0 a1 
//output none
ArrayVector vtkExtractCTHPartSetVolumeFractionSurfaceValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVolumeFractionSurfaceValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVolumeFractionSurfaceValue for class vtkExtractCTHPart requires 2 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetVolumeFractionSurfaceValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:GetVolumeFractionSurfaceValueMinValue vtkExtractCTHPartGetVolumeFractionSurfaceValueMinValueFunction
//input a0 
//output y
ArrayVector vtkExtractCTHPartGetVolumeFractionSurfaceValueMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetVolumeFractionSurfaceValueMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVolumeFractionSurfaceValueMinValue for class vtkExtractCTHPart requires 1 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetVolumeFractionSurfaceValueMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:GetVolumeFractionSurfaceValueMaxValue vtkExtractCTHPartGetVolumeFractionSurfaceValueMaxValueFunction
//input a0 
//output y
ArrayVector vtkExtractCTHPartGetVolumeFractionSurfaceValueMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetVolumeFractionSurfaceValueMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVolumeFractionSurfaceValueMaxValue for class vtkExtractCTHPart requires 1 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetVolumeFractionSurfaceValueMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:GetVolumeFractionSurfaceValue vtkExtractCTHPartGetVolumeFractionSurfaceValueFunction
//input a0 
//output y
ArrayVector vtkExtractCTHPartGetVolumeFractionSurfaceValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetVolumeFractionSurfaceValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVolumeFractionSurfaceValue for class vtkExtractCTHPart requires 1 argument(s)");
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetVolumeFractionSurfaceValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractCTHPart:display vtkExtractCTHPartDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractCTHPartDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractCTHPart* vtk_pointer = GetVTKPointer<vtkExtractCTHPart>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractCTHPart:delete vtkExtractCTHPartDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractCTHPartDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractCTHPart
//@@Section VTKParallel
//@@Usage
// vtkExtractCTHPart is a filter that is specialized for creating 
// visualization of a CTH simulation.  First it converts the cell data
// to point data.  It contours the selected volume fraction at a value
// of 0.5.  The user has the option of clipping the part with a plane.
// Clipped surfaces of the part are generated.
//
//To create an instance of class vtkExtractCTHPart, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractCTHPart
//@]
//@@Methods
//The class vtkExtractCTHPart has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractCTHPart class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractCTHPart = obj.NewInstance ()|
// \item @|vtkExtractCTHPart = obj.SafeDownCast (vtkObject o)|
// \item @|obj.RemoveDoubleVolumeArrayNames ()| -  Names of cell volume fraction arrays to extract.
//// \item @|obj.RemoveFloatVolumeArrayNames ()| -  Names of cell volume fraction arrays to extract.
//// \item @|obj.RemoveUnsignedCharVolumeArrayNames ()| -  Names of cell volume fraction arrays to extract.
//// \item @|int = obj.GetNumberOfVolumeArrayNames ()| -  Names of cell volume fraction arrays to extract.
//// \item @|string = obj.GetVolumeArrayName (int idx)| -  Names of cell volume fraction arrays to extract.
//// \item @|obj.RemoveAllVolumeArrayNames ()| -  Names of cell volume fraction arrays to extract.
// for backwards compatibility
//// \item @|obj.AddDoubleVolumeArrayName (string arrayName)|
// \item @|obj.AddFloatVolumeArrayName (string arrayName)|
// \item @|obj.AddUnsignedCharVolumeArrayName (string arrayName)|
// \item @|obj.AddVolumeArrayName (string arrayName)|
// \item @|obj.SetClipPlane (vtkPlane clipPlane)| -  Set, get or maninpulate the implicit clipping plane.
//// \item @|vtkPlane = obj.GetClipPlane ()| -  Set, get or maninpulate the implicit clipping plane.
//// \item @|long = obj.GetMTime ()| -  Look at clip plane to compute MTime.
//// \item @|obj.SetController (vtkMultiProcessController controller)| -  Set the controller used to coordinate parallel processing.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  Return the controller used to coordinate parallel processing. By default,
// it is the global controller.
//// \item @|obj.SetVolumeFractionSurfaceValue (double )| -  Set and get the volume fraction surface value. This value should be
// between 0 and 1
//// \item @|double = obj.GetVolumeFractionSurfaceValueMinValue ()| -  Set and get the volume fraction surface value. This value should be
// between 0 and 1
//// \item @|double = obj.GetVolumeFractionSurfaceValueMaxValue ()| -  Set and get the volume fraction surface value. This value should be
// between 0 and 1
//// \item @|double = obj.GetVolumeFractionSurfaceValue ()| -  Set and get the volume fraction surface value. This value should be
// between 0 and 1
////\end{itemize}
//!
