#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractPiece object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractPiece.h"

//@@Signature
//sfunction @vtkExtractPiece:vtkExtractPiece vtkExtractPieceConstructorFunction
//input a
//output p
//@@Parents vtkExtractPiece vtkCompositeDataSetAlgorithm 
ArrayVector vtkExtractPieceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractPiece::New(),"vtkExtractPiece",eval);
  } else if (arg[0].className() == "vtkExtractPiece") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractPiece"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractPiece");
    vtkExtractPiece*q = reinterpret_cast<vtkExtractPiece*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractPiece");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractPiece:GetClassName vtkExtractPieceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractPieceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractPiece requires 1 argument(s)");
  vtkExtractPiece* vtk_pointer = GetVTKPointer<vtkExtractPiece>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractPiece:IsA vtkExtractPieceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractPieceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractPiece requires 2 argument(s)");
  vtkExtractPiece* vtk_pointer = GetVTKPointer<vtkExtractPiece>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractPiece:NewInstance vtkExtractPieceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractPieceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractPiece *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractPiece requires 1 argument(s)");
  vtkExtractPiece* vtk_pointer = GetVTKPointer<vtkExtractPiece>(arg[0]);
  Array retval;
  vtkExtractPiece  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractPiece",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractPiece:SafeDownCast vtkExtractPieceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractPieceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractPiece *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractPiece requires 2 argument(s)");
  vtkExtractPiece* vtk_pointer = GetVTKPointer<vtkExtractPiece>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractPiece  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractPiece",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractPiece:display vtkExtractPieceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractPieceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractPiece* vtk_pointer = GetVTKPointer<vtkExtractPiece>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractPiece:delete vtkExtractPieceDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractPieceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractPiece
//@@Section VTKParallel
//@@Usage
// vtkExtractPiece returns the appropriate piece of each
// sub-dataset in the vtkCompositeDataSet.
// This filter can handle sub-datasets of type vtkImageData, vtkPolyData,
// vtkRectilinearGrid, vtkStructuredGrid, and vtkUnstructuredGrid; it does
// not handle sub-grids of type vtkCompositeDataSet.
//
//To create an instance of class vtkExtractPiece, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractPiece
//@]
//@@Methods
//The class vtkExtractPiece has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractPiece class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractPiece = obj.NewInstance ()|
// \item @|vtkExtractPiece = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
