#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractPolyDataPiece object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractPolyDataPiece.h"

//@@Signature
//sfunction @vtkExtractPolyDataPiece:vtkExtractPolyDataPiece vtkExtractPolyDataPieceConstructorFunction
//input a
//output p
//@@Parents vtkExtractPolyDataPiece vtkPolyDataAlgorithm 
ArrayVector vtkExtractPolyDataPieceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractPolyDataPiece::New(),"vtkExtractPolyDataPiece",eval);
  } else if (arg[0].className() == "vtkExtractPolyDataPiece") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractPolyDataPiece"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractPolyDataPiece");
    vtkExtractPolyDataPiece*q = reinterpret_cast<vtkExtractPolyDataPiece*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractPolyDataPiece");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractPolyDataPiece:GetClassName vtkExtractPolyDataPieceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractPolyDataPieceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractPolyDataPiece requires 1 argument(s)");
  vtkExtractPolyDataPiece* vtk_pointer = GetVTKPointer<vtkExtractPolyDataPiece>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataPiece:IsA vtkExtractPolyDataPieceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractPolyDataPieceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractPolyDataPiece requires 2 argument(s)");
  vtkExtractPolyDataPiece* vtk_pointer = GetVTKPointer<vtkExtractPolyDataPiece>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataPiece:NewInstance vtkExtractPolyDataPieceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractPolyDataPieceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractPolyDataPiece *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractPolyDataPiece requires 1 argument(s)");
  vtkExtractPolyDataPiece* vtk_pointer = GetVTKPointer<vtkExtractPolyDataPiece>(arg[0]);
  Array retval;
  vtkExtractPolyDataPiece  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractPolyDataPiece",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataPiece:SafeDownCast vtkExtractPolyDataPieceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractPolyDataPieceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractPolyDataPiece *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractPolyDataPiece requires 2 argument(s)");
  vtkExtractPolyDataPiece* vtk_pointer = GetVTKPointer<vtkExtractPolyDataPiece>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractPolyDataPiece  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractPolyDataPiece",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataPiece:SetCreateGhostCells vtkExtractPolyDataPieceSetCreateGhostCellsFunction
//input a0 a1 
//output none
ArrayVector vtkExtractPolyDataPieceSetCreateGhostCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCreateGhostCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCreateGhostCells for class vtkExtractPolyDataPiece requires 2 argument(s)");
  vtkExtractPolyDataPiece* vtk_pointer = GetVTKPointer<vtkExtractPolyDataPiece>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCreateGhostCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataPiece:GetCreateGhostCells vtkExtractPolyDataPieceGetCreateGhostCellsFunction
//input a0 
//output y
ArrayVector vtkExtractPolyDataPieceGetCreateGhostCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCreateGhostCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCreateGhostCells for class vtkExtractPolyDataPiece requires 1 argument(s)");
  vtkExtractPolyDataPiece* vtk_pointer = GetVTKPointer<vtkExtractPolyDataPiece>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCreateGhostCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataPiece:CreateGhostCellsOn vtkExtractPolyDataPieceCreateGhostCellsOnFunction
//input a0 
//output none
ArrayVector vtkExtractPolyDataPieceCreateGhostCellsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateGhostCellsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateGhostCellsOn for class vtkExtractPolyDataPiece requires 1 argument(s)");
  vtkExtractPolyDataPiece* vtk_pointer = GetVTKPointer<vtkExtractPolyDataPiece>(arg[0]);
  Array retval;
  vtk_pointer->CreateGhostCellsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataPiece:CreateGhostCellsOff vtkExtractPolyDataPieceCreateGhostCellsOffFunction
//input a0 
//output none
ArrayVector vtkExtractPolyDataPieceCreateGhostCellsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateGhostCellsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateGhostCellsOff for class vtkExtractPolyDataPiece requires 1 argument(s)");
  vtkExtractPolyDataPiece* vtk_pointer = GetVTKPointer<vtkExtractPolyDataPiece>(arg[0]);
  Array retval;
  vtk_pointer->CreateGhostCellsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractPolyDataPiece:display vtkExtractPolyDataPieceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractPolyDataPieceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractPolyDataPiece* vtk_pointer = GetVTKPointer<vtkExtractPolyDataPiece>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractPolyDataPiece:delete vtkExtractPolyDataPieceDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractPolyDataPieceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
