#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractUnstructuredGridPiece object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractUnstructuredGridPiece.h"

//@@Signature
//sfunction @vtkExtractUnstructuredGridPiece:vtkExtractUnstructuredGridPiece vtkExtractUnstructuredGridPieceConstructorFunction
//input a
//output p
//@@Parents vtkExtractUnstructuredGridPiece vtkUnstructuredGridAlgorithm 
ArrayVector vtkExtractUnstructuredGridPieceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractUnstructuredGridPiece::New(),"vtkExtractUnstructuredGridPiece",eval);
  } else if (arg[0].className() == "vtkExtractUnstructuredGridPiece") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractUnstructuredGridPiece"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractUnstructuredGridPiece");
    vtkExtractUnstructuredGridPiece*q = reinterpret_cast<vtkExtractUnstructuredGridPiece*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractUnstructuredGridPiece");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractUnstructuredGridPiece:GetClassName vtkExtractUnstructuredGridPieceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridPieceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractUnstructuredGridPiece requires 1 argument(s)");
  vtkExtractUnstructuredGridPiece* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGridPiece>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGridPiece:IsA vtkExtractUnstructuredGridPieceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractUnstructuredGridPieceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractUnstructuredGridPiece requires 2 argument(s)");
  vtkExtractUnstructuredGridPiece* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGridPiece>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGridPiece:NewInstance vtkExtractUnstructuredGridPieceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridPieceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractUnstructuredGridPiece *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractUnstructuredGridPiece requires 1 argument(s)");
  vtkExtractUnstructuredGridPiece* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGridPiece>(arg[0]);
  Array retval;
  vtkExtractUnstructuredGridPiece  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractUnstructuredGridPiece",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGridPiece:SafeDownCast vtkExtractUnstructuredGridPieceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractUnstructuredGridPieceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractUnstructuredGridPiece *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractUnstructuredGridPiece requires 2 argument(s)");
  vtkExtractUnstructuredGridPiece* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGridPiece>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractUnstructuredGridPiece  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractUnstructuredGridPiece",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGridPiece:SetCreateGhostCells vtkExtractUnstructuredGridPieceSetCreateGhostCellsFunction
//input a0 a1 
//output none
ArrayVector vtkExtractUnstructuredGridPieceSetCreateGhostCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCreateGhostCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCreateGhostCells for class vtkExtractUnstructuredGridPiece requires 2 argument(s)");
  vtkExtractUnstructuredGridPiece* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGridPiece>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCreateGhostCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGridPiece:GetCreateGhostCells vtkExtractUnstructuredGridPieceGetCreateGhostCellsFunction
//input a0 
//output y
ArrayVector vtkExtractUnstructuredGridPieceGetCreateGhostCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCreateGhostCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCreateGhostCells for class vtkExtractUnstructuredGridPiece requires 1 argument(s)");
  vtkExtractUnstructuredGridPiece* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGridPiece>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCreateGhostCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGridPiece:CreateGhostCellsOn vtkExtractUnstructuredGridPieceCreateGhostCellsOnFunction
//input a0 
//output none
ArrayVector vtkExtractUnstructuredGridPieceCreateGhostCellsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateGhostCellsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateGhostCellsOn for class vtkExtractUnstructuredGridPiece requires 1 argument(s)");
  vtkExtractUnstructuredGridPiece* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGridPiece>(arg[0]);
  Array retval;
  vtk_pointer->CreateGhostCellsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGridPiece:CreateGhostCellsOff vtkExtractUnstructuredGridPieceCreateGhostCellsOffFunction
//input a0 
//output none
ArrayVector vtkExtractUnstructuredGridPieceCreateGhostCellsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateGhostCellsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateGhostCellsOff for class vtkExtractUnstructuredGridPiece requires 1 argument(s)");
  vtkExtractUnstructuredGridPiece* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGridPiece>(arg[0]);
  Array retval;
  vtk_pointer->CreateGhostCellsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractUnstructuredGridPiece:display vtkExtractUnstructuredGridPieceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractUnstructuredGridPieceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractUnstructuredGridPiece* vtk_pointer = GetVTKPointer<vtkExtractUnstructuredGridPiece>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractUnstructuredGridPiece:delete vtkExtractUnstructuredGridPieceDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractUnstructuredGridPieceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
