#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractUserDefinedPiece object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractUserDefinedPiece.h"

//@@Signature
//sfunction @vtkExtractUserDefinedPiece:vtkExtractUserDefinedPiece vtkExtractUserDefinedPieceConstructorFunction
//input a
//output p
//@@Parents vtkExtractUserDefinedPiece vtkExtractUnstructuredGridPiece 
ArrayVector vtkExtractUserDefinedPieceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractUserDefinedPiece::New(),"vtkExtractUserDefinedPiece",eval);
  } else if (arg[0].className() == "vtkExtractUserDefinedPiece") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractUserDefinedPiece"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractUserDefinedPiece");
    vtkExtractUserDefinedPiece*q = reinterpret_cast<vtkExtractUserDefinedPiece*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractUserDefinedPiece");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractUserDefinedPiece:GetClassName vtkExtractUserDefinedPieceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractUserDefinedPieceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractUserDefinedPiece requires 1 argument(s)");
  vtkExtractUserDefinedPiece* vtk_pointer = GetVTKPointer<vtkExtractUserDefinedPiece>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUserDefinedPiece:IsA vtkExtractUserDefinedPieceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractUserDefinedPieceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractUserDefinedPiece requires 2 argument(s)");
  vtkExtractUserDefinedPiece* vtk_pointer = GetVTKPointer<vtkExtractUserDefinedPiece>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractUserDefinedPiece:NewInstance vtkExtractUserDefinedPieceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractUserDefinedPieceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractUserDefinedPiece *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractUserDefinedPiece requires 1 argument(s)");
  vtkExtractUserDefinedPiece* vtk_pointer = GetVTKPointer<vtkExtractUserDefinedPiece>(arg[0]);
  Array retval;
  vtkExtractUserDefinedPiece  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractUserDefinedPiece",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUserDefinedPiece:SafeDownCast vtkExtractUserDefinedPieceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractUserDefinedPieceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractUserDefinedPiece *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractUserDefinedPiece requires 2 argument(s)");
  vtkExtractUserDefinedPiece* vtk_pointer = GetVTKPointer<vtkExtractUserDefinedPiece>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractUserDefinedPiece  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractUserDefinedPiece",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractUserDefinedPiece:display vtkExtractUserDefinedPieceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractUserDefinedPieceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractUserDefinedPiece* vtk_pointer = GetVTKPointer<vtkExtractUserDefinedPiece>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractUserDefinedPiece:delete vtkExtractUserDefinedPieceDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractUserDefinedPieceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractUserDefinedPiece
//@@Section VTKParallel
//@@Usage
// Provided a function that determines which cells are zero-level
// cells ("the piece"), this class outputs the piece with the 
// requested number of ghost levels.  The only difference between 
// this class and the class it is derived from is that the 
// zero-level cells are specified by a function you provide, 
// instead of determined by dividing up the cells based on cell Id.
//
//
//To create an instance of class vtkExtractUserDefinedPiece, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractUserDefinedPiece
//@]
//@@Methods
//The class vtkExtractUserDefinedPiece has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractUserDefinedPiece class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractUserDefinedPiece = obj.NewInstance ()|
// \item @|vtkExtractUserDefinedPiece = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
