#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageRenderManager object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageRenderManager.h"

//@@Signature
//sfunction @vtkImageRenderManager:vtkImageRenderManager vtkImageRenderManagerConstructorFunction
//input a
//output p
//@@Parents vtkImageRenderManager vtkParallelRenderManager 
ArrayVector vtkImageRenderManagerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageRenderManager::New(),"vtkImageRenderManager",eval);
  } else if (arg[0].className() == "vtkImageRenderManager") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageRenderManager"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageRenderManager");
    vtkImageRenderManager*q = reinterpret_cast<vtkImageRenderManager*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageRenderManager");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageRenderManager:GetClassName vtkImageRenderManagerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageRenderManagerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageRenderManager requires 1 argument(s)");
  vtkImageRenderManager* vtk_pointer = GetVTKPointer<vtkImageRenderManager>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageRenderManager:IsA vtkImageRenderManagerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageRenderManagerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageRenderManager requires 2 argument(s)");
  vtkImageRenderManager* vtk_pointer = GetVTKPointer<vtkImageRenderManager>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageRenderManager:NewInstance vtkImageRenderManagerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageRenderManagerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageRenderManager *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageRenderManager requires 1 argument(s)");
  vtkImageRenderManager* vtk_pointer = GetVTKPointer<vtkImageRenderManager>(arg[0]);
  Array retval;
  vtkImageRenderManager  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageRenderManager",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageRenderManager:SafeDownCast vtkImageRenderManagerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageRenderManagerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageRenderManager *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageRenderManager requires 2 argument(s)");
  vtkImageRenderManager* vtk_pointer = GetVTKPointer<vtkImageRenderManager>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageRenderManager  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageRenderManager",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageRenderManager:display vtkImageRenderManagerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageRenderManagerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageRenderManager* vtk_pointer = GetVTKPointer<vtkImageRenderManager>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageRenderManager:delete vtkImageRenderManagerDeleteFunction
//input varargin
//output none
ArrayVector vtkImageRenderManagerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageRenderManager
//@@Section VTKParallel
//@@Usage
// vtkImageRenderManager is a subclass of vtkParallelRenderManager that
// uses RGBA compositing (blending) to do parallel rendering.
// This is the exact opposite of vtkCompositeRenderManager.
// It actually does nothing special. It relies on the rendering pipeline to be
// initialized with a vtkCompositeRGBAPass.
// Compositing makes sense only for renderers in layer 0.
//
//To create an instance of class vtkImageRenderManager, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageRenderManager
//@]
//@@Methods
//The class vtkImageRenderManager has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageRenderManager class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageRenderManager = obj.NewInstance ()|
// \item @|vtkImageRenderManager = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
