#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMPIImageReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMPIImageReader.h"

//@@Signature
//sfunction @vtkMPIImageReader:vtkMPIImageReader vtkMPIImageReaderConstructorFunction
//input a
//output p
//@@Parents vtkMPIImageReader vtkImageReader 
ArrayVector vtkMPIImageReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMPIImageReader::New(),"vtkMPIImageReader",eval);
  } else if (arg[0].className() == "vtkMPIImageReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMPIImageReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMPIImageReader");
    vtkMPIImageReader*q = reinterpret_cast<vtkMPIImageReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMPIImageReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMPIImageReader:GetClassName vtkMPIImageReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMPIImageReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMPIImageReader requires 1 argument(s)");
  vtkMPIImageReader* vtk_pointer = GetVTKPointer<vtkMPIImageReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMPIImageReader:IsA vtkMPIImageReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMPIImageReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMPIImageReader requires 2 argument(s)");
  vtkMPIImageReader* vtk_pointer = GetVTKPointer<vtkMPIImageReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMPIImageReader:NewInstance vtkMPIImageReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMPIImageReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMPIImageReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMPIImageReader requires 1 argument(s)");
  vtkMPIImageReader* vtk_pointer = GetVTKPointer<vtkMPIImageReader>(arg[0]);
  Array retval;
  vtkMPIImageReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMPIImageReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMPIImageReader:SafeDownCast vtkMPIImageReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMPIImageReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMPIImageReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMPIImageReader requires 2 argument(s)");
  vtkMPIImageReader* vtk_pointer = GetVTKPointer<vtkMPIImageReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMPIImageReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMPIImageReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMPIImageReader:GetController vtkMPIImageReaderGetControllerFunction
//input a0 
//output y
ArrayVector vtkMPIImageReaderGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkMPIImageReader requires 1 argument(s)");
  vtkMPIImageReader* vtk_pointer = GetVTKPointer<vtkMPIImageReader>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMPIImageReader:SetController vtkMPIImageReaderSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkMPIImageReaderSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkMPIImageReader requires 2 argument(s)");
  vtkMPIImageReader* vtk_pointer = GetVTKPointer<vtkMPIImageReader>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMPIImageReader:display vtkMPIImageReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMPIImageReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMPIImageReader* vtk_pointer = GetVTKPointer<vtkMPIImageReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMPIImageReader:delete vtkMPIImageReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkMPIImageReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMPIImageReader
//@@Section VTKParallel
//@@Usage
//
// vtkMPIImageReader provides the mechanism to read a brick of bytes (or shorts,
// or ints, or floats, or doubles, ...) from a file or series of files.  You can
// use it to read raw image data from files.  You may also be able to subclass
// this to read simple file formats.
//
// What distinguishes this class from vtkImageReader and vtkImageReader2 is that
// it performs synchronized parallel I/O using the MPIIO layer.  This can make a
// huge difference in file read times, especially when reading in parallel from
// a parallel file system.
//
// Dispite the name of this class, vtkMPIImageReader will work even if MPI is
// not available.  If MPI is not available or MPIIO is not available or the
// given Controller is not a vtkMPIController (or NULL), then this class will
// silently work exactly like its superclass.  The point is that you can safely
// use this class in applications that may or may not be compiled with MPI (or
// may or may not actually be run with MPI).
//
//
//To create an instance of class vtkMPIImageReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkMPIImageReader
//@]
//@@Methods
//The class vtkMPIImageReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMPIImageReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMPIImageReader = obj.NewInstance ()|
// \item @|vtkMPIImageReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkMultiProcessController = obj.GetController ()| -  Get/set the multi process controller to use for coordinated reads.  By
// default, set to the global controller.
//// \item @|obj.SetController (vtkMultiProcessController )| -  Get/set the multi process controller to use for coordinated reads.  By
// default, set to the global controller.
////\end{itemize}
//!
