#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMemoryLimitImageDataStreamer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMemoryLimitImageDataStreamer.h"

//@@Signature
//sfunction @vtkMemoryLimitImageDataStreamer:vtkMemoryLimitImageDataStreamer vtkMemoryLimitImageDataStreamerConstructorFunction
//input a
//output p
//@@Parents vtkMemoryLimitImageDataStreamer vtkImageDataStreamer 
ArrayVector vtkMemoryLimitImageDataStreamerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMemoryLimitImageDataStreamer::New(),"vtkMemoryLimitImageDataStreamer",eval);
  } else if (arg[0].className() == "vtkMemoryLimitImageDataStreamer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMemoryLimitImageDataStreamer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMemoryLimitImageDataStreamer");
    vtkMemoryLimitImageDataStreamer*q = reinterpret_cast<vtkMemoryLimitImageDataStreamer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMemoryLimitImageDataStreamer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMemoryLimitImageDataStreamer:GetClassName vtkMemoryLimitImageDataStreamerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMemoryLimitImageDataStreamerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMemoryLimitImageDataStreamer requires 1 argument(s)");
  vtkMemoryLimitImageDataStreamer* vtk_pointer = GetVTKPointer<vtkMemoryLimitImageDataStreamer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMemoryLimitImageDataStreamer:IsA vtkMemoryLimitImageDataStreamerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMemoryLimitImageDataStreamerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMemoryLimitImageDataStreamer requires 2 argument(s)");
  vtkMemoryLimitImageDataStreamer* vtk_pointer = GetVTKPointer<vtkMemoryLimitImageDataStreamer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMemoryLimitImageDataStreamer:NewInstance vtkMemoryLimitImageDataStreamerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMemoryLimitImageDataStreamerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMemoryLimitImageDataStreamer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMemoryLimitImageDataStreamer requires 1 argument(s)");
  vtkMemoryLimitImageDataStreamer* vtk_pointer = GetVTKPointer<vtkMemoryLimitImageDataStreamer>(arg[0]);
  Array retval;
  vtkMemoryLimitImageDataStreamer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMemoryLimitImageDataStreamer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMemoryLimitImageDataStreamer:SafeDownCast vtkMemoryLimitImageDataStreamerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMemoryLimitImageDataStreamerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMemoryLimitImageDataStreamer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMemoryLimitImageDataStreamer requires 2 argument(s)");
  vtkMemoryLimitImageDataStreamer* vtk_pointer = GetVTKPointer<vtkMemoryLimitImageDataStreamer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMemoryLimitImageDataStreamer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMemoryLimitImageDataStreamer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMemoryLimitImageDataStreamer:SetMemoryLimit vtkMemoryLimitImageDataStreamerSetMemoryLimitFunction
//input a0 a1 
//output none
ArrayVector vtkMemoryLimitImageDataStreamerSetMemoryLimitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMemoryLimit (unsigned long ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMemoryLimit for class vtkMemoryLimitImageDataStreamer requires 2 argument(s)");
  vtkMemoryLimitImageDataStreamer* vtk_pointer = GetVTKPointer<vtkMemoryLimitImageDataStreamer>(arg[0]);
  Array retval;
  unsigned long     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  vtk_pointer->SetMemoryLimit(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMemoryLimitImageDataStreamer:GetMemoryLimit vtkMemoryLimitImageDataStreamerGetMemoryLimitFunction
//input a0 
//output y
ArrayVector vtkMemoryLimitImageDataStreamerGetMemoryLimitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long unsigned GetMemoryLimit (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMemoryLimit for class vtkMemoryLimitImageDataStreamer requires 1 argument(s)");
  vtkMemoryLimitImageDataStreamer* vtk_pointer = GetVTKPointer<vtkMemoryLimitImageDataStreamer>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMemoryLimit();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMemoryLimitImageDataStreamer:display vtkMemoryLimitImageDataStreamerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMemoryLimitImageDataStreamerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMemoryLimitImageDataStreamer* vtk_pointer = GetVTKPointer<vtkMemoryLimitImageDataStreamer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMemoryLimitImageDataStreamer:delete vtkMemoryLimitImageDataStreamerDeleteFunction
//input varargin
//output none
ArrayVector vtkMemoryLimitImageDataStreamerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMemoryLimitImageDataStreamer
//@@Section VTKParallel
//@@Usage
// To satisfy a request, this filter calls update on its input
// many times with smaller update extents.  All processing up stream
// streams smaller pieces.
//
//To create an instance of class vtkMemoryLimitImageDataStreamer, simply
//invoke its constructor as follows
//@[
//  obj = vtkMemoryLimitImageDataStreamer
//@]
//@@Methods
//The class vtkMemoryLimitImageDataStreamer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMemoryLimitImageDataStreamer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMemoryLimitImageDataStreamer = obj.NewInstance ()|
// \item @|vtkMemoryLimitImageDataStreamer = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMemoryLimit (long )| -  Set / Get the memory limit in kilobytes.
//// \item @|long = obj.GetMemoryLimit ()| -  Set / Get the memory limit in kilobytes.
////\end{itemize}
//!
