#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMultiProcessController object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMultiProcessController.h"

//@@Signature
//sfunction @vtkMultiProcessController:vtkMultiProcessController vtkMultiProcessControllerConstructorFunction
//input a
//output p
//@@Parents vtkMultiProcessController vtkObject 
ArrayVector vtkMultiProcessControllerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMultiProcessController::New(),"vtkMultiProcessController",eval);
  } else if (arg[0].className() == "vtkMultiProcessController") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMultiProcessController"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMultiProcessController");
    vtkMultiProcessController*q = reinterpret_cast<vtkMultiProcessController*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMultiProcessController");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMultiProcessController:GetClassName vtkMultiProcessControllerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMultiProcessControllerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:IsA vtkMultiProcessControllerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMultiProcessControllerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMultiProcessController requires 2 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:NewInstance vtkMultiProcessControllerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMultiProcessControllerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:SafeDownCast vtkMultiProcessControllerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMultiProcessControllerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMultiProcessController requires 2 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMultiProcessController  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Finalize__1 vtkMultiProcessControllerFinalize__1Function
//input a0 
//output none
ArrayVector vtkMultiProcessControllerFinalize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Finalize () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Finalize__1 for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtk_pointer->Finalize();
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Finalize__2 vtkMultiProcessControllerFinalize__2Function
//input a0 a1 
//output none
ArrayVector vtkMultiProcessControllerFinalize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Finalize (int finalizedExternally) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function Finalize__2 for class vtkMultiProcessController requires 2 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->Finalize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:SetNumberOfProcesses vtkMultiProcessControllerSetNumberOfProcessesFunction
//input a0 a1 
//output none
ArrayVector vtkMultiProcessControllerSetNumberOfProcessesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfProcesses (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfProcesses for class vtkMultiProcessController requires 2 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfProcesses(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:GetNumberOfProcesses vtkMultiProcessControllerGetNumberOfProcessesFunction
//input a0 
//output y
ArrayVector vtkMultiProcessControllerGetNumberOfProcessesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfProcesses (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfProcesses for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfProcesses();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:SingleMethodExecute vtkMultiProcessControllerSingleMethodExecuteFunction
//input a0 
//output none
ArrayVector vtkMultiProcessControllerSingleMethodExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SingleMethodExecute () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function SingleMethodExecute for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtk_pointer->SingleMethodExecute();
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:MultipleMethodExecute vtkMultiProcessControllerMultipleMethodExecuteFunction
//input a0 
//output none
ArrayVector vtkMultiProcessControllerMultipleMethodExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MultipleMethodExecute () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function MultipleMethodExecute for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtk_pointer->MultipleMethodExecute();
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:GetLocalProcessId vtkMultiProcessControllerGetLocalProcessIdFunction
//input a0 
//output y
ArrayVector vtkMultiProcessControllerGetLocalProcessIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLocalProcessId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocalProcessId for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLocalProcessId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:GetGlobalController vtkMultiProcessControllerGetGlobalControllerFunction
//input a0 
//output y
ArrayVector vtkMultiProcessControllerGetGlobalControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkMultiProcessController *GetGlobalController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalController for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetGlobalController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:CreateOutputWindow vtkMultiProcessControllerCreateOutputWindowFunction
//input a0 
//output none
ArrayVector vtkMultiProcessControllerCreateOutputWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CreateOutputWindow () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function CreateOutputWindow for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtk_pointer->CreateOutputWindow();
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:CreateSubController vtkMultiProcessControllerCreateSubControllerFunction
//input a0 a1 
//output y
ArrayVector vtkMultiProcessControllerCreateSubControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkMultiProcessController *CreateSubController (vtkProcessGroup *group); */
  if (arg.size() < 2) 
    throw Exception("Function CreateSubController for class vtkMultiProcessController requires 2 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkProcessGroup  *temp0;
  vtkMultiProcessController  *temp20;
  temp0 = GetVTKPointer<vtkProcessGroup>(arg[1]);
  temp20 = (vtk_pointer)->CreateSubController(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:PartitionController vtkMultiProcessControllerPartitionControllerFunction
//input a0 a1 a2 
//output y
ArrayVector vtkMultiProcessControllerPartitionControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkMultiProcessController *PartitionController (int localColor, int localKey); */
  if (arg.size() < 3) 
    throw Exception("Function PartitionController for class vtkMultiProcessController requires 3 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkMultiProcessController  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->PartitionController(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:TriggerBreakRMIs vtkMultiProcessControllerTriggerBreakRMIsFunction
//input a0 
//output none
ArrayVector vtkMultiProcessControllerTriggerBreakRMIsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TriggerBreakRMIs (); */
  if (arg.size() < 1) 
    throw Exception("Function TriggerBreakRMIs for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtk_pointer->TriggerBreakRMIs();
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:TriggerRMI__2 vtkMultiProcessControllerTriggerRMI__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMultiProcessControllerTriggerRMI__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TriggerRMI (int remoteProcessId, const char *arg, int tag);this TriggerRMI remoteProcessId void arg static_cast int strlen arg tag  */
  if (arg.size() < 4) 
    throw Exception("Function TriggerRMI__2 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->TriggerRMI(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:TriggerRMI__3 vtkMultiProcessControllerTriggerRMI__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkMultiProcessControllerTriggerRMI__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TriggerRMI (int remoteProcessId, int tag);this TriggerRMI remoteProcessId NULL tag  */
  if (arg.size() < 3) 
    throw Exception("Function TriggerRMI__3 for class vtkMultiProcessController requires 3 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->TriggerRMI(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:TriggerRMIOnAllChildren__2 vtkMultiProcessControllerTriggerRMIOnAllChildren__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkMultiProcessControllerTriggerRMIOnAllChildren__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TriggerRMIOnAllChildren (const char *arg, int tag);this TriggerRMIOnAllChildren void arg static_cast int strlen arg tag  */
  if (arg.size() < 3) 
    throw Exception("Function TriggerRMIOnAllChildren__2 for class vtkMultiProcessController requires 3 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->TriggerRMIOnAllChildren(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:TriggerRMIOnAllChildren__3 vtkMultiProcessControllerTriggerRMIOnAllChildren__3Function
//input a0 a1 
//output none
ArrayVector vtkMultiProcessControllerTriggerRMIOnAllChildren__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TriggerRMIOnAllChildren (int tag);this TriggerRMIOnAllChildren NULL tag  */
  if (arg.size() < 2) 
    throw Exception("Function TriggerRMIOnAllChildren__3 for class vtkMultiProcessController requires 2 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->TriggerRMIOnAllChildren(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:ProcessRMIs__1 vtkMultiProcessControllerProcessRMIs__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkMultiProcessControllerProcessRMIs__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ProcessRMIs (int reportErrors, int dont_loop); */
  if (arg.size() < 3) 
    throw Exception("Function ProcessRMIs__1 for class vtkMultiProcessController requires 3 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->ProcessRMIs(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:ProcessRMIs__2 vtkMultiProcessControllerProcessRMIs__2Function
//input a0 
//output y
ArrayVector vtkMultiProcessControllerProcessRMIs__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ProcessRMIs (); */
  if (arg.size() < 1) 
    throw Exception("Function ProcessRMIs__2 for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->ProcessRMIs();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:SetBreakFlag vtkMultiProcessControllerSetBreakFlagFunction
//input a0 a1 
//output none
ArrayVector vtkMultiProcessControllerSetBreakFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBreakFlag (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBreakFlag for class vtkMultiProcessController requires 2 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBreakFlag(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:GetBreakFlag vtkMultiProcessControllerGetBreakFlagFunction
//input a0 
//output y
ArrayVector vtkMultiProcessControllerGetBreakFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBreakFlag (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBreakFlag for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBreakFlag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:GetCommunicator vtkMultiProcessControllerGetCommunicatorFunction
//input a0 
//output y
ArrayVector vtkMultiProcessControllerGetCommunicatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCommunicator *GetCommunicator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCommunicator for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkCommunicator  *temp20;
  temp20 = (vtk_pointer)->GetCommunicator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCommunicator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:GetBreakRMITag vtkMultiProcessControllerGetBreakRMITagFunction
//input a0 
//output y
ArrayVector vtkMultiProcessControllerGetBreakRMITagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetBreakRMITag ();return BREAK_RMI_TAG  */
  if (arg.size() < 1) 
    throw Exception("Function GetBreakRMITag for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBreakRMITag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:GetRMITag vtkMultiProcessControllerGetRMITagFunction
//input a0 
//output y
ArrayVector vtkMultiProcessControllerGetRMITagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetRMITag ();return RMI_TAG  */
  if (arg.size() < 1) 
    throw Exception("Function GetRMITag for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRMITag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:GetRMIArgTag vtkMultiProcessControllerGetRMIArgTagFunction
//input a0 
//output y
ArrayVector vtkMultiProcessControllerGetRMIArgTagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetRMIArgTag ();return RMI_ARG_TAG  */
  if (arg.size() < 1) 
    throw Exception("Function GetRMIArgTag for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRMIArgTag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Barrier vtkMultiProcessControllerBarrierFunction
//input a0 
//output none
ArrayVector vtkMultiProcessControllerBarrierFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Barrier (); */
  if (arg.size() < 1) 
    throw Exception("Function Barrier for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtk_pointer->Barrier();
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:SetGlobalController vtkMultiProcessControllerSetGlobalControllerFunction
//input a0 a1 
//output none
ArrayVector vtkMultiProcessControllerSetGlobalControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetGlobalController (vtkMultiProcessController *controller); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobalController for class vtkMultiProcessController requires 2 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetGlobalController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Send__1 vtkMultiProcessControllerSend__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerSend__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (const int *data, vtkIdType length, int remoteProcessId, int tag); */
  if (arg.size() < 5) 
    throw Exception("Function Send__1 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int     *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Send__2 vtkMultiProcessControllerSend__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerSend__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (const unsigned int *data, vtkIdType length, int remoteProcessId, int tag); */
  if (arg.size() < 5) 
    throw Exception("Function Send__2 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned int     *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Send__3 vtkMultiProcessControllerSend__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerSend__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (const unsigned long *data, vtkIdType length, int remoteProcessId, int tag); */
  if (arg.size() < 5) 
    throw Exception("Function Send__3 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned long    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned long)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Send__4 vtkMultiProcessControllerSend__4Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerSend__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (const char *data, vtkIdType length, int remoteProcessId, int tag); */
  if (arg.size() < 5) 
    throw Exception("Function Send__4 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Send__5 vtkMultiProcessControllerSend__5Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerSend__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (const unsigned char *data, vtkIdType length, int remoteProcessId, int tag); */
  if (arg.size() < 5) 
    throw Exception("Function Send__5 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Send__6 vtkMultiProcessControllerSend__6Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerSend__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (const float *data, vtkIdType length, int remoteProcessId, int tag); */
  if (arg.size() < 5) 
    throw Exception("Function Send__6 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  float   *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Send__7 vtkMultiProcessControllerSend__7Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerSend__7Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (const double *data, vtkIdType length, int remoteProcessId, int tag); */
  if (arg.size() < 5) 
    throw Exception("Function Send__7 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  double  *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Send__9 vtkMultiProcessControllerSend__9Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerSend__9Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (vtkDataObject *data, int remoteId, int tag); */
  if (arg.size() < 4) 
    throw Exception("Function Send__9 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Send__10 vtkMultiProcessControllerSend__10Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerSend__10Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Send (vtkDataArray *data, int remoteId, int tag); */
  if (arg.size() < 4) 
    throw Exception("Function Send__10 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Send(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Receive__1 vtkMultiProcessControllerReceive__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerReceive__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (int *data, vtkIdType maxlength, int remoteProcessId, int tag); */
  if (arg.size() < 5) 
    throw Exception("Function Receive__1 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int     *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Receive__2 vtkMultiProcessControllerReceive__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerReceive__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (unsigned int *data, vtkIdType maxlength, int remoteProcessId, int tag); */
  if (arg.size() < 5) 
    throw Exception("Function Receive__2 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned int     *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Receive__3 vtkMultiProcessControllerReceive__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerReceive__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (unsigned long *data, vtkIdType maxlength, int remoteProcessId, int tag); */
  if (arg.size() < 5) 
    throw Exception("Function Receive__3 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned long    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned long)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Receive__4 vtkMultiProcessControllerReceive__4Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerReceive__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (char *data, vtkIdType maxlength, int remoteProcessId, int tag); */
  if (arg.size() < 5) 
    throw Exception("Function Receive__4 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Receive__5 vtkMultiProcessControllerReceive__5Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerReceive__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (unsigned char *data, vtkIdType maxlength, int remoteProcessId, int tag); */
  if (arg.size() < 5) 
    throw Exception("Function Receive__5 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Receive__6 vtkMultiProcessControllerReceive__6Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerReceive__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (float *data, vtkIdType maxlength, int remoteProcessId, int tag); */
  if (arg.size() < 5) 
    throw Exception("Function Receive__6 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  float   *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Receive__7 vtkMultiProcessControllerReceive__7Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerReceive__7Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (double *data, vtkIdType maxlength, int remoteProcessId, int tag); */
  if (arg.size() < 5) 
    throw Exception("Function Receive__7 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  double  *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Receive__9 vtkMultiProcessControllerReceive__9Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerReceive__9Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (vtkDataObject *data, int remoteId, int tag); */
  if (arg.size() < 4) 
    throw Exception("Function Receive__9 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Receive__10 vtkMultiProcessControllerReceive__10Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerReceive__10Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Receive (vtkDataArray *data, int remoteId, int tag); */
  if (arg.size() < 4) 
    throw Exception("Function Receive__10 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Receive(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:ReceiveDataObject vtkMultiProcessControllerReceiveDataObjectFunction
//input a0 a1 a2 
//output y
ArrayVector vtkMultiProcessControllerReceiveDataObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *ReceiveDataObject (int remoteId, int tag); */
  if (arg.size() < 3) 
    throw Exception("Function ReceiveDataObject for class vtkMultiProcessController requires 3 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->ReceiveDataObject(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:GetCount vtkMultiProcessControllerGetCountFunction
//input a0 
//output y
ArrayVector vtkMultiProcessControllerGetCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCount (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCount for class vtkMultiProcessController requires 1 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Broadcast__1 vtkMultiProcessControllerBroadcast__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerBroadcast__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (int *data, vtkIdType length, int srcProcessId);return this Communicator Broadcast data length srcProcessId  */
  if (arg.size() < 4) 
    throw Exception("Function Broadcast__1 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int     *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Broadcast__2 vtkMultiProcessControllerBroadcast__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerBroadcast__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (unsigned long *data, vtkIdType length, int srcProcessId);return this Communicator Broadcast data length srcProcessId  */
  if (arg.size() < 4) 
    throw Exception("Function Broadcast__2 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned long    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned long)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Broadcast__3 vtkMultiProcessControllerBroadcast__3Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerBroadcast__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (unsigned char *data, vtkIdType length, int srcProcessId);return this Communicator Broadcast data length srcProcessId  */
  if (arg.size() < 4) 
    throw Exception("Function Broadcast__3 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Broadcast__4 vtkMultiProcessControllerBroadcast__4Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerBroadcast__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (char *data, vtkIdType length, int srcProcessId);return this Communicator Broadcast data length srcProcessId  */
  if (arg.size() < 4) 
    throw Exception("Function Broadcast__4 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Broadcast__5 vtkMultiProcessControllerBroadcast__5Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerBroadcast__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (float *data, vtkIdType length, int srcProcessId);return this Communicator Broadcast data length srcProcessId  */
  if (arg.size() < 4) 
    throw Exception("Function Broadcast__5 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  float   *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Broadcast__6 vtkMultiProcessControllerBroadcast__6Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerBroadcast__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (double *data, vtkIdType length, int srcProcessId);return this Communicator Broadcast data length srcProcessId  */
  if (arg.size() < 4) 
    throw Exception("Function Broadcast__6 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  double  *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Broadcast__8 vtkMultiProcessControllerBroadcast__8Function
//input a0 a1 a2 
//output y
ArrayVector vtkMultiProcessControllerBroadcast__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (vtkDataObject *data, int srcProcessId);return this Communicator Broadcast data srcProcessId  */
  if (arg.size() < 3) 
    throw Exception("Function Broadcast__8 for class vtkMultiProcessController requires 3 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Broadcast__9 vtkMultiProcessControllerBroadcast__9Function
//input a0 a1 a2 
//output y
ArrayVector vtkMultiProcessControllerBroadcast__9Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (vtkDataArray *data, int srcProcessId);return this Communicator Broadcast data srcProcessId  */
  if (arg.size() < 3) 
    throw Exception("Function Broadcast__9 for class vtkMultiProcessController requires 3 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Gather__1 vtkMultiProcessControllerGather__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerGather__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Gather (const int *sendBuffer, int *recvBuffer, vtkIdType length, int destProcessId);return this Communicator Gather sendBuffer recvBuffer length destProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Gather__1 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Gather(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Gather__2 vtkMultiProcessControllerGather__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerGather__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Gather (const unsigned long *sendBuffer, unsigned long *recvBuffer, vtkIdType length, int destProcessId);return this Communicator Gather sendBuffer recvBuffer length destProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Gather__2 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned long    *temp0;
  unsigned long    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned long)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned long)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Gather(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Gather__3 vtkMultiProcessControllerGather__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerGather__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Gather (const unsigned char *sendBuffer, unsigned char *recvBuffer, vtkIdType length, int destProcessId);return this Communicator Gather sendBuffer recvBuffer length destProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Gather__3 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned char)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Gather(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Gather__4 vtkMultiProcessControllerGather__4Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerGather__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Gather (const char *sendBuffer, char *recvBuffer, vtkIdType length, int destProcessId);return this Communicator Gather sendBuffer recvBuffer length destProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Gather__4 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Gather(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Gather__5 vtkMultiProcessControllerGather__5Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerGather__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Gather (const float *sendBuffer, float *recvBuffer, vtkIdType length, int destProcessId);return this Communicator Gather sendBuffer recvBuffer length destProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Gather__5 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  float   *temp0;
  float   *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Gather(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Gather__6 vtkMultiProcessControllerGather__6Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerGather__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Gather (const double *sendBuffer, double *recvBuffer, vtkIdType length, int destProcessId);return this Communicator Gather sendBuffer recvBuffer length destProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Gather__6 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Gather(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Gather__8 vtkMultiProcessControllerGather__8Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerGather__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Gather (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int destProcessId);return this Communicator Gather sendBuffer recvBuffer destProcessId  */
  if (arg.size() < 4) 
    throw Exception("Function Gather__8 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Gather(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Scatter__1 vtkMultiProcessControllerScatter__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerScatter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Scatter (const int *sendBuffer, int *recvBuffer, vtkIdType length, int srcProcessId);return this Communicator Scatter sendBuffer recvBuffer length srcProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Scatter__1 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Scatter(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Scatter__2 vtkMultiProcessControllerScatter__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerScatter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Scatter (const unsigned long *sendBuffer, unsigned long *recvBuffer, vtkIdType length, int srcProcessId);return this Communicator Scatter sendBuffer recvBuffer length srcProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Scatter__2 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned long    *temp0;
  unsigned long    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned long)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned long)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Scatter(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Scatter__3 vtkMultiProcessControllerScatter__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerScatter__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Scatter (const unsigned char *sendBuffer, unsigned char *recvBuffer, vtkIdType length, int srcProcessId);return this Communicator Scatter sendBuffer recvBuffer length srcProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Scatter__3 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned char)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Scatter(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Scatter__4 vtkMultiProcessControllerScatter__4Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerScatter__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Scatter (const char *sendBuffer, char *recvBuffer, vtkIdType length, int srcProcessId);return this Communicator Scatter sendBuffer recvBuffer length srcProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Scatter__4 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Scatter(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Scatter__5 vtkMultiProcessControllerScatter__5Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerScatter__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Scatter (const float *sendBuffer, float *recvBuffer, vtkIdType length, int srcProcessId);return this Communicator Scatter sendBuffer recvBuffer length srcProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Scatter__5 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  float   *temp0;
  float   *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Scatter(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Scatter__6 vtkMultiProcessControllerScatter__6Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerScatter__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Scatter (const double *sendBuffer, double *recvBuffer, vtkIdType length, int srcProcessId);return this Communicator Scatter sendBuffer recvBuffer length srcProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Scatter__6 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Scatter(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Scatter__8 vtkMultiProcessControllerScatter__8Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerScatter__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Scatter (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int srcProcessId);return this Communicator Scatter sendBuffer recvBuffer srcProcessId  */
  if (arg.size() < 4) 
    throw Exception("Function Scatter__8 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Scatter(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:AllGather__1 vtkMultiProcessControllerAllGather__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerAllGather__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllGather (const int *sendBuffer, int *recvBuffer, vtkIdType length);return this Communicator AllGather sendBuffer recvBuffer length  */
  if (arg.size() < 4) 
    throw Exception("Function AllGather__1 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
  vtkIdType   temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AllGather(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:AllGather__2 vtkMultiProcessControllerAllGather__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerAllGather__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllGather (const unsigned long *sendBuffer, unsigned long *recvBuffer, vtkIdType length);return this Communicator AllGather sendBuffer recvBuffer length  */
  if (arg.size() < 4) 
    throw Exception("Function AllGather__2 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned long    *temp0;
  unsigned long    *temp1;
  vtkIdType   temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned long)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned long)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AllGather(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:AllGather__3 vtkMultiProcessControllerAllGather__3Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerAllGather__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllGather (const unsigned char *sendBuffer, unsigned char *recvBuffer, vtkIdType length);return this Communicator AllGather sendBuffer recvBuffer length  */
  if (arg.size() < 4) 
    throw Exception("Function AllGather__3 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned char    *temp1;
  vtkIdType   temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned char)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AllGather(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:AllGather__4 vtkMultiProcessControllerAllGather__4Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerAllGather__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllGather (const char *sendBuffer, char *recvBuffer, vtkIdType length);return this Communicator AllGather sendBuffer recvBuffer length  */
  if (arg.size() < 4) 
    throw Exception("Function AllGather__4 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AllGather(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:AllGather__5 vtkMultiProcessControllerAllGather__5Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerAllGather__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllGather (const float *sendBuffer, float *recvBuffer, vtkIdType length);return this Communicator AllGather sendBuffer recvBuffer length  */
  if (arg.size() < 4) 
    throw Exception("Function AllGather__5 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  float   *temp0;
  float   *temp1;
  vtkIdType   temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AllGather(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:AllGather__6 vtkMultiProcessControllerAllGather__6Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerAllGather__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllGather (const double *sendBuffer, double *recvBuffer, vtkIdType length);return this Communicator AllGather sendBuffer recvBuffer length  */
  if (arg.size() < 4) 
    throw Exception("Function AllGather__6 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  vtkIdType   temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AllGather(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:AllGather__8 vtkMultiProcessControllerAllGather__8Function
//input a0 a1 a2 
//output y
ArrayVector vtkMultiProcessControllerAllGather__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllGather (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer);return this Communicator AllGather sendBuffer recvBuffer  */
  if (arg.size() < 3) 
    throw Exception("Function AllGather__8 for class vtkMultiProcessController requires 3 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp20 = (vtk_pointer)->AllGather(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Reduce__1 vtkMultiProcessControllerReduce__1Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkMultiProcessControllerReduce__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Reduce (const int *sendBuffer, int *recvBuffer, vtkIdType length, int operation, int destProcessId);return this Communicator Reduce sendBuffer recvBuffer length operation destProcessId  */
  if (arg.size() < 6) 
    throw Exception("Function Reduce__1 for class vtkMultiProcessController requires 6 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->Reduce(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Reduce__2 vtkMultiProcessControllerReduce__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkMultiProcessControllerReduce__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Reduce (const unsigned long *sendBuffer, unsigned long *recvBuffer, vtkIdType length, int operation, int destProcessId);return this Communicator Reduce sendBuffer recvBuffer length operation destProcessId  */
  if (arg.size() < 6) 
    throw Exception("Function Reduce__2 for class vtkMultiProcessController requires 6 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned long    *temp0;
  unsigned long    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned long)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned long)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->Reduce(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Reduce__3 vtkMultiProcessControllerReduce__3Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkMultiProcessControllerReduce__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Reduce (const unsigned char *sendBuffer, unsigned char *recvBuffer, vtkIdType length, int operation, int destProcessId);return this Communicator Reduce sendBuffer recvBuffer length operation destProcessId  */
  if (arg.size() < 6) 
    throw Exception("Function Reduce__3 for class vtkMultiProcessController requires 6 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned char)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->Reduce(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Reduce__4 vtkMultiProcessControllerReduce__4Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkMultiProcessControllerReduce__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Reduce (const char *sendBuffer, char *recvBuffer, vtkIdType length, int operation, int destProcessId);return this Communicator Reduce sendBuffer recvBuffer length operation destProcessId  */
  if (arg.size() < 6) 
    throw Exception("Function Reduce__4 for class vtkMultiProcessController requires 6 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->Reduce(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Reduce__5 vtkMultiProcessControllerReduce__5Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkMultiProcessControllerReduce__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Reduce (const float *sendBuffer, float *recvBuffer, vtkIdType length, int operation, int destProcessId);return this Communicator Reduce sendBuffer recvBuffer length operation destProcessId  */
  if (arg.size() < 6) 
    throw Exception("Function Reduce__5 for class vtkMultiProcessController requires 6 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  float   *temp0;
  float   *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->Reduce(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Reduce__6 vtkMultiProcessControllerReduce__6Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkMultiProcessControllerReduce__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Reduce (const double *sendBuffer, double *recvBuffer, vtkIdType length, int operation, int destProcessId);return this Communicator Reduce sendBuffer recvBuffer length operation destProcessId  */
  if (arg.size() < 6) 
    throw Exception("Function Reduce__6 for class vtkMultiProcessController requires 6 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->Reduce(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Reduce__8 vtkMultiProcessControllerReduce__8Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerReduce__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Reduce (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int operation, int destProcessId);return this Communicator Reduce sendBuffer recvBuffer operation destProcessId  */
  if (arg.size() < 5) 
    throw Exception("Function Reduce__8 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Reduce(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:AllReduce__1 vtkMultiProcessControllerAllReduce__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerAllReduce__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllReduce (const int *sendBuffer, int *recvBuffer, vtkIdType length, int operation);return this Communicator AllReduce sendBuffer recvBuffer length operation  */
  if (arg.size() < 5) 
    throw Exception("Function AllReduce__1 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->AllReduce(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:AllReduce__2 vtkMultiProcessControllerAllReduce__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerAllReduce__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllReduce (const unsigned long *sendBuffer, unsigned long *recvBuffer, vtkIdType length, int operation);return this Communicator AllReduce sendBuffer recvBuffer length operation  */
  if (arg.size() < 5) 
    throw Exception("Function AllReduce__2 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned long    *temp0;
  unsigned long    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned long)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned long[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned long)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->AllReduce(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:AllReduce__3 vtkMultiProcessControllerAllReduce__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerAllReduce__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllReduce (const unsigned char *sendBuffer, unsigned char *recvBuffer, vtkIdType length, int operation);return this Communicator AllReduce sendBuffer recvBuffer length operation  */
  if (arg.size() < 5) 
    throw Exception("Function AllReduce__3 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned char)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->AllReduce(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:AllReduce__4 vtkMultiProcessControllerAllReduce__4Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerAllReduce__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllReduce (const char *sendBuffer, char *recvBuffer, vtkIdType length, int operation);return this Communicator AllReduce sendBuffer recvBuffer length operation  */
  if (arg.size() < 5) 
    throw Exception("Function AllReduce__4 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->AllReduce(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:AllReduce__5 vtkMultiProcessControllerAllReduce__5Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerAllReduce__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllReduce (const float *sendBuffer, float *recvBuffer, vtkIdType length, int operation);return this Communicator AllReduce sendBuffer recvBuffer length operation  */
  if (arg.size() < 5) 
    throw Exception("Function AllReduce__5 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  float   *temp0;
  float   *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->AllReduce(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:AllReduce__6 vtkMultiProcessControllerAllReduce__6Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkMultiProcessControllerAllReduce__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllReduce (const double *sendBuffer, double *recvBuffer, vtkIdType length, int operation);return this Communicator AllReduce sendBuffer recvBuffer length operation  */
  if (arg.size() < 5) 
    throw Exception("Function AllReduce__6 for class vtkMultiProcessController requires 5 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->AllReduce(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:AllReduce__8 vtkMultiProcessControllerAllReduce__8Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiProcessControllerAllReduce__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AllReduce (vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int operation);return this Communicator AllReduce sendBuffer recvBuffer operation  */
  if (arg.size() < 4) 
    throw Exception("Function AllReduce__8 for class vtkMultiProcessController requires 4 argument(s)");
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AllReduce(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiProcessController:Initialize vtkMultiProcessControllerInitializeFunction
//input varargin
//output varargout
ArrayVector vtkMultiProcessControllerInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMultiProcessControllerInitialize");
}

//@@Signature
//sfunction @vtkMultiProcessController:Finalize vtkMultiProcessControllerFinalizeFunction
//input varargin
//output varargout
ArrayVector vtkMultiProcessControllerFinalizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkMultiProcessControllerFinalize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkMultiProcessControllerFinalize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiProcessControllerFinalize");
}

//@@Signature
//sfunction @vtkMultiProcessController:TriggerRMI vtkMultiProcessControllerTriggerRMIFunction
//input varargin
//output varargout
ArrayVector vtkMultiProcessControllerTriggerRMIFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerTriggerRMI__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkMultiProcessControllerTriggerRMI__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiProcessControllerTriggerRMI");
}

//@@Signature
//sfunction @vtkMultiProcessController:TriggerRMIOnAllChildren vtkMultiProcessControllerTriggerRMIOnAllChildrenFunction
//input varargin
//output varargout
ArrayVector vtkMultiProcessControllerTriggerRMIOnAllChildrenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkMultiProcessControllerTriggerRMIOnAllChildren__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkMultiProcessControllerTriggerRMIOnAllChildren__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiProcessControllerTriggerRMIOnAllChildren");
}

//@@Signature
//sfunction @vtkMultiProcessController:ProcessRMIs vtkMultiProcessControllerProcessRMIsFunction
//input varargin
//output varargout
ArrayVector vtkMultiProcessControllerProcessRMIsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkMultiProcessControllerProcessRMIs__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkMultiProcessControllerProcessRMIs__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiProcessControllerProcessRMIs");
}

//@@Signature
//sfunction @vtkMultiProcessController:Send vtkMultiProcessControllerSendFunction
//input varargin
//output varargout
ArrayVector vtkMultiProcessControllerSendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerSend__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerSend__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerSend__3Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerSend__4Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerSend__5Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerSend__6Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerSend__7Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataObject") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerSend__9Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerSend__10Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiProcessControllerSend");
}

//@@Signature
//sfunction @vtkMultiProcessController:Receive vtkMultiProcessControllerReceiveFunction
//input varargin
//output varargout
ArrayVector vtkMultiProcessControllerReceiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerReceive__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerReceive__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerReceive__3Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerReceive__4Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerReceive__5Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerReceive__6Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerReceive__7Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataObject") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerReceive__9Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerReceive__10Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiProcessControllerReceive");
}

//@@Signature
//sfunction @vtkMultiProcessController:Broadcast vtkMultiProcessControllerBroadcastFunction
//input varargin
//output varargout
ArrayVector vtkMultiProcessControllerBroadcastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerBroadcast__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerBroadcast__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerBroadcast__3Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerBroadcast__4Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerBroadcast__5Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerBroadcast__6Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkDataObject") && VTKIsScalarArg(arg[2]))
    return vtkMultiProcessControllerBroadcast__8Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsScalarArg(arg[2]))
    return vtkMultiProcessControllerBroadcast__9Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiProcessControllerBroadcast");
}

//@@Signature
//sfunction @vtkMultiProcessController:Gather vtkMultiProcessControllerGatherFunction
//input varargin
//output varargout
ArrayVector vtkMultiProcessControllerGatherFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerGather__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerGather__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerGather__3Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerGather__4Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerGather__5Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerGather__6Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsClass(arg[2],"vtkDataArray") && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerGather__8Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiProcessControllerGather");
}

//@@Signature
//sfunction @vtkMultiProcessController:GatherV vtkMultiProcessControllerGatherVFunction
//input varargin
//output varargout
ArrayVector vtkMultiProcessControllerGatherVFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMultiProcessControllerGatherV");
}

//@@Signature
//sfunction @vtkMultiProcessController:Scatter vtkMultiProcessControllerScatterFunction
//input varargin
//output varargout
ArrayVector vtkMultiProcessControllerScatterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerScatter__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerScatter__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerScatter__3Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerScatter__4Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerScatter__5Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerScatter__6Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsClass(arg[2],"vtkDataArray") && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerScatter__8Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiProcessControllerScatter");
}

//@@Signature
//sfunction @vtkMultiProcessController:ScatterV vtkMultiProcessControllerScatterVFunction
//input varargin
//output varargout
ArrayVector vtkMultiProcessControllerScatterVFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMultiProcessControllerScatterV");
}

//@@Signature
//sfunction @vtkMultiProcessController:AllGather vtkMultiProcessControllerAllGatherFunction
//input varargin
//output varargout
ArrayVector vtkMultiProcessControllerAllGatherFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerAllGather__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerAllGather__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerAllGather__3Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerAllGather__4Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerAllGather__5Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerAllGather__6Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsClass(arg[2],"vtkDataArray"))
    return vtkMultiProcessControllerAllGather__8Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiProcessControllerAllGather");
}

//@@Signature
//sfunction @vtkMultiProcessController:AllGatherV vtkMultiProcessControllerAllGatherVFunction
//input varargin
//output varargout
ArrayVector vtkMultiProcessControllerAllGatherVFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMultiProcessControllerAllGatherV");
}

//@@Signature
//sfunction @vtkMultiProcessController:Reduce vtkMultiProcessControllerReduceFunction
//input varargin
//output varargout
ArrayVector vtkMultiProcessControllerReduceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkMultiProcessControllerReduce__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkMultiProcessControllerReduce__2Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkMultiProcessControllerReduce__3Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkMultiProcessControllerReduce__4Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkMultiProcessControllerReduce__5Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkMultiProcessControllerReduce__6Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsClass(arg[2],"vtkDataArray") && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerReduce__8Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiProcessControllerReduce");
}

//@@Signature
//sfunction @vtkMultiProcessController:AllReduce vtkMultiProcessControllerAllReduceFunction
//input varargin
//output varargout
ArrayVector vtkMultiProcessControllerAllReduceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerAllReduce__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerAllReduce__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerAllReduce__3Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerAllReduce__4Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerAllReduce__5Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkMultiProcessControllerAllReduce__6Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsClass(arg[2],"vtkDataArray") && VTKIsScalarArg(arg[3]))
    return vtkMultiProcessControllerAllReduce__8Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiProcessControllerAllReduce");
}

//@@Signature
//sfunction @vtkMultiProcessController:display vtkMultiProcessControllerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMultiProcessControllerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMultiProcessController* vtk_pointer = GetVTKPointer<vtkMultiProcessController>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMultiProcessController:delete vtkMultiProcessControllerDeleteFunction
//input varargin
//output none
ArrayVector vtkMultiProcessControllerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMultiProcessController
//@@Section VTKParallel
//@@Usage
// vtkMultiProcessController is used to control multiple processes
// in a distributed computing environment. It has
// methods for executing single/multiple method(s) on multiple processors,
// triggering registered callbacks (Remote Methods) (AddRMI(), TriggerRMI())
// and communication. Please note that the communication is done using
// the communicator which is accessible to the user. Therefore it is
// possible to get the communicator with GetCommunicator() and use
// it to send and receive data. This is the encouraged communication method.
// The internal (RMI) communications are done using a second internal
// communicator (called RMICommunicator).
//
//
//To create an instance of class vtkMultiProcessController, simply
//invoke its constructor as follows
//@[
//  obj = vtkMultiProcessController
//@]
//@@Methods
//The class vtkMultiProcessController has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMultiProcessController class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMultiProcessController = obj.NewInstance ()|
// \item @|vtkMultiProcessController = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Finalize ()| -  This method is for cleaning up.
// If a subclass needs to clean up process communication (i.e. MPI)
// it would over ride this method.
//// \item @|obj.Finalize (int finalizedExternally)| -  This method is for cleaning up.
// If a subclass needs to clean up process communication (i.e. MPI)
// it would over ride this method.  Provided for finalization outside vtk.
//// \item @|obj.SetNumberOfProcesses (int num)| -  Set the number of processes you will be using.  This defaults
// to the maximum number available.  If you set this to a value
// higher than the default, you will get an error.
//// \item @|int = obj.GetNumberOfProcesses ()| -  Set the number of processes you will be using.  This defaults
// to the maximum number available.  If you set this to a value
// higher than the default, you will get an error.
//// \item @|obj.SingleMethodExecute ()| -  Execute the SingleMethod (as define by SetSingleMethod) using
// this->NumberOfProcesses processes.  This will only return when
// all the processes finish executing their methods.
//// \item @|obj.MultipleMethodExecute ()| -  Execute the MultipleMethods (as define by calling SetMultipleMethod
// for each of the required this->NumberOfProcesses methods) using
// this->NumberOfProcesses processes.
//// \item @|int = obj.GetLocalProcessId ()| -  Tells you which process [0, NumProcess) you are in.
//// \item @|obj.CreateOutputWindow ()| -  This method can be used to tell the controller to create
// a special output window in which all messages are preceded
// by the process id.
//// \item @|vtkMultiProcessController = obj.CreateSubController (vtkProcessGroup group)| -  Creates a new controller with the processes specified by the given group.
// The new controller will already be initialized for you.  You are
// responsible for deleting the controller once you are done.  It is invalid
// to pass this method a group with a different communicator than is used by
// this controller.  This operation is collective accross all processes
// defined in the group.  It is undefined what will happen if the group is not
// the same on all processes.  This method must be called by all processes in
// the controller regardless of whether they are in the group.  NULL is
// returned on all process not in the group.
//// \item @|vtkMultiProcessController = obj.PartitionController (int localColor, int localKey)| -  Partitions this controller based on a coloring.  That is, each process
// passes in a color.  All processes with the same color are grouped into the
// same partition.  The processes are ordered by their self-assigned key.
// Lower keys have lower process ids.  Ties are broken by the current process
// ids.  (For example, if all the keys are 0, then the resulting processes
// will be ordered in the same way.)  This method returns a new controller to
// each process that represents the local partition.  This is basically the
// same operation as MPI_Comm_split.
//// \item @|obj.TriggerBreakRMIs ()| -  A conveniance method.  Called on process 0 to break "ProcessRMIs" loop
// on all other processes.
//// \item @|obj.TriggerRMI (int remoteProcessId, string arg, int tag)| -  Convenience method when there is no argument.
//// \item @|obj.TriggerRMI (int remoteProcessId, int tag)| -  This is a convenicence method to trigger an RMI call on all the "children"
// of the current node. The children of the current node can be determined by
// drawing a binary tree starting at node 0 and then assigned nodes ids
// incrementally in a breadth-first fashion from left to right. This is
// designed to be used when trigger an RMI call on all satellites from the
// root node.
//// \item @|obj.TriggerRMIOnAllChildren (string arg, int tag)| -  This is a convenicence method to trigger an RMI call on all the "children"
// of the current node. The children of the current node can be determined by
// drawing a binary tree starting at node 0 and then assigned nodes ids
// incrementally in a breadth-first fashion from left to right. This is
// designed to be used when trigger an RMI call on all satellites from the
// root node.
//// \item @|obj.TriggerRMIOnAllChildren (int tag)| -  Calling this method gives control to the controller to start
// processing RMIs. Possible return values are:
// RMI_NO_ERROR,
// RMI_TAG_ERROR : rmi tag could not be received,
// RMI_ARG_ERROR : rmi arg could not be received.
// If reportErrors is false, no vtkErrorMacro is called.
// ProcessRMIs() calls ProcessRMIs(int) with reportErrors = 0.
// If dont_loop is 1, this call just process one RMI message
// and exits.
//// \item @|int = obj.ProcessRMIs (int reportErrors, int dont_loop)| -  Calling this method gives control to the controller to start
// processing RMIs. Possible return values are:
// RMI_NO_ERROR,
// RMI_TAG_ERROR : rmi tag could not be received,
// RMI_ARG_ERROR : rmi arg could not be received.
// If reportErrors is false, no vtkErrorMacro is called.
// ProcessRMIs() calls ProcessRMIs(int) with reportErrors = 0.
// If dont_loop is 1, this call just process one RMI message
// and exits.
//// \item @|int = obj.ProcessRMIs ()| -  Calling this method gives control to the controller to start
// processing RMIs. Possible return values are:
// RMI_NO_ERROR,
// RMI_TAG_ERROR : rmi tag could not be received,
// RMI_ARG_ERROR : rmi arg could not be received.
// If reportErrors is false, no vtkErrorMacro is called.
// ProcessRMIs() calls ProcessRMIs(int) with reportErrors = 0.
// If dont_loop is 1, this call just process one RMI message
// and exits.
//// \item @|obj.SetBreakFlag (int )| -  Setting this flag to 1 will cause the ProcessRMIs loop to return.
// This also causes vtkUpStreamPorts to return from
// their WaitForUpdate loops.
//// \item @|int = obj.GetBreakFlag ()| -  Setting this flag to 1 will cause the ProcessRMIs loop to return.
// This also causes vtkUpStreamPorts to return from
// their WaitForUpdate loops.
//// \item @|vtkCommunicator = obj.GetCommunicator ()| -  Returns the communicator associated with this controller.
// A default communicator is created in constructor.
//// \item @|obj.Barrier ()| -  This method can be used to synchronize processes.
//// \item @|int = obj.Send (int data, vtkIdType length, int remoteProcessId, int tag)| -  This method sends data to another process.  Tag eliminates ambiguity
// when multiple sends or receives exist in the same process.
// It is recommended to use custom tag number over 100.
// vtkMultiProcessController has reserved tags between 1 and 4.
// vtkCommunicator has reserved tags between 10 and 16.
//// \item @|int = obj.Send (int data, vtkIdType length, int remoteProcessId, int tag)| -  This method sends data to another process.  Tag eliminates ambiguity
// when multiple sends or receives exist in the same process.
// It is recommended to use custom tag number over 100.
// vtkMultiProcessController has reserved tags between 1 and 4.
// vtkCommunicator has reserved tags between 10 and 16.
//// \item @|int = obj.Send (long data, vtkIdType length, int remoteProcessId, int tag)| -  This method sends data to another process.  Tag eliminates ambiguity
// when multiple sends or receives exist in the same process.
// It is recommended to use custom tag number over 100.
// vtkMultiProcessController has reserved tags between 1 and 4.
// vtkCommunicator has reserved tags between 10 and 16.
//// \item @|int = obj.Send (string data, vtkIdType length, int remoteProcessId, int tag)| -  This method sends data to another process.  Tag eliminates ambiguity
// when multiple sends or receives exist in the same process.
// It is recommended to use custom tag number over 100.
// vtkMultiProcessController has reserved tags between 1 and 4.
// vtkCommunicator has reserved tags between 10 and 16.
//// \item @|int = obj.Send (string data, vtkIdType length, int remoteProcessId, int tag)| -  This method sends data to another process.  Tag eliminates ambiguity
// when multiple sends or receives exist in the same process.
// It is recommended to use custom tag number over 100.
// vtkMultiProcessController has reserved tags between 1 and 4.
// vtkCommunicator has reserved tags between 10 and 16.
//// \item @|int = obj.Send (float data, vtkIdType length, int remoteProcessId, int tag)| -  This method sends data to another process.  Tag eliminates ambiguity
// when multiple sends or receives exist in the same process.
// It is recommended to use custom tag number over 100.
// vtkMultiProcessController has reserved tags between 1 and 4.
// vtkCommunicator has reserved tags between 10 and 16.
//// \item @|int = obj.Send (double data, vtkIdType length, int remoteProcessId, int tag)| -  This method sends data to another process.  Tag eliminates ambiguity
// when multiple sends or receives exist in the same process.
// It is recommended to use custom tag number over 100.
// vtkMultiProcessController has reserved tags between 1 and 4.
// vtkCommunicator has reserved tags between 10 and 16.
//// \item @|int = obj.Send (vtkDataObject data, int remoteId, int tag)| -  This method sends data to another process.  Tag eliminates ambiguity
// when multiple sends or receives exist in the same process.
// It is recommended to use custom tag number over 100.
// vtkMultiProcessController has reserved tags between 1 and 4.
// vtkCommunicator has reserved tags between 10 and 16.
//// \item @|int = obj.Send (vtkDataArray data, int remoteId, int tag)| -  This method sends data to another process.  Tag eliminates ambiguity
// when multiple sends or receives exist in the same process.
// It is recommended to use custom tag number over 100.
// vtkMultiProcessController has reserved tags between 1 and 4.
// vtkCommunicator has reserved tags between 10 and 16.
//// \item @|int = obj.Receive (int data, vtkIdType maxlength, int remoteProcessId, int tag)| -  This method receives data from a corresponding send. It blocks
// until the receive is finished.  It calls methods in "data"
// to communicate the sending data. In the overrloads that take in a \c
// maxlength argument, this length is the maximum length of the message to
// receive. If the maxlength is less than the length of the message sent by
// the sender, an error will be flagged. Once a message is received, use the
// GetCount() method to determine the actual size of the data received.
//// \item @|int = obj.Receive (int data, vtkIdType maxlength, int remoteProcessId, int tag)| -  This method receives data from a corresponding send. It blocks
// until the receive is finished.  It calls methods in "data"
// to communicate the sending data. In the overrloads that take in a \c
// maxlength argument, this length is the maximum length of the message to
// receive. If the maxlength is less than the length of the message sent by
// the sender, an error will be flagged. Once a message is received, use the
// GetCount() method to determine the actual size of the data received.
//// \item @|int = obj.Receive (long data, vtkIdType maxlength, int remoteProcessId, int tag)| -  This method receives data from a corresponding send. It blocks
// until the receive is finished.  It calls methods in "data"
// to communicate the sending data. In the overrloads that take in a \c
// maxlength argument, this length is the maximum length of the message to
// receive. If the maxlength is less than the length of the message sent by
// the sender, an error will be flagged. Once a message is received, use the
// GetCount() method to determine the actual size of the data received.
//// \item @|int = obj.Receive (string data, vtkIdType maxlength, int remoteProcessId, int tag)| -  This method receives data from a corresponding send. It blocks
// until the receive is finished.  It calls methods in "data"
// to communicate the sending data. In the overrloads that take in a \c
// maxlength argument, this length is the maximum length of the message to
// receive. If the maxlength is less than the length of the message sent by
// the sender, an error will be flagged. Once a message is received, use the
// GetCount() method to determine the actual size of the data received.
//// \item @|int = obj.Receive (string data, vtkIdType maxlength, int remoteProcessId, int tag)| -  This method receives data from a corresponding send. It blocks
// until the receive is finished.  It calls methods in "data"
// to communicate the sending data. In the overrloads that take in a \c
// maxlength argument, this length is the maximum length of the message to
// receive. If the maxlength is less than the length of the message sent by
// the sender, an error will be flagged. Once a message is received, use the
// GetCount() method to determine the actual size of the data received.
//// \item @|int = obj.Receive (float data, vtkIdType maxlength, int remoteProcessId, int tag)| -  This method receives data from a corresponding send. It blocks
// until the receive is finished.  It calls methods in "data"
// to communicate the sending data. In the overrloads that take in a \c
// maxlength argument, this length is the maximum length of the message to
// receive. If the maxlength is less than the length of the message sent by
// the sender, an error will be flagged. Once a message is received, use the
// GetCount() method to determine the actual size of the data received.
//// \item @|int = obj.Receive (double data, vtkIdType maxlength, int remoteProcessId, int tag)| -  This method receives data from a corresponding send. It blocks
// until the receive is finished.  It calls methods in "data"
// to communicate the sending data. In the overrloads that take in a \c
// maxlength argument, this length is the maximum length of the message to
// receive. If the maxlength is less than the length of the message sent by
// the sender, an error will be flagged. Once a message is received, use the
// GetCount() method to determine the actual size of the data received.
//// \item @|int = obj.Receive (vtkDataObject data, int remoteId, int tag)| -  This method receives data from a corresponding send. It blocks
// until the receive is finished.  It calls methods in "data"
// to communicate the sending data. In the overrloads that take in a \c
// maxlength argument, this length is the maximum length of the message to
// receive. If the maxlength is less than the length of the message sent by
// the sender, an error will be flagged. Once a message is received, use the
// GetCount() method to determine the actual size of the data received.
//// \item @|int = obj.Receive (vtkDataArray data, int remoteId, int tag)| -  This method receives data from a corresponding send. It blocks
// until the receive is finished.  It calls methods in "data"
// to communicate the sending data. In the overrloads that take in a \c
// maxlength argument, this length is the maximum length of the message to
// receive. If the maxlength is less than the length of the message sent by
// the sender, an error will be flagged. Once a message is received, use the
// GetCount() method to determine the actual size of the data received.
//// \item @|vtkDataObject = obj.ReceiveDataObject (int remoteId, int tag)| -  This method receives data from a corresponding send. It blocks
// until the receive is finished.  It calls methods in "data"
// to communicate the sending data. In the overrloads that take in a \c
// maxlength argument, this length is the maximum length of the message to
// receive. If the maxlength is less than the length of the message sent by
// the sender, an error will be flagged. Once a message is received, use the
// GetCount() method to determine the actual size of the data received.
//// \item @|vtkIdType = obj.GetCount ()| -  Returns the number of words received by the most recent Receive().
// Note that this is not the number of bytes received, but the number of items
// of the data-type received by the most recent Receive() eg. if
// Receive(int*,..) was used, then this returns the number of ints received;
// if Receive(double*,..) was used, then this returns the number of doubles
// received etc. The return value is valid only after a successful Receive().
//// \item @|int = obj.Broadcast (int data, vtkIdType length, int srcProcessId)| -  Broadcast sends the array in the process with id \c srcProcessId to all of
// the other processes.  All processes must call these method with the same
// arguments in order for it to complete.
//// \item @|int = obj.Broadcast (long data, vtkIdType length, int srcProcessId)| -  Broadcast sends the array in the process with id \c srcProcessId to all of
// the other processes.  All processes must call these method with the same
// arguments in order for it to complete.
//// \item @|int = obj.Broadcast (string data, vtkIdType length, int srcProcessId)| -  Broadcast sends the array in the process with id \c srcProcessId to all of
// the other processes.  All processes must call these method with the same
// arguments in order for it to complete.
//// \item @|int = obj.Broadcast (string data, vtkIdType length, int srcProcessId)| -  Broadcast sends the array in the process with id \c srcProcessId to all of
// the other processes.  All processes must call these method with the same
// arguments in order for it to complete.
//// \item @|int = obj.Broadcast (float data, vtkIdType length, int srcProcessId)| -  Broadcast sends the array in the process with id \c srcProcessId to all of
// the other processes.  All processes must call these method with the same
// arguments in order for it to complete.
//// \item @|int = obj.Broadcast (double data, vtkIdType length, int srcProcessId)| -  Broadcast sends the array in the process with id \c srcProcessId to all of
// the other processes.  All processes must call these method with the same
// arguments in order for it to complete.
//// \item @|int = obj.Broadcast (vtkDataObject data, int srcProcessId)| -  Broadcast sends the array in the process with id \c srcProcessId to all of
// the other processes.  All processes must call these method with the same
// arguments in order for it to complete.
//// \item @|int = obj.Broadcast (vtkDataArray data, int srcProcessId)| -  Gather collects arrays in the process with id \c destProcessId.  Each
// process (including the destination) sends the contents of its send buffer
// to the destination process.  The destination process receives the
// messages and stores them in rank order.  The \c length argument
// (which must be the same on all processes) is the length of the
// sendBuffers.  The \c recvBuffer (on te destination process) must be of
// length length*numProcesses.  Gather is the inverse operation of Scatter.
//// \item @|int = obj.Gather (int sendBuffer, int recvBuffer, vtkIdType length, int destProcessId)| -  Gather collects arrays in the process with id \c destProcessId.  Each
// process (including the destination) sends the contents of its send buffer
// to the destination process.  The destination process receives the
// messages and stores them in rank order.  The \c length argument
// (which must be the same on all processes) is the length of the
// sendBuffers.  The \c recvBuffer (on te destination process) must be of
// length length*numProcesses.  Gather is the inverse operation of Scatter.
//// \item @|int = obj.Gather (long sendBuffer, long recvBuffer, vtkIdType length, int destProcessId)| -  Gather collects arrays in the process with id \c destProcessId.  Each
// process (including the destination) sends the contents of its send buffer
// to the destination process.  The destination process receives the
// messages and stores them in rank order.  The \c length argument
// (which must be the same on all processes) is the length of the
// sendBuffers.  The \c recvBuffer (on te destination process) must be of
// length length*numProcesses.  Gather is the inverse operation of Scatter.
//// \item @|int = obj.Gather (string sendBuffer, string recvBuffer, vtkIdType length, int destProcessId)| -  Gather collects arrays in the process with id \c destProcessId.  Each
// process (including the destination) sends the contents of its send buffer
// to the destination process.  The destination process receives the
// messages and stores them in rank order.  The \c length argument
// (which must be the same on all processes) is the length of the
// sendBuffers.  The \c recvBuffer (on te destination process) must be of
// length length*numProcesses.  Gather is the inverse operation of Scatter.
//// \item @|int = obj.Gather (string sendBuffer, string recvBuffer, vtkIdType length, int destProcessId)| -  Gather collects arrays in the process with id \c destProcessId.  Each
// process (including the destination) sends the contents of its send buffer
// to the destination process.  The destination process receives the
// messages and stores them in rank order.  The \c length argument
// (which must be the same on all processes) is the length of the
// sendBuffers.  The \c recvBuffer (on te destination process) must be of
// length length*numProcesses.  Gather is the inverse operation of Scatter.
//// \item @|int = obj.Gather (float sendBuffer, float recvBuffer, vtkIdType length, int destProcessId)| -  Gather collects arrays in the process with id \c destProcessId.  Each
// process (including the destination) sends the contents of its send buffer
// to the destination process.  The destination process receives the
// messages and stores them in rank order.  The \c length argument
// (which must be the same on all processes) is the length of the
// sendBuffers.  The \c recvBuffer (on te destination process) must be of
// length length*numProcesses.  Gather is the inverse operation of Scatter.
//// \item @|int = obj.Gather (double sendBuffer, double recvBuffer, vtkIdType length, int destProcessId)| -  Gather collects arrays in the process with id \c destProcessId.  Each
// process (including the destination) sends the contents of its send buffer
// to the destination process.  The destination process receives the
// messages and stores them in rank order.  The \c length argument
// (which must be the same on all processes) is the length of the
// sendBuffers.  The \c recvBuffer (on te destination process) must be of
// length length*numProcesses.  Gather is the inverse operation of Scatter.
//// \item @|int = obj.Gather (vtkDataArray sendBuffer, vtkDataArray recvBuffer, int destProcessId)| -  GatherV is the vector variant of Gather.  It extends the functionality of
// Gather by allowing a varying count of data from each process.
// GatherV collects arrays in the process with id \c destProcessId.  Each
// process (including the destination) sends the contents of its send buffer
// to the destination process.  The destination process receives the
// messages and stores them in rank order.  The \c sendLength argument
// defines how much the local process sends to \c destProcessId and
// \c recvLengths is an array containing the amount \c destProcessId
// receives from each process, in rank order.
//// \item @|int = obj.Scatter (int sendBuffer, int recvBuffer, vtkIdType length, int srcProcessId)| -  Scatter takes an array in the process with id \c srcProcessId and
// distributes it.  Each process (including the source) receives a portion of
// the send buffer.  Process 0 receives the first \c length values, process 1
// receives the second \c length values, and so on.  Scatter is the inverse
// operation of Gather.
//// \item @|int = obj.Scatter (long sendBuffer, long recvBuffer, vtkIdType length, int srcProcessId)| -  Scatter takes an array in the process with id \c srcProcessId and
// distributes it.  Each process (including the source) receives a portion of
// the send buffer.  Process 0 receives the first \c length values, process 1
// receives the second \c length values, and so on.  Scatter is the inverse
// operation of Gather.
//// \item @|int = obj.Scatter (string sendBuffer, string recvBuffer, vtkIdType length, int srcProcessId)| -  Scatter takes an array in the process with id \c srcProcessId and
// distributes it.  Each process (including the source) receives a portion of
// the send buffer.  Process 0 receives the first \c length values, process 1
// receives the second \c length values, and so on.  Scatter is the inverse
// operation of Gather.
//// \item @|int = obj.Scatter (string sendBuffer, string recvBuffer, vtkIdType length, int srcProcessId)| -  Scatter takes an array in the process with id \c srcProcessId and
// distributes it.  Each process (including the source) receives a portion of
// the send buffer.  Process 0 receives the first \c length values, process 1
// receives the second \c length values, and so on.  Scatter is the inverse
// operation of Gather.
//// \item @|int = obj.Scatter (float sendBuffer, float recvBuffer, vtkIdType length, int srcProcessId)| -  Scatter takes an array in the process with id \c srcProcessId and
// distributes it.  Each process (including the source) receives a portion of
// the send buffer.  Process 0 receives the first \c length values, process 1
// receives the second \c length values, and so on.  Scatter is the inverse
// operation of Gather.
//// \item @|int = obj.Scatter (double sendBuffer, double recvBuffer, vtkIdType length, int srcProcessId)| -  Scatter takes an array in the process with id \c srcProcessId and
// distributes it.  Each process (including the source) receives a portion of
// the send buffer.  Process 0 receives the first \c length values, process 1
// receives the second \c length values, and so on.  Scatter is the inverse
// operation of Gather.
//// \item @|int = obj.Scatter (vtkDataArray sendBuffer, vtkDataArray recvBuffer, int srcProcessId)| -  ScatterV is the vector variant of Scatter.  It extends the functionality of
// Scatter by allowing a varying count of data to each process.
// ScatterV takes an array in the process with id \c srcProcessId and
// distributes it.  Each process (including the source) receives a portion of
// the send buffer defined by the \c sendLengths and \c offsets arrays.
//// \item @|int = obj.AllGather (int sendBuffer, int recvBuffer, vtkIdType length)| -  Same as gather except that the result ends up on all processes.
//// \item @|int = obj.AllGather (long sendBuffer, long recvBuffer, vtkIdType length)| -  Same as gather except that the result ends up on all processes.
//// \item @|int = obj.AllGather (string sendBuffer, string recvBuffer, vtkIdType length)| -  Same as gather except that the result ends up on all processes.
//// \item @|int = obj.AllGather (string sendBuffer, string recvBuffer, vtkIdType length)| -  Same as gather except that the result ends up on all processes.
//// \item @|int = obj.AllGather (float sendBuffer, float recvBuffer, vtkIdType length)| -  Same as gather except that the result ends up on all processes.
//// \item @|int = obj.AllGather (double sendBuffer, double recvBuffer, vtkIdType length)| -  Same as gather except that the result ends up on all processes.
//// \item @|int = obj.AllGather (vtkDataArray sendBuffer, vtkDataArray recvBuffer)| -  Same as GatherV except that the result is placed in all processes.
//// \item @|int = obj.Reduce (int sendBuffer, int recvBuffer, vtkIdType length, int operation, int destProcessId)| -  Reduce an array to the given destination process.  This version of Reduce
// takes an identifier defined in the
// vtkCommunicator::StandardOperations enum to define the operation.
//// \item @|int = obj.Reduce (long sendBuffer, long recvBuffer, vtkIdType length, int operation, int destProcessId)| -  Reduce an array to the given destination process.  This version of Reduce
// takes an identifier defined in the
// vtkCommunicator::StandardOperations enum to define the operation.
//// \item @|int = obj.Reduce (string sendBuffer, string recvBuffer, vtkIdType length, int operation, int destProcessId)| -  Reduce an array to the given destination process.  This version of Reduce
// takes an identifier defined in the
// vtkCommunicator::StandardOperations enum to define the operation.
//// \item @|int = obj.Reduce (string sendBuffer, string recvBuffer, vtkIdType length, int operation, int destProcessId)| -  Reduce an array to the given destination process.  This version of Reduce
// takes an identifier defined in the
// vtkCommunicator::StandardOperations enum to define the operation.
//// \item @|int = obj.Reduce (float sendBuffer, float recvBuffer, vtkIdType length, int operation, int destProcessId)| -  Reduce an array to the given destination process.  This version of Reduce
// takes an identifier defined in the
// vtkCommunicator::StandardOperations enum to define the operation.
//// \item @|int = obj.Reduce (double sendBuffer, double recvBuffer, vtkIdType length, int operation, int destProcessId)| -  Reduce an array to the given destination process.  This version of Reduce
// takes an identifier defined in the
// vtkCommunicator::StandardOperations enum to define the operation.
//// \item @|int = obj.Reduce (vtkDataArray sendBuffer, vtkDataArray recvBuffer, int operation, int destProcessId)| -  Same as Reduce except that the result is placed in all of the processes.
//// \item @|int = obj.AllReduce (int sendBuffer, int recvBuffer, vtkIdType length, int operation)| -  Same as Reduce except that the result is placed in all of the processes.
//// \item @|int = obj.AllReduce (long sendBuffer, long recvBuffer, vtkIdType length, int operation)| -  Same as Reduce except that the result is placed in all of the processes.
//// \item @|int = obj.AllReduce (string sendBuffer, string recvBuffer, vtkIdType length, int operation)| -  Same as Reduce except that the result is placed in all of the processes.
//// \item @|int = obj.AllReduce (string sendBuffer, string recvBuffer, vtkIdType length, int operation)| -  Same as Reduce except that the result is placed in all of the processes.
//// \item @|int = obj.AllReduce (float sendBuffer, float recvBuffer, vtkIdType length, int operation)| -  Same as Reduce except that the result is placed in all of the processes.
//// \item @|int = obj.AllReduce (double sendBuffer, double recvBuffer, vtkIdType length, int operation)| -  Same as Reduce except that the result is placed in all of the processes.
//// \item @|int = obj.AllReduce (vtkDataArray sendBuffer, vtkDataArray recvBuffer, int operation)|
//\end{itemize}
//!
