#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPCellDataToPointData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPCellDataToPointData.h"

//@@Signature
//sfunction @vtkPCellDataToPointData:vtkPCellDataToPointData vtkPCellDataToPointDataConstructorFunction
//input a
//output p
//@@Parents vtkPCellDataToPointData vtkCellDataToPointData 
ArrayVector vtkPCellDataToPointDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPCellDataToPointData::New(),"vtkPCellDataToPointData",eval);
  } else if (arg[0].className() == "vtkPCellDataToPointData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPCellDataToPointData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPCellDataToPointData");
    vtkPCellDataToPointData*q = reinterpret_cast<vtkPCellDataToPointData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPCellDataToPointData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPCellDataToPointData:GetClassName vtkPCellDataToPointDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPCellDataToPointDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPCellDataToPointData requires 1 argument(s)");
  vtkPCellDataToPointData* vtk_pointer = GetVTKPointer<vtkPCellDataToPointData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCellDataToPointData:IsA vtkPCellDataToPointDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPCellDataToPointDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPCellDataToPointData requires 2 argument(s)");
  vtkPCellDataToPointData* vtk_pointer = GetVTKPointer<vtkPCellDataToPointData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCellDataToPointData:NewInstance vtkPCellDataToPointDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPCellDataToPointDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPCellDataToPointData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPCellDataToPointData requires 1 argument(s)");
  vtkPCellDataToPointData* vtk_pointer = GetVTKPointer<vtkPCellDataToPointData>(arg[0]);
  Array retval;
  vtkPCellDataToPointData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPCellDataToPointData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPCellDataToPointData:SafeDownCast vtkPCellDataToPointDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPCellDataToPointDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPCellDataToPointData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPCellDataToPointData requires 2 argument(s)");
  vtkPCellDataToPointData* vtk_pointer = GetVTKPointer<vtkPCellDataToPointData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPCellDataToPointData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPCellDataToPointData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPCellDataToPointData:SetPieceInvariant vtkPCellDataToPointDataSetPieceInvariantFunction
//input a0 a1 
//output none
ArrayVector vtkPCellDataToPointDataSetPieceInvariantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPieceInvariant (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPieceInvariant for class vtkPCellDataToPointData requires 2 argument(s)");
  vtkPCellDataToPointData* vtk_pointer = GetVTKPointer<vtkPCellDataToPointData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPieceInvariant(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCellDataToPointData:GetPieceInvariant vtkPCellDataToPointDataGetPieceInvariantFunction
//input a0 
//output y
ArrayVector vtkPCellDataToPointDataGetPieceInvariantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPieceInvariant (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPieceInvariant for class vtkPCellDataToPointData requires 1 argument(s)");
  vtkPCellDataToPointData* vtk_pointer = GetVTKPointer<vtkPCellDataToPointData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPieceInvariant();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCellDataToPointData:PieceInvariantOn vtkPCellDataToPointDataPieceInvariantOnFunction
//input a0 
//output none
ArrayVector vtkPCellDataToPointDataPieceInvariantOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PieceInvariantOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PieceInvariantOn for class vtkPCellDataToPointData requires 1 argument(s)");
  vtkPCellDataToPointData* vtk_pointer = GetVTKPointer<vtkPCellDataToPointData>(arg[0]);
  Array retval;
  vtk_pointer->PieceInvariantOn();
  return retval;
}

//@@Signature
//sfunction @vtkPCellDataToPointData:PieceInvariantOff vtkPCellDataToPointDataPieceInvariantOffFunction
//input a0 
//output none
ArrayVector vtkPCellDataToPointDataPieceInvariantOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PieceInvariantOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PieceInvariantOff for class vtkPCellDataToPointData requires 1 argument(s)");
  vtkPCellDataToPointData* vtk_pointer = GetVTKPointer<vtkPCellDataToPointData>(arg[0]);
  Array retval;
  vtk_pointer->PieceInvariantOff();
  return retval;
}

//@@Signature
//sfunction @vtkPCellDataToPointData:display vtkPCellDataToPointDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPCellDataToPointDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPCellDataToPointData* vtk_pointer = GetVTKPointer<vtkPCellDataToPointData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPCellDataToPointData:delete vtkPCellDataToPointDataDeleteFunction
//input varargin
//output none
ArrayVector vtkPCellDataToPointDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPCellDataToPointData
//@@Section VTKParallel
//@@Usage
// Like it super class, this filter averages the cell data around
// a point to get new point data.  This subclass requests a layer of
// ghost cells to make the results invariant to pieces.  There is a 
// "PieceInvariant" flag that lets the user change the behavior
// of the filter to that of its superclass.
//
//To create an instance of class vtkPCellDataToPointData, simply
//invoke its constructor as follows
//@[
//  obj = vtkPCellDataToPointData
//@]
//@@Methods
//The class vtkPCellDataToPointData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPCellDataToPointData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPCellDataToPointData = obj.NewInstance ()|
// \item @|vtkPCellDataToPointData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPieceInvariant (int )| -  To get piece invariance, this filter has to request an 
// extra ghost level.  By default piece invariance is on.
//// \item @|int = obj.GetPieceInvariant ()| -  To get piece invariance, this filter has to request an 
// extra ghost level.  By default piece invariance is on.
//// \item @|obj.PieceInvariantOn ()| -  To get piece invariance, this filter has to request an 
// extra ghost level.  By default piece invariance is on.
//// \item @|obj.PieceInvariantOff ()| -  To get piece invariance, this filter has to request an 
// extra ghost level.  By default piece invariance is on.
////\end{itemize}
//!
