#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPChacoReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPChacoReader.h"

//@@Signature
//sfunction @vtkPChacoReader:vtkPChacoReader vtkPChacoReaderConstructorFunction
//input a
//output p
//@@Parents vtkPChacoReader vtkChacoReader 
ArrayVector vtkPChacoReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPChacoReader::New(),"vtkPChacoReader",eval);
  } else if (arg[0].className() == "vtkPChacoReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPChacoReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPChacoReader");
    vtkPChacoReader*q = reinterpret_cast<vtkPChacoReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPChacoReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPChacoReader:GetClassName vtkPChacoReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPChacoReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPChacoReader requires 1 argument(s)");
  vtkPChacoReader* vtk_pointer = GetVTKPointer<vtkPChacoReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPChacoReader:IsA vtkPChacoReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPChacoReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPChacoReader requires 2 argument(s)");
  vtkPChacoReader* vtk_pointer = GetVTKPointer<vtkPChacoReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPChacoReader:NewInstance vtkPChacoReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPChacoReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPChacoReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPChacoReader requires 1 argument(s)");
  vtkPChacoReader* vtk_pointer = GetVTKPointer<vtkPChacoReader>(arg[0]);
  Array retval;
  vtkPChacoReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPChacoReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPChacoReader:SafeDownCast vtkPChacoReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPChacoReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPChacoReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPChacoReader requires 2 argument(s)");
  vtkPChacoReader* vtk_pointer = GetVTKPointer<vtkPChacoReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPChacoReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPChacoReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPChacoReader:SetController vtkPChacoReaderSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkPChacoReaderSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetController (vtkMultiProcessController *c); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkPChacoReader requires 2 argument(s)");
  vtkPChacoReader* vtk_pointer = GetVTKPointer<vtkPChacoReader>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPChacoReader:GetController vtkPChacoReaderGetControllerFunction
//input a0 
//output y
ArrayVector vtkPChacoReaderGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkPChacoReader requires 1 argument(s)");
  vtkPChacoReader* vtk_pointer = GetVTKPointer<vtkPChacoReader>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPChacoReader:display vtkPChacoReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPChacoReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPChacoReader* vtk_pointer = GetVTKPointer<vtkPChacoReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPChacoReader:delete vtkPChacoReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkPChacoReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPChacoReader
//@@Section VTKParallel
//@@Usage
// vtkPChacoReader is a unstructured grid source object that reads
// Chaco files.  The file is read by process 0 and converted into
// a vtkUnstructuredGrid.  The vtkDistributedDataFilter is invoked
// to divide the grid among the processes.  
//
//To create an instance of class vtkPChacoReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkPChacoReader
//@]
//@@Methods
//The class vtkPChacoReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPChacoReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPChacoReader = obj.NewInstance ()|
// \item @|vtkPChacoReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetController (vtkMultiProcessController c)|
// \item @|vtkMultiProcessController = obj.GetController ()|
//\end{itemize}
//!
