#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPCosmoHaloFinder object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPCosmoHaloFinder.h"

//@@Signature
//sfunction @vtkPCosmoHaloFinder:vtkPCosmoHaloFinder vtkPCosmoHaloFinderConstructorFunction
//input a
//output p
//@@Parents vtkPCosmoHaloFinder vtkUnstructuredGridAlgorithm 
ArrayVector vtkPCosmoHaloFinderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPCosmoHaloFinder::New(),"vtkPCosmoHaloFinder",eval);
  } else if (arg[0].className() == "vtkPCosmoHaloFinder") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPCosmoHaloFinder"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPCosmoHaloFinder");
    vtkPCosmoHaloFinder*q = reinterpret_cast<vtkPCosmoHaloFinder*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPCosmoHaloFinder");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPCosmoHaloFinder:GetClassName vtkPCosmoHaloFinderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPCosmoHaloFinderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPCosmoHaloFinder requires 1 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:IsA vtkPCosmoHaloFinderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPCosmoHaloFinderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPCosmoHaloFinder requires 2 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:NewInstance vtkPCosmoHaloFinderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPCosmoHaloFinderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPCosmoHaloFinder *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPCosmoHaloFinder requires 1 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  vtkPCosmoHaloFinder  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPCosmoHaloFinder",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:SafeDownCast vtkPCosmoHaloFinderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPCosmoHaloFinderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPCosmoHaloFinder *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPCosmoHaloFinder requires 2 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPCosmoHaloFinder  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPCosmoHaloFinder",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:GetController vtkPCosmoHaloFinderGetControllerFunction
//input a0 
//output y
ArrayVector vtkPCosmoHaloFinderGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkPCosmoHaloFinder requires 1 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:SetController vtkPCosmoHaloFinderSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkPCosmoHaloFinderSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkPCosmoHaloFinder requires 2 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:SetNP vtkPCosmoHaloFinderSetNPFunction
//input a0 a1 
//output none
ArrayVector vtkPCosmoHaloFinderSetNPFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNP (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNP for class vtkPCosmoHaloFinder requires 2 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNP(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:GetNP vtkPCosmoHaloFinderGetNPFunction
//input a0 
//output y
ArrayVector vtkPCosmoHaloFinderGetNPFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNP (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNP for class vtkPCosmoHaloFinder requires 1 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNP();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:SetRL vtkPCosmoHaloFinderSetRLFunction
//input a0 a1 
//output none
ArrayVector vtkPCosmoHaloFinderSetRLFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRL (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRL for class vtkPCosmoHaloFinder requires 2 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRL(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:GetRL vtkPCosmoHaloFinderGetRLFunction
//input a0 
//output y
ArrayVector vtkPCosmoHaloFinderGetRLFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetRL (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRL for class vtkPCosmoHaloFinder requires 1 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetRL();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:SetOverlap vtkPCosmoHaloFinderSetOverlapFunction
//input a0 a1 
//output none
ArrayVector vtkPCosmoHaloFinderSetOverlapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOverlap (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOverlap for class vtkPCosmoHaloFinder requires 2 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOverlap(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:GetOverlap vtkPCosmoHaloFinderGetOverlapFunction
//input a0 
//output y
ArrayVector vtkPCosmoHaloFinderGetOverlapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetOverlap (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOverlap for class vtkPCosmoHaloFinder requires 1 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetOverlap();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:SetPMin vtkPCosmoHaloFinderSetPMinFunction
//input a0 a1 
//output none
ArrayVector vtkPCosmoHaloFinderSetPMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPMin (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPMin for class vtkPCosmoHaloFinder requires 2 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPMin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:GetPMin vtkPCosmoHaloFinderGetPMinFunction
//input a0 
//output y
ArrayVector vtkPCosmoHaloFinderGetPMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPMin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPMin for class vtkPCosmoHaloFinder requires 1 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPMin();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:SetBB vtkPCosmoHaloFinderSetBBFunction
//input a0 a1 
//output none
ArrayVector vtkPCosmoHaloFinderSetBBFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBB (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBB for class vtkPCosmoHaloFinder requires 2 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetBB(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:GetBB vtkPCosmoHaloFinderGetBBFunction
//input a0 
//output y
ArrayVector vtkPCosmoHaloFinderGetBBFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetBB (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBB for class vtkPCosmoHaloFinder requires 1 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetBB();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:SetParticleMass vtkPCosmoHaloFinderSetParticleMassFunction
//input a0 a1 
//output none
ArrayVector vtkPCosmoHaloFinderSetParticleMassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParticleMass (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetParticleMass for class vtkPCosmoHaloFinder requires 2 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetParticleMass(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:GetParticleMass vtkPCosmoHaloFinderGetParticleMassFunction
//input a0 
//output y
ArrayVector vtkPCosmoHaloFinderGetParticleMassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetParticleMass (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParticleMass for class vtkPCosmoHaloFinder requires 1 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetParticleMass();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:SetCopyHaloDataToParticles vtkPCosmoHaloFinderSetCopyHaloDataToParticlesFunction
//input a0 a1 
//output none
ArrayVector vtkPCosmoHaloFinderSetCopyHaloDataToParticlesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCopyHaloDataToParticles (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCopyHaloDataToParticles for class vtkPCosmoHaloFinder requires 2 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCopyHaloDataToParticles(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:GetCopyHaloDataToParticles vtkPCosmoHaloFinderGetCopyHaloDataToParticlesFunction
//input a0 
//output y
ArrayVector vtkPCosmoHaloFinderGetCopyHaloDataToParticlesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCopyHaloDataToParticles (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCopyHaloDataToParticles for class vtkPCosmoHaloFinder requires 1 argument(s)");
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCopyHaloDataToParticles();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoHaloFinder:display vtkPCosmoHaloFinderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPCosmoHaloFinderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPCosmoHaloFinder* vtk_pointer = GetVTKPointer<vtkPCosmoHaloFinder>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPCosmoHaloFinder:delete vtkPCosmoHaloFinderDeleteFunction
//input varargin
//output none
ArrayVector vtkPCosmoHaloFinderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPCosmoHaloFinder
//@@Section VTKParallel
//@@Usage
// vtkPCosmoHaloFinder is a filter object that operates on the unstructured 
// grid of all particles and assigns each particle a halo id.
//
//
//To create an instance of class vtkPCosmoHaloFinder, simply
//invoke its constructor as follows
//@[
//  obj = vtkPCosmoHaloFinder
//@]
//@@Methods
//The class vtkPCosmoHaloFinder has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPCosmoHaloFinder class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPCosmoHaloFinder = obj.NewInstance ()|
// \item @|vtkPCosmoHaloFinder = obj.SafeDownCast (vtkObject o)|
// \item @|vtkMultiProcessController = obj.GetController ()| -  Set the communicator object for interprocess communication
//// \item @|obj.SetController (vtkMultiProcessController )| -  Set the communicator object for interprocess communication
//// \item @|obj.SetNP (int )| -  Specify the number of seeded particles in one dimension (total = np^3)
//// \item @|int = obj.GetNP ()| -  Specify the number of seeded particles in one dimension (total = np^3)
//// \item @|obj.SetRL (float )| -  Specify the physical box dimensions size (rL) (default 91)
//// \item @|float = obj.GetRL ()| -  Specify the physical box dimensions size (rL) (default 91)
//// \item @|obj.SetOverlap (float )| -  Specify the ghost cell spacing (edge boundary of box) (default 5)
//// \item @|float = obj.GetOverlap ()| -  Specify the ghost cell spacing (edge boundary of box) (default 5)
//// \item @|obj.SetPMin (int )| -  Specify the minimum number of particles for a halo (pmin)
//// \item @|int = obj.GetPMin ()| -  Specify the minimum number of particles for a halo (pmin)
//// \item @|obj.SetBB (float )| -  Specify the linking length (bb)
//// \item @|float = obj.GetBB ()| -  Specify the linking length (bb)
//// \item @|obj.SetParticleMass (float )| -  Specify the particle mass
//// \item @|float = obj.GetParticleMass ()| -  Specify the particle mass
//// \item @|obj.SetCopyHaloDataToParticles (int )| -  Copy the halo information to the original particles (Default on)
//// \item @|int = obj.GetCopyHaloDataToParticles ()| -  Copy the halo information to the original particles (Default on)
////\end{itemize}
//!
