#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPCosmoReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPCosmoReader.h"

//@@Signature
//sfunction @vtkPCosmoReader:vtkPCosmoReader vtkPCosmoReaderConstructorFunction
//input a
//output p
//@@Parents vtkPCosmoReader vtkUnstructuredGridAlgorithm 
ArrayVector vtkPCosmoReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPCosmoReader::New(),"vtkPCosmoReader",eval);
  } else if (arg[0].className() == "vtkPCosmoReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPCosmoReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPCosmoReader");
    vtkPCosmoReader*q = reinterpret_cast<vtkPCosmoReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPCosmoReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPCosmoReader:GetClassName vtkPCosmoReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPCosmoReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPCosmoReader requires 1 argument(s)");
  vtkPCosmoReader* vtk_pointer = GetVTKPointer<vtkPCosmoReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoReader:IsA vtkPCosmoReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPCosmoReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPCosmoReader requires 2 argument(s)");
  vtkPCosmoReader* vtk_pointer = GetVTKPointer<vtkPCosmoReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoReader:NewInstance vtkPCosmoReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPCosmoReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPCosmoReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPCosmoReader requires 1 argument(s)");
  vtkPCosmoReader* vtk_pointer = GetVTKPointer<vtkPCosmoReader>(arg[0]);
  Array retval;
  vtkPCosmoReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPCosmoReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoReader:SafeDownCast vtkPCosmoReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPCosmoReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPCosmoReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPCosmoReader requires 2 argument(s)");
  vtkPCosmoReader* vtk_pointer = GetVTKPointer<vtkPCosmoReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPCosmoReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPCosmoReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoReader:SetFileName vtkPCosmoReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkPCosmoReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkPCosmoReader requires 2 argument(s)");
  vtkPCosmoReader* vtk_pointer = GetVTKPointer<vtkPCosmoReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoReader:GetFileName vtkPCosmoReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkPCosmoReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkPCosmoReader requires 1 argument(s)");
  vtkPCosmoReader* vtk_pointer = GetVTKPointer<vtkPCosmoReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoReader:SetRL vtkPCosmoReaderSetRLFunction
//input a0 a1 
//output none
ArrayVector vtkPCosmoReaderSetRLFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRL (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRL for class vtkPCosmoReader requires 2 argument(s)");
  vtkPCosmoReader* vtk_pointer = GetVTKPointer<vtkPCosmoReader>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRL(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoReader:GetRL vtkPCosmoReaderGetRLFunction
//input a0 
//output y
ArrayVector vtkPCosmoReaderGetRLFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetRL (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRL for class vtkPCosmoReader requires 1 argument(s)");
  vtkPCosmoReader* vtk_pointer = GetVTKPointer<vtkPCosmoReader>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetRL();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoReader:SetOverlap vtkPCosmoReaderSetOverlapFunction
//input a0 a1 
//output none
ArrayVector vtkPCosmoReaderSetOverlapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOverlap (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOverlap for class vtkPCosmoReader requires 2 argument(s)");
  vtkPCosmoReader* vtk_pointer = GetVTKPointer<vtkPCosmoReader>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOverlap(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoReader:GetOverlap vtkPCosmoReaderGetOverlapFunction
//input a0 
//output y
ArrayVector vtkPCosmoReaderGetOverlapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetOverlap (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOverlap for class vtkPCosmoReader requires 1 argument(s)");
  vtkPCosmoReader* vtk_pointer = GetVTKPointer<vtkPCosmoReader>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetOverlap();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoReader:SetReadMode vtkPCosmoReaderSetReadModeFunction
//input a0 a1 
//output none
ArrayVector vtkPCosmoReaderSetReadModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadMode for class vtkPCosmoReader requires 2 argument(s)");
  vtkPCosmoReader* vtk_pointer = GetVTKPointer<vtkPCosmoReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoReader:GetReadMode vtkPCosmoReaderGetReadModeFunction
//input a0 
//output y
ArrayVector vtkPCosmoReaderGetReadModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadMode for class vtkPCosmoReader requires 1 argument(s)");
  vtkPCosmoReader* vtk_pointer = GetVTKPointer<vtkPCosmoReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoReader:SetCosmoFormat vtkPCosmoReaderSetCosmoFormatFunction
//input a0 a1 
//output none
ArrayVector vtkPCosmoReaderSetCosmoFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCosmoFormat (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCosmoFormat for class vtkPCosmoReader requires 2 argument(s)");
  vtkPCosmoReader* vtk_pointer = GetVTKPointer<vtkPCosmoReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCosmoFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoReader:GetCosmoFormat vtkPCosmoReaderGetCosmoFormatFunction
//input a0 
//output y
ArrayVector vtkPCosmoReaderGetCosmoFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCosmoFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCosmoFormat for class vtkPCosmoReader requires 1 argument(s)");
  vtkPCosmoReader* vtk_pointer = GetVTKPointer<vtkPCosmoReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCosmoFormat();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoReader:GetController vtkPCosmoReaderGetControllerFunction
//input a0 
//output y
ArrayVector vtkPCosmoReaderGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkPCosmoReader requires 1 argument(s)");
  vtkPCosmoReader* vtk_pointer = GetVTKPointer<vtkPCosmoReader>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoReader:SetController vtkPCosmoReaderSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkPCosmoReaderSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkPCosmoReader requires 2 argument(s)");
  vtkPCosmoReader* vtk_pointer = GetVTKPointer<vtkPCosmoReader>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCosmoReader:display vtkPCosmoReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPCosmoReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPCosmoReader* vtk_pointer = GetVTKPointer<vtkPCosmoReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPCosmoReader:delete vtkPCosmoReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkPCosmoReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPCosmoReader
//@@Section VTKParallel
//@@Usage
// vtkPCosmoReader creates a vtkUnstructuredGrid from a binary cosmology file.
// The file contains fields for:
//     x_position, x_velocity (float)
//     y_position, y_velocity (float)
//     z-position, z_velocity (float)
//     mass (float)
//     identification tag (integer)
//
// If the file contains particle information x,y,z is the location of the
// particle in simulation space with a velocity vector and a mass which
// will be the same for all particles.
//
//
//To create an instance of class vtkPCosmoReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkPCosmoReader
//@]
//@@Methods
//The class vtkPCosmoReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPCosmoReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPCosmoReader = obj.NewInstance ()|
// \item @|vtkPCosmoReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify the name of the cosmology particle binary file to read
//// \item @|string = obj.GetFileName ()| -  Specify the name of the cosmology particle binary file to read
//// \item @|obj.SetRL (float )| -  Specify the physical box dimensions size (rL) (default 91)
//// \item @|float = obj.GetRL ()| -  Specify the physical box dimensions size (rL) (default 91)
//// \item @|obj.SetOverlap (float )| -  Specify the ghost cell spacing (edge boundary of box) (default 5)
//// \item @|float = obj.GetOverlap ()| -  Specify the ghost cell spacing (edge boundary of box) (default 5)
//// \item @|obj.SetReadMode (int )| -  Set the read mode (0 = one-to-one, 1 = default, round-robin)
//// \item @|int = obj.GetReadMode ()| -  Set the read mode (0 = one-to-one, 1 = default, round-robin)
//// \item @|obj.SetCosmoFormat (int )| -  Set the filetype to Gadget or Cosmo read mode (0 = Gadget, 1 = default, Cosmo)
//// \item @|int = obj.GetCosmoFormat ()| -  Set the filetype to Gadget or Cosmo read mode (0 = Gadget, 1 = default, Cosmo)
//// \item @|vtkMultiProcessController = obj.GetController ()| -  Set the communicator object for interprocess communication
//// \item @|obj.SetController (vtkMultiProcessController )| -  Set the communicator object for interprocess communication
////\end{itemize}
//!
