#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPDataSetReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPDataSetReader.h"

//@@Signature
//sfunction @vtkPDataSetReader:vtkPDataSetReader vtkPDataSetReaderConstructorFunction
//input a
//output p
//@@Parents vtkPDataSetReader vtkDataSetAlgorithm 
ArrayVector vtkPDataSetReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPDataSetReader::New(),"vtkPDataSetReader",eval);
  } else if (arg[0].className() == "vtkPDataSetReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPDataSetReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPDataSetReader");
    vtkPDataSetReader*q = reinterpret_cast<vtkPDataSetReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPDataSetReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPDataSetReader:GetClassName vtkPDataSetReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPDataSetReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPDataSetReader requires 1 argument(s)");
  vtkPDataSetReader* vtk_pointer = GetVTKPointer<vtkPDataSetReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetReader:IsA vtkPDataSetReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPDataSetReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPDataSetReader requires 2 argument(s)");
  vtkPDataSetReader* vtk_pointer = GetVTKPointer<vtkPDataSetReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetReader:NewInstance vtkPDataSetReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPDataSetReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPDataSetReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPDataSetReader requires 1 argument(s)");
  vtkPDataSetReader* vtk_pointer = GetVTKPointer<vtkPDataSetReader>(arg[0]);
  Array retval;
  vtkPDataSetReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPDataSetReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetReader:SafeDownCast vtkPDataSetReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPDataSetReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPDataSetReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPDataSetReader requires 2 argument(s)");
  vtkPDataSetReader* vtk_pointer = GetVTKPointer<vtkPDataSetReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPDataSetReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPDataSetReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetReader:SetFileName vtkPDataSetReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkPDataSetReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkPDataSetReader requires 2 argument(s)");
  vtkPDataSetReader* vtk_pointer = GetVTKPointer<vtkPDataSetReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetReader:GetFileName vtkPDataSetReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkPDataSetReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkPDataSetReader requires 1 argument(s)");
  vtkPDataSetReader* vtk_pointer = GetVTKPointer<vtkPDataSetReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetReader:GetDataType vtkPDataSetReaderGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkPDataSetReaderGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkPDataSetReader requires 1 argument(s)");
  vtkPDataSetReader* vtk_pointer = GetVTKPointer<vtkPDataSetReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetReader:CanReadFile vtkPDataSetReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkPDataSetReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CanReadFile (const char *filename); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkPDataSetReader requires 2 argument(s)");
  vtkPDataSetReader* vtk_pointer = GetVTKPointer<vtkPDataSetReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetReader:display vtkPDataSetReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPDataSetReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPDataSetReader* vtk_pointer = GetVTKPointer<vtkPDataSetReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPDataSetReader:delete vtkPDataSetReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkPDataSetReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPDataSetReader
//@@Section VTKParallel
//@@Usage
// vtkPDataSetReader will read a piece of a file, it takes as input 
// a metadata file that lists all of the files in a data set.
//
//To create an instance of class vtkPDataSetReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkPDataSetReader
//@]
//@@Methods
//The class vtkPDataSetReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPDataSetReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPDataSetReader = obj.NewInstance ()|
// \item @|vtkPDataSetReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  This file to open and read.
//// \item @|string = obj.GetFileName ()| -  This file to open and read.
//// \item @|int = obj.GetDataType ()| -  This is set when UpdateInformation is called. 
// It shows the type of the output.
//// \item @|int = obj.CanReadFile (string filename)| -  Called to determine if the file can be read by the reader.
////\end{itemize}
//!
