#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPDataSetWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPDataSetWriter.h"

//@@Signature
//sfunction @vtkPDataSetWriter:vtkPDataSetWriter vtkPDataSetWriterConstructorFunction
//input a
//output p
//@@Parents vtkPDataSetWriter vtkDataSetWriter 
ArrayVector vtkPDataSetWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPDataSetWriter::New(),"vtkPDataSetWriter",eval);
  } else if (arg[0].className() == "vtkPDataSetWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPDataSetWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPDataSetWriter");
    vtkPDataSetWriter*q = reinterpret_cast<vtkPDataSetWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPDataSetWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPDataSetWriter:GetClassName vtkPDataSetWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPDataSetWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPDataSetWriter requires 1 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:IsA vtkPDataSetWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPDataSetWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPDataSetWriter requires 2 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:NewInstance vtkPDataSetWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPDataSetWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPDataSetWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPDataSetWriter requires 1 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  vtkPDataSetWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPDataSetWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:SafeDownCast vtkPDataSetWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPDataSetWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPDataSetWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPDataSetWriter requires 2 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPDataSetWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPDataSetWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:Write vtkPDataSetWriterWriteFunction
//input a0 
//output y
ArrayVector vtkPDataSetWriterWriteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Write (); */
  if (arg.size() < 1) 
    throw Exception("Function Write for class vtkPDataSetWriter requires 1 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->Write();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:SetNumberOfPieces vtkPDataSetWriterSetNumberOfPiecesFunction
//input a0 a1 
//output none
ArrayVector vtkPDataSetWriterSetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPieces (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPieces for class vtkPDataSetWriter requires 2 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPieces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:GetNumberOfPieces vtkPDataSetWriterGetNumberOfPiecesFunction
//input a0 
//output y
ArrayVector vtkPDataSetWriterGetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPieces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPieces for class vtkPDataSetWriter requires 1 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPieces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:SetGhostLevel vtkPDataSetWriterSetGhostLevelFunction
//input a0 a1 
//output none
ArrayVector vtkPDataSetWriterSetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGhostLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGhostLevel for class vtkPDataSetWriter requires 2 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGhostLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:GetGhostLevel vtkPDataSetWriterGetGhostLevelFunction
//input a0 
//output y
ArrayVector vtkPDataSetWriterGetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGhostLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGhostLevel for class vtkPDataSetWriter requires 1 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGhostLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:SetStartPiece vtkPDataSetWriterSetStartPieceFunction
//input a0 a1 
//output none
ArrayVector vtkPDataSetWriterSetStartPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartPiece (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStartPiece for class vtkPDataSetWriter requires 2 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStartPiece(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:GetStartPiece vtkPDataSetWriterGetStartPieceFunction
//input a0 
//output y
ArrayVector vtkPDataSetWriterGetStartPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStartPiece (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartPiece for class vtkPDataSetWriter requires 1 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStartPiece();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:SetEndPiece vtkPDataSetWriterSetEndPieceFunction
//input a0 a1 
//output none
ArrayVector vtkPDataSetWriterSetEndPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEndPiece (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEndPiece for class vtkPDataSetWriter requires 2 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEndPiece(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:GetEndPiece vtkPDataSetWriterGetEndPieceFunction
//input a0 
//output y
ArrayVector vtkPDataSetWriterGetEndPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEndPiece (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndPiece for class vtkPDataSetWriter requires 1 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEndPiece();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:SetFilePattern vtkPDataSetWriterSetFilePatternFunction
//input a0 a1 
//output none
ArrayVector vtkPDataSetWriterSetFilePatternFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilePattern (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFilePattern for class vtkPDataSetWriter requires 2 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFilePattern(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:GetFilePattern vtkPDataSetWriterGetFilePatternFunction
//input a0 
//output y
ArrayVector vtkPDataSetWriterGetFilePatternFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFilePattern (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFilePattern for class vtkPDataSetWriter requires 1 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFilePattern();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:SetUseRelativeFileNames vtkPDataSetWriterSetUseRelativeFileNamesFunction
//input a0 a1 
//output none
ArrayVector vtkPDataSetWriterSetUseRelativeFileNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseRelativeFileNames (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseRelativeFileNames for class vtkPDataSetWriter requires 2 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseRelativeFileNames(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:GetUseRelativeFileNames vtkPDataSetWriterGetUseRelativeFileNamesFunction
//input a0 
//output y
ArrayVector vtkPDataSetWriterGetUseRelativeFileNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseRelativeFileNames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseRelativeFileNames for class vtkPDataSetWriter requires 1 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseRelativeFileNames();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:UseRelativeFileNamesOn vtkPDataSetWriterUseRelativeFileNamesOnFunction
//input a0 
//output none
ArrayVector vtkPDataSetWriterUseRelativeFileNamesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseRelativeFileNamesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseRelativeFileNamesOn for class vtkPDataSetWriter requires 1 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  vtk_pointer->UseRelativeFileNamesOn();
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:UseRelativeFileNamesOff vtkPDataSetWriterUseRelativeFileNamesOffFunction
//input a0 
//output none
ArrayVector vtkPDataSetWriterUseRelativeFileNamesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseRelativeFileNamesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseRelativeFileNamesOff for class vtkPDataSetWriter requires 1 argument(s)");
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  Array retval;
  vtk_pointer->UseRelativeFileNamesOff();
  return retval;
}

//@@Signature
//sfunction @vtkPDataSetWriter:display vtkPDataSetWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPDataSetWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPDataSetWriter* vtk_pointer = GetVTKPointer<vtkPDataSetWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPDataSetWriter:delete vtkPDataSetWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkPDataSetWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPDataSetWriter
//@@Section VTKParallel
//@@Usage
// vtkPDataSetWriter will write a piece of a file, and will also create
// a metadata file that lists all of the files in a data set.
//
//To create an instance of class vtkPDataSetWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPDataSetWriter
//@]
//@@Methods
//The class vtkPDataSetWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPDataSetWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPDataSetWriter = obj.NewInstance ()|
// \item @|vtkPDataSetWriter = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.Write ()| -  Write the pvtk file and cooresponding vtk files.
//// \item @|obj.SetNumberOfPieces (int num)| -  This is how many pieces the whole data set will be divided into.
//// \item @|int = obj.GetNumberOfPieces ()| -  This is how many pieces the whole data set will be divided into.
//// \item @|obj.SetGhostLevel (int )| -  Extra ghost cells will be written out to each piece file
// if this value is larger than 0.
//// \item @|int = obj.GetGhostLevel ()| -  Extra ghost cells will be written out to each piece file
// if this value is larger than 0.
//// \item @|obj.SetStartPiece (int )| -  This is the range of pieces that that this writer is 
// responsible for writing.  All pieces must be written
// by some process.  The process that writes piece 0 also
// writes the pvtk file that lists all the piece file names.
//// \item @|int = obj.GetStartPiece ()| -  This is the range of pieces that that this writer is 
// responsible for writing.  All pieces must be written
// by some process.  The process that writes piece 0 also
// writes the pvtk file that lists all the piece file names.
//// \item @|obj.SetEndPiece (int )| -  This is the range of pieces that that this writer is 
// responsible for writing.  All pieces must be written
// by some process.  The process that writes piece 0 also
// writes the pvtk file that lists all the piece file names.
//// \item @|int = obj.GetEndPiece ()| -  This is the range of pieces that that this writer is 
// responsible for writing.  All pieces must be written
// by some process.  The process that writes piece 0 also
// writes the pvtk file that lists all the piece file names.
//// \item @|obj.SetFilePattern (string )| -  This file pattern uses the file name and piece number
// to contruct a file name for the piece file.
//// \item @|string = obj.GetFilePattern ()| -  This file pattern uses the file name and piece number
// to contruct a file name for the piece file.
//// \item @|obj.SetUseRelativeFileNames (int )| -  This flag determines whether to use absolute paths for the piece files.
// By default the pieces are put in the main directory, and the piece file
// names in the meta data pvtk file are relative to this directory.
// This should make moving the whole lot to another directory, an easier task.
//// \item @|int = obj.GetUseRelativeFileNames ()| -  This flag determines whether to use absolute paths for the piece files.
// By default the pieces are put in the main directory, and the piece file
// names in the meta data pvtk file are relative to this directory.
// This should make moving the whole lot to another directory, an easier task.
//// \item @|obj.UseRelativeFileNamesOn ()| -  This flag determines whether to use absolute paths for the piece files.
// By default the pieces are put in the main directory, and the piece file
// names in the meta data pvtk file are relative to this directory.
// This should make moving the whole lot to another directory, an easier task.
//// \item @|obj.UseRelativeFileNamesOff ()| -  This flag determines whether to use absolute paths for the piece files.
// By default the pieces are put in the main directory, and the piece file
// names in the meta data pvtk file are relative to this directory.
// This should make moving the whole lot to another directory, an easier task.
////\end{itemize}
//!
