#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPImageWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPImageWriter.h"

//@@Signature
//sfunction @vtkPImageWriter:vtkPImageWriter vtkPImageWriterConstructorFunction
//input a
//output p
//@@Parents vtkPImageWriter vtkImageWriter 
ArrayVector vtkPImageWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPImageWriter::New(),"vtkPImageWriter",eval);
  } else if (arg[0].className() == "vtkPImageWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPImageWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPImageWriter");
    vtkPImageWriter*q = reinterpret_cast<vtkPImageWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPImageWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPImageWriter:GetClassName vtkPImageWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPImageWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPImageWriter requires 1 argument(s)");
  vtkPImageWriter* vtk_pointer = GetVTKPointer<vtkPImageWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPImageWriter:IsA vtkPImageWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPImageWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPImageWriter requires 2 argument(s)");
  vtkPImageWriter* vtk_pointer = GetVTKPointer<vtkPImageWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPImageWriter:NewInstance vtkPImageWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPImageWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPImageWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPImageWriter requires 1 argument(s)");
  vtkPImageWriter* vtk_pointer = GetVTKPointer<vtkPImageWriter>(arg[0]);
  Array retval;
  vtkPImageWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPImageWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPImageWriter:SafeDownCast vtkPImageWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPImageWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPImageWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPImageWriter requires 2 argument(s)");
  vtkPImageWriter* vtk_pointer = GetVTKPointer<vtkPImageWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPImageWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPImageWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPImageWriter:SetMemoryLimit vtkPImageWriterSetMemoryLimitFunction
//input a0 a1 
//output none
ArrayVector vtkPImageWriterSetMemoryLimitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMemoryLimit (unsigned long ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMemoryLimit for class vtkPImageWriter requires 2 argument(s)");
  vtkPImageWriter* vtk_pointer = GetVTKPointer<vtkPImageWriter>(arg[0]);
  Array retval;
  unsigned long     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  vtk_pointer->SetMemoryLimit(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPImageWriter:GetMemoryLimit vtkPImageWriterGetMemoryLimitFunction
//input a0 
//output y
ArrayVector vtkPImageWriterGetMemoryLimitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long unsigned GetMemoryLimit (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMemoryLimit for class vtkPImageWriter requires 1 argument(s)");
  vtkPImageWriter* vtk_pointer = GetVTKPointer<vtkPImageWriter>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMemoryLimit();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPImageWriter:RecursiveWrite vtkPImageWriterRecursiveWriteFunction
//input varargin
//output varargout
ArrayVector vtkPImageWriterRecursiveWriteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkPImageWriterRecursiveWrite");
}

//@@Signature
//sfunction @vtkPImageWriter:display vtkPImageWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPImageWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPImageWriter* vtk_pointer = GetVTKPointer<vtkPImageWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPImageWriter:delete vtkPImageWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkPImageWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPImageWriter
//@@Section VTKParallel
//@@Usage
// vtkPImageWriter writes images to files with any data type. The data type of
// the file is the same scalar type as the input.  The dimensionality
// determines whether the data will be written in one or multiple files.
// This class is used as the superclass of most image writing classes 
// such as vtkBMPWriter etc. It supports streaming.
//
//To create an instance of class vtkPImageWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPImageWriter
//@]
//@@Methods
//The class vtkPImageWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPImageWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPImageWriter = obj.NewInstance ()|
// \item @|vtkPImageWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMemoryLimit (long )| -  Set / Get the memory limit in kilobytes. The writer will
// stream to attempt to keep the pipeline size within this limit
//// \item @|long = obj.GetMemoryLimit ()| -  Set / Get the memory limit in kilobytes. The writer will
// stream to attempt to keep the pipeline size within this limit
////\end{itemize}
//!
