#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPKdTree object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPKdTree.h"

//@@Signature
//sfunction @vtkPKdTree:vtkPKdTree vtkPKdTreeConstructorFunction
//input a
//output p
//@@Parents vtkPKdTree vtkKdTree 
ArrayVector vtkPKdTreeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPKdTree::New(),"vtkPKdTree",eval);
  } else if (arg[0].className() == "vtkPKdTree") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPKdTree"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPKdTree");
    vtkPKdTree*q = reinterpret_cast<vtkPKdTree*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPKdTree");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPKdTree:GetClassName vtkPKdTreeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPKdTreeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPKdTree requires 1 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:IsA vtkPKdTreeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPKdTreeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPKdTree requires 2 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:NewInstance vtkPKdTreeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPKdTreeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPKdTree *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPKdTree requires 1 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  vtkPKdTree  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPKdTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:SafeDownCast vtkPKdTreeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPKdTreeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPKdTree *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPKdTree requires 2 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPKdTree  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPKdTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:BuildLocator vtkPKdTreeBuildLocatorFunction
//input a0 
//output none
ArrayVector vtkPKdTreeBuildLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildLocator for class vtkPKdTree requires 1 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  vtk_pointer->BuildLocator();
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetTotalNumberOfCells vtkPKdTreeGetTotalNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkPKdTreeGetTotalNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetTotalNumberOfCells ();return this TotalNumCells  */
  if (arg.size() < 1) 
    throw Exception("Function GetTotalNumberOfCells for class vtkPKdTree requires 1 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetTotalNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:CreateProcessCellCountData vtkPKdTreeCreateProcessCellCountDataFunction
//input a0 
//output y
ArrayVector vtkPKdTreeCreateProcessCellCountDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CreateProcessCellCountData (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateProcessCellCountData for class vtkPKdTree requires 1 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->CreateProcessCellCountData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:CreateGlobalDataArrayBounds vtkPKdTreeCreateGlobalDataArrayBoundsFunction
//input a0 
//output y
ArrayVector vtkPKdTreeCreateGlobalDataArrayBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CreateGlobalDataArrayBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateGlobalDataArrayBounds for class vtkPKdTree requires 1 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->CreateGlobalDataArrayBounds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:SetController vtkPKdTreeSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkPKdTreeSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetController (vtkMultiProcessController *c); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkPKdTree requires 2 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetController vtkPKdTreeGetControllerFunction
//input a0 
//output y
ArrayVector vtkPKdTreeGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkPKdTree requires 1 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetRegionAssignment vtkPKdTreeGetRegionAssignmentFunction
//input a0 
//output y
ArrayVector vtkPKdTreeGetRegionAssignmentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRegionAssignment (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRegionAssignment for class vtkPKdTree requires 1 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRegionAssignment();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:AssignRegions vtkPKdTreeAssignRegionsFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPKdTreeAssignRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AssignRegions (int *map, int numRegions); */
  if (arg.size() < 3) 
    throw Exception("Function AssignRegions for class vtkPKdTree requires 3 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int     *temp0;
  int      temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->AssignRegions(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:AssignRegionsRoundRobin vtkPKdTreeAssignRegionsRoundRobinFunction
//input a0 
//output y
ArrayVector vtkPKdTreeAssignRegionsRoundRobinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AssignRegionsRoundRobin (); */
  if (arg.size() < 1) 
    throw Exception("Function AssignRegionsRoundRobin for class vtkPKdTree requires 1 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->AssignRegionsRoundRobin();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:AssignRegionsContiguous vtkPKdTreeAssignRegionsContiguousFunction
//input a0 
//output y
ArrayVector vtkPKdTreeAssignRegionsContiguousFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AssignRegionsContiguous (); */
  if (arg.size() < 1) 
    throw Exception("Function AssignRegionsContiguous for class vtkPKdTree requires 1 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->AssignRegionsContiguous();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetRegionAssignmentList vtkPKdTreeGetRegionAssignmentListFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPKdTreeGetRegionAssignmentListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRegionAssignmentList (int procId, vtkIntArray *list); */
  if (arg.size() < 3) 
    throw Exception("Function GetRegionAssignmentList for class vtkPKdTree requires 3 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp0;
  vtkIntArray  *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIntArray>(arg[2]);
  temp20 = (vtk_pointer)->GetRegionAssignmentList(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetAllProcessesBorderingOnPoint vtkPKdTreeGetAllProcessesBorderingOnPointFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPKdTreeGetAllProcessesBorderingOnPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetAllProcessesBorderingOnPoint (float x, float y, float z, vtkIntArray *list); */
  if (arg.size() < 5) 
    throw Exception("Function GetAllProcessesBorderingOnPoint for class vtkPKdTree requires 5 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  float    temp0;
  float    temp1;
  float    temp2;
  vtkIntArray  *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkIntArray>(arg[4]);
  vtk_pointer->GetAllProcessesBorderingOnPoint(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetProcessAssignedToRegion vtkPKdTreeGetProcessAssignedToRegionFunction
//input a0 a1 
//output y
ArrayVector vtkPKdTreeGetProcessAssignedToRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProcessAssignedToRegion (int regionId); */
  if (arg.size() < 2) 
    throw Exception("Function GetProcessAssignedToRegion for class vtkPKdTree requires 2 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetProcessAssignedToRegion(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:HasData vtkPKdTreeHasDataFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPKdTreeHasDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int HasData (int processId, int regionId); */
  if (arg.size() < 3) 
    throw Exception("Function HasData for class vtkPKdTree requires 3 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->HasData(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetProcessCellCountForRegion vtkPKdTreeGetProcessCellCountForRegionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPKdTreeGetProcessCellCountForRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProcessCellCountForRegion (int processId, int regionId); */
  if (arg.size() < 3) 
    throw Exception("Function GetProcessCellCountForRegion for class vtkPKdTree requires 3 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetProcessCellCountForRegion(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetTotalProcessesInRegion vtkPKdTreeGetTotalProcessesInRegionFunction
//input a0 a1 
//output y
ArrayVector vtkPKdTreeGetTotalProcessesInRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTotalProcessesInRegion (int regionId); */
  if (arg.size() < 2) 
    throw Exception("Function GetTotalProcessesInRegion for class vtkPKdTree requires 2 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTotalProcessesInRegion(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetProcessListForRegion vtkPKdTreeGetProcessListForRegionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPKdTreeGetProcessListForRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProcessListForRegion (int regionId, vtkIntArray *processes); */
  if (arg.size() < 3) 
    throw Exception("Function GetProcessListForRegion for class vtkPKdTree requires 3 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp0;
  vtkIntArray  *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIntArray>(arg[2]);
  temp20 = (vtk_pointer)->GetProcessListForRegion(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetProcessesCellCountForRegion vtkPKdTreeGetProcessesCellCountForRegionFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPKdTreeGetProcessesCellCountForRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProcessesCellCountForRegion (int regionId, int *count, int len); */
  if (arg.size() < 4) 
    throw Exception("Function GetProcessesCellCountForRegion for class vtkPKdTree requires 4 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp0;
  int     *temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetProcessesCellCountForRegion(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetTotalRegionsForProcess vtkPKdTreeGetTotalRegionsForProcessFunction
//input a0 a1 
//output y
ArrayVector vtkPKdTreeGetTotalRegionsForProcessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTotalRegionsForProcess (int processId); */
  if (arg.size() < 2) 
    throw Exception("Function GetTotalRegionsForProcess for class vtkPKdTree requires 2 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTotalRegionsForProcess(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetRegionListForProcess vtkPKdTreeGetRegionListForProcessFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPKdTreeGetRegionListForProcessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRegionListForProcess (int processId, vtkIntArray *regions); */
  if (arg.size() < 3) 
    throw Exception("Function GetRegionListForProcess for class vtkPKdTree requires 3 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp0;
  vtkIntArray  *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIntArray>(arg[2]);
  temp20 = (vtk_pointer)->GetRegionListForProcess(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetRegionsCellCountForProcess vtkPKdTreeGetRegionsCellCountForProcessFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPKdTreeGetRegionsCellCountForProcessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRegionsCellCountForProcess (int ProcessId, int *count, int len); */
  if (arg.size() < 4) 
    throw Exception("Function GetRegionsCellCountForProcess for class vtkPKdTree requires 4 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp0;
  int     *temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetRegionsCellCountForProcess(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetCellListsForProcessRegions__1 vtkPKdTreeGetCellListsForProcessRegions__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPKdTreeGetCellListsForProcessRegions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellListsForProcessRegions (int ProcessId, int set, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells); */
  if (arg.size() < 5) 
    throw Exception("Function GetCellListsForProcessRegions__1 for class vtkPKdTree requires 5 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkIdList  *temp2;
  vtkIdList  *temp3;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkIdList>(arg[3]);
  temp3 = GetVTKPointer<vtkIdList>(arg[4]);
  temp20 = (vtk_pointer)->GetCellListsForProcessRegions(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetCellListsForProcessRegions__2 vtkPKdTreeGetCellListsForProcessRegions__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPKdTreeGetCellListsForProcessRegions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellListsForProcessRegions (int ProcessId, vtkDataSet *set, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells); */
  if (arg.size() < 5) 
    throw Exception("Function GetCellListsForProcessRegions__2 for class vtkPKdTree requires 5 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataSet  *temp1;
  vtkIdList  *temp2;
  vtkIdList  *temp3;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataSet>(arg[2]);
  temp2 = GetVTKPointer<vtkIdList>(arg[3]);
  temp3 = GetVTKPointer<vtkIdList>(arg[4]);
  temp20 = (vtk_pointer)->GetCellListsForProcessRegions(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetCellListsForProcessRegions__3 vtkPKdTreeGetCellListsForProcessRegions__3Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPKdTreeGetCellListsForProcessRegions__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellListsForProcessRegions (int ProcessId, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells); */
  if (arg.size() < 4) 
    throw Exception("Function GetCellListsForProcessRegions__3 for class vtkPKdTree requires 4 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  temp2 = GetVTKPointer<vtkIdList>(arg[3]);
  temp20 = (vtk_pointer)->GetCellListsForProcessRegions(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:DepthOrderAllProcesses vtkPKdTreeDepthOrderAllProcessesFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPKdTreeDepthOrderAllProcessesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int DepthOrderAllProcesses (double *directionOfProjection, vtkIntArray *orderedList); */
  if (arg.size() < 3) 
    throw Exception("Function DepthOrderAllProcesses for class vtkPKdTree requires 3 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  double  *temp0;
  vtkIntArray  *temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp1 = GetVTKPointer<vtkIntArray>(arg[2]);
  temp20 = (vtk_pointer)->DepthOrderAllProcesses(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:ViewOrderAllProcessesInDirection vtkPKdTreeViewOrderAllProcessesInDirectionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPKdTreeViewOrderAllProcessesInDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ViewOrderAllProcessesInDirection (const double directionOfProjection[3], vtkIntArray *orderedList); */
  if (arg.size() < 3) 
    throw Exception("Function ViewOrderAllProcessesInDirection for class vtkPKdTree requires 3 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIntArray  *temp1;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp1 = GetVTKPointer<vtkIntArray>(arg[4]);
  temp20 = (vtk_pointer)->ViewOrderAllProcessesInDirection(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:ViewOrderAllProcessesFromPosition vtkPKdTreeViewOrderAllProcessesFromPositionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPKdTreeViewOrderAllProcessesFromPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ViewOrderAllProcessesFromPosition (const double cameraPosition[3], vtkIntArray *orderedList); */
  if (arg.size() < 3) 
    throw Exception("Function ViewOrderAllProcessesFromPosition for class vtkPKdTree requires 3 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  double temp0[3];
  vtkIntArray  *temp1;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp1 = GetVTKPointer<vtkIntArray>(arg[4]);
  temp20 = (vtk_pointer)->ViewOrderAllProcessesFromPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetCellArrayGlobalRange__1 vtkPKdTreeGetCellArrayGlobalRange__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkPKdTreeGetCellArrayGlobalRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellArrayGlobalRange (const char *name, float range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellArrayGlobalRange__1 for class vtkPKdTree requires 3 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  char    *temp0;
  float  temp1[2];
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->GetCellArrayGlobalRange(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetPointArrayGlobalRange__1 vtkPKdTreeGetPointArrayGlobalRange__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkPKdTreeGetPointArrayGlobalRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointArrayGlobalRange (const char *name, float range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GetPointArrayGlobalRange__1 for class vtkPKdTree requires 3 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  char    *temp0;
  float  temp1[2];
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->GetPointArrayGlobalRange(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetCellArrayGlobalRange__2 vtkPKdTreeGetCellArrayGlobalRange__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkPKdTreeGetCellArrayGlobalRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellArrayGlobalRange (const char *name, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellArrayGlobalRange__2 for class vtkPKdTree requires 3 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  char    *temp0;
  double temp1[2];
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetCellArrayGlobalRange(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetPointArrayGlobalRange__2 vtkPKdTreeGetPointArrayGlobalRange__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkPKdTreeGetPointArrayGlobalRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointArrayGlobalRange (const char *name, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GetPointArrayGlobalRange__2 for class vtkPKdTree requires 3 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  char    *temp0;
  double temp1[2];
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetPointArrayGlobalRange(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetCellArrayGlobalRange__3 vtkPKdTreeGetCellArrayGlobalRange__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkPKdTreeGetCellArrayGlobalRange__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellArrayGlobalRange (int arrayIndex, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellArrayGlobalRange__3 for class vtkPKdTree requires 3 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetCellArrayGlobalRange(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetPointArrayGlobalRange__3 vtkPKdTreeGetPointArrayGlobalRange__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkPKdTreeGetPointArrayGlobalRange__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointArrayGlobalRange (int arrayIndex, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GetPointArrayGlobalRange__3 for class vtkPKdTree requires 3 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetPointArrayGlobalRange(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetCellArrayGlobalRange__4 vtkPKdTreeGetCellArrayGlobalRange__4Function
//input a0 a1 a2 
//output y
ArrayVector vtkPKdTreeGetCellArrayGlobalRange__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellArrayGlobalRange (int arrayIndex, float range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellArrayGlobalRange__4 for class vtkPKdTree requires 3 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp0;
  float  temp1[2];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->GetCellArrayGlobalRange(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetPointArrayGlobalRange__4 vtkPKdTreeGetPointArrayGlobalRange__4Function
//input a0 a1 a2 
//output y
ArrayVector vtkPKdTreeGetPointArrayGlobalRange__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointArrayGlobalRange (int arrayIndex, float range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GetPointArrayGlobalRange__4 for class vtkPKdTree requires 3 argument(s)");
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  Array retval;
  int      temp0;
  float  temp1[2];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->GetPointArrayGlobalRange(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKdTree:GetCellListsForProcessRegions vtkPKdTreeGetCellListsForProcessRegionsFunction
//input varargin
//output varargout
ArrayVector vtkPKdTreeGetCellListsForProcessRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkIdList") && VTKIsClass(arg[4],"vtkIdList"))
    return vtkPKdTreeGetCellListsForProcessRegions__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataSet") && VTKIsClass(arg[3],"vtkIdList") && VTKIsClass(arg[4],"vtkIdList"))
    return vtkPKdTreeGetCellListsForProcessRegions__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkIdList") && VTKIsClass(arg[3],"vtkIdList"))
    return vtkPKdTreeGetCellListsForProcessRegions__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPKdTreeGetCellListsForProcessRegions");
}

//@@Signature
//sfunction @vtkPKdTree:GetCellArrayGlobalRange vtkPKdTreeGetCellArrayGlobalRangeFunction
//input varargin
//output varargout
ArrayVector vtkPKdTreeGetCellArrayGlobalRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[2]))
    return vtkPKdTreeGetCellArrayGlobalRange__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[2]))
    return vtkPKdTreeGetCellArrayGlobalRange__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPKdTreeGetCellArrayGlobalRange__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPKdTreeGetCellArrayGlobalRange__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPKdTreeGetCellArrayGlobalRange");
}

//@@Signature
//sfunction @vtkPKdTree:GetPointArrayGlobalRange vtkPKdTreeGetPointArrayGlobalRangeFunction
//input varargin
//output varargout
ArrayVector vtkPKdTreeGetPointArrayGlobalRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[2]))
    return vtkPKdTreeGetPointArrayGlobalRange__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[2]))
    return vtkPKdTreeGetPointArrayGlobalRange__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPKdTreeGetPointArrayGlobalRange__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPKdTreeGetPointArrayGlobalRange__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPKdTreeGetPointArrayGlobalRange");
}

//@@Signature
//sfunction @vtkPKdTree:AddEntry vtkPKdTreeAddEntryFunction
//input varargin
//output varargout
ArrayVector vtkPKdTreeAddEntryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkPKdTreeAddEntry");
}

//@@Signature
//sfunction @vtkPKdTree:display vtkPKdTreeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPKdTreeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPKdTree* vtk_pointer = GetVTKPointer<vtkPKdTree>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPKdTree:delete vtkPKdTreeDeleteFunction
//input varargin
//output none
ArrayVector vtkPKdTreeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPKdTree
//@@Section VTKParallel
//@@Usage
//      Build, in parallel, a k-d tree decomposition of one or more
//      vtkDataSets distributed across processors.  We assume each
//      process has read in one portion of a large distributed data set.
//      When done, each process has access to the k-d tree structure, 
//      can obtain information about which process contains 
//      data for each spatial region, and can depth sort the spatial
//      regions.
//
//      This class can also assign spatial regions to processors, based
//      on one of several region assignment schemes.  By default 
//      a contiguous, convex region is assigned to each process.  Several
//      queries return information about how many and what cells I have
//      that lie in a region assigned to another process.
//
//
//To create an instance of class vtkPKdTree, simply
//invoke its constructor as follows
//@[
//  obj = vtkPKdTree
//@]
//@@Methods
//The class vtkPKdTree has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPKdTree class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPKdTree = obj.NewInstance ()|
// \item @|vtkPKdTree = obj.SafeDownCast (vtkObject o)|
// \item @|obj.BuildLocator ()| -    Build the spatial decomposition.  Call this explicitly
//   after changing any parameters affecting the build of the
//   tree.  It must be called by all processes in the parallel
//   application, or it will hang.  
//// \item @|vtkIdType = obj.GetTotalNumberOfCells ()| -    Create tables of counts of cells per process per region.
//   These tables can be accessed with queries like
//   "HasData", "GetProcessCellCountForRegion", and so on.
//   You must have called BuildLocator() beforehand.  This
//   method must be called by all processes or it will hang.
//   Returns 1 on error, 0 when no error.
//// \item @|int = obj.CreateProcessCellCountData ()| -    Create tables of counts of cells per process per region.
//   These tables can be accessed with queries like
//   "HasData", "GetProcessCellCountForRegion", and so on.
//   You must have called BuildLocator() beforehand.  This
//   method must be called by all processes or it will hang.
//   Returns 1 on error, 0 when no error.
//// \item @|int = obj.CreateGlobalDataArrayBounds ()| -    A convenience function which compiles the global 
//   bounds of the data arrays across processes.  
//   These bounds can be accessed with 
//   "GetCellArrayGlobalRange" and "GetPointArrayGlobalRange".
//   This method must be called by all processes or it will hang.
//   Returns 1 on error, 0 when no error.
//// \item @|obj.SetController (vtkMultiProcessController c)| -    Set/Get the communicator object
//// \item @|vtkMultiProcessController = obj.GetController ()| -    Set/Get the communicator object
//// \item @|int = obj.GetRegionAssignment ()| -    The PKdTree class can assign spatial regions to processors after
//   building the k-d tree, using one of several partitioning criteria.
//   These functions Set/Get whether this assignment is computed. 
//   The default is "Off", no assignment is computed.   If "On", and
//   no assignment scheme is specified, contiguous assignment will be
//   computed.  Specifying an assignment scheme (with AssignRegions*())
//   automatically turns on RegionAssignment.
//// \item @|int = obj.AssignRegions (int map, int numRegions)| -    Assign spatial regions to processes via a user defined map.
//   The user-supplied map is indexed by region ID, and provides a
//   process ID for each region. 
//// \item @|int = obj.AssignRegionsRoundRobin ()| -    Let the PKdTree class assign a process to each region in a
//   round robin fashion.  If the k-d tree has not yet been
//   built, the regions will be assigned after BuildLocator executes.
//// \item @|int = obj.AssignRegionsContiguous ()| -     Let the PKdTree class assign a process to each region
//    by assigning contiguous sets of spatial regions to each
//    process.  The set of regions assigned to each process will
//    always have a union that is a convex space (a box).
//    If the k-d tree has not yet been built, the regions
//    will be assigned after BuildLocator executes.
//// \item @|int = obj.GetRegionAssignmentList (int procId, vtkIntArray list)| -     Writes the list of region IDs assigned to the specified
//    process.  Regions IDs start at 0 and increase by 1 from there.
//    Returns the number of regions in the list. 
//// \item @|obj.GetAllProcessesBorderingOnPoint (float x, float y, float z, vtkIntArray list)| -     The k-d tree spatial regions have been assigned to processes.
//    Given a point on the boundary of one of the regions, this
//    method creates a list of all processes whose region
//    boundaries include that point.  This may be required when
//    looking for processes that have cells adjacent to the cells
//    of a given process.
//// \item @|int = obj.GetProcessAssignedToRegion (int regionId)| -     Returns the ID of the process assigned to the region.
//// \item @|int = obj.HasData (int processId, int regionId)| -    Returns 1 if the process has data for the given region,
//   0 otherwise. 
//// \item @|int = obj.GetProcessCellCountForRegion (int processId, int regionId)| -    Returns the number of cells the specified process has in the
//   specified region.  
//// \item @|int = obj.GetTotalProcessesInRegion (int regionId)| -    Returns the total number of processes that have data
//   falling within this spatial region. 
//// \item @|int = obj.GetProcessListForRegion (int regionId, vtkIntArray processes)| -    Adds the list of processes having data for the given
//   region to the supplied list, returns the number of
//   processes added.
//// \item @|int = obj.GetProcessesCellCountForRegion (int regionId, int count, int len)| -    Writes the number of cells each process has for the region
//   to the supplied list of length len.  Returns the number of
//   cell counts written.  The order of the cell counts corresponds
//   to the order of process IDs in the process list returned by
//   GetProcessListForRegion.
//// \item @|int = obj.GetTotalRegionsForProcess (int processId)| -    Returns the total number of spatial regions that a given
//   process has data for. 
//// \item @|int = obj.GetRegionListForProcess (int processId, vtkIntArray regions)| -    Adds the region IDs for which this process has data to
//   the supplied vtkIntArray.  Retruns the number of regions.
//// \item @|int = obj.GetRegionsCellCountForProcess (int ProcessId, int count, int len)| -    Writes to the supplied integer array the number of cells this
//   process has for each region.  Returns the number of
//   cell counts written.  The order of the cell counts corresponds
//   to the order of region IDs in the region list returned by
//   GetRegionListForProcess.
//// \item @|vtkIdType = obj.GetCellListsForProcessRegions (int ProcessId, int set, vtkIdList inRegionCells, vtkIdList onBoundaryCells)| -    After regions have been assigned to processes, I may want to know
//   which cells I have that are in the regions assigned to a particular
//   process.
//
//   This method takes a process ID and two vtkIdLists.  It
//   writes to the first list the IDs of the cells
//   contained in the process' regions.  (That is, their cell
//   centroid is contained in the region.)  To the second list it
//   write the IDs of the cells which intersect the process' regions 
//   but whose cell centroid lies elsewhere.
//
//   The total number of cell IDs written to both lists is returned.  
//   Either list pointer passed in can be NULL, and it will be ignored. 
//   If there are multiple data sets, you must specify which data set
//   you wish cell IDs for.  
//
//   The caller should delete these two lists when done.  This method 
//   uses the cell lists created in vtkKdTree::CreateCellLists().
//   If the cell lists for the process' regions do not exist, this
//   method will first build the cell lists for all regions by calling
//   CreateCellLists().  You must remember to DeleteCellLists() when 
//   done with all calls to this method, as cell lists can require a 
//   great deal of memory.  
//// \item @|vtkIdType = obj.GetCellListsForProcessRegions (int ProcessId, vtkDataSet set, vtkIdList inRegionCells, vtkIdList onBoundaryCells)| -    After regions have been assigned to processes, I may want to know
//   which cells I have that are in the regions assigned to a particular
//   process.
//
//   This method takes a process ID and two vtkIdLists.  It
//   writes to the first list the IDs of the cells
//   contained in the process' regions.  (That is, their cell
//   centroid is contained in the region.)  To the second list it
//   write the IDs of the cells which intersect the process' regions 
//   but whose cell centroid lies elsewhere.
//
//   The total number of cell IDs written to both lists is returned.  
//   Either list pointer passed in can be NULL, and it will be ignored. 
//   If there are multiple data sets, you must specify which data set
//   you wish cell IDs for.  
//
//   The caller should delete these two lists when done.  This method 
//   uses the cell lists created in vtkKdTree::CreateCellLists().
//   If the cell lists for the process' regions do not exist, this
//   method will first build the cell lists for all regions by calling
//   CreateCellLists().  You must remember to DeleteCellLists() when 
//   done with all calls to this method, as cell lists can require a 
//   great deal of memory.  
//// \item @|vtkIdType = obj.GetCellListsForProcessRegions (int ProcessId, vtkIdList inRegionCells, vtkIdList onBoundaryCells)| -    After regions have been assigned to processes, I may want to know
//   which cells I have that are in the regions assigned to a particular
//   process.
//
//   This method takes a process ID and two vtkIdLists.  It
//   writes to the first list the IDs of the cells
//   contained in the process' regions.  (That is, their cell
//   centroid is contained in the region.)  To the second list it
//   write the IDs of the cells which intersect the process' regions 
//   but whose cell centroid lies elsewhere.
//
//   The total number of cell IDs written to both lists is returned.  
//   Either list pointer passed in can be NULL, and it will be ignored. 
//   If there are multiple data sets, you must specify which data set
//   you wish cell IDs for.  
//
//   The caller should delete these two lists when done.  This method 
//   uses the cell lists created in vtkKdTree::CreateCellLists().
//   If the cell lists for the process' regions do not exist, this
//   method will first build the cell lists for all regions by calling
//   CreateCellLists().  You must remember to DeleteCellLists() when 
//   done with all calls to this method, as cell lists can require a 
//   great deal of memory.  
//// \item @|int = obj.DepthOrderAllProcesses (double directionOfProjection, vtkIntArray orderedList)| -  DO NOT CALL.  Deprecated in VTK 5.2.  Use ViewOrderAllProcessesInDirection
// or ViewOrderAllProcessesFromPosition.
//// \item @|int = obj.ViewOrderAllProcessesInDirection (double directionOfProjection[3], vtkIntArray orderedList)| -  Return a list of all processes in order from front to back given a
// vector direction of projection.  Use this to do visibility sorts
// in parallel projection mode. `orderedList' will be resized to the number
// of processes. The return value is the number of processes.
// \pre orderedList_exists: orderedList!=0
//// \item @|int = obj.ViewOrderAllProcessesFromPosition (double cameraPosition[3], vtkIntArray orderedList)| -  Return a list of all processes in order from front to back given a
// camera position.  Use this to do visibility sorts in perspective
// projection mode. `orderedList' will be resized to the number
// of processes. The return value is the number of processes.
// \pre orderedList_exists: orderedList!=0
//// \item @|int = obj.GetCellArrayGlobalRange (string name, float range[2])|
// \item @|int = obj.GetPointArrayGlobalRange (string name, float range[2])|
// \item @|int = obj.GetCellArrayGlobalRange (string name, double range[2])|
// \item @|int = obj.GetPointArrayGlobalRange (string name, double range[2])|
// \item @|int = obj.GetCellArrayGlobalRange (int arrayIndex, double range[2])|
// \item @|int = obj.GetPointArrayGlobalRange (int arrayIndex, double range[2])|
// \item @|int = obj.GetCellArrayGlobalRange (int arrayIndex, float range[2])|
// \item @|int = obj.GetPointArrayGlobalRange (int arrayIndex, float range[2])|
//\end{itemize}
//!
