#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPLinearExtrusionFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPLinearExtrusionFilter.h"

//@@Signature
//sfunction @vtkPLinearExtrusionFilter:vtkPLinearExtrusionFilter vtkPLinearExtrusionFilterConstructorFunction
//input a
//output p
//@@Parents vtkPLinearExtrusionFilter vtkLinearExtrusionFilter 
ArrayVector vtkPLinearExtrusionFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPLinearExtrusionFilter::New(),"vtkPLinearExtrusionFilter",eval);
  } else if (arg[0].className() == "vtkPLinearExtrusionFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPLinearExtrusionFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPLinearExtrusionFilter");
    vtkPLinearExtrusionFilter*q = reinterpret_cast<vtkPLinearExtrusionFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPLinearExtrusionFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPLinearExtrusionFilter:GetClassName vtkPLinearExtrusionFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPLinearExtrusionFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPLinearExtrusionFilter requires 1 argument(s)");
  vtkPLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkPLinearExtrusionFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLinearExtrusionFilter:IsA vtkPLinearExtrusionFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPLinearExtrusionFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPLinearExtrusionFilter requires 2 argument(s)");
  vtkPLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkPLinearExtrusionFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLinearExtrusionFilter:NewInstance vtkPLinearExtrusionFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPLinearExtrusionFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPLinearExtrusionFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPLinearExtrusionFilter requires 1 argument(s)");
  vtkPLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkPLinearExtrusionFilter>(arg[0]);
  Array retval;
  vtkPLinearExtrusionFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPLinearExtrusionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPLinearExtrusionFilter:SafeDownCast vtkPLinearExtrusionFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPLinearExtrusionFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPLinearExtrusionFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPLinearExtrusionFilter requires 2 argument(s)");
  vtkPLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkPLinearExtrusionFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPLinearExtrusionFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPLinearExtrusionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPLinearExtrusionFilter:SetPieceInvariant vtkPLinearExtrusionFilterSetPieceInvariantFunction
//input a0 a1 
//output none
ArrayVector vtkPLinearExtrusionFilterSetPieceInvariantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPieceInvariant (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPieceInvariant for class vtkPLinearExtrusionFilter requires 2 argument(s)");
  vtkPLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkPLinearExtrusionFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPieceInvariant(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLinearExtrusionFilter:GetPieceInvariant vtkPLinearExtrusionFilterGetPieceInvariantFunction
//input a0 
//output y
ArrayVector vtkPLinearExtrusionFilterGetPieceInvariantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPieceInvariant (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPieceInvariant for class vtkPLinearExtrusionFilter requires 1 argument(s)");
  vtkPLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkPLinearExtrusionFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPieceInvariant();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLinearExtrusionFilter:PieceInvariantOn vtkPLinearExtrusionFilterPieceInvariantOnFunction
//input a0 
//output none
ArrayVector vtkPLinearExtrusionFilterPieceInvariantOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PieceInvariantOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PieceInvariantOn for class vtkPLinearExtrusionFilter requires 1 argument(s)");
  vtkPLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkPLinearExtrusionFilter>(arg[0]);
  Array retval;
  vtk_pointer->PieceInvariantOn();
  return retval;
}

//@@Signature
//sfunction @vtkPLinearExtrusionFilter:PieceInvariantOff vtkPLinearExtrusionFilterPieceInvariantOffFunction
//input a0 
//output none
ArrayVector vtkPLinearExtrusionFilterPieceInvariantOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PieceInvariantOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PieceInvariantOff for class vtkPLinearExtrusionFilter requires 1 argument(s)");
  vtkPLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkPLinearExtrusionFilter>(arg[0]);
  Array retval;
  vtk_pointer->PieceInvariantOff();
  return retval;
}

//@@Signature
//sfunction @vtkPLinearExtrusionFilter:display vtkPLinearExtrusionFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPLinearExtrusionFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPLinearExtrusionFilter* vtk_pointer = GetVTKPointer<vtkPLinearExtrusionFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPLinearExtrusionFilter:delete vtkPLinearExtrusionFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkPLinearExtrusionFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPLinearExtrusionFilter
//@@Section VTKParallel
//@@Usage
// vtkPLinearExtrusionFilter is a parallel version of vtkLinearExtrusionFilter.
//
//To create an instance of class vtkPLinearExtrusionFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPLinearExtrusionFilter
//@]
//@@Methods
//The class vtkPLinearExtrusionFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPLinearExtrusionFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPLinearExtrusionFilter = obj.NewInstance ()|
// \item @|vtkPLinearExtrusionFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPieceInvariant (int )|
// \item @|int = obj.GetPieceInvariant ()|
// \item @|obj.PieceInvariantOn ()|
// \item @|obj.PieceInvariantOff ()|
//\end{itemize}
//!
