#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPNrrdReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPNrrdReader.h"

//@@Signature
//sfunction @vtkPNrrdReader:vtkPNrrdReader vtkPNrrdReaderConstructorFunction
//input a
//output p
//@@Parents vtkPNrrdReader vtkMPIImageReader 
ArrayVector vtkPNrrdReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPNrrdReader::New(),"vtkPNrrdReader",eval);
  } else if (arg[0].className() == "vtkPNrrdReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPNrrdReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPNrrdReader");
    vtkPNrrdReader*q = reinterpret_cast<vtkPNrrdReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPNrrdReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPNrrdReader:GetClassName vtkPNrrdReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPNrrdReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPNrrdReader requires 1 argument(s)");
  vtkPNrrdReader* vtk_pointer = GetVTKPointer<vtkPNrrdReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNrrdReader:IsA vtkPNrrdReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPNrrdReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPNrrdReader requires 2 argument(s)");
  vtkPNrrdReader* vtk_pointer = GetVTKPointer<vtkPNrrdReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNrrdReader:NewInstance vtkPNrrdReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPNrrdReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPNrrdReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPNrrdReader requires 1 argument(s)");
  vtkPNrrdReader* vtk_pointer = GetVTKPointer<vtkPNrrdReader>(arg[0]);
  Array retval;
  vtkPNrrdReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPNrrdReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPNrrdReader:SafeDownCast vtkPNrrdReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPNrrdReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPNrrdReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPNrrdReader requires 2 argument(s)");
  vtkPNrrdReader* vtk_pointer = GetVTKPointer<vtkPNrrdReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPNrrdReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPNrrdReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPNrrdReader:CanReadFile vtkPNrrdReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkPNrrdReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CanReadFile (const char *filename); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkPNrrdReader requires 2 argument(s)");
  vtkPNrrdReader* vtk_pointer = GetVTKPointer<vtkPNrrdReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNrrdReader:ReadHeader vtkPNrrdReaderReadHeaderFunction
//input varargin
//output varargout
ArrayVector vtkPNrrdReaderReadHeaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkPNrrdReaderReadHeader");
}

//@@Signature
//sfunction @vtkPNrrdReader:display vtkPNrrdReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPNrrdReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPNrrdReader* vtk_pointer = GetVTKPointer<vtkPNrrdReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPNrrdReader:delete vtkPNrrdReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkPNrrdReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPNrrdReader
//@@Section VTKParallel
//@@Usage
//
// vtkPNrrdReader is a subclass of vtkMPIImageReader that will read Nrrd format
// header information of the image before reading the data.  This means that the
// reader will automatically set information like file dimensions.
//
// .SECTION Bugs
//
// There are several limitations on what type of nrrd files we can read.  This
// reader only supports nrrd files in raw format.  Other encodings like ascii
// and hex will result in errors.  When reading in detached headers, this only
// supports reading one file that is detached.
//
//
//To create an instance of class vtkPNrrdReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkPNrrdReader
//@]
//@@Methods
//The class vtkPNrrdReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPNrrdReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPNrrdReader = obj.NewInstance ()|
// \item @|vtkPNrrdReader = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.CanReadFile (string filename)|
//\end{itemize}
//!
