#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPOPReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPOPReader.h"

//@@Signature
//sfunction @vtkPOPReader:vtkPOPReader vtkPOPReaderConstructorFunction
//input a
//output p
//@@Parents vtkPOPReader vtkStructuredGridAlgorithm 
ArrayVector vtkPOPReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPOPReader::New(),"vtkPOPReader",eval);
  } else if (arg[0].className() == "vtkPOPReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPOPReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPOPReader");
    vtkPOPReader*q = reinterpret_cast<vtkPOPReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPOPReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPOPReader:GetClassName vtkPOPReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPOPReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPOPReader requires 1 argument(s)");
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOPReader:IsA vtkPOPReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPOPReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPOPReader requires 2 argument(s)");
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOPReader:NewInstance vtkPOPReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPOPReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPOPReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPOPReader requires 1 argument(s)");
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  Array retval;
  vtkPOPReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPOPReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPOPReader:SafeDownCast vtkPOPReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPOPReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPOPReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPOPReader requires 2 argument(s)");
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPOPReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPOPReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPOPReader:GetDimensions vtkPOPReaderGetDimensionsFunction
//input a0 
//output y
ArrayVector vtkPOPReaderGetDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensions for class vtkPOPReader requires 1 argument(s)");
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetDimensions();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPOPReader:GetGridFileName vtkPOPReaderGetGridFileNameFunction
//input a0 
//output y
ArrayVector vtkPOPReaderGetGridFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetGridFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGridFileName for class vtkPOPReader requires 1 argument(s)");
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetGridFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOPReader:GetUFlowFileName vtkPOPReaderGetUFlowFileNameFunction
//input a0 
//output y
ArrayVector vtkPOPReaderGetUFlowFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetUFlowFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUFlowFileName for class vtkPOPReader requires 1 argument(s)");
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetUFlowFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOPReader:GetVFlowFileName vtkPOPReaderGetVFlowFileNameFunction
//input a0 
//output y
ArrayVector vtkPOPReaderGetVFlowFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetVFlowFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVFlowFileName for class vtkPOPReader requires 1 argument(s)");
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetVFlowFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOPReader:SetFileName vtkPOPReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkPOPReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkPOPReader requires 2 argument(s)");
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPOPReader:GetFileName vtkPOPReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkPOPReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkPOPReader requires 1 argument(s)");
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOPReader:SetRadius vtkPOPReaderSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkPOPReaderSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkPOPReader requires 2 argument(s)");
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPOPReader:GetRadius vtkPOPReaderGetRadiusFunction
//input a0 
//output y
ArrayVector vtkPOPReaderGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkPOPReader requires 1 argument(s)");
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOPReader:SetClipExtent__1 vtkPOPReaderSetClipExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkPOPReaderSetClipExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClipExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetClipExtent__1 for class vtkPOPReader requires 7 argument(s)");
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetClipExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkPOPReader:SetClipExtent__2 vtkPOPReaderSetClipExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkPOPReaderSetClipExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClipExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetClipExtent__2 for class vtkPOPReader requires 2 argument(s)");
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetClipExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPOPReader:GetClipExtent vtkPOPReaderGetClipExtentFunction
//input a0 
//output y
ArrayVector vtkPOPReaderGetClipExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetClipExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClipExtent for class vtkPOPReader requires 1 argument(s)");
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetClipExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPOPReader:SetNumberOfGhostLevels vtkPOPReaderSetNumberOfGhostLevelsFunction
//input a0 a1 
//output none
ArrayVector vtkPOPReaderSetNumberOfGhostLevelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfGhostLevels (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfGhostLevels for class vtkPOPReader requires 2 argument(s)");
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfGhostLevels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPOPReader:GetNumberOfGhostLevels vtkPOPReaderGetNumberOfGhostLevelsFunction
//input a0 
//output y
ArrayVector vtkPOPReaderGetNumberOfGhostLevelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfGhostLevels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfGhostLevels for class vtkPOPReader requires 1 argument(s)");
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfGhostLevels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOPReader:SetClipExtent vtkPOPReaderSetClipExtentFunction
//input varargin
//output varargout
ArrayVector vtkPOPReaderSetClipExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkPOPReaderSetClipExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPOPReaderSetClipExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPOPReaderSetClipExtent");
}

//@@Signature
//sfunction @vtkPOPReader:display vtkPOPReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPOPReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPOPReader* vtk_pointer = GetVTKPointer<vtkPOPReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPOPReader:delete vtkPOPReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkPOPReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPOPReader
//@@Section VTKParallel
//@@Usage
// vtkPOPReader Just converts from images to a structured grid for now.
//
//To create an instance of class vtkPOPReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkPOPReader
//@]
//@@Methods
//The class vtkPOPReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPOPReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPOPReader = obj.NewInstance ()|
// \item @|vtkPOPReader = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj. GetDimensions ()| -  This is the longitude and latitude dimensions of the structured grid.
//// \item @|string = obj.GetGridFileName ()| -  This file contains the latitude and longitude of the grid.  
// It must be double with no header.
//// \item @|string = obj.GetUFlowFileName ()| -  These files contains the u and v components of the flow.
//// \item @|string = obj.GetVFlowFileName ()| -  These files contains the u and v components of the flow.
//// \item @|obj.SetFileName (string )| -  This file contains information about all the files.
//// \item @|string = obj.GetFileName ()| -  This file contains information about all the files.
//// \item @|obj.SetRadius (double )| -  Radius of the earth.
//// \item @|double = obj.GetRadius ()| -  Radius of the earth.
//// \item @|obj.SetClipExtent (int , int , int , int , int , int )| -  Because the data can be so large, here is an option to clip
// while reading.
//// \item @|obj.SetClipExtent (int  a[6])| -  Because the data can be so large, here is an option to clip
// while reading.
//// \item @|int = obj. GetClipExtent ()| -  Because the data can be so large, here is an option to clip
// while reading.
//// \item @|obj.SetNumberOfGhostLevels (int )| -  Set the number of ghost levels to include in the data
//// \item @|int = obj.GetNumberOfGhostLevels ()| -  Set the number of ghost levels to include in the data
////\end{itemize}
//!
