#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPOpenFOAMReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPOpenFOAMReader.h"

//@@Signature
//sfunction @vtkPOpenFOAMReader:vtkPOpenFOAMReader vtkPOpenFOAMReaderConstructorFunction
//input a
//output p
//@@Parents vtkPOpenFOAMReader vtkOpenFOAMReader 
ArrayVector vtkPOpenFOAMReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPOpenFOAMReader::New(),"vtkPOpenFOAMReader",eval);
  } else if (arg[0].className() == "vtkPOpenFOAMReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPOpenFOAMReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPOpenFOAMReader");
    vtkPOpenFOAMReader*q = reinterpret_cast<vtkPOpenFOAMReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPOpenFOAMReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPOpenFOAMReader:GetClassName vtkPOpenFOAMReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPOpenFOAMReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPOpenFOAMReader requires 1 argument(s)");
  vtkPOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkPOpenFOAMReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOpenFOAMReader:IsA vtkPOpenFOAMReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPOpenFOAMReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPOpenFOAMReader requires 2 argument(s)");
  vtkPOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkPOpenFOAMReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOpenFOAMReader:NewInstance vtkPOpenFOAMReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPOpenFOAMReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPOpenFOAMReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPOpenFOAMReader requires 1 argument(s)");
  vtkPOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkPOpenFOAMReader>(arg[0]);
  Array retval;
  vtkPOpenFOAMReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPOpenFOAMReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPOpenFOAMReader:SafeDownCast vtkPOpenFOAMReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPOpenFOAMReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPOpenFOAMReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPOpenFOAMReader requires 2 argument(s)");
  vtkPOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkPOpenFOAMReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPOpenFOAMReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPOpenFOAMReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPOpenFOAMReader:SetCaseType vtkPOpenFOAMReaderSetCaseTypeFunction
//input a0 a1 
//output none
ArrayVector vtkPOpenFOAMReaderSetCaseTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCaseType (const int t); */
  if (arg.size() < 2) 
    throw Exception("Function SetCaseType for class vtkPOpenFOAMReader requires 2 argument(s)");
  vtkPOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkPOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCaseType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPOpenFOAMReader:SetController vtkPOpenFOAMReaderSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkPOpenFOAMReaderSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkPOpenFOAMReader requires 2 argument(s)");
  vtkPOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkPOpenFOAMReader>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPOpenFOAMReader:GetController vtkPOpenFOAMReaderGetControllerFunction
//input a0 
//output y
ArrayVector vtkPOpenFOAMReaderGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkPOpenFOAMReader requires 1 argument(s)");
  vtkPOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkPOpenFOAMReader>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPOpenFOAMReader:AllGather vtkPOpenFOAMReaderAllGatherFunction
//input varargin
//output varargout
ArrayVector vtkPOpenFOAMReaderAllGatherFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkPOpenFOAMReaderAllGather");
}

//@@Signature
//sfunction @vtkPOpenFOAMReader:display vtkPOpenFOAMReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPOpenFOAMReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkPOpenFOAMReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPOpenFOAMReader:delete vtkPOpenFOAMReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkPOpenFOAMReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPOpenFOAMReader
//@@Section VTKParallel
//@@Usage
// vtkPOpenFOAMReader creates a multiblock dataset. It reads
// parallel-decomposed mesh information and time dependent data.  The
// polyMesh folders contain mesh information. The time folders contain
// transient data for the cells. Each folder can contain any number of
// data files.
//
//To create an instance of class vtkPOpenFOAMReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkPOpenFOAMReader
//@]
//@@Methods
//The class vtkPOpenFOAMReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPOpenFOAMReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPOpenFOAMReader = obj.NewInstance ()|
// \item @|vtkPOpenFOAMReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCaseType (int t)| -  Set and get case type. 0 = decomposed case, 1 = reconstructed case.
//// \item @|obj.SetController (vtkMultiProcessController )| -  Set and get the controller.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  Set and get the controller.
////\end{itemize}
//!
