#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPOutlineCornerFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPOutlineCornerFilter.h"

//@@Signature
//sfunction @vtkPOutlineCornerFilter:vtkPOutlineCornerFilter vtkPOutlineCornerFilterConstructorFunction
//input a
//output p
//@@Parents vtkPOutlineCornerFilter vtkPolyDataAlgorithm 
ArrayVector vtkPOutlineCornerFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPOutlineCornerFilter::New(),"vtkPOutlineCornerFilter",eval);
  } else if (arg[0].className() == "vtkPOutlineCornerFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPOutlineCornerFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPOutlineCornerFilter");
    vtkPOutlineCornerFilter*q = reinterpret_cast<vtkPOutlineCornerFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPOutlineCornerFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPOutlineCornerFilter:GetClassName vtkPOutlineCornerFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPOutlineCornerFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPOutlineCornerFilter requires 1 argument(s)");
  vtkPOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkPOutlineCornerFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOutlineCornerFilter:IsA vtkPOutlineCornerFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPOutlineCornerFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPOutlineCornerFilter requires 2 argument(s)");
  vtkPOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkPOutlineCornerFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOutlineCornerFilter:NewInstance vtkPOutlineCornerFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPOutlineCornerFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPOutlineCornerFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPOutlineCornerFilter requires 1 argument(s)");
  vtkPOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkPOutlineCornerFilter>(arg[0]);
  Array retval;
  vtkPOutlineCornerFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPOutlineCornerFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPOutlineCornerFilter:SafeDownCast vtkPOutlineCornerFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPOutlineCornerFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPOutlineCornerFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPOutlineCornerFilter requires 2 argument(s)");
  vtkPOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkPOutlineCornerFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPOutlineCornerFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPOutlineCornerFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPOutlineCornerFilter:SetCornerFactor vtkPOutlineCornerFilterSetCornerFactorFunction
//input a0 a1 
//output none
ArrayVector vtkPOutlineCornerFilterSetCornerFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCornerFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCornerFactor for class vtkPOutlineCornerFilter requires 2 argument(s)");
  vtkPOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkPOutlineCornerFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCornerFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPOutlineCornerFilter:GetCornerFactorMinValue vtkPOutlineCornerFilterGetCornerFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkPOutlineCornerFilterGetCornerFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCornerFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerFactorMinValue for class vtkPOutlineCornerFilter requires 1 argument(s)");
  vtkPOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkPOutlineCornerFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCornerFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOutlineCornerFilter:GetCornerFactorMaxValue vtkPOutlineCornerFilterGetCornerFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkPOutlineCornerFilterGetCornerFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCornerFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerFactorMaxValue for class vtkPOutlineCornerFilter requires 1 argument(s)");
  vtkPOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkPOutlineCornerFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCornerFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOutlineCornerFilter:GetCornerFactor vtkPOutlineCornerFilterGetCornerFactorFunction
//input a0 
//output y
ArrayVector vtkPOutlineCornerFilterGetCornerFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCornerFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerFactor for class vtkPOutlineCornerFilter requires 1 argument(s)");
  vtkPOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkPOutlineCornerFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCornerFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOutlineCornerFilter:SetController vtkPOutlineCornerFilterSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkPOutlineCornerFilterSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkPOutlineCornerFilter requires 2 argument(s)");
  vtkPOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkPOutlineCornerFilter>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPOutlineCornerFilter:GetController vtkPOutlineCornerFilterGetControllerFunction
//input a0 
//output y
ArrayVector vtkPOutlineCornerFilterGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkPOutlineCornerFilter requires 1 argument(s)");
  vtkPOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkPOutlineCornerFilter>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPOutlineCornerFilter:display vtkPOutlineCornerFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPOutlineCornerFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkPOutlineCornerFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPOutlineCornerFilter:delete vtkPOutlineCornerFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkPOutlineCornerFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPOutlineCornerFilter
//@@Section VTKParallel
//@@Usage
// vtkPOutlineCornerFilter works like vtkOutlineCornerFilter, 
// but it looks for data
// partitions in other processes.  It assumes the filter is operated
// in a data parallel pipeline.
//
//To create an instance of class vtkPOutlineCornerFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPOutlineCornerFilter
//@]
//@@Methods
//The class vtkPOutlineCornerFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPOutlineCornerFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPOutlineCornerFilter = obj.NewInstance ()|
// \item @|vtkPOutlineCornerFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCornerFactor (double )| -  Set/Get the factor that controls the relative size of the corners
// to the length of the corresponding bounds
//// \item @|double = obj.GetCornerFactorMinValue ()| -  Set/Get the factor that controls the relative size of the corners
// to the length of the corresponding bounds
//// \item @|double = obj.GetCornerFactorMaxValue ()| -  Set/Get the factor that controls the relative size of the corners
// to the length of the corresponding bounds
//// \item @|double = obj.GetCornerFactor ()| -  Set/Get the factor that controls the relative size of the corners
// to the length of the corresponding bounds
//// \item @|obj.SetController (vtkMultiProcessController )| -  Set and get the controller.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  Set and get the controller.
////\end{itemize}
//!
