#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPOutlineFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPOutlineFilter.h"

//@@Signature
//sfunction @vtkPOutlineFilter:vtkPOutlineFilter vtkPOutlineFilterConstructorFunction
//input a
//output p
//@@Parents vtkPOutlineFilter vtkPolyDataAlgorithm 
ArrayVector vtkPOutlineFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPOutlineFilter::New(),"vtkPOutlineFilter",eval);
  } else if (arg[0].className() == "vtkPOutlineFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPOutlineFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPOutlineFilter");
    vtkPOutlineFilter*q = reinterpret_cast<vtkPOutlineFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPOutlineFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPOutlineFilter:GetClassName vtkPOutlineFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPOutlineFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPOutlineFilter requires 1 argument(s)");
  vtkPOutlineFilter* vtk_pointer = GetVTKPointer<vtkPOutlineFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOutlineFilter:IsA vtkPOutlineFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPOutlineFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPOutlineFilter requires 2 argument(s)");
  vtkPOutlineFilter* vtk_pointer = GetVTKPointer<vtkPOutlineFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOutlineFilter:NewInstance vtkPOutlineFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPOutlineFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPOutlineFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPOutlineFilter requires 1 argument(s)");
  vtkPOutlineFilter* vtk_pointer = GetVTKPointer<vtkPOutlineFilter>(arg[0]);
  Array retval;
  vtkPOutlineFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPOutlineFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPOutlineFilter:SafeDownCast vtkPOutlineFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPOutlineFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPOutlineFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPOutlineFilter requires 2 argument(s)");
  vtkPOutlineFilter* vtk_pointer = GetVTKPointer<vtkPOutlineFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPOutlineFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPOutlineFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPOutlineFilter:SetController vtkPOutlineFilterSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkPOutlineFilterSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkPOutlineFilter requires 2 argument(s)");
  vtkPOutlineFilter* vtk_pointer = GetVTKPointer<vtkPOutlineFilter>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPOutlineFilter:GetController vtkPOutlineFilterGetControllerFunction
//input a0 
//output y
ArrayVector vtkPOutlineFilterGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkPOutlineFilter requires 1 argument(s)");
  vtkPOutlineFilter* vtk_pointer = GetVTKPointer<vtkPOutlineFilter>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPOutlineFilter:display vtkPOutlineFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPOutlineFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPOutlineFilter* vtk_pointer = GetVTKPointer<vtkPOutlineFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPOutlineFilter:delete vtkPOutlineFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkPOutlineFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPOutlineFilter
//@@Section VTKParallel
//@@Usage
// vtkPOutlineFilter works like vtkOutlineFilter, but it looks for data
// partitions in other processes.  It assumes the filter is operated
// in a data parallel pipeline.
//
//To create an instance of class vtkPOutlineFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPOutlineFilter
//@]
//@@Methods
//The class vtkPOutlineFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPOutlineFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPOutlineFilter = obj.NewInstance ()|
// \item @|vtkPOutlineFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetController (vtkMultiProcessController )| -  Set and get the controller.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  Set and get the controller.
////\end{itemize}
//!
