#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPProbeFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPProbeFilter.h"

//@@Signature
//sfunction @vtkPProbeFilter:vtkPProbeFilter vtkPProbeFilterConstructorFunction
//input a
//output p
//@@Parents vtkPProbeFilter vtkCompositeDataProbeFilter 
ArrayVector vtkPProbeFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPProbeFilter::New(),"vtkPProbeFilter",eval);
  } else if (arg[0].className() == "vtkPProbeFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPProbeFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPProbeFilter");
    vtkPProbeFilter*q = reinterpret_cast<vtkPProbeFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPProbeFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPProbeFilter:GetClassName vtkPProbeFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPProbeFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPProbeFilter requires 1 argument(s)");
  vtkPProbeFilter* vtk_pointer = GetVTKPointer<vtkPProbeFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPProbeFilter:IsA vtkPProbeFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPProbeFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPProbeFilter requires 2 argument(s)");
  vtkPProbeFilter* vtk_pointer = GetVTKPointer<vtkPProbeFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPProbeFilter:NewInstance vtkPProbeFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPProbeFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPProbeFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPProbeFilter requires 1 argument(s)");
  vtkPProbeFilter* vtk_pointer = GetVTKPointer<vtkPProbeFilter>(arg[0]);
  Array retval;
  vtkPProbeFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPProbeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPProbeFilter:SafeDownCast vtkPProbeFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPProbeFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPProbeFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPProbeFilter requires 2 argument(s)");
  vtkPProbeFilter* vtk_pointer = GetVTKPointer<vtkPProbeFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPProbeFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPProbeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPProbeFilter:SetController vtkPProbeFilterSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkPProbeFilterSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkPProbeFilter requires 2 argument(s)");
  vtkPProbeFilter* vtk_pointer = GetVTKPointer<vtkPProbeFilter>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPProbeFilter:GetController vtkPProbeFilterGetControllerFunction
//input a0 
//output y
ArrayVector vtkPProbeFilterGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkPProbeFilter requires 1 argument(s)");
  vtkPProbeFilter* vtk_pointer = GetVTKPointer<vtkPProbeFilter>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPProbeFilter:display vtkPProbeFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPProbeFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPProbeFilter* vtk_pointer = GetVTKPointer<vtkPProbeFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPProbeFilter:delete vtkPProbeFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkPProbeFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPProbeFilter
//@@Section VTKParallel
//@@Usage
//
//To create an instance of class vtkPProbeFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPProbeFilter
//@]
//@@Methods
//The class vtkPProbeFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPProbeFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPProbeFilter = obj.NewInstance ()|
// \item @|vtkPProbeFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetController (vtkMultiProcessController )| -  Set and get the controller.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  Set and get the controller.
////\end{itemize}
//!
