#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPReflectionFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPReflectionFilter.h"

//@@Signature
//sfunction @vtkPReflectionFilter:vtkPReflectionFilter vtkPReflectionFilterConstructorFunction
//input a
//output p
//@@Parents vtkPReflectionFilter vtkReflectionFilter 
ArrayVector vtkPReflectionFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPReflectionFilter::New(),"vtkPReflectionFilter",eval);
  } else if (arg[0].className() == "vtkPReflectionFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPReflectionFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPReflectionFilter");
    vtkPReflectionFilter*q = reinterpret_cast<vtkPReflectionFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPReflectionFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPReflectionFilter:GetClassName vtkPReflectionFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPReflectionFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPReflectionFilter requires 1 argument(s)");
  vtkPReflectionFilter* vtk_pointer = GetVTKPointer<vtkPReflectionFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPReflectionFilter:IsA vtkPReflectionFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPReflectionFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPReflectionFilter requires 2 argument(s)");
  vtkPReflectionFilter* vtk_pointer = GetVTKPointer<vtkPReflectionFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPReflectionFilter:NewInstance vtkPReflectionFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPReflectionFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPReflectionFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPReflectionFilter requires 1 argument(s)");
  vtkPReflectionFilter* vtk_pointer = GetVTKPointer<vtkPReflectionFilter>(arg[0]);
  Array retval;
  vtkPReflectionFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPReflectionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPReflectionFilter:SafeDownCast vtkPReflectionFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPReflectionFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPReflectionFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPReflectionFilter requires 2 argument(s)");
  vtkPReflectionFilter* vtk_pointer = GetVTKPointer<vtkPReflectionFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPReflectionFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPReflectionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPReflectionFilter:SetController vtkPReflectionFilterSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkPReflectionFilterSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkPReflectionFilter requires 2 argument(s)");
  vtkPReflectionFilter* vtk_pointer = GetVTKPointer<vtkPReflectionFilter>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPReflectionFilter:GetController vtkPReflectionFilterGetControllerFunction
//input a0 
//output y
ArrayVector vtkPReflectionFilterGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkPReflectionFilter requires 1 argument(s)");
  vtkPReflectionFilter* vtk_pointer = GetVTKPointer<vtkPReflectionFilter>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPReflectionFilter:display vtkPReflectionFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPReflectionFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPReflectionFilter* vtk_pointer = GetVTKPointer<vtkPReflectionFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPReflectionFilter:delete vtkPReflectionFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkPReflectionFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPReflectionFilter
//@@Section VTKParallel
//@@Usage
// vtkPReflectionFilter is a parallel version of vtkReflectionFilter which takes
// into consideration the full dataset bounds for performing the reflection.
//
//To create an instance of class vtkPReflectionFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPReflectionFilter
//@]
//@@Methods
//The class vtkPReflectionFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPReflectionFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPReflectionFilter = obj.NewInstance ()|
// \item @|vtkPReflectionFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetController (vtkMultiProcessController )| -  Get/Set the parallel controller.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  Get/Set the parallel controller.
////\end{itemize}
//!
