#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPSLACReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPSLACReader.h"

//@@Signature
//sfunction @vtkPSLACReader:vtkPSLACReader vtkPSLACReaderConstructorFunction
//input a
//output p
//@@Parents vtkPSLACReader vtkSLACReader 
ArrayVector vtkPSLACReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPSLACReader::New(),"vtkPSLACReader",eval);
  } else if (arg[0].className() == "vtkPSLACReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPSLACReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPSLACReader");
    vtkPSLACReader*q = reinterpret_cast<vtkPSLACReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPSLACReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPSLACReader:GetClassName vtkPSLACReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPSLACReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPSLACReader requires 1 argument(s)");
  vtkPSLACReader* vtk_pointer = GetVTKPointer<vtkPSLACReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPSLACReader:IsA vtkPSLACReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPSLACReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPSLACReader requires 2 argument(s)");
  vtkPSLACReader* vtk_pointer = GetVTKPointer<vtkPSLACReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPSLACReader:NewInstance vtkPSLACReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPSLACReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPSLACReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPSLACReader requires 1 argument(s)");
  vtkPSLACReader* vtk_pointer = GetVTKPointer<vtkPSLACReader>(arg[0]);
  Array retval;
  vtkPSLACReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPSLACReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPSLACReader:SafeDownCast vtkPSLACReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPSLACReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPSLACReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPSLACReader requires 2 argument(s)");
  vtkPSLACReader* vtk_pointer = GetVTKPointer<vtkPSLACReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPSLACReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPSLACReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPSLACReader:GetController vtkPSLACReaderGetControllerFunction
//input a0 
//output y
ArrayVector vtkPSLACReaderGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkPSLACReader requires 1 argument(s)");
  vtkPSLACReader* vtk_pointer = GetVTKPointer<vtkPSLACReader>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPSLACReader:SetController vtkPSLACReaderSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkPSLACReaderSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkPSLACReader requires 2 argument(s)");
  vtkPSLACReader* vtk_pointer = GetVTKPointer<vtkPSLACReader>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPSLACReader:display vtkPSLACReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPSLACReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPSLACReader* vtk_pointer = GetVTKPointer<vtkPSLACReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPSLACReader:delete vtkPSLACReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkPSLACReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPSLACReader
//@@Section VTKParallel
//@@Usage
//
// Extends the vtkSLACReader to read in partitioned pieces.  Due to the nature
// of the data layout, this reader only works in a data parallel mode where
// each process in a parallel job simultaneously attempts to read the piece
// corresponding to the local process id.
//
//
//To create an instance of class vtkPSLACReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkPSLACReader
//@]
//@@Methods
//The class vtkPSLACReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPSLACReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPSLACReader = obj.NewInstance ()|
// \item @|vtkPSLACReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkMultiProcessController = obj.GetController ()| -  The controller used to communicate partition data.  The number of pieces
// requested must agree with the number of processes, the piece requested must
// agree with the local process id, and all process must invoke
// ProcessRequests of this filter simultaneously.
//// \item @|obj.SetController (vtkMultiProcessController )| -  The controller used to communicate partition data.  The number of pieces
// requested must agree with the number of processes, the piece requested must
// agree with the local process id, and all process must invoke
// ProcessRequests of this filter simultaneously.
////\end{itemize}
//!
