#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPSphereSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPSphereSource.h"

//@@Signature
//sfunction @vtkPSphereSource:vtkPSphereSource vtkPSphereSourceConstructorFunction
//input a
//output p
//@@Parents vtkPSphereSource vtkSphereSource 
ArrayVector vtkPSphereSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPSphereSource::New(),"vtkPSphereSource",eval);
  } else if (arg[0].className() == "vtkPSphereSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPSphereSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPSphereSource");
    vtkPSphereSource*q = reinterpret_cast<vtkPSphereSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPSphereSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPSphereSource:GetClassName vtkPSphereSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPSphereSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPSphereSource requires 1 argument(s)");
  vtkPSphereSource* vtk_pointer = GetVTKPointer<vtkPSphereSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPSphereSource:IsA vtkPSphereSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPSphereSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPSphereSource requires 2 argument(s)");
  vtkPSphereSource* vtk_pointer = GetVTKPointer<vtkPSphereSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPSphereSource:NewInstance vtkPSphereSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPSphereSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPSphereSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPSphereSource requires 1 argument(s)");
  vtkPSphereSource* vtk_pointer = GetVTKPointer<vtkPSphereSource>(arg[0]);
  Array retval;
  vtkPSphereSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPSphereSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPSphereSource:SafeDownCast vtkPSphereSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPSphereSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPSphereSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPSphereSource requires 2 argument(s)");
  vtkPSphereSource* vtk_pointer = GetVTKPointer<vtkPSphereSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPSphereSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPSphereSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPSphereSource:GetEstimatedMemorySize vtkPSphereSourceGetEstimatedMemorySizeFunction
//input a0 
//output y
ArrayVector vtkPSphereSourceGetEstimatedMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetEstimatedMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEstimatedMemorySize for class vtkPSphereSource requires 1 argument(s)");
  vtkPSphereSource* vtk_pointer = GetVTKPointer<vtkPSphereSource>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetEstimatedMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPSphereSource:display vtkPSphereSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPSphereSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPSphereSource* vtk_pointer = GetVTKPointer<vtkPSphereSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPSphereSource:delete vtkPSphereSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkPSphereSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
