#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPStreamTracer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPStreamTracer.h"

//@@Signature
//sfunction @vtkPStreamTracer:vtkPStreamTracer vtkPStreamTracerConstructorFunction
//input a
//output p
//@@Parents vtkPStreamTracer vtkStreamTracer 
ArrayVector vtkPStreamTracerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPStreamTracer::New(),"vtkPStreamTracer",eval);
  } else if (arg[0].className() == "vtkPStreamTracer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPStreamTracer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPStreamTracer");
    vtkPStreamTracer*q = reinterpret_cast<vtkPStreamTracer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPStreamTracer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPStreamTracer:GetClassName vtkPStreamTracerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPStreamTracerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPStreamTracer requires 1 argument(s)");
  vtkPStreamTracer* vtk_pointer = GetVTKPointer<vtkPStreamTracer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPStreamTracer:IsA vtkPStreamTracerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPStreamTracerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPStreamTracer requires 2 argument(s)");
  vtkPStreamTracer* vtk_pointer = GetVTKPointer<vtkPStreamTracer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPStreamTracer:NewInstance vtkPStreamTracerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPStreamTracerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPStreamTracer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPStreamTracer requires 1 argument(s)");
  vtkPStreamTracer* vtk_pointer = GetVTKPointer<vtkPStreamTracer>(arg[0]);
  Array retval;
  vtkPStreamTracer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPStreamTracer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPStreamTracer:SafeDownCast vtkPStreamTracerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPStreamTracerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPStreamTracer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPStreamTracer requires 2 argument(s)");
  vtkPStreamTracer* vtk_pointer = GetVTKPointer<vtkPStreamTracer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPStreamTracer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPStreamTracer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPStreamTracer:SetController vtkPStreamTracerSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkPStreamTracerSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *controller); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkPStreamTracer requires 2 argument(s)");
  vtkPStreamTracer* vtk_pointer = GetVTKPointer<vtkPStreamTracer>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPStreamTracer:GetController vtkPStreamTracerGetControllerFunction
//input a0 
//output y
ArrayVector vtkPStreamTracerGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkPStreamTracer requires 1 argument(s)");
  vtkPStreamTracer* vtk_pointer = GetVTKPointer<vtkPStreamTracer>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPStreamTracer:display vtkPStreamTracerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPStreamTracerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPStreamTracer* vtk_pointer = GetVTKPointer<vtkPStreamTracer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPStreamTracer:delete vtkPStreamTracerDeleteFunction
//input varargin
//output none
ArrayVector vtkPStreamTracerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPStreamTracer
//@@Section VTKParallel
//@@Usage
// This class implements some necessary functionality used by distributed
// and parallel streamline generators. Note that all processes must have
// access to the WHOLE seed source, i.e. the source must be identical
// on all processes.
//
//To create an instance of class vtkPStreamTracer, simply
//invoke its constructor as follows
//@[
//  obj = vtkPStreamTracer
//@]
//@@Methods
//The class vtkPStreamTracer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPStreamTracer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPStreamTracer = obj.NewInstance ()|
// \item @|vtkPStreamTracer = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetController (vtkMultiProcessController controller)| -  Set/Get the controller use in compositing (set to
// the global controller by default)
// If not using the default, this must be called before any
// other methods.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  Set/Get the controller use in compositing (set to
// the global controller by default)
// If not using the default, this must be called before any
// other methods.
////\end{itemize}
//!
