#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPTableToStructuredGrid object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPTableToStructuredGrid.h"

//@@Signature
//sfunction @vtkPTableToStructuredGrid:vtkPTableToStructuredGrid vtkPTableToStructuredGridConstructorFunction
//input a
//output p
//@@Parents vtkPTableToStructuredGrid vtkTableToStructuredGrid 
ArrayVector vtkPTableToStructuredGridConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPTableToStructuredGrid::New(),"vtkPTableToStructuredGrid",eval);
  } else if (arg[0].className() == "vtkPTableToStructuredGrid") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPTableToStructuredGrid"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPTableToStructuredGrid");
    vtkPTableToStructuredGrid*q = reinterpret_cast<vtkPTableToStructuredGrid*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPTableToStructuredGrid");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPTableToStructuredGrid:GetClassName vtkPTableToStructuredGridGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPTableToStructuredGridGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPTableToStructuredGrid requires 1 argument(s)");
  vtkPTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkPTableToStructuredGrid>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPTableToStructuredGrid:IsA vtkPTableToStructuredGridIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPTableToStructuredGridIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPTableToStructuredGrid requires 2 argument(s)");
  vtkPTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkPTableToStructuredGrid>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPTableToStructuredGrid:NewInstance vtkPTableToStructuredGridNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPTableToStructuredGridNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPTableToStructuredGrid *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPTableToStructuredGrid requires 1 argument(s)");
  vtkPTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkPTableToStructuredGrid>(arg[0]);
  Array retval;
  vtkPTableToStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPTableToStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPTableToStructuredGrid:SafeDownCast vtkPTableToStructuredGridSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPTableToStructuredGridSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPTableToStructuredGrid *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPTableToStructuredGrid requires 2 argument(s)");
  vtkPTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkPTableToStructuredGrid>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPTableToStructuredGrid  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPTableToStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPTableToStructuredGrid:SetController vtkPTableToStructuredGridSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkPTableToStructuredGridSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkPTableToStructuredGrid requires 2 argument(s)");
  vtkPTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkPTableToStructuredGrid>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPTableToStructuredGrid:GetController vtkPTableToStructuredGridGetControllerFunction
//input a0 
//output y
ArrayVector vtkPTableToStructuredGridGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkPTableToStructuredGrid requires 1 argument(s)");
  vtkPTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkPTableToStructuredGrid>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPTableToStructuredGrid:display vtkPTableToStructuredGridDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPTableToStructuredGridDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkPTableToStructuredGrid>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPTableToStructuredGrid:delete vtkPTableToStructuredGridDeleteFunction
//input varargin
//output none
ArrayVector vtkPTableToStructuredGridDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPTableToStructuredGrid
//@@Section VTKParallel
//@@Usage
// vtkPTableToStructuredGrid is vtkTableToStructuredGrid specialization
// which handles distribution of the input table.
// For starters, this assumes that the input table is only available on the root
// node.
//
//To create an instance of class vtkPTableToStructuredGrid, simply
//invoke its constructor as follows
//@[
//  obj = vtkPTableToStructuredGrid
//@]
//@@Methods
//The class vtkPTableToStructuredGrid has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPTableToStructuredGrid class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPTableToStructuredGrid = obj.NewInstance ()|
// \item @|vtkPTableToStructuredGrid = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetController (vtkMultiProcessController )| -  Get/Set the controller.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  Get/Set the controller.
////\end{itemize}
//!
