#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParallelRenderManager object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParallelRenderManager.h"

//@@Signature
//sfunction @vtkParallelRenderManager:vtkParallelRenderManager vtkParallelRenderManagerConstructorFunction
//input a
//output p
//@@Parents vtkParallelRenderManager vtkObject 
ArrayVector vtkParallelRenderManagerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParallelRenderManager::New(),"vtkParallelRenderManager",eval);
  } else if (arg[0].className() == "vtkParallelRenderManager") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParallelRenderManager"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParallelRenderManager");
    vtkParallelRenderManager*q = reinterpret_cast<vtkParallelRenderManager*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParallelRenderManager");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParallelRenderManager:GetClassName vtkParallelRenderManagerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:IsA vtkParallelRenderManagerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParallelRenderManagerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:NewInstance vtkParallelRenderManagerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParallelRenderManager *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkParallelRenderManager  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParallelRenderManager",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SafeDownCast vtkParallelRenderManagerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParallelRenderManagerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParallelRenderManager *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParallelRenderManager  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParallelRenderManager",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:MakeRenderWindow vtkParallelRenderManagerMakeRenderWindowFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerMakeRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkRenderWindow *MakeRenderWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeRenderWindow for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->MakeRenderWindow();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:MakeRenderer vtkParallelRenderManagerMakeRendererFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerMakeRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkRenderer *MakeRenderer (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeRenderer for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->MakeRenderer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetRenderWindow vtkParallelRenderManagerGetRenderWindowFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *GetRenderWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderWindow for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->GetRenderWindow();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetRenderWindow vtkParallelRenderManagerSetRenderWindowFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRenderWindow (vtkRenderWindow *renWin); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderWindow for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  vtk_pointer->SetRenderWindow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetController vtkParallelRenderManagerGetControllerFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetController vtkParallelRenderManagerSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *controller); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:InitializePieces vtkParallelRenderManagerInitializePiecesFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerInitializePiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InitializePieces (); */
  if (arg.size() < 1) 
    throw Exception("Function InitializePieces for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->InitializePieces();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:InitializeOffScreen vtkParallelRenderManagerInitializeOffScreenFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerInitializeOffScreenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InitializeOffScreen (); */
  if (arg.size() < 1) 
    throw Exception("Function InitializeOffScreen for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->InitializeOffScreen();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:StartInteractor vtkParallelRenderManagerStartInteractorFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerStartInteractorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartInteractor (); */
  if (arg.size() < 1) 
    throw Exception("Function StartInteractor for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->StartInteractor();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:StartServices vtkParallelRenderManagerStartServicesFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerStartServicesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartServices (); */
  if (arg.size() < 1) 
    throw Exception("Function StartServices for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->StartServices();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:StopServices vtkParallelRenderManagerStopServicesFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerStopServicesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StopServices (); */
  if (arg.size() < 1) 
    throw Exception("Function StopServices for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->StopServices();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:StartRender vtkParallelRenderManagerStartRenderFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerStartRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartRender (); */
  if (arg.size() < 1) 
    throw Exception("Function StartRender for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->StartRender();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:EndRender vtkParallelRenderManagerEndRenderFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerEndRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndRender (); */
  if (arg.size() < 1) 
    throw Exception("Function EndRender for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->EndRender();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SatelliteStartRender vtkParallelRenderManagerSatelliteStartRenderFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerSatelliteStartRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SatelliteStartRender (); */
  if (arg.size() < 1) 
    throw Exception("Function SatelliteStartRender for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->SatelliteStartRender();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SatelliteEndRender vtkParallelRenderManagerSatelliteEndRenderFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerSatelliteEndRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SatelliteEndRender (); */
  if (arg.size() < 1) 
    throw Exception("Function SatelliteEndRender for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->SatelliteEndRender();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:RenderRMI vtkParallelRenderManagerRenderRMIFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerRenderRMIFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RenderRMI (); */
  if (arg.size() < 1) 
    throw Exception("Function RenderRMI for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->RenderRMI();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:ResetCamera vtkParallelRenderManagerResetCameraFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerResetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ResetCamera (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function ResetCamera for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->ResetCamera(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:ResetCameraClippingRange vtkParallelRenderManagerResetCameraClippingRangeFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerResetCameraClippingRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ResetCameraClippingRange (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function ResetCameraClippingRange for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->ResetCameraClippingRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:ComputeVisiblePropBoundsRMI vtkParallelRenderManagerComputeVisiblePropBoundsRMIFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerComputeVisiblePropBoundsRMIFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ComputeVisiblePropBoundsRMI (int renderId); */
  if (arg.size() < 2) 
    throw Exception("Function ComputeVisiblePropBoundsRMI for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->ComputeVisiblePropBoundsRMI(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:InitializeRMIs vtkParallelRenderManagerInitializeRMIsFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerInitializeRMIsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InitializeRMIs (); */
  if (arg.size() < 1) 
    throw Exception("Function InitializeRMIs for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->InitializeRMIs();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:ResetAllCameras vtkParallelRenderManagerResetAllCamerasFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerResetAllCamerasFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ResetAllCameras (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetAllCameras for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->ResetAllCameras();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:ComputeVisiblePropBounds vtkParallelRenderManagerComputeVisiblePropBoundsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkParallelRenderManagerComputeVisiblePropBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ComputeVisiblePropBounds (vtkRenderer *ren, double bounds[6]); */
  if (arg.size() < 3) 
    throw Exception("Function ComputeVisiblePropBounds for class vtkParallelRenderManager requires 3 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[6];
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->ComputeVisiblePropBounds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetParallelRendering vtkParallelRenderManagerSetParallelRenderingFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetParallelRenderingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParallelRendering (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetParallelRendering for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetParallelRendering(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetParallelRendering vtkParallelRenderManagerGetParallelRenderingFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetParallelRenderingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetParallelRendering (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParallelRendering for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetParallelRendering();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:ParallelRenderingOn vtkParallelRenderManagerParallelRenderingOnFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerParallelRenderingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ParallelRenderingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ParallelRenderingOn for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->ParallelRenderingOn();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:ParallelRenderingOff vtkParallelRenderManagerParallelRenderingOffFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerParallelRenderingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ParallelRenderingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ParallelRenderingOff for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->ParallelRenderingOff();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetRenderEventPropagation vtkParallelRenderManagerSetRenderEventPropagationFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetRenderEventPropagationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRenderEventPropagation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderEventPropagation for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRenderEventPropagation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetRenderEventPropagation vtkParallelRenderManagerGetRenderEventPropagationFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetRenderEventPropagationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRenderEventPropagation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderEventPropagation for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRenderEventPropagation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:RenderEventPropagationOn vtkParallelRenderManagerRenderEventPropagationOnFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerRenderEventPropagationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderEventPropagationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RenderEventPropagationOn for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->RenderEventPropagationOn();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:RenderEventPropagationOff vtkParallelRenderManagerRenderEventPropagationOffFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerRenderEventPropagationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderEventPropagationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RenderEventPropagationOff for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->RenderEventPropagationOff();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetDefaultRenderEventPropagation vtkParallelRenderManagerSetDefaultRenderEventPropagationFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetDefaultRenderEventPropagationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetDefaultRenderEventPropagation (bool val);vtkParallelRenderManager DefaultRenderEventPropagation val  */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultRenderEventPropagation for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetDefaultRenderEventPropagation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetDefaultRenderEventPropagation vtkParallelRenderManagerGetDefaultRenderEventPropagationFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetDefaultRenderEventPropagationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static bool GetDefaultRenderEventPropagation ();return vtkParallelRenderManager DefaultRenderEventPropagation  */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultRenderEventPropagation for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetDefaultRenderEventPropagation();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetUseCompositing vtkParallelRenderManagerSetUseCompositingFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetUseCompositingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseCompositing (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseCompositing for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseCompositing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetUseCompositing vtkParallelRenderManagerGetUseCompositingFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetUseCompositingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseCompositing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseCompositing for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseCompositing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:UseCompositingOn vtkParallelRenderManagerUseCompositingOnFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerUseCompositingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseCompositingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseCompositingOn for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->UseCompositingOn();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:UseCompositingOff vtkParallelRenderManagerUseCompositingOffFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerUseCompositingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseCompositingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseCompositingOff for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->UseCompositingOff();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetImageReductionFactor vtkParallelRenderManagerSetImageReductionFactorFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetImageReductionFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetImageReductionFactor (double factor); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageReductionFactor for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetImageReductionFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetImageReductionFactor vtkParallelRenderManagerGetImageReductionFactorFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetImageReductionFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetImageReductionFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageReductionFactor for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetImageReductionFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetMaxImageReductionFactor vtkParallelRenderManagerSetMaxImageReductionFactorFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetMaxImageReductionFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxImageReductionFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxImageReductionFactor for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaxImageReductionFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetMaxImageReductionFactor vtkParallelRenderManagerGetMaxImageReductionFactorFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetMaxImageReductionFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaxImageReductionFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxImageReductionFactor for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaxImageReductionFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetImageReductionFactorForUpdateRate vtkParallelRenderManagerSetImageReductionFactorForUpdateRateFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetImageReductionFactorForUpdateRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetImageReductionFactorForUpdateRate (double DesiredUpdateRate); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageReductionFactorForUpdateRate for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetImageReductionFactorForUpdateRate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetAutoImageReductionFactor vtkParallelRenderManagerSetAutoImageReductionFactorFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetAutoImageReductionFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutoImageReductionFactor (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutoImageReductionFactor for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutoImageReductionFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetAutoImageReductionFactor vtkParallelRenderManagerGetAutoImageReductionFactorFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetAutoImageReductionFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoImageReductionFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoImageReductionFactor for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoImageReductionFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:AutoImageReductionFactorOn vtkParallelRenderManagerAutoImageReductionFactorOnFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerAutoImageReductionFactorOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoImageReductionFactorOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoImageReductionFactorOn for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->AutoImageReductionFactorOn();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:AutoImageReductionFactorOff vtkParallelRenderManagerAutoImageReductionFactorOffFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerAutoImageReductionFactorOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoImageReductionFactorOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoImageReductionFactorOff for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->AutoImageReductionFactorOff();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetRenderTime vtkParallelRenderManagerGetRenderTimeFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetRenderTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRenderTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderTime for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRenderTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetImageProcessingTime vtkParallelRenderManagerGetImageProcessingTimeFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetImageProcessingTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetImageProcessingTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageProcessingTime for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetImageProcessingTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetSyncRenderWindowRenderers vtkParallelRenderManagerGetSyncRenderWindowRenderersFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetSyncRenderWindowRenderersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSyncRenderWindowRenderers (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSyncRenderWindowRenderers for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSyncRenderWindowRenderers();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetSyncRenderWindowRenderers vtkParallelRenderManagerSetSyncRenderWindowRenderersFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetSyncRenderWindowRenderersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSyncRenderWindowRenderers (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSyncRenderWindowRenderers for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSyncRenderWindowRenderers(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SyncRenderWindowRenderersOn vtkParallelRenderManagerSyncRenderWindowRenderersOnFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerSyncRenderWindowRenderersOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SyncRenderWindowRenderersOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SyncRenderWindowRenderersOn for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->SyncRenderWindowRenderersOn();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SyncRenderWindowRenderersOff vtkParallelRenderManagerSyncRenderWindowRenderersOffFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerSyncRenderWindowRenderersOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SyncRenderWindowRenderersOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SyncRenderWindowRenderersOff for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->SyncRenderWindowRenderersOff();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:AddRenderer vtkParallelRenderManagerAddRendererFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerAddRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddRenderer (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function AddRenderer for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->AddRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:RemoveRenderer vtkParallelRenderManagerRemoveRendererFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerRemoveRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveRenderer (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveRenderer for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->RemoveRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:RemoveAllRenderers vtkParallelRenderManagerRemoveAllRenderersFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerRemoveAllRenderersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveAllRenderers (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllRenderers for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllRenderers();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetWriteBackImages vtkParallelRenderManagerSetWriteBackImagesFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetWriteBackImagesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWriteBackImages (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWriteBackImages for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWriteBackImages(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetWriteBackImages vtkParallelRenderManagerGetWriteBackImagesFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetWriteBackImagesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWriteBackImages (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWriteBackImages for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWriteBackImages();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:WriteBackImagesOn vtkParallelRenderManagerWriteBackImagesOnFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerWriteBackImagesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteBackImagesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteBackImagesOn for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->WriteBackImagesOn();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:WriteBackImagesOff vtkParallelRenderManagerWriteBackImagesOffFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerWriteBackImagesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteBackImagesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteBackImagesOff for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->WriteBackImagesOff();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetMagnifyImages vtkParallelRenderManagerSetMagnifyImagesFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetMagnifyImagesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMagnifyImages (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMagnifyImages for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMagnifyImages(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetMagnifyImages vtkParallelRenderManagerGetMagnifyImagesFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetMagnifyImagesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMagnifyImages (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMagnifyImages for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMagnifyImages();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:MagnifyImagesOn vtkParallelRenderManagerMagnifyImagesOnFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerMagnifyImagesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MagnifyImagesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MagnifyImagesOn for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->MagnifyImagesOn();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:MagnifyImagesOff vtkParallelRenderManagerMagnifyImagesOffFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerMagnifyImagesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MagnifyImagesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MagnifyImagesOff for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->MagnifyImagesOff();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetMagnifyImageMethod vtkParallelRenderManagerSetMagnifyImageMethodFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetMagnifyImageMethodFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetMagnifyImageMethod (int method); */
  if (arg.size() < 2) 
    throw Exception("Function SetMagnifyImageMethod for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMagnifyImageMethod(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetMagnifyImageMethod vtkParallelRenderManagerGetMagnifyImageMethodFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetMagnifyImageMethodFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMagnifyImageMethod (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMagnifyImageMethod for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMagnifyImageMethod();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetMagnifyImageMethodToNearest vtkParallelRenderManagerSetMagnifyImageMethodToNearestFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerSetMagnifyImageMethodToNearestFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMagnifyImageMethodToNearest ();this SetMagnifyImageMethod NEAREST  */
  if (arg.size() < 1) 
    throw Exception("Function SetMagnifyImageMethodToNearest for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->SetMagnifyImageMethodToNearest();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetMagnifyImageMethodToLinear vtkParallelRenderManagerSetMagnifyImageMethodToLinearFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerSetMagnifyImageMethodToLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMagnifyImageMethodToLinear ();this SetMagnifyImageMethod LINEAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetMagnifyImageMethodToLinear for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->SetMagnifyImageMethodToLinear();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:MagnifyImage vtkParallelRenderManagerMagnifyImageFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkParallelRenderManagerMagnifyImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MagnifyImage (vtkUnsignedCharArray *fullImage, const int fullImageSize[2], vtkUnsignedCharArray *reducedImage, const int reducedImageSize[2], const int fullImageViewport[4]NULL, const int reducedImageViewport[4]NULL); */
  if (arg.size() < 7) 
    throw Exception("Function MagnifyImage for class vtkParallelRenderManager requires 7 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp0;
  int    temp1[2];
  vtkUnsignedCharArray  *temp2;
  int    temp3[2];
  int    temp4[4];
  int    temp5[4];
  temp0 = GetVTKPointer<vtkUnsignedCharArray>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  temp2 = GetVTKPointer<vtkUnsignedCharArray>(arg[4]);
  if ( !(arg[5].isVector() && arg[5].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (int)data[k+1];
  }
  if ( !(arg[11].isVector() && arg[11].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[11].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp5[k] = (int)data[k+1];
  }
  vtk_pointer->MagnifyImage(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:MagnifyImageNearest vtkParallelRenderManagerMagnifyImageNearestFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkParallelRenderManagerMagnifyImageNearestFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void MagnifyImageNearest (vtkUnsignedCharArray *fullImage, const int fullImageSize[2], vtkUnsignedCharArray *reducedImage, const int reducedImageSize[2], const int fullImageViewport[4]NULL, const int reducedImageViewport[4]NULL); */
  if (arg.size() < 7) 
    throw Exception("Function MagnifyImageNearest for class vtkParallelRenderManager requires 7 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp0;
  int    temp1[2];
  vtkUnsignedCharArray  *temp2;
  int    temp3[2];
  int    temp4[4];
  int    temp5[4];
  temp0 = GetVTKPointer<vtkUnsignedCharArray>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  temp2 = GetVTKPointer<vtkUnsignedCharArray>(arg[4]);
  if ( !(arg[5].isVector() && arg[5].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (int)data[k+1];
  }
  if ( !(arg[11].isVector() && arg[11].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[11].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp5[k] = (int)data[k+1];
  }
  vtk_pointer->MagnifyImageNearest(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:MagnifyImageLinear vtkParallelRenderManagerMagnifyImageLinearFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkParallelRenderManagerMagnifyImageLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void MagnifyImageLinear (vtkUnsignedCharArray *fullImage, const int fullImageSize[2], vtkUnsignedCharArray *reducedImage, const int reducedImageSize[2], const int fullImageViewport[4]NULL, const int reducedImageViewport[4]NULL); */
  if (arg.size() < 7) 
    throw Exception("Function MagnifyImageLinear for class vtkParallelRenderManager requires 7 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp0;
  int    temp1[2];
  vtkUnsignedCharArray  *temp2;
  int    temp3[2];
  int    temp4[4];
  int    temp5[4];
  temp0 = GetVTKPointer<vtkUnsignedCharArray>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  temp2 = GetVTKPointer<vtkUnsignedCharArray>(arg[4]);
  if ( !(arg[5].isVector() && arg[5].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (int)data[k+1];
  }
  if ( !(arg[11].isVector() && arg[11].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[11].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp5[k] = (int)data[k+1];
  }
  vtk_pointer->MagnifyImageLinear(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetPixelData__1 vtkParallelRenderManagerGetPixelData__1Function
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerGetPixelData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPixelData (vtkUnsignedCharArray *data); */
  if (arg.size() < 2) 
    throw Exception("Function GetPixelData__1 for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp0;
  temp0 = GetVTKPointer<vtkUnsignedCharArray>(arg[1]);
  vtk_pointer->GetPixelData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetPixelData__2 vtkParallelRenderManagerGetPixelData__2Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkParallelRenderManagerGetPixelData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPixelData (int x1, int y1, int x2, int y2, vtkUnsignedCharArray *data); */
  if (arg.size() < 6) 
    throw Exception("Function GetPixelData__2 for class vtkParallelRenderManager requires 6 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkUnsignedCharArray>(arg[5]);
  vtk_pointer->GetPixelData(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetReducedPixelData__1 vtkParallelRenderManagerGetReducedPixelData__1Function
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerGetReducedPixelData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetReducedPixelData (vtkUnsignedCharArray *data); */
  if (arg.size() < 2) 
    throw Exception("Function GetReducedPixelData__1 for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp0;
  temp0 = GetVTKPointer<vtkUnsignedCharArray>(arg[1]);
  vtk_pointer->GetReducedPixelData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetReducedPixelData__2 vtkParallelRenderManagerGetReducedPixelData__2Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkParallelRenderManagerGetReducedPixelData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetReducedPixelData (int x1, int y1, int x2, int y2, vtkUnsignedCharArray *data); */
  if (arg.size() < 6) 
    throw Exception("Function GetReducedPixelData__2 for class vtkParallelRenderManager requires 6 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkUnsignedCharArray>(arg[5]);
  vtk_pointer->GetReducedPixelData(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetFullImageSize vtkParallelRenderManagerGetFullImageSizeFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetFullImageSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetFullImageSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFullImageSize for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetFullImageSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetReducedImageSize vtkParallelRenderManagerGetReducedImageSizeFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetReducedImageSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetReducedImageSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReducedImageSize for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetReducedImageSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:TileWindows vtkParallelRenderManagerTileWindowsFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkParallelRenderManagerTileWindowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TileWindows (int xsize, int ysize, int nColumns); */
  if (arg.size() < 4) 
    throw Exception("Function TileWindows for class vtkParallelRenderManager requires 4 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->TileWindows(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetUseRGBA vtkParallelRenderManagerSetUseRGBAFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetUseRGBAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseRGBA (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseRGBA for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseRGBA(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetUseRGBA vtkParallelRenderManagerGetUseRGBAFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetUseRGBAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseRGBA (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseRGBA for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseRGBA();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetForceRenderWindowSize vtkParallelRenderManagerSetForceRenderWindowSizeFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetForceRenderWindowSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetForceRenderWindowSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetForceRenderWindowSize for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetForceRenderWindowSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetForceRenderWindowSize vtkParallelRenderManagerGetForceRenderWindowSizeFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetForceRenderWindowSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetForceRenderWindowSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetForceRenderWindowSize for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetForceRenderWindowSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetForcedRenderWindowSize__1 vtkParallelRenderManagerSetForcedRenderWindowSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkParallelRenderManagerSetForcedRenderWindowSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetForcedRenderWindowSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetForcedRenderWindowSize__1 for class vtkParallelRenderManager requires 3 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetForcedRenderWindowSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetForcedRenderWindowSize__2 vtkParallelRenderManagerSetForcedRenderWindowSize__2Function
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetForcedRenderWindowSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetForcedRenderWindowSize (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetForcedRenderWindowSize__2 for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetForcedRenderWindowSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetForcedRenderWindowSize vtkParallelRenderManagerGetForcedRenderWindowSizeFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetForcedRenderWindowSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetForcedRenderWindowSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetForcedRenderWindowSize for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetForcedRenderWindowSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:StartService vtkParallelRenderManagerStartServiceFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerStartServiceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartService (); */
  if (arg.size() < 1) 
    throw Exception("Function StartService for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->StartService();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetUseBackBuffer vtkParallelRenderManagerSetUseBackBufferFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetUseBackBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseBackBuffer (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseBackBuffer for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseBackBuffer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetUseBackBuffer vtkParallelRenderManagerGetUseBackBufferFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetUseBackBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseBackBuffer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseBackBuffer for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseBackBuffer();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:UseBackBufferOn vtkParallelRenderManagerUseBackBufferOnFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerUseBackBufferOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseBackBufferOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseBackBufferOn for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->UseBackBufferOn();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:UseBackBufferOff vtkParallelRenderManagerUseBackBufferOffFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerUseBackBufferOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseBackBufferOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseBackBufferOff for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->UseBackBufferOff();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetSynchronizeTileProperties vtkParallelRenderManagerSetSynchronizeTilePropertiesFunction
//input a0 a1 
//output none
ArrayVector vtkParallelRenderManagerSetSynchronizeTilePropertiesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSynchronizeTileProperties (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSynchronizeTileProperties for class vtkParallelRenderManager requires 2 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSynchronizeTileProperties(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetSynchronizeTileProperties vtkParallelRenderManagerGetSynchronizeTilePropertiesFunction
//input a0 
//output y
ArrayVector vtkParallelRenderManagerGetSynchronizeTilePropertiesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSynchronizeTileProperties (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSynchronizeTileProperties for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSynchronizeTileProperties();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SynchronizeTilePropertiesOn vtkParallelRenderManagerSynchronizeTilePropertiesOnFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerSynchronizeTilePropertiesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SynchronizeTilePropertiesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SynchronizeTilePropertiesOn for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->SynchronizeTilePropertiesOn();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:SynchronizeTilePropertiesOff vtkParallelRenderManagerSynchronizeTilePropertiesOffFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerSynchronizeTilePropertiesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SynchronizeTilePropertiesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SynchronizeTilePropertiesOff for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->SynchronizeTilePropertiesOff();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GenericStartRenderCallback vtkParallelRenderManagerGenericStartRenderCallbackFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerGenericStartRenderCallbackFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GenericStartRenderCallback (); */
  if (arg.size() < 1) 
    throw Exception("Function GenericStartRenderCallback for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->GenericStartRenderCallback();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GenericEndRenderCallback vtkParallelRenderManagerGenericEndRenderCallbackFunction
//input a0 
//output none
ArrayVector vtkParallelRenderManagerGenericEndRenderCallbackFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GenericEndRenderCallback (); */
  if (arg.size() < 1) 
    throw Exception("Function GenericEndRenderCallback for class vtkParallelRenderManager requires 1 argument(s)");
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  Array retval;
  vtk_pointer->GenericEndRenderCallback();
  return retval;
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetPixelData vtkParallelRenderManagerGetPixelDataFunction
//input varargin
//output varargout
ArrayVector vtkParallelRenderManagerGetPixelDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkUnsignedCharArray"))
    return vtkParallelRenderManagerGetPixelData__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkUnsignedCharArray"))
    return vtkParallelRenderManagerGetPixelData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkParallelRenderManagerGetPixelData");
}

//@@Signature
//sfunction @vtkParallelRenderManager:GetReducedPixelData vtkParallelRenderManagerGetReducedPixelDataFunction
//input varargin
//output varargout
ArrayVector vtkParallelRenderManagerGetReducedPixelDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkUnsignedCharArray"))
    return vtkParallelRenderManagerGetReducedPixelData__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkUnsignedCharArray"))
    return vtkParallelRenderManagerGetReducedPixelData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkParallelRenderManagerGetReducedPixelData");
}

//@@Signature
//sfunction @vtkParallelRenderManager:SetForcedRenderWindowSize vtkParallelRenderManagerSetForcedRenderWindowSizeFunction
//input varargin
//output varargout
ArrayVector vtkParallelRenderManagerSetForcedRenderWindowSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkParallelRenderManagerSetForcedRenderWindowSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkParallelRenderManagerSetForcedRenderWindowSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkParallelRenderManagerSetForcedRenderWindowSize");
}

//@@Signature
//sfunction @vtkParallelRenderManager:display vtkParallelRenderManagerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParallelRenderManagerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParallelRenderManager* vtk_pointer = GetVTKPointer<vtkParallelRenderManager>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParallelRenderManager:delete vtkParallelRenderManagerDeleteFunction
//input varargin
//output none
ArrayVector vtkParallelRenderManagerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParallelRenderManager
//@@Section VTKParallel
//@@Usage
// vtkParallelRenderManager operates in multiple processes.  It provides
// proper renderers and render windows for performing the parallel
// rendering correctly.  It can also attach itself to render windows and
// propagate rendering events and camera views.
//
// .SECTION Note:
// Many parallel rendering schemes do not correctly handle transparency.
// Unless otherwise documented, assume a sub class does not.
//
// .SECTION ToDo:
// Synchronization/barrier primitives.
//
// Query ranges of scalar values of objects in addition to the boundry in
// three-space
//
//
//To create an instance of class vtkParallelRenderManager, simply
//invoke its constructor as follows
//@[
//  obj = vtkParallelRenderManager
//@]
//@@Methods
//The class vtkParallelRenderManager has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParallelRenderManager class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParallelRenderManager = obj.NewInstance ()|
// \item @|vtkParallelRenderManager = obj.SafeDownCast (vtkObject o)|
// \item @|vtkRenderWindow = obj.MakeRenderWindow ()| -  Builds a vtkRenderWindow compatible with this render manager.  The
// user program is responsible for registering the render window with the
// SetRenderWindow method and calling Delete.  It is not advisable to use
// a parallel render manager with a render window that was not built with
// this method.
//// \item @|vtkRenderer = obj.MakeRenderer ()| -  Builds a vtkRenderer compatible with this render manager.  (Should we
// also register it?)  The user program is responsible for calling
// Delete.  It is not advisable to use a parallel render manager with a
// renderer that was not built with this method.
//// \item @|vtkRenderWindow = obj.GetRenderWindow ()| -  Set/Get the RenderWindow to use for compositing.
// We add a start and end observer to the window.
//// \item @|obj.SetRenderWindow (vtkRenderWindow renWin)| -  Set/Get the RenderWindow to use for compositing.
// We add a start and end observer to the window.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  Set/Get the vtkMultiProcessController which will handle communications
// for the parallel rendering.
//// \item @|obj.SetController (vtkMultiProcessController controller)| -  Set/Get the vtkMultiProcessController which will handle communications
// for the parallel rendering.
//// \item @|obj.InitializePieces ()| -  This method sets the piece and number of pieces for each
// actor with a polydata mapper.
//// \item @|obj.InitializeOffScreen ()| -  Make all rendering windows not viewable set as off screen rendering.
// To make all renderwindows on screen rendering again, call
// OffScreenRenderingOff on all the render windows.  This class assumes
// the window on root node is the only one viewable.  Subclasses should
// change this as necessary.
//// \item @|obj.StartInteractor ()| -  Initializes the RMIs and then, if on root node, starts the interactor
// on the attached render window.  Otherwise, starts processing RMIs.
// When the interactor returns, it breaks the RMI listening on all other
// processors.
//// \item @|obj.StartServices ()| -  If on node other than root, starts serving RMI requests for parallel
// renders.
//// \item @|obj.StopServices ()| -  If on root node, stops the RMI processing on all service nodes.
//// \item @|obj.StartRender ()| -  Callbacks that initialize and finish rendering and other tasks.
//// \item @|obj.EndRender ()| -  Callbacks that initialize and finish rendering and other tasks.
//// \item @|obj.SatelliteStartRender ()| -  Callbacks that initialize and finish rendering and other tasks.
//// \item @|obj.SatelliteEndRender ()| -  Callbacks that initialize and finish rendering and other tasks.
//// \item @|obj.RenderRMI ()| -  Callbacks that initialize and finish rendering and other tasks.
//// \item @|obj.ResetCamera (vtkRenderer ren)| -  Callbacks that initialize and finish rendering and other tasks.
//// \item @|obj.ResetCameraClippingRange (vtkRenderer ren)| -  Callbacks that initialize and finish rendering and other tasks.
//// \item @|obj.ComputeVisiblePropBoundsRMI (int renderId)| -  Callbacks that initialize and finish rendering and other tasks.
//// \item @|obj.InitializeRMIs ()|
// \item @|obj.ResetAllCameras ()| -  Resets the camera of each renderer contained in the RenderWindow.
// Should only be called in the "root" process, and all remote processes
// must be processing RMIs for this method to complete.
//// \item @|obj.ComputeVisiblePropBounds (vtkRenderer ren, double bounds[6])| -  Calculates the bounds by gathering information from all processes.
//// \item @|obj.SetParallelRendering (int )| -  Turns on/off parallel rendering.  When on (the default) the object
// responds to render events of the attached window, propagates the
// render event to other processors, and otherwise enables the parallel
// rendering process.
//// \item @|int = obj.GetParallelRendering ()| -  Turns on/off parallel rendering.  When on (the default) the object
// responds to render events of the attached window, propagates the
// render event to other processors, and otherwise enables the parallel
// rendering process.
//// \item @|obj.ParallelRenderingOn ()| -  Turns on/off parallel rendering.  When on (the default) the object
// responds to render events of the attached window, propagates the
// render event to other processors, and otherwise enables the parallel
// rendering process.
//// \item @|obj.ParallelRenderingOff ()| -  Turns on/off parallel rendering.  When on (the default) the object
// responds to render events of the attached window, propagates the
// render event to other processors, and otherwise enables the parallel
// rendering process.
//// \item @|obj.SetRenderEventPropagation (int )| -  Turns on/off render event propagation.  When on (the default) and
// ParallelRendering is on, process 0 will send an RMI call to all remote
// processes to perform a synchronized render.  When off, render must be
// manually called on each process.
//// \item @|int = obj.GetRenderEventPropagation ()| -  Turns on/off render event propagation.  When on (the default) and
// ParallelRendering is on, process 0 will send an RMI call to all remote
// processes to perform a synchronized render.  When off, render must be
// manually called on each process.
//// \item @|obj.RenderEventPropagationOn ()| -  Turns on/off render event propagation.  When on (the default) and
// ParallelRendering is on, process 0 will send an RMI call to all remote
// processes to perform a synchronized render.  When off, render must be
// manually called on each process.
//// \item @|obj.RenderEventPropagationOff ()| -  Turns on/off render event propagation.  When on (the default) and
// ParallelRendering is on, process 0 will send an RMI call to all remote
// processes to perform a synchronized render.  When off, render must be
// manually called on each process.
//// \item @|obj.SetUseCompositing (int )| -  This is used for tiled display rendering.  When data has been
// duplicated on all processes, then we do not need to compositing.
// Cameras and renders are still propagated though.
//// \item @|int = obj.GetUseCompositing ()| -  This is used for tiled display rendering.  When data has been
// duplicated on all processes, then we do not need to compositing.
// Cameras and renders are still propagated though.
//// \item @|obj.UseCompositingOn ()| -  This is used for tiled display rendering.  When data has been
// duplicated on all processes, then we do not need to compositing.
// Cameras and renders are still propagated though.
//// \item @|obj.UseCompositingOff ()| -  This is used for tiled display rendering.  When data has been
// duplicated on all processes, then we do not need to compositing.
// Cameras and renders are still propagated though.
//// \item @|obj.SetImageReductionFactor (double factor)| -  Set/Get the reduction factor (for sort-last based parallel renderers).
// The size of rendered image is divided by the reduction factor and then
// is blown up to the size of the current vtkRenderWindow.  Setting
// higher reduction factors enables shorter image transfer times (which
// is often the bottleneck) but will greatly reduce image quality.  A
// reduction factor of 2 or greater should only be used for intermediate
// images in interactive applications.  A reduction factor of 1 (or less)
// will result in no change in image quality.  A parallel render manager
// may ignore the image reduction factor if it will result in little or
// no performance enhancements (eg. it does not do image space
// manipulations).
//// \item @|double = obj.GetImageReductionFactor ()| -  Set/Get the reduction factor (for sort-last based parallel renderers).
// The size of rendered image is divided by the reduction factor and then
// is blown up to the size of the current vtkRenderWindow.  Setting
// higher reduction factors enables shorter image transfer times (which
// is often the bottleneck) but will greatly reduce image quality.  A
// reduction factor of 2 or greater should only be used for intermediate
// images in interactive applications.  A reduction factor of 1 (or less)
// will result in no change in image quality.  A parallel render manager
// may ignore the image reduction factor if it will result in little or
// no performance enhancements (eg. it does not do image space
// manipulations).
//// \item @|obj.SetMaxImageReductionFactor (double )|
// \item @|double = obj.GetMaxImageReductionFactor ()|
// \item @|obj.SetImageReductionFactorForUpdateRate (double DesiredUpdateRate)| -  Sets the ReductionFactor based on the given desired update rate and
// the rendering metrics taken from the last time UpdateServerInfo was
// called.  Note that if AutoReductionFactor is on, this function is called
// with the desired update rate of the render window automatically.
//// \item @|obj.SetAutoImageReductionFactor (int )| -  If on, the ReductionFactor is automatically adjusted to best meet the
// the DesiredUpdateRate in the current RenderWindow based on metrics
// from the last render.
//// \item @|int = obj.GetAutoImageReductionFactor ()| -  If on, the ReductionFactor is automatically adjusted to best meet the
// the DesiredUpdateRate in the current RenderWindow based on metrics
// from the last render.
//// \item @|obj.AutoImageReductionFactorOn ()| -  If on, the ReductionFactor is automatically adjusted to best meet the
// the DesiredUpdateRate in the current RenderWindow based on metrics
// from the last render.
//// \item @|obj.AutoImageReductionFactorOff ()| -  If on, the ReductionFactor is automatically adjusted to best meet the
// the DesiredUpdateRate in the current RenderWindow based on metrics
// from the last render.
//// \item @|double = obj.GetRenderTime ()| -  Get rendering metrics.
//// \item @|double = obj.GetImageProcessingTime ()| -  Get rendering metrics.
//// \item @|int = obj.GetSyncRenderWindowRenderers ()| -  By default, the state of all renderers in the root's render window is
// propagated to the rest of the processes.  In order for this to work, all
// render windows must have the same renderers in the same order.  If this is
// not the case, you can turn off the SyncRenderWindowRenderers.  When this
// flag is off, the list of renderers held by this parallel render manager
// (initially empty) is synced.  You can modify the list of renderers with the
// AddRenderer, RemoveRenderer, and RemoveAllRenderers methods.
//// \item @|obj.SetSyncRenderWindowRenderers (int )| -  By default, the state of all renderers in the root's render window is
// propagated to the rest of the processes.  In order for this to work, all
// render windows must have the same renderers in the same order.  If this is
// not the case, you can turn off the SyncRenderWindowRenderers.  When this
// flag is off, the list of renderers held by this parallel render manager
// (initially empty) is synced.  You can modify the list of renderers with the
// AddRenderer, RemoveRenderer, and RemoveAllRenderers methods.
//// \item @|obj.SyncRenderWindowRenderersOn ()| -  By default, the state of all renderers in the root's render window is
// propagated to the rest of the processes.  In order for this to work, all
// render windows must have the same renderers in the same order.  If this is
// not the case, you can turn off the SyncRenderWindowRenderers.  When this
// flag is off, the list of renderers held by this parallel render manager
// (initially empty) is synced.  You can modify the list of renderers with the
// AddRenderer, RemoveRenderer, and RemoveAllRenderers methods.
//// \item @|obj.SyncRenderWindowRenderersOff ()| -  By default, the state of all renderers in the root's render window is
// propagated to the rest of the processes.  In order for this to work, all
// render windows must have the same renderers in the same order.  If this is
// not the case, you can turn off the SyncRenderWindowRenderers.  When this
// flag is off, the list of renderers held by this parallel render manager
// (initially empty) is synced.  You can modify the list of renderers with the
// AddRenderer, RemoveRenderer, and RemoveAllRenderers methods.
//// \item @|obj.AddRenderer (vtkRenderer )| -  By default, the state of all renderers in the root's render window is
// propagated to the rest of the processes.  In order for this to work, all
// render windows must have the same renderers in the same order.  If this is
// not the case, you can turn off the SyncRenderWindowRenderers.  When this
// flag is off, the list of renderers held by this parallel render manager
// (initially empty) is synced.  You can modify the list of renderers with the
// AddRenderer, RemoveRenderer, and RemoveAllRenderers methods.
//// \item @|obj.RemoveRenderer (vtkRenderer )| -  By default, the state of all renderers in the root's render window is
// propagated to the rest of the processes.  In order for this to work, all
// render windows must have the same renderers in the same order.  If this is
// not the case, you can turn off the SyncRenderWindowRenderers.  When this
// flag is off, the list of renderers held by this parallel render manager
// (initially empty) is synced.  You can modify the list of renderers with the
// AddRenderer, RemoveRenderer, and RemoveAllRenderers methods.
//// \item @|obj.RemoveAllRenderers ()| -  By default, the state of all renderers in the root's render window is
// propagated to the rest of the processes.  In order for this to work, all
// render windows must have the same renderers in the same order.  If this is
// not the case, you can turn off the SyncRenderWindowRenderers.  When this
// flag is off, the list of renderers held by this parallel render manager
// (initially empty) is synced.  You can modify the list of renderers with the
// AddRenderer, RemoveRenderer, and RemoveAllRenderers methods.
//// \item @|obj.SetWriteBackImages (int )| -  If on (the default), the result of any image space manipulations are
// written back to the render window frame buffer.  If off, the image
// stored in the frame buffer may not be correct.  Either way, the
// correct frame buffer images may be read with
// vtkParallelRenderManager::GetPixelData.  Turning WriteBackImages off
// may result in a speedup if the render window is not visible to the user
// and images are read back for further processing or transit.
//// \item @|int = obj.GetWriteBackImages ()| -  If on (the default), the result of any image space manipulations are
// written back to the render window frame buffer.  If off, the image
// stored in the frame buffer may not be correct.  Either way, the
// correct frame buffer images may be read with
// vtkParallelRenderManager::GetPixelData.  Turning WriteBackImages off
// may result in a speedup if the render window is not visible to the user
// and images are read back for further processing or transit.
//// \item @|obj.WriteBackImagesOn ()| -  If on (the default), the result of any image space manipulations are
// written back to the render window frame buffer.  If off, the image
// stored in the frame buffer may not be correct.  Either way, the
// correct frame buffer images may be read with
// vtkParallelRenderManager::GetPixelData.  Turning WriteBackImages off
// may result in a speedup if the render window is not visible to the user
// and images are read back for further processing or transit.
//// \item @|obj.WriteBackImagesOff ()| -  If on (the default), the result of any image space manipulations are
// written back to the render window frame buffer.  If off, the image
// stored in the frame buffer may not be correct.  Either way, the
// correct frame buffer images may be read with
// vtkParallelRenderManager::GetPixelData.  Turning WriteBackImages off
// may result in a speedup if the render window is not visible to the user
// and images are read back for further processing or transit.
//// \item @|obj.SetMagnifyImages (int )| -  If on (the default), when the ImageReductionFactor is greater than 1
// and WriteBackImages is on, the image will be magnified to fill the
// entire render window.
//// \item @|int = obj.GetMagnifyImages ()| -  If on (the default), when the ImageReductionFactor is greater than 1
// and WriteBackImages is on, the image will be magnified to fill the
// entire render window.
//// \item @|obj.MagnifyImagesOn ()| -  If on (the default), when the ImageReductionFactor is greater than 1
// and WriteBackImages is on, the image will be magnified to fill the
// entire render window.
//// \item @|obj.MagnifyImagesOff ()| -  If on (the default), when the ImageReductionFactor is greater than 1
// and WriteBackImages is on, the image will be magnified to fill the
// entire render window.
//// \item @|obj.SetMagnifyImageMethod (int method)| -  Sets the method used to magnify images.  Nearest simply replicates
// each pixel enough times to fill the image.  Linear performs linear
// interpolation between the pixels.
//// \item @|int = obj.GetMagnifyImageMethod ()| -  Sets the method used to magnify images.  Nearest simply replicates
// each pixel enough times to fill the image.  Linear performs linear
// interpolation between the pixels.
//// \item @|obj.SetMagnifyImageMethodToNearest ()| -  Sets the method used to magnify images.  Nearest simply replicates
// each pixel enough times to fill the image.  Linear performs linear
// interpolation between the pixels.
//// \item @|obj.SetMagnifyImageMethodToLinear ()| -  Convenience functions for magnifying images.
//// \item @|obj.MagnifyImage (vtkUnsignedCharArray fullImage, int fullImageSize[2], vtkUnsignedCharArray reducedImage, int reducedImageSize[2], int fullImageViewport[4]NULL, int reducedImageViewport[4]NULL)| -  Convenience functions for magnifying images.
//// \item @|obj.GetPixelData (vtkUnsignedCharArray data)| -  The most appropriate way to retrieve full size image data after a
// render.  Will work regardless of whether WriteBackImages or
// MagnifyImage is on or off.  The data returned may be a shallow copy of
// an internal array.  Therefore, the data may be invalid after the next
// render or if the ParallelRenderManager is destroyed.
//// \item @|obj.GetPixelData (int x1, int y1, int x2, int y2, vtkUnsignedCharArray data)| -  The most appropriate way to retrieve full size image data after a
// render.  Will work regardless of whether WriteBackImages or
// MagnifyImage is on or off.  The data returned may be a shallow copy of
// an internal array.  Therefore, the data may be invalid after the next
// render or if the ParallelRenderManager is destroyed.
//// \item @|obj.GetReducedPixelData (vtkUnsignedCharArray data)| -  The most appropriate way to retrieve reduced size image data after a
// render.  Will work regardless of whether WriteBackImages or
// MagnifyImage is on or off.  The data returned may be a shallow copy of
// an internal array.  Therefore, the data may be invalid after the next
// render or if the ParallelRenderManager is destroyed.
//// \item @|obj.GetReducedPixelData (int x1, int y1, int x2, int y2, vtkUnsignedCharArray data)| -  The most appropriate way to retrieve reduced size image data after a
// render.  Will work regardless of whether WriteBackImages or
// MagnifyImage is on or off.  The data returned may be a shallow copy of
// an internal array.  Therefore, the data may be invalid after the next
// render or if the ParallelRenderManager is destroyed.
//// \item @|int = obj. GetFullImageSize ()| -  Returns the full image size calculated at the last render.
//// \item @|int = obj. GetReducedImageSize ()| -  Returns the reduced image size calculated at the last render.
//// \item @|obj.TileWindows (int xsize, int ysize, int nColumns)| -  Given the x and y size of the render windows, reposition them
// in a tile of n columns.
//// \item @|obj.SetUseRGBA (int )| -  Get/Set if all Images must use RGBA instead of RGB. By default,
// this flag is on.
//// \item @|int = obj.GetUseRGBA ()| -  Get/Set if all Images must use RGBA instead of RGB. By default,
// this flag is on.
//// \item @|obj.SetForceRenderWindowSize (int )| -  If ForceRenderWindowSize is set to true, the render manager will use
// the RenderWindowSize ivar instead of getting the size from the render window.
//// \item @|int = obj.GetForceRenderWindowSize ()| -  If ForceRenderWindowSize is set to true, the render manager will use
// the RenderWindowSize ivar instead of getting the size from the render window.
//// \item @|obj.SetForcedRenderWindowSize (int , int )| -  If ForceRenderWindowSize is set to true, the render manager will use
// the Size ivar instead of getting the size from the render window.
//// \item @|obj.SetForcedRenderWindowSize (int  a[2])| -  If ForceRenderWindowSize is set to true, the render manager will use
// the Size ivar instead of getting the size from the render window.
//// \item @|int = obj. GetForcedRenderWindowSize ()| -  If ForceRenderWindowSize is set to true, the render manager will use
// the Size ivar instead of getting the size from the render window.
//// \item @|obj.StartService ()| -  @deprecated Replaced by vtkParallelRenderManager::StartServices()
// as of VTK 5.0.
//// \item @|obj.SetUseBackBuffer (int )|
// \item @|int = obj.GetUseBackBuffer ()|
// \item @|obj.UseBackBufferOn ()|
// \item @|obj.UseBackBufferOff ()|
// \item @|obj.SetSynchronizeTileProperties (int )| -  When set the render manager will synchronize the TileViewport and TileScale
// properties. This may not be desirable in cases where there's some other
// mechanism to set the tile dimensions eg. Tile displays.
//// \item @|int = obj.GetSynchronizeTileProperties ()| -  When set the render manager will synchronize the TileViewport and TileScale
// properties. This may not be desirable in cases where there's some other
// mechanism to set the tile dimensions eg. Tile displays.
//// \item @|obj.SynchronizeTilePropertiesOn ()| -  When set the render manager will synchronize the TileViewport and TileScale
// properties. This may not be desirable in cases where there's some other
// mechanism to set the tile dimensions eg. Tile displays.
//// \item @|obj.SynchronizeTilePropertiesOff ()| -  When set the render manager will synchronize the TileViewport and TileScale
// properties. This may not be desirable in cases where there's some other
// mechanism to set the tile dimensions eg. Tile displays.
//// \item @|obj.GenericStartRenderCallback ()| -  INTERNAL METHODS (DON NOT USE).
// There are internal methods made public so that they can be called from
// callback functions.
//// \item @|obj.GenericEndRenderCallback ()| -  INTERNAL METHODS (DON NOT USE).
// There are internal methods made public so that they can be called from
// callback functions.
////\end{itemize}
//!
