#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPassThroughFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPassThroughFilter.h"

//@@Signature
//sfunction @vtkPassThroughFilter:vtkPassThroughFilter vtkPassThroughFilterConstructorFunction
//input a
//output p
//@@Parents vtkPassThroughFilter vtkDataSetAlgorithm 
ArrayVector vtkPassThroughFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPassThroughFilter::New(),"vtkPassThroughFilter",eval);
  } else if (arg[0].className() == "vtkPassThroughFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPassThroughFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPassThroughFilter");
    vtkPassThroughFilter*q = reinterpret_cast<vtkPassThroughFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPassThroughFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPassThroughFilter:GetClassName vtkPassThroughFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPassThroughFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPassThroughFilter requires 1 argument(s)");
  vtkPassThroughFilter* vtk_pointer = GetVTKPointer<vtkPassThroughFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPassThroughFilter:IsA vtkPassThroughFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPassThroughFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPassThroughFilter requires 2 argument(s)");
  vtkPassThroughFilter* vtk_pointer = GetVTKPointer<vtkPassThroughFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPassThroughFilter:NewInstance vtkPassThroughFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPassThroughFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPassThroughFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPassThroughFilter requires 1 argument(s)");
  vtkPassThroughFilter* vtk_pointer = GetVTKPointer<vtkPassThroughFilter>(arg[0]);
  Array retval;
  vtkPassThroughFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPassThroughFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassThroughFilter:SafeDownCast vtkPassThroughFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPassThroughFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPassThroughFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPassThroughFilter requires 2 argument(s)");
  vtkPassThroughFilter* vtk_pointer = GetVTKPointer<vtkPassThroughFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPassThroughFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPassThroughFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassThroughFilter:display vtkPassThroughFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPassThroughFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPassThroughFilter* vtk_pointer = GetVTKPointer<vtkPassThroughFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPassThroughFilter:delete vtkPassThroughFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkPassThroughFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPassThroughFilter
//@@Section VTKParallel
//@@Usage
// This filter shallow copies it's input to it's output. It is normally
// used by PVSources with multiple outputs as the VTK filter in the
// dummy connection objects at each output.
//
//To create an instance of class vtkPassThroughFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPassThroughFilter
//@]
//@@Methods
//The class vtkPassThroughFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPassThroughFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPassThroughFilter = obj.NewInstance ()|
// \item @|vtkPassThroughFilter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
