#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPieceRequestFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPieceRequestFilter.h"

//@@Signature
//sfunction @vtkPieceRequestFilter:vtkPieceRequestFilter vtkPieceRequestFilterConstructorFunction
//input a
//output p
//@@Parents vtkPieceRequestFilter vtkAlgorithm 
ArrayVector vtkPieceRequestFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPieceRequestFilter::New(),"vtkPieceRequestFilter",eval);
  } else if (arg[0].className() == "vtkPieceRequestFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPieceRequestFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPieceRequestFilter");
    vtkPieceRequestFilter*q = reinterpret_cast<vtkPieceRequestFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPieceRequestFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPieceRequestFilter:GetClassName vtkPieceRequestFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPieceRequestFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPieceRequestFilter requires 1 argument(s)");
  vtkPieceRequestFilter* vtk_pointer = GetVTKPointer<vtkPieceRequestFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieceRequestFilter:IsA vtkPieceRequestFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPieceRequestFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPieceRequestFilter requires 2 argument(s)");
  vtkPieceRequestFilter* vtk_pointer = GetVTKPointer<vtkPieceRequestFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieceRequestFilter:NewInstance vtkPieceRequestFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPieceRequestFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPieceRequestFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPieceRequestFilter requires 1 argument(s)");
  vtkPieceRequestFilter* vtk_pointer = GetVTKPointer<vtkPieceRequestFilter>(arg[0]);
  Array retval;
  vtkPieceRequestFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPieceRequestFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPieceRequestFilter:SafeDownCast vtkPieceRequestFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPieceRequestFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPieceRequestFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPieceRequestFilter requires 2 argument(s)");
  vtkPieceRequestFilter* vtk_pointer = GetVTKPointer<vtkPieceRequestFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPieceRequestFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPieceRequestFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPieceRequestFilter:SetNumberOfPieces vtkPieceRequestFilterSetNumberOfPiecesFunction
//input a0 a1 
//output none
ArrayVector vtkPieceRequestFilterSetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPieces (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPieces for class vtkPieceRequestFilter requires 2 argument(s)");
  vtkPieceRequestFilter* vtk_pointer = GetVTKPointer<vtkPieceRequestFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPieces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPieceRequestFilter:GetNumberOfPiecesMinValue vtkPieceRequestFilterGetNumberOfPiecesMinValueFunction
//input a0 
//output y
ArrayVector vtkPieceRequestFilterGetNumberOfPiecesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPiecesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPiecesMinValue for class vtkPieceRequestFilter requires 1 argument(s)");
  vtkPieceRequestFilter* vtk_pointer = GetVTKPointer<vtkPieceRequestFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPiecesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieceRequestFilter:GetNumberOfPiecesMaxValue vtkPieceRequestFilterGetNumberOfPiecesMaxValueFunction
//input a0 
//output y
ArrayVector vtkPieceRequestFilterGetNumberOfPiecesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPiecesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPiecesMaxValue for class vtkPieceRequestFilter requires 1 argument(s)");
  vtkPieceRequestFilter* vtk_pointer = GetVTKPointer<vtkPieceRequestFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPiecesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieceRequestFilter:GetNumberOfPieces vtkPieceRequestFilterGetNumberOfPiecesFunction
//input a0 
//output y
ArrayVector vtkPieceRequestFilterGetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPieces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPieces for class vtkPieceRequestFilter requires 1 argument(s)");
  vtkPieceRequestFilter* vtk_pointer = GetVTKPointer<vtkPieceRequestFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPieces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieceRequestFilter:SetPiece vtkPieceRequestFilterSetPieceFunction
//input a0 a1 
//output none
ArrayVector vtkPieceRequestFilterSetPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPiece (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPiece for class vtkPieceRequestFilter requires 2 argument(s)");
  vtkPieceRequestFilter* vtk_pointer = GetVTKPointer<vtkPieceRequestFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPiece(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPieceRequestFilter:GetPieceMinValue vtkPieceRequestFilterGetPieceMinValueFunction
//input a0 
//output y
ArrayVector vtkPieceRequestFilterGetPieceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPieceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPieceMinValue for class vtkPieceRequestFilter requires 1 argument(s)");
  vtkPieceRequestFilter* vtk_pointer = GetVTKPointer<vtkPieceRequestFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPieceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieceRequestFilter:GetPieceMaxValue vtkPieceRequestFilterGetPieceMaxValueFunction
//input a0 
//output y
ArrayVector vtkPieceRequestFilterGetPieceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPieceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPieceMaxValue for class vtkPieceRequestFilter requires 1 argument(s)");
  vtkPieceRequestFilter* vtk_pointer = GetVTKPointer<vtkPieceRequestFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPieceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieceRequestFilter:GetPiece vtkPieceRequestFilterGetPieceFunction
//input a0 
//output y
ArrayVector vtkPieceRequestFilterGetPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPiece (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPiece for class vtkPieceRequestFilter requires 1 argument(s)");
  vtkPieceRequestFilter* vtk_pointer = GetVTKPointer<vtkPieceRequestFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPiece();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieceRequestFilter:GetOutput__1 vtkPieceRequestFilterGetOutput__1Function
//input a0 
//output y
ArrayVector vtkPieceRequestFilterGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkPieceRequestFilter requires 1 argument(s)");
  vtkPieceRequestFilter* vtk_pointer = GetVTKPointer<vtkPieceRequestFilter>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPieceRequestFilter:GetOutput__2 vtkPieceRequestFilterGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkPieceRequestFilterGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkPieceRequestFilter requires 2 argument(s)");
  vtkPieceRequestFilter* vtk_pointer = GetVTKPointer<vtkPieceRequestFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPieceRequestFilter:SetInput__1 vtkPieceRequestFilterSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkPieceRequestFilterSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkPieceRequestFilter requires 2 argument(s)");
  vtkPieceRequestFilter* vtk_pointer = GetVTKPointer<vtkPieceRequestFilter>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPieceRequestFilter:SetInput__2 vtkPieceRequestFilterSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPieceRequestFilterSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkPieceRequestFilter requires 3 argument(s)");
  vtkPieceRequestFilter* vtk_pointer = GetVTKPointer<vtkPieceRequestFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPieceRequestFilter:GetOutput vtkPieceRequestFilterGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkPieceRequestFilterGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPieceRequestFilterGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPieceRequestFilterGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPieceRequestFilterGetOutput");
}

//@@Signature
//sfunction @vtkPieceRequestFilter:SetInput vtkPieceRequestFilterSetInputFunction
//input varargin
//output varargout
ArrayVector vtkPieceRequestFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkPieceRequestFilterSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkPieceRequestFilterSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPieceRequestFilterSetInput");
}

//@@Signature
//sfunction @vtkPieceRequestFilter:display vtkPieceRequestFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPieceRequestFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPieceRequestFilter* vtk_pointer = GetVTKPointer<vtkPieceRequestFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPieceRequestFilter:delete vtkPieceRequestFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkPieceRequestFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPieceRequestFilter
//@@Section VTKParallel
//@@Usage
// Sends the piece and number of pieces to upstream filters; passes the input
// to the output unmodified.
//
//To create an instance of class vtkPieceRequestFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPieceRequestFilter
//@]
//@@Methods
//The class vtkPieceRequestFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPieceRequestFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPieceRequestFilter = obj.NewInstance ()|
// \item @|vtkPieceRequestFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfPieces (int )| -  The total number of pieces.
//// \item @|int = obj.GetNumberOfPiecesMinValue ()| -  The total number of pieces.
//// \item @|int = obj.GetNumberOfPiecesMaxValue ()| -  The total number of pieces.
//// \item @|int = obj.GetNumberOfPieces ()| -  The total number of pieces.
//// \item @|obj.SetPiece (int )| -  The piece to extract.
//// \item @|int = obj.GetPieceMinValue ()| -  The piece to extract.
//// \item @|int = obj.GetPieceMaxValue ()| -  The piece to extract.
//// \item @|int = obj.GetPiece ()| -  The piece to extract.
//// \item @|vtkDataObject = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkDataObject = obj.GetOutput (int )| -  Get the output data object for a port on this algorithm.
//// \item @|obj.SetInput (vtkDataObject )| -  Set an input of this algorithm.
//// \item @|obj.SetInput (int , vtkDataObject )| -  Set an input of this algorithm.
////\end{itemize}
//!
