#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPieceScalars object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPieceScalars.h"

//@@Signature
//sfunction @vtkPieceScalars:vtkPieceScalars vtkPieceScalarsConstructorFunction
//input a
//output p
//@@Parents vtkPieceScalars vtkDataSetAlgorithm 
ArrayVector vtkPieceScalarsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPieceScalars::New(),"vtkPieceScalars",eval);
  } else if (arg[0].className() == "vtkPieceScalars") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPieceScalars"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPieceScalars");
    vtkPieceScalars*q = reinterpret_cast<vtkPieceScalars*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPieceScalars");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPieceScalars:GetClassName vtkPieceScalarsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPieceScalarsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPieceScalars requires 1 argument(s)");
  vtkPieceScalars* vtk_pointer = GetVTKPointer<vtkPieceScalars>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieceScalars:IsA vtkPieceScalarsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPieceScalarsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPieceScalars requires 2 argument(s)");
  vtkPieceScalars* vtk_pointer = GetVTKPointer<vtkPieceScalars>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieceScalars:NewInstance vtkPieceScalarsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPieceScalarsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPieceScalars *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPieceScalars requires 1 argument(s)");
  vtkPieceScalars* vtk_pointer = GetVTKPointer<vtkPieceScalars>(arg[0]);
  Array retval;
  vtkPieceScalars  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPieceScalars",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPieceScalars:SafeDownCast vtkPieceScalarsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPieceScalarsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPieceScalars *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPieceScalars requires 2 argument(s)");
  vtkPieceScalars* vtk_pointer = GetVTKPointer<vtkPieceScalars>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPieceScalars  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPieceScalars",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPieceScalars:SetScalarModeToCellData vtkPieceScalarsSetScalarModeToCellDataFunction
//input a0 
//output none
ArrayVector vtkPieceScalarsSetScalarModeToCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToCellData ();this SetCellScalarsFlag  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToCellData for class vtkPieceScalars requires 1 argument(s)");
  vtkPieceScalars* vtk_pointer = GetVTKPointer<vtkPieceScalars>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToCellData();
  return retval;
}

//@@Signature
//sfunction @vtkPieceScalars:SetScalarModeToPointData vtkPieceScalarsSetScalarModeToPointDataFunction
//input a0 
//output none
ArrayVector vtkPieceScalarsSetScalarModeToPointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToPointData ();this SetCellScalarsFlag  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToPointData for class vtkPieceScalars requires 1 argument(s)");
  vtkPieceScalars* vtk_pointer = GetVTKPointer<vtkPieceScalars>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToPointData();
  return retval;
}

//@@Signature
//sfunction @vtkPieceScalars:GetScalarMode vtkPieceScalarsGetScalarModeFunction
//input a0 
//output y
ArrayVector vtkPieceScalarsGetScalarModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarMode ();return this CellScalarsFlag  */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarMode for class vtkPieceScalars requires 1 argument(s)");
  vtkPieceScalars* vtk_pointer = GetVTKPointer<vtkPieceScalars>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieceScalars:SetRandomMode vtkPieceScalarsSetRandomModeFunction
//input a0 a1 
//output none
ArrayVector vtkPieceScalarsSetRandomModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRandomMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRandomMode for class vtkPieceScalars requires 2 argument(s)");
  vtkPieceScalars* vtk_pointer = GetVTKPointer<vtkPieceScalars>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRandomMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPieceScalars:GetRandomMode vtkPieceScalarsGetRandomModeFunction
//input a0 
//output y
ArrayVector vtkPieceScalarsGetRandomModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRandomMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRandomMode for class vtkPieceScalars requires 1 argument(s)");
  vtkPieceScalars* vtk_pointer = GetVTKPointer<vtkPieceScalars>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRandomMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieceScalars:RandomModeOn vtkPieceScalarsRandomModeOnFunction
//input a0 
//output none
ArrayVector vtkPieceScalarsRandomModeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RandomModeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RandomModeOn for class vtkPieceScalars requires 1 argument(s)");
  vtkPieceScalars* vtk_pointer = GetVTKPointer<vtkPieceScalars>(arg[0]);
  Array retval;
  vtk_pointer->RandomModeOn();
  return retval;
}

//@@Signature
//sfunction @vtkPieceScalars:RandomModeOff vtkPieceScalarsRandomModeOffFunction
//input a0 
//output none
ArrayVector vtkPieceScalarsRandomModeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RandomModeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RandomModeOff for class vtkPieceScalars requires 1 argument(s)");
  vtkPieceScalars* vtk_pointer = GetVTKPointer<vtkPieceScalars>(arg[0]);
  Array retval;
  vtk_pointer->RandomModeOff();
  return retval;
}

//@@Signature
//sfunction @vtkPieceScalars:display vtkPieceScalarsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPieceScalarsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPieceScalars* vtk_pointer = GetVTKPointer<vtkPieceScalars>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPieceScalars:delete vtkPieceScalarsDeleteFunction
//input varargin
//output none
ArrayVector vtkPieceScalarsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPieceScalars
//@@Section VTKParallel
//@@Usage
// vtkPieceScalars is meant to display which piece is being requested
// as scalar values.  It is usefull for visualizing the partitioning for
// streaming or distributed pipelines.
//
//
//To create an instance of class vtkPieceScalars, simply
//invoke its constructor as follows
//@[
//  obj = vtkPieceScalars
//@]
//@@Methods
//The class vtkPieceScalars has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPieceScalars class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPieceScalars = obj.NewInstance ()|
// \item @|vtkPieceScalars = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetScalarModeToCellData ()| -  Option to centerate cell scalars of points scalars.  Default is point scalars.
//// \item @|obj.SetScalarModeToPointData ()| -  Option to centerate cell scalars of points scalars.  Default is point scalars.
//// \item @|int = obj.GetScalarMode ()|
// \item @|obj.SetRandomMode (int )|
// \item @|int = obj.GetRandomMode ()|
// \item @|obj.RandomModeOn ()|
// \item @|obj.RandomModeOff ()|
//\end{itemize}
//!
