#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPipelineSize object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPipelineSize.h"

//@@Signature
//sfunction @vtkPipelineSize:vtkPipelineSize vtkPipelineSizeConstructorFunction
//input a
//output p
//@@Parents vtkPipelineSize vtkObject 
ArrayVector vtkPipelineSizeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPipelineSize::New(),"vtkPipelineSize",eval);
  } else if (arg[0].className() == "vtkPipelineSize") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPipelineSize"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPipelineSize");
    vtkPipelineSize*q = reinterpret_cast<vtkPipelineSize*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPipelineSize");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPipelineSize:GetClassName vtkPipelineSizeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPipelineSizeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPipelineSize requires 1 argument(s)");
  vtkPipelineSize* vtk_pointer = GetVTKPointer<vtkPipelineSize>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPipelineSize:IsA vtkPipelineSizeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPipelineSizeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPipelineSize requires 2 argument(s)");
  vtkPipelineSize* vtk_pointer = GetVTKPointer<vtkPipelineSize>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPipelineSize:NewInstance vtkPipelineSizeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPipelineSizeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPipelineSize *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPipelineSize requires 1 argument(s)");
  vtkPipelineSize* vtk_pointer = GetVTKPointer<vtkPipelineSize>(arg[0]);
  Array retval;
  vtkPipelineSize  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPipelineSize",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPipelineSize:SafeDownCast vtkPipelineSizeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPipelineSizeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPipelineSize *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPipelineSize requires 2 argument(s)");
  vtkPipelineSize* vtk_pointer = GetVTKPointer<vtkPipelineSize>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPipelineSize  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPipelineSize",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPipelineSize:GetEstimatedSize vtkPipelineSizeGetEstimatedSizeFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPipelineSizeGetEstimatedSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetEstimatedSize (vtkAlgorithm *input, int inputPort, int connection); */
  if (arg.size() < 4) 
    throw Exception("Function GetEstimatedSize for class vtkPipelineSize requires 4 argument(s)");
  vtkPipelineSize* vtk_pointer = GetVTKPointer<vtkPipelineSize>(arg[0]);
  Array retval;
  vtkAlgorithm  *temp0;
  int      temp1;
  int      temp2;
  unsigned long     temp20;
  temp0 = GetVTKPointer<vtkAlgorithm>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetEstimatedSize(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPipelineSize:GetNumberOfSubPieces vtkPipelineSizeGetNumberOfSubPiecesFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPipelineSizeGetNumberOfSubPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetNumberOfSubPieces (unsigned long memoryLimit, vtkPolyDataMapper *mapper); */
  if (arg.size() < 3) 
    throw Exception("Function GetNumberOfSubPieces for class vtkPipelineSize requires 3 argument(s)");
  vtkPipelineSize* vtk_pointer = GetVTKPointer<vtkPipelineSize>(arg[0]);
  Array retval;
  unsigned long     temp0;
  vtkPolyDataMapper  *temp1;
  unsigned long     temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPolyDataMapper>(arg[2]);
  temp20 = (vtk_pointer)->GetNumberOfSubPieces(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPipelineSize:display vtkPipelineSizeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPipelineSizeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPipelineSize* vtk_pointer = GetVTKPointer<vtkPipelineSize>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPipelineSize:delete vtkPipelineSizeDeleteFunction
//input varargin
//output none
ArrayVector vtkPipelineSizeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
