#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProcess object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProcess.h"

//@@Signature
//sfunction @vtkProcess:vtkProcess vtkProcessConstructorFunction
//input a
//output p
//@@Parents vtkProcess vtkObject 
ArrayVector vtkProcessConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProcess::New(),"vtkProcess",eval);
  } else if (arg[0].className() == "vtkProcess") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProcess"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProcess");
    vtkProcess*q = reinterpret_cast<vtkProcess*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProcess");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProcess:GetClassName vtkProcessGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProcessGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProcess requires 1 argument(s)");
  vtkProcess* vtk_pointer = GetVTKPointer<vtkProcess>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcess:IsA vtkProcessIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProcessIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProcess requires 2 argument(s)");
  vtkProcess* vtk_pointer = GetVTKPointer<vtkProcess>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcess:NewInstance vtkProcessNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProcessNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProcess *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProcess requires 1 argument(s)");
  vtkProcess* vtk_pointer = GetVTKPointer<vtkProcess>(arg[0]);
  Array retval;
  vtkProcess  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProcess",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProcess:SafeDownCast vtkProcessSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProcessSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProcess *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProcess requires 2 argument(s)");
  vtkProcess* vtk_pointer = GetVTKPointer<vtkProcess>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProcess  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProcess",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProcess:Execute vtkProcessExecuteFunction
//input a0 
//output none
ArrayVector vtkProcessExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Execute () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Execute for class vtkProcess requires 1 argument(s)");
  vtkProcess* vtk_pointer = GetVTKPointer<vtkProcess>(arg[0]);
  Array retval;
  vtk_pointer->Execute();
  return retval;
}

//@@Signature
//sfunction @vtkProcess:GetController vtkProcessGetControllerFunction
//input a0 
//output y
ArrayVector vtkProcessGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkProcess requires 1 argument(s)");
  vtkProcess* vtk_pointer = GetVTKPointer<vtkProcess>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProcess:SetController vtkProcessSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkProcessSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetController (vtkMultiProcessController *aController); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkProcess requires 2 argument(s)");
  vtkProcess* vtk_pointer = GetVTKPointer<vtkProcess>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProcess:GetReturnValue vtkProcessGetReturnValueFunction
//input a0 
//output y
ArrayVector vtkProcessGetReturnValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReturnValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReturnValue for class vtkProcess requires 1 argument(s)");
  vtkProcess* vtk_pointer = GetVTKPointer<vtkProcess>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReturnValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcess:display vtkProcessDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProcessDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProcess* vtk_pointer = GetVTKPointer<vtkProcess>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProcess:delete vtkProcessDeleteFunction
//input varargin
//output none
ArrayVector vtkProcessDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProcess
//@@Section VTKParallel
//@@Usage
// vtkProcess is an abstract class representing a process that can be launched
// by a vtkMultiProcessController. Concrete classes just have to implement
// Execute() method and make sure it set the proper value in ReturnValue.
//
// .SECTION Example
//  class MyProcess: public vtkProcess
//  ...
//  vtkMultiProcessController *c;
//  MyProcess *p=new MyProcess::New();
//  p->SetArgs(argc,argv); // some parameters specific to the process
//  p->SetX(10.0); // ...
//  c->SetSingleProcess(p);
//  c->SingleMethodExecute();
//  int returnValue=p->GetReturnValue();
//
//
//To create an instance of class vtkProcess, simply
//invoke its constructor as follows
//@[
//  obj = vtkProcess
//@]
//@@Methods
//The class vtkProcess has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProcess class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProcess = obj.NewInstance ()|
// \item @|vtkProcess = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Execute ()|
// \item @|vtkMultiProcessController = obj.GetController ()| -  Give access to the controller that launched the process.
// Initial value is NULL.
//// \item @|obj.SetController (vtkMultiProcessController aController)| -  This method should not be called directly but set by the controller
// itself.
//// \item @|int = obj.GetReturnValue ()| -  Value set at the end of a call to Execute.
////\end{itemize}
//!
