#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProcessGroup object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProcessGroup.h"

//@@Signature
//sfunction @vtkProcessGroup:vtkProcessGroup vtkProcessGroupConstructorFunction
//input a
//output p
//@@Parents vtkProcessGroup vtkObject 
ArrayVector vtkProcessGroupConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProcessGroup::New(),"vtkProcessGroup",eval);
  } else if (arg[0].className() == "vtkProcessGroup") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProcessGroup"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProcessGroup");
    vtkProcessGroup*q = reinterpret_cast<vtkProcessGroup*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProcessGroup");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProcessGroup:GetClassName vtkProcessGroupGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProcessGroupGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProcessGroup requires 1 argument(s)");
  vtkProcessGroup* vtk_pointer = GetVTKPointer<vtkProcessGroup>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcessGroup:IsA vtkProcessGroupIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProcessGroupIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProcessGroup requires 2 argument(s)");
  vtkProcessGroup* vtk_pointer = GetVTKPointer<vtkProcessGroup>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcessGroup:NewInstance vtkProcessGroupNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProcessGroupNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProcessGroup *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProcessGroup requires 1 argument(s)");
  vtkProcessGroup* vtk_pointer = GetVTKPointer<vtkProcessGroup>(arg[0]);
  Array retval;
  vtkProcessGroup  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProcessGroup",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProcessGroup:SafeDownCast vtkProcessGroupSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProcessGroupSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProcessGroup *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProcessGroup requires 2 argument(s)");
  vtkProcessGroup* vtk_pointer = GetVTKPointer<vtkProcessGroup>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProcessGroup  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProcessGroup",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProcessGroup:Initialize__1 vtkProcessGroupInitialize__1Function
//input a0 a1 
//output none
ArrayVector vtkProcessGroupInitialize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (vtkMultiProcessController *controller); */
  if (arg.size() < 2) 
    throw Exception("Function Initialize__1 for class vtkProcessGroup requires 2 argument(s)");
  vtkProcessGroup* vtk_pointer = GetVTKPointer<vtkProcessGroup>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->Initialize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProcessGroup:Initialize__2 vtkProcessGroupInitialize__2Function
//input a0 a1 
//output none
ArrayVector vtkProcessGroupInitialize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (vtkCommunicator *communicator); */
  if (arg.size() < 2) 
    throw Exception("Function Initialize__2 for class vtkProcessGroup requires 2 argument(s)");
  vtkProcessGroup* vtk_pointer = GetVTKPointer<vtkProcessGroup>(arg[0]);
  Array retval;
  vtkCommunicator  *temp0;
  temp0 = GetVTKPointer<vtkCommunicator>(arg[1]);
  vtk_pointer->Initialize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProcessGroup:GetCommunicator vtkProcessGroupGetCommunicatorFunction
//input a0 
//output y
ArrayVector vtkProcessGroupGetCommunicatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCommunicator *GetCommunicator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCommunicator for class vtkProcessGroup requires 1 argument(s)");
  vtkProcessGroup* vtk_pointer = GetVTKPointer<vtkProcessGroup>(arg[0]);
  Array retval;
  vtkCommunicator  *temp20;
  temp20 = (vtk_pointer)->GetCommunicator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCommunicator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProcessGroup:SetCommunicator vtkProcessGroupSetCommunicatorFunction
//input a0 a1 
//output none
ArrayVector vtkProcessGroupSetCommunicatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCommunicator (vtkCommunicator *communicator); */
  if (arg.size() < 2) 
    throw Exception("Function SetCommunicator for class vtkProcessGroup requires 2 argument(s)");
  vtkProcessGroup* vtk_pointer = GetVTKPointer<vtkProcessGroup>(arg[0]);
  Array retval;
  vtkCommunicator  *temp0;
  temp0 = GetVTKPointer<vtkCommunicator>(arg[1]);
  vtk_pointer->SetCommunicator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProcessGroup:GetNumberOfProcessIds vtkProcessGroupGetNumberOfProcessIdsFunction
//input a0 
//output y
ArrayVector vtkProcessGroupGetNumberOfProcessIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfProcessIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfProcessIds for class vtkProcessGroup requires 1 argument(s)");
  vtkProcessGroup* vtk_pointer = GetVTKPointer<vtkProcessGroup>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfProcessIds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcessGroup:GetProcessId vtkProcessGroupGetProcessIdFunction
//input a0 a1 
//output y
ArrayVector vtkProcessGroupGetProcessIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProcessId (int pos);return this ProcessIds pos  */
  if (arg.size() < 2) 
    throw Exception("Function GetProcessId for class vtkProcessGroup requires 2 argument(s)");
  vtkProcessGroup* vtk_pointer = GetVTKPointer<vtkProcessGroup>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetProcessId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcessGroup:GetLocalProcessId vtkProcessGroupGetLocalProcessIdFunction
//input a0 
//output y
ArrayVector vtkProcessGroupGetLocalProcessIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLocalProcessId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocalProcessId for class vtkProcessGroup requires 1 argument(s)");
  vtkProcessGroup* vtk_pointer = GetVTKPointer<vtkProcessGroup>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLocalProcessId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcessGroup:FindProcessId vtkProcessGroupFindProcessIdFunction
//input a0 a1 
//output y
ArrayVector vtkProcessGroupFindProcessIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int FindProcessId (int processId); */
  if (arg.size() < 2) 
    throw Exception("Function FindProcessId for class vtkProcessGroup requires 2 argument(s)");
  vtkProcessGroup* vtk_pointer = GetVTKPointer<vtkProcessGroup>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->FindProcessId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcessGroup:AddProcessId vtkProcessGroupAddProcessIdFunction
//input a0 a1 
//output y
ArrayVector vtkProcessGroupAddProcessIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddProcessId (int processId); */
  if (arg.size() < 2) 
    throw Exception("Function AddProcessId for class vtkProcessGroup requires 2 argument(s)");
  vtkProcessGroup* vtk_pointer = GetVTKPointer<vtkProcessGroup>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->AddProcessId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcessGroup:RemoveProcessId vtkProcessGroupRemoveProcessIdFunction
//input a0 a1 
//output y
ArrayVector vtkProcessGroupRemoveProcessIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RemoveProcessId (int processId); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveProcessId for class vtkProcessGroup requires 2 argument(s)");
  vtkProcessGroup* vtk_pointer = GetVTKPointer<vtkProcessGroup>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->RemoveProcessId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcessGroup:RemoveAllProcessIds vtkProcessGroupRemoveAllProcessIdsFunction
//input a0 
//output none
ArrayVector vtkProcessGroupRemoveAllProcessIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllProcessIds (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllProcessIds for class vtkProcessGroup requires 1 argument(s)");
  vtkProcessGroup* vtk_pointer = GetVTKPointer<vtkProcessGroup>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllProcessIds();
  return retval;
}

//@@Signature
//sfunction @vtkProcessGroup:Copy vtkProcessGroupCopyFunction
//input a0 a1 
//output none
ArrayVector vtkProcessGroupCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Copy (vtkProcessGroup *group); */
  if (arg.size() < 2) 
    throw Exception("Function Copy for class vtkProcessGroup requires 2 argument(s)");
  vtkProcessGroup* vtk_pointer = GetVTKPointer<vtkProcessGroup>(arg[0]);
  Array retval;
  vtkProcessGroup  *temp0;
  temp0 = GetVTKPointer<vtkProcessGroup>(arg[1]);
  vtk_pointer->Copy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProcessGroup:Initialize vtkProcessGroupInitializeFunction
//input varargin
//output varargout
ArrayVector vtkProcessGroupInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkMultiProcessController"))
    return vtkProcessGroupInitialize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkCommunicator"))
    return vtkProcessGroupInitialize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProcessGroupInitialize");
}

//@@Signature
//sfunction @vtkProcessGroup:display vtkProcessGroupDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProcessGroupDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProcessGroup* vtk_pointer = GetVTKPointer<vtkProcessGroup>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProcessGroup:delete vtkProcessGroupDeleteFunction
//input varargin
//output none
ArrayVector vtkProcessGroupDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProcessGroup
//@@Section VTKParallel
//@@Usage
//
// This class is used for creating groups of processes.  A vtkProcessGroup is
// initialized by passing the controller or communicator on which the group is
// based off of.  You can then use the group to subset and reorder the the
// processes.  Eventually, you can pass the group object to the
// CreateSubController method of vtkMultiProcessController to create a
// controller for the defined group of processes.  You must use the same
// controller (or attached communicator) from which this group was initialized
// with.
//
//
//To create an instance of class vtkProcessGroup, simply
//invoke its constructor as follows
//@[
//  obj = vtkProcessGroup
//@]
//@@Methods
//The class vtkProcessGroup has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProcessGroup class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProcessGroup = obj.NewInstance ()|
// \item @|vtkProcessGroup = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize (vtkMultiProcessController controller)| -  Initialize the group to the given controller or communicator.  The group
// will be set to contain all of the processes in the controller/communicator
// in the same order.
//// \item @|obj.Initialize (vtkCommunicator communicator)| -  Initialize the group to the given controller or communicator.  The group
// will be set to contain all of the processes in the controller/communicator
// in the same order.
//// \item @|vtkCommunicator = obj.GetCommunicator ()| -  Get the communicator on which this group is based on.
//// \item @|obj.SetCommunicator (vtkCommunicator communicator)| -  Set the communicator.  This has the same effect as Initialize except that
// the contents of the group will not be modified (although they may be
// truncated if the new communicator is smaller than the current group).
// Note that this can lead to an invalid group if there are values in the
// group that are not valid in the new communicator.
//// \item @|int = obj.GetNumberOfProcessIds ()| -  Returns the size of this group (the number of processes defined in it).
//// \item @|int = obj.GetProcessId (int pos)| -  Get the process id for the local process (as defined by the group's
// communicator).  Returns -1 if the local process is not in the group.
//// \item @|int = obj.GetLocalProcessId ()| -  Get the process id for the local process (as defined by the group's
// communicator).  Returns -1 if the local process is not in the group.
//// \item @|int = obj.FindProcessId (int processId)| -  Given a process id in the communicator, this method returns its location in
// the group or -1 if it is not in the group.  For example, if this group
// contains {6, 2, 8, 1}, then FindProcessId(2) will return 1 and
// FindProcessId(3) will return -1.
//// \item @|int = obj.AddProcessId (int processId)| -  Add a process id to the end of the group (if it is not already in the
// group).  Returns the location where the id was stored.
//// \item @|int = obj.RemoveProcessId (int processId)| -  Remove the given process id from the group (assuming it is in the group).
// All ids to the "right" of the removed id are shifted over.  Returns 1
// if the process id was removed, 0 if the process id was not in the group
// in the first place.
//// \item @|obj.RemoveAllProcessIds ()| -  Removes all the processes ids from the group, leaving the group empty.
//// \item @|obj.Copy (vtkProcessGroup group)| -  Copies the given group's communicator and process ids.
////\end{itemize}
//!
