#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProcessIdScalars object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProcessIdScalars.h"

//@@Signature
//sfunction @vtkProcessIdScalars:vtkProcessIdScalars vtkProcessIdScalarsConstructorFunction
//input a
//output p
//@@Parents vtkProcessIdScalars vtkDataSetAlgorithm 
ArrayVector vtkProcessIdScalarsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProcessIdScalars::New(),"vtkProcessIdScalars",eval);
  } else if (arg[0].className() == "vtkProcessIdScalars") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProcessIdScalars"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProcessIdScalars");
    vtkProcessIdScalars*q = reinterpret_cast<vtkProcessIdScalars*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProcessIdScalars");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProcessIdScalars:GetClassName vtkProcessIdScalarsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProcessIdScalarsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProcessIdScalars requires 1 argument(s)");
  vtkProcessIdScalars* vtk_pointer = GetVTKPointer<vtkProcessIdScalars>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcessIdScalars:IsA vtkProcessIdScalarsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProcessIdScalarsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProcessIdScalars requires 2 argument(s)");
  vtkProcessIdScalars* vtk_pointer = GetVTKPointer<vtkProcessIdScalars>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcessIdScalars:NewInstance vtkProcessIdScalarsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProcessIdScalarsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProcessIdScalars *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProcessIdScalars requires 1 argument(s)");
  vtkProcessIdScalars* vtk_pointer = GetVTKPointer<vtkProcessIdScalars>(arg[0]);
  Array retval;
  vtkProcessIdScalars  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProcessIdScalars",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProcessIdScalars:SafeDownCast vtkProcessIdScalarsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProcessIdScalarsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProcessIdScalars *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProcessIdScalars requires 2 argument(s)");
  vtkProcessIdScalars* vtk_pointer = GetVTKPointer<vtkProcessIdScalars>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProcessIdScalars  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProcessIdScalars",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProcessIdScalars:SetScalarModeToCellData vtkProcessIdScalarsSetScalarModeToCellDataFunction
//input a0 
//output none
ArrayVector vtkProcessIdScalarsSetScalarModeToCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToCellData ();this SetCellScalarsFlag  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToCellData for class vtkProcessIdScalars requires 1 argument(s)");
  vtkProcessIdScalars* vtk_pointer = GetVTKPointer<vtkProcessIdScalars>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToCellData();
  return retval;
}

//@@Signature
//sfunction @vtkProcessIdScalars:SetScalarModeToPointData vtkProcessIdScalarsSetScalarModeToPointDataFunction
//input a0 
//output none
ArrayVector vtkProcessIdScalarsSetScalarModeToPointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToPointData ();this SetCellScalarsFlag  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToPointData for class vtkProcessIdScalars requires 1 argument(s)");
  vtkProcessIdScalars* vtk_pointer = GetVTKPointer<vtkProcessIdScalars>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToPointData();
  return retval;
}

//@@Signature
//sfunction @vtkProcessIdScalars:GetScalarMode vtkProcessIdScalarsGetScalarModeFunction
//input a0 
//output y
ArrayVector vtkProcessIdScalarsGetScalarModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarMode ();return this CellScalarsFlag  */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarMode for class vtkProcessIdScalars requires 1 argument(s)");
  vtkProcessIdScalars* vtk_pointer = GetVTKPointer<vtkProcessIdScalars>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcessIdScalars:SetRandomMode vtkProcessIdScalarsSetRandomModeFunction
//input a0 a1 
//output none
ArrayVector vtkProcessIdScalarsSetRandomModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRandomMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRandomMode for class vtkProcessIdScalars requires 2 argument(s)");
  vtkProcessIdScalars* vtk_pointer = GetVTKPointer<vtkProcessIdScalars>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRandomMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProcessIdScalars:GetRandomMode vtkProcessIdScalarsGetRandomModeFunction
//input a0 
//output y
ArrayVector vtkProcessIdScalarsGetRandomModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRandomMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRandomMode for class vtkProcessIdScalars requires 1 argument(s)");
  vtkProcessIdScalars* vtk_pointer = GetVTKPointer<vtkProcessIdScalars>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRandomMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcessIdScalars:RandomModeOn vtkProcessIdScalarsRandomModeOnFunction
//input a0 
//output none
ArrayVector vtkProcessIdScalarsRandomModeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RandomModeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RandomModeOn for class vtkProcessIdScalars requires 1 argument(s)");
  vtkProcessIdScalars* vtk_pointer = GetVTKPointer<vtkProcessIdScalars>(arg[0]);
  Array retval;
  vtk_pointer->RandomModeOn();
  return retval;
}

//@@Signature
//sfunction @vtkProcessIdScalars:RandomModeOff vtkProcessIdScalarsRandomModeOffFunction
//input a0 
//output none
ArrayVector vtkProcessIdScalarsRandomModeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RandomModeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RandomModeOff for class vtkProcessIdScalars requires 1 argument(s)");
  vtkProcessIdScalars* vtk_pointer = GetVTKPointer<vtkProcessIdScalars>(arg[0]);
  Array retval;
  vtk_pointer->RandomModeOff();
  return retval;
}

//@@Signature
//sfunction @vtkProcessIdScalars:SetController vtkProcessIdScalarsSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkProcessIdScalarsSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkProcessIdScalars requires 2 argument(s)");
  vtkProcessIdScalars* vtk_pointer = GetVTKPointer<vtkProcessIdScalars>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProcessIdScalars:GetController vtkProcessIdScalarsGetControllerFunction
//input a0 
//output y
ArrayVector vtkProcessIdScalarsGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkProcessIdScalars requires 1 argument(s)");
  vtkProcessIdScalars* vtk_pointer = GetVTKPointer<vtkProcessIdScalars>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProcessIdScalars:display vtkProcessIdScalarsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProcessIdScalarsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProcessIdScalars* vtk_pointer = GetVTKPointer<vtkProcessIdScalars>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProcessIdScalars:delete vtkProcessIdScalarsDeleteFunction
//input varargin
//output none
ArrayVector vtkProcessIdScalarsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProcessIdScalars
//@@Section VTKParallel
//@@Usage
// vtkProcessIdScalars is meant to display which processor owns which cells
// and points.  It is useful for visualizing the partitioning for
// streaming or distributed pipelines.
//
//
//To create an instance of class vtkProcessIdScalars, simply
//invoke its constructor as follows
//@[
//  obj = vtkProcessIdScalars
//@]
//@@Methods
//The class vtkProcessIdScalars has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProcessIdScalars class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProcessIdScalars = obj.NewInstance ()|
// \item @|vtkProcessIdScalars = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetScalarModeToCellData ()| -  Option to centerate cell scalars of points scalars.  Default is point
// scalars.
//// \item @|obj.SetScalarModeToPointData ()| -  Option to centerate cell scalars of points scalars.  Default is point
// scalars.
//// \item @|int = obj.GetScalarMode ()|
// \item @|obj.SetRandomMode (int )|
// \item @|int = obj.GetRandomMode ()|
// \item @|obj.RandomModeOn ()|
// \item @|obj.RandomModeOff ()|
// \item @|obj.SetController (vtkMultiProcessController )| -  By defualt this filter uses the global controller,
// but this method can be used to set another instead.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  By defualt this filter uses the global controller,
// but this method can be used to set another instead.
////\end{itemize}
//!
