#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRectilinearGridOutlineFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRectilinearGridOutlineFilter.h"

//@@Signature
//sfunction @vtkRectilinearGridOutlineFilter:vtkRectilinearGridOutlineFilter vtkRectilinearGridOutlineFilterConstructorFunction
//input a
//output p
//@@Parents vtkRectilinearGridOutlineFilter vtkPolyDataAlgorithm 
ArrayVector vtkRectilinearGridOutlineFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRectilinearGridOutlineFilter::New(),"vtkRectilinearGridOutlineFilter",eval);
  } else if (arg[0].className() == "vtkRectilinearGridOutlineFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRectilinearGridOutlineFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRectilinearGridOutlineFilter");
    vtkRectilinearGridOutlineFilter*q = reinterpret_cast<vtkRectilinearGridOutlineFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRectilinearGridOutlineFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRectilinearGridOutlineFilter:GetClassName vtkRectilinearGridOutlineFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridOutlineFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRectilinearGridOutlineFilter requires 1 argument(s)");
  vtkRectilinearGridOutlineFilter* vtk_pointer = GetVTKPointer<vtkRectilinearGridOutlineFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridOutlineFilter:IsA vtkRectilinearGridOutlineFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridOutlineFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRectilinearGridOutlineFilter requires 2 argument(s)");
  vtkRectilinearGridOutlineFilter* vtk_pointer = GetVTKPointer<vtkRectilinearGridOutlineFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridOutlineFilter:NewInstance vtkRectilinearGridOutlineFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridOutlineFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGridOutlineFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRectilinearGridOutlineFilter requires 1 argument(s)");
  vtkRectilinearGridOutlineFilter* vtk_pointer = GetVTKPointer<vtkRectilinearGridOutlineFilter>(arg[0]);
  Array retval;
  vtkRectilinearGridOutlineFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGridOutlineFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridOutlineFilter:SafeDownCast vtkRectilinearGridOutlineFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridOutlineFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGridOutlineFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRectilinearGridOutlineFilter requires 2 argument(s)");
  vtkRectilinearGridOutlineFilter* vtk_pointer = GetVTKPointer<vtkRectilinearGridOutlineFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRectilinearGridOutlineFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGridOutlineFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridOutlineFilter:display vtkRectilinearGridOutlineFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridOutlineFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRectilinearGridOutlineFilter* vtk_pointer = GetVTKPointer<vtkRectilinearGridOutlineFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRectilinearGridOutlineFilter:delete vtkRectilinearGridOutlineFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkRectilinearGridOutlineFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRectilinearGridOutlineFilter
//@@Section VTKParallel
//@@Usage
// vtkRectilinearGridOutlineFilter works in parallel.  There is no reason.
// to use this filter if you are not breaking the processing into pieces.
// With one piece you can simply use vtkOutlineFilter.  This filter
// ignores internal edges when the extent is not the whole extent.
//
//To create an instance of class vtkRectilinearGridOutlineFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkRectilinearGridOutlineFilter
//@]
//@@Methods
//The class vtkRectilinearGridOutlineFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRectilinearGridOutlineFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRectilinearGridOutlineFilter = obj.NewInstance ()|
// \item @|vtkRectilinearGridOutlineFilter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
