#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSocketCommunicator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSocketCommunicator.h"

//@@Signature
//sfunction @vtkSocketCommunicator:vtkSocketCommunicator vtkSocketCommunicatorConstructorFunction
//input a
//output p
//@@Parents vtkSocketCommunicator vtkCommunicator 
ArrayVector vtkSocketCommunicatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSocketCommunicator::New(),"vtkSocketCommunicator",eval);
  } else if (arg[0].className() == "vtkSocketCommunicator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSocketCommunicator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSocketCommunicator");
    vtkSocketCommunicator*q = reinterpret_cast<vtkSocketCommunicator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSocketCommunicator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSocketCommunicator:GetClassName vtkSocketCommunicatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSocketCommunicatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSocketCommunicator requires 1 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:IsA vtkSocketCommunicatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSocketCommunicatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSocketCommunicator requires 2 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:NewInstance vtkSocketCommunicatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSocketCommunicatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSocketCommunicator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSocketCommunicator requires 1 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  vtkSocketCommunicator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSocketCommunicator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:SafeDownCast vtkSocketCommunicatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSocketCommunicatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSocketCommunicator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSocketCommunicator requires 2 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSocketCommunicator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSocketCommunicator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:WaitForConnection__1 vtkSocketCommunicatorWaitForConnection__1Function
//input a0 a1 
//output y
ArrayVector vtkSocketCommunicatorWaitForConnection__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int WaitForConnection (int port); */
  if (arg.size() < 2) 
    throw Exception("Function WaitForConnection__1 for class vtkSocketCommunicator requires 2 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->WaitForConnection(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:WaitForConnection__2 vtkSocketCommunicatorWaitForConnection__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkSocketCommunicatorWaitForConnection__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int WaitForConnection (vtkServerSocket *socket, unsigned long msec); */
  if (arg.size() < 3) 
    throw Exception("Function WaitForConnection__2 for class vtkSocketCommunicator requires 3 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  vtkServerSocket  *temp0;
  unsigned long     temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkServerSocket>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned long) arg[2].asDouble();
  temp20 = (vtk_pointer)->WaitForConnection(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:CloseConnection vtkSocketCommunicatorCloseConnectionFunction
//input a0 
//output none
ArrayVector vtkSocketCommunicatorCloseConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CloseConnection (); */
  if (arg.size() < 1) 
    throw Exception("Function CloseConnection for class vtkSocketCommunicator requires 1 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  vtk_pointer->CloseConnection();
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:ConnectTo vtkSocketCommunicatorConnectToFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSocketCommunicatorConnectToFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ConnectTo (char *hostName, int port); */
  if (arg.size() < 3) 
    throw Exception("Function ConnectTo for class vtkSocketCommunicator requires 3 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->ConnectTo(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:GetSwapBytesInReceivedData vtkSocketCommunicatorGetSwapBytesInReceivedDataFunction
//input a0 
//output y
ArrayVector vtkSocketCommunicatorGetSwapBytesInReceivedDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSwapBytesInReceivedData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSwapBytesInReceivedData for class vtkSocketCommunicator requires 1 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSwapBytesInReceivedData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:GetIsConnected vtkSocketCommunicatorGetIsConnectedFunction
//input a0 
//output y
ArrayVector vtkSocketCommunicatorGetIsConnectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIsConnected (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIsConnected for class vtkSocketCommunicator requires 1 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIsConnected();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:SetNumberOfProcesses vtkSocketCommunicatorSetNumberOfProcessesFunction
//input a0 a1 
//output none
ArrayVector vtkSocketCommunicatorSetNumberOfProcessesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetNumberOfProcesses (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfProcesses for class vtkSocketCommunicator requires 2 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfProcesses(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:Barrier vtkSocketCommunicatorBarrierFunction
//input a0 
//output none
ArrayVector vtkSocketCommunicatorBarrierFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Barrier (); */
  if (arg.size() < 1) 
    throw Exception("Function Barrier for class vtkSocketCommunicator requires 1 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  vtk_pointer->Barrier();
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:SetPerformHandshake vtkSocketCommunicatorSetPerformHandshakeFunction
//input a0 a1 
//output none
ArrayVector vtkSocketCommunicatorSetPerformHandshakeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPerformHandshake (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPerformHandshake for class vtkSocketCommunicator requires 2 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPerformHandshake(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:GetPerformHandshakeMinValue vtkSocketCommunicatorGetPerformHandshakeMinValueFunction
//input a0 
//output y
ArrayVector vtkSocketCommunicatorGetPerformHandshakeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPerformHandshakeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPerformHandshakeMinValue for class vtkSocketCommunicator requires 1 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPerformHandshakeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:GetPerformHandshakeMaxValue vtkSocketCommunicatorGetPerformHandshakeMaxValueFunction
//input a0 
//output y
ArrayVector vtkSocketCommunicatorGetPerformHandshakeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPerformHandshakeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPerformHandshakeMaxValue for class vtkSocketCommunicator requires 1 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPerformHandshakeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:PerformHandshakeOn vtkSocketCommunicatorPerformHandshakeOnFunction
//input a0 
//output none
ArrayVector vtkSocketCommunicatorPerformHandshakeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PerformHandshakeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PerformHandshakeOn for class vtkSocketCommunicator requires 1 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  vtk_pointer->PerformHandshakeOn();
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:PerformHandshakeOff vtkSocketCommunicatorPerformHandshakeOffFunction
//input a0 
//output none
ArrayVector vtkSocketCommunicatorPerformHandshakeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PerformHandshakeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PerformHandshakeOff for class vtkSocketCommunicator requires 1 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  vtk_pointer->PerformHandshakeOff();
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:GetPerformHandshake vtkSocketCommunicatorGetPerformHandshakeFunction
//input a0 
//output y
ArrayVector vtkSocketCommunicatorGetPerformHandshakeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPerformHandshake (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPerformHandshake for class vtkSocketCommunicator requires 1 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPerformHandshake();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:LogToFile__1 vtkSocketCommunicatorLogToFile__1Function
//input a0 a1 
//output y
ArrayVector vtkSocketCommunicatorLogToFile__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int LogToFile (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function LogToFile__1 for class vtkSocketCommunicator requires 2 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->LogToFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:LogToFile__2 vtkSocketCommunicatorLogToFile__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkSocketCommunicatorLogToFile__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int LogToFile (const char *name, int append); */
  if (arg.size() < 3) 
    throw Exception("Function LogToFile__2 for class vtkSocketCommunicator requires 3 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->LogToFile(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:SetReportErrors vtkSocketCommunicatorSetReportErrorsFunction
//input a0 a1 
//output none
ArrayVector vtkSocketCommunicatorSetReportErrorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReportErrors (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReportErrors for class vtkSocketCommunicator requires 2 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReportErrors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:GetReportErrors vtkSocketCommunicatorGetReportErrorsFunction
//input a0 
//output y
ArrayVector vtkSocketCommunicatorGetReportErrorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReportErrors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReportErrors for class vtkSocketCommunicator requires 1 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReportErrors();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:GetSocket vtkSocketCommunicatorGetSocketFunction
//input a0 
//output y
ArrayVector vtkSocketCommunicatorGetSocketFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClientSocket *GetSocket (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSocket for class vtkSocketCommunicator requires 1 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  vtkClientSocket  *temp20;
  temp20 = (vtk_pointer)->GetSocket();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClientSocket",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:SetSocket vtkSocketCommunicatorSetSocketFunction
//input a0 a1 
//output none
ArrayVector vtkSocketCommunicatorSetSocketFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSocket (vtkClientSocket *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSocket for class vtkSocketCommunicator requires 2 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  vtkClientSocket  *temp0;
  temp0 = GetVTKPointer<vtkClientSocket>(arg[1]);
  vtk_pointer->SetSocket(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:Handshake vtkSocketCommunicatorHandshakeFunction
//input a0 
//output y
ArrayVector vtkSocketCommunicatorHandshakeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Handshake (); */
  if (arg.size() < 1) 
    throw Exception("Function Handshake for class vtkSocketCommunicator requires 1 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->Handshake();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:ServerSideHandshake vtkSocketCommunicatorServerSideHandshakeFunction
//input a0 
//output y
ArrayVector vtkSocketCommunicatorServerSideHandshakeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ServerSideHandshake (); */
  if (arg.size() < 1) 
    throw Exception("Function ServerSideHandshake for class vtkSocketCommunicator requires 1 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->ServerSideHandshake();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:ClientSideHandshake vtkSocketCommunicatorClientSideHandshakeFunction
//input a0 
//output y
ArrayVector vtkSocketCommunicatorClientSideHandshakeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ClientSideHandshake (); */
  if (arg.size() < 1) 
    throw Exception("Function ClientSideHandshake for class vtkSocketCommunicator requires 1 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->ClientSideHandshake();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:GetIsServer vtkSocketCommunicatorGetIsServerFunction
//input a0 
//output y
ArrayVector vtkSocketCommunicatorGetIsServerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIsServer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIsServer for class vtkSocketCommunicator requires 1 argument(s)");
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIsServer();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketCommunicator:WaitForConnection vtkSocketCommunicatorWaitForConnectionFunction
//input varargin
//output varargout
ArrayVector vtkSocketCommunicatorWaitForConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkSocketCommunicatorWaitForConnection__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkServerSocket") && VTKIsScalarArg(arg[2]))
    return vtkSocketCommunicatorWaitForConnection__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSocketCommunicatorWaitForConnection");
}

//@@Signature
//sfunction @vtkSocketCommunicator:ReduceVoidArray vtkSocketCommunicatorReduceVoidArrayFunction
//input varargin
//output varargout
ArrayVector vtkSocketCommunicatorReduceVoidArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkSocketCommunicatorReduceVoidArray");
}

//@@Signature
//sfunction @vtkSocketCommunicator:AllReduceVoidArray vtkSocketCommunicatorAllReduceVoidArrayFunction
//input varargin
//output varargout
ArrayVector vtkSocketCommunicatorAllReduceVoidArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkSocketCommunicatorAllReduceVoidArray");
}

//@@Signature
//sfunction @vtkSocketCommunicator:LogToFile vtkSocketCommunicatorLogToFileFunction
//input varargin
//output varargout
ArrayVector vtkSocketCommunicatorLogToFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkSocketCommunicatorLogToFile__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkSocketCommunicatorLogToFile__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSocketCommunicatorLogToFile");
}

//@@Signature
//sfunction @vtkSocketCommunicator:display vtkSocketCommunicatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSocketCommunicatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSocketCommunicator* vtk_pointer = GetVTKPointer<vtkSocketCommunicator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSocketCommunicator:delete vtkSocketCommunicatorDeleteFunction
//input varargin
//output none
ArrayVector vtkSocketCommunicatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSocketCommunicator
//@@Section VTKParallel
//@@Usage
// This is a concrete implementation of vtkCommunicator which supports
// interprocess communication using BSD style sockets. 
// It supports byte swapping for the communication of  machines 
// with different endianness.
//
//To create an instance of class vtkSocketCommunicator, simply
//invoke its constructor as follows
//@[
//  obj = vtkSocketCommunicator
//@]
//@@Methods
//The class vtkSocketCommunicator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSocketCommunicator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSocketCommunicator = obj.NewInstance ()|
// \item @|vtkSocketCommunicator = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.WaitForConnection (int port)| -  Wait for connection on a given port.
// These methods return 1 on success, 0 on error.
//// \item @|int = obj.WaitForConnection (vtkServerSocket socket, long msec)| -  Wait for connection on a given port.
// These methods return 1 on success, 0 on error.
//// \item @|obj.CloseConnection ()| -  Close a connection.
//// \item @|int = obj.ConnectTo (string hostName, int port)| -  Open a connection to host.
//// \item @|int = obj.GetSwapBytesInReceivedData ()| -  Returns 1 if bytes must be swapped in received ints, floats, etc
//// \item @|int = obj.GetIsConnected ()| -  Is the communicator connected?.
//// \item @|obj.SetNumberOfProcesses (int num)| -  Set the number of processes you will be using.
//// \item @|obj.Barrier ()| -  This class foolishly breaks the conventions of the superclass, so this
// overload fixes the method.
//// \item @|obj.SetPerformHandshake (int )| -  Set or get the PerformHandshake ivar. If it is on, the communicator
// will try to perform a handshake when connected.
// It is on by default.
//// \item @|int = obj.GetPerformHandshakeMinValue ()| -  Set or get the PerformHandshake ivar. If it is on, the communicator
// will try to perform a handshake when connected.
// It is on by default.
//// \item @|int = obj.GetPerformHandshakeMaxValue ()| -  Set or get the PerformHandshake ivar. If it is on, the communicator
// will try to perform a handshake when connected.
// It is on by default.
//// \item @|obj.PerformHandshakeOn ()| -  Set or get the PerformHandshake ivar. If it is on, the communicator
// will try to perform a handshake when connected.
// It is on by default.
//// \item @|obj.PerformHandshakeOff ()| -  Set or get the PerformHandshake ivar. If it is on, the communicator
// will try to perform a handshake when connected.
// It is on by default.
//// \item @|int = obj.GetPerformHandshake ()| -  Set or get the PerformHandshake ivar. If it is on, the communicator
// will try to perform a handshake when connected.
// It is on by default.
//// \item @|int = obj.LogToFile (string name)| -  Log messages to the given file.  The file is truncated unless the
// second argument is non-zero (default is to truncate).  If the
// file name is empty or NULL, logging is disabled.  Returns 0 if
// the file failed to open, and 1 otherwise.
//// \item @|int = obj.LogToFile (string name, int append)| -  Log messages to the given file.  The file is truncated unless the
// second argument is non-zero (default is to truncate).  If the
// file name is empty or NULL, logging is disabled.  Returns 0 if
// the file failed to open, and 1 otherwise.
//// \item @|obj.SetReportErrors (int )| -  If ReportErrors if false, all vtkErrorMacros are suppressed.
//// \item @|int = obj.GetReportErrors ()| -  If ReportErrors if false, all vtkErrorMacros are suppressed.
//// \item @|vtkClientSocket = obj.GetSocket ()| -  Get/Set the actual socket used for communication.
//// \item @|obj.SetSocket (vtkClientSocket )| -  Get/Set the actual socket used for communication.
//// \item @|int = obj.Handshake ()| -  Performs handshake. This uses vtkClientSocket::ConnectingSide to decide
// whether to perform ServerSideHandshake or ClientSideHandshake. 
//// \item @|int = obj.ServerSideHandshake ()| -  Performs ServerSide handshake.
// One should preferably use Handshake() which calls ServerSideHandshake or
// ClientSideHandshake as required.
//// \item @|int = obj.ClientSideHandshake ()| -  Performs ClientSide handshake.
// One should preferably use Handshake() which calls ServerSideHandshake or
// ClientSideHandshake as required.
//// \item @|int = obj.GetIsServer ()| -  Returns true if this side of the socket is the server.  The result
// is invalid if the socket is not connected.
////\end{itemize}
//!
