#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSocketController object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSocketController.h"

//@@Signature
//sfunction @vtkSocketController:vtkSocketController vtkSocketControllerConstructorFunction
//input a
//output p
//@@Parents vtkSocketController vtkMultiProcessController 
ArrayVector vtkSocketControllerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSocketController::New(),"vtkSocketController",eval);
  } else if (arg[0].className() == "vtkSocketController") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSocketController"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSocketController");
    vtkSocketController*q = reinterpret_cast<vtkSocketController*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSocketController");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSocketController:GetClassName vtkSocketControllerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSocketControllerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSocketController requires 1 argument(s)");
  vtkSocketController* vtk_pointer = GetVTKPointer<vtkSocketController>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketController:IsA vtkSocketControllerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSocketControllerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSocketController requires 2 argument(s)");
  vtkSocketController* vtk_pointer = GetVTKPointer<vtkSocketController>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketController:NewInstance vtkSocketControllerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSocketControllerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSocketController *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSocketController requires 1 argument(s)");
  vtkSocketController* vtk_pointer = GetVTKPointer<vtkSocketController>(arg[0]);
  Array retval;
  vtkSocketController  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSocketController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSocketController:SafeDownCast vtkSocketControllerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSocketControllerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSocketController *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSocketController requires 2 argument(s)");
  vtkSocketController* vtk_pointer = GetVTKPointer<vtkSocketController>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSocketController  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSocketController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSocketController:Initialize__3 vtkSocketControllerInitialize__3Function
//input a0 
//output none
ArrayVector vtkSocketControllerInitialize__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize ();this Initialize  */
  if (arg.size() < 1) 
    throw Exception("Function Initialize__3 for class vtkSocketController requires 1 argument(s)");
  vtkSocketController* vtk_pointer = GetVTKPointer<vtkSocketController>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkSocketController:Finalize__1 vtkSocketControllerFinalize__1Function
//input a0 
//output none
ArrayVector vtkSocketControllerFinalize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Finalize (); */
  if (arg.size() < 1) 
    throw Exception("Function Finalize__1 for class vtkSocketController requires 1 argument(s)");
  vtkSocketController* vtk_pointer = GetVTKPointer<vtkSocketController>(arg[0]);
  Array retval;
  vtk_pointer->Finalize();
  return retval;
}

//@@Signature
//sfunction @vtkSocketController:Finalize__2 vtkSocketControllerFinalize__2Function
//input a0 a1 
//output none
ArrayVector vtkSocketControllerFinalize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Finalize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function Finalize__2 for class vtkSocketController requires 2 argument(s)");
  vtkSocketController* vtk_pointer = GetVTKPointer<vtkSocketController>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->Finalize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSocketController:SingleMethodExecute vtkSocketControllerSingleMethodExecuteFunction
//input a0 
//output none
ArrayVector vtkSocketControllerSingleMethodExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SingleMethodExecute (); */
  if (arg.size() < 1) 
    throw Exception("Function SingleMethodExecute for class vtkSocketController requires 1 argument(s)");
  vtkSocketController* vtk_pointer = GetVTKPointer<vtkSocketController>(arg[0]);
  Array retval;
  vtk_pointer->SingleMethodExecute();
  return retval;
}

//@@Signature
//sfunction @vtkSocketController:MultipleMethodExecute vtkSocketControllerMultipleMethodExecuteFunction
//input a0 
//output none
ArrayVector vtkSocketControllerMultipleMethodExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MultipleMethodExecute (); */
  if (arg.size() < 1) 
    throw Exception("Function MultipleMethodExecute for class vtkSocketController requires 1 argument(s)");
  vtkSocketController* vtk_pointer = GetVTKPointer<vtkSocketController>(arg[0]);
  Array retval;
  vtk_pointer->MultipleMethodExecute();
  return retval;
}

//@@Signature
//sfunction @vtkSocketController:CreateOutputWindow vtkSocketControllerCreateOutputWindowFunction
//input a0 
//output none
ArrayVector vtkSocketControllerCreateOutputWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateOutputWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateOutputWindow for class vtkSocketController requires 1 argument(s)");
  vtkSocketController* vtk_pointer = GetVTKPointer<vtkSocketController>(arg[0]);
  Array retval;
  vtk_pointer->CreateOutputWindow();
  return retval;
}

//@@Signature
//sfunction @vtkSocketController:WaitForConnection vtkSocketControllerWaitForConnectionFunction
//input a0 a1 
//output y
ArrayVector vtkSocketControllerWaitForConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int WaitForConnection (int port); */
  if (arg.size() < 2) 
    throw Exception("Function WaitForConnection for class vtkSocketController requires 2 argument(s)");
  vtkSocketController* vtk_pointer = GetVTKPointer<vtkSocketController>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->WaitForConnection(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketController:CloseConnection vtkSocketControllerCloseConnectionFunction
//input a0 
//output none
ArrayVector vtkSocketControllerCloseConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CloseConnection (); */
  if (arg.size() < 1) 
    throw Exception("Function CloseConnection for class vtkSocketController requires 1 argument(s)");
  vtkSocketController* vtk_pointer = GetVTKPointer<vtkSocketController>(arg[0]);
  Array retval;
  vtk_pointer->CloseConnection();
  return retval;
}

//@@Signature
//sfunction @vtkSocketController:ConnectTo vtkSocketControllerConnectToFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSocketControllerConnectToFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ConnectTo (char *hostName, int port); */
  if (arg.size() < 3) 
    throw Exception("Function ConnectTo for class vtkSocketController requires 3 argument(s)");
  vtkSocketController* vtk_pointer = GetVTKPointer<vtkSocketController>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->ConnectTo(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketController:GetSwapBytesInReceivedData vtkSocketControllerGetSwapBytesInReceivedDataFunction
//input a0 
//output y
ArrayVector vtkSocketControllerGetSwapBytesInReceivedDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSwapBytesInReceivedData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSwapBytesInReceivedData for class vtkSocketController requires 1 argument(s)");
  vtkSocketController* vtk_pointer = GetVTKPointer<vtkSocketController>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSwapBytesInReceivedData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSocketController:SetCommunicator vtkSocketControllerSetCommunicatorFunction
//input a0 a1 
//output none
ArrayVector vtkSocketControllerSetCommunicatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCommunicator (vtkSocketCommunicator *comm); */
  if (arg.size() < 2) 
    throw Exception("Function SetCommunicator for class vtkSocketController requires 2 argument(s)");
  vtkSocketController* vtk_pointer = GetVTKPointer<vtkSocketController>(arg[0]);
  Array retval;
  vtkSocketCommunicator  *temp0;
  temp0 = GetVTKPointer<vtkSocketCommunicator>(arg[1]);
  vtk_pointer->SetCommunicator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSocketController:CreateCompliantController vtkSocketControllerCreateCompliantControllerFunction
//input a0 
//output y
ArrayVector vtkSocketControllerCreateCompliantControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *CreateCompliantController (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateCompliantController for class vtkSocketController requires 1 argument(s)");
  vtkSocketController* vtk_pointer = GetVTKPointer<vtkSocketController>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->CreateCompliantController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSocketController:Initialize vtkSocketControllerInitializeFunction
//input varargin
//output varargout
ArrayVector vtkSocketControllerInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkSocketControllerInitialize__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSocketControllerInitialize");
}

//@@Signature
//sfunction @vtkSocketController:Finalize vtkSocketControllerFinalizeFunction
//input varargin
//output varargout
ArrayVector vtkSocketControllerFinalizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkSocketControllerFinalize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkSocketControllerFinalize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSocketControllerFinalize");
}

//@@Signature
//sfunction @vtkSocketController:display vtkSocketControllerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSocketControllerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSocketController* vtk_pointer = GetVTKPointer<vtkSocketController>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSocketController:delete vtkSocketControllerDeleteFunction
//input varargin
//output none
ArrayVector vtkSocketControllerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSocketController
//@@Section VTKParallel
//@@Usage
// This is a concrete implementation of vtkMultiProcessController.
// It supports one-to-one communication using sockets. Note that
// process 0 will always correspond to self and process 1 to the
// remote process. This class is best used with ports.
//
//To create an instance of class vtkSocketController, simply
//invoke its constructor as follows
//@[
//  obj = vtkSocketController
//@]
//@@Methods
//The class vtkSocketController has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSocketController class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSocketController = obj.NewInstance ()|
// \item @|vtkSocketController = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize ()| -  Does not apply to sockets. Does nothing.
//// \item @|obj.Finalize ()| -  Does not apply to sockets. Does nothing.
//// \item @|obj.Finalize (int )| -  Does not apply to sockets. Does nothing.
//// \item @|obj.SingleMethodExecute ()| -   Does not apply to sockets. Does nothing.
//// \item @|obj.MultipleMethodExecute ()| -   Does not apply to sockets.  Does nothing.
//// \item @|obj.CreateOutputWindow ()| -   Does not apply to sockets. Does nothing.
//// \item @|int = obj.WaitForConnection (int port)| -  Wait for connection on a given port, forwarded
// to the communicator
//// \item @|obj.CloseConnection ()| -  Close a connection, forwarded
// to the communicator
//// \item @|int = obj.ConnectTo (string hostName, int port)| -  Open a connection to a give machine, forwarded
// to the communicator
//// \item @|int = obj.GetSwapBytesInReceivedData ()|
// \item @|obj.SetCommunicator (vtkSocketCommunicator comm)| -  Set the communicator used in normal and rmi communications.
//// \item @|vtkMultiProcessController = obj.CreateCompliantController ()| -  FOOLISH MORTALS!  Thou hast forsaken the sacred laws of ad-hoc polymorphism
// when thou broke a critical assumption of the superclass (namely, each
// process has thine own id).  The time frame to fix thy error has passed.
// Too much code has come to rely on this abhorrent behavior.  Instead, we
// offer this gift: a method for creating an equivalent communicator with
// correct process id semantics.  The calling code is responsible for
// deleting this controller.
////\end{itemize}
//!
