#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSubCommunicator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSubCommunicator.h"

//@@Signature
//sfunction @vtkSubCommunicator:vtkSubCommunicator vtkSubCommunicatorConstructorFunction
//input a
//output p
//@@Parents vtkSubCommunicator vtkCommunicator 
ArrayVector vtkSubCommunicatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSubCommunicator::New(),"vtkSubCommunicator",eval);
  } else if (arg[0].className() == "vtkSubCommunicator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSubCommunicator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSubCommunicator");
    vtkSubCommunicator*q = reinterpret_cast<vtkSubCommunicator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSubCommunicator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSubCommunicator:GetClassName vtkSubCommunicatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSubCommunicatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSubCommunicator requires 1 argument(s)");
  vtkSubCommunicator* vtk_pointer = GetVTKPointer<vtkSubCommunicator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubCommunicator:IsA vtkSubCommunicatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSubCommunicatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSubCommunicator requires 2 argument(s)");
  vtkSubCommunicator* vtk_pointer = GetVTKPointer<vtkSubCommunicator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubCommunicator:NewInstance vtkSubCommunicatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSubCommunicatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSubCommunicator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSubCommunicator requires 1 argument(s)");
  vtkSubCommunicator* vtk_pointer = GetVTKPointer<vtkSubCommunicator>(arg[0]);
  Array retval;
  vtkSubCommunicator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSubCommunicator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSubCommunicator:SafeDownCast vtkSubCommunicatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSubCommunicatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSubCommunicator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSubCommunicator requires 2 argument(s)");
  vtkSubCommunicator* vtk_pointer = GetVTKPointer<vtkSubCommunicator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSubCommunicator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSubCommunicator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSubCommunicator:GetGroup vtkSubCommunicatorGetGroupFunction
//input a0 
//output y
ArrayVector vtkSubCommunicatorGetGroupFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProcessGroup *GetGroup (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGroup for class vtkSubCommunicator requires 1 argument(s)");
  vtkSubCommunicator* vtk_pointer = GetVTKPointer<vtkSubCommunicator>(arg[0]);
  Array retval;
  vtkProcessGroup  *temp20;
  temp20 = (vtk_pointer)->GetGroup();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProcessGroup",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSubCommunicator:SetGroup vtkSubCommunicatorSetGroupFunction
//input a0 a1 
//output none
ArrayVector vtkSubCommunicatorSetGroupFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGroup (vtkProcessGroup *group); */
  if (arg.size() < 2) 
    throw Exception("Function SetGroup for class vtkSubCommunicator requires 2 argument(s)");
  vtkSubCommunicator* vtk_pointer = GetVTKPointer<vtkSubCommunicator>(arg[0]);
  Array retval;
  vtkProcessGroup  *temp0;
  temp0 = GetVTKPointer<vtkProcessGroup>(arg[1]);
  vtk_pointer->SetGroup(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSubCommunicator:display vtkSubCommunicatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSubCommunicatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSubCommunicator* vtk_pointer = GetVTKPointer<vtkSubCommunicator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSubCommunicator:delete vtkSubCommunicatorDeleteFunction
//input varargin
//output none
ArrayVector vtkSubCommunicatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSubCommunicator
//@@Section VTKParallel
//@@Usage
//
// This class provides an implementation for communicating on process groups.
// In general, you should never use this class directly.  Instead, use the
// vtkMultiProcessController::CreateSubController method.
//
// .SECTION BUGS
//
// Because all communication is delegated to the original communicator,
// any error will report process ids with respect to the original
// communicator, not this communicator that was actually used.
//
//
//To create an instance of class vtkSubCommunicator, simply
//invoke its constructor as follows
//@[
//  obj = vtkSubCommunicator
//@]
//@@Methods
//The class vtkSubCommunicator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSubCommunicator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSubCommunicator = obj.NewInstance ()|
// \item @|vtkSubCommunicator = obj.SafeDownCast (vtkObject o)|
// \item @|vtkProcessGroup = obj.GetGroup ()| -  Set/get the group on which communication will happen.
//// \item @|obj.SetGroup (vtkProcessGroup group)| -  Set/get the group on which communication will happen.
////\end{itemize}
//!
