#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSubGroup object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSubGroup.h"

//@@Signature
//sfunction @vtkSubGroup:vtkSubGroup vtkSubGroupConstructorFunction
//input a
//output p
//@@Parents vtkSubGroup vtkObject 
ArrayVector vtkSubGroupConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSubGroup::New(),"vtkSubGroup",eval);
  } else if (arg[0].className() == "vtkSubGroup") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSubGroup"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSubGroup");
    vtkSubGroup*q = reinterpret_cast<vtkSubGroup*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSubGroup");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSubGroup:GetClassName vtkSubGroupGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSubGroupGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSubGroup requires 1 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:IsA vtkSubGroupIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSubGroupIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSubGroup requires 2 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:NewInstance vtkSubGroupNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSubGroupNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSubGroup *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSubGroup requires 1 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  vtkSubGroup  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSubGroup",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:SafeDownCast vtkSubGroupSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSubGroupSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSubGroup *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSubGroup requires 2 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSubGroup  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSubGroup",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:Initialize vtkSubGroupInitializeFunction
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkSubGroupInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Initialize (int p0, int p1, int me, int tag, vtkCommunicator *c); */
  if (arg.size() < 6) 
    throw Exception("Function Initialize for class vtkSubGroup requires 6 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkCommunicator  *temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkCommunicator>(arg[5]);
  temp20 = (vtk_pointer)->Initialize(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:Gather__1 vtkSubGroupGather__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkSubGroupGather__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Gather (int *data, int *to, int length, int root); */
  if (arg.size() < 5) 
    throw Exception("Function Gather__1 for class vtkSubGroup requires 5 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Gather(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:Gather__2 vtkSubGroupGather__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkSubGroupGather__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Gather (char *data, char *to, int length, int root); */
  if (arg.size() < 5) 
    throw Exception("Function Gather__2 for class vtkSubGroup requires 5 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Gather(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:Gather__3 vtkSubGroupGather__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkSubGroupGather__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Gather (float *data, float *to, int length, int root); */
  if (arg.size() < 5) 
    throw Exception("Function Gather__3 for class vtkSubGroup requires 5 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  float   *temp0;
  float   *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Gather(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:Broadcast__1 vtkSubGroupBroadcast__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSubGroupBroadcast__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (float *data, int length, int root); */
  if (arg.size() < 4) 
    throw Exception("Function Broadcast__1 for class vtkSubGroup requires 4 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  float   *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:Broadcast__2 vtkSubGroupBroadcast__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSubGroupBroadcast__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (double *data, int length, int root); */
  if (arg.size() < 4) 
    throw Exception("Function Broadcast__2 for class vtkSubGroup requires 4 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:Broadcast__3 vtkSubGroupBroadcast__3Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSubGroupBroadcast__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (int *data, int length, int root); */
  if (arg.size() < 4) 
    throw Exception("Function Broadcast__3 for class vtkSubGroup requires 4 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  int     *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:Broadcast__4 vtkSubGroupBroadcast__4Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSubGroupBroadcast__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Broadcast (char *data, int length, int root); */
  if (arg.size() < 4) 
    throw Exception("Function Broadcast__4 for class vtkSubGroup requires 4 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Broadcast(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:ReduceSum vtkSubGroupReduceSumFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkSubGroupReduceSumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReduceSum (int *data, int *to, int length, int root); */
  if (arg.size() < 5) 
    throw Exception("Function ReduceSum for class vtkSubGroup requires 5 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->ReduceSum(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:ReduceMax__1 vtkSubGroupReduceMax__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkSubGroupReduceMax__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReduceMax (float *data, float *to, int length, int root); */
  if (arg.size() < 5) 
    throw Exception("Function ReduceMax__1 for class vtkSubGroup requires 5 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  float   *temp0;
  float   *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->ReduceMax(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:ReduceMax__2 vtkSubGroupReduceMax__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkSubGroupReduceMax__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReduceMax (double *data, double *to, int length, int root); */
  if (arg.size() < 5) 
    throw Exception("Function ReduceMax__2 for class vtkSubGroup requires 5 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->ReduceMax(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:ReduceMax__3 vtkSubGroupReduceMax__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkSubGroupReduceMax__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReduceMax (int *data, int *to, int length, int root); */
  if (arg.size() < 5) 
    throw Exception("Function ReduceMax__3 for class vtkSubGroup requires 5 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->ReduceMax(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:ReduceMin__1 vtkSubGroupReduceMin__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkSubGroupReduceMin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReduceMin (float *data, float *to, int length, int root); */
  if (arg.size() < 5) 
    throw Exception("Function ReduceMin__1 for class vtkSubGroup requires 5 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  float   *temp0;
  float   *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->ReduceMin(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:ReduceMin__2 vtkSubGroupReduceMin__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkSubGroupReduceMin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReduceMin (double *data, double *to, int length, int root); */
  if (arg.size() < 5) 
    throw Exception("Function ReduceMin__2 for class vtkSubGroup requires 5 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->ReduceMin(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:ReduceMin__3 vtkSubGroupReduceMin__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkSubGroupReduceMin__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReduceMin (int *data, int *to, int length, int root); */
  if (arg.size() < 5) 
    throw Exception("Function ReduceMin__3 for class vtkSubGroup requires 5 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->ReduceMin(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:setGatherPattern vtkSubGroupsetGatherPatternFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSubGroupsetGatherPatternFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void setGatherPattern (int root, int length); */
  if (arg.size() < 3) 
    throw Exception("Function setGatherPattern for class vtkSubGroup requires 3 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->setGatherPattern(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:getLocalRank vtkSubGroupgetLocalRankFunction
//input a0 a1 
//output y
ArrayVector vtkSubGroupgetLocalRankFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int getLocalRank (int processID); */
  if (arg.size() < 2) 
    throw Exception("Function getLocalRank for class vtkSubGroup requires 2 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->getLocalRank(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:Barrier vtkSubGroupBarrierFunction
//input a0 
//output y
ArrayVector vtkSubGroupBarrierFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Barrier (); */
  if (arg.size() < 1) 
    throw Exception("Function Barrier for class vtkSubGroup requires 1 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->Barrier();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:PrintSubGroup vtkSubGroupPrintSubGroupFunction
//input a0 
//output none
ArrayVector vtkSubGroupPrintSubGroupFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PrintSubGroup () const; */
  if (arg.size() < 1) 
    throw Exception("Function PrintSubGroup for class vtkSubGroup requires 1 argument(s)");
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  Array retval;
  vtk_pointer->PrintSubGroup();
  return retval;
}

//@@Signature
//sfunction @vtkSubGroup:Gather vtkSubGroupGatherFunction
//input varargin
//output varargout
ArrayVector vtkSubGroupGatherFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkSubGroupGather__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkSubGroupGather__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkSubGroupGather__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSubGroupGather");
}

//@@Signature
//sfunction @vtkSubGroup:Broadcast vtkSubGroupBroadcastFunction
//input varargin
//output varargout
ArrayVector vtkSubGroupBroadcastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSubGroupBroadcast__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSubGroupBroadcast__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSubGroupBroadcast__3Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSubGroupBroadcast__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSubGroupBroadcast");
}

//@@Signature
//sfunction @vtkSubGroup:ReduceMax vtkSubGroupReduceMaxFunction
//input varargin
//output varargout
ArrayVector vtkSubGroupReduceMaxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkSubGroupReduceMax__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkSubGroupReduceMax__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkSubGroupReduceMax__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSubGroupReduceMax");
}

//@@Signature
//sfunction @vtkSubGroup:ReduceMin vtkSubGroupReduceMinFunction
//input varargin
//output varargout
ArrayVector vtkSubGroupReduceMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkSubGroupReduceMin__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkSubGroupReduceMin__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkSubGroupReduceMin__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSubGroupReduceMin");
}

//@@Signature
//sfunction @vtkSubGroup:display vtkSubGroupDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSubGroupDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSubGroup* vtk_pointer = GetVTKPointer<vtkSubGroup>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSubGroup:delete vtkSubGroupDeleteFunction
//input varargin
//output none
ArrayVector vtkSubGroupDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSubGroup
//@@Section VTKParallel
//@@Usage
//     This class provides scalable broadcast, reduce, etc. using
//     only a vtkMultiProcessController. It does not require MPI.
//     Users are vtkPKdTree and vtkDistributedDataFilter.
//
// .SECTION Note
// This class will be deprecated soon.  Instead of using this class, use the
// collective and subgrouping operations now built into
// vtkMultiProcessController.  The only reason this class is not deprecated
// already is because vtkPKdTree relies heavily on this class in ways that are
// not easy to work around.  Since vtkPKdTree is due for a major overhaul
// anyway, we are leaving things the way they are for now.
//
//
//To create an instance of class vtkSubGroup, simply
//invoke its constructor as follows
//@[
//  obj = vtkSubGroup
//@]
//@@Methods
//The class vtkSubGroup has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSubGroup class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSubGroup = obj.NewInstance ()|
// \item @|vtkSubGroup = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.Initialize (int p0, int p1, int me, int tag, vtkCommunicator c)|
// \item @|int = obj.Gather (int data, int to, int length, int root)|
// \item @|int = obj.Gather (string data, string to, int length, int root)|
// \item @|int = obj.Gather (float data, float to, int length, int root)|
// \item @|int = obj.Broadcast (float data, int length, int root)|
// \item @|int = obj.Broadcast (double data, int length, int root)|
// \item @|int = obj.Broadcast (int data, int length, int root)|
// \item @|int = obj.Broadcast (string data, int length, int root)|
// \item @|int = obj.ReduceSum (int data, int to, int length, int root)|
// \item @|int = obj.ReduceMax (float data, float to, int length, int root)|
// \item @|int = obj.ReduceMax (double data, double to, int length, int root)|
// \item @|int = obj.ReduceMax (int data, int to, int length, int root)|
// \item @|int = obj.ReduceMin (float data, float to, int length, int root)|
// \item @|int = obj.ReduceMin (double data, double to, int length, int root)|
// \item @|int = obj.ReduceMin (int data, int to, int length, int root)|
// \item @|obj.setGatherPattern (int root, int length)|
// \item @|int = obj.getLocalRank (int processID)|
// \item @|int = obj.Barrier ()|
// \item @|obj.PrintSubGroup () const|
//\end{itemize}
//!
