#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTemporalFractal object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTemporalFractal.h"

//@@Signature
//sfunction @vtkTemporalFractal:vtkTemporalFractal vtkTemporalFractalConstructorFunction
//input a
//output p
//@@Parents vtkTemporalFractal vtkTemporalDataSetAlgorithm 
ArrayVector vtkTemporalFractalConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTemporalFractal::New(),"vtkTemporalFractal",eval);
  } else if (arg[0].className() == "vtkTemporalFractal") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTemporalFractal"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTemporalFractal");
    vtkTemporalFractal*q = reinterpret_cast<vtkTemporalFractal*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTemporalFractal");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTemporalFractal:GetClassName vtkTemporalFractalGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTemporalFractalGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:IsA vtkTemporalFractalIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalFractalIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTemporalFractal requires 2 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:NewInstance vtkTemporalFractalNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTemporalFractalNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalFractal *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  vtkTemporalFractal  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalFractal",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:SafeDownCast vtkTemporalFractalSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalFractalSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalFractal *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTemporalFractal requires 2 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTemporalFractal  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalFractal",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:SetFractalValue vtkTemporalFractalSetFractalValueFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalFractalSetFractalValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFractalValue (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFractalValue for class vtkTemporalFractal requires 2 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFractalValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:GetFractalValue vtkTemporalFractalGetFractalValueFunction
//input a0 
//output y
ArrayVector vtkTemporalFractalGetFractalValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetFractalValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFractalValue for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetFractalValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:SetMaximumLevel vtkTemporalFractalSetMaximumLevelFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalFractalSetMaximumLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumLevel for class vtkTemporalFractal requires 2 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:GetMaximumLevel vtkTemporalFractalGetMaximumLevelFunction
//input a0 
//output y
ArrayVector vtkTemporalFractalGetMaximumLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumLevel for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:SetDimensions vtkTemporalFractalSetDimensionsFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalFractalSetDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensions (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimensions for class vtkTemporalFractal requires 2 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:GetDimensions vtkTemporalFractalGetDimensionsFunction
//input a0 
//output y
ArrayVector vtkTemporalFractalGetDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensions for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:SetGhostLevels vtkTemporalFractalSetGhostLevelsFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalFractalSetGhostLevelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGhostLevels (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGhostLevels for class vtkTemporalFractal requires 2 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGhostLevels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:GetGhostLevels vtkTemporalFractalGetGhostLevelsFunction
//input a0 
//output y
ArrayVector vtkTemporalFractalGetGhostLevelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGhostLevels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGhostLevels for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGhostLevels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:GhostLevelsOn vtkTemporalFractalGhostLevelsOnFunction
//input a0 
//output none
ArrayVector vtkTemporalFractalGhostLevelsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GhostLevelsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GhostLevelsOn for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  vtk_pointer->GhostLevelsOn();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:GhostLevelsOff vtkTemporalFractalGhostLevelsOffFunction
//input a0 
//output none
ArrayVector vtkTemporalFractalGhostLevelsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GhostLevelsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GhostLevelsOff for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  vtk_pointer->GhostLevelsOff();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:SetGenerateRectilinearGrids vtkTemporalFractalSetGenerateRectilinearGridsFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalFractalSetGenerateRectilinearGridsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateRectilinearGrids (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateRectilinearGrids for class vtkTemporalFractal requires 2 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateRectilinearGrids(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:GetGenerateRectilinearGrids vtkTemporalFractalGetGenerateRectilinearGridsFunction
//input a0 
//output y
ArrayVector vtkTemporalFractalGetGenerateRectilinearGridsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateRectilinearGrids (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateRectilinearGrids for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateRectilinearGrids();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:GenerateRectilinearGridsOn vtkTemporalFractalGenerateRectilinearGridsOnFunction
//input a0 
//output none
ArrayVector vtkTemporalFractalGenerateRectilinearGridsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateRectilinearGridsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateRectilinearGridsOn for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  vtk_pointer->GenerateRectilinearGridsOn();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:GenerateRectilinearGridsOff vtkTemporalFractalGenerateRectilinearGridsOffFunction
//input a0 
//output none
ArrayVector vtkTemporalFractalGenerateRectilinearGridsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateRectilinearGridsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateRectilinearGridsOff for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  vtk_pointer->GenerateRectilinearGridsOff();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:SetDiscreteTimeSteps vtkTemporalFractalSetDiscreteTimeStepsFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalFractalSetDiscreteTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiscreteTimeSteps (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDiscreteTimeSteps for class vtkTemporalFractal requires 2 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDiscreteTimeSteps(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:GetDiscreteTimeSteps vtkTemporalFractalGetDiscreteTimeStepsFunction
//input a0 
//output y
ArrayVector vtkTemporalFractalGetDiscreteTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDiscreteTimeSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiscreteTimeSteps for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDiscreteTimeSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:DiscreteTimeStepsOn vtkTemporalFractalDiscreteTimeStepsOnFunction
//input a0 
//output none
ArrayVector vtkTemporalFractalDiscreteTimeStepsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DiscreteTimeStepsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DiscreteTimeStepsOn for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  vtk_pointer->DiscreteTimeStepsOn();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:DiscreteTimeStepsOff vtkTemporalFractalDiscreteTimeStepsOffFunction
//input a0 
//output none
ArrayVector vtkTemporalFractalDiscreteTimeStepsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DiscreteTimeStepsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DiscreteTimeStepsOff for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  vtk_pointer->DiscreteTimeStepsOff();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:SetTwoDimensional vtkTemporalFractalSetTwoDimensionalFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalFractalSetTwoDimensionalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTwoDimensional (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTwoDimensional for class vtkTemporalFractal requires 2 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTwoDimensional(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:GetTwoDimensional vtkTemporalFractalGetTwoDimensionalFunction
//input a0 
//output y
ArrayVector vtkTemporalFractalGetTwoDimensionalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTwoDimensional (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTwoDimensional for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTwoDimensional();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:TwoDimensionalOn vtkTemporalFractalTwoDimensionalOnFunction
//input a0 
//output none
ArrayVector vtkTemporalFractalTwoDimensionalOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TwoDimensionalOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TwoDimensionalOn for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  vtk_pointer->TwoDimensionalOn();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:TwoDimensionalOff vtkTemporalFractalTwoDimensionalOffFunction
//input a0 
//output none
ArrayVector vtkTemporalFractalTwoDimensionalOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TwoDimensionalOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TwoDimensionalOff for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  vtk_pointer->TwoDimensionalOff();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:SetAsymetric vtkTemporalFractalSetAsymetricFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalFractalSetAsymetricFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAsymetric (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAsymetric for class vtkTemporalFractal requires 2 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAsymetric(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:GetAsymetric vtkTemporalFractalGetAsymetricFunction
//input a0 
//output y
ArrayVector vtkTemporalFractalGetAsymetricFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAsymetric (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAsymetric for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAsymetric();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:SetAdaptiveSubdivision vtkTemporalFractalSetAdaptiveSubdivisionFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalFractalSetAdaptiveSubdivisionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAdaptiveSubdivision (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAdaptiveSubdivision for class vtkTemporalFractal requires 2 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAdaptiveSubdivision(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:GetAdaptiveSubdivision vtkTemporalFractalGetAdaptiveSubdivisionFunction
//input a0 
//output y
ArrayVector vtkTemporalFractalGetAdaptiveSubdivisionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAdaptiveSubdivision (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAdaptiveSubdivision for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAdaptiveSubdivision();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:AdaptiveSubdivisionOn vtkTemporalFractalAdaptiveSubdivisionOnFunction
//input a0 
//output none
ArrayVector vtkTemporalFractalAdaptiveSubdivisionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AdaptiveSubdivisionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AdaptiveSubdivisionOn for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  vtk_pointer->AdaptiveSubdivisionOn();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:AdaptiveSubdivisionOff vtkTemporalFractalAdaptiveSubdivisionOffFunction
//input a0 
//output none
ArrayVector vtkTemporalFractalAdaptiveSubdivisionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AdaptiveSubdivisionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AdaptiveSubdivisionOff for class vtkTemporalFractal requires 1 argument(s)");
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  Array retval;
  vtk_pointer->AdaptiveSubdivisionOff();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalFractal:SetTopLevelSpacing vtkTemporalFractalSetTopLevelSpacingFunction
//input varargin
//output varargout
ArrayVector vtkTemporalFractalSetTopLevelSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkTemporalFractalSetTopLevelSpacing");
}

//@@Signature
//sfunction @vtkTemporalFractal:SetTopLevelOrigin vtkTemporalFractalSetTopLevelOriginFunction
//input varargin
//output varargout
ArrayVector vtkTemporalFractalSetTopLevelOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkTemporalFractalSetTopLevelOrigin");
}

//@@Signature
//sfunction @vtkTemporalFractal:display vtkTemporalFractalDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTemporalFractalDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTemporalFractal* vtk_pointer = GetVTKPointer<vtkTemporalFractal>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTemporalFractal:delete vtkTemporalFractalDeleteFunction
//input varargin
//output none
ArrayVector vtkTemporalFractalDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTemporalFractal
//@@Section VTKParallel
//@@Usage
// vtkTemporalFractal is a collection of uniform grids.  All have the same
// dimensions. Each block has a different origin and spacing.  It uses
// mandelbrot to create cell data. I scale the fractal array to look like a
// volme fraction.
// I may also add block id and level as extra cell arrays.
// This source produces a vtkHierarchicalBoxDataSet when 
// GenerateRectilinearGrids is off, otherwise produces a vtkMultiBlockDataSet.
//
//To create an instance of class vtkTemporalFractal, simply
//invoke its constructor as follows
//@[
//  obj = vtkTemporalFractal
//@]
//@@Methods
//The class vtkTemporalFractal has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTemporalFractal class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTemporalFractal = obj.NewInstance ()|
// \item @|vtkTemporalFractal = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFractalValue (float )| -  Essentially the iso surface value.
// The fractal array is scaled to map this value to 0.5 for use as a volume
// fraction.
//// \item @|float = obj.GetFractalValue ()| -  Essentially the iso surface value.
// The fractal array is scaled to map this value to 0.5 for use as a volume
// fraction.
//// \item @|obj.SetMaximumLevel (int )| -  Any blocks touching a predefined line will be subdivided to this level.
// Other blocks are subdivided so that neighboring blocks only differ
// by one level.
//// \item @|int = obj.GetMaximumLevel ()| -  Any blocks touching a predefined line will be subdivided to this level.
// Other blocks are subdivided so that neighboring blocks only differ
// by one level.
//// \item @|obj.SetDimensions (int )| -  XYZ dimensions of cells.
//// \item @|int = obj.GetDimensions ()| -  XYZ dimensions of cells.
//// \item @|obj.SetGhostLevels (int )| -  For testing ghost levels.
//// \item @|int = obj.GetGhostLevels ()| -  For testing ghost levels.
//// \item @|obj.GhostLevelsOn ()| -  For testing ghost levels.
//// \item @|obj.GhostLevelsOff ()| -  For testing ghost levels.
//// \item @|obj.SetGenerateRectilinearGrids (int )| -  Generate either rectilinear grids either uniform grids.
// Default is false.
//// \item @|int = obj.GetGenerateRectilinearGrids ()| -  Generate either rectilinear grids either uniform grids.
// Default is false.
//// \item @|obj.GenerateRectilinearGridsOn ()| -  Generate either rectilinear grids either uniform grids.
// Default is false.
//// \item @|obj.GenerateRectilinearGridsOff ()| -  Generate either rectilinear grids either uniform grids.
// Default is false.
//// \item @|obj.SetDiscreteTimeSteps (int )| -  Limit this source to discrete integer time steps
// Default is off (continuous)
//// \item @|int = obj.GetDiscreteTimeSteps ()| -  Limit this source to discrete integer time steps
// Default is off (continuous)
//// \item @|obj.DiscreteTimeStepsOn ()| -  Limit this source to discrete integer time steps
// Default is off (continuous)
//// \item @|obj.DiscreteTimeStepsOff ()| -  Limit this source to discrete integer time steps
// Default is off (continuous)
//// \item @|obj.SetTwoDimensional (int )| -  Make a 2D data set to test.
//// \item @|int = obj.GetTwoDimensional ()| -  Make a 2D data set to test.
//// \item @|obj.TwoDimensionalOn ()| -  Make a 2D data set to test.
//// \item @|obj.TwoDimensionalOff ()| -  Make a 2D data set to test.
//// \item @|obj.SetAsymetric (int )| -  Test the case when the blocks do not have the same sizes.
// Adds 2 to the x extent of the far x blocks (level 1).
//// \item @|int = obj.GetAsymetric ()| -  Test the case when the blocks do not have the same sizes.
// Adds 2 to the x extent of the far x blocks (level 1).
//// \item @|obj.SetAdaptiveSubdivision (int )| -  Make the division adaptive or not, defaults to Adaptive
//// \item @|int = obj.GetAdaptiveSubdivision ()| -  Make the division adaptive or not, defaults to Adaptive
//// \item @|obj.AdaptiveSubdivisionOn ()| -  Make the division adaptive or not, defaults to Adaptive
//// \item @|obj.AdaptiveSubdivisionOff ()| -  Make the division adaptive or not, defaults to Adaptive
////\end{itemize}
//!
