#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTemporalInterpolatedVelocityField object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTemporalInterpolatedVelocityField.h"

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:vtkTemporalInterpolatedVelocityField vtkTemporalInterpolatedVelocityFieldConstructorFunction
//input a
//output p
//@@Parents vtkTemporalInterpolatedVelocityField vtkFunctionSet 
ArrayVector vtkTemporalInterpolatedVelocityFieldConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTemporalInterpolatedVelocityField::New(),"vtkTemporalInterpolatedVelocityField",eval);
  } else if (arg[0].className() == "vtkTemporalInterpolatedVelocityField") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTemporalInterpolatedVelocityField"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTemporalInterpolatedVelocityField");
    vtkTemporalInterpolatedVelocityField*q = reinterpret_cast<vtkTemporalInterpolatedVelocityField*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTemporalInterpolatedVelocityField");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:GetClassName vtkTemporalInterpolatedVelocityFieldGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTemporalInterpolatedVelocityFieldGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTemporalInterpolatedVelocityField requires 1 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:IsA vtkTemporalInterpolatedVelocityFieldIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalInterpolatedVelocityFieldIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTemporalInterpolatedVelocityField requires 2 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:NewInstance vtkTemporalInterpolatedVelocityFieldNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTemporalInterpolatedVelocityFieldNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalInterpolatedVelocityField *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTemporalInterpolatedVelocityField requires 1 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkTemporalInterpolatedVelocityField  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalInterpolatedVelocityField",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:SafeDownCast vtkTemporalInterpolatedVelocityFieldSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalInterpolatedVelocityFieldSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalInterpolatedVelocityField *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTemporalInterpolatedVelocityField requires 2 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTemporalInterpolatedVelocityField  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalInterpolatedVelocityField",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:FunctionValues__1 vtkTemporalInterpolatedVelocityFieldFunctionValues__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkTemporalInterpolatedVelocityFieldFunctionValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int FunctionValues (double *x, double *u); */
  if (arg.size() < 3) 
    throw Exception("Function FunctionValues__1 for class vtkTemporalInterpolatedVelocityField requires 3 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->FunctionValues(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:FunctionValuesAtT vtkTemporalInterpolatedVelocityFieldFunctionValuesAtTFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTemporalInterpolatedVelocityFieldFunctionValuesAtTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int FunctionValuesAtT (int T, double *x, double *u); */
  if (arg.size() < 4) 
    throw Exception("Function FunctionValuesAtT for class vtkTemporalInterpolatedVelocityField requires 4 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  int      temp0;
  double  *temp1;
  double  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->FunctionValuesAtT(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:SelectVectors vtkTemporalInterpolatedVelocityFieldSelectVectorsFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalInterpolatedVelocityFieldSelectVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SelectVectors (const char *fieldName);this SetVectorsSelection fieldName  */
  if (arg.size() < 2) 
    throw Exception("Function SelectVectors for class vtkTemporalInterpolatedVelocityField requires 2 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SelectVectors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:SetDataSetAtTime vtkTemporalInterpolatedVelocityFieldSetDataSetAtTimeFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkTemporalInterpolatedVelocityFieldSetDataSetAtTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataSetAtTime (int I, int N, double T, vtkDataSet *dataset, bool staticdataset); */
  if (arg.size() < 6) 
    throw Exception("Function SetDataSetAtTime for class vtkTemporalInterpolatedVelocityField requires 6 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  double   temp2;
  vtkDataSet  *temp3;
  bool   temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkDataSet>(arg[4]);
  vtk_pointer->SetDataSetAtTime(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:ClearCache vtkTemporalInterpolatedVelocityFieldClearCacheFunction
//input a0 
//output none
ArrayVector vtkTemporalInterpolatedVelocityFieldClearCacheFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearCache (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearCache for class vtkTemporalInterpolatedVelocityField requires 1 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtk_pointer->ClearCache();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:TestPoint vtkTemporalInterpolatedVelocityFieldTestPointFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalInterpolatedVelocityFieldTestPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int TestPoint (double *x); */
  if (arg.size() < 2) 
    throw Exception("Function TestPoint for class vtkTemporalInterpolatedVelocityField requires 2 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->TestPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:QuickTestPoint vtkTemporalInterpolatedVelocityFieldQuickTestPointFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalInterpolatedVelocityFieldQuickTestPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int QuickTestPoint (double *x); */
  if (arg.size() < 2) 
    throw Exception("Function QuickTestPoint for class vtkTemporalInterpolatedVelocityField requires 2 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->QuickTestPoint(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:GetLastGoodVelocity vtkTemporalInterpolatedVelocityFieldGetLastGoodVelocityFunction
//input a0 
//output y
ArrayVector vtkTemporalInterpolatedVelocityFieldGetLastGoodVelocityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetLastGoodVelocity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastGoodVelocity for class vtkTemporalInterpolatedVelocityField requires 1 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetLastGoodVelocity();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:GetCurrentWeight vtkTemporalInterpolatedVelocityFieldGetCurrentWeightFunction
//input a0 
//output y
ArrayVector vtkTemporalInterpolatedVelocityFieldGetCurrentWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCurrentWeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentWeight for class vtkTemporalInterpolatedVelocityField requires 1 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCurrentWeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:InterpolatePoint__1 vtkTemporalInterpolatedVelocityFieldInterpolatePoint__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTemporalInterpolatedVelocityFieldInterpolatePoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool InterpolatePoint (vtkPointData *outPD1, vtkPointData *outPD2, vtkIdType outIndex); */
  if (arg.size() < 4) 
    throw Exception("Function InterpolatePoint__1 for class vtkTemporalInterpolatedVelocityField requires 4 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkPointData  *temp0;
  vtkPointData  *temp1;
  vtkIdType   temp2;
  bool   temp20;
  temp0 = GetVTKPointer<vtkPointData>(arg[1]);
  temp1 = GetVTKPointer<vtkPointData>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->InterpolatePoint(temp0,temp1,temp2);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:InterpolatePoint__2 vtkTemporalInterpolatedVelocityFieldInterpolatePoint__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTemporalInterpolatedVelocityFieldInterpolatePoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool InterpolatePoint (int T, vtkPointData *outPD1, vtkIdType outIndex); */
  if (arg.size() < 4) 
    throw Exception("Function InterpolatePoint__2 for class vtkTemporalInterpolatedVelocityField requires 4 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  int      temp0;
  vtkPointData  *temp1;
  vtkIdType   temp2;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPointData>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->InterpolatePoint(temp0,temp1,temp2);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:ShowCacheResults vtkTemporalInterpolatedVelocityFieldShowCacheResultsFunction
//input a0 
//output none
ArrayVector vtkTemporalInterpolatedVelocityFieldShowCacheResultsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowCacheResults (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowCacheResults for class vtkTemporalInterpolatedVelocityField requires 1 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtk_pointer->ShowCacheResults();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:IsStatic vtkTemporalInterpolatedVelocityFieldIsStaticFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalInterpolatedVelocityFieldIsStaticFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool IsStatic (int datasetIndex); */
  if (arg.size() < 2) 
    throw Exception("Function IsStatic for class vtkTemporalInterpolatedVelocityField requires 2 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  int      temp0;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsStatic(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:AdvanceOneTimeStep vtkTemporalInterpolatedVelocityFieldAdvanceOneTimeStepFunction
//input a0 
//output none
ArrayVector vtkTemporalInterpolatedVelocityFieldAdvanceOneTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AdvanceOneTimeStep (); */
  if (arg.size() < 1) 
    throw Exception("Function AdvanceOneTimeStep for class vtkTemporalInterpolatedVelocityField requires 1 argument(s)");
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtk_pointer->AdvanceOneTimeStep();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:FunctionValues vtkTemporalInterpolatedVelocityFieldFunctionValuesFunction
//input varargin
//output varargout
ArrayVector vtkTemporalInterpolatedVelocityFieldFunctionValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkTemporalInterpolatedVelocityFieldFunctionValues__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTemporalInterpolatedVelocityFieldFunctionValues");
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:InterpolatePoint vtkTemporalInterpolatedVelocityFieldInterpolatePointFunction
//input varargin
//output varargout
ArrayVector vtkTemporalInterpolatedVelocityFieldInterpolatePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkPointData") && VTKIsClass(arg[2],"vtkPointData") && VTKIsScalarArg(arg[3]))
    return vtkTemporalInterpolatedVelocityFieldInterpolatePoint__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkPointData") && VTKIsScalarArg(arg[3]))
    return vtkTemporalInterpolatedVelocityFieldInterpolatePoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTemporalInterpolatedVelocityFieldInterpolatePoint");
}

//@@Signature
//sfunction @vtkTemporalInterpolatedVelocityField:display vtkTemporalInterpolatedVelocityFieldDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTemporalInterpolatedVelocityFieldDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTemporalInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkTemporalInterpolatedVelocityField>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTemporalInterpolatedVelocityField:delete vtkTemporalInterpolatedVelocityFieldDeleteFunction
//input varargin
//output none
ArrayVector vtkTemporalInterpolatedVelocityFieldDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTemporalInterpolatedVelocityField
//@@Section VTKParallel
//@@Usage
// vtkTemporalInterpolatedVelocityField is a general purpose
// helper for the temporal particle tracing code (vtkTemporalStreamTracer)
//
// It maintains two copies of vtkCachingInterpolatedVelocityField internally 
// and uses them to obtain velocity values at time T0 and T1. 
//
// In fact the class does quite a bit more than this because when the geometry
// of the datasets is the same at T0 and T1, we can re-use cached cell Ids and 
// weights used in the cell interpolation routines.
// Additionally, the same weights can be used when interpolating (point) scalar 
// values and computing vorticity etc.
//
//
//To create an instance of class vtkTemporalInterpolatedVelocityField, simply
//invoke its constructor as follows
//@[
//  obj = vtkTemporalInterpolatedVelocityField
//@]
//@@Methods
//The class vtkTemporalInterpolatedVelocityField has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTemporalInterpolatedVelocityField class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTemporalInterpolatedVelocityField = obj.NewInstance ()|
// \item @|vtkTemporalInterpolatedVelocityField = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.FunctionValues (double x, double u)| -  Evaluate the velocity field, f, at (x, y, z, t).
// For now, t is ignored.
//// \item @|int = obj.FunctionValuesAtT (int T, double x, double u)| -  Evaluate the velocity field, f, at (x, y, z, t).
// For now, t is ignored.
//// \item @|obj.SelectVectors (string fieldName)| -  In order to use this class, two sets of data must be supplied, 
// corresponding to times T1 and T2. Data is added via
// this function.
//// \item @|obj.SetDataSetAtTime (int I, int N, double T, vtkDataSet dataset, bool staticdataset)| -  In order to use this class, two sets of data must be supplied, 
// corresponding to times T1 and T2. Data is added via
// this function.
//// \item @|obj.ClearCache ()| -  Set the last cell id to -1 so that the next search does not
// start from the previous cell
//// \item @|int = obj.TestPoint (double x)| -  A utility function which evaluates the point at T1, T2 to see 
// if it is inside the data at both times or only one.
//// \item @|int = obj.QuickTestPoint (double x)| -  A utility function which evaluates the point at T1, T2 to see 
// if it is inside the data at both times or only one.
//// \item @|double = obj. GetLastGoodVelocity ()| -  If an interpolation was successful, we can retrieve the last computed
// value from here. Initial value is (0.0,0.0,0.0)
//// \item @|double = obj.GetCurrentWeight ()| -  Get the most recent weight between 0->1 from T1->T2. Initial value is 0.
//// \item @|bool = obj.InterpolatePoint (vtkPointData outPD1, vtkPointData outPD2, vtkIdType outIndex)|
// \item @|bool = obj.InterpolatePoint (int T, vtkPointData outPD1, vtkIdType outIndex)|
// \item @|obj.ShowCacheResults ()|
// \item @|bool = obj.IsStatic (int datasetIndex)|
// \item @|obj.AdvanceOneTimeStep ()|
//\end{itemize}
//!
