#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTemporalStreamTracer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTemporalStreamTracer.h"

//@@Signature
//sfunction @vtkTemporalStreamTracer:vtkTemporalStreamTracer vtkTemporalStreamTracerConstructorFunction
//input a
//output p
//@@Parents vtkTemporalStreamTracer vtkStreamTracer 
ArrayVector vtkTemporalStreamTracerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTemporalStreamTracer::New(),"vtkTemporalStreamTracer",eval);
  } else if (arg[0].className() == "vtkTemporalStreamTracer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTemporalStreamTracer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTemporalStreamTracer");
    vtkTemporalStreamTracer*q = reinterpret_cast<vtkTemporalStreamTracer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTemporalStreamTracer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTemporalStreamTracer:GetClassName vtkTemporalStreamTracerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTemporalStreamTracerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:IsA vtkTemporalStreamTracerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalStreamTracerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTemporalStreamTracer requires 2 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:NewInstance vtkTemporalStreamTracerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTemporalStreamTracerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalStreamTracer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtkTemporalStreamTracer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalStreamTracer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:SafeDownCast vtkTemporalStreamTracerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalStreamTracerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalStreamTracer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTemporalStreamTracer requires 2 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTemporalStreamTracer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalStreamTracer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:SetTimeStep vtkTemporalStreamTracerSetTimeStepFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalStreamTracerSetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStep (unsigned int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStep for class vtkTemporalStreamTracer requires 2 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetTimeStep(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:GetTimeStep vtkTemporalStreamTracerGetTimeStepFunction
//input a0 
//output y
ArrayVector vtkTemporalStreamTracerGetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetTimeStep (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStep for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetTimeStep();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:SetIgnorePipelineTime vtkTemporalStreamTracerSetIgnorePipelineTimeFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalStreamTracerSetIgnorePipelineTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIgnorePipelineTime (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIgnorePipelineTime for class vtkTemporalStreamTracer requires 2 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIgnorePipelineTime(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:GetIgnorePipelineTime vtkTemporalStreamTracerGetIgnorePipelineTimeFunction
//input a0 
//output y
ArrayVector vtkTemporalStreamTracerGetIgnorePipelineTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIgnorePipelineTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIgnorePipelineTime for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIgnorePipelineTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:IgnorePipelineTimeOn vtkTemporalStreamTracerIgnorePipelineTimeOnFunction
//input a0 
//output none
ArrayVector vtkTemporalStreamTracerIgnorePipelineTimeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IgnorePipelineTimeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IgnorePipelineTimeOn for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->IgnorePipelineTimeOn();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:IgnorePipelineTimeOff vtkTemporalStreamTracerIgnorePipelineTimeOffFunction
//input a0 
//output none
ArrayVector vtkTemporalStreamTracerIgnorePipelineTimeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IgnorePipelineTimeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IgnorePipelineTimeOff for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->IgnorePipelineTimeOff();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:SetTimeStepResolution vtkTemporalStreamTracerSetTimeStepResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalStreamTracerSetTimeStepResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStepResolution (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStepResolution for class vtkTemporalStreamTracer requires 2 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTimeStepResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:GetTimeStepResolution vtkTemporalStreamTracerGetTimeStepResolutionFunction
//input a0 
//output y
ArrayVector vtkTemporalStreamTracerGetTimeStepResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTimeStepResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStepResolution for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTimeStepResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:SetForceReinjectionEveryNSteps vtkTemporalStreamTracerSetForceReinjectionEveryNStepsFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalStreamTracerSetForceReinjectionEveryNStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetForceReinjectionEveryNSteps (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetForceReinjectionEveryNSteps for class vtkTemporalStreamTracer requires 2 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetForceReinjectionEveryNSteps(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:GetForceReinjectionEveryNSteps vtkTemporalStreamTracerGetForceReinjectionEveryNStepsFunction
//input a0 
//output y
ArrayVector vtkTemporalStreamTracerGetForceReinjectionEveryNStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetForceReinjectionEveryNSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetForceReinjectionEveryNSteps for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetForceReinjectionEveryNSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:SetTerminationTime vtkTemporalStreamTracerSetTerminationTimeFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalStreamTracerSetTerminationTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTerminationTime (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTerminationTime for class vtkTemporalStreamTracer requires 2 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTerminationTime(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:GetTerminationTime vtkTemporalStreamTracerGetTerminationTimeFunction
//input a0 
//output y
ArrayVector vtkTemporalStreamTracerGetTerminationTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTerminationTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTerminationTime for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTerminationTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:SetTerminationTimeUnit vtkTemporalStreamTracerSetTerminationTimeUnitFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalStreamTracerSetTerminationTimeUnitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTerminationTimeUnit (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTerminationTimeUnit for class vtkTemporalStreamTracer requires 2 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTerminationTimeUnit(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:GetTerminationTimeUnit vtkTemporalStreamTracerGetTerminationTimeUnitFunction
//input a0 
//output y
ArrayVector vtkTemporalStreamTracerGetTerminationTimeUnitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTerminationTimeUnit (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTerminationTimeUnit for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTerminationTimeUnit();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:SetTerminationTimeUnitToTimeUnit vtkTemporalStreamTracerSetTerminationTimeUnitToTimeUnitFunction
//input a0 
//output none
ArrayVector vtkTemporalStreamTracerSetTerminationTimeUnitToTimeUnitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTerminationTimeUnitToTimeUnit ();this SetTerminationTimeUnit TERMINATION_TIME_UNIT  */
  if (arg.size() < 1) 
    throw Exception("Function SetTerminationTimeUnitToTimeUnit for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->SetTerminationTimeUnitToTimeUnit();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:SetTerminationTimeUnitToStepUnit vtkTemporalStreamTracerSetTerminationTimeUnitToStepUnitFunction
//input a0 
//output none
ArrayVector vtkTemporalStreamTracerSetTerminationTimeUnitToStepUnitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTerminationTimeUnitToStepUnit ();this SetTerminationTimeUnit TERMINATION_STEP_UNIT  */
  if (arg.size() < 1) 
    throw Exception("Function SetTerminationTimeUnitToStepUnit for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->SetTerminationTimeUnitToStepUnit();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:SetStaticSeeds vtkTemporalStreamTracerSetStaticSeedsFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalStreamTracerSetStaticSeedsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStaticSeeds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStaticSeeds for class vtkTemporalStreamTracer requires 2 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStaticSeeds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:GetStaticSeeds vtkTemporalStreamTracerGetStaticSeedsFunction
//input a0 
//output y
ArrayVector vtkTemporalStreamTracerGetStaticSeedsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStaticSeeds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStaticSeeds for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStaticSeeds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:StaticSeedsOn vtkTemporalStreamTracerStaticSeedsOnFunction
//input a0 
//output none
ArrayVector vtkTemporalStreamTracerStaticSeedsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StaticSeedsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function StaticSeedsOn for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->StaticSeedsOn();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:StaticSeedsOff vtkTemporalStreamTracerStaticSeedsOffFunction
//input a0 
//output none
ArrayVector vtkTemporalStreamTracerStaticSeedsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StaticSeedsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function StaticSeedsOff for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->StaticSeedsOff();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:SetStaticMesh vtkTemporalStreamTracerSetStaticMeshFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalStreamTracerSetStaticMeshFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStaticMesh (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStaticMesh for class vtkTemporalStreamTracer requires 2 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStaticMesh(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:GetStaticMesh vtkTemporalStreamTracerGetStaticMeshFunction
//input a0 
//output y
ArrayVector vtkTemporalStreamTracerGetStaticMeshFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStaticMesh (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStaticMesh for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStaticMesh();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:StaticMeshOn vtkTemporalStreamTracerStaticMeshOnFunction
//input a0 
//output none
ArrayVector vtkTemporalStreamTracerStaticMeshOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StaticMeshOn (); */
  if (arg.size() < 1) 
    throw Exception("Function StaticMeshOn for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->StaticMeshOn();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:StaticMeshOff vtkTemporalStreamTracerStaticMeshOffFunction
//input a0 
//output none
ArrayVector vtkTemporalStreamTracerStaticMeshOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StaticMeshOff (); */
  if (arg.size() < 1) 
    throw Exception("Function StaticMeshOff for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->StaticMeshOff();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:SetController vtkTemporalStreamTracerSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalStreamTracerSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *controller); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkTemporalStreamTracer requires 2 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:GetController vtkTemporalStreamTracerGetControllerFunction
//input a0 
//output y
ArrayVector vtkTemporalStreamTracerGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:SetParticleWriter vtkTemporalStreamTracerSetParticleWriterFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalStreamTracerSetParticleWriterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetParticleWriter (vtkAbstractParticleWriter *pw); */
  if (arg.size() < 2) 
    throw Exception("Function SetParticleWriter for class vtkTemporalStreamTracer requires 2 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtkAbstractParticleWriter  *temp0;
  temp0 = GetVTKPointer<vtkAbstractParticleWriter>(arg[1]);
  vtk_pointer->SetParticleWriter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:GetParticleWriter vtkTemporalStreamTracerGetParticleWriterFunction
//input a0 
//output y
ArrayVector vtkTemporalStreamTracerGetParticleWriterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractParticleWriter *GetParticleWriter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParticleWriter for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtkAbstractParticleWriter  *temp20;
  temp20 = (vtk_pointer)->GetParticleWriter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractParticleWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:SetParticleFileName vtkTemporalStreamTracerSetParticleFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalStreamTracerSetParticleFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParticleFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetParticleFileName for class vtkTemporalStreamTracer requires 2 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetParticleFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:GetParticleFileName vtkTemporalStreamTracerGetParticleFileNameFunction
//input a0 
//output y
ArrayVector vtkTemporalStreamTracerGetParticleFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetParticleFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParticleFileName for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetParticleFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:SetEnableParticleWriting vtkTemporalStreamTracerSetEnableParticleWritingFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalStreamTracerSetEnableParticleWritingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnableParticleWriting (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnableParticleWriting for class vtkTemporalStreamTracer requires 2 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnableParticleWriting(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:GetEnableParticleWriting vtkTemporalStreamTracerGetEnableParticleWritingFunction
//input a0 
//output y
ArrayVector vtkTemporalStreamTracerGetEnableParticleWritingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEnableParticleWriting (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnableParticleWriting for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEnableParticleWriting();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:EnableParticleWritingOn vtkTemporalStreamTracerEnableParticleWritingOnFunction
//input a0 
//output none
ArrayVector vtkTemporalStreamTracerEnableParticleWritingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableParticleWritingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableParticleWritingOn for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->EnableParticleWritingOn();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:EnableParticleWritingOff vtkTemporalStreamTracerEnableParticleWritingOffFunction
//input a0 
//output none
ArrayVector vtkTemporalStreamTracerEnableParticleWritingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableParticleWritingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableParticleWritingOff for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->EnableParticleWritingOff();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:AddSourceConnection vtkTemporalStreamTracerAddSourceConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalStreamTracerAddSourceConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddSourceConnection (vtkAlgorithmOutput *input); */
  if (arg.size() < 2) 
    throw Exception("Function AddSourceConnection for class vtkTemporalStreamTracer requires 2 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->AddSourceConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:RemoveAllSources vtkTemporalStreamTracerRemoveAllSourcesFunction
//input a0 
//output none
ArrayVector vtkTemporalStreamTracerRemoveAllSourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllSources (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllSources for class vtkTemporalStreamTracer requires 1 argument(s)");
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllSources();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStreamTracer:display vtkTemporalStreamTracerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTemporalStreamTracerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTemporalStreamTracer* vtk_pointer = GetVTKPointer<vtkTemporalStreamTracer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTemporalStreamTracer:delete vtkTemporalStreamTracerDeleteFunction
//input varargin
//output none
ArrayVector vtkTemporalStreamTracerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTemporalStreamTracer
//@@Section VTKParallel
//@@Usage
// vtkTemporalStreamTracer is a filter that integrates a vector field to generate
// 
//
//
//To create an instance of class vtkTemporalStreamTracer, simply
//invoke its constructor as follows
//@[
//  obj = vtkTemporalStreamTracer
//@]
//@@Methods
//The class vtkTemporalStreamTracer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTemporalStreamTracer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTemporalStreamTracer = obj.NewInstance ()|
// \item @|vtkTemporalStreamTracer = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetTimeStep (int )| -  Set/Get the TimeStep. This is the primary means of advancing 
// the particles. The TimeStep should be animated and this will drive
// the pipeline forcing timesteps to be fetched from upstream.
//// \item @|int = obj.GetTimeStep ()| -  Set/Get the TimeStep. This is the primary means of advancing 
// the particles. The TimeStep should be animated and this will drive
// the pipeline forcing timesteps to be fetched from upstream.
//// \item @|obj.SetIgnorePipelineTime (int )| -  To get around problems with the Paraview Animation controls
// we can just animate the time step and ignore the TIME_ requests
//// \item @|int = obj.GetIgnorePipelineTime ()| -  To get around problems with the Paraview Animation controls
// we can just animate the time step and ignore the TIME_ requests
//// \item @|obj.IgnorePipelineTimeOn ()| -  To get around problems with the Paraview Animation controls
// we can just animate the time step and ignore the TIME_ requests
//// \item @|obj.IgnorePipelineTimeOff ()| -  To get around problems with the Paraview Animation controls
// we can just animate the time step and ignore the TIME_ requests
//// \item @|obj.SetTimeStepResolution (double )| -  If the data source does not have the correct time values 
// present on each time step - setting this value to non unity can
// be used to adjust the time step size from 1s pre step to
// 1x_TimeStepResolution : Not functional in this version. 
// Broke it @todo, put back time scaling
//// \item @|double = obj.GetTimeStepResolution ()| -  If the data source does not have the correct time values 
// present on each time step - setting this value to non unity can
// be used to adjust the time step size from 1s pre step to
// 1x_TimeStepResolution : Not functional in this version. 
// Broke it @todo, put back time scaling
//// \item @|obj.SetForceReinjectionEveryNSteps (int )| -  When animating particles, it is nice to inject new ones every Nth step
// to produce a continuous flow. Setting ForceReinjectionEveryNSteps to a 
// non zero value will cause the particle source to reinject particles
// every Nth step even if it is otherwise unchanged.
// Note that if the particle source is also animated, this flag will be
// redundant as the particles will be reinjected whenever the source changes 
// anyway
//// \item @|int = obj.GetForceReinjectionEveryNSteps ()| -  When animating particles, it is nice to inject new ones every Nth step
// to produce a continuous flow. Setting ForceReinjectionEveryNSteps to a 
// non zero value will cause the particle source to reinject particles
// every Nth step even if it is otherwise unchanged.
// Note that if the particle source is also animated, this flag will be
// redundant as the particles will be reinjected whenever the source changes 
// anyway
//// \item @|obj.SetTerminationTime (double )| -  Setting TerminationTime to a positive value will cause particles
// to terminate when the time is reached. Use a vlue of zero to
// diable termination. The units of time should be consistent with the 
// primary time variable.
//// \item @|double = obj.GetTerminationTime ()| -  Setting TerminationTime to a positive value will cause particles
// to terminate when the time is reached. Use a vlue of zero to
// diable termination. The units of time should be consistent with the 
// primary time variable.
//// \item @|obj.SetTerminationTimeUnit (int )| -  The units of TerminationTime may be actual 'Time' units as described
// by the data, or just TimeSteps of iteration.
//// \item @|int = obj.GetTerminationTimeUnit ()| -  The units of TerminationTime may be actual 'Time' units as described
// by the data, or just TimeSteps of iteration.
//// \item @|obj.SetTerminationTimeUnitToTimeUnit ()| -  The units of TerminationTime may be actual 'Time' units as described
// by the data, or just TimeSteps of iteration.
//// \item @|obj.SetTerminationTimeUnitToStepUnit ()| -  The units of TerminationTime may be actual 'Time' units as described
// by the data, or just TimeSteps of iteration.
//// \item @|obj.SetStaticSeeds (int )| -  if StaticSeeds is set and the mesh is static, 
// then every time particles are injected we can re-use the same 
// injection information. We classify particles according to
// processor just once before start.
// If StaticSeeds is set and a moving seed source is specified
// the motion will be ignored and results will not be as expected.
//// \item @|int = obj.GetStaticSeeds ()| -  if StaticSeeds is set and the mesh is static, 
// then every time particles are injected we can re-use the same 
// injection information. We classify particles according to
// processor just once before start.
// If StaticSeeds is set and a moving seed source is specified
// the motion will be ignored and results will not be as expected.
//// \item @|obj.StaticSeedsOn ()| -  if StaticSeeds is set and the mesh is static, 
// then every time particles are injected we can re-use the same 
// injection information. We classify particles according to
// processor just once before start.
// If StaticSeeds is set and a moving seed source is specified
// the motion will be ignored and results will not be as expected.
//// \item @|obj.StaticSeedsOff ()| -  if StaticSeeds is set and the mesh is static, 
// then every time particles are injected we can re-use the same 
// injection information. We classify particles according to
// processor just once before start.
// If StaticSeeds is set and a moving seed source is specified
// the motion will be ignored and results will not be as expected.
//// \item @|obj.SetStaticMesh (int )| -  if StaticMesh is set, many optimizations for cell caching
// can be assumed. if StaticMesh is not set, the algorithm
// will attempt to find out if optimizations can be used, but
// setting it to true will force all optimizations.
// Do not Set StaticMesh to true if a dynamic mesh is being used
// as this will invalidate all results.
//// \item @|int = obj.GetStaticMesh ()| -  if StaticMesh is set, many optimizations for cell caching
// can be assumed. if StaticMesh is not set, the algorithm
// will attempt to find out if optimizations can be used, but
// setting it to true will force all optimizations.
// Do not Set StaticMesh to true if a dynamic mesh is being used
// as this will invalidate all results.
//// \item @|obj.StaticMeshOn ()| -  if StaticMesh is set, many optimizations for cell caching
// can be assumed. if StaticMesh is not set, the algorithm
// will attempt to find out if optimizations can be used, but
// setting it to true will force all optimizations.
// Do not Set StaticMesh to true if a dynamic mesh is being used
// as this will invalidate all results.
//// \item @|obj.StaticMeshOff ()| -  if StaticMesh is set, many optimizations for cell caching
// can be assumed. if StaticMesh is not set, the algorithm
// will attempt to find out if optimizations can be used, but
// setting it to true will force all optimizations.
// Do not Set StaticMesh to true if a dynamic mesh is being used
// as this will invalidate all results.
//// \item @|obj.SetController (vtkMultiProcessController controller)| -  Set/Get the controller used when sending particles between processes
// The controller must be an instance of vtkMPIController.
// If VTK was compiled without VTK_USE_MPI on, then the Controller is simply
// ignored.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  Set/Get the controller used when sending particles between processes
// The controller must be an instance of vtkMPIController.
// If VTK was compiled without VTK_USE_MPI on, then the Controller is simply
// ignored.
//// \item @|obj.SetParticleWriter (vtkAbstractParticleWriter pw)| -  Set/Get the Writer associated with this Particle Tracer
// Ideally a parallel IO capable vtkH5PartWriter should be used
// which will collect particles from all parallel processes
// and write them to a single HDF5 file.
//// \item @|vtkAbstractParticleWriter = obj.GetParticleWriter ()| -  Set/Get the Writer associated with this Particle Tracer
// Ideally a parallel IO capable vtkH5PartWriter should be used
// which will collect particles from all parallel processes
// and write them to a single HDF5 file.
//// \item @|obj.SetParticleFileName (string )| -  Set/Get the filename to be used with the particle writer when
// dumping particles to disk    
//// \item @|string = obj.GetParticleFileName ()| -  Set/Get the filename to be used with the particle writer when
// dumping particles to disk    
//// \item @|obj.SetEnableParticleWriting (int )| -  Set/Get the filename to be used with the particle writer when
// dumping particles to disk    
//// \item @|int = obj.GetEnableParticleWriting ()| -  Set/Get the filename to be used with the particle writer when
// dumping particles to disk    
//// \item @|obj.EnableParticleWritingOn ()| -  Set/Get the filename to be used with the particle writer when
// dumping particles to disk    
//// \item @|obj.EnableParticleWritingOff ()| -  Set/Get the filename to be used with the particle writer when
// dumping particles to disk    
//// \item @|obj.AddSourceConnection (vtkAlgorithmOutput input)| -  Provide support for multiple see sources
//// \item @|obj.RemoveAllSources ()| -  Provide support for multiple see sources
////\end{itemize}
//!
