#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTransmitImageDataPiece object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTransmitImageDataPiece.h"

//@@Signature
//sfunction @vtkTransmitImageDataPiece:vtkTransmitImageDataPiece vtkTransmitImageDataPieceConstructorFunction
//input a
//output p
//@@Parents vtkTransmitImageDataPiece vtkImageAlgorithm 
ArrayVector vtkTransmitImageDataPieceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTransmitImageDataPiece::New(),"vtkTransmitImageDataPiece",eval);
  } else if (arg[0].className() == "vtkTransmitImageDataPiece") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTransmitImageDataPiece"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTransmitImageDataPiece");
    vtkTransmitImageDataPiece*q = reinterpret_cast<vtkTransmitImageDataPiece*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTransmitImageDataPiece");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTransmitImageDataPiece:GetClassName vtkTransmitImageDataPieceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTransmitImageDataPieceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTransmitImageDataPiece requires 1 argument(s)");
  vtkTransmitImageDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitImageDataPiece>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransmitImageDataPiece:IsA vtkTransmitImageDataPieceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTransmitImageDataPieceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTransmitImageDataPiece requires 2 argument(s)");
  vtkTransmitImageDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitImageDataPiece>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransmitImageDataPiece:NewInstance vtkTransmitImageDataPieceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTransmitImageDataPieceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransmitImageDataPiece *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTransmitImageDataPiece requires 1 argument(s)");
  vtkTransmitImageDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitImageDataPiece>(arg[0]);
  Array retval;
  vtkTransmitImageDataPiece  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransmitImageDataPiece",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransmitImageDataPiece:SafeDownCast vtkTransmitImageDataPieceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTransmitImageDataPieceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransmitImageDataPiece *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTransmitImageDataPiece requires 2 argument(s)");
  vtkTransmitImageDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitImageDataPiece>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTransmitImageDataPiece  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransmitImageDataPiece",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransmitImageDataPiece:SetController vtkTransmitImageDataPieceSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkTransmitImageDataPieceSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkTransmitImageDataPiece requires 2 argument(s)");
  vtkTransmitImageDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitImageDataPiece>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransmitImageDataPiece:GetController vtkTransmitImageDataPieceGetControllerFunction
//input a0 
//output y
ArrayVector vtkTransmitImageDataPieceGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkTransmitImageDataPiece requires 1 argument(s)");
  vtkTransmitImageDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitImageDataPiece>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransmitImageDataPiece:SetCreateGhostCells vtkTransmitImageDataPieceSetCreateGhostCellsFunction
//input a0 a1 
//output none
ArrayVector vtkTransmitImageDataPieceSetCreateGhostCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCreateGhostCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCreateGhostCells for class vtkTransmitImageDataPiece requires 2 argument(s)");
  vtkTransmitImageDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitImageDataPiece>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCreateGhostCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransmitImageDataPiece:GetCreateGhostCells vtkTransmitImageDataPieceGetCreateGhostCellsFunction
//input a0 
//output y
ArrayVector vtkTransmitImageDataPieceGetCreateGhostCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCreateGhostCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCreateGhostCells for class vtkTransmitImageDataPiece requires 1 argument(s)");
  vtkTransmitImageDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitImageDataPiece>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCreateGhostCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransmitImageDataPiece:CreateGhostCellsOn vtkTransmitImageDataPieceCreateGhostCellsOnFunction
//input a0 
//output none
ArrayVector vtkTransmitImageDataPieceCreateGhostCellsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateGhostCellsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateGhostCellsOn for class vtkTransmitImageDataPiece requires 1 argument(s)");
  vtkTransmitImageDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitImageDataPiece>(arg[0]);
  Array retval;
  vtk_pointer->CreateGhostCellsOn();
  return retval;
}

//@@Signature
//sfunction @vtkTransmitImageDataPiece:CreateGhostCellsOff vtkTransmitImageDataPieceCreateGhostCellsOffFunction
//input a0 
//output none
ArrayVector vtkTransmitImageDataPieceCreateGhostCellsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateGhostCellsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateGhostCellsOff for class vtkTransmitImageDataPiece requires 1 argument(s)");
  vtkTransmitImageDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitImageDataPiece>(arg[0]);
  Array retval;
  vtk_pointer->CreateGhostCellsOff();
  return retval;
}

//@@Signature
//sfunction @vtkTransmitImageDataPiece:display vtkTransmitImageDataPieceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTransmitImageDataPieceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTransmitImageDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitImageDataPiece>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTransmitImageDataPiece:delete vtkTransmitImageDataPieceDeleteFunction
//input varargin
//output none
ArrayVector vtkTransmitImageDataPieceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTransmitImageDataPiece
//@@Section VTKParallel
//@@Usage
// This filter updates the appropriate piece by requesting the piece from 
// process 0.  Process 0 always updates all of the data.  It is important that 
// Execute get called on all processes, otherwise the filter will deadlock.
//
//To create an instance of class vtkTransmitImageDataPiece, simply
//invoke its constructor as follows
//@[
//  obj = vtkTransmitImageDataPiece
//@]
//@@Methods
//The class vtkTransmitImageDataPiece has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTransmitImageDataPiece class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTransmitImageDataPiece = obj.NewInstance ()|
// \item @|vtkTransmitImageDataPiece = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetController (vtkMultiProcessController )| -  By defualt this filter uses the global controller,
// but this method can be used to set another instead.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  By defualt this filter uses the global controller,
// but this method can be used to set another instead.
//// \item @|obj.SetCreateGhostCells (int )| -  Turn on/off creating ghost cells (on by default).
//// \item @|int = obj.GetCreateGhostCells ()| -  Turn on/off creating ghost cells (on by default).
//// \item @|obj.CreateGhostCellsOn ()| -  Turn on/off creating ghost cells (on by default).
//// \item @|obj.CreateGhostCellsOff ()| -  Turn on/off creating ghost cells (on by default).
////\end{itemize}
//!
