#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTransmitPolyDataPiece object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTransmitPolyDataPiece.h"

//@@Signature
//sfunction @vtkTransmitPolyDataPiece:vtkTransmitPolyDataPiece vtkTransmitPolyDataPieceConstructorFunction
//input a
//output p
//@@Parents vtkTransmitPolyDataPiece vtkPolyDataAlgorithm 
ArrayVector vtkTransmitPolyDataPieceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTransmitPolyDataPiece::New(),"vtkTransmitPolyDataPiece",eval);
  } else if (arg[0].className() == "vtkTransmitPolyDataPiece") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTransmitPolyDataPiece"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTransmitPolyDataPiece");
    vtkTransmitPolyDataPiece*q = reinterpret_cast<vtkTransmitPolyDataPiece*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTransmitPolyDataPiece");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTransmitPolyDataPiece:GetClassName vtkTransmitPolyDataPieceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTransmitPolyDataPieceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTransmitPolyDataPiece requires 1 argument(s)");
  vtkTransmitPolyDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitPolyDataPiece>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransmitPolyDataPiece:IsA vtkTransmitPolyDataPieceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTransmitPolyDataPieceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTransmitPolyDataPiece requires 2 argument(s)");
  vtkTransmitPolyDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitPolyDataPiece>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransmitPolyDataPiece:NewInstance vtkTransmitPolyDataPieceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTransmitPolyDataPieceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransmitPolyDataPiece *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTransmitPolyDataPiece requires 1 argument(s)");
  vtkTransmitPolyDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitPolyDataPiece>(arg[0]);
  Array retval;
  vtkTransmitPolyDataPiece  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransmitPolyDataPiece",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransmitPolyDataPiece:SafeDownCast vtkTransmitPolyDataPieceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTransmitPolyDataPieceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransmitPolyDataPiece *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTransmitPolyDataPiece requires 2 argument(s)");
  vtkTransmitPolyDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitPolyDataPiece>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTransmitPolyDataPiece  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransmitPolyDataPiece",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransmitPolyDataPiece:SetController vtkTransmitPolyDataPieceSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkTransmitPolyDataPieceSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkTransmitPolyDataPiece requires 2 argument(s)");
  vtkTransmitPolyDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitPolyDataPiece>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransmitPolyDataPiece:GetController vtkTransmitPolyDataPieceGetControllerFunction
//input a0 
//output y
ArrayVector vtkTransmitPolyDataPieceGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkTransmitPolyDataPiece requires 1 argument(s)");
  vtkTransmitPolyDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitPolyDataPiece>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransmitPolyDataPiece:SetCreateGhostCells vtkTransmitPolyDataPieceSetCreateGhostCellsFunction
//input a0 a1 
//output none
ArrayVector vtkTransmitPolyDataPieceSetCreateGhostCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCreateGhostCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCreateGhostCells for class vtkTransmitPolyDataPiece requires 2 argument(s)");
  vtkTransmitPolyDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitPolyDataPiece>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCreateGhostCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransmitPolyDataPiece:GetCreateGhostCells vtkTransmitPolyDataPieceGetCreateGhostCellsFunction
//input a0 
//output y
ArrayVector vtkTransmitPolyDataPieceGetCreateGhostCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCreateGhostCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCreateGhostCells for class vtkTransmitPolyDataPiece requires 1 argument(s)");
  vtkTransmitPolyDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitPolyDataPiece>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCreateGhostCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransmitPolyDataPiece:CreateGhostCellsOn vtkTransmitPolyDataPieceCreateGhostCellsOnFunction
//input a0 
//output none
ArrayVector vtkTransmitPolyDataPieceCreateGhostCellsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateGhostCellsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateGhostCellsOn for class vtkTransmitPolyDataPiece requires 1 argument(s)");
  vtkTransmitPolyDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitPolyDataPiece>(arg[0]);
  Array retval;
  vtk_pointer->CreateGhostCellsOn();
  return retval;
}

//@@Signature
//sfunction @vtkTransmitPolyDataPiece:CreateGhostCellsOff vtkTransmitPolyDataPieceCreateGhostCellsOffFunction
//input a0 
//output none
ArrayVector vtkTransmitPolyDataPieceCreateGhostCellsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateGhostCellsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateGhostCellsOff for class vtkTransmitPolyDataPiece requires 1 argument(s)");
  vtkTransmitPolyDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitPolyDataPiece>(arg[0]);
  Array retval;
  vtk_pointer->CreateGhostCellsOff();
  return retval;
}

//@@Signature
//sfunction @vtkTransmitPolyDataPiece:display vtkTransmitPolyDataPieceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTransmitPolyDataPieceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTransmitPolyDataPiece* vtk_pointer = GetVTKPointer<vtkTransmitPolyDataPiece>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTransmitPolyDataPiece:delete vtkTransmitPolyDataPieceDeleteFunction
//input varargin
//output none
ArrayVector vtkTransmitPolyDataPieceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTransmitPolyDataPiece
//@@Section VTKParallel
//@@Usage
// This filter updates the appropriate piece by requesting the piece from 
// process 0.  Process 0 always updates all of the data.  It is important that 
// Execute get called on all processes, otherwise the filter will deadlock.
//
//To create an instance of class vtkTransmitPolyDataPiece, simply
//invoke its constructor as follows
//@[
//  obj = vtkTransmitPolyDataPiece
//@]
//@@Methods
//The class vtkTransmitPolyDataPiece has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTransmitPolyDataPiece class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTransmitPolyDataPiece = obj.NewInstance ()|
// \item @|vtkTransmitPolyDataPiece = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetController (vtkMultiProcessController )| -  By defualt this filter uses the global controller,
// but this method can be used to set another instead.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  By defualt this filter uses the global controller,
// but this method can be used to set another instead.
//// \item @|obj.SetCreateGhostCells (int )| -  Turn on/off creating ghost cells (on by default).
//// \item @|int = obj.GetCreateGhostCells ()| -  Turn on/off creating ghost cells (on by default).
//// \item @|obj.CreateGhostCellsOn ()| -  Turn on/off creating ghost cells (on by default).
//// \item @|obj.CreateGhostCellsOff ()| -  Turn on/off creating ghost cells (on by default).
////\end{itemize}
//!
