#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTreeCompositer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTreeCompositer.h"

//@@Signature
//sfunction @vtkTreeCompositer:vtkTreeCompositer vtkTreeCompositerConstructorFunction
//input a
//output p
//@@Parents vtkTreeCompositer vtkCompositer 
ArrayVector vtkTreeCompositerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTreeCompositer::New(),"vtkTreeCompositer",eval);
  } else if (arg[0].className() == "vtkTreeCompositer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTreeCompositer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTreeCompositer");
    vtkTreeCompositer*q = reinterpret_cast<vtkTreeCompositer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTreeCompositer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTreeCompositer:GetClassName vtkTreeCompositerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTreeCompositerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTreeCompositer requires 1 argument(s)");
  vtkTreeCompositer* vtk_pointer = GetVTKPointer<vtkTreeCompositer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeCompositer:IsA vtkTreeCompositerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTreeCompositerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTreeCompositer requires 2 argument(s)");
  vtkTreeCompositer* vtk_pointer = GetVTKPointer<vtkTreeCompositer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeCompositer:NewInstance vtkTreeCompositerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTreeCompositerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeCompositer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTreeCompositer requires 1 argument(s)");
  vtkTreeCompositer* vtk_pointer = GetVTKPointer<vtkTreeCompositer>(arg[0]);
  Array retval;
  vtkTreeCompositer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeCompositer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeCompositer:SafeDownCast vtkTreeCompositerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTreeCompositerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeCompositer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTreeCompositer requires 2 argument(s)");
  vtkTreeCompositer* vtk_pointer = GetVTKPointer<vtkTreeCompositer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTreeCompositer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeCompositer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeCompositer:CompositeBuffer vtkTreeCompositerCompositeBufferFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkTreeCompositerCompositeBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CompositeBuffer (vtkDataArray *pBuf, vtkFloatArray *zBuf, vtkDataArray *pTmp, vtkFloatArray *zTmp); */
  if (arg.size() < 5) 
    throw Exception("Function CompositeBuffer for class vtkTreeCompositer requires 5 argument(s)");
  vtkTreeCompositer* vtk_pointer = GetVTKPointer<vtkTreeCompositer>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkFloatArray  *temp1;
  vtkDataArray  *temp2;
  vtkFloatArray  *temp3;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkFloatArray>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  temp3 = GetVTKPointer<vtkFloatArray>(arg[4]);
  vtk_pointer->CompositeBuffer(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkTreeCompositer:display vtkTreeCompositerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTreeCompositerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTreeCompositer* vtk_pointer = GetVTKPointer<vtkTreeCompositer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTreeCompositer:delete vtkTreeCompositerDeleteFunction
//input varargin
//output none
ArrayVector vtkTreeCompositerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTreeCompositer
//@@Section VTKParallel
//@@Usage
// vtkTreeCompositer operates in multiple processes.  Each compositer has 
// a render window.  They use a vtkMultiProcessController to communicate 
// the color and depth buffer to process 0's render window.
// It will not handle transparency well.
//
//
//To create an instance of class vtkTreeCompositer, simply
//invoke its constructor as follows
//@[
//  obj = vtkTreeCompositer
//@]
//@@Methods
//The class vtkTreeCompositer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTreeCompositer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTreeCompositer = obj.NewInstance ()|
// \item @|vtkTreeCompositer = obj.SafeDownCast (vtkObject o)|
// \item @|obj.CompositeBuffer (vtkDataArray pBuf, vtkFloatArray zBuf, vtkDataArray pTmp, vtkFloatArray zTmp)|
//\end{itemize}
//!
