#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVPICReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVPICReader.h"

//@@Signature
//sfunction @vtkVPICReader:vtkVPICReader vtkVPICReaderConstructorFunction
//input a
//output p
//@@Parents vtkVPICReader vtkImageAlgorithm 
ArrayVector vtkVPICReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVPICReader::New(),"vtkVPICReader",eval);
  } else if (arg[0].className() == "vtkVPICReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVPICReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVPICReader");
    vtkVPICReader*q = reinterpret_cast<vtkVPICReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVPICReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVPICReader:GetClassName vtkVPICReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVPICReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVPICReader requires 1 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:IsA vtkVPICReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVPICReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVPICReader requires 2 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:NewInstance vtkVPICReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVPICReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVPICReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVPICReader requires 1 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  vtkVPICReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVPICReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:SafeDownCast vtkVPICReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVPICReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVPICReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVPICReader requires 2 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVPICReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVPICReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:SetFileName vtkVPICReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkVPICReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkVPICReader requires 2 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:GetFileName vtkVPICReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkVPICReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkVPICReader requires 1 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:SetStride__1 vtkVPICReaderSetStride__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkVPICReaderSetStride__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStride (int , int , int ); */
  if (arg.size() < 4) 
    throw Exception("Function SetStride__1 for class vtkVPICReader requires 4 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetStride(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:SetStride__2 vtkVPICReaderSetStride__2Function
//input a0 a1 
//output none
ArrayVector vtkVPICReaderSetStride__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStride (int  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetStride__2 for class vtkVPICReader requires 2 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetStride(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:GetStride vtkVPICReaderGetStrideFunction
//input a0 
//output y
ArrayVector vtkVPICReaderGetStrideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetStride (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStride for class vtkVPICReader requires 1 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetStride();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:SetXExtent__1 vtkVPICReaderSetXExtent__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkVPICReaderSetXExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXExtent (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetXExtent__1 for class vtkVPICReader requires 3 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetXExtent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:SetXExtent__2 vtkVPICReaderSetXExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkVPICReaderSetXExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXExtent (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetXExtent__2 for class vtkVPICReader requires 2 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetXExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:SetYExtent__1 vtkVPICReaderSetYExtent__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkVPICReaderSetYExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYExtent (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetYExtent__1 for class vtkVPICReader requires 3 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetYExtent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:SetYExtent__2 vtkVPICReaderSetYExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkVPICReaderSetYExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYExtent (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetYExtent__2 for class vtkVPICReader requires 2 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetYExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:SetZExtent__1 vtkVPICReaderSetZExtent__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkVPICReaderSetZExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZExtent (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetZExtent__1 for class vtkVPICReader requires 3 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetZExtent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:SetZExtent__2 vtkVPICReaderSetZExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkVPICReaderSetZExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZExtent (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetZExtent__2 for class vtkVPICReader requires 2 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetZExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:GetXLayout vtkVPICReaderGetXLayoutFunction
//input a0 
//output y
ArrayVector vtkVPICReaderGetXLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetXLayout (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXLayout for class vtkVPICReader requires 1 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetXLayout();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:GetYLayout vtkVPICReaderGetYLayoutFunction
//input a0 
//output y
ArrayVector vtkVPICReaderGetYLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetYLayout (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYLayout for class vtkVPICReader requires 1 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetYLayout();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:GetZLayout vtkVPICReaderGetZLayoutFunction
//input a0 
//output y
ArrayVector vtkVPICReaderGetZLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetZLayout (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZLayout for class vtkVPICReader requires 1 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetZLayout();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:GetOutput__1 vtkVPICReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkVPICReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkVPICReader requires 1 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:GetOutput__2 vtkVPICReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkVPICReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetOutput (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkVPICReader requires 2 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkImageData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:GetNumberOfPointArrays vtkVPICReaderGetNumberOfPointArraysFunction
//input a0 
//output y
ArrayVector vtkVPICReaderGetNumberOfPointArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointArrays for class vtkVPICReader requires 1 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:GetPointArrayName vtkVPICReaderGetPointArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkVPICReaderGetPointArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPointArrayName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayName for class vtkVPICReader requires 2 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:GetPointArrayStatus vtkVPICReaderGetPointArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkVPICReaderGetPointArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointArrayStatus (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayStatus for class vtkVPICReader requires 2 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPointArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:SetPointArrayStatus vtkVPICReaderSetPointArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkVPICReaderSetPointArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointArrayStatus (const char *name, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetPointArrayStatus for class vtkVPICReader requires 3 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPointArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:DisableAllPointArrays vtkVPICReaderDisableAllPointArraysFunction
//input a0 
//output none
ArrayVector vtkVPICReaderDisableAllPointArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisableAllPointArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function DisableAllPointArrays for class vtkVPICReader requires 1 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  vtk_pointer->DisableAllPointArrays();
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:EnableAllPointArrays vtkVPICReaderEnableAllPointArraysFunction
//input a0 
//output none
ArrayVector vtkVPICReaderEnableAllPointArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableAllPointArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableAllPointArrays for class vtkVPICReader requires 1 argument(s)");
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  Array retval;
  vtk_pointer->EnableAllPointArrays();
  return retval;
}

//@@Signature
//sfunction @vtkVPICReader:SetStride vtkVPICReaderSetStrideFunction
//input varargin
//output varargout
ArrayVector vtkVPICReaderSetStrideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkVPICReaderSetStride__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVPICReaderSetStride__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVPICReaderSetStride");
}

//@@Signature
//sfunction @vtkVPICReader:SetXExtent vtkVPICReaderSetXExtentFunction
//input varargin
//output varargout
ArrayVector vtkVPICReaderSetXExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkVPICReaderSetXExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVPICReaderSetXExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVPICReaderSetXExtent");
}

//@@Signature
//sfunction @vtkVPICReader:SetYExtent vtkVPICReaderSetYExtentFunction
//input varargin
//output varargout
ArrayVector vtkVPICReaderSetYExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkVPICReaderSetYExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVPICReaderSetYExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVPICReaderSetYExtent");
}

//@@Signature
//sfunction @vtkVPICReader:SetZExtent vtkVPICReaderSetZExtentFunction
//input varargin
//output varargout
ArrayVector vtkVPICReaderSetZExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkVPICReaderSetZExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVPICReaderSetZExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVPICReaderSetZExtent");
}

//@@Signature
//sfunction @vtkVPICReader:GetOutput vtkVPICReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkVPICReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkVPICReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVPICReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVPICReaderGetOutput");
}

//@@Signature
//sfunction @vtkVPICReader:display vtkVPICReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVPICReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVPICReader* vtk_pointer = GetVTKPointer<vtkVPICReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVPICReader:delete vtkVPICReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkVPICReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVPICReader
//@@Section VTKParallel
//@@Usage
// vtkDataReader is a helper superclass that reads the vtk data file header,
// dataset type, and attribute data (point and cell attributes such as
// scalars, vectors, normals, etc.) from a vtk data file.  See text for
// the format of the various vtk file types.
//
//
//To create an instance of class vtkVPICReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkVPICReader
//@]
//@@Methods
//The class vtkVPICReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVPICReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVPICReader = obj.NewInstance ()|
// \item @|vtkVPICReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify file name of VPIC data file to read.
//// \item @|string = obj.GetFileName ()| -  Specify file name of VPIC data file to read.
//// \item @|obj.SetStride (int , int , int )| -  Set the stride in each dimension
//// \item @|obj.SetStride (int  a[3])| -  Set the stride in each dimension
//// \item @|int = obj. GetStride ()| -  Set the stride in each dimension
//// \item @|obj.SetXExtent (int , int )| -  Set the simulation file decomposition in each dimension
//// \item @|obj.SetXExtent (int  a[2])| -  Set the simulation file decomposition in each dimension
//// \item @|obj.SetYExtent (int , int )| -  Set the simulation file decomposition in each dimension
//// \item @|obj.SetYExtent (int  a[2])| -  Set the simulation file decomposition in each dimension
//// \item @|obj.SetZExtent (int , int )| -  Set the simulation file decomposition in each dimension
//// \item @|obj.SetZExtent (int  a[2])| -  Set the simulation file decomposition in each dimension
//// \item @|int = obj. GetXLayout ()|
// \item @|int = obj. GetYLayout ()|
// \item @|int = obj. GetZLayout ()|
// \item @|vtkImageData = obj.GetOutput ()| -  Get the reader's output
//// \item @|vtkImageData = obj.GetOutput (int index)| -  Get the reader's output
//// \item @|int = obj.GetNumberOfPointArrays ()| -  The following methods allow selective reading of solutions fields.
// By default, ALL data fields on the nodes are read, but this can
// be modified.
//// \item @|string = obj.GetPointArrayName (int index)| -  The following methods allow selective reading of solutions fields.
// By default, ALL data fields on the nodes are read, but this can
// be modified.
//// \item @|int = obj.GetPointArrayStatus (string name)| -  The following methods allow selective reading of solutions fields.
// By default, ALL data fields on the nodes are read, but this can
// be modified.
//// \item @|obj.SetPointArrayStatus (string name, int status)| -  The following methods allow selective reading of solutions fields.
// By default, ALL data fields on the nodes are read, but this can
// be modified.
//// \item @|obj.DisableAllPointArrays ()| -  The following methods allow selective reading of solutions fields.
// By default, ALL data fields on the nodes are read, but this can
// be modified.
//// \item @|obj.EnableAllPointArrays ()| -  The following methods allow selective reading of solutions fields.
// By default, ALL data fields on the nodes are read, but this can
// be modified.
////\end{itemize}
//!
