#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWindBladeReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWindBladeReader.h"

//@@Signature
//sfunction @vtkWindBladeReader:vtkWindBladeReader vtkWindBladeReaderConstructorFunction
//input a
//output p
//@@Parents vtkWindBladeReader vtkStructuredGridAlgorithm 
ArrayVector vtkWindBladeReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWindBladeReader::New(),"vtkWindBladeReader",eval);
  } else if (arg[0].className() == "vtkWindBladeReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWindBladeReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWindBladeReader");
    vtkWindBladeReader*q = reinterpret_cast<vtkWindBladeReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWindBladeReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWindBladeReader:GetClassName vtkWindBladeReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWindBladeReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWindBladeReader requires 1 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:IsA vtkWindBladeReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWindBladeReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWindBladeReader requires 2 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:NewInstance vtkWindBladeReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWindBladeReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWindBladeReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWindBladeReader requires 1 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  vtkWindBladeReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWindBladeReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:SafeDownCast vtkWindBladeReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWindBladeReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWindBladeReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWindBladeReader requires 2 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWindBladeReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWindBladeReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:SetFilename vtkWindBladeReaderSetFilenameFunction
//input a0 a1 
//output none
ArrayVector vtkWindBladeReaderSetFilenameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilename (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFilename for class vtkWindBladeReader requires 2 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFilename(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:GetFilename vtkWindBladeReaderGetFilenameFunction
//input a0 
//output y
ArrayVector vtkWindBladeReaderGetFilenameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFilename (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFilename for class vtkWindBladeReader requires 1 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFilename();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:SetWholeExtent__1 vtkWindBladeReaderSetWholeExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkWindBladeReaderSetWholeExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetWholeExtent__1 for class vtkWindBladeReader requires 7 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:SetWholeExtent__2 vtkWindBladeReaderSetWholeExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkWindBladeReaderSetWholeExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetWholeExtent__2 for class vtkWindBladeReader requires 2 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetWholeExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:GetWholeExtent vtkWindBladeReaderGetWholeExtentFunction
//input a0 
//output y
ArrayVector vtkWindBladeReaderGetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetWholeExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeExtent for class vtkWindBladeReader requires 1 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetWholeExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:SetSubExtent__1 vtkWindBladeReaderSetSubExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkWindBladeReaderSetSubExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSubExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetSubExtent__1 for class vtkWindBladeReader requires 7 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetSubExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:SetSubExtent__2 vtkWindBladeReaderSetSubExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkWindBladeReaderSetSubExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSubExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSubExtent__2 for class vtkWindBladeReader requires 2 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetSubExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:GetSubExtent vtkWindBladeReaderGetSubExtentFunction
//input a0 
//output y
ArrayVector vtkWindBladeReaderGetSubExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetSubExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubExtent for class vtkWindBladeReader requires 1 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetSubExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:GetFieldOutput vtkWindBladeReaderGetFieldOutputFunction
//input a0 
//output y
ArrayVector vtkWindBladeReaderGetFieldOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetFieldOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldOutput for class vtkWindBladeReader requires 1 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetFieldOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:GetBladeOutput vtkWindBladeReaderGetBladeOutputFunction
//input a0 
//output y
ArrayVector vtkWindBladeReaderGetBladeOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetBladeOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBladeOutput for class vtkWindBladeReader requires 1 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetBladeOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:GetNumberOfPointArrays vtkWindBladeReaderGetNumberOfPointArraysFunction
//input a0 
//output y
ArrayVector vtkWindBladeReaderGetNumberOfPointArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointArrays for class vtkWindBladeReader requires 1 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:GetPointArrayName vtkWindBladeReaderGetPointArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkWindBladeReaderGetPointArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPointArrayName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayName for class vtkWindBladeReader requires 2 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:GetPointArrayStatus vtkWindBladeReaderGetPointArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkWindBladeReaderGetPointArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointArrayStatus (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayStatus for class vtkWindBladeReader requires 2 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPointArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:SetPointArrayStatus vtkWindBladeReaderSetPointArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkWindBladeReaderSetPointArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointArrayStatus (const char *name, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetPointArrayStatus for class vtkWindBladeReader requires 3 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPointArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:DisableAllPointArrays vtkWindBladeReaderDisableAllPointArraysFunction
//input a0 
//output none
ArrayVector vtkWindBladeReaderDisableAllPointArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisableAllPointArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function DisableAllPointArrays for class vtkWindBladeReader requires 1 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  vtk_pointer->DisableAllPointArrays();
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:EnableAllPointArrays vtkWindBladeReaderEnableAllPointArraysFunction
//input a0 
//output none
ArrayVector vtkWindBladeReaderEnableAllPointArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableAllPointArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableAllPointArrays for class vtkWindBladeReader requires 1 argument(s)");
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  Array retval;
  vtk_pointer->EnableAllPointArrays();
  return retval;
}

//@@Signature
//sfunction @vtkWindBladeReader:SetWholeExtent vtkWindBladeReaderSetWholeExtentFunction
//input varargin
//output varargout
ArrayVector vtkWindBladeReaderSetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkWindBladeReaderSetWholeExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkWindBladeReaderSetWholeExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWindBladeReaderSetWholeExtent");
}

//@@Signature
//sfunction @vtkWindBladeReader:SetSubExtent vtkWindBladeReaderSetSubExtentFunction
//input varargin
//output varargout
ArrayVector vtkWindBladeReaderSetSubExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkWindBladeReaderSetSubExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkWindBladeReaderSetSubExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWindBladeReaderSetSubExtent");
}

//@@Signature
//sfunction @vtkWindBladeReader:display vtkWindBladeReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWindBladeReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWindBladeReader* vtk_pointer = GetVTKPointer<vtkWindBladeReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWindBladeReader:delete vtkWindBladeReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkWindBladeReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWindBladeReader
//@@Section VTKParallel
//@@Usage
// vtkWindBladeReader is a source object that reads WindBlade files
// which are block binary files with tags before and after each block
// giving the number of bytes within the block.  The number of data 
// variables dumped varies.  The data is 3D rectilinear with irregular
// spacing on the Z dimension.
//
//
//To create an instance of class vtkWindBladeReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkWindBladeReader
//@]
//@@Methods
//The class vtkWindBladeReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWindBladeReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkWindBladeReader = obj.NewInstance ()|
// \item @|vtkWindBladeReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFilename (string )|
// \item @|string = obj.GetFilename ()|
// \item @|obj.SetWholeExtent (int , int , int , int , int , int )|
// \item @|obj.SetWholeExtent (int  a[6])|
// \item @|int = obj. GetWholeExtent ()|
// \item @|obj.SetSubExtent (int , int , int , int , int , int )|
// \item @|obj.SetSubExtent (int  a[6])|
// \item @|int = obj. GetSubExtent ()|
// \item @|vtkStructuredGrid = obj.GetFieldOutput ()| -  Get the reader's output
//// \item @|vtkUnstructuredGrid = obj.GetBladeOutput ()| -  Get the reader's output
//// \item @|int = obj.GetNumberOfPointArrays ()| -  The following methods allow selective reading of solutions fields.
// By default, ALL data fields on the nodes are read, but this can
// be modified.
//// \item @|string = obj.GetPointArrayName (int index)| -  The following methods allow selective reading of solutions fields.
// By default, ALL data fields on the nodes are read, but this can
// be modified.
//// \item @|int = obj.GetPointArrayStatus (string name)|
// \item @|obj.SetPointArrayStatus (string name, int status)|
// \item @|obj.DisableAllPointArrays ()|
// \item @|obj.EnableAllPointArrays ()|
//\end{itemize}
//!
