#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPMultiBlockDataWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPMultiBlockDataWriter.h"

//@@Signature
//sfunction @vtkXMLPMultiBlockDataWriter:vtkXMLPMultiBlockDataWriter vtkXMLPMultiBlockDataWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLPMultiBlockDataWriter vtkXMLMultiBlockDataWriter 
ArrayVector vtkXMLPMultiBlockDataWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPMultiBlockDataWriter::New(),"vtkXMLPMultiBlockDataWriter",eval);
  } else if (arg[0].className() == "vtkXMLPMultiBlockDataWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPMultiBlockDataWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPMultiBlockDataWriter");
    vtkXMLPMultiBlockDataWriter*q = reinterpret_cast<vtkXMLPMultiBlockDataWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPMultiBlockDataWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPMultiBlockDataWriter:GetClassName vtkXMLPMultiBlockDataWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPMultiBlockDataWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPMultiBlockDataWriter requires 1 argument(s)");
  vtkXMLPMultiBlockDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPMultiBlockDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPMultiBlockDataWriter:IsA vtkXMLPMultiBlockDataWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPMultiBlockDataWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPMultiBlockDataWriter requires 2 argument(s)");
  vtkXMLPMultiBlockDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPMultiBlockDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPMultiBlockDataWriter:NewInstance vtkXMLPMultiBlockDataWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPMultiBlockDataWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPMultiBlockDataWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPMultiBlockDataWriter requires 1 argument(s)");
  vtkXMLPMultiBlockDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPMultiBlockDataWriter>(arg[0]);
  Array retval;
  vtkXMLPMultiBlockDataWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPMultiBlockDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPMultiBlockDataWriter:SafeDownCast vtkXMLPMultiBlockDataWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPMultiBlockDataWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPMultiBlockDataWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPMultiBlockDataWriter requires 2 argument(s)");
  vtkXMLPMultiBlockDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPMultiBlockDataWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPMultiBlockDataWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPMultiBlockDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPMultiBlockDataWriter:SetController vtkXMLPMultiBlockDataWriterSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkXMLPMultiBlockDataWriterSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkXMLPMultiBlockDataWriter requires 2 argument(s)");
  vtkXMLPMultiBlockDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPMultiBlockDataWriter>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPMultiBlockDataWriter:GetController vtkXMLPMultiBlockDataWriterGetControllerFunction
//input a0 
//output y
ArrayVector vtkXMLPMultiBlockDataWriterGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkXMLPMultiBlockDataWriter requires 1 argument(s)");
  vtkXMLPMultiBlockDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPMultiBlockDataWriter>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPMultiBlockDataWriter:SetWriteMetaFile vtkXMLPMultiBlockDataWriterSetWriteMetaFileFunction
//input a0 a1 
//output none
ArrayVector vtkXMLPMultiBlockDataWriterSetWriteMetaFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetWriteMetaFile (int flag); */
  if (arg.size() < 2) 
    throw Exception("Function SetWriteMetaFile for class vtkXMLPMultiBlockDataWriter requires 2 argument(s)");
  vtkXMLPMultiBlockDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPMultiBlockDataWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWriteMetaFile(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPMultiBlockDataWriter:display vtkXMLPMultiBlockDataWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPMultiBlockDataWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPMultiBlockDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPMultiBlockDataWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPMultiBlockDataWriter:delete vtkXMLPMultiBlockDataWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPMultiBlockDataWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPMultiBlockDataWriter
//@@Section VTKParallel
//@@Usage
// vtkXMLPCompositeDataWriter writes (in parallel or serially) the VTK XML
// multi-group, multi-block hierarchical and hierarchical box files. XML
// multi-group data files are meta-files that point to a list of serial VTK
// XML files.
//
//To create an instance of class vtkXMLPMultiBlockDataWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPMultiBlockDataWriter
//@]
//@@Methods
//The class vtkXMLPMultiBlockDataWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPMultiBlockDataWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPMultiBlockDataWriter = obj.NewInstance ()|
// \item @|vtkXMLPMultiBlockDataWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetController (vtkMultiProcessController )| -  Controller used to communicate data type of blocks.
// By default, the global controller is used. If you want another
// controller to be used, set it with this.
// If no controller is set, only the local blocks will be written
// to the meta-file.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  Controller used to communicate data type of blocks.
// By default, the global controller is used. If you want another
// controller to be used, set it with this.
// If no controller is set, only the local blocks will be written
// to the meta-file.
//// \item @|obj.SetWriteMetaFile (int flag)| -  Set whether this instance will write the meta-file. WriteMetaFile
// is set to flag only on process 0 and all other processes have
// WriteMetaFile set to 0 by default.
////\end{itemize}
//!
