#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAbstractMapper3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAbstractMapper3D.h"

//@@Signature
//sfunction @vtkAbstractMapper3D:vtkAbstractMapper3D vtkAbstractMapper3DConstructorFunction
//input a
//output p
//@@Parents vtkAbstractMapper3D vtkAbstractMapper 
ArrayVector vtkAbstractMapper3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAbstractMapper3D::New(),"vtkAbstractMapper3D",eval);
  } else if (arg[0].className() == "vtkAbstractMapper3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAbstractMapper3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAbstractMapper3D");
    vtkAbstractMapper3D*q = reinterpret_cast<vtkAbstractMapper3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAbstractMapper3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAbstractMapper3D:GetClassName vtkAbstractMapper3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAbstractMapper3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAbstractMapper3D requires 1 argument(s)");
  vtkAbstractMapper3D* vtk_pointer = GetVTKPointer<vtkAbstractMapper3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper3D:IsA vtkAbstractMapper3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractMapper3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAbstractMapper3D requires 2 argument(s)");
  vtkAbstractMapper3D* vtk_pointer = GetVTKPointer<vtkAbstractMapper3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper3D:NewInstance vtkAbstractMapper3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAbstractMapper3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractMapper3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAbstractMapper3D requires 1 argument(s)");
  vtkAbstractMapper3D* vtk_pointer = GetVTKPointer<vtkAbstractMapper3D>(arg[0]);
  Array retval;
  vtkAbstractMapper3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractMapper3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper3D:SafeDownCast vtkAbstractMapper3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractMapper3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractMapper3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAbstractMapper3D requires 2 argument(s)");
  vtkAbstractMapper3D* vtk_pointer = GetVTKPointer<vtkAbstractMapper3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAbstractMapper3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractMapper3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper3D:GetBounds__1 vtkAbstractMapper3DGetBounds__1Function
//input a0 
//output y
ArrayVector vtkAbstractMapper3DGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__1 for class vtkAbstractMapper3D requires 1 argument(s)");
  vtkAbstractMapper3D* vtk_pointer = GetVTKPointer<vtkAbstractMapper3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper3D:GetBounds__2 vtkAbstractMapper3DGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkAbstractMapper3DGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkAbstractMapper3D requires 2 argument(s)");
  vtkAbstractMapper3D* vtk_pointer = GetVTKPointer<vtkAbstractMapper3D>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper3D:GetCenter__1 vtkAbstractMapper3DGetCenter__1Function
//input a0 
//output y
ArrayVector vtkAbstractMapper3DGetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter__1 for class vtkAbstractMapper3D requires 1 argument(s)");
  vtkAbstractMapper3D* vtk_pointer = GetVTKPointer<vtkAbstractMapper3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper3D:GetCenter__2 vtkAbstractMapper3DGetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkAbstractMapper3DGetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCenter (double center[3]);double rc this GetCenter center rc center rc center rc  */
  if (arg.size() < 2) 
    throw Exception("Function GetCenter__2 for class vtkAbstractMapper3D requires 2 argument(s)");
  vtkAbstractMapper3D* vtk_pointer = GetVTKPointer<vtkAbstractMapper3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper3D:GetLength vtkAbstractMapper3DGetLengthFunction
//input a0 
//output y
ArrayVector vtkAbstractMapper3DGetLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLength for class vtkAbstractMapper3D requires 1 argument(s)");
  vtkAbstractMapper3D* vtk_pointer = GetVTKPointer<vtkAbstractMapper3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper3D:IsARayCastMapper vtkAbstractMapper3DIsARayCastMapperFunction
//input a0 
//output y
ArrayVector vtkAbstractMapper3DIsARayCastMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsARayCastMapper ();return  */
  if (arg.size() < 1) 
    throw Exception("Function IsARayCastMapper for class vtkAbstractMapper3D requires 1 argument(s)");
  vtkAbstractMapper3D* vtk_pointer = GetVTKPointer<vtkAbstractMapper3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsARayCastMapper();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper3D:IsARenderIntoImageMapper vtkAbstractMapper3DIsARenderIntoImageMapperFunction
//input a0 
//output y
ArrayVector vtkAbstractMapper3DIsARenderIntoImageMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsARenderIntoImageMapper ();return  */
  if (arg.size() < 1) 
    throw Exception("Function IsARenderIntoImageMapper for class vtkAbstractMapper3D requires 1 argument(s)");
  vtkAbstractMapper3D* vtk_pointer = GetVTKPointer<vtkAbstractMapper3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsARenderIntoImageMapper();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractMapper3D:GetBounds vtkAbstractMapper3DGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkAbstractMapper3DGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkAbstractMapper3DGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAbstractMapper3DGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractMapper3DGetBounds");
}

//@@Signature
//sfunction @vtkAbstractMapper3D:GetCenter vtkAbstractMapper3DGetCenterFunction
//input varargin
//output varargout
ArrayVector vtkAbstractMapper3DGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkAbstractMapper3DGetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAbstractMapper3DGetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractMapper3DGetCenter");
}

//@@Signature
//sfunction @vtkAbstractMapper3D:display vtkAbstractMapper3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAbstractMapper3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAbstractMapper3D* vtk_pointer = GetVTKPointer<vtkAbstractMapper3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAbstractMapper3D:delete vtkAbstractMapper3DDeleteFunction
//input varargin
//output none
ArrayVector vtkAbstractMapper3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAbstractMapper3D
//@@Section VTKRendering
//@@Usage
// vtkAbstractMapper3D is an abstract class to specify interface between 3D
// data and graphics primitives or software rendering techniques. Subclasses
// of vtkAbstractMapper3D can be used for rendering geometry or rendering
// volumetric data.
//
// This class also defines an API to support hardware clipping planes (at most
// six planes can be defined). It also provides geometric data about the input
// data it maps, such as the bounding box and center.
//
//
//To create an instance of class vtkAbstractMapper3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkAbstractMapper3D
//@]
//@@Methods
//The class vtkAbstractMapper3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAbstractMapper3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAbstractMapper3D = obj.NewInstance ()|
// \item @|vtkAbstractMapper3D = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.GetBounds ()| -  Return bounding box (array of six doubles) of data expressed as
// (xmin,xmax, ymin,ymax, zmin,zmax).
// Update this->Bounds as a side effect.
//// \item @|obj.GetBounds (double bounds[6])| -  Get the bounds for this mapper as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).
//// \item @|double = obj.GetCenter ()| -  Return the Center of this mapper's data.
//// \item @|obj.GetCenter (double center[3])| -  Return the diagonal length of this mappers bounding box.
//// \item @|double = obj.GetLength ()| -  Return the diagonal length of this mappers bounding box.
//// \item @|int = obj.IsARayCastMapper ()| -  Is this a "render into image" mapper? A subclass would return 1 if the
// mapper produces an image by rendering into a software image buffer.
//// \item @|int = obj.IsARenderIntoImageMapper ()|
//\end{itemize}
//!
