#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAbstractPicker object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAbstractPicker.h"

//@@Signature
//sfunction @vtkAbstractPicker:vtkAbstractPicker vtkAbstractPickerConstructorFunction
//input a
//output p
//@@Parents vtkAbstractPicker vtkObject 
ArrayVector vtkAbstractPickerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAbstractPicker::New(),"vtkAbstractPicker",eval);
  } else if (arg[0].className() == "vtkAbstractPicker") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAbstractPicker"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAbstractPicker");
    vtkAbstractPicker*q = reinterpret_cast<vtkAbstractPicker*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAbstractPicker");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAbstractPicker:GetClassName vtkAbstractPickerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAbstractPickerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAbstractPicker requires 1 argument(s)");
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPicker:IsA vtkAbstractPickerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractPickerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAbstractPicker requires 2 argument(s)");
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPicker:NewInstance vtkAbstractPickerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAbstractPickerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractPicker *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAbstractPicker requires 1 argument(s)");
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  Array retval;
  vtkAbstractPicker  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPicker:SafeDownCast vtkAbstractPickerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractPickerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractPicker *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAbstractPicker requires 2 argument(s)");
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAbstractPicker  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPicker:GetRenderer vtkAbstractPickerGetRendererFunction
//input a0 
//output y
ArrayVector vtkAbstractPickerGetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetRenderer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderer for class vtkAbstractPicker requires 1 argument(s)");
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetRenderer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPicker:GetSelectionPoint vtkAbstractPickerGetSelectionPointFunction
//input a0 
//output y
ArrayVector vtkAbstractPickerGetSelectionPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSelectionPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionPoint for class vtkAbstractPicker requires 1 argument(s)");
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSelectionPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPicker:GetPickPosition vtkAbstractPickerGetPickPositionFunction
//input a0 
//output y
ArrayVector vtkAbstractPickerGetPickPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPickPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPickPosition for class vtkAbstractPicker requires 1 argument(s)");
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPickPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPicker:Pick__1 vtkAbstractPickerPick__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkAbstractPickerPick__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer *renderer) = 0; */
  if (arg.size() < 5) 
    throw Exception("Function Pick__1 for class vtkAbstractPicker requires 5 argument(s)");
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkRenderer  *temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkRenderer>(arg[4]);
  temp20 = (vtk_pointer)->Pick(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPicker:Pick__2 vtkAbstractPickerPick__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkAbstractPickerPick__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Pick (double selectionPt[3], vtkRenderer *ren);return this Pick selectionPt selectionPt selectionPt ren  */
  if (arg.size() < 3) 
    throw Exception("Function Pick__2 for class vtkAbstractPicker requires 3 argument(s)");
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  Array retval;
  double temp0[3];
  vtkRenderer  *temp1;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp1 = GetVTKPointer<vtkRenderer>(arg[4]);
  temp20 = (vtk_pointer)->Pick(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPicker:SetPickFromList vtkAbstractPickerSetPickFromListFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractPickerSetPickFromListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPickFromList (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPickFromList for class vtkAbstractPicker requires 2 argument(s)");
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPickFromList(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPicker:GetPickFromList vtkAbstractPickerGetPickFromListFunction
//input a0 
//output y
ArrayVector vtkAbstractPickerGetPickFromListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPickFromList (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPickFromList for class vtkAbstractPicker requires 1 argument(s)");
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPickFromList();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPicker:PickFromListOn vtkAbstractPickerPickFromListOnFunction
//input a0 
//output none
ArrayVector vtkAbstractPickerPickFromListOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PickFromListOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PickFromListOn for class vtkAbstractPicker requires 1 argument(s)");
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  Array retval;
  vtk_pointer->PickFromListOn();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPicker:PickFromListOff vtkAbstractPickerPickFromListOffFunction
//input a0 
//output none
ArrayVector vtkAbstractPickerPickFromListOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PickFromListOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PickFromListOff for class vtkAbstractPicker requires 1 argument(s)");
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  Array retval;
  vtk_pointer->PickFromListOff();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPicker:InitializePickList vtkAbstractPickerInitializePickListFunction
//input a0 
//output none
ArrayVector vtkAbstractPickerInitializePickListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitializePickList (); */
  if (arg.size() < 1) 
    throw Exception("Function InitializePickList for class vtkAbstractPicker requires 1 argument(s)");
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  Array retval;
  vtk_pointer->InitializePickList();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPicker:AddPickList vtkAbstractPickerAddPickListFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractPickerAddPickListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddPickList (vtkProp *); */
  if (arg.size() < 2) 
    throw Exception("Function AddPickList for class vtkAbstractPicker requires 2 argument(s)");
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->AddPickList(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPicker:DeletePickList vtkAbstractPickerDeletePickListFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractPickerDeletePickListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeletePickList (vtkProp *); */
  if (arg.size() < 2) 
    throw Exception("Function DeletePickList for class vtkAbstractPicker requires 2 argument(s)");
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->DeletePickList(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPicker:GetPickList vtkAbstractPickerGetPickListFunction
//input a0 
//output y
ArrayVector vtkAbstractPickerGetPickListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPropCollection *GetPickList ();return this PickList  */
  if (arg.size() < 1) 
    throw Exception("Function GetPickList for class vtkAbstractPicker requires 1 argument(s)");
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  Array retval;
  vtkPropCollection  *temp20;
  temp20 = (vtk_pointer)->GetPickList();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPropCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPicker:Pick vtkAbstractPickerPickFunction
//input varargin
//output varargout
ArrayVector vtkAbstractPickerPickFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsClass(arg[4],"vtkRenderer"))
    return vtkAbstractPickerPick__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsClass(arg[2],"vtkRenderer"))
    return vtkAbstractPickerPick__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractPickerPick");
}

//@@Signature
//sfunction @vtkAbstractPicker:display vtkAbstractPickerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAbstractPickerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAbstractPicker* vtk_pointer = GetVTKPointer<vtkAbstractPicker>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAbstractPicker:delete vtkAbstractPickerDeleteFunction
//input varargin
//output none
ArrayVector vtkAbstractPickerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAbstractPicker
//@@Section VTKRendering
//@@Usage
// vtkAbstractPicker is an abstract superclass that defines a minimal API
// for its concrete subclasses. The minimum functionality of a picker is
// to return the x-y-z global coordinate position of a pick (the pick
// itself is defined in display coordinates).
//
// The API to this class is to invoke the Pick() method with a selection
// point (in display coordinates - pixels) and a renderer. Then get the
// resulting pick position in global coordinates with the GetPickPosition()
// method.
//
// vtkPicker fires events during the picking process.  These
// events are StartPickEvent, PickEvent, and EndPickEvent which are
// invoked prior to picking, when something is picked, and after all picking
// candidates have been tested. Note that during the pick process the
// PickEvent of vtkProp (and its subclasses such as vtkActor) is fired
// prior to the PickEvent of vtkPicker.
//
//To create an instance of class vtkAbstractPicker, simply
//invoke its constructor as follows
//@[
//  obj = vtkAbstractPicker
//@]
//@@Methods
//The class vtkAbstractPicker has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAbstractPicker class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAbstractPicker = obj.NewInstance ()|
// \item @|vtkAbstractPicker = obj.SafeDownCast (vtkObject o)|
// \item @|vtkRenderer = obj.GetRenderer ()| -  Get the renderer in which pick event occurred.
//// \item @|double = obj. GetSelectionPoint ()| -  Get the selection point in screen (pixel) coordinates. The third
// value is related to z-buffer depth. (Normally should be =0.)
//// \item @|double = obj. GetPickPosition ()| -  Return position in global coordinates of pick point.
//// \item @|int = obj.Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer renderer)| -  Perform pick operation with selection point provided. Normally the 
// first two values for the selection point are x-y pixel coordinate, and
// the third value is =0. Return non-zero if something was successfully 
// picked.
//// \item @|int = obj.Pick (double selectionPt[3], vtkRenderer ren)| -  provided. Normally the first two values for the selection point
// are x-y pixel coordinate, and the third value is =0. Return
// non-zero if something was successfully picked.
//// \item @|obj.SetPickFromList (int )| -  Use these methods to control whether to limit the picking to this list
// (rather than renderer's actors). Make sure that the pick list contains 
// actors that referred to by the picker's renderer.
//// \item @|int = obj.GetPickFromList ()| -  Use these methods to control whether to limit the picking to this list
// (rather than renderer's actors). Make sure that the pick list contains 
// actors that referred to by the picker's renderer.
//// \item @|obj.PickFromListOn ()| -  Use these methods to control whether to limit the picking to this list
// (rather than renderer's actors). Make sure that the pick list contains 
// actors that referred to by the picker's renderer.
//// \item @|obj.PickFromListOff ()| -  Use these methods to control whether to limit the picking to this list
// (rather than renderer's actors). Make sure that the pick list contains 
// actors that referred to by the picker's renderer.
//// \item @|obj.InitializePickList ()| -  Initialize list of actors in pick list.
//// \item @|obj.AddPickList (vtkProp )| -  Add an actor to the pick list.
//// \item @|obj.DeletePickList (vtkProp )| -  Delete an actor from the pick list.
//// \item @|vtkPropCollection = obj.GetPickList ()|
//\end{itemize}
//!
