#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAbstractPropPicker object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAbstractPropPicker.h"

//@@Signature
//sfunction @vtkAbstractPropPicker:vtkAbstractPropPicker vtkAbstractPropPickerConstructorFunction
//input a
//output p
//@@Parents vtkAbstractPropPicker vtkAbstractPicker 
ArrayVector vtkAbstractPropPickerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAbstractPropPicker::New(),"vtkAbstractPropPicker",eval);
  } else if (arg[0].className() == "vtkAbstractPropPicker") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAbstractPropPicker"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAbstractPropPicker");
    vtkAbstractPropPicker*q = reinterpret_cast<vtkAbstractPropPicker*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAbstractPropPicker");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAbstractPropPicker:GetClassName vtkAbstractPropPickerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAbstractPropPickerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAbstractPropPicker requires 1 argument(s)");
  vtkAbstractPropPicker* vtk_pointer = GetVTKPointer<vtkAbstractPropPicker>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPropPicker:IsA vtkAbstractPropPickerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractPropPickerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAbstractPropPicker requires 2 argument(s)");
  vtkAbstractPropPicker* vtk_pointer = GetVTKPointer<vtkAbstractPropPicker>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPropPicker:NewInstance vtkAbstractPropPickerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAbstractPropPickerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractPropPicker *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAbstractPropPicker requires 1 argument(s)");
  vtkAbstractPropPicker* vtk_pointer = GetVTKPointer<vtkAbstractPropPicker>(arg[0]);
  Array retval;
  vtkAbstractPropPicker  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractPropPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPropPicker:SafeDownCast vtkAbstractPropPickerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractPropPickerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractPropPicker *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAbstractPropPicker requires 2 argument(s)");
  vtkAbstractPropPicker* vtk_pointer = GetVTKPointer<vtkAbstractPropPicker>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAbstractPropPicker  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractPropPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPropPicker:SetPath vtkAbstractPropPickerSetPathFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractPropPickerSetPathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPath (vtkAssemblyPath *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPath for class vtkAbstractPropPicker requires 2 argument(s)");
  vtkAbstractPropPicker* vtk_pointer = GetVTKPointer<vtkAbstractPropPicker>(arg[0]);
  Array retval;
  vtkAssemblyPath  *temp0;
  temp0 = GetVTKPointer<vtkAssemblyPath>(arg[1]);
  vtk_pointer->SetPath(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPropPicker:GetPath vtkAbstractPropPickerGetPathFunction
//input a0 
//output y
ArrayVector vtkAbstractPropPickerGetPathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssemblyPath *GetPath (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPath for class vtkAbstractPropPicker requires 1 argument(s)");
  vtkAbstractPropPicker* vtk_pointer = GetVTKPointer<vtkAbstractPropPicker>(arg[0]);
  Array retval;
  vtkAssemblyPath  *temp20;
  temp20 = (vtk_pointer)->GetPath();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPropPicker:GetViewProp vtkAbstractPropPickerGetViewPropFunction
//input a0 
//output y
ArrayVector vtkAbstractPropPickerGetViewPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkProp *GetViewProp (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewProp for class vtkAbstractPropPicker requires 1 argument(s)");
  vtkAbstractPropPicker* vtk_pointer = GetVTKPointer<vtkAbstractPropPicker>(arg[0]);
  Array retval;
  vtkProp  *temp20;
  temp20 = (vtk_pointer)->GetViewProp();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPropPicker:GetProp3D vtkAbstractPropPickerGetProp3DFunction
//input a0 
//output y
ArrayVector vtkAbstractPropPickerGetProp3DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkProp3D *GetProp3D (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProp3D for class vtkAbstractPropPicker requires 1 argument(s)");
  vtkAbstractPropPicker* vtk_pointer = GetVTKPointer<vtkAbstractPropPicker>(arg[0]);
  Array retval;
  vtkProp3D  *temp20;
  temp20 = (vtk_pointer)->GetProp3D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPropPicker:GetActor vtkAbstractPropPickerGetActorFunction
//input a0 
//output y
ArrayVector vtkAbstractPropPickerGetActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkActor *GetActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActor for class vtkAbstractPropPicker requires 1 argument(s)");
  vtkAbstractPropPicker* vtk_pointer = GetVTKPointer<vtkAbstractPropPicker>(arg[0]);
  Array retval;
  vtkActor  *temp20;
  temp20 = (vtk_pointer)->GetActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPropPicker:GetActor2D vtkAbstractPropPickerGetActor2DFunction
//input a0 
//output y
ArrayVector vtkAbstractPropPickerGetActor2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkActor2D *GetActor2D (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActor2D for class vtkAbstractPropPicker requires 1 argument(s)");
  vtkAbstractPropPicker* vtk_pointer = GetVTKPointer<vtkAbstractPropPicker>(arg[0]);
  Array retval;
  vtkActor2D  *temp20;
  temp20 = (vtk_pointer)->GetActor2D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPropPicker:GetVolume vtkAbstractPropPickerGetVolumeFunction
//input a0 
//output y
ArrayVector vtkAbstractPropPickerGetVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkVolume *GetVolume (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVolume for class vtkAbstractPropPicker requires 1 argument(s)");
  vtkAbstractPropPicker* vtk_pointer = GetVTKPointer<vtkAbstractPropPicker>(arg[0]);
  Array retval;
  vtkVolume  *temp20;
  temp20 = (vtk_pointer)->GetVolume();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolume",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPropPicker:GetAssembly vtkAbstractPropPickerGetAssemblyFunction
//input a0 
//output y
ArrayVector vtkAbstractPropPickerGetAssemblyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAssembly *GetAssembly (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAssembly for class vtkAbstractPropPicker requires 1 argument(s)");
  vtkAbstractPropPicker* vtk_pointer = GetVTKPointer<vtkAbstractPropPicker>(arg[0]);
  Array retval;
  vtkAssembly  *temp20;
  temp20 = (vtk_pointer)->GetAssembly();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssembly",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPropPicker:GetPropAssembly vtkAbstractPropPickerGetPropAssemblyFunction
//input a0 
//output y
ArrayVector vtkAbstractPropPickerGetPropAssemblyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkPropAssembly *GetPropAssembly (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPropAssembly for class vtkAbstractPropPicker requires 1 argument(s)");
  vtkAbstractPropPicker* vtk_pointer = GetVTKPointer<vtkAbstractPropPicker>(arg[0]);
  Array retval;
  vtkPropAssembly  *temp20;
  temp20 = (vtk_pointer)->GetPropAssembly();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPropAssembly",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPropPicker:GetProp vtkAbstractPropPickerGetPropFunction
//input a0 
//output y
ArrayVector vtkAbstractPropPickerGetPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkProp *GetProp (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProp for class vtkAbstractPropPicker requires 1 argument(s)");
  vtkAbstractPropPicker* vtk_pointer = GetVTKPointer<vtkAbstractPropPicker>(arg[0]);
  Array retval;
  vtkProp  *temp20;
  temp20 = (vtk_pointer)->GetProp();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractPropPicker:display vtkAbstractPropPickerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAbstractPropPickerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAbstractPropPicker* vtk_pointer = GetVTKPointer<vtkAbstractPropPicker>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAbstractPropPicker:delete vtkAbstractPropPickerDeleteFunction
//input varargin
//output none
ArrayVector vtkAbstractPropPickerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAbstractPropPicker
//@@Section VTKRendering
//@@Usage
// vtkAbstractPropPicker is an abstract superclass for pickers that can pick
// an instance of vtkProp. Some pickers, like vtkWorldPointPicker (not a
// subclass of this class), cannot identify the prop that is
// picked. Subclasses of vtkAbstractPropPicker return a prop in the form of a
// vtkAssemblyPath when a pick is invoked. Note that an vtkAssemblyPath
// contain a list of vtkAssemblyNodes, each of which in turn contains a
// reference to a vtkProp and a 4x4 transformation matrix. The path fully
// describes the entire pick path, so you can pick assemblies or portions of
// assemblies, or just grab the tail end of the vtkAssemblyPath (which is the
// picked prop).
//
//To create an instance of class vtkAbstractPropPicker, simply
//invoke its constructor as follows
//@[
//  obj = vtkAbstractPropPicker
//@]
//@@Methods
//The class vtkAbstractPropPicker has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAbstractPropPicker class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAbstractPropPicker = obj.NewInstance ()|
// \item @|vtkAbstractPropPicker = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPath (vtkAssemblyPath )| -  Return the vtkAssemblyPath that has been picked. The assembly path lists
// all the vtkProps that form an assembly. If no assembly is present, then
// the assembly path will have one node (which is the picked prop). The
// set method is used internally to set the path. (Note: the structure of
// an assembly path is a collection of vtkAssemblyNode, each node pointing
// to a vtkProp and (possibly) a transformation matrix.)
//// \item @|vtkAssemblyPath = obj.GetPath ()| -  Return the vtkAssemblyPath that has been picked. The assembly path lists
// all the vtkProps that form an assembly. If no assembly is present, then
// the assembly path will have one node (which is the picked prop). The
// set method is used internally to set the path. (Note: the structure of
// an assembly path is a collection of vtkAssemblyNode, each node pointing
// to a vtkProp and (possibly) a transformation matrix.)
//// \item @|vtkProp = obj.GetViewProp ()| -  Return the vtkProp that has been picked. If NULL, nothing was picked.
// If anything at all was picked, this method will return something.
//// \item @|vtkProp3D = obj.GetProp3D ()| -  Return the vtkProp that has been picked. If NULL, no vtkProp3D was picked.
//// \item @|vtkActor = obj.GetActor ()| -  Return the vtkActor that has been picked. If NULL, no actor was picked.
//// \item @|vtkActor2D = obj.GetActor2D ()| -  Return the vtkActor2D that has been picked. If NULL, no actor2D was 
// picked.
//// \item @|vtkVolume = obj.GetVolume ()| -  Return the vtkVolume that has been picked. If NULL, no volume was picked.
//// \item @|vtkAssembly = obj.GetAssembly ()| -  Return the vtkAssembly that has been picked. If NULL, no assembly 
// was picked. (Note: the returned assembly is the first node in the
// assembly path. If the path is one node long, then the assembly and
// the prop are the same, assuming that the first node is a vtkAssembly.)
//// \item @|vtkPropAssembly = obj.GetPropAssembly ()| -  Return the vtkPropAssembly that has been picked. If NULL, no prop
// assembly was picked. (Note: the returned prop assembly is the first node
// in the assembly path. If the path is one node long, then the prop
// assembly and the prop are the same, assuming that the first node is a
// vtkPropAssembly.)
//// \item @|vtkProp = obj.GetProp ()| -  @deprecated Replaced by vtkAbstractPicker::GetViewProp() as of VTK 5.0.
////\end{itemize}
//!
