#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAbstractVolumeMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAbstractVolumeMapper.h"

//@@Signature
//sfunction @vtkAbstractVolumeMapper:vtkAbstractVolumeMapper vtkAbstractVolumeMapperConstructorFunction
//input a
//output p
//@@Parents vtkAbstractVolumeMapper vtkAbstractMapper3D 
ArrayVector vtkAbstractVolumeMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAbstractVolumeMapper::New(),"vtkAbstractVolumeMapper",eval);
  } else if (arg[0].className() == "vtkAbstractVolumeMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAbstractVolumeMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAbstractVolumeMapper");
    vtkAbstractVolumeMapper*q = reinterpret_cast<vtkAbstractVolumeMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAbstractVolumeMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAbstractVolumeMapper:GetClassName vtkAbstractVolumeMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAbstractVolumeMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAbstractVolumeMapper requires 1 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:IsA vtkAbstractVolumeMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractVolumeMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAbstractVolumeMapper requires 2 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:NewInstance vtkAbstractVolumeMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAbstractVolumeMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractVolumeMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAbstractVolumeMapper requires 1 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  vtkAbstractVolumeMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractVolumeMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:SafeDownCast vtkAbstractVolumeMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractVolumeMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractVolumeMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAbstractVolumeMapper requires 2 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAbstractVolumeMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractVolumeMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:SetInput vtkAbstractVolumeMapperSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractVolumeMapperSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkDataSet *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkAbstractVolumeMapper requires 2 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:GetDataSetInput vtkAbstractVolumeMapperGetDataSetInputFunction
//input a0 
//output y
ArrayVector vtkAbstractVolumeMapperGetDataSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetDataSetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSetInput for class vtkAbstractVolumeMapper requires 1 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetDataSetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:GetDataObjectInput vtkAbstractVolumeMapperGetDataObjectInputFunction
//input a0 
//output y
ArrayVector vtkAbstractVolumeMapperGetDataObjectInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetDataObjectInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectInput for class vtkAbstractVolumeMapper requires 1 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetDataObjectInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:GetBounds__1 vtkAbstractVolumeMapperGetBounds__1Function
//input a0 
//output y
ArrayVector vtkAbstractVolumeMapperGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__1 for class vtkAbstractVolumeMapper requires 1 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:GetBounds__2 vtkAbstractVolumeMapperGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkAbstractVolumeMapperGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetBounds (double bounds[6]);this vtkAbstractMapper3D GetBounds bounds  */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkAbstractVolumeMapper requires 2 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:SetScalarMode vtkAbstractVolumeMapperSetScalarModeFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractVolumeMapperSetScalarModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarMode for class vtkAbstractVolumeMapper requires 2 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:GetScalarMode vtkAbstractVolumeMapperGetScalarModeFunction
//input a0 
//output y
ArrayVector vtkAbstractVolumeMapperGetScalarModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarMode for class vtkAbstractVolumeMapper requires 1 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:SetScalarModeToDefault vtkAbstractVolumeMapperSetScalarModeToDefaultFunction
//input a0 
//output none
ArrayVector vtkAbstractVolumeMapperSetScalarModeToDefaultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToDefault ();this SetScalarMode VTK_SCALAR_MODE_DEFAULT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToDefault for class vtkAbstractVolumeMapper requires 1 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToDefault();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:SetScalarModeToUsePointData vtkAbstractVolumeMapperSetScalarModeToUsePointDataFunction
//input a0 
//output none
ArrayVector vtkAbstractVolumeMapperSetScalarModeToUsePointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToUsePointData ();this SetScalarMode VTK_SCALAR_MODE_USE_POINT_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToUsePointData for class vtkAbstractVolumeMapper requires 1 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToUsePointData();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:SetScalarModeToUseCellData vtkAbstractVolumeMapperSetScalarModeToUseCellDataFunction
//input a0 
//output none
ArrayVector vtkAbstractVolumeMapperSetScalarModeToUseCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToUseCellData ();this SetScalarMode VTK_SCALAR_MODE_USE_CELL_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToUseCellData for class vtkAbstractVolumeMapper requires 1 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToUseCellData();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:SetScalarModeToUsePointFieldData vtkAbstractVolumeMapperSetScalarModeToUsePointFieldDataFunction
//input a0 
//output none
ArrayVector vtkAbstractVolumeMapperSetScalarModeToUsePointFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToUsePointFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_POINT_FIELD_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToUsePointFieldData for class vtkAbstractVolumeMapper requires 1 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToUsePointFieldData();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:SetScalarModeToUseCellFieldData vtkAbstractVolumeMapperSetScalarModeToUseCellFieldDataFunction
//input a0 
//output none
ArrayVector vtkAbstractVolumeMapperSetScalarModeToUseCellFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToUseCellFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_CELL_FIELD_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToUseCellFieldData for class vtkAbstractVolumeMapper requires 1 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToUseCellFieldData();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:SelectScalarArray__1 vtkAbstractVolumeMapperSelectScalarArray__1Function
//input a0 a1 
//output none
ArrayVector vtkAbstractVolumeMapperSelectScalarArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SelectScalarArray (int arrayNum); */
  if (arg.size() < 2) 
    throw Exception("Function SelectScalarArray__1 for class vtkAbstractVolumeMapper requires 2 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SelectScalarArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:SelectScalarArray__2 vtkAbstractVolumeMapperSelectScalarArray__2Function
//input a0 a1 
//output none
ArrayVector vtkAbstractVolumeMapperSelectScalarArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SelectScalarArray (const char *arrayName); */
  if (arg.size() < 2) 
    throw Exception("Function SelectScalarArray__2 for class vtkAbstractVolumeMapper requires 2 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SelectScalarArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:GetArrayName vtkAbstractVolumeMapperGetArrayNameFunction
//input a0 
//output y
ArrayVector vtkAbstractVolumeMapperGetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual char *GetArrayName ();return this ArrayName  */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayName for class vtkAbstractVolumeMapper requires 1 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:GetArrayId vtkAbstractVolumeMapperGetArrayIdFunction
//input a0 
//output y
ArrayVector vtkAbstractVolumeMapperGetArrayIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetArrayId ();return this ArrayId  */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayId for class vtkAbstractVolumeMapper requires 1 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrayId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:GetArrayAccessMode vtkAbstractVolumeMapperGetArrayAccessModeFunction
//input a0 
//output y
ArrayVector vtkAbstractVolumeMapperGetArrayAccessModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetArrayAccessMode ();return this ArrayAccessMode  */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayAccessMode for class vtkAbstractVolumeMapper requires 1 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrayAccessMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:GetScalarModeAsString vtkAbstractVolumeMapperGetScalarModeAsStringFunction
//input a0 
//output y
ArrayVector vtkAbstractVolumeMapperGetScalarModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetScalarModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarModeAsString for class vtkAbstractVolumeMapper requires 1 argument(s)");
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetScalarModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:GetBounds vtkAbstractVolumeMapperGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkAbstractVolumeMapperGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkAbstractVolumeMapperGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAbstractVolumeMapperGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractVolumeMapperGetBounds");
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:SelectScalarArray vtkAbstractVolumeMapperSelectScalarArrayFunction
//input varargin
//output varargout
ArrayVector vtkAbstractVolumeMapperSelectScalarArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkAbstractVolumeMapperSelectScalarArray__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkAbstractVolumeMapperSelectScalarArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAbstractVolumeMapperSelectScalarArray");
}

//@@Signature
//sfunction @vtkAbstractVolumeMapper:display vtkAbstractVolumeMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAbstractVolumeMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAbstractVolumeMapper* vtk_pointer = GetVTKPointer<vtkAbstractVolumeMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAbstractVolumeMapper:delete vtkAbstractVolumeMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkAbstractVolumeMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAbstractVolumeMapper
//@@Section VTKRendering
//@@Usage
// vtkAbstractVolumeMapper is the abstract definition of a volume mapper.  
// Specific subclasses deal with different specific types of data input
//
//To create an instance of class vtkAbstractVolumeMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkAbstractVolumeMapper
//@]
//@@Methods
//The class vtkAbstractVolumeMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAbstractVolumeMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAbstractVolumeMapper = obj.NewInstance ()|
// \item @|vtkAbstractVolumeMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkDataSet )| -  Set/Get the input data
//// \item @|vtkDataSet = obj.GetDataSetInput ()| -  Set/Get the input data
//// \item @|vtkDataObject = obj.GetDataObjectInput ()| -  Set/Get the input data
//// \item @|double = obj.GetBounds ()| -  Return bounding box (array of six doubles) of data expressed as
// (xmin,xmax, ymin,ymax, zmin,zmax).
//// \item @|obj.GetBounds (double bounds[6])| -  Return bounding box (array of six doubles) of data expressed as
// (xmin,xmax, ymin,ymax, zmin,zmax).
//// \item @|obj.SetScalarMode (int )| -  Control how the mapper works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the mapper will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the mapper to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call SelectScalarArray.
//// \item @|int = obj.GetScalarMode ()| -  Control how the mapper works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the mapper will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the mapper to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call SelectScalarArray.
//// \item @|obj.SetScalarModeToDefault ()| -  Control how the mapper works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the mapper will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the mapper to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call SelectScalarArray.
//// \item @|obj.SetScalarModeToUsePointData ()| -  Control how the mapper works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the mapper will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the mapper to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call SelectScalarArray.
//// \item @|obj.SetScalarModeToUseCellData ()| -  Control how the mapper works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the mapper will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the mapper to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call SelectScalarArray.
//// \item @|obj.SetScalarModeToUsePointFieldData ()| -  Control how the mapper works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the mapper will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the mapper to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call SelectScalarArray.
//// \item @|obj.SetScalarModeToUseCellFieldData ()| -  Control how the mapper works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the mapper will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the mapper to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call SelectScalarArray.
//// \item @|obj.SelectScalarArray (int arrayNum)| -  When ScalarMode is set to UsePointFieldData or UseCellFieldData,
// you can specify which scalar array to use during rendering.
// The transfer function in the vtkVolumeProperty (attached to the calling
// vtkVolume) will decide how to convert vectors to colors.
//// \item @|obj.SelectScalarArray (string arrayName)| -  When ScalarMode is set to UsePointFieldData or UseCellFieldData,
// you can specify which scalar array to use during rendering.
// The transfer function in the vtkVolumeProperty (attached to the calling
// vtkVolume) will decide how to convert vectors to colors.
//// \item @|string = obj.GetArrayName ()| -  Get the array name or number and component to use for rendering.
//// \item @|int = obj.GetArrayId ()| -  Get the array name or number and component to use for rendering.
//// \item @|int = obj.GetArrayAccessMode ()| -  Return the method for obtaining scalar data.
//// \item @|string = obj.GetScalarModeAsString ()| -  Return the method for obtaining scalar data.
////\end{itemize}
//!
