#include "VTKWrap.hpp"

// FreeMat wrapper for vtkActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkActor.h"

//@@Signature
//sfunction @vtkActor:vtkActor vtkActorConstructorFunction
//input a
//output p
//@@Parents vtkActor vtkProp3D 
ArrayVector vtkActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkActor::New(),"vtkActor",eval);
  } else if (arg[0].className() == "vtkActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkActor");
    vtkActor*q = reinterpret_cast<vtkActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkActor:GetClassName vtkActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkActor requires 1 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor:IsA vtkActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkActor requires 2 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor:NewInstance vtkActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkActor requires 1 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor:SafeDownCast vtkActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkActor requires 2 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor:GetActors vtkActorGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkActorGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkActor requires 2 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor:RenderOpaqueGeometry vtkActorRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkActorRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkActor requires 2 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor:RenderTranslucentPolygonalGeometry vtkActorRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkActorRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkActor requires 2 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor:HasTranslucentPolygonalGeometry vtkActorHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkActorHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkActor requires 1 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor:Render vtkActorRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkActorRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkRenderer *, vtkMapper *); */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkActor requires 3 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkMapper  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkMapper>(arg[2]);
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkActor:ShallowCopy vtkActorShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkActorShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkActor requires 2 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor:ReleaseGraphicsResources vtkActorReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkActorReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkActor requires 2 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor:SetProperty vtkActorSetPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkActorSetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProperty (vtkProperty *lut); */
  if (arg.size() < 2) 
    throw Exception("Function SetProperty for class vtkActor requires 2 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor:GetProperty vtkActorGetPropertyFunction
//input a0 
//output y
ArrayVector vtkActorGetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProperty for class vtkActor requires 1 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor:MakeProperty vtkActorMakePropertyFunction
//input a0 
//output y
ArrayVector vtkActorMakePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkProperty *MakeProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeProperty for class vtkActor requires 1 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->MakeProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor:SetBackfaceProperty vtkActorSetBackfacePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkActorSetBackfacePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackfaceProperty (vtkProperty *lut); */
  if (arg.size() < 2) 
    throw Exception("Function SetBackfaceProperty for class vtkActor requires 2 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetBackfaceProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor:GetBackfaceProperty vtkActorGetBackfacePropertyFunction
//input a0 
//output y
ArrayVector vtkActorGetBackfacePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetBackfaceProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackfaceProperty for class vtkActor requires 1 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetBackfaceProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor:SetTexture vtkActorSetTextureFunction
//input a0 a1 
//output none
ArrayVector vtkActorSetTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTexture (vtkTexture *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTexture for class vtkActor requires 2 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkTexture  *temp0;
  temp0 = GetVTKPointer<vtkTexture>(arg[1]);
  vtk_pointer->SetTexture(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor:GetTexture vtkActorGetTextureFunction
//input a0 
//output y
ArrayVector vtkActorGetTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTexture *GetTexture (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTexture for class vtkActor requires 1 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkTexture  *temp20;
  temp20 = (vtk_pointer)->GetTexture();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor:SetMapper vtkActorSetMapperFunction
//input a0 a1 
//output none
ArrayVector vtkActorSetMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetMapper (vtkMapper *); */
  if (arg.size() < 2) 
    throw Exception("Function SetMapper for class vtkActor requires 2 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkMapper  *temp0;
  temp0 = GetVTKPointer<vtkMapper>(arg[1]);
  vtk_pointer->SetMapper(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor:GetMapper vtkActorGetMapperFunction
//input a0 
//output y
ArrayVector vtkActorGetMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMapper *GetMapper (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMapper for class vtkActor requires 1 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkMapper  *temp20;
  temp20 = (vtk_pointer)->GetMapper();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor:GetBounds__1 vtkActorGetBounds__1Function
//input a0 a1 
//output none
ArrayVector vtkActorGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[6]);this vtkProp3D GetBounds bounds  */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__1 for class vtkActor requires 2 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActor:GetBounds__2 vtkActorGetBounds__2Function
//input a0 
//output y
ArrayVector vtkActorGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__2 for class vtkActor requires 1 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkActor:ApplyProperties vtkActorApplyPropertiesFunction
//input a0 
//output none
ArrayVector vtkActorApplyPropertiesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ApplyProperties (); */
  if (arg.size() < 1) 
    throw Exception("Function ApplyProperties for class vtkActor requires 1 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtk_pointer->ApplyProperties();
  return retval;
}

//@@Signature
//sfunction @vtkActor:GetMTime vtkActorGetMTimeFunction
//input a0 
//output y
ArrayVector vtkActorGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkActor requires 1 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor:GetRedrawMTime vtkActorGetRedrawMTimeFunction
//input a0 
//output y
ArrayVector vtkActorGetRedrawMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetRedrawMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRedrawMTime for class vtkActor requires 1 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetRedrawMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor:InitPartTraversal vtkActorInitPartTraversalFunction
//input a0 
//output none
ArrayVector vtkActorInitPartTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InitPartTraversal (); */
  if (arg.size() < 1) 
    throw Exception("Function InitPartTraversal for class vtkActor requires 1 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtk_pointer->InitPartTraversal();
  return retval;
}

//@@Signature
//sfunction @vtkActor:GetNextPart vtkActorGetNextPartFunction
//input a0 
//output y
ArrayVector vtkActorGetNextPartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkActor *GetNextPart (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextPart for class vtkActor requires 1 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  vtkActor  *temp20;
  temp20 = (vtk_pointer)->GetNextPart();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActor:GetNumberOfParts vtkActorGetNumberOfPartsFunction
//input a0 
//output y
ArrayVector vtkActorGetNumberOfPartsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfParts (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfParts for class vtkActor requires 1 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfParts();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActor:GetSupportsSelection vtkActorGetSupportsSelectionFunction
//input a0 
//output y
ArrayVector vtkActorGetSupportsSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetSupportsSelection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSupportsSelection for class vtkActor requires 1 argument(s)");
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetSupportsSelection();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkActor:GetBounds vtkActorGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkActorGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkActorGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkActorGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkActorGetBounds");
}

//@@Signature
//sfunction @vtkActor:display vtkActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkActor* vtk_pointer = GetVTKPointer<vtkActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkActor:delete vtkActorDeleteFunction
//input varargin
//output none
ArrayVector vtkActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkActor
//@@Section VTKRendering
//@@Usage
// 
// vtkActor is used to represent an entity in a rendering scene.  It inherits
// functions related to the actors position, and orientation from
// vtkProp. The actor also has scaling and maintains a reference to the
// defining geometry (i.e., the mapper), rendering properties, and possibly a
// texture map. vtkActor combines these instance variables into one 4x4
// transformation matrix as follows: [x y z 1] = [x y z 1] Translate(-origin)
// Scale(scale) Rot(y) Rot(x) Rot (z) Trans(origin) Trans(position)
//
//To create an instance of class vtkActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkActor
//@]
//@@Methods
//The class vtkActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkActor = obj.NewInstance ()|
// \item @|vtkActor = obj.SafeDownCast (vtkObject o)|
// \item @|obj.GetActors (vtkPropCollection )| -  For some exporters and other other operations we must be
// able to collect all the actors or volumes. These methods
// are used in that process.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Support the standard render methods.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport viewport)| -  Support the standard render methods.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Does this prop have some translucent polygonal geometry?
//// \item @|obj.Render (vtkRenderer , vtkMapper )| -  Shallow copy of an actor. Overloads the virtual vtkProp method.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of an actor. Overloads the virtual vtkProp method.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|obj.SetProperty (vtkProperty lut)| -  Set/Get the property object that controls this actors surface
// properties.  This should be an instance of a vtkProperty object.  Every
// actor must have a property associated with it.  If one isn't specified,
// then one will be generated automatically. Multiple actors can share one
// property object.
//// \item @|vtkProperty = obj.GetProperty ()| -  Set/Get the property object that controls this actors surface
// properties.  This should be an instance of a vtkProperty object.  Every
// actor must have a property associated with it.  If one isn't specified,
// then one will be generated automatically. Multiple actors can share one
// property object.
//// \item @|vtkProperty = obj.MakeProperty ()| -  Create a new property suitable for use with this type of Actor.
// For example, a vtkMesaActor should create a vtkMesaProperty 
// in this function.   The default is to just call vtkProperty::New.
//// \item @|obj.SetBackfaceProperty (vtkProperty lut)| -  Set/Get the property object that controls this actors backface surface
// properties.  This should be an instance of a vtkProperty object. If one
// isn't specified, then the front face properties will be used.  Multiple
// actors can share one property object.
//// \item @|vtkProperty = obj.GetBackfaceProperty ()| -  Set/Get the property object that controls this actors backface surface
// properties.  This should be an instance of a vtkProperty object. If one
// isn't specified, then the front face properties will be used.  Multiple
// actors can share one property object.
//// \item @|obj.SetTexture (vtkTexture )| -  Set/Get the texture object to control rendering texture maps.  This will
// be a vtkTexture object. An actor does not need to have an associated
// texture map and multiple actors can share one texture.
//// \item @|vtkTexture = obj.GetTexture ()| -  Set/Get the texture object to control rendering texture maps.  This will
// be a vtkTexture object. An actor does not need to have an associated
// texture map and multiple actors can share one texture.
//// \item @|obj.SetMapper (vtkMapper )| -  This is the method that is used to connect an actor to the end of a
// visualization pipeline, i.e. the mapper. This should be a subclass
// of vtkMapper. Typically vtkPolyDataMapper and vtkDataSetMapper will
// be used.
//// \item @|vtkMapper = obj.GetMapper ()| -  Returns the Mapper that this actor is getting its data from.
//// \item @|obj.GetBounds (double bounds[6])| -  Get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). (The
// method GetBounds(double bounds[6]) is available from the superclass.)
//// \item @|double = obj.GetBounds ()| -  Get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). (The
// method GetBounds(double bounds[6]) is available from the superclass.)
//// \item @|obj.ApplyProperties ()| -  Get the actors mtime plus consider its properties and texture if set.
//// \item @|long = obj.GetMTime ()| -  Get the actors mtime plus consider its properties and texture if set.
//// \item @|long = obj.GetRedrawMTime ()| -  Return the mtime of anything that would cause the rendered image to 
// appear differently. Usually this involves checking the mtime of the 
// prop plus anything else it depends on such as properties, textures
// etc.
//// \item @|obj.InitPartTraversal ()| -  The following methods are for compatibility. The methods will be deprecated
// in the near future. Use vtkProp::GetNextPath() (and related functionality)
// to get the parts in an assembly (or more correctly, the paths in the
// assembly).
//// \item @|vtkActor = obj.GetNextPart ()| -  The following methods are for compatibility. The methods will be deprecated
// in the near future. Use vtkProp::GetNextPath() (and related functionality)
// to get the parts in an assembly (or more correctly, the paths in the
// assembly).
//// \item @|int = obj.GetNumberOfParts ()| -  The following methods are for compatibility. The methods will be deprecated
// in the near future. Use vtkProp::GetNextPath() (and related functionality)
// to get the parts in an assembly (or more correctly, the paths in the
// assembly).
//// \item @|bool = obj.GetSupportsSelection ()| -  WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE
// DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS
// Used by vtkHardwareSelector to determine if the prop supports hardware
// selection.
////\end{itemize}
//!
