#include "VTKWrap.hpp"

// FreeMat wrapper for vtkActorCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkActorCollection.h"

//@@Signature
//sfunction @vtkActorCollection:vtkActorCollection vtkActorCollectionConstructorFunction
//input a
//output p
//@@Parents vtkActorCollection vtkPropCollection 
ArrayVector vtkActorCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkActorCollection::New(),"vtkActorCollection",eval);
  } else if (arg[0].className() == "vtkActorCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkActorCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkActorCollection");
    vtkActorCollection*q = reinterpret_cast<vtkActorCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkActorCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkActorCollection:GetClassName vtkActorCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkActorCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkActorCollection requires 1 argument(s)");
  vtkActorCollection* vtk_pointer = GetVTKPointer<vtkActorCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActorCollection:IsA vtkActorCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkActorCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkActorCollection requires 2 argument(s)");
  vtkActorCollection* vtk_pointer = GetVTKPointer<vtkActorCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkActorCollection:NewInstance vtkActorCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkActorCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActorCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkActorCollection requires 1 argument(s)");
  vtkActorCollection* vtk_pointer = GetVTKPointer<vtkActorCollection>(arg[0]);
  Array retval;
  vtkActorCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActorCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActorCollection:SafeDownCast vtkActorCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkActorCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActorCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkActorCollection requires 2 argument(s)");
  vtkActorCollection* vtk_pointer = GetVTKPointer<vtkActorCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkActorCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActorCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActorCollection:AddItem__1 vtkActorCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkActorCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkActor *a); */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkActorCollection requires 2 argument(s)");
  vtkActorCollection* vtk_pointer = GetVTKPointer<vtkActorCollection>(arg[0]);
  Array retval;
  vtkActor  *temp0;
  temp0 = GetVTKPointer<vtkActor>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActorCollection:GetNextActor vtkActorCollectionGetNextActorFunction
//input a0 
//output y
ArrayVector vtkActorCollectionGetNextActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor *GetNextActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextActor for class vtkActorCollection requires 1 argument(s)");
  vtkActorCollection* vtk_pointer = GetVTKPointer<vtkActorCollection>(arg[0]);
  Array retval;
  vtkActor  *temp20;
  temp20 = (vtk_pointer)->GetNextActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActorCollection:GetLastActor vtkActorCollectionGetLastActorFunction
//input a0 
//output y
ArrayVector vtkActorCollectionGetLastActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor *GetLastActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastActor for class vtkActorCollection requires 1 argument(s)");
  vtkActorCollection* vtk_pointer = GetVTKPointer<vtkActorCollection>(arg[0]);
  Array retval;
  vtkActor  *temp20;
  temp20 = (vtk_pointer)->GetLastActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActorCollection:GetNextItem vtkActorCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkActorCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor *GetNextItem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkActorCollection requires 1 argument(s)");
  vtkActorCollection* vtk_pointer = GetVTKPointer<vtkActorCollection>(arg[0]);
  Array retval;
  vtkActor  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActorCollection:GetLastItem vtkActorCollectionGetLastItemFunction
//input a0 
//output y
ArrayVector vtkActorCollectionGetLastItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor *GetLastItem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastItem for class vtkActorCollection requires 1 argument(s)");
  vtkActorCollection* vtk_pointer = GetVTKPointer<vtkActorCollection>(arg[0]);
  Array retval;
  vtkActor  *temp20;
  temp20 = (vtk_pointer)->GetLastItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkActorCollection:ApplyProperties vtkActorCollectionApplyPropertiesFunction
//input a0 a1 
//output none
ArrayVector vtkActorCollectionApplyPropertiesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ApplyProperties (vtkProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function ApplyProperties for class vtkActorCollection requires 2 argument(s)");
  vtkActorCollection* vtk_pointer = GetVTKPointer<vtkActorCollection>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->ApplyProperties(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkActorCollection:AddItem vtkActorCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkActorCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkActor"))
    return vtkActorCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkActorCollectionAddItem");
}

//@@Signature
//sfunction @vtkActorCollection:display vtkActorCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkActorCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkActorCollection* vtk_pointer = GetVTKPointer<vtkActorCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkActorCollection:delete vtkActorCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkActorCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkActorCollection
//@@Section VTKRendering
//@@Usage
// vtkActorCollection represents and provides methods to manipulate a list of
// actors (i.e., vtkActor and subclasses). The list is unsorted and duplicate
// entries are not prevented.
//
//To create an instance of class vtkActorCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkActorCollection
//@]
//@@Methods
//The class vtkActorCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkActorCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkActorCollection = obj.NewInstance ()|
// \item @|vtkActorCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkActor a)| -  Add an actor to the list.
//// \item @|vtkActor = obj.GetNextActor ()| -  Get the next actor in the list.
//// \item @|vtkActor = obj.GetLastActor ()| -  Get the last actor in the list.
//// \item @|vtkActor = obj.GetNextItem ()| -  Access routines that are provided for compatibility with previous
// version of VTK.  Please use the GetNextActor(), GetLastActor() variants
// where possible.
//// \item @|vtkActor = obj.GetLastItem ()| -  Access routines that are provided for compatibility with previous
// version of VTK.  Please use the GetNextActor(), GetLastActor() variants
// where possible.
//// \item @|obj.ApplyProperties (vtkProperty p)| -  Apply properties to all actors in this collection.
////\end{itemize}
//!
