#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAreaPicker object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAreaPicker.h"

//@@Signature
//sfunction @vtkAreaPicker:vtkAreaPicker vtkAreaPickerConstructorFunction
//input a
//output p
//@@Parents vtkAreaPicker vtkAbstractPropPicker 
ArrayVector vtkAreaPickerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAreaPicker::New(),"vtkAreaPicker",eval);
  } else if (arg[0].className() == "vtkAreaPicker") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAreaPicker"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAreaPicker");
    vtkAreaPicker*q = reinterpret_cast<vtkAreaPicker*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAreaPicker");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAreaPicker:GetClassName vtkAreaPickerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAreaPickerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAreaPicker requires 1 argument(s)");
  vtkAreaPicker* vtk_pointer = GetVTKPointer<vtkAreaPicker>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAreaPicker:IsA vtkAreaPickerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAreaPickerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAreaPicker requires 2 argument(s)");
  vtkAreaPicker* vtk_pointer = GetVTKPointer<vtkAreaPicker>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAreaPicker:NewInstance vtkAreaPickerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAreaPickerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAreaPicker *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAreaPicker requires 1 argument(s)");
  vtkAreaPicker* vtk_pointer = GetVTKPointer<vtkAreaPicker>(arg[0]);
  Array retval;
  vtkAreaPicker  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAreaPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAreaPicker:SafeDownCast vtkAreaPickerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAreaPickerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAreaPicker *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAreaPicker requires 2 argument(s)");
  vtkAreaPicker* vtk_pointer = GetVTKPointer<vtkAreaPicker>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAreaPicker  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAreaPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAreaPicker:SetPickCoords vtkAreaPickerSetPickCoordsFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkAreaPickerSetPickCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPickCoords (double x0, double y0, double x1, double y1); */
  if (arg.size() < 5) 
    throw Exception("Function SetPickCoords for class vtkAreaPicker requires 5 argument(s)");
  vtkAreaPicker* vtk_pointer = GetVTKPointer<vtkAreaPicker>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetPickCoords(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkAreaPicker:SetRenderer vtkAreaPickerSetRendererFunction
//input a0 a1 
//output none
ArrayVector vtkAreaPickerSetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRenderer (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderer for class vtkAreaPicker requires 2 argument(s)");
  vtkAreaPicker* vtk_pointer = GetVTKPointer<vtkAreaPicker>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAreaPicker:Pick__1 vtkAreaPickerPick__1Function
//input a0 
//output y
ArrayVector vtkAreaPickerPick__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Pick (); */
  if (arg.size() < 1) 
    throw Exception("Function Pick__1 for class vtkAreaPicker requires 1 argument(s)");
  vtkAreaPicker* vtk_pointer = GetVTKPointer<vtkAreaPicker>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->Pick();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAreaPicker:AreaPick vtkAreaPickerAreaPickFunction
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkAreaPickerAreaPickFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AreaPick (double x0, double y0, double x1, double y1, vtkRenderer *rendererNULL); */
  if (arg.size() < 6) 
    throw Exception("Function AreaPick for class vtkAreaPicker requires 6 argument(s)");
  vtkAreaPicker* vtk_pointer = GetVTKPointer<vtkAreaPicker>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkRenderer  *temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkRenderer>(arg[5]);
  temp20 = (vtk_pointer)->AreaPick(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAreaPicker:Pick__2 vtkAreaPickerPick__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkAreaPickerPick__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Pick (double x0, double y0, double , vtkRenderer *rendererNULL);return this AreaPick x0 y0 x0 y0 renderer  */
  if (arg.size() < 5) 
    throw Exception("Function Pick__2 for class vtkAreaPicker requires 5 argument(s)");
  vtkAreaPicker* vtk_pointer = GetVTKPointer<vtkAreaPicker>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkRenderer  *temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkRenderer>(arg[4]);
  temp20 = (vtk_pointer)->Pick(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAreaPicker:GetMapper vtkAreaPickerGetMapperFunction
//input a0 
//output y
ArrayVector vtkAreaPickerGetMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractMapper3D *GetMapper (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMapper for class vtkAreaPicker requires 1 argument(s)");
  vtkAreaPicker* vtk_pointer = GetVTKPointer<vtkAreaPicker>(arg[0]);
  Array retval;
  vtkAbstractMapper3D  *temp20;
  temp20 = (vtk_pointer)->GetMapper();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractMapper3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAreaPicker:GetDataSet vtkAreaPickerGetDataSetFunction
//input a0 
//output y
ArrayVector vtkAreaPickerGetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetDataSet (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSet for class vtkAreaPicker requires 1 argument(s)");
  vtkAreaPicker* vtk_pointer = GetVTKPointer<vtkAreaPicker>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetDataSet();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAreaPicker:GetProp3Ds vtkAreaPickerGetProp3DsFunction
//input a0 
//output y
ArrayVector vtkAreaPickerGetProp3DsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp3DCollection *GetProp3Ds ();return this Prop3Ds  */
  if (arg.size() < 1) 
    throw Exception("Function GetProp3Ds for class vtkAreaPicker requires 1 argument(s)");
  vtkAreaPicker* vtk_pointer = GetVTKPointer<vtkAreaPicker>(arg[0]);
  Array retval;
  vtkProp3DCollection  *temp20;
  temp20 = (vtk_pointer)->GetProp3Ds();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp3DCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAreaPicker:GetFrustum vtkAreaPickerGetFrustumFunction
//input a0 
//output y
ArrayVector vtkAreaPickerGetFrustumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlanes *GetFrustum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFrustum for class vtkAreaPicker requires 1 argument(s)");
  vtkAreaPicker* vtk_pointer = GetVTKPointer<vtkAreaPicker>(arg[0]);
  Array retval;
  vtkPlanes  *temp20;
  temp20 = (vtk_pointer)->GetFrustum();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlanes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAreaPicker:GetClipPoints vtkAreaPickerGetClipPointsFunction
//input a0 
//output y
ArrayVector vtkAreaPickerGetClipPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetClipPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClipPoints for class vtkAreaPicker requires 1 argument(s)");
  vtkAreaPicker* vtk_pointer = GetVTKPointer<vtkAreaPicker>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetClipPoints();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAreaPicker:Pick vtkAreaPickerPickFunction
//input varargin
//output varargout
ArrayVector vtkAreaPickerPickFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkAreaPickerPick__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsClass(arg[4],"vtkRenderer"))
    return vtkAreaPickerPick__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAreaPickerPick");
}

//@@Signature
//sfunction @vtkAreaPicker:display vtkAreaPickerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAreaPickerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAreaPicker* vtk_pointer = GetVTKPointer<vtkAreaPicker>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAreaPicker:delete vtkAreaPickerDeleteFunction
//input varargin
//output none
ArrayVector vtkAreaPickerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAreaPicker
//@@Section VTKRendering
//@@Usage
// The vtkAreaPicker picks all vtkProp3Ds that lie behind the screen space 
// rectangle from x0,y0 and x1,y1. The selection is based upon the bounding
// box of the prop and is thus not exact.
//
// Like vtkPicker, a pick results in a list of Prop3Ds because many props may 
// lie within the pick frustum. You can also get an AssemblyPath, which in this
// case is defined to be the path to the one particular prop in the Prop3D list
// that lies nearest to the near plane. 
//
// This picker also returns the selection frustum, defined as either a
// vtkPlanes, or a set of eight corner vertices in world space. The vtkPlanes 
// version is an ImplicitFunction, which is suitable for use with the
// vtkExtractGeometry. The six frustum planes are in order: left, right, 
// bottom, top, near, far
//
// Because this picker picks everything within a volume, the world pick point 
// result is ill-defined. Therefore if you ask this class for the world pick 
// position, you will get the centroid of the pick frustum. This may be outside
// of all props in the prop list.
//
//
//To create an instance of class vtkAreaPicker, simply
//invoke its constructor as follows
//@[
//  obj = vtkAreaPicker
//@]
//@@Methods
//The class vtkAreaPicker has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAreaPicker class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAreaPicker = obj.NewInstance ()|
// \item @|vtkAreaPicker = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPickCoords (double x0, double y0, double x1, double y1)| -  Set the default screen rectangle to pick in.
//// \item @|obj.SetRenderer (vtkRenderer )| -  Set the default renderer to pick on.
//// \item @|int = obj.Pick ()| -  Perform an AreaPick within the default screen rectangle and renderer.
//// \item @|int = obj.AreaPick (double x0, double y0, double x1, double y1, vtkRenderer rendererNULL)| -  Perform pick operation in volume behind the given screen coordinates.
// Props intersecting the selection frustum will be accesible via GetProp3D.
// GetPlanes returns a vtkImplicitFunciton suitable for vtkExtractGeometry.
//// \item @|int = obj.Pick (double x0, double y0, double , vtkRenderer rendererNULL)| -  Perform pick operation in volume behind the given screen coordinate.
// This makes a thin frustum around the selected pixel.
// Note: this ignores Z in order to pick everying in a volume from z=0 to z=1.
//// \item @|vtkAbstractMapper3D = obj.GetMapper ()| -  Return mapper that was picked (if any).
//// \item @|vtkDataSet = obj.GetDataSet ()| -  Get a pointer to the dataset that was picked (if any). If nothing 
// was picked then NULL is returned.
//// \item @|vtkProp3DCollection = obj.GetProp3Ds ()| -  Return a collection of all the prop 3D's that were intersected
// by the pick ray. This collection is not sorted.
//// \item @|vtkPlanes = obj.GetFrustum ()| -  Return the six planes that define the selection frustum. The implicit 
// function defined by the planes evaluates to negative inside and positive
// outside.
//// \item @|vtkPoints = obj.GetClipPoints ()| -  Return eight points that define the selection frustum.
////\end{itemize}
//!
