#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAssembly object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAssembly.h"

//@@Signature
//sfunction @vtkAssembly:vtkAssembly vtkAssemblyConstructorFunction
//input a
//output p
//@@Parents vtkAssembly vtkProp3D 
ArrayVector vtkAssemblyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAssembly::New(),"vtkAssembly",eval);
  } else if (arg[0].className() == "vtkAssembly") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAssembly"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAssembly");
    vtkAssembly*q = reinterpret_cast<vtkAssembly*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAssembly");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAssembly:GetClassName vtkAssemblyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAssemblyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAssembly requires 1 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:IsA vtkAssemblyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAssemblyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAssembly requires 2 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:NewInstance vtkAssemblyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAssemblyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssembly *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAssembly requires 1 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  vtkAssembly  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssembly",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:SafeDownCast vtkAssemblySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAssemblySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssembly *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAssembly requires 2 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAssembly  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssembly",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:AddPart vtkAssemblyAddPartFunction
//input a0 a1 
//output none
ArrayVector vtkAssemblyAddPartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddPart (vtkProp3D *); */
  if (arg.size() < 2) 
    throw Exception("Function AddPart for class vtkAssembly requires 2 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  vtkProp3D  *temp0;
  temp0 = GetVTKPointer<vtkProp3D>(arg[1]);
  vtk_pointer->AddPart(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:RemovePart vtkAssemblyRemovePartFunction
//input a0 a1 
//output none
ArrayVector vtkAssemblyRemovePartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemovePart (vtkProp3D *); */
  if (arg.size() < 2) 
    throw Exception("Function RemovePart for class vtkAssembly requires 2 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  vtkProp3D  *temp0;
  temp0 = GetVTKPointer<vtkProp3D>(arg[1]);
  vtk_pointer->RemovePart(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:GetParts vtkAssemblyGetPartsFunction
//input a0 
//output y
ArrayVector vtkAssemblyGetPartsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp3DCollection *GetParts (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParts for class vtkAssembly requires 1 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  vtkProp3DCollection  *temp20;
  temp20 = (vtk_pointer)->GetParts();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp3DCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:GetActors vtkAssemblyGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkAssemblyGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetActors (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkAssembly requires 2 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:GetVolumes vtkAssemblyGetVolumesFunction
//input a0 a1 
//output none
ArrayVector vtkAssemblyGetVolumesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetVolumes (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetVolumes for class vtkAssembly requires 2 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetVolumes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:RenderOpaqueGeometry vtkAssemblyRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkAssemblyRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOpaqueGeometry (vtkViewport *ren); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkAssembly requires 2 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:RenderTranslucentPolygonalGeometry vtkAssemblyRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkAssemblyRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *ren); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkAssembly requires 2 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:RenderVolumetricGeometry vtkAssemblyRenderVolumetricGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkAssemblyRenderVolumetricGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderVolumetricGeometry (vtkViewport *ren); */
  if (arg.size() < 2) 
    throw Exception("Function RenderVolumetricGeometry for class vtkAssembly requires 2 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderVolumetricGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:HasTranslucentPolygonalGeometry vtkAssemblyHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkAssemblyHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkAssembly requires 1 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:ReleaseGraphicsResources vtkAssemblyReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkAssemblyReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkAssembly requires 2 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:InitPathTraversal vtkAssemblyInitPathTraversalFunction
//input a0 
//output none
ArrayVector vtkAssemblyInitPathTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitPathTraversal (); */
  if (arg.size() < 1) 
    throw Exception("Function InitPathTraversal for class vtkAssembly requires 1 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  vtk_pointer->InitPathTraversal();
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:GetNextPath vtkAssemblyGetNextPathFunction
//input a0 
//output y
ArrayVector vtkAssemblyGetNextPathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssemblyPath *GetNextPath (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextPath for class vtkAssembly requires 1 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  vtkAssemblyPath  *temp20;
  temp20 = (vtk_pointer)->GetNextPath();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:GetNumberOfPaths vtkAssemblyGetNumberOfPathsFunction
//input a0 
//output y
ArrayVector vtkAssemblyGetNumberOfPathsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPaths (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPaths for class vtkAssembly requires 1 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPaths();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:GetBounds__1 vtkAssemblyGetBounds__1Function
//input a0 a1 
//output none
ArrayVector vtkAssemblyGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[6]);this vtkProp3D GetBounds bounds  */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__1 for class vtkAssembly requires 2 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:GetBounds__2 vtkAssemblyGetBounds__2Function
//input a0 
//output y
ArrayVector vtkAssemblyGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__2 for class vtkAssembly requires 1 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:GetMTime vtkAssemblyGetMTimeFunction
//input a0 
//output y
ArrayVector vtkAssemblyGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkAssembly requires 1 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:ShallowCopy vtkAssemblyShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkAssemblyShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkAssembly requires 2 argument(s)");
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssembly:GetBounds vtkAssemblyGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkAssemblyGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAssemblyGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkAssemblyGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAssemblyGetBounds");
}

//@@Signature
//sfunction @vtkAssembly:display vtkAssemblyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAssemblyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAssembly* vtk_pointer = GetVTKPointer<vtkAssembly>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAssembly:delete vtkAssemblyDeleteFunction
//input varargin
//output none
ArrayVector vtkAssemblyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAssembly
//@@Section VTKRendering
//@@Usage
// vtkAssembly is an object that groups vtkProp3Ds, its subclasses, and
// other assemblies into a tree-like hierarchy. The vtkProp3Ds and
// assemblies can then be transformed together by transforming just the root
// assembly of the hierarchy.
//
// A vtkAssembly object can be used in place of an vtkProp3D since it is a
// subclass of vtkProp3D. The difference is that vtkAssembly maintains a list
// of vtkProp3D instances (its "parts") that form the assembly. Then, any
// operation that transforms (i.e., scales, rotates, translates) the parent
// assembly will transform all its parts.  Note that this process is
// recursive: you can create groups consisting of assemblies and/or
// vtkProp3Ds to arbitrary depth.
//
// To add an assembly to the renderer's list of props, you only need to
// add the root of the assembly. During rendering, the parts of the
// assembly are rendered during a hierarchical traversal process.
//
//To create an instance of class vtkAssembly, simply
//invoke its constructor as follows
//@[
//  obj = vtkAssembly
//@]
//@@Methods
//The class vtkAssembly has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAssembly class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAssembly = obj.NewInstance ()|
// \item @|vtkAssembly = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddPart (vtkProp3D )| -  Add a part to the list of parts.
//// \item @|obj.RemovePart (vtkProp3D )| -  Remove a part from the list of parts,
//// \item @|vtkProp3DCollection = obj.GetParts ()| -  Return the parts (direct descendants) of this assembly.
//// \item @|obj.GetActors (vtkPropCollection )| -  For some exporters and other other operations we must be
// able to collect all the actors or volumes. These methods
// are used in that process.
//// \item @|obj.GetVolumes (vtkPropCollection )| -  For some exporters and other other operations we must be
// able to collect all the actors or volumes. These methods
// are used in that process.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport ren)| -  Render this assembly and all its parts. 
// The rendering process is recursive.
// Note that a mapper need not be defined. If not defined, then no geometry 
// will be drawn for this assembly. This allows you to create "logical"
// assemblies; that is, assemblies that only serve to group and transform
// its parts.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport ren)| -  Render this assembly and all its parts. 
// The rendering process is recursive.
// Note that a mapper need not be defined. If not defined, then no geometry 
// will be drawn for this assembly. This allows you to create "logical"
// assemblies; that is, assemblies that only serve to group and transform
// its parts.
//// \item @|int = obj.RenderVolumetricGeometry (vtkViewport ren)| -  Render this assembly and all its parts. 
// The rendering process is recursive.
// Note that a mapper need not be defined. If not defined, then no geometry 
// will be drawn for this assembly. This allows you to create "logical"
// assemblies; that is, assemblies that only serve to group and transform
// its parts.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Does this prop have some translucent polygonal geometry?
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|obj.InitPathTraversal ()| -  Methods to traverse the parts of an assembly. Each part (starting from
// the root) will appear properly transformed and with the correct
// properties (depending upon the ApplyProperty and ApplyTransform ivars).
// Note that the part appears as an instance of vtkProp. These methods
// should be contrasted to those that traverse the list of parts using
// GetParts().  GetParts() returns a list of children of this assembly, not
// necessarily with the correct transformation or properties. To use the
// methods below - first invoke InitPathTraversal() followed by repeated
// calls to GetNextPath().  GetNextPath() returns a NULL pointer when the
// list is exhausted.
//// \item @|vtkAssemblyPath = obj.GetNextPath ()| -  Methods to traverse the parts of an assembly. Each part (starting from
// the root) will appear properly transformed and with the correct
// properties (depending upon the ApplyProperty and ApplyTransform ivars).
// Note that the part appears as an instance of vtkProp. These methods
// should be contrasted to those that traverse the list of parts using
// GetParts().  GetParts() returns a list of children of this assembly, not
// necessarily with the correct transformation or properties. To use the
// methods below - first invoke InitPathTraversal() followed by repeated
// calls to GetNextPath().  GetNextPath() returns a NULL pointer when the
// list is exhausted.
//// \item @|int = obj.GetNumberOfPaths ()| -  Methods to traverse the parts of an assembly. Each part (starting from
// the root) will appear properly transformed and with the correct
// properties (depending upon the ApplyProperty and ApplyTransform ivars).
// Note that the part appears as an instance of vtkProp. These methods
// should be contrasted to those that traverse the list of parts using
// GetParts().  GetParts() returns a list of children of this assembly, not
// necessarily with the correct transformation or properties. To use the
// methods below - first invoke InitPathTraversal() followed by repeated
// calls to GetNextPath().  GetNextPath() returns a NULL pointer when the
// list is exhausted.
//// \item @|obj.GetBounds (double bounds[6])| -  Get the bounds for the assembly as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).
//// \item @|double = obj.GetBounds ()| -  Get the bounds for the assembly as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).
//// \item @|long = obj.GetMTime ()| -  Override default GetMTime method to also consider all of the
// assembly's parts.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of an assembly. Overloads the virtual vtkProp method.
////\end{itemize}
//!
