#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAxisActor2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAxisActor2D.h"

//@@Signature
//sfunction @vtkAxisActor2D:vtkAxisActor2D vtkAxisActor2DConstructorFunction
//input a
//output p
//@@Parents vtkAxisActor2D vtkActor2D 
ArrayVector vtkAxisActor2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAxisActor2D::New(),"vtkAxisActor2D",eval);
  } else if (arg[0].className() == "vtkAxisActor2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAxisActor2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAxisActor2D");
    vtkAxisActor2D*q = reinterpret_cast<vtkAxisActor2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAxisActor2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAxisActor2D:GetClassName vtkAxisActor2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:IsA vtkAxisActor2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAxisActor2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:NewInstance vtkAxisActor2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAxisActor2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtkAxisActor2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAxisActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SafeDownCast vtkAxisActor2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAxisActor2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAxisActor2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAxisActor2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAxisActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetPoint1Coordinate vtkAxisActor2DGetPoint1CoordinateFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetPoint1CoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCoordinate *GetPoint1Coordinate ();return this GetPositionCoordinate  */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1Coordinate for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetPoint1Coordinate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetPoint1__1 vtkAxisActor2DSetPoint1__1Function
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetPoint1__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint1 (double x[2]);this SetPosition x  */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1__1 for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetPoint1__2 vtkAxisActor2DSetPoint1__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkAxisActor2DSetPoint1__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint1 (double x, double y);this SetPosition x y  */
  if (arg.size() < 3) 
    throw Exception("Function SetPoint1__2 for class vtkAxisActor2D requires 3 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetPoint1(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetPoint2Coordinate vtkAxisActor2DGetPoint2CoordinateFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetPoint2CoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCoordinate *GetPoint2Coordinate ();return this GetPosition2Coordinate  */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2Coordinate for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetPoint2Coordinate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetPoint2__1 vtkAxisActor2DSetPoint2__1Function
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetPoint2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint2 (double x[2]);this SetPosition2 x  */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2__1 for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetPoint2__2 vtkAxisActor2DSetPoint2__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkAxisActor2DSetPoint2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint2 (double x, double y);this SetPosition2 x y  */
  if (arg.size() < 3) 
    throw Exception("Function SetPoint2__2 for class vtkAxisActor2D requires 3 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetPoint2(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetRange__1 vtkAxisActor2DSetRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkAxisActor2DSetRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetRange__1 for class vtkAxisActor2D requires 3 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetRange__2 vtkAxisActor2DSetRange__2Function
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetRange__2 for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetRange vtkAxisActor2DGetRangeFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRange for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetNumberOfLabels vtkAxisActor2DSetNumberOfLabelsFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetNumberOfLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfLabels (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfLabels for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfLabels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetNumberOfLabelsMinValue vtkAxisActor2DGetNumberOfLabelsMinValueFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetNumberOfLabelsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfLabelsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLabelsMinValue for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfLabelsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetNumberOfLabelsMaxValue vtkAxisActor2DGetNumberOfLabelsMaxValueFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetNumberOfLabelsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfLabelsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLabelsMaxValue for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfLabelsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetNumberOfLabels vtkAxisActor2DGetNumberOfLabelsFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetNumberOfLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfLabels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLabels for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfLabels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetLabelFormat vtkAxisActor2DSetLabelFormatFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelFormat (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelFormat for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLabelFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetLabelFormat vtkAxisActor2DGetLabelFormatFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLabelFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelFormat for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLabelFormat();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetAdjustLabels vtkAxisActor2DSetAdjustLabelsFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetAdjustLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAdjustLabels (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAdjustLabels for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAdjustLabels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetAdjustLabels vtkAxisActor2DGetAdjustLabelsFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetAdjustLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAdjustLabels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAdjustLabels for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAdjustLabels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:AdjustLabelsOn vtkAxisActor2DAdjustLabelsOnFunction
//input a0 
//output none
ArrayVector vtkAxisActor2DAdjustLabelsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AdjustLabelsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AdjustLabelsOn for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtk_pointer->AdjustLabelsOn();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:AdjustLabelsOff vtkAxisActor2DAdjustLabelsOffFunction
//input a0 
//output none
ArrayVector vtkAxisActor2DAdjustLabelsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AdjustLabelsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AdjustLabelsOff for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtk_pointer->AdjustLabelsOff();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetAdjustedRange__3 vtkAxisActor2DGetAdjustedRange__3Function
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DGetAdjustedRange__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetAdjustedRange (double _arg[2]);this GetAdjustedRange _arg _arg  */
  if (arg.size() < 2) 
    throw Exception("Function GetAdjustedRange__3 for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetAdjustedRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetAdjustedNumberOfLabels vtkAxisActor2DGetAdjustedNumberOfLabelsFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetAdjustedNumberOfLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetAdjustedNumberOfLabels ();this UpdateAdjustedRange return this AdjustedNumberOfLabels  */
  if (arg.size() < 1) 
    throw Exception("Function GetAdjustedNumberOfLabels for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAdjustedNumberOfLabels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetTitle vtkAxisActor2DSetTitleFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitle (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitle for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTitle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetTitle vtkAxisActor2DGetTitleFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitle for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetTitleTextProperty vtkAxisActor2DSetTitleTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetTitleTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTitleTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitleTextProperty for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetTitleTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetTitleTextProperty vtkAxisActor2DGetTitleTextPropertyFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetTitleTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetTitleTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitleTextProperty for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetTitleTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetLabelTextProperty vtkAxisActor2DSetLabelTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelTextProperty for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetLabelTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetLabelTextProperty vtkAxisActor2DGetLabelTextPropertyFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetLabelTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelTextProperty for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetLabelTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetTickLength vtkAxisActor2DSetTickLengthFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetTickLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTickLength (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTickLength for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTickLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetTickLengthMinValue vtkAxisActor2DGetTickLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetTickLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTickLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTickLengthMinValue for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTickLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetTickLengthMaxValue vtkAxisActor2DGetTickLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetTickLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTickLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTickLengthMaxValue for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTickLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetTickLength vtkAxisActor2DGetTickLengthFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetTickLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTickLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTickLength for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTickLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetNumberOfMinorTicks vtkAxisActor2DSetNumberOfMinorTicksFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetNumberOfMinorTicksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfMinorTicks (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfMinorTicks for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfMinorTicks(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetNumberOfMinorTicksMinValue vtkAxisActor2DGetNumberOfMinorTicksMinValueFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetNumberOfMinorTicksMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfMinorTicksMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfMinorTicksMinValue for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfMinorTicksMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetNumberOfMinorTicksMaxValue vtkAxisActor2DGetNumberOfMinorTicksMaxValueFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetNumberOfMinorTicksMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfMinorTicksMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfMinorTicksMaxValue for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfMinorTicksMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetNumberOfMinorTicks vtkAxisActor2DGetNumberOfMinorTicksFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetNumberOfMinorTicksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfMinorTicks (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfMinorTicks for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfMinorTicks();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetMinorTickLength vtkAxisActor2DSetMinorTickLengthFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetMinorTickLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinorTickLength (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinorTickLength for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMinorTickLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetMinorTickLengthMinValue vtkAxisActor2DGetMinorTickLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetMinorTickLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMinorTickLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinorTickLengthMinValue for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinorTickLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetMinorTickLengthMaxValue vtkAxisActor2DGetMinorTickLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetMinorTickLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMinorTickLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinorTickLengthMaxValue for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinorTickLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetMinorTickLength vtkAxisActor2DGetMinorTickLengthFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetMinorTickLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMinorTickLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinorTickLength for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinorTickLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetTickOffset vtkAxisActor2DSetTickOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetTickOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTickOffset (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTickOffset for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTickOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetTickOffsetMinValue vtkAxisActor2DGetTickOffsetMinValueFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetTickOffsetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTickOffsetMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTickOffsetMinValue for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTickOffsetMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetTickOffsetMaxValue vtkAxisActor2DGetTickOffsetMaxValueFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetTickOffsetMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTickOffsetMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTickOffsetMaxValue for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTickOffsetMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetTickOffset vtkAxisActor2DGetTickOffsetFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetTickOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTickOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTickOffset for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTickOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetAxisVisibility vtkAxisActor2DSetAxisVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAxisVisibility for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAxisVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetAxisVisibility vtkAxisActor2DGetAxisVisibilityFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxisVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxisVisibility for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxisVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:AxisVisibilityOn vtkAxisActor2DAxisVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkAxisActor2DAxisVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AxisVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AxisVisibilityOn for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtk_pointer->AxisVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:AxisVisibilityOff vtkAxisActor2DAxisVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkAxisActor2DAxisVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AxisVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AxisVisibilityOff for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtk_pointer->AxisVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetTickVisibility vtkAxisActor2DSetTickVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetTickVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTickVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTickVisibility for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTickVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetTickVisibility vtkAxisActor2DGetTickVisibilityFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetTickVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTickVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTickVisibility for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTickVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:TickVisibilityOn vtkAxisActor2DTickVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkAxisActor2DTickVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TickVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TickVisibilityOn for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtk_pointer->TickVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:TickVisibilityOff vtkAxisActor2DTickVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkAxisActor2DTickVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TickVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TickVisibilityOff for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtk_pointer->TickVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetLabelVisibility vtkAxisActor2DSetLabelVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelVisibility for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetLabelVisibility vtkAxisActor2DGetLabelVisibilityFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLabelVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelVisibility for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLabelVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:LabelVisibilityOn vtkAxisActor2DLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkAxisActor2DLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LabelVisibilityOn for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtk_pointer->LabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:LabelVisibilityOff vtkAxisActor2DLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkAxisActor2DLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LabelVisibilityOff for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtk_pointer->LabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetTitleVisibility vtkAxisActor2DSetTitleVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetTitleVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitleVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitleVisibility for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTitleVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetTitleVisibility vtkAxisActor2DGetTitleVisibilityFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetTitleVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTitleVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitleVisibility for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTitleVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:TitleVisibilityOn vtkAxisActor2DTitleVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkAxisActor2DTitleVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TitleVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TitleVisibilityOn for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtk_pointer->TitleVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:TitleVisibilityOff vtkAxisActor2DTitleVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkAxisActor2DTitleVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TitleVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TitleVisibilityOff for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtk_pointer->TitleVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetTitlePosition vtkAxisActor2DSetTitlePositionFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetTitlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitlePosition (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitlePosition for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTitlePosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetTitlePosition vtkAxisActor2DGetTitlePositionFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetTitlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTitlePosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitlePosition for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTitlePosition();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetFontFactor vtkAxisActor2DSetFontFactorFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetFontFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFontFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFontFactor for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFontFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetFontFactorMinValue vtkAxisActor2DGetFontFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetFontFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFontFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFontFactorMinValue for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFontFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetFontFactorMaxValue vtkAxisActor2DGetFontFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetFontFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFontFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFontFactorMaxValue for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFontFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetFontFactor vtkAxisActor2DGetFontFactorFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetFontFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFontFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFontFactor for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFontFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetLabelFactor vtkAxisActor2DSetLabelFactorFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetLabelFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelFactor for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLabelFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetLabelFactorMinValue vtkAxisActor2DGetLabelFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetLabelFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLabelFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelFactorMinValue for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLabelFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetLabelFactorMaxValue vtkAxisActor2DGetLabelFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetLabelFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLabelFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelFactorMaxValue for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLabelFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetLabelFactor vtkAxisActor2DGetLabelFactorFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetLabelFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLabelFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelFactor for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLabelFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:RenderOverlay vtkAxisActor2DRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkAxisActor2DRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:RenderOpaqueGeometry vtkAxisActor2DRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkAxisActor2DRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:RenderTranslucentPolygonalGeometry vtkAxisActor2DRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkAxisActor2DRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);return  */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:HasTranslucentPolygonalGeometry vtkAxisActor2DHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:ReleaseGraphicsResources vtkAxisActor2DReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetSizeFontRelativeToAxis vtkAxisActor2DSetSizeFontRelativeToAxisFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DSetSizeFontRelativeToAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSizeFontRelativeToAxis (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSizeFontRelativeToAxis for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSizeFontRelativeToAxis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:GetSizeFontRelativeToAxis vtkAxisActor2DGetSizeFontRelativeToAxisFunction
//input a0 
//output y
ArrayVector vtkAxisActor2DGetSizeFontRelativeToAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSizeFontRelativeToAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSizeFontRelativeToAxis for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSizeFontRelativeToAxis();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SizeFontRelativeToAxisOn vtkAxisActor2DSizeFontRelativeToAxisOnFunction
//input a0 
//output none
ArrayVector vtkAxisActor2DSizeFontRelativeToAxisOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SizeFontRelativeToAxisOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SizeFontRelativeToAxisOn for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtk_pointer->SizeFontRelativeToAxisOn();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SizeFontRelativeToAxisOff vtkAxisActor2DSizeFontRelativeToAxisOffFunction
//input a0 
//output none
ArrayVector vtkAxisActor2DSizeFontRelativeToAxisOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SizeFontRelativeToAxisOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SizeFontRelativeToAxisOff for class vtkAxisActor2D requires 1 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtk_pointer->SizeFontRelativeToAxisOff();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:ShallowCopy vtkAxisActor2DShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActor2DShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkAxisActor2D requires 2 argument(s)");
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor2D:SetPoint1 vtkAxisActor2DSetPoint1Function
//input varargin
//output varargout
ArrayVector vtkAxisActor2DSetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAxisActor2DSetPoint1__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkAxisActor2DSetPoint1__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAxisActor2DSetPoint1");
}

//@@Signature
//sfunction @vtkAxisActor2D:SetPoint2 vtkAxisActor2DSetPoint2Function
//input varargin
//output varargout
ArrayVector vtkAxisActor2DSetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAxisActor2DSetPoint2__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkAxisActor2DSetPoint2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAxisActor2DSetPoint2");
}

//@@Signature
//sfunction @vtkAxisActor2D:SetRange vtkAxisActor2DSetRangeFunction
//input varargin
//output varargout
ArrayVector vtkAxisActor2DSetRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkAxisActor2DSetRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAxisActor2DSetRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAxisActor2DSetRange");
}

//@@Signature
//sfunction @vtkAxisActor2D:GetAdjustedRange vtkAxisActor2DGetAdjustedRangeFunction
//input varargin
//output varargout
ArrayVector vtkAxisActor2DGetAdjustedRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAxisActor2DGetAdjustedRange__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAxisActor2DGetAdjustedRange");
}

//@@Signature
//sfunction @vtkAxisActor2D:display vtkAxisActor2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAxisActor2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAxisActor2D* vtk_pointer = GetVTKPointer<vtkAxisActor2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAxisActor2D:delete vtkAxisActor2DDeleteFunction
//input varargin
//output none
ArrayVector vtkAxisActor2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAxisActor2D
//@@Section VTKRendering
//@@Usage
// vtkAxisActor2D creates an axis with tick marks, labels, and/or a title,
// depending on the particular instance variable settings. vtkAxisActor2D is
// a 2D actor; that is, it is drawn on the overlay plane and is not
// occluded by 3D geometry. To use this class, you typically specify two
// points defining the start and end points of the line (x-y definition using
// vtkCoordinate class), the number of labels, and the data range
// (min,max). You can also control what parts of the axis are visible
// including the line, the tick marks, the labels, and the title.  You can 
// also specify the label format (a printf style format).
//
// This class decides what font size to use and how to locate the labels. It
// also decides how to create reasonable tick marks and labels. The number
// of labels and the range of values may not match the number specified, but
// should be close.
//
// Labels are drawn on the "right" side of the axis. The "right" side is
// the side of the axis on the right as you move from Position to Position2. 
// The way the labels and title line up with the axis and tick marks depends on
// whether the line is considered horizontal or vertical.
//
// The vtkActor2D instance variables Position and Position2 are instances of 
// vtkCoordinate. Note that the Position2 is an absolute position in that 
// class (it was by default relative to Position in vtkActor2D).
//
// What this means is that you can specify the axis in a variety of coordinate
// systems. Also, the axis does not have to be either horizontal or vertical.
// The tick marks are created so that they are perpendicular to the axis.
//
// Set the text property/attributes of the title and the labels through the 
// vtkTextProperty objects associated to this actor.
//
//
//To create an instance of class vtkAxisActor2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkAxisActor2D
//@]
//@@Methods
//The class vtkAxisActor2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAxisActor2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAxisActor2D = obj.NewInstance ()|
// \item @|vtkAxisActor2D = obj.SafeDownCast (vtkObject o)|
// \item @|vtkCoordinate = obj.GetPoint1Coordinate ()| -  Specify the position of the first point defining the axis.
// Note: backward compatibility only, use vtkActor2D's Position instead.
//// \item @|obj.SetPoint1 (double x[2])| -  Specify the position of the first point defining the axis.
// Note: backward compatibility only, use vtkActor2D's Position instead.
//// \item @|obj.SetPoint1 (double x, double y)| -  Specify the position of the first point defining the axis.
// Note: backward compatibility only, use vtkActor2D's Position instead.
//// \item @|vtkCoordinate = obj.GetPoint2Coordinate ()| -  Specify the position of the second point defining the axis. Note that
// the order from Point1 to Point2 controls which side the tick marks
// are drawn on (ticks are drawn on the right, if visible).
// Note: backward compatibility only, use vtkActor2D's Position2 instead.
//// \item @|obj.SetPoint2 (double x[2])| -  Specify the position of the second point defining the axis. Note that
// the order from Point1 to Point2 controls which side the tick marks
// are drawn on (ticks are drawn on the right, if visible).
// Note: backward compatibility only, use vtkActor2D's Position2 instead.
//// \item @|obj.SetPoint2 (double x, double y)| -  Specify the position of the second point defining the axis. Note that
// the order from Point1 to Point2 controls which side the tick marks
// are drawn on (ticks are drawn on the right, if visible).
// Note: backward compatibility only, use vtkActor2D's Position2 instead.
//// \item @|obj.SetRange (double , double )| -  Specify the (min,max) axis range. This will be used in the generation
// of labels, if labels are visible.
//// \item @|obj.SetRange (double  a[2])| -  Specify the (min,max) axis range. This will be used in the generation
// of labels, if labels are visible.
//// \item @|double = obj. GetRange ()| -  Specify the (min,max) axis range. This will be used in the generation
// of labels, if labels are visible.
//// \item @|obj.SetNumberOfLabels (int )| -  Set/Get the number of annotation labels to show.
//// \item @|int = obj.GetNumberOfLabelsMinValue ()| -  Set/Get the number of annotation labels to show.
//// \item @|int = obj.GetNumberOfLabelsMaxValue ()| -  Set/Get the number of annotation labels to show.
//// \item @|int = obj.GetNumberOfLabels ()| -  Set/Get the number of annotation labels to show.
//// \item @|obj.SetLabelFormat (string )| -  Set/Get the format with which to print the labels on the scalar
// bar.
//// \item @|string = obj.GetLabelFormat ()| -  Set/Get the format with which to print the labels on the scalar
// bar.
//// \item @|obj.SetAdjustLabels (int )| -  Set/Get the flag that controls whether the labels and ticks are
// adjusted for "nice" numerical values to make it easier to read 
// the labels. The adjustment is based in the Range instance variable.
// Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted
// range and number of labels.
//// \item @|int = obj.GetAdjustLabels ()| -  Set/Get the flag that controls whether the labels and ticks are
// adjusted for "nice" numerical values to make it easier to read 
// the labels. The adjustment is based in the Range instance variable.
// Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted
// range and number of labels.
//// \item @|obj.AdjustLabelsOn ()| -  Set/Get the flag that controls whether the labels and ticks are
// adjusted for "nice" numerical values to make it easier to read 
// the labels. The adjustment is based in the Range instance variable.
// Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted
// range and number of labels.
//// \item @|obj.AdjustLabelsOff ()| -  Set/Get the flag that controls whether the labels and ticks are
// adjusted for "nice" numerical values to make it easier to read 
// the labels. The adjustment is based in the Range instance variable.
// Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted
// range and number of labels.
//// \item @|obj.GetAdjustedRange (double _arg[2])| -  Set/Get the flag that controls whether the labels and ticks are
// adjusted for "nice" numerical values to make it easier to read 
// the labels. The adjustment is based in the Range instance variable.
// Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted
// range and number of labels.
//// \item @|int = obj.GetAdjustedNumberOfLabels ()| -  Set/Get the title of the scalar bar actor,
//// \item @|obj.SetTitle (string )| -  Set/Get the title of the scalar bar actor,
//// \item @|string = obj.GetTitle ()| -  Set/Get the title of the scalar bar actor,
//// \item @|obj.SetTitleTextProperty (vtkTextProperty p)| -  Set/Get the title text property.
//// \item @|vtkTextProperty = obj.GetTitleTextProperty ()| -  Set/Get the title text property.
//// \item @|obj.SetLabelTextProperty (vtkTextProperty p)| -  Set/Get the labels text property.
//// \item @|vtkTextProperty = obj.GetLabelTextProperty ()| -  Set/Get the labels text property.
//// \item @|obj.SetTickLength (int )| -  Set/Get the length of the tick marks (expressed in pixels or display
// coordinates). 
//// \item @|int = obj.GetTickLengthMinValue ()| -  Set/Get the length of the tick marks (expressed in pixels or display
// coordinates). 
//// \item @|int = obj.GetTickLengthMaxValue ()| -  Set/Get the length of the tick marks (expressed in pixels or display
// coordinates). 
//// \item @|int = obj.GetTickLength ()| -  Set/Get the length of the tick marks (expressed in pixels or display
// coordinates). 
//// \item @|obj.SetNumberOfMinorTicks (int )| -  Number of minor ticks to be displayed between each tick. Default
// is 0.
//// \item @|int = obj.GetNumberOfMinorTicksMinValue ()| -  Number of minor ticks to be displayed between each tick. Default
// is 0.
//// \item @|int = obj.GetNumberOfMinorTicksMaxValue ()| -  Number of minor ticks to be displayed between each tick. Default
// is 0.
//// \item @|int = obj.GetNumberOfMinorTicks ()| -  Number of minor ticks to be displayed between each tick. Default
// is 0.
//// \item @|obj.SetMinorTickLength (int )| -  Set/Get the length of the minor tick marks (expressed in pixels or
// display coordinates).
//// \item @|int = obj.GetMinorTickLengthMinValue ()| -  Set/Get the length of the minor tick marks (expressed in pixels or
// display coordinates).
//// \item @|int = obj.GetMinorTickLengthMaxValue ()| -  Set/Get the length of the minor tick marks (expressed in pixels or
// display coordinates).
//// \item @|int = obj.GetMinorTickLength ()| -  Set/Get the length of the minor tick marks (expressed in pixels or
// display coordinates).
//// \item @|obj.SetTickOffset (int )| -  Set/Get the offset of the labels (expressed in pixels or display
// coordinates). The offset is the distance of labels from tick marks
// or other objects.
//// \item @|int = obj.GetTickOffsetMinValue ()| -  Set/Get the offset of the labels (expressed in pixels or display
// coordinates). The offset is the distance of labels from tick marks
// or other objects.
//// \item @|int = obj.GetTickOffsetMaxValue ()| -  Set/Get the offset of the labels (expressed in pixels or display
// coordinates). The offset is the distance of labels from tick marks
// or other objects.
//// \item @|int = obj.GetTickOffset ()| -  Set/Get the offset of the labels (expressed in pixels or display
// coordinates). The offset is the distance of labels from tick marks
// or other objects.
//// \item @|obj.SetAxisVisibility (int )| -  Set/Get visibility of the axis line.
//// \item @|int = obj.GetAxisVisibility ()| -  Set/Get visibility of the axis line.
//// \item @|obj.AxisVisibilityOn ()| -  Set/Get visibility of the axis line.
//// \item @|obj.AxisVisibilityOff ()| -  Set/Get visibility of the axis line.
//// \item @|obj.SetTickVisibility (int )| -  Set/Get visibility of the axis tick marks.
//// \item @|int = obj.GetTickVisibility ()| -  Set/Get visibility of the axis tick marks.
//// \item @|obj.TickVisibilityOn ()| -  Set/Get visibility of the axis tick marks.
//// \item @|obj.TickVisibilityOff ()| -  Set/Get visibility of the axis tick marks.
//// \item @|obj.SetLabelVisibility (int )| -  Set/Get visibility of the axis labels.
//// \item @|int = obj.GetLabelVisibility ()| -  Set/Get visibility of the axis labels.
//// \item @|obj.LabelVisibilityOn ()| -  Set/Get visibility of the axis labels.
//// \item @|obj.LabelVisibilityOff ()| -  Set/Get visibility of the axis labels.
//// \item @|obj.SetTitleVisibility (int )| -  Set/Get visibility of the axis title.
//// \item @|int = obj.GetTitleVisibility ()| -  Set/Get visibility of the axis title.
//// \item @|obj.TitleVisibilityOn ()| -  Set/Get visibility of the axis title.
//// \item @|obj.TitleVisibilityOff ()| -  Set/Get visibility of the axis title.
//// \item @|obj.SetTitlePosition (double )| -  Set/Get position of the axis title. 0 is at the start of the
// axis whereas 1 is at the end.
//// \item @|double = obj.GetTitlePosition ()| -  Set/Get position of the axis title. 0 is at the start of the
// axis whereas 1 is at the end.
//// \item @|obj.SetFontFactor (double )| -  Set/Get the factor that controls the overall size of the fonts used
// to label and title the axes. This ivar used in conjunction with
// the LabelFactor can be used to control font sizes.
//// \item @|double = obj.GetFontFactorMinValue ()| -  Set/Get the factor that controls the overall size of the fonts used
// to label and title the axes. This ivar used in conjunction with
// the LabelFactor can be used to control font sizes.
//// \item @|double = obj.GetFontFactorMaxValue ()| -  Set/Get the factor that controls the overall size of the fonts used
// to label and title the axes. This ivar used in conjunction with
// the LabelFactor can be used to control font sizes.
//// \item @|double = obj.GetFontFactor ()| -  Set/Get the factor that controls the overall size of the fonts used
// to label and title the axes. This ivar used in conjunction with
// the LabelFactor can be used to control font sizes.
//// \item @|obj.SetLabelFactor (double )| -  Set/Get the factor that controls the relative size of the axis labels
// to the axis title.
//// \item @|double = obj.GetLabelFactorMinValue ()| -  Set/Get the factor that controls the relative size of the axis labels
// to the axis title.
//// \item @|double = obj.GetLabelFactorMaxValue ()| -  Set/Get the factor that controls the relative size of the axis labels
// to the axis title.
//// \item @|double = obj.GetLabelFactor ()| -  Set/Get the factor that controls the relative size of the axis labels
// to the axis title.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Draw the axis. 
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Draw the axis. 
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  Does this prop have some translucent polygonal geometry?
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Does this prop have some translucent polygonal geometry?
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|obj.SetSizeFontRelativeToAxis (int )| -  Specify whether to size the fonts relative to the viewport or relative to
// length of the axis. By default, fonts are resized relative to the axis.
//// \item @|int = obj.GetSizeFontRelativeToAxis ()| -  Specify whether to size the fonts relative to the viewport or relative to
// length of the axis. By default, fonts are resized relative to the axis.
//// \item @|obj.SizeFontRelativeToAxisOn ()| -  Specify whether to size the fonts relative to the viewport or relative to
// length of the axis. By default, fonts are resized relative to the axis.
//// \item @|obj.SizeFontRelativeToAxisOff ()| -  Specify whether to size the fonts relative to the viewport or relative to
// length of the axis. By default, fonts are resized relative to the axis.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of an axis actor. Overloads the virtual vtkProp method.
////\end{itemize}
//!
