#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCamera object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCamera.h"

//@@Signature
//sfunction @vtkCamera:vtkCamera vtkCameraConstructorFunction
//input a
//output p
//@@Parents vtkCamera vtkObject 
ArrayVector vtkCameraConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCamera::New(),"vtkCamera",eval);
  } else if (arg[0].className() == "vtkCamera") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCamera"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCamera");
    vtkCamera*q = reinterpret_cast<vtkCamera*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCamera");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCamera:GetClassName vtkCameraGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCameraGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCamera:IsA vtkCameraIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCameraIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCamera:NewInstance vtkCameraNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCameraNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCamera *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtkCamera  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SafeDownCast vtkCameraSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCameraSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCamera *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCamera  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetPosition__1 vtkCameraSetPosition__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCameraSetPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetPosition__1 for class vtkCamera requires 4 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetPosition__2 vtkCameraSetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkCameraSetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (const double a[3]);this SetPosition a a a  */
  if (arg.size() < 2) 
    throw Exception("Function SetPosition__2 for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetPosition vtkCameraGetPositionFunction
//input a0 
//output y
ArrayVector vtkCameraGetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPosition for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetFocalPoint__1 vtkCameraSetFocalPoint__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCameraSetFocalPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFocalPoint (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetFocalPoint__1 for class vtkCamera requires 4 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetFocalPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetFocalPoint__2 vtkCameraSetFocalPoint__2Function
//input a0 a1 
//output none
ArrayVector vtkCameraSetFocalPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFocalPoint (const double a[3]);this SetFocalPoint a a a  */
  if (arg.size() < 2) 
    throw Exception("Function SetFocalPoint__2 for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetFocalPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetFocalPoint vtkCameraGetFocalPointFunction
//input a0 
//output y
ArrayVector vtkCameraGetFocalPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetFocalPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFocalPoint for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetFocalPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetViewUp__1 vtkCameraSetViewUp__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCameraSetViewUp__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewUp (double vx, double vy, double vz); */
  if (arg.size() < 4) 
    throw Exception("Function SetViewUp__1 for class vtkCamera requires 4 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetViewUp(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetViewUp__2 vtkCameraSetViewUp__2Function
//input a0 a1 
//output none
ArrayVector vtkCameraSetViewUp__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewUp (const double a[3]);this SetViewUp a a a  */
  if (arg.size() < 2) 
    throw Exception("Function SetViewUp__2 for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetViewUp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetViewUp vtkCameraGetViewUpFunction
//input a0 
//output y
ArrayVector vtkCameraGetViewUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetViewUp (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewUp for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetViewUp();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:OrthogonalizeViewUp vtkCameraOrthogonalizeViewUpFunction
//input a0 
//output none
ArrayVector vtkCameraOrthogonalizeViewUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OrthogonalizeViewUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OrthogonalizeViewUp for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtk_pointer->OrthogonalizeViewUp();
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetDistance vtkCameraSetDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkCameraSetDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDistance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDistance for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetDistance vtkCameraGetDistanceFunction
//input a0 
//output y
ArrayVector vtkCameraGetDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistance for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetDirectionOfProjection vtkCameraGetDirectionOfProjectionFunction
//input a0 
//output y
ArrayVector vtkCameraGetDirectionOfProjectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDirectionOfProjection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirectionOfProjection for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDirectionOfProjection();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:Dolly vtkCameraDollyFunction
//input a0 a1 
//output none
ArrayVector vtkCameraDollyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Dolly (double value); */
  if (arg.size() < 2) 
    throw Exception("Function Dolly for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->Dolly(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetRoll vtkCameraSetRollFunction
//input a0 a1 
//output none
ArrayVector vtkCameraSetRollFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRoll (double angle); */
  if (arg.size() < 2) 
    throw Exception("Function SetRoll for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRoll(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetRoll vtkCameraGetRollFunction
//input a0 
//output y
ArrayVector vtkCameraGetRollFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRoll (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRoll for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRoll();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCamera:Roll vtkCameraRollFunction
//input a0 a1 
//output none
ArrayVector vtkCameraRollFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Roll (double angle); */
  if (arg.size() < 2) 
    throw Exception("Function Roll for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->Roll(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:Azimuth vtkCameraAzimuthFunction
//input a0 a1 
//output none
ArrayVector vtkCameraAzimuthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Azimuth (double angle); */
  if (arg.size() < 2) 
    throw Exception("Function Azimuth for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->Azimuth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:Yaw vtkCameraYawFunction
//input a0 a1 
//output none
ArrayVector vtkCameraYawFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Yaw (double angle); */
  if (arg.size() < 2) 
    throw Exception("Function Yaw for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->Yaw(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:Elevation vtkCameraElevationFunction
//input a0 a1 
//output none
ArrayVector vtkCameraElevationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Elevation (double angle); */
  if (arg.size() < 2) 
    throw Exception("Function Elevation for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->Elevation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:Pitch vtkCameraPitchFunction
//input a0 a1 
//output none
ArrayVector vtkCameraPitchFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Pitch (double angle); */
  if (arg.size() < 2) 
    throw Exception("Function Pitch for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->Pitch(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetParallelProjection vtkCameraSetParallelProjectionFunction
//input a0 a1 
//output none
ArrayVector vtkCameraSetParallelProjectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParallelProjection (int flag); */
  if (arg.size() < 2) 
    throw Exception("Function SetParallelProjection for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetParallelProjection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetParallelProjection vtkCameraGetParallelProjectionFunction
//input a0 
//output y
ArrayVector vtkCameraGetParallelProjectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetParallelProjection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParallelProjection for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetParallelProjection();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCamera:ParallelProjectionOn vtkCameraParallelProjectionOnFunction
//input a0 
//output none
ArrayVector vtkCameraParallelProjectionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ParallelProjectionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ParallelProjectionOn for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtk_pointer->ParallelProjectionOn();
  return retval;
}

//@@Signature
//sfunction @vtkCamera:ParallelProjectionOff vtkCameraParallelProjectionOffFunction
//input a0 
//output none
ArrayVector vtkCameraParallelProjectionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ParallelProjectionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ParallelProjectionOff for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtk_pointer->ParallelProjectionOff();
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetUseHorizontalViewAngle vtkCameraSetUseHorizontalViewAngleFunction
//input a0 a1 
//output none
ArrayVector vtkCameraSetUseHorizontalViewAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseHorizontalViewAngle (int flag); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseHorizontalViewAngle for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseHorizontalViewAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetUseHorizontalViewAngle vtkCameraGetUseHorizontalViewAngleFunction
//input a0 
//output y
ArrayVector vtkCameraGetUseHorizontalViewAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseHorizontalViewAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseHorizontalViewAngle for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseHorizontalViewAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCamera:UseHorizontalViewAngleOn vtkCameraUseHorizontalViewAngleOnFunction
//input a0 
//output none
ArrayVector vtkCameraUseHorizontalViewAngleOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseHorizontalViewAngleOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseHorizontalViewAngleOn for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtk_pointer->UseHorizontalViewAngleOn();
  return retval;
}

//@@Signature
//sfunction @vtkCamera:UseHorizontalViewAngleOff vtkCameraUseHorizontalViewAngleOffFunction
//input a0 
//output none
ArrayVector vtkCameraUseHorizontalViewAngleOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseHorizontalViewAngleOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseHorizontalViewAngleOff for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtk_pointer->UseHorizontalViewAngleOff();
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetViewAngle vtkCameraSetViewAngleFunction
//input a0 a1 
//output none
ArrayVector vtkCameraSetViewAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewAngle (double angle); */
  if (arg.size() < 2) 
    throw Exception("Function SetViewAngle for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetViewAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetViewAngle vtkCameraGetViewAngleFunction
//input a0 
//output y
ArrayVector vtkCameraGetViewAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetViewAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewAngle for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetViewAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetParallelScale vtkCameraSetParallelScaleFunction
//input a0 a1 
//output none
ArrayVector vtkCameraSetParallelScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParallelScale (double scale); */
  if (arg.size() < 2) 
    throw Exception("Function SetParallelScale for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetParallelScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetParallelScale vtkCameraGetParallelScaleFunction
//input a0 
//output y
ArrayVector vtkCameraGetParallelScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetParallelScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParallelScale for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetParallelScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCamera:Zoom vtkCameraZoomFunction
//input a0 a1 
//output none
ArrayVector vtkCameraZoomFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Zoom (double factor); */
  if (arg.size() < 2) 
    throw Exception("Function Zoom for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->Zoom(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetClippingRange__1 vtkCameraSetClippingRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkCameraSetClippingRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClippingRange (double dNear, double dFar); */
  if (arg.size() < 3) 
    throw Exception("Function SetClippingRange__1 for class vtkCamera requires 3 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetClippingRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetClippingRange__2 vtkCameraSetClippingRange__2Function
//input a0 a1 
//output none
ArrayVector vtkCameraSetClippingRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClippingRange (const double a[2]);this SetClippingRange a a  */
  if (arg.size() < 2) 
    throw Exception("Function SetClippingRange__2 for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetClippingRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetClippingRange vtkCameraGetClippingRangeFunction
//input a0 
//output y
ArrayVector vtkCameraGetClippingRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetClippingRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClippingRange for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetClippingRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetThickness vtkCameraSetThicknessFunction
//input a0 a1 
//output none
ArrayVector vtkCameraSetThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThickness (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetThickness for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetThickness(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetThickness vtkCameraGetThicknessFunction
//input a0 
//output y
ArrayVector vtkCameraGetThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetThickness (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThickness for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetThickness();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetWindowCenter vtkCameraSetWindowCenterFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCameraSetWindowCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWindowCenter (double x, double y); */
  if (arg.size() < 3) 
    throw Exception("Function SetWindowCenter for class vtkCamera requires 3 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetWindowCenter(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetWindowCenter vtkCameraGetWindowCenterFunction
//input a0 
//output y
ArrayVector vtkCameraGetWindowCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetWindowCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWindowCenter for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetWindowCenter();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetObliqueAngles vtkCameraSetObliqueAnglesFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCameraSetObliqueAnglesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetObliqueAngles (double alpha, double beta); */
  if (arg.size() < 3) 
    throw Exception("Function SetObliqueAngles for class vtkCamera requires 3 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetObliqueAngles(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:ApplyTransform vtkCameraApplyTransformFunction
//input a0 a1 
//output none
ArrayVector vtkCameraApplyTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ApplyTransform (vtkTransform *t); */
  if (arg.size() < 2) 
    throw Exception("Function ApplyTransform for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtkTransform  *temp0;
  temp0 = GetVTKPointer<vtkTransform>(arg[1]);
  vtk_pointer->ApplyTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetViewPlaneNormal vtkCameraGetViewPlaneNormalFunction
//input a0 
//output y
ArrayVector vtkCameraGetViewPlaneNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetViewPlaneNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewPlaneNormal for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetViewPlaneNormal();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetViewShear__1 vtkCameraSetViewShear__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCameraSetViewShear__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewShear (double dxdz, double dydz, double center); */
  if (arg.size() < 4) 
    throw Exception("Function SetViewShear__1 for class vtkCamera requires 4 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetViewShear(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetViewShear__2 vtkCameraSetViewShear__2Function
//input a0 a1 
//output none
ArrayVector vtkCameraSetViewShear__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewShear (double d[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetViewShear__2 for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetViewShear(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetViewShear vtkCameraGetViewShearFunction
//input a0 
//output y
ArrayVector vtkCameraGetViewShearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetViewShear (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewShear for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetViewShear();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetEyeAngle vtkCameraSetEyeAngleFunction
//input a0 a1 
//output none
ArrayVector vtkCameraSetEyeAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEyeAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEyeAngle for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetEyeAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetEyeAngle vtkCameraGetEyeAngleFunction
//input a0 
//output y
ArrayVector vtkCameraGetEyeAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEyeAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEyeAngle for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEyeAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetFocalDisk vtkCameraSetFocalDiskFunction
//input a0 a1 
//output none
ArrayVector vtkCameraSetFocalDiskFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFocalDisk (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFocalDisk for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFocalDisk(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetFocalDisk vtkCameraGetFocalDiskFunction
//input a0 
//output y
ArrayVector vtkCameraGetFocalDiskFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFocalDisk (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFocalDisk for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFocalDisk();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetViewTransformMatrix vtkCameraGetViewTransformMatrixFunction
//input a0 
//output y
ArrayVector vtkCameraGetViewTransformMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkMatrix4x4 *GetViewTransformMatrix (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewTransformMatrix for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp20;
  temp20 = (vtk_pointer)->GetViewTransformMatrix();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetViewTransformObject vtkCameraGetViewTransformObjectFunction
//input a0 
//output y
ArrayVector vtkCameraGetViewTransformObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkTransform *GetViewTransformObject ();return this ViewTransform  */
  if (arg.size() < 1) 
    throw Exception("Function GetViewTransformObject for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtkTransform  *temp20;
  temp20 = (vtk_pointer)->GetViewTransformObject();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetPerspectiveTransformMatrix vtkCameraGetPerspectiveTransformMatrixFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCameraGetPerspectiveTransformMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkMatrix4x4 *GetPerspectiveTransformMatrix (double aspect, double nearz, double farz); */
  if (arg.size() < 4) 
    throw Exception("Function GetPerspectiveTransformMatrix for class vtkCamera requires 4 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkMatrix4x4  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetPerspectiveTransformMatrix(temp0,temp1,temp2);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetProjectionTransformMatrix vtkCameraGetProjectionTransformMatrixFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCameraGetProjectionTransformMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkMatrix4x4 *GetProjectionTransformMatrix (double aspect, double nearz, double farz); */
  if (arg.size() < 4) 
    throw Exception("Function GetProjectionTransformMatrix for class vtkCamera requires 4 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkMatrix4x4  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetProjectionTransformMatrix(temp0,temp1,temp2);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetProjectionTransformObject vtkCameraGetProjectionTransformObjectFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCameraGetProjectionTransformObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkPerspectiveTransform *GetProjectionTransformObject (double aspect, double nearz, double farz); */
  if (arg.size() < 4) 
    throw Exception("Function GetProjectionTransformObject for class vtkCamera requires 4 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkPerspectiveTransform  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetProjectionTransformObject(temp0,temp1,temp2);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPerspectiveTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetCompositePerspectiveTransformMatrix vtkCameraGetCompositePerspectiveTransformMatrixFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCameraGetCompositePerspectiveTransformMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkMatrix4x4 *GetCompositePerspectiveTransformMatrix (double aspect, double nearz, double farz); */
  if (arg.size() < 4) 
    throw Exception("Function GetCompositePerspectiveTransformMatrix for class vtkCamera requires 4 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkMatrix4x4  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetCompositePerspectiveTransformMatrix(temp0,temp1,temp2);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetCompositeProjectionTransformMatrix vtkCameraGetCompositeProjectionTransformMatrixFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkCameraGetCompositeProjectionTransformMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkMatrix4x4 *GetCompositeProjectionTransformMatrix (double aspect, double nearz, double farz); */
  if (arg.size() < 4) 
    throw Exception("Function GetCompositeProjectionTransformMatrix for class vtkCamera requires 4 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkMatrix4x4  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetCompositeProjectionTransformMatrix(temp0,temp1,temp2);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetUserViewTransform vtkCameraSetUserViewTransformFunction
//input a0 a1 
//output none
ArrayVector vtkCameraSetUserViewTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUserViewTransform (vtkHomogeneousTransform *transform); */
  if (arg.size() < 2) 
    throw Exception("Function SetUserViewTransform for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtkHomogeneousTransform  *temp0;
  temp0 = GetVTKPointer<vtkHomogeneousTransform>(arg[1]);
  vtk_pointer->SetUserViewTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetUserViewTransform vtkCameraGetUserViewTransformFunction
//input a0 
//output y
ArrayVector vtkCameraGetUserViewTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHomogeneousTransform *GetUserViewTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUserViewTransform for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtkHomogeneousTransform  *temp20;
  temp20 = (vtk_pointer)->GetUserViewTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHomogeneousTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetUserTransform vtkCameraSetUserTransformFunction
//input a0 a1 
//output none
ArrayVector vtkCameraSetUserTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUserTransform (vtkHomogeneousTransform *transform); */
  if (arg.size() < 2) 
    throw Exception("Function SetUserTransform for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtkHomogeneousTransform  *temp0;
  temp0 = GetVTKPointer<vtkHomogeneousTransform>(arg[1]);
  vtk_pointer->SetUserTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetUserTransform vtkCameraGetUserTransformFunction
//input a0 
//output y
ArrayVector vtkCameraGetUserTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHomogeneousTransform *GetUserTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUserTransform for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtkHomogeneousTransform  *temp20;
  temp20 = (vtk_pointer)->GetUserTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHomogeneousTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:Render vtkCameraRenderFunction
//input a0 a1 
//output none
ArrayVector vtkCameraRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function Render for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->Render(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetViewingRaysMTime vtkCameraGetViewingRaysMTimeFunction
//input a0 
//output y
ArrayVector vtkCameraGetViewingRaysMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetViewingRaysMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewingRaysMTime for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetViewingRaysMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCamera:ViewingRaysModified vtkCameraViewingRaysModifiedFunction
//input a0 
//output none
ArrayVector vtkCameraViewingRaysModifiedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ViewingRaysModified (); */
  if (arg.size() < 1) 
    throw Exception("Function ViewingRaysModified for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtk_pointer->ViewingRaysModified();
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetFrustumPlanes vtkCameraGetFrustumPlanesFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCameraGetFrustumPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetFrustumPlanes (double aspect, double planes[24]); */
  if (arg.size() < 3) 
    throw Exception("Function GetFrustumPlanes for class vtkCamera requires 3 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[24];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 24) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetFrustumPlanes(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetOrientation vtkCameraGetOrientationFunction
//input a0 
//output y
ArrayVector vtkCameraGetOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetOrientation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientation for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrientation();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetOrientationWXYZ vtkCameraGetOrientationWXYZFunction
//input a0 
//output y
ArrayVector vtkCameraGetOrientationWXYZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetOrientationWXYZ (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientationWXYZ for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrientationWXYZ();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetViewPlaneNormal__1 vtkCameraSetViewPlaneNormal__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCameraSetViewPlaneNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewPlaneNormal (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetViewPlaneNormal__1 for class vtkCamera requires 4 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetViewPlaneNormal(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetViewPlaneNormal__2 vtkCameraSetViewPlaneNormal__2Function
//input a0 a1 
//output none
ArrayVector vtkCameraSetViewPlaneNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewPlaneNormal (const double a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetViewPlaneNormal__2 for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetViewPlaneNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:ComputeViewPlaneNormal vtkCameraComputeViewPlaneNormalFunction
//input a0 
//output none
ArrayVector vtkCameraComputeViewPlaneNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeViewPlaneNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeViewPlaneNormal for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtk_pointer->ComputeViewPlaneNormal();
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetCameraLightTransformMatrix vtkCameraGetCameraLightTransformMatrixFunction
//input a0 
//output y
ArrayVector vtkCameraGetCameraLightTransformMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrix4x4 *GetCameraLightTransformMatrix (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCameraLightTransformMatrix for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp20;
  temp20 = (vtk_pointer)->GetCameraLightTransformMatrix();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:UpdateViewport vtkCameraUpdateViewportFunction
//input a0 a1 
//output none
ArrayVector vtkCameraUpdateViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateViewport (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function UpdateViewport for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->UpdateViewport(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetLeftEye vtkCameraSetLeftEyeFunction
//input a0 a1 
//output none
ArrayVector vtkCameraSetLeftEyeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLeftEye (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLeftEye for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLeftEye(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:GetLeftEye vtkCameraGetLeftEyeFunction
//input a0 
//output y
ArrayVector vtkCameraGetLeftEyeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeftEye (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftEye for class vtkCamera requires 1 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeftEye();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCamera:ShallowCopy vtkCameraShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkCameraShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkCamera *source); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtkCamera  *temp0;
  temp0 = GetVTKPointer<vtkCamera>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:DeepCopy vtkCameraDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkCameraDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkCamera *source); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkCamera requires 2 argument(s)");
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  Array retval;
  vtkCamera  *temp0;
  temp0 = GetVTKPointer<vtkCamera>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCamera:SetPosition vtkCameraSetPositionFunction
//input varargin
//output varargout
ArrayVector vtkCameraSetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCameraSetPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCameraSetPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCameraSetPosition");
}

//@@Signature
//sfunction @vtkCamera:SetFocalPoint vtkCameraSetFocalPointFunction
//input varargin
//output varargout
ArrayVector vtkCameraSetFocalPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCameraSetFocalPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCameraSetFocalPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCameraSetFocalPoint");
}

//@@Signature
//sfunction @vtkCamera:SetViewUp vtkCameraSetViewUpFunction
//input varargin
//output varargout
ArrayVector vtkCameraSetViewUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCameraSetViewUp__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCameraSetViewUp__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCameraSetViewUp");
}

//@@Signature
//sfunction @vtkCamera:SetClippingRange vtkCameraSetClippingRangeFunction
//input varargin
//output varargout
ArrayVector vtkCameraSetClippingRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkCameraSetClippingRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCameraSetClippingRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCameraSetClippingRange");
}

//@@Signature
//sfunction @vtkCamera:SetViewShear vtkCameraSetViewShearFunction
//input varargin
//output varargout
ArrayVector vtkCameraSetViewShearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCameraSetViewShear__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCameraSetViewShear__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCameraSetViewShear");
}

//@@Signature
//sfunction @vtkCamera:SetViewPlaneNormal vtkCameraSetViewPlaneNormalFunction
//input varargin
//output varargout
ArrayVector vtkCameraSetViewPlaneNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCameraSetViewPlaneNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCameraSetViewPlaneNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCameraSetViewPlaneNormal");
}

//@@Signature
//sfunction @vtkCamera:display vtkCameraDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCameraDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCamera* vtk_pointer = GetVTKPointer<vtkCamera>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCamera:delete vtkCameraDeleteFunction
//input varargin
//output none
ArrayVector vtkCameraDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCamera
//@@Section VTKRendering
//@@Usage
// vtkCamera is a virtual camera for 3D rendering. It provides methods
// to position and orient the view point and focal point. Convenience 
// methods for moving about the focal point also are provided. More 
// complex methods allow the manipulation of the computer graphics
// model including view up vector, clipping planes, and 
// camera perspective.
//
//To create an instance of class vtkCamera, simply
//invoke its constructor as follows
//@[
//  obj = vtkCamera
//@]
//@@Methods
//The class vtkCamera has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCamera class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCamera = obj.NewInstance ()|
// \item @|vtkCamera = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPosition (double x, double y, double z)| -  Set/Get the position of the camera in world coordinates.
// The default position is (0,0,1).
//// \item @|obj.SetPosition (double a[3])| -  Set/Get the position of the camera in world coordinates.
// The default position is (0,0,1).
//// \item @|double = obj. GetPosition ()| -  Set/Get the position of the camera in world coordinates.
// The default position is (0,0,1).
//// \item @|obj.SetFocalPoint (double x, double y, double z)| -  Set/Get the focal of the camera in world coordinates.
// The default focal point is the origin.
//// \item @|obj.SetFocalPoint (double a[3])| -  Set/Get the focal of the camera in world coordinates.
// The default focal point is the origin.
//// \item @|double = obj. GetFocalPoint ()| -  Set/Get the focal of the camera in world coordinates.
// The default focal point is the origin.
//// \item @|obj.SetViewUp (double vx, double vy, double vz)| -  Set/Get the view up direction for the camera.  The default
// is (0,1,0).
//// \item @|obj.SetViewUp (double a[3])| -  Set/Get the view up direction for the camera.  The default
// is (0,1,0).
//// \item @|double = obj. GetViewUp ()| -  Set/Get the view up direction for the camera.  The default
// is (0,1,0).
//// \item @|obj.OrthogonalizeViewUp ()| -  Recompute the ViewUp vector to force it to be perpendicular to
// camera->focalpoint vector.  Unless you are going to use
// Yaw or Azimuth on the camera, there is no need to do this.
//// \item @|obj.SetDistance (double )| -  Move the focal point so that it is the specified distance from
// the camera position.  This distance must be positive.
//// \item @|double = obj.GetDistance ()| -  Return the distance from the camera position to the focal point.
// This distance is positive.
//// \item @|double = obj. GetDirectionOfProjection ()| -  Get the vector in the direction from the camera position to the
// focal point.  This is usually the opposite of the ViewPlaneNormal,
// the vector perpendicular to the screen, unless the view is oblique.
//// \item @|obj.Dolly (double value)| -  Divide the camera's distance from the focal point by the given
// dolly value.  Use a value greater than one to dolly-in toward
// the focal point, and use a value less than one to dolly-out away
// from the focal point.
//// \item @|obj.SetRoll (double angle)| -  Set the roll angle of the camera about the direction of projection.
//// \item @|double = obj.GetRoll ()| -  Set the roll angle of the camera about the direction of projection.
//// \item @|obj.Roll (double angle)| -  Rotate the camera about the direction of projection.  This will
// spin the camera about its axis.
//// \item @|obj.Azimuth (double angle)| -  Rotate the camera about the view up vector centered at the focal point.
// Note that the view up vector is whatever was set via SetViewUp, and is
// not necessarily perpendicular to the direction of projection.  The
// result is a horizontal rotation of the camera.
//// \item @|obj.Yaw (double angle)| -  Rotate the focal point about the view up vector, using the camera's
// position as the center of rotation. Note that the view up vector is
// whatever was set via SetViewUp, and is not necessarily perpendicular
// to the direction of projection.  The result is a horizontal rotation
// of the scene.
//// \item @|obj.Elevation (double angle)| -  Rotate the camera about the cross product of the negative of the
// direction of projection and the view up vector, using the focal point
// as the center of rotation.  The result is a vertical rotation of the
// scene.
//// \item @|obj.Pitch (double angle)| -  Rotate the focal point about the cross product of the view up vector
// and the direction of projection, using the camera's position as the
// center of rotation.  The result is a vertical rotation of the camera.
//// \item @|obj.SetParallelProjection (int flag)| -  Set/Get the value of the ParallelProjection instance variable. This
// determines if the camera should do a perspective or parallel projection.
//// \item @|int = obj.GetParallelProjection ()| -  Set/Get the value of the ParallelProjection instance variable. This
// determines if the camera should do a perspective or parallel projection.
//// \item @|obj.ParallelProjectionOn ()| -  Set/Get the value of the ParallelProjection instance variable. This
// determines if the camera should do a perspective or parallel projection.
//// \item @|obj.ParallelProjectionOff ()| -  Set/Get the value of the ParallelProjection instance variable. This
// determines if the camera should do a perspective or parallel projection.
//// \item @|obj.SetUseHorizontalViewAngle (int flag)| -  Set/Get the value of the UseHorizontalViewAngle instance variable. If
// set, the camera's view angle represents a horizontal view angle, rather
// than the default vertical view angle. This is useful if the application
// uses a display device which whose specs indicate a particular horizontal
// view angle, or if the application varies the window height but wants to
// keep the perspective transform unchanges.
//// \item @|int = obj.GetUseHorizontalViewAngle ()| -  Set/Get the value of the UseHorizontalViewAngle instance variable. If
// set, the camera's view angle represents a horizontal view angle, rather
// than the default vertical view angle. This is useful if the application
// uses a display device which whose specs indicate a particular horizontal
// view angle, or if the application varies the window height but wants to
// keep the perspective transform unchanges.
//// \item @|obj.UseHorizontalViewAngleOn ()| -  Set/Get the value of the UseHorizontalViewAngle instance variable. If
// set, the camera's view angle represents a horizontal view angle, rather
// than the default vertical view angle. This is useful if the application
// uses a display device which whose specs indicate a particular horizontal
// view angle, or if the application varies the window height but wants to
// keep the perspective transform unchanges.
//// \item @|obj.UseHorizontalViewAngleOff ()| -  Set/Get the value of the UseHorizontalViewAngle instance variable. If
// set, the camera's view angle represents a horizontal view angle, rather
// than the default vertical view angle. This is useful if the application
// uses a display device which whose specs indicate a particular horizontal
// view angle, or if the application varies the window height but wants to
// keep the perspective transform unchanges.
//// \item @|obj.SetViewAngle (double angle)| -  Set/Get the camera view angle, which is the angular height of the
// camera view measured in degrees.  The default angle is 30 degrees.
// This method has no effect in parallel projection mode.
// The formula for setting the angle up for perfect perspective viewing
// is: angle = 2*atan((h/2)/d) where h is the height of the RenderWindow
// (measured by holding a ruler up to your screen) and d is the
// distance from your eyes to the screen.
//// \item @|double = obj.GetViewAngle ()| -  Set/Get the camera view angle, which is the angular height of the
// camera view measured in degrees.  The default angle is 30 degrees.
// This method has no effect in parallel projection mode.
// The formula for setting the angle up for perfect perspective viewing
// is: angle = 2*atan((h/2)/d) where h is the height of the RenderWindow
// (measured by holding a ruler up to your screen) and d is the
// distance from your eyes to the screen.
//// \item @|obj.SetParallelScale (double scale)| -  Set/Get the scaling used for a parallel projection, i.e. the height
// of the viewport in world-coordinate distances. The default is 1.
// Note that the "scale" parameter works as an "inverse scale" ---
// larger numbers produce smaller images.
// This method has no effect in perspective projection mode.
//// \item @|double = obj.GetParallelScale ()| -  Set/Get the scaling used for a parallel projection, i.e. the height
// of the viewport in world-coordinate distances. The default is 1.
// Note that the "scale" parameter works as an "inverse scale" ---
// larger numbers produce smaller images.
// This method has no effect in perspective projection mode.
//// \item @|obj.Zoom (double factor)| -  In perspective mode, decrease the view angle by the specified factor.
// In parallel mode, decrease the parallel scale by the specified factor.
// A value greater than 1 is a zoom-in, a value less than 1 is a zoom-out.
//// \item @|obj.SetClippingRange (double dNear, double dFar)| -  Set/Get the location of the near and far clipping planes along the
// direction of projection.  Both of these values must be positive.
// How the clipping planes are set can have a large impact on how 
// well z-buffering works.  In particular the front clipping
// plane can make a very big difference. Setting it to 0.01 when it
// really could be 1.0 can have a big impact on your z-buffer resolution
// farther away.  The default clipping range is (0.1,1000).
//// \item @|obj.SetClippingRange (double a[2])| -  Set/Get the location of the near and far clipping planes along the
// direction of projection.  Both of these values must be positive.
// How the clipping planes are set can have a large impact on how 
// well z-buffering works.  In particular the front clipping
// plane can make a very big difference. Setting it to 0.01 when it
// really could be 1.0 can have a big impact on your z-buffer resolution
// farther away.  The default clipping range is (0.1,1000).
//// \item @|double = obj. GetClippingRange ()| -  Set/Get the location of the near and far clipping planes along the
// direction of projection.  Both of these values must be positive.
// How the clipping planes are set can have a large impact on how 
// well z-buffering works.  In particular the front clipping
// plane can make a very big difference. Setting it to 0.01 when it
// really could be 1.0 can have a big impact on your z-buffer resolution
// farther away.  The default clipping range is (0.1,1000).
//// \item @|obj.SetThickness (double )| -  Set the distance between clipping planes.  This method adjusts the 
// far clipping plane to be set a distance 'thickness' beyond the
// near clipping plane.
//// \item @|double = obj.GetThickness ()| -  Set the distance between clipping planes.  This method adjusts the 
// far clipping plane to be set a distance 'thickness' beyond the
// near clipping plane.
//// \item @|obj.SetWindowCenter (double x, double y)| -  Set/Get the center of the window in viewport coordinates.
// The viewport coordinate range is ([-1,+1],[-1,+1]).  This method
// is for if you have one window which consists of several viewports,
// or if you have several screens which you want to act together as
// one large screen.
//// \item @|double = obj. GetWindowCenter ()| -  Set/Get the center of the window in viewport coordinates.
// The viewport coordinate range is ([-1,+1],[-1,+1]).  This method
// is for if you have one window which consists of several viewports,
// or if you have several screens which you want to act together as
// one large screen.
//// \item @|obj.SetObliqueAngles (double alpha, double beta)| -  Get/Set the oblique viewing angles.  The first angle, alpha, is the
// angle (measured from the horizontal) that rays along the direction
// of projection will follow once projected onto the 2D screen.  
// The second angle, beta, is the angle between the view plane and
// the direction of projection.  This creates a shear transform
// x' = x + dz*cos(alpha)/tan(beta), y' = dz*sin(alpha)/tan(beta)
// where dz is the distance of the point from the focal plane.
// The angles are (45,90) by default.  Oblique projections 
// commonly use (30,63.435).
//// \item @|obj.ApplyTransform (vtkTransform t)| -  Apply a transform to the camera.  The camera position, focal-point,
// and view-up are re-calculated using the transform's matrix to
// multiply the old points by the new transform.
//// \item @|double = obj. GetViewPlaneNormal ()| -  Get the ViewPlaneNormal.  This vector will point opposite to
// the direction of projection, unless you have created an sheared output
// view using SetViewShear/SetObliqueAngles.
//// \item @|obj.SetViewShear (double dxdz, double dydz, double center)| -  Set/get the shear transform of the viewing frustum.  Parameters are
// dx/dz, dy/dz, and center.  center is a factor that describes where
// to shear around. The distance dshear from the camera where
// no shear occurs is given by (dshear = center * FocalDistance).
//// \item @|obj.SetViewShear (double d[3])| -  Set/get the shear transform of the viewing frustum.  Parameters are
// dx/dz, dy/dz, and center.  center is a factor that describes where
// to shear around. The distance dshear from the camera where
// no shear occurs is given by (dshear = center * FocalDistance).
//// \item @|double = obj. GetViewShear ()| -  Set/get the shear transform of the viewing frustum.  Parameters are
// dx/dz, dy/dz, and center.  center is a factor that describes where
// to shear around. The distance dshear from the camera where
// no shear occurs is given by (dshear = center * FocalDistance).
//// \item @|obj.SetEyeAngle (double )| -  Set/Get the separation between eyes (in degrees). This is used
// when generating stereo images.
//// \item @|double = obj.GetEyeAngle ()| -  Set/Get the separation between eyes (in degrees). This is used
// when generating stereo images.
//// \item @|obj.SetFocalDisk (double )| -  Set the size of the cameras lens in world coordinates. This is only
// used when the renderer is doing focal depth rendering. When that is
// being done the size of the focal disk will effect how significant the
// depth effects will be.
//// \item @|double = obj.GetFocalDisk ()| -  Set the size of the cameras lens in world coordinates. This is only
// used when the renderer is doing focal depth rendering. When that is
// being done the size of the focal disk will effect how significant the
// depth effects will be.
//// \item @|vtkMatrix4x4 = obj.GetViewTransformMatrix ()| -  Return the matrix of the view transform.
// The ViewTransform depends on only three ivars:  the Position, the
// FocalPoint, and the ViewUp vector.  All the other methods are there
// simply for the sake of the users' convenience.
//// \item @|vtkTransform = obj.GetViewTransformObject ()| -  Return the projection transform matrix, which converts from camera
// coordinates to viewport coordinates.  The 'aspect' is the
// width/height for the viewport, and the nearz and farz are the
// Z-buffer values that map to the near and far clipping planes.
// The viewport coordinates of a point located inside the frustum are in the
// range ([-1,+1],[-1,+1],[nearz,farz]).
// WARNING: the name of the method is wrong, it should be
// GetProjectionTransformMatrix() (it is used also in parallel projection)
// @deprecated Replaced by GetProjectionTransformMatrix() as of VTK 5.4.
//// \item @|vtkMatrix4x4 = obj.GetPerspectiveTransformMatrix (double aspect, double nearz, double farz)| -  Return the projection transform matrix, which converts from camera
// coordinates to viewport coordinates.  The 'aspect' is the
// width/height for the viewport, and the nearz and farz are the
// Z-buffer values that map to the near and far clipping planes.
// The viewport coordinates of a point located inside the frustum are in the
// range ([-1,+1],[-1,+1],[nearz,farz]).
// WARNING: the name of the method is wrong, it should be
// GetProjectionTransformMatrix() (it is used also in parallel projection)
// @deprecated Replaced by GetProjectionTransformMatrix() as of VTK 5.4.
//// \item @|vtkMatrix4x4 = obj.GetProjectionTransformMatrix (double aspect, double nearz, double farz)| -  Return the projection transform matrix, which converts from camera
// coordinates to viewport coordinates.  The 'aspect' is the
// width/height for the viewport, and the nearz and farz are the
// Z-buffer values that map to the near and far clipping planes.
// The viewport coordinates of a point located inside the frustum are in the
// range ([-1,+1],[-1,+1],[nearz,farz]).
//// \item @|vtkPerspectiveTransform = obj.GetProjectionTransformObject (double aspect, double nearz, double farz)| -  Return the projection transform matrix, which converts from camera
// coordinates to viewport coordinates.  The 'aspect' is the
// width/height for the viewport, and the nearz and farz are the
// Z-buffer values that map to the near and far clipping planes.
// The viewport coordinates of a point located inside the frustum are in the
// range ([-1,+1],[-1,+1],[nearz,farz]).
//// \item @|vtkMatrix4x4 = obj.GetCompositePerspectiveTransformMatrix (double aspect, double nearz, double farz)| -  Return the concatenation of the ViewTransform and the
// ProjectionTransform.  This transform will convert world
// coordinates to viewport coordinates.  The 'aspect' is the
// width/height for the viewport, and the nearz and farz are the
// Z-buffer values that map to the near and far clipping planes.
// The viewport coordinates of a point located inside the frustum are in the
// range ([-1,+1],[-1,+1],[nearz,farz]).
// WARNING: the name of the method is wrong, it should be
// GetCompositeProjectionTransformMatrix() (it is used also in parallel
// projection)
// @deprecated Replaced by GetCompositeProjectionTransformMatrix() as of
// VTK 5.4.
//// \item @|vtkMatrix4x4 = obj.GetCompositeProjectionTransformMatrix (double aspect, double nearz, double farz)| -  Return the concatenation of the ViewTransform and the
// ProjectionTransform.  This transform will convert world
// coordinates to viewport coordinates.  The 'aspect' is the
// width/height for the viewport, and the nearz and farz are the
// Z-buffer values that map to the near and far clipping planes.
// The viewport coordinates of a point located inside the frustum are in the
// range ([-1,+1],[-1,+1],[nearz,farz]).
//// \item @|obj.SetUserViewTransform (vtkHomogeneousTransform transform)| -  In addition to the instance variables such as position and orientation,
// you can add an additional transformation for your own use.  This
// transformation is concatenated to the camera's ViewTransform
//// \item @|vtkHomogeneousTransform = obj.GetUserViewTransform ()| -  In addition to the instance variables such as position and orientation,
// you can add an additional transformation for your own use.  This
// transformation is concatenated to the camera's ViewTransform
//// \item @|obj.SetUserTransform (vtkHomogeneousTransform transform)| -  In addition to the instance variables such as position and orientation,
// you can add an additional transformation for your own use.  This
// transformation is concatenated to the camera's ProjectionTransform
//// \item @|vtkHomogeneousTransform = obj.GetUserTransform ()| -  In addition to the instance variables such as position and orientation,
// you can add an additional transformation for your own use.  This
// transformation is concatenated to the camera's ProjectionTransform
//// \item @|obj.Render (vtkRenderer )| -  Return the MTime that concerns recomputing the view rays of the camera.
//// \item @|long = obj.GetViewingRaysMTime ()| -  Return the MTime that concerns recomputing the view rays of the camera.
//// \item @|obj.ViewingRaysModified ()| -  Mark that something has changed which requires the view rays
// to be recomputed.
//// \item @|obj.GetFrustumPlanes (double aspect, double planes[24])| -  Get the plane equations that bound the view frustum.
// The plane normals point inward. The planes array contains six
// plane equations of the form (Ax+By+Cz+D=0), the first four
// values are (A,B,C,D) which repeats for each of the planes.
// The planes are given in the following order: -x,+x,-y,+y,-z,+z.
// Warning: it means left,right,bottom,top,far,near (NOT near,far)
// The aspect of the viewport is needed to correctly compute the planes
//// \item @|double = obj.GetOrientation ()| -  Get the orientation of the camera.
//// \item @|double = obj.GetOrientationWXYZ ()| -  Get the orientation of the camera.
//// \item @|obj.SetViewPlaneNormal (double x, double y, double z)| -  @deprecated The view plane normal is automatically set from the
// DirectionOfProjection according to the ViewShear.
//// \item @|obj.SetViewPlaneNormal (double a[3])| -  @deprecated The view plane normal is automatically set from the
// DirectionOfProjection according to the ViewShear.
//// \item @|obj.ComputeViewPlaneNormal ()| -  This method is called automatically whenever necessary, it
// should never be used outside of vtkCamera.cxx.
//// \item @|vtkMatrix4x4 = obj.GetCameraLightTransformMatrix ()| -  Returns a transformation matrix for a coordinate frame attached to
// the camera, where the camera is located at (0, 0, 1) looking at the
// focal point at (0, 0, 0), with up being (0, 1, 0).
//// \item @|obj.UpdateViewport (vtkRenderer )| -  Set the Left Eye setting
//// \item @|obj.SetLeftEye (int )| -  Set the Left Eye setting
//// \item @|int = obj.GetLeftEye ()| -  Set the Left Eye setting
//// \item @|obj.ShallowCopy (vtkCamera source)| -  Copy the properties of `source' into `this'.
// Copy pointers of matrices.
// \pre source_exists!=0
// \pre not_this: source!=this
//// \item @|obj.DeepCopy (vtkCamera source)| -  Copy the properties of `source' into `this'.
// Copy the contents of the matrices.
// \pre source_exists!=0
// \pre not_this: source!=this
////\end{itemize}
//!
