#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCameraActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCameraActor.h"

//@@Signature
//sfunction @vtkCameraActor:vtkCameraActor vtkCameraActorConstructorFunction
//input a
//output p
//@@Parents vtkCameraActor vtkProp3D 
ArrayVector vtkCameraActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCameraActor::New(),"vtkCameraActor",eval);
  } else if (arg[0].className() == "vtkCameraActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCameraActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCameraActor");
    vtkCameraActor*q = reinterpret_cast<vtkCameraActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCameraActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCameraActor:GetClassName vtkCameraActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCameraActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCameraActor requires 1 argument(s)");
  vtkCameraActor* vtk_pointer = GetVTKPointer<vtkCameraActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraActor:IsA vtkCameraActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCameraActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCameraActor requires 2 argument(s)");
  vtkCameraActor* vtk_pointer = GetVTKPointer<vtkCameraActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraActor:NewInstance vtkCameraActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCameraActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCameraActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCameraActor requires 1 argument(s)");
  vtkCameraActor* vtk_pointer = GetVTKPointer<vtkCameraActor>(arg[0]);
  Array retval;
  vtkCameraActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCameraActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraActor:SafeDownCast vtkCameraActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCameraActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCameraActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCameraActor requires 2 argument(s)");
  vtkCameraActor* vtk_pointer = GetVTKPointer<vtkCameraActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCameraActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCameraActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraActor:SetCamera vtkCameraActorSetCameraFunction
//input a0 a1 
//output none
ArrayVector vtkCameraActorSetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCamera (vtkCamera *camera); */
  if (arg.size() < 2) 
    throw Exception("Function SetCamera for class vtkCameraActor requires 2 argument(s)");
  vtkCameraActor* vtk_pointer = GetVTKPointer<vtkCameraActor>(arg[0]);
  Array retval;
  vtkCamera  *temp0;
  temp0 = GetVTKPointer<vtkCamera>(arg[1]);
  vtk_pointer->SetCamera(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraActor:GetCamera vtkCameraActorGetCameraFunction
//input a0 
//output y
ArrayVector vtkCameraActorGetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCamera *GetCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCamera for class vtkCameraActor requires 1 argument(s)");
  vtkCameraActor* vtk_pointer = GetVTKPointer<vtkCameraActor>(arg[0]);
  Array retval;
  vtkCamera  *temp20;
  temp20 = (vtk_pointer)->GetCamera();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraActor:SetWidthByHeightRatio vtkCameraActorSetWidthByHeightRatioFunction
//input a0 a1 
//output none
ArrayVector vtkCameraActorSetWidthByHeightRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWidthByHeightRatio (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWidthByHeightRatio for class vtkCameraActor requires 2 argument(s)");
  vtkCameraActor* vtk_pointer = GetVTKPointer<vtkCameraActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetWidthByHeightRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraActor:GetWidthByHeightRatio vtkCameraActorGetWidthByHeightRatioFunction
//input a0 
//output y
ArrayVector vtkCameraActorGetWidthByHeightRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWidthByHeightRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWidthByHeightRatio for class vtkCameraActor requires 1 argument(s)");
  vtkCameraActor* vtk_pointer = GetVTKPointer<vtkCameraActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWidthByHeightRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraActor:RenderOpaqueGeometry vtkCameraActorRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkCameraActorRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkCameraActor requires 2 argument(s)");
  vtkCameraActor* vtk_pointer = GetVTKPointer<vtkCameraActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraActor:HasTranslucentPolygonalGeometry vtkCameraActorHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkCameraActorHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkCameraActor requires 1 argument(s)");
  vtkCameraActor* vtk_pointer = GetVTKPointer<vtkCameraActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraActor:ReleaseGraphicsResources vtkCameraActorReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkCameraActorReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkCameraActor requires 2 argument(s)");
  vtkCameraActor* vtk_pointer = GetVTKPointer<vtkCameraActor>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraActor:GetMTime vtkCameraActorGetMTimeFunction
//input a0 
//output y
ArrayVector vtkCameraActorGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkCameraActor requires 1 argument(s)");
  vtkCameraActor* vtk_pointer = GetVTKPointer<vtkCameraActor>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraActor:GetProperty vtkCameraActorGetPropertyFunction
//input a0 
//output y
ArrayVector vtkCameraActorGetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProperty for class vtkCameraActor requires 1 argument(s)");
  vtkCameraActor* vtk_pointer = GetVTKPointer<vtkCameraActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraActor:SetProperty vtkCameraActorSetPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkCameraActorSetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProperty (vtkProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetProperty for class vtkCameraActor requires 2 argument(s)");
  vtkCameraActor* vtk_pointer = GetVTKPointer<vtkCameraActor>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraActor:display vtkCameraActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCameraActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCameraActor* vtk_pointer = GetVTKPointer<vtkCameraActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCameraActor:delete vtkCameraActorDeleteFunction
//input varargin
//output none
ArrayVector vtkCameraActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCameraActor
//@@Section VTKRendering
//@@Usage
// vtkCameraActor is an actor used to represent a camera by its wireframe
// frustum.
//
//To create an instance of class vtkCameraActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkCameraActor
//@]
//@@Methods
//The class vtkCameraActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCameraActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCameraActor = obj.NewInstance ()|
// \item @|vtkCameraActor = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCamera (vtkCamera camera)| -  The camera to represent. Initial value is NULL.
//// \item @|vtkCamera = obj.GetCamera ()| -  The camera to represent. Initial value is NULL.
//// \item @|obj.SetWidthByHeightRatio (double )| -  Ratio between the width and the height of the frustum. Initial value is
// 1.0 (square)
//// \item @|double = obj.GetWidthByHeightRatio ()| -  Ratio between the width and the height of the frustum. Initial value is
// 1.0 (square)
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Support the standard render methods.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Does this prop have some translucent polygonal geometry? No.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|long = obj.GetMTime ()| -  Get the actors mtime plus consider its properties and texture if set.
//// \item @|vtkProperty = obj.GetProperty ()| -  Get property of the internal actor.
//// \item @|obj.SetProperty (vtkProperty p)| -  Set property of the internal actor.
////\end{itemize}
//!
