#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCameraInterpolator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCameraInterpolator.h"

//@@Signature
//sfunction @vtkCameraInterpolator:vtkCameraInterpolator vtkCameraInterpolatorConstructorFunction
//input a
//output p
//@@Parents vtkCameraInterpolator vtkObject 
ArrayVector vtkCameraInterpolatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCameraInterpolator::New(),"vtkCameraInterpolator",eval);
  } else if (arg[0].className() == "vtkCameraInterpolator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCameraInterpolator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCameraInterpolator");
    vtkCameraInterpolator*q = reinterpret_cast<vtkCameraInterpolator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCameraInterpolator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCameraInterpolator:GetClassName vtkCameraInterpolatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCameraInterpolatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:IsA vtkCameraInterpolatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCameraInterpolatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCameraInterpolator requires 2 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:NewInstance vtkCameraInterpolatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCameraInterpolatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCameraInterpolator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtkCameraInterpolator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCameraInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:SafeDownCast vtkCameraInterpolatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCameraInterpolatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCameraInterpolator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCameraInterpolator requires 2 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCameraInterpolator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCameraInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:GetNumberOfCameras vtkCameraInterpolatorGetNumberOfCamerasFunction
//input a0 
//output y
ArrayVector vtkCameraInterpolatorGetNumberOfCamerasFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCameras (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCameras for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCameras();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:GetMinimumT vtkCameraInterpolatorGetMinimumTFunction
//input a0 
//output y
ArrayVector vtkCameraInterpolatorGetMinimumTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumT (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumT for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumT();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:GetMaximumT vtkCameraInterpolatorGetMaximumTFunction
//input a0 
//output y
ArrayVector vtkCameraInterpolatorGetMaximumTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumT (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumT for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumT();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:Initialize vtkCameraInterpolatorInitializeFunction
//input a0 
//output none
ArrayVector vtkCameraInterpolatorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:AddCamera vtkCameraInterpolatorAddCameraFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCameraInterpolatorAddCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddCamera (double t, vtkCamera *camera); */
  if (arg.size() < 3) 
    throw Exception("Function AddCamera for class vtkCameraInterpolator requires 3 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  double   temp0;
  vtkCamera  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkCamera>(arg[2]);
  vtk_pointer->AddCamera(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:RemoveCamera vtkCameraInterpolatorRemoveCameraFunction
//input a0 a1 
//output none
ArrayVector vtkCameraInterpolatorRemoveCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveCamera (double t); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveCamera for class vtkCameraInterpolator requires 2 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->RemoveCamera(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:InterpolateCamera vtkCameraInterpolatorInterpolateCameraFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCameraInterpolatorInterpolateCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateCamera (double t, vtkCamera *camera); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateCamera for class vtkCameraInterpolator requires 3 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  double   temp0;
  vtkCamera  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkCamera>(arg[2]);
  vtk_pointer->InterpolateCamera(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:SetInterpolationType vtkCameraInterpolatorSetInterpolationTypeFunction
//input a0 a1 
//output none
ArrayVector vtkCameraInterpolatorSetInterpolationTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInterpolationType for class vtkCameraInterpolator requires 2 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInterpolationType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:GetInterpolationTypeMinValue vtkCameraInterpolatorGetInterpolationTypeMinValueFunction
//input a0 
//output y
ArrayVector vtkCameraInterpolatorGetInterpolationTypeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationTypeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationTypeMinValue for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationTypeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:GetInterpolationTypeMaxValue vtkCameraInterpolatorGetInterpolationTypeMaxValueFunction
//input a0 
//output y
ArrayVector vtkCameraInterpolatorGetInterpolationTypeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationTypeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationTypeMaxValue for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationTypeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:GetInterpolationType vtkCameraInterpolatorGetInterpolationTypeFunction
//input a0 
//output y
ArrayVector vtkCameraInterpolatorGetInterpolationTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationType for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:SetInterpolationTypeToLinear vtkCameraInterpolatorSetInterpolationTypeToLinearFunction
//input a0 
//output none
ArrayVector vtkCameraInterpolatorSetInterpolationTypeToLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationTypeToLinear ();this SetInterpolationType INTERPOLATION_TYPE_LINEAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationTypeToLinear for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationTypeToLinear();
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:SetInterpolationTypeToSpline vtkCameraInterpolatorSetInterpolationTypeToSplineFunction
//input a0 
//output none
ArrayVector vtkCameraInterpolatorSetInterpolationTypeToSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationTypeToSpline ();this SetInterpolationType INTERPOLATION_TYPE_SPLINE  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationTypeToSpline for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationTypeToSpline();
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:SetInterpolationTypeToManual vtkCameraInterpolatorSetInterpolationTypeToManualFunction
//input a0 
//output none
ArrayVector vtkCameraInterpolatorSetInterpolationTypeToManualFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationTypeToManual ();this SetInterpolationType INTERPOLATION_TYPE_MANUAL  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationTypeToManual for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationTypeToManual();
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:SetPositionInterpolator vtkCameraInterpolatorSetPositionInterpolatorFunction
//input a0 a1 
//output none
ArrayVector vtkCameraInterpolatorSetPositionInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPositionInterpolator (vtkTupleInterpolator *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPositionInterpolator for class vtkCameraInterpolator requires 2 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtkTupleInterpolator  *temp0;
  temp0 = GetVTKPointer<vtkTupleInterpolator>(arg[1]);
  vtk_pointer->SetPositionInterpolator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:GetPositionInterpolator vtkCameraInterpolatorGetPositionInterpolatorFunction
//input a0 
//output y
ArrayVector vtkCameraInterpolatorGetPositionInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTupleInterpolator *GetPositionInterpolator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPositionInterpolator for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtkTupleInterpolator  *temp20;
  temp20 = (vtk_pointer)->GetPositionInterpolator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTupleInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:SetFocalPointInterpolator vtkCameraInterpolatorSetFocalPointInterpolatorFunction
//input a0 a1 
//output none
ArrayVector vtkCameraInterpolatorSetFocalPointInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFocalPointInterpolator (vtkTupleInterpolator *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFocalPointInterpolator for class vtkCameraInterpolator requires 2 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtkTupleInterpolator  *temp0;
  temp0 = GetVTKPointer<vtkTupleInterpolator>(arg[1]);
  vtk_pointer->SetFocalPointInterpolator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:GetFocalPointInterpolator vtkCameraInterpolatorGetFocalPointInterpolatorFunction
//input a0 
//output y
ArrayVector vtkCameraInterpolatorGetFocalPointInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTupleInterpolator *GetFocalPointInterpolator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFocalPointInterpolator for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtkTupleInterpolator  *temp20;
  temp20 = (vtk_pointer)->GetFocalPointInterpolator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTupleInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:SetViewUpInterpolator vtkCameraInterpolatorSetViewUpInterpolatorFunction
//input a0 a1 
//output none
ArrayVector vtkCameraInterpolatorSetViewUpInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetViewUpInterpolator (vtkTupleInterpolator *); */
  if (arg.size() < 2) 
    throw Exception("Function SetViewUpInterpolator for class vtkCameraInterpolator requires 2 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtkTupleInterpolator  *temp0;
  temp0 = GetVTKPointer<vtkTupleInterpolator>(arg[1]);
  vtk_pointer->SetViewUpInterpolator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:GetViewUpInterpolator vtkCameraInterpolatorGetViewUpInterpolatorFunction
//input a0 
//output y
ArrayVector vtkCameraInterpolatorGetViewUpInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTupleInterpolator *GetViewUpInterpolator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewUpInterpolator for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtkTupleInterpolator  *temp20;
  temp20 = (vtk_pointer)->GetViewUpInterpolator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTupleInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:SetViewAngleInterpolator vtkCameraInterpolatorSetViewAngleInterpolatorFunction
//input a0 a1 
//output none
ArrayVector vtkCameraInterpolatorSetViewAngleInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetViewAngleInterpolator (vtkTupleInterpolator *); */
  if (arg.size() < 2) 
    throw Exception("Function SetViewAngleInterpolator for class vtkCameraInterpolator requires 2 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtkTupleInterpolator  *temp0;
  temp0 = GetVTKPointer<vtkTupleInterpolator>(arg[1]);
  vtk_pointer->SetViewAngleInterpolator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:GetViewAngleInterpolator vtkCameraInterpolatorGetViewAngleInterpolatorFunction
//input a0 
//output y
ArrayVector vtkCameraInterpolatorGetViewAngleInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTupleInterpolator *GetViewAngleInterpolator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewAngleInterpolator for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtkTupleInterpolator  *temp20;
  temp20 = (vtk_pointer)->GetViewAngleInterpolator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTupleInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:SetParallelScaleInterpolator vtkCameraInterpolatorSetParallelScaleInterpolatorFunction
//input a0 a1 
//output none
ArrayVector vtkCameraInterpolatorSetParallelScaleInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetParallelScaleInterpolator (vtkTupleInterpolator *); */
  if (arg.size() < 2) 
    throw Exception("Function SetParallelScaleInterpolator for class vtkCameraInterpolator requires 2 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtkTupleInterpolator  *temp0;
  temp0 = GetVTKPointer<vtkTupleInterpolator>(arg[1]);
  vtk_pointer->SetParallelScaleInterpolator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:GetParallelScaleInterpolator vtkCameraInterpolatorGetParallelScaleInterpolatorFunction
//input a0 
//output y
ArrayVector vtkCameraInterpolatorGetParallelScaleInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTupleInterpolator *GetParallelScaleInterpolator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParallelScaleInterpolator for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtkTupleInterpolator  *temp20;
  temp20 = (vtk_pointer)->GetParallelScaleInterpolator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTupleInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:SetClippingRangeInterpolator vtkCameraInterpolatorSetClippingRangeInterpolatorFunction
//input a0 a1 
//output none
ArrayVector vtkCameraInterpolatorSetClippingRangeInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetClippingRangeInterpolator (vtkTupleInterpolator *); */
  if (arg.size() < 2) 
    throw Exception("Function SetClippingRangeInterpolator for class vtkCameraInterpolator requires 2 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtkTupleInterpolator  *temp0;
  temp0 = GetVTKPointer<vtkTupleInterpolator>(arg[1]);
  vtk_pointer->SetClippingRangeInterpolator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:GetClippingRangeInterpolator vtkCameraInterpolatorGetClippingRangeInterpolatorFunction
//input a0 
//output y
ArrayVector vtkCameraInterpolatorGetClippingRangeInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTupleInterpolator *GetClippingRangeInterpolator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClippingRangeInterpolator for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  vtkTupleInterpolator  *temp20;
  temp20 = (vtk_pointer)->GetClippingRangeInterpolator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTupleInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:GetMTime vtkCameraInterpolatorGetMTimeFunction
//input a0 
//output y
ArrayVector vtkCameraInterpolatorGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkCameraInterpolator requires 1 argument(s)");
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraInterpolator:display vtkCameraInterpolatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCameraInterpolatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCameraInterpolator* vtk_pointer = GetVTKPointer<vtkCameraInterpolator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCameraInterpolator:delete vtkCameraInterpolatorDeleteFunction
//input varargin
//output none
ArrayVector vtkCameraInterpolatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCameraInterpolator
//@@Section VTKRendering
//@@Usage
// This class is used to interpolate a series of cameras to update a
// specified camera. Either linear interpolation or spline interpolation may
// be used. The instance variables currently interpolated include position,
// focal point, view up, view angle, parallel scale, and clipping range.
//
// To use this class, specify the type of interpolation to use, and add a
// series of cameras at various times "t" to the list of cameras from which to
// interpolate. Then to interpolate in between cameras, simply invoke the
// function InterpolateCamera(t,camera) where "camera" is the camera to be
// updated with interpolated values. Note that "t" should be in the range
// (min,max) times specified with the AddCamera() method. If outside this
// range, the interpolation is clamped. This class copies the camera information
// (as compared to referencing the cameras) so you do not need to keep separate
// instances of the camera around for each camera added to the list of cameras
// to interpolate.
//
//
//To create an instance of class vtkCameraInterpolator, simply
//invoke its constructor as follows
//@[
//  obj = vtkCameraInterpolator
//@]
//@@Methods
//The class vtkCameraInterpolator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCameraInterpolator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCameraInterpolator = obj.NewInstance ()|
// \item @|vtkCameraInterpolator = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetNumberOfCameras ()| -  Return the number of cameras in the list of cameras.
//// \item @|double = obj.GetMinimumT ()| -  Obtain some information about the interpolation range. The numbers
// returned are undefined if the list of cameras is empty.
//// \item @|double = obj.GetMaximumT ()| -  Obtain some information about the interpolation range. The numbers
// returned are undefined if the list of cameras is empty.
//// \item @|obj.Initialize ()| -  Clear the list of cameras.
//// \item @|obj.AddCamera (double t, vtkCamera camera)| -  Add another camera to the list of cameras defining
// the camera function. Note that using the same time t value
// more than once replaces the previous camera value at t.
// At least one camera must be added to define a function.
//// \item @|obj.RemoveCamera (double t)| -  Delete the camera at a particular parameter t. If there is no
// camera defined at location t, then the method does nothing.
//// \item @|obj.InterpolateCamera (double t, vtkCamera camera)| -  Interpolate the list of cameras and determine a new camera (i.e.,
// fill in the camera provided). If t is outside the range of
// (min,max) values, then t is clamped to lie within this range.
//// \item @|obj.SetInterpolationType (int )| -  These are convenience methods to switch between linear and spline
// interpolation. The methods simply forward the request for linear or
// spline interpolation to the instance variable interpolators (i.e.,
// position, focal point, clipping range, orientation, etc.)
// interpolators. Note that if the InterpolationType is set to "Manual",
// then the interpolators are expected to be directly manipulated and this
// class does not forward the request for interpolation type to its
// interpolators.
//// \item @|int = obj.GetInterpolationTypeMinValue ()| -  These are convenience methods to switch between linear and spline
// interpolation. The methods simply forward the request for linear or
// spline interpolation to the instance variable interpolators (i.e.,
// position, focal point, clipping range, orientation, etc.)
// interpolators. Note that if the InterpolationType is set to "Manual",
// then the interpolators are expected to be directly manipulated and this
// class does not forward the request for interpolation type to its
// interpolators.
//// \item @|int = obj.GetInterpolationTypeMaxValue ()| -  These are convenience methods to switch between linear and spline
// interpolation. The methods simply forward the request for linear or
// spline interpolation to the instance variable interpolators (i.e.,
// position, focal point, clipping range, orientation, etc.)
// interpolators. Note that if the InterpolationType is set to "Manual",
// then the interpolators are expected to be directly manipulated and this
// class does not forward the request for interpolation type to its
// interpolators.
//// \item @|int = obj.GetInterpolationType ()| -  These are convenience methods to switch between linear and spline
// interpolation. The methods simply forward the request for linear or
// spline interpolation to the instance variable interpolators (i.e.,
// position, focal point, clipping range, orientation, etc.)
// interpolators. Note that if the InterpolationType is set to "Manual",
// then the interpolators are expected to be directly manipulated and this
// class does not forward the request for interpolation type to its
// interpolators.
//// \item @|obj.SetInterpolationTypeToLinear ()| -  These are convenience methods to switch between linear and spline
// interpolation. The methods simply forward the request for linear or
// spline interpolation to the instance variable interpolators (i.e.,
// position, focal point, clipping range, orientation, etc.)
// interpolators. Note that if the InterpolationType is set to "Manual",
// then the interpolators are expected to be directly manipulated and this
// class does not forward the request for interpolation type to its
// interpolators.
//// \item @|obj.SetInterpolationTypeToSpline ()| -  These are convenience methods to switch between linear and spline
// interpolation. The methods simply forward the request for linear or
// spline interpolation to the instance variable interpolators (i.e.,
// position, focal point, clipping range, orientation, etc.)
// interpolators. Note that if the InterpolationType is set to "Manual",
// then the interpolators are expected to be directly manipulated and this
// class does not forward the request for interpolation type to its
// interpolators.
//// \item @|obj.SetInterpolationTypeToManual ()| -  Set/Get the tuple interpolator used to interpolate the position portion
// of the camera. Note that you can modify the behavior of the interpolator
// (linear vs spline interpolation; change spline basis) by manipulating
// the interpolator instances directly.
//// \item @|obj.SetPositionInterpolator (vtkTupleInterpolator )| -  Set/Get the tuple interpolator used to interpolate the position portion
// of the camera. Note that you can modify the behavior of the interpolator
// (linear vs spline interpolation; change spline basis) by manipulating
// the interpolator instances directly.
//// \item @|vtkTupleInterpolator = obj.GetPositionInterpolator ()| -  Set/Get the tuple interpolator used to interpolate the position portion
// of the camera. Note that you can modify the behavior of the interpolator
// (linear vs spline interpolation; change spline basis) by manipulating
// the interpolator instances directly.
//// \item @|obj.SetFocalPointInterpolator (vtkTupleInterpolator )| -  Set/Get the tuple interpolator used to interpolate the focal point portion
// of the camera. Note that you can modify the behavior of the interpolator
// (linear vs spline interpolation; change spline basis) by manipulating
// the interpolator instances directly.
//// \item @|vtkTupleInterpolator = obj.GetFocalPointInterpolator ()| -  Set/Get the tuple interpolator used to interpolate the focal point portion
// of the camera. Note that you can modify the behavior of the interpolator
// (linear vs spline interpolation; change spline basis) by manipulating
// the interpolator instances directly.
//// \item @|obj.SetViewUpInterpolator (vtkTupleInterpolator )| -  Set/Get the tuple interpolator used to interpolate the view up portion
// of the camera. Note that you can modify the behavior of the interpolator
// (linear vs spline interpolation; change spline basis) by manipulating
// the interpolator instances directly.
//// \item @|vtkTupleInterpolator = obj.GetViewUpInterpolator ()| -  Set/Get the tuple interpolator used to interpolate the view up portion
// of the camera. Note that you can modify the behavior of the interpolator
// (linear vs spline interpolation; change spline basis) by manipulating
// the interpolator instances directly.
//// \item @|obj.SetViewAngleInterpolator (vtkTupleInterpolator )| -  Set/Get the tuple interpolator used to interpolate the view angle portion
// of the camera. Note that you can modify the behavior of the interpolator
// (linear vs spline interpolation; change spline basis) by manipulating
// the interpolator instances directly.
//// \item @|vtkTupleInterpolator = obj.GetViewAngleInterpolator ()| -  Set/Get the tuple interpolator used to interpolate the view angle portion
// of the camera. Note that you can modify the behavior of the interpolator
// (linear vs spline interpolation; change spline basis) by manipulating
// the interpolator instances directly.
//// \item @|obj.SetParallelScaleInterpolator (vtkTupleInterpolator )| -  Set/Get the tuple interpolator used to interpolate the parallel scale portion
// of the camera. Note that you can modify the behavior of the interpolator
// (linear vs spline interpolation; change spline basis) by manipulating
// the interpolator instances directly.
//// \item @|vtkTupleInterpolator = obj.GetParallelScaleInterpolator ()| -  Set/Get the tuple interpolator used to interpolate the parallel scale portion
// of the camera. Note that you can modify the behavior of the interpolator
// (linear vs spline interpolation; change spline basis) by manipulating
// the interpolator instances directly.
//// \item @|obj.SetClippingRangeInterpolator (vtkTupleInterpolator )| -  Set/Get the tuple interpolator used to interpolate the clipping range portion
// of the camera. Note that you can modify the behavior of the interpolator
// (linear vs spline interpolation; change spline basis) by manipulating
// the interpolator instances directly.
//// \item @|vtkTupleInterpolator = obj.GetClippingRangeInterpolator ()| -  Set/Get the tuple interpolator used to interpolate the clipping range portion
// of the camera. Note that you can modify the behavior of the interpolator
// (linear vs spline interpolation; change spline basis) by manipulating
// the interpolator instances directly.
//// \item @|long = obj.GetMTime ()| -  Override GetMTime() because we depend on the interpolators which may be
// modified outside of this class.
////\end{itemize}
//!
