#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCellCenterDepthSort object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCellCenterDepthSort.h"

//@@Signature
//sfunction @vtkCellCenterDepthSort:vtkCellCenterDepthSort vtkCellCenterDepthSortConstructorFunction
//input a
//output p
//@@Parents vtkCellCenterDepthSort vtkVisibilitySort 
ArrayVector vtkCellCenterDepthSortConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCellCenterDepthSort::New(),"vtkCellCenterDepthSort",eval);
  } else if (arg[0].className() == "vtkCellCenterDepthSort") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCellCenterDepthSort"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCellCenterDepthSort");
    vtkCellCenterDepthSort*q = reinterpret_cast<vtkCellCenterDepthSort*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCellCenterDepthSort");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCellCenterDepthSort:GetClassName vtkCellCenterDepthSortGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCellCenterDepthSortGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCellCenterDepthSort requires 1 argument(s)");
  vtkCellCenterDepthSort* vtk_pointer = GetVTKPointer<vtkCellCenterDepthSort>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellCenterDepthSort:IsA vtkCellCenterDepthSortIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCellCenterDepthSortIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCellCenterDepthSort requires 2 argument(s)");
  vtkCellCenterDepthSort* vtk_pointer = GetVTKPointer<vtkCellCenterDepthSort>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellCenterDepthSort:NewInstance vtkCellCenterDepthSortNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCellCenterDepthSortNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellCenterDepthSort *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCellCenterDepthSort requires 1 argument(s)");
  vtkCellCenterDepthSort* vtk_pointer = GetVTKPointer<vtkCellCenterDepthSort>(arg[0]);
  Array retval;
  vtkCellCenterDepthSort  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellCenterDepthSort",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellCenterDepthSort:SafeDownCast vtkCellCenterDepthSortSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCellCenterDepthSortSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellCenterDepthSort *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCellCenterDepthSort requires 2 argument(s)");
  vtkCellCenterDepthSort* vtk_pointer = GetVTKPointer<vtkCellCenterDepthSort>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCellCenterDepthSort  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellCenterDepthSort",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellCenterDepthSort:InitTraversal vtkCellCenterDepthSortInitTraversalFunction
//input a0 
//output none
ArrayVector vtkCellCenterDepthSortInitTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InitTraversal (); */
  if (arg.size() < 1) 
    throw Exception("Function InitTraversal for class vtkCellCenterDepthSort requires 1 argument(s)");
  vtkCellCenterDepthSort* vtk_pointer = GetVTKPointer<vtkCellCenterDepthSort>(arg[0]);
  Array retval;
  vtk_pointer->InitTraversal();
  return retval;
}

//@@Signature
//sfunction @vtkCellCenterDepthSort:GetNextCells vtkCellCenterDepthSortGetNextCellsFunction
//input a0 
//output y
ArrayVector vtkCellCenterDepthSortGetNextCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdTypeArray *GetNextCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextCells for class vtkCellCenterDepthSort requires 1 argument(s)");
  vtkCellCenterDepthSort* vtk_pointer = GetVTKPointer<vtkCellCenterDepthSort>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp20;
  temp20 = (vtk_pointer)->GetNextCells();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdTypeArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellCenterDepthSort:display vtkCellCenterDepthSortDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCellCenterDepthSortDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCellCenterDepthSort* vtk_pointer = GetVTKPointer<vtkCellCenterDepthSort>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCellCenterDepthSort:delete vtkCellCenterDepthSortDeleteFunction
//input varargin
//output none
ArrayVector vtkCellCenterDepthSortDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCellCenterDepthSort
//@@Section VTKRendering
//@@Usage
// vtkCellCenterDepthSort is a simple and fast implementation of depth
// sort, but it only provides approximate results.  The sorting algorithm
// finds the centroids of all the cells.  It then performs the dot product
// of the centroids against a vector pointing in the direction of the
// camera transformed into object space.  It then performs an ordinary sort
// on the result.
//
//
//To create an instance of class vtkCellCenterDepthSort, simply
//invoke its constructor as follows
//@[
//  obj = vtkCellCenterDepthSort
//@]
//@@Methods
//The class vtkCellCenterDepthSort has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCellCenterDepthSort class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCellCenterDepthSort = obj.NewInstance ()|
// \item @|vtkCellCenterDepthSort = obj.SafeDownCast (vtkObject o)|
// \item @|obj.InitTraversal ()|
// \item @|vtkIdTypeArray = obj.GetNextCells ()|
//\end{itemize}
//!
