#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCellPicker object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCellPicker.h"

//@@Signature
//sfunction @vtkCellPicker:vtkCellPicker vtkCellPickerConstructorFunction
//input a
//output p
//@@Parents vtkCellPicker vtkPicker 
ArrayVector vtkCellPickerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCellPicker::New(),"vtkCellPicker",eval);
  } else if (arg[0].className() == "vtkCellPicker") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCellPicker"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCellPicker");
    vtkCellPicker*q = reinterpret_cast<vtkCellPicker*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCellPicker");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCellPicker:GetClassName vtkCellPickerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCellPickerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:IsA vtkCellPickerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCellPickerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCellPicker requires 2 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:NewInstance vtkCellPickerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCellPickerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellPicker *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  vtkCellPicker  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:SafeDownCast vtkCellPickerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCellPickerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellPicker *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCellPicker requires 2 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCellPicker  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:Pick vtkCellPickerPickFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkCellPickerPickFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer *renderer); */
  if (arg.size() < 5) 
    throw Exception("Function Pick for class vtkCellPicker requires 5 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkRenderer  *temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkRenderer>(arg[4]);
  temp20 = (vtk_pointer)->Pick(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:AddLocator vtkCellPickerAddLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkCellPickerAddLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddLocator (vtkAbstractCellLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function AddLocator for class vtkCellPicker requires 2 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  vtkAbstractCellLocator  *temp0;
  temp0 = GetVTKPointer<vtkAbstractCellLocator>(arg[1]);
  vtk_pointer->AddLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:RemoveLocator vtkCellPickerRemoveLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkCellPickerRemoveLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveLocator (vtkAbstractCellLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveLocator for class vtkCellPicker requires 2 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  vtkAbstractCellLocator  *temp0;
  temp0 = GetVTKPointer<vtkAbstractCellLocator>(arg[1]);
  vtk_pointer->RemoveLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:RemoveAllLocators vtkCellPickerRemoveAllLocatorsFunction
//input a0 
//output none
ArrayVector vtkCellPickerRemoveAllLocatorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllLocators (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllLocators for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllLocators();
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:SetVolumeOpacityIsovalue vtkCellPickerSetVolumeOpacityIsovalueFunction
//input a0 a1 
//output none
ArrayVector vtkCellPickerSetVolumeOpacityIsovalueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVolumeOpacityIsovalue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVolumeOpacityIsovalue for class vtkCellPicker requires 2 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetVolumeOpacityIsovalue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:GetVolumeOpacityIsovalue vtkCellPickerGetVolumeOpacityIsovalueFunction
//input a0 
//output y
ArrayVector vtkCellPickerGetVolumeOpacityIsovalueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetVolumeOpacityIsovalue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVolumeOpacityIsovalue for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetVolumeOpacityIsovalue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:SetUseVolumeGradientOpacity vtkCellPickerSetUseVolumeGradientOpacityFunction
//input a0 a1 
//output none
ArrayVector vtkCellPickerSetUseVolumeGradientOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseVolumeGradientOpacity (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseVolumeGradientOpacity for class vtkCellPicker requires 2 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseVolumeGradientOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:UseVolumeGradientOpacityOn vtkCellPickerUseVolumeGradientOpacityOnFunction
//input a0 
//output none
ArrayVector vtkCellPickerUseVolumeGradientOpacityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseVolumeGradientOpacityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseVolumeGradientOpacityOn for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  vtk_pointer->UseVolumeGradientOpacityOn();
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:UseVolumeGradientOpacityOff vtkCellPickerUseVolumeGradientOpacityOffFunction
//input a0 
//output none
ArrayVector vtkCellPickerUseVolumeGradientOpacityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseVolumeGradientOpacityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseVolumeGradientOpacityOff for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  vtk_pointer->UseVolumeGradientOpacityOff();
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:GetUseVolumeGradientOpacity vtkCellPickerGetUseVolumeGradientOpacityFunction
//input a0 
//output y
ArrayVector vtkCellPickerGetUseVolumeGradientOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseVolumeGradientOpacity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseVolumeGradientOpacity for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseVolumeGradientOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:SetPickClippingPlanes vtkCellPickerSetPickClippingPlanesFunction
//input a0 a1 
//output none
ArrayVector vtkCellPickerSetPickClippingPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPickClippingPlanes (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPickClippingPlanes for class vtkCellPicker requires 2 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPickClippingPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:PickClippingPlanesOn vtkCellPickerPickClippingPlanesOnFunction
//input a0 
//output none
ArrayVector vtkCellPickerPickClippingPlanesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PickClippingPlanesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PickClippingPlanesOn for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  vtk_pointer->PickClippingPlanesOn();
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:PickClippingPlanesOff vtkCellPickerPickClippingPlanesOffFunction
//input a0 
//output none
ArrayVector vtkCellPickerPickClippingPlanesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PickClippingPlanesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PickClippingPlanesOff for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  vtk_pointer->PickClippingPlanesOff();
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:GetPickClippingPlanes vtkCellPickerGetPickClippingPlanesFunction
//input a0 
//output y
ArrayVector vtkCellPickerGetPickClippingPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPickClippingPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPickClippingPlanes for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPickClippingPlanes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:GetClippingPlaneId vtkCellPickerGetClippingPlaneIdFunction
//input a0 
//output y
ArrayVector vtkCellPickerGetClippingPlaneIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClippingPlaneId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClippingPlaneId for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClippingPlaneId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:GetPickNormal vtkCellPickerGetPickNormalFunction
//input a0 
//output y
ArrayVector vtkCellPickerGetPickNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPickNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPickNormal for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPickNormal();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:GetMapperNormal vtkCellPickerGetMapperNormalFunction
//input a0 
//output y
ArrayVector vtkCellPickerGetMapperNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetMapperNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMapperNormal for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetMapperNormal();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:GetPointIJK vtkCellPickerGetPointIJKFunction
//input a0 
//output y
ArrayVector vtkCellPickerGetPointIJKFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetPointIJK (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointIJK for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetPointIJK();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:GetCellIJK vtkCellPickerGetCellIJKFunction
//input a0 
//output y
ArrayVector vtkCellPickerGetCellIJKFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetCellIJK (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellIJK for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetCellIJK();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:GetPointId vtkCellPickerGetPointIdFunction
//input a0 
//output y
ArrayVector vtkCellPickerGetPointIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointId for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:GetCellId vtkCellPickerGetCellIdFunction
//input a0 
//output y
ArrayVector vtkCellPickerGetCellIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellId for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:GetSubId vtkCellPickerGetSubIdFunction
//input a0 
//output y
ArrayVector vtkCellPickerGetSubIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSubId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubId for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSubId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:GetPCoords vtkCellPickerGetPCoordsFunction
//input a0 
//output y
ArrayVector vtkCellPickerGetPCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPCoords (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPCoords for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPCoords();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:GetTexture vtkCellPickerGetTextureFunction
//input a0 
//output y
ArrayVector vtkCellPickerGetTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTexture *GetTexture ();return this Texture  */
  if (arg.size() < 1) 
    throw Exception("Function GetTexture for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  vtkTexture  *temp20;
  temp20 = (vtk_pointer)->GetTexture();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:SetPickTextureData vtkCellPickerSetPickTextureDataFunction
//input a0 a1 
//output none
ArrayVector vtkCellPickerSetPickTextureDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPickTextureData (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPickTextureData for class vtkCellPicker requires 2 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPickTextureData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:PickTextureDataOn vtkCellPickerPickTextureDataOnFunction
//input a0 
//output none
ArrayVector vtkCellPickerPickTextureDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PickTextureDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PickTextureDataOn for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  vtk_pointer->PickTextureDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:PickTextureDataOff vtkCellPickerPickTextureDataOffFunction
//input a0 
//output none
ArrayVector vtkCellPickerPickTextureDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PickTextureDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PickTextureDataOff for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  vtk_pointer->PickTextureDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:GetPickTextureData vtkCellPickerGetPickTextureDataFunction
//input a0 
//output y
ArrayVector vtkCellPickerGetPickTextureDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPickTextureData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPickTextureData for class vtkCellPicker requires 1 argument(s)");
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPickTextureData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCellPicker:display vtkCellPickerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCellPickerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCellPicker* vtk_pointer = GetVTKPointer<vtkCellPicker>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCellPicker:delete vtkCellPickerDeleteFunction
//input varargin
//output none
ArrayVector vtkCellPickerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCellPicker
//@@Section VTKRendering
//@@Usage
// vtkCellPicker will shoot a ray into a 3D scene and return information
// about the first object that the ray hits.  It works for all Prop3Ds.
// For vtkVolume objects, it shoots a ray into the volume and returns
// the point where the ray intersects an isosurface of a chosen opacity.
// For vtkImageActor objects, it intersects the ray with the displayed
// slice. For vtkActor objects, it intersects the actor's polygons.
// If the object's mapper has ClippingPlanes, then it takes the clipping
// into account, and will return the Id of the clipping plane that was
// intersected.
// For all prop types, it returns point and cell information, plus the
// normal of the surface that was intersected at the pick position.  For
// volumes and images, it also returns (i,j,k) coordinates for the point
// and the cell that were picked.  
//
//
//To create an instance of class vtkCellPicker, simply
//invoke its constructor as follows
//@[
//  obj = vtkCellPicker
//@]
//@@Methods
//The class vtkCellPicker has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCellPicker class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCellPicker = obj.NewInstance ()|
// \item @|vtkCellPicker = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer renderer)| -  Perform pick operation with selection point provided. Normally the 
// first two values are the (x,y) pixel coordinates for the pick, and
// the third value is z=0. The return value will be non-zero if
// something was successfully picked.
//// \item @|obj.AddLocator (vtkAbstractCellLocator locator)| -  Add a locator for one of the data sets that will be included in the
// scene.  You must set up the locator with exactly the same data set
// that was input to the mapper of one or more of the actors in the
// scene.  As well, you must either build the locator before doing the
// pick, or you must turn on LazyEvaluation in the locator to make it
// build itself on the first pick.  Note that if you try to add the
// same locator to the picker twice, the second addition will be ignored.
//// \item @|obj.RemoveLocator (vtkAbstractCellLocator locator)| -  Remove a locator that was previously added.  If you try to remove a
// nonexistent locator, then nothing will happen and no errors will be
// raised.
//// \item @|obj.RemoveAllLocators ()| -  Remove all locators associated with this picker.
//// \item @|obj.SetVolumeOpacityIsovalue (double )| -  Set the opacity isovalue to use for defining volume surfaces.  The
// pick will occur at the location along the pick ray where the 
// opacity of the volume is equal to this isovalue.  If you want to do
// the pick based on an actual data isovalue rather than the opacity,
// then pass the data value through the scalar opacity function before
// using this method.
//// \item @|double = obj.GetVolumeOpacityIsovalue ()| -  Set the opacity isovalue to use for defining volume surfaces.  The
// pick will occur at the location along the pick ray where the 
// opacity of the volume is equal to this isovalue.  If you want to do
// the pick based on an actual data isovalue rather than the opacity,
// then pass the data value through the scalar opacity function before
// using this method.
//// \item @|obj.SetUseVolumeGradientOpacity (int )| -  Use the product of the scalar and gradient opacity functions when
// computing the opacity isovalue, instead of just using the scalar
// opacity. This parameter is only relevant to volume picking and
// is off by default.
//// \item @|obj.UseVolumeGradientOpacityOn ()| -  Use the product of the scalar and gradient opacity functions when
// computing the opacity isovalue, instead of just using the scalar
// opacity. This parameter is only relevant to volume picking and
// is off by default.
//// \item @|obj.UseVolumeGradientOpacityOff ()| -  Use the product of the scalar and gradient opacity functions when
// computing the opacity isovalue, instead of just using the scalar
// opacity. This parameter is only relevant to volume picking and
// is off by default.
//// \item @|int = obj.GetUseVolumeGradientOpacity ()| -  Use the product of the scalar and gradient opacity functions when
// computing the opacity isovalue, instead of just using the scalar
// opacity. This parameter is only relevant to volume picking and
// is off by default.
//// \item @|obj.SetPickClippingPlanes (int )| -  The PickClippingPlanes setting controls how clipping planes are
// handled by the pick.  If it is On, then the clipping planes become
// pickable objects, even though they are usually invisible.  This
// means that if the pick ray intersects a clipping plane before it
// hits anything else, the pick will stop at that clipping plane.
// The GetProp3D() and GetMapper() methods will return the Prop3D
// and Mapper that the clipping plane belongs to.  The
// GetClippingPlaneId() method will return the index of the clipping
// plane so that you can retrieve it from the mapper, or -1 if no
// clipping plane was picked. The picking of vtkImageActors is not
// influenced by this setting, since they have no clipping planes.
//// \item @|obj.PickClippingPlanesOn ()| -  The PickClippingPlanes setting controls how clipping planes are
// handled by the pick.  If it is On, then the clipping planes become
// pickable objects, even though they are usually invisible.  This
// means that if the pick ray intersects a clipping plane before it
// hits anything else, the pick will stop at that clipping plane.
// The GetProp3D() and GetMapper() methods will return the Prop3D
// and Mapper that the clipping plane belongs to.  The
// GetClippingPlaneId() method will return the index of the clipping
// plane so that you can retrieve it from the mapper, or -1 if no
// clipping plane was picked. The picking of vtkImageActors is not
// influenced by this setting, since they have no clipping planes.
//// \item @|obj.PickClippingPlanesOff ()| -  The PickClippingPlanes setting controls how clipping planes are
// handled by the pick.  If it is On, then the clipping planes become
// pickable objects, even though they are usually invisible.  This
// means that if the pick ray intersects a clipping plane before it
// hits anything else, the pick will stop at that clipping plane.
// The GetProp3D() and GetMapper() methods will return the Prop3D
// and Mapper that the clipping plane belongs to.  The
// GetClippingPlaneId() method will return the index of the clipping
// plane so that you can retrieve it from the mapper, or -1 if no
// clipping plane was picked. The picking of vtkImageActors is not
// influenced by this setting, since they have no clipping planes.
//// \item @|int = obj.GetPickClippingPlanes ()| -  The PickClippingPlanes setting controls how clipping planes are
// handled by the pick.  If it is On, then the clipping planes become
// pickable objects, even though they are usually invisible.  This
// means that if the pick ray intersects a clipping plane before it
// hits anything else, the pick will stop at that clipping plane.
// The GetProp3D() and GetMapper() methods will return the Prop3D
// and Mapper that the clipping plane belongs to.  The
// GetClippingPlaneId() method will return the index of the clipping
// plane so that you can retrieve it from the mapper, or -1 if no
// clipping plane was picked. The picking of vtkImageActors is not
// influenced by this setting, since they have no clipping planes.
//// \item @|int = obj.GetClippingPlaneId ()| -  Get the index of the clipping plane that was intersected during
// the pick.  This will be set regardless of whether PickClippingPlanes
// is On, all that is required is that the pick intersected a clipping
// plane of the Prop3D that was picked.  The result will be -1 if the
// Prop3D that was picked has no clipping planes, or if the ray didn't
// intersect the planes.
//// \item @|double = obj. GetPickNormal ()| -  Return the normal of the picked surface at the PickPosition.  If no
// surface was picked, then a vector pointing back at the camera is
// returned.
//// \item @|double = obj. GetMapperNormal ()| -  Return the normal of the surface at the PickPosition in mapper
// coordinates.  The result is undefined if no prop was picked.
//// \item @|int = obj. GetPointIJK ()| -  Get the structured coordinates of the point at the PickPosition.
// Only valid for image actors and volumes with vtkImageData.
//// \item @|int = obj. GetCellIJK ()| -  Get the structured coordinates of the cell at the PickPosition.
// Only valid for image actors and volumes with vtkImageData.
// Combine this with the PCoords to get the position within the cell.
//// \item @|vtkIdType = obj.GetPointId ()| -  Get the id of the picked point. If PointId = -1, nothing was picked.
// This point will be a member of any cell that is picked.
//// \item @|vtkIdType = obj.GetCellId ()| -  Get the id of the picked cell. If CellId = -1, nothing was picked.
//// \item @|int = obj.GetSubId ()| -  Get the subId of the picked cell. This is useful, for example, if
// the data is made of triangle strips. If SubId = -1, nothing was picked.
//// \item @|double = obj. GetPCoords ()| -  Get the parametric coordinates of the picked cell. Only valid if
// a prop was picked.  The PCoords can be used to compute the weights
// that are needed to interpolate data values within the cell.
//// \item @|vtkTexture = obj.GetTexture ()| -  Get the texture that was picked.  This will always be set if the
// picked prop has a texture, and will always be null otherwise.
//// \item @|obj.SetPickTextureData (int )| -  If this is "On" and if the picked prop has a texture, then the data
// returned by GetDataSet() will be the texture's data instead of the
// mapper's data.  The GetPointId(), GetCellId(), GetPCoords() etc. will
// all return information for use with the texture's data.  If the picked
// prop does not have any texture, then GetDataSet() will return the
// mapper's data instead and GetPointId() etc. will return information
// related to the mapper's data.  The default value of PickTextureData
// is "Off".
//// \item @|obj.PickTextureDataOn ()| -  If this is "On" and if the picked prop has a texture, then the data
// returned by GetDataSet() will be the texture's data instead of the
// mapper's data.  The GetPointId(), GetCellId(), GetPCoords() etc. will
// all return information for use with the texture's data.  If the picked
// prop does not have any texture, then GetDataSet() will return the
// mapper's data instead and GetPointId() etc. will return information
// related to the mapper's data.  The default value of PickTextureData
// is "Off".
//// \item @|obj.PickTextureDataOff ()| -  If this is "On" and if the picked prop has a texture, then the data
// returned by GetDataSet() will be the texture's data instead of the
// mapper's data.  The GetPointId(), GetCellId(), GetPCoords() etc. will
// all return information for use with the texture's data.  If the picked
// prop does not have any texture, then GetDataSet() will return the
// mapper's data instead and GetPointId() etc. will return information
// related to the mapper's data.  The default value of PickTextureData
// is "Off".
//// \item @|int = obj.GetPickTextureData ()| -  If this is "On" and if the picked prop has a texture, then the data
// returned by GetDataSet() will be the texture's data instead of the
// mapper's data.  The GetPointId(), GetCellId(), GetPCoords() etc. will
// all return information for use with the texture's data.  If the picked
// prop does not have any texture, then GetDataSet() will return the
// mapper's data instead and GetPointId() etc. will return information
// related to the mapper's data.  The default value of PickTextureData
// is "Off".
////\end{itemize}
//!
