#include "VTKWrap.hpp"

// FreeMat wrapper for vtkChooserPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkChooserPainter.h"

//@@Signature
//sfunction @vtkChooserPainter:vtkChooserPainter vtkChooserPainterConstructorFunction
//input a
//output p
//@@Parents vtkChooserPainter vtkPolyDataPainter 
ArrayVector vtkChooserPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkChooserPainter::New(),"vtkChooserPainter",eval);
  } else if (arg[0].className() == "vtkChooserPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkChooserPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkChooserPainter");
    vtkChooserPainter*q = reinterpret_cast<vtkChooserPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkChooserPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkChooserPainter:GetClassName vtkChooserPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkChooserPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkChooserPainter requires 1 argument(s)");
  vtkChooserPainter* vtk_pointer = GetVTKPointer<vtkChooserPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChooserPainter:IsA vtkChooserPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkChooserPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkChooserPainter requires 2 argument(s)");
  vtkChooserPainter* vtk_pointer = GetVTKPointer<vtkChooserPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChooserPainter:NewInstance vtkChooserPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkChooserPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkChooserPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkChooserPainter requires 1 argument(s)");
  vtkChooserPainter* vtk_pointer = GetVTKPointer<vtkChooserPainter>(arg[0]);
  Array retval;
  vtkChooserPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkChooserPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkChooserPainter:SafeDownCast vtkChooserPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkChooserPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkChooserPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkChooserPainter requires 2 argument(s)");
  vtkChooserPainter* vtk_pointer = GetVTKPointer<vtkChooserPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkChooserPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkChooserPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkChooserPainter:SetVertPainter vtkChooserPainterSetVertPainterFunction
//input a0 a1 
//output none
ArrayVector vtkChooserPainterSetVertPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertPainter (vtkPolyDataPainter *); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertPainter for class vtkChooserPainter requires 2 argument(s)");
  vtkChooserPainter* vtk_pointer = GetVTKPointer<vtkChooserPainter>(arg[0]);
  Array retval;
  vtkPolyDataPainter  *temp0;
  temp0 = GetVTKPointer<vtkPolyDataPainter>(arg[1]);
  vtk_pointer->SetVertPainter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkChooserPainter:SetLinePainter vtkChooserPainterSetLinePainterFunction
//input a0 a1 
//output none
ArrayVector vtkChooserPainterSetLinePainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLinePainter (vtkPolyDataPainter *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLinePainter for class vtkChooserPainter requires 2 argument(s)");
  vtkChooserPainter* vtk_pointer = GetVTKPointer<vtkChooserPainter>(arg[0]);
  Array retval;
  vtkPolyDataPainter  *temp0;
  temp0 = GetVTKPointer<vtkPolyDataPainter>(arg[1]);
  vtk_pointer->SetLinePainter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkChooserPainter:SetPolyPainter vtkChooserPainterSetPolyPainterFunction
//input a0 a1 
//output none
ArrayVector vtkChooserPainterSetPolyPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPolyPainter (vtkPolyDataPainter *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPolyPainter for class vtkChooserPainter requires 2 argument(s)");
  vtkChooserPainter* vtk_pointer = GetVTKPointer<vtkChooserPainter>(arg[0]);
  Array retval;
  vtkPolyDataPainter  *temp0;
  temp0 = GetVTKPointer<vtkPolyDataPainter>(arg[1]);
  vtk_pointer->SetPolyPainter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkChooserPainter:SetStripPainter vtkChooserPainterSetStripPainterFunction
//input a0 a1 
//output none
ArrayVector vtkChooserPainterSetStripPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStripPainter (vtkPolyDataPainter *); */
  if (arg.size() < 2) 
    throw Exception("Function SetStripPainter for class vtkChooserPainter requires 2 argument(s)");
  vtkChooserPainter* vtk_pointer = GetVTKPointer<vtkChooserPainter>(arg[0]);
  Array retval;
  vtkPolyDataPainter  *temp0;
  temp0 = GetVTKPointer<vtkPolyDataPainter>(arg[1]);
  vtk_pointer->SetStripPainter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkChooserPainter:SetUseLinesPainterForWireframes vtkChooserPainterSetUseLinesPainterForWireframesFunction
//input a0 a1 
//output none
ArrayVector vtkChooserPainterSetUseLinesPainterForWireframesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseLinesPainterForWireframes (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseLinesPainterForWireframes for class vtkChooserPainter requires 2 argument(s)");
  vtkChooserPainter* vtk_pointer = GetVTKPointer<vtkChooserPainter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseLinesPainterForWireframes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkChooserPainter:GetUseLinesPainterForWireframes vtkChooserPainterGetUseLinesPainterForWireframesFunction
//input a0 
//output y
ArrayVector vtkChooserPainterGetUseLinesPainterForWireframesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseLinesPainterForWireframes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseLinesPainterForWireframes for class vtkChooserPainter requires 1 argument(s)");
  vtkChooserPainter* vtk_pointer = GetVTKPointer<vtkChooserPainter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseLinesPainterForWireframes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChooserPainter:UseLinesPainterForWireframesOn vtkChooserPainterUseLinesPainterForWireframesOnFunction
//input a0 
//output none
ArrayVector vtkChooserPainterUseLinesPainterForWireframesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseLinesPainterForWireframesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseLinesPainterForWireframesOn for class vtkChooserPainter requires 1 argument(s)");
  vtkChooserPainter* vtk_pointer = GetVTKPointer<vtkChooserPainter>(arg[0]);
  Array retval;
  vtk_pointer->UseLinesPainterForWireframesOn();
  return retval;
}

//@@Signature
//sfunction @vtkChooserPainter:UseLinesPainterForWireframesOff vtkChooserPainterUseLinesPainterForWireframesOffFunction
//input a0 
//output none
ArrayVector vtkChooserPainterUseLinesPainterForWireframesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseLinesPainterForWireframesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseLinesPainterForWireframesOff for class vtkChooserPainter requires 1 argument(s)");
  vtkChooserPainter* vtk_pointer = GetVTKPointer<vtkChooserPainter>(arg[0]);
  Array retval;
  vtk_pointer->UseLinesPainterForWireframesOff();
  return retval;
}

//@@Signature
//sfunction @vtkChooserPainter:display vtkChooserPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkChooserPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkChooserPainter* vtk_pointer = GetVTKPointer<vtkChooserPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkChooserPainter:delete vtkChooserPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkChooserPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkChooserPainter
//@@Section VTKRendering
//@@Usage
//
// This painter does not actually do any painting.  Instead, it picks other
// painters based on the current state of itself and its poly data.  It then
// delegates the work to these other painters.
//
//
//To create an instance of class vtkChooserPainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkChooserPainter
//@]
//@@Methods
//The class vtkChooserPainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkChooserPainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkChooserPainter = obj.NewInstance ()|
// \item @|vtkChooserPainter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetVertPainter (vtkPolyDataPainter )|
// \item @|obj.SetLinePainter (vtkPolyDataPainter )|
// \item @|obj.SetPolyPainter (vtkPolyDataPainter )|
// \item @|obj.SetStripPainter (vtkPolyDataPainter )|
// \item @|obj.SetUseLinesPainterForWireframes (int )| -  When set, the lines painter is used for drawing wireframes (off by
// default, except on Mac, where it's on by default).
//// \item @|int = obj.GetUseLinesPainterForWireframes ()| -  When set, the lines painter is used for drawing wireframes (off by
// default, except on Mac, where it's on by default).
//// \item @|obj.UseLinesPainterForWireframesOn ()| -  When set, the lines painter is used for drawing wireframes (off by
// default, except on Mac, where it's on by default).
//// \item @|obj.UseLinesPainterForWireframesOff ()| -  When set, the lines painter is used for drawing wireframes (off by
// default, except on Mac, where it's on by default).
////\end{itemize}
//!
