#include "VTKWrap.hpp"

// FreeMat wrapper for vtkClearZPass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkClearZPass.h"

//@@Signature
//sfunction @vtkClearZPass:vtkClearZPass vtkClearZPassConstructorFunction
//input a
//output p
//@@Parents vtkClearZPass vtkRenderPass 
ArrayVector vtkClearZPassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkClearZPass::New(),"vtkClearZPass",eval);
  } else if (arg[0].className() == "vtkClearZPass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkClearZPass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkClearZPass");
    vtkClearZPass*q = reinterpret_cast<vtkClearZPass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkClearZPass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkClearZPass:GetClassName vtkClearZPassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkClearZPassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkClearZPass requires 1 argument(s)");
  vtkClearZPass* vtk_pointer = GetVTKPointer<vtkClearZPass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClearZPass:IsA vtkClearZPassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkClearZPassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkClearZPass requires 2 argument(s)");
  vtkClearZPass* vtk_pointer = GetVTKPointer<vtkClearZPass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClearZPass:NewInstance vtkClearZPassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkClearZPassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClearZPass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkClearZPass requires 1 argument(s)");
  vtkClearZPass* vtk_pointer = GetVTKPointer<vtkClearZPass>(arg[0]);
  Array retval;
  vtkClearZPass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClearZPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClearZPass:SafeDownCast vtkClearZPassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkClearZPassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClearZPass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkClearZPass requires 2 argument(s)");
  vtkClearZPass* vtk_pointer = GetVTKPointer<vtkClearZPass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkClearZPass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClearZPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClearZPass:SetDepth vtkClearZPassSetDepthFunction
//input a0 a1 
//output none
ArrayVector vtkClearZPassSetDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDepth (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDepth for class vtkClearZPass requires 2 argument(s)");
  vtkClearZPass* vtk_pointer = GetVTKPointer<vtkClearZPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDepth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClearZPass:GetDepthMinValue vtkClearZPassGetDepthMinValueFunction
//input a0 
//output y
ArrayVector vtkClearZPassGetDepthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDepthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepthMinValue for class vtkClearZPass requires 1 argument(s)");
  vtkClearZPass* vtk_pointer = GetVTKPointer<vtkClearZPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDepthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClearZPass:GetDepthMaxValue vtkClearZPassGetDepthMaxValueFunction
//input a0 
//output y
ArrayVector vtkClearZPassGetDepthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDepthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepthMaxValue for class vtkClearZPass requires 1 argument(s)");
  vtkClearZPass* vtk_pointer = GetVTKPointer<vtkClearZPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDepthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClearZPass:GetDepth vtkClearZPassGetDepthFunction
//input a0 
//output y
ArrayVector vtkClearZPassGetDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDepth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepth for class vtkClearZPass requires 1 argument(s)");
  vtkClearZPass* vtk_pointer = GetVTKPointer<vtkClearZPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDepth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClearZPass:display vtkClearZPassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkClearZPassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkClearZPass* vtk_pointer = GetVTKPointer<vtkClearZPass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkClearZPass:delete vtkClearZPassDeleteFunction
//input varargin
//output none
ArrayVector vtkClearZPassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkClearZPass
//@@Section VTKRendering
//@@Usage
// Clear the depth buffer with a given value.
// 
//
//To create an instance of class vtkClearZPass, simply
//invoke its constructor as follows
//@[
//  obj = vtkClearZPass
//@]
//@@Methods
//The class vtkClearZPass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkClearZPass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkClearZPass = obj.NewInstance ()|
// \item @|vtkClearZPass = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDepth (double )| -  Set/Get the depth value. Initial value is 1.0 (farest).
//// \item @|double = obj.GetDepthMinValue ()| -  Set/Get the depth value. Initial value is 1.0 (farest).
//// \item @|double = obj.GetDepthMaxValue ()| -  Set/Get the depth value. Initial value is 1.0 (farest).
//// \item @|double = obj.GetDepth ()| -  Set/Get the depth value. Initial value is 1.0 (farest).
////\end{itemize}
//!
