#include "VTKWrap.hpp"

// FreeMat wrapper for vtkClipPlanesPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkClipPlanesPainter.h"

//@@Signature
//sfunction @vtkClipPlanesPainter:vtkClipPlanesPainter vtkClipPlanesPainterConstructorFunction
//input a
//output p
//@@Parents vtkClipPlanesPainter vtkPainter 
ArrayVector vtkClipPlanesPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkClipPlanesPainter::New(),"vtkClipPlanesPainter",eval);
  } else if (arg[0].className() == "vtkClipPlanesPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkClipPlanesPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkClipPlanesPainter");
    vtkClipPlanesPainter*q = reinterpret_cast<vtkClipPlanesPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkClipPlanesPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkClipPlanesPainter:GetClassName vtkClipPlanesPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkClipPlanesPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkClipPlanesPainter requires 1 argument(s)");
  vtkClipPlanesPainter* vtk_pointer = GetVTKPointer<vtkClipPlanesPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipPlanesPainter:IsA vtkClipPlanesPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkClipPlanesPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkClipPlanesPainter requires 2 argument(s)");
  vtkClipPlanesPainter* vtk_pointer = GetVTKPointer<vtkClipPlanesPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClipPlanesPainter:NewInstance vtkClipPlanesPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkClipPlanesPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClipPlanesPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkClipPlanesPainter requires 1 argument(s)");
  vtkClipPlanesPainter* vtk_pointer = GetVTKPointer<vtkClipPlanesPainter>(arg[0]);
  Array retval;
  vtkClipPlanesPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClipPlanesPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipPlanesPainter:SafeDownCast vtkClipPlanesPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkClipPlanesPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClipPlanesPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkClipPlanesPainter requires 2 argument(s)");
  vtkClipPlanesPainter* vtk_pointer = GetVTKPointer<vtkClipPlanesPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkClipPlanesPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClipPlanesPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipPlanesPainter:CLIPPING_PLANES vtkClipPlanesPainterCLIPPING_PLANESFunction
//input a0 
//output y
ArrayVector vtkClipPlanesPainterCLIPPING_PLANESFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationObjectBaseKey *CLIPPING_PLANES (); */
  if (arg.size() < 1) 
    throw Exception("Function CLIPPING_PLANES for class vtkClipPlanesPainter requires 1 argument(s)");
  vtkClipPlanesPainter* vtk_pointer = GetVTKPointer<vtkClipPlanesPainter>(arg[0]);
  Array retval;
  vtkInformationObjectBaseKey  *temp20;
  temp20 = (vtk_pointer)->CLIPPING_PLANES();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationObjectBaseKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClipPlanesPainter:display vtkClipPlanesPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkClipPlanesPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkClipPlanesPainter* vtk_pointer = GetVTKPointer<vtkClipPlanesPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkClipPlanesPainter:delete vtkClipPlanesPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkClipPlanesPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
