#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCompositePainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCompositePainter.h"

//@@Signature
//sfunction @vtkCompositePainter:vtkCompositePainter vtkCompositePainterConstructorFunction
//input a
//output p
//@@Parents vtkCompositePainter vtkPainter 
ArrayVector vtkCompositePainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCompositePainter::New(),"vtkCompositePainter",eval);
  } else if (arg[0].className() == "vtkCompositePainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCompositePainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCompositePainter");
    vtkCompositePainter*q = reinterpret_cast<vtkCompositePainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCompositePainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCompositePainter:GetClassName vtkCompositePainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCompositePainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCompositePainter requires 1 argument(s)");
  vtkCompositePainter* vtk_pointer = GetVTKPointer<vtkCompositePainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositePainter:IsA vtkCompositePainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCompositePainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCompositePainter requires 2 argument(s)");
  vtkCompositePainter* vtk_pointer = GetVTKPointer<vtkCompositePainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositePainter:NewInstance vtkCompositePainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCompositePainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositePainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCompositePainter requires 1 argument(s)");
  vtkCompositePainter* vtk_pointer = GetVTKPointer<vtkCompositePainter>(arg[0]);
  Array retval;
  vtkCompositePainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositePainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositePainter:SafeDownCast vtkCompositePainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCompositePainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositePainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCompositePainter requires 2 argument(s)");
  vtkCompositePainter* vtk_pointer = GetVTKPointer<vtkCompositePainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCompositePainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositePainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositePainter:COLOR_LEAVES vtkCompositePainterCOLOR_LEAVESFunction
//input a0 
//output y
ArrayVector vtkCompositePainterCOLOR_LEAVESFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *COLOR_LEAVES (); */
  if (arg.size() < 1) 
    throw Exception("Function COLOR_LEAVES for class vtkCompositePainter requires 1 argument(s)");
  vtkCompositePainter* vtk_pointer = GetVTKPointer<vtkCompositePainter>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->COLOR_LEAVES();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositePainter:GetOutput vtkCompositePainterGetOutputFunction
//input a0 
//output y
ArrayVector vtkCompositePainterGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkDataObject *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput for class vtkCompositePainter requires 1 argument(s)");
  vtkCompositePainter* vtk_pointer = GetVTKPointer<vtkCompositePainter>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositePainter:display vtkCompositePainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCompositePainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCompositePainter* vtk_pointer = GetVTKPointer<vtkCompositePainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCompositePainter:delete vtkCompositePainterDeleteFunction
//input varargin
//output none
ArrayVector vtkCompositePainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCompositePainter
//@@Section VTKRendering
//@@Usage
// vtkCompositePainter iterates over the leaves in a composite datasets.
// This painter can also handle the case when the dataset is not a composite
// dataset.
//
//To create an instance of class vtkCompositePainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkCompositePainter
//@]
//@@Methods
//The class vtkCompositePainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCompositePainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCompositePainter = obj.NewInstance ()|
// \item @|vtkCompositePainter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkDataObject = obj.GetOutput ()| -  Get the output data object from this painter. The default implementation
// simply forwards the input data object as the output.
////\end{itemize}
//!
