#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCompositePolyDataMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCompositePolyDataMapper.h"

//@@Signature
//sfunction @vtkCompositePolyDataMapper:vtkCompositePolyDataMapper vtkCompositePolyDataMapperConstructorFunction
//input a
//output p
//@@Parents vtkCompositePolyDataMapper vtkMapper 
ArrayVector vtkCompositePolyDataMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCompositePolyDataMapper::New(),"vtkCompositePolyDataMapper",eval);
  } else if (arg[0].className() == "vtkCompositePolyDataMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCompositePolyDataMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCompositePolyDataMapper");
    vtkCompositePolyDataMapper*q = reinterpret_cast<vtkCompositePolyDataMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCompositePolyDataMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCompositePolyDataMapper:GetClassName vtkCompositePolyDataMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCompositePolyDataMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCompositePolyDataMapper requires 1 argument(s)");
  vtkCompositePolyDataMapper* vtk_pointer = GetVTKPointer<vtkCompositePolyDataMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositePolyDataMapper:IsA vtkCompositePolyDataMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCompositePolyDataMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCompositePolyDataMapper requires 2 argument(s)");
  vtkCompositePolyDataMapper* vtk_pointer = GetVTKPointer<vtkCompositePolyDataMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCompositePolyDataMapper:NewInstance vtkCompositePolyDataMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCompositePolyDataMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositePolyDataMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCompositePolyDataMapper requires 1 argument(s)");
  vtkCompositePolyDataMapper* vtk_pointer = GetVTKPointer<vtkCompositePolyDataMapper>(arg[0]);
  Array retval;
  vtkCompositePolyDataMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositePolyDataMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositePolyDataMapper:SafeDownCast vtkCompositePolyDataMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCompositePolyDataMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositePolyDataMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCompositePolyDataMapper requires 2 argument(s)");
  vtkCompositePolyDataMapper* vtk_pointer = GetVTKPointer<vtkCompositePolyDataMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCompositePolyDataMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositePolyDataMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCompositePolyDataMapper:Render vtkCompositePolyDataMapperRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCompositePolyDataMapperRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Render (vtkRenderer *ren, vtkActor *a); */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkCompositePolyDataMapper requires 3 argument(s)");
  vtkCompositePolyDataMapper* vtk_pointer = GetVTKPointer<vtkCompositePolyDataMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkActor>(arg[2]);
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCompositePolyDataMapper:GetBounds__1 vtkCompositePolyDataMapperGetBounds__1Function
//input a0 
//output y
ArrayVector vtkCompositePolyDataMapperGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__1 for class vtkCompositePolyDataMapper requires 1 argument(s)");
  vtkCompositePolyDataMapper* vtk_pointer = GetVTKPointer<vtkCompositePolyDataMapper>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCompositePolyDataMapper:GetBounds__2 vtkCompositePolyDataMapperGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkCompositePolyDataMapperGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[6]);this Superclass GetBounds bounds  */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkCompositePolyDataMapper requires 2 argument(s)");
  vtkCompositePolyDataMapper* vtk_pointer = GetVTKPointer<vtkCompositePolyDataMapper>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompositePolyDataMapper:ReleaseGraphicsResources vtkCompositePolyDataMapperReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkCompositePolyDataMapperReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkCompositePolyDataMapper requires 2 argument(s)");
  vtkCompositePolyDataMapper* vtk_pointer = GetVTKPointer<vtkCompositePolyDataMapper>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCompositePolyDataMapper:GetBounds vtkCompositePolyDataMapperGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkCompositePolyDataMapperGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkCompositePolyDataMapperGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCompositePolyDataMapperGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCompositePolyDataMapperGetBounds");
}

//@@Signature
//sfunction @vtkCompositePolyDataMapper:display vtkCompositePolyDataMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCompositePolyDataMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCompositePolyDataMapper* vtk_pointer = GetVTKPointer<vtkCompositePolyDataMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCompositePolyDataMapper:delete vtkCompositePolyDataMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkCompositePolyDataMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCompositePolyDataMapper
//@@Section VTKRendering
//@@Usage
// This class uses a set of vtkPolyDataMappers to render input data
// which may be hierarchical. The input to this mapper may be
// either vtkPolyData or a vtkCompositeDataSet built from 
// polydata. If something other than vtkPolyData is encountered,
// an error message will be produced.
//
//To create an instance of class vtkCompositePolyDataMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkCompositePolyDataMapper
//@]
//@@Methods
//The class vtkCompositePolyDataMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCompositePolyDataMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCompositePolyDataMapper = obj.NewInstance ()|
// \item @|vtkCompositePolyDataMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Render (vtkRenderer ren, vtkActor a)| -  Standard method for rendering a mapper. This method will be 
// called by the actor.
//// \item @|double = obj.GetBounds ()| -  Standard vtkProp method to get 3D bounds of a 3D prop
//// \item @|obj.GetBounds (double bounds[6])| -  Standard vtkProp method to get 3D bounds of a 3D prop
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release the underlying resources associated with this mapper  
////\end{itemize}
//!
