#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCuller object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCuller.h"

//@@Signature
//sfunction @vtkCuller:vtkCuller vtkCullerConstructorFunction
//input a
//output p
//@@Parents vtkCuller vtkObject 
ArrayVector vtkCullerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCuller::New(),"vtkCuller",eval);
  } else if (arg[0].className() == "vtkCuller") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCuller"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCuller");
    vtkCuller*q = reinterpret_cast<vtkCuller*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCuller");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCuller:GetClassName vtkCullerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCullerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCuller requires 1 argument(s)");
  vtkCuller* vtk_pointer = GetVTKPointer<vtkCuller>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCuller:IsA vtkCullerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCullerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCuller requires 2 argument(s)");
  vtkCuller* vtk_pointer = GetVTKPointer<vtkCuller>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCuller:NewInstance vtkCullerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCullerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCuller *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCuller requires 1 argument(s)");
  vtkCuller* vtk_pointer = GetVTKPointer<vtkCuller>(arg[0]);
  Array retval;
  vtkCuller  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCuller",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCuller:SafeDownCast vtkCullerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCullerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCuller *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCuller requires 2 argument(s)");
  vtkCuller* vtk_pointer = GetVTKPointer<vtkCuller>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCuller  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCuller",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCuller:display vtkCullerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCullerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCuller* vtk_pointer = GetVTKPointer<vtkCuller>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCuller:delete vtkCullerDeleteFunction
//input varargin
//output none
ArrayVector vtkCullerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCuller
//@@Section VTKRendering
//@@Usage
// A culler has a cull method called by the vtkRenderer. The cull 
// method is called before any rendering is performed,
// and it allows the culler to do some processing on the props and 
// to modify their AllocatedRenderTime and re-order them in the prop list. 
//
//To create an instance of class vtkCuller, simply
//invoke its constructor as follows
//@[
//  obj = vtkCuller
//@]
//@@Methods
//The class vtkCuller has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCuller class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCuller = obj.NewInstance ()|
// \item @|vtkCuller = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
