#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCullerCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCullerCollection.h"

//@@Signature
//sfunction @vtkCullerCollection:vtkCullerCollection vtkCullerCollectionConstructorFunction
//input a
//output p
//@@Parents vtkCullerCollection vtkCollection 
ArrayVector vtkCullerCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCullerCollection::New(),"vtkCullerCollection",eval);
  } else if (arg[0].className() == "vtkCullerCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCullerCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCullerCollection");
    vtkCullerCollection*q = reinterpret_cast<vtkCullerCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCullerCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCullerCollection:GetClassName vtkCullerCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCullerCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCullerCollection requires 1 argument(s)");
  vtkCullerCollection* vtk_pointer = GetVTKPointer<vtkCullerCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCullerCollection:IsA vtkCullerCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCullerCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCullerCollection requires 2 argument(s)");
  vtkCullerCollection* vtk_pointer = GetVTKPointer<vtkCullerCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCullerCollection:NewInstance vtkCullerCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCullerCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCullerCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCullerCollection requires 1 argument(s)");
  vtkCullerCollection* vtk_pointer = GetVTKPointer<vtkCullerCollection>(arg[0]);
  Array retval;
  vtkCullerCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCullerCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCullerCollection:SafeDownCast vtkCullerCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCullerCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCullerCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCullerCollection requires 2 argument(s)");
  vtkCullerCollection* vtk_pointer = GetVTKPointer<vtkCullerCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCullerCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCullerCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCullerCollection:AddItem__1 vtkCullerCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkCullerCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkCuller *a);this vtkCollection AddItem a  */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkCullerCollection requires 2 argument(s)");
  vtkCullerCollection* vtk_pointer = GetVTKPointer<vtkCullerCollection>(arg[0]);
  Array retval;
  vtkCuller  *temp0;
  temp0 = GetVTKPointer<vtkCuller>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCullerCollection:GetNextItem vtkCullerCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkCullerCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCuller *GetNextItem ();return static_cast vtkCuller this GetNextItemAsObject  */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkCullerCollection requires 1 argument(s)");
  vtkCullerCollection* vtk_pointer = GetVTKPointer<vtkCullerCollection>(arg[0]);
  Array retval;
  vtkCuller  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCuller",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCullerCollection:GetLastItem vtkCullerCollectionGetLastItemFunction
//input a0 
//output y
ArrayVector vtkCullerCollectionGetLastItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCuller *GetLastItem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastItem for class vtkCullerCollection requires 1 argument(s)");
  vtkCullerCollection* vtk_pointer = GetVTKPointer<vtkCullerCollection>(arg[0]);
  Array retval;
  vtkCuller  *temp20;
  temp20 = (vtk_pointer)->GetLastItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCuller",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCullerCollection:AddItem vtkCullerCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkCullerCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkCuller"))
    return vtkCullerCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCullerCollectionAddItem");
}

//@@Signature
//sfunction @vtkCullerCollection:display vtkCullerCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCullerCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCullerCollection* vtk_pointer = GetVTKPointer<vtkCullerCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCullerCollection:delete vtkCullerCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkCullerCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCullerCollection
//@@Section VTKRendering
//@@Usage
// vtkCullerCollection represents and provides methods to manipulate a list
// of Cullers (i.e., vtkCuller and subclasses). The list is unsorted and
// duplicate entries are not prevented.
//
//To create an instance of class vtkCullerCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkCullerCollection
//@]
//@@Methods
//The class vtkCullerCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCullerCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCullerCollection = obj.NewInstance ()|
// \item @|vtkCullerCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkCuller a)| -  Get the next Culler in the list.
//// \item @|vtkCuller = obj.GetNextItem ()| -  Get the last Culler in the list.
//// \item @|vtkCuller = obj.GetLastItem ()| -  Get the last Culler in the list.
////\end{itemize}
//!
