#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetMapper.h"

//@@Signature
//sfunction @vtkDataSetMapper:vtkDataSetMapper vtkDataSetMapperConstructorFunction
//input a
//output p
//@@Parents vtkDataSetMapper vtkMapper 
ArrayVector vtkDataSetMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetMapper::New(),"vtkDataSetMapper",eval);
  } else if (arg[0].className() == "vtkDataSetMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetMapper");
    vtkDataSetMapper*q = reinterpret_cast<vtkDataSetMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetMapper:GetClassName vtkDataSetMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetMapper requires 1 argument(s)");
  vtkDataSetMapper* vtk_pointer = GetVTKPointer<vtkDataSetMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetMapper:IsA vtkDataSetMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetMapper requires 2 argument(s)");
  vtkDataSetMapper* vtk_pointer = GetVTKPointer<vtkDataSetMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetMapper:NewInstance vtkDataSetMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetMapper requires 1 argument(s)");
  vtkDataSetMapper* vtk_pointer = GetVTKPointer<vtkDataSetMapper>(arg[0]);
  Array retval;
  vtkDataSetMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetMapper:SafeDownCast vtkDataSetMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetMapper requires 2 argument(s)");
  vtkDataSetMapper* vtk_pointer = GetVTKPointer<vtkDataSetMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetMapper:Render vtkDataSetMapperRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkDataSetMapperRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Render (vtkRenderer *ren, vtkActor *act); */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkDataSetMapper requires 3 argument(s)");
  vtkDataSetMapper* vtk_pointer = GetVTKPointer<vtkDataSetMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkActor>(arg[2]);
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetMapper:GetPolyDataMapper vtkDataSetMapperGetPolyDataMapperFunction
//input a0 
//output y
ArrayVector vtkDataSetMapperGetPolyDataMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataMapper *GetPolyDataMapper (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolyDataMapper for class vtkDataSetMapper requires 1 argument(s)");
  vtkDataSetMapper* vtk_pointer = GetVTKPointer<vtkDataSetMapper>(arg[0]);
  Array retval;
  vtkPolyDataMapper  *temp20;
  temp20 = (vtk_pointer)->GetPolyDataMapper();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetMapper:ReleaseGraphicsResources vtkDataSetMapperReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetMapperReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkDataSetMapper requires 2 argument(s)");
  vtkDataSetMapper* vtk_pointer = GetVTKPointer<vtkDataSetMapper>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetMapper:GetMTime vtkDataSetMapperGetMTimeFunction
//input a0 
//output y
ArrayVector vtkDataSetMapperGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkDataSetMapper requires 1 argument(s)");
  vtkDataSetMapper* vtk_pointer = GetVTKPointer<vtkDataSetMapper>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetMapper:SetInput vtkDataSetMapperSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkDataSetMapperSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataSet *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkDataSetMapper requires 2 argument(s)");
  vtkDataSetMapper* vtk_pointer = GetVTKPointer<vtkDataSetMapper>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetMapper:GetInput vtkDataSetMapperGetInputFunction
//input a0 
//output y
ArrayVector vtkDataSetMapperGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkDataSetMapper requires 1 argument(s)");
  vtkDataSetMapper* vtk_pointer = GetVTKPointer<vtkDataSetMapper>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetMapper:display vtkDataSetMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetMapper* vtk_pointer = GetVTKPointer<vtkDataSetMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetMapper:delete vtkDataSetMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetMapper
//@@Section VTKRendering
//@@Usage
// vtkDataSetMapper is a mapper to map data sets (i.e., vtkDataSet and 
// all derived classes) to graphics primitives. The mapping procedure
// is as follows: all 0D, 1D, and 2D cells are converted into points,
// lines, and polygons/triangle strips and then mapped to the graphics 
// system. The 2D faces of 3D cells are mapped only if they are used by 
// only one cell, i.e., on the boundary of the data set.
//
//To create an instance of class vtkDataSetMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetMapper
//@]
//@@Methods
//The class vtkDataSetMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetMapper = obj.NewInstance ()|
// \item @|vtkDataSetMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Render (vtkRenderer ren, vtkActor act)|
// \item @|vtkPolyDataMapper = obj.GetPolyDataMapper ()| -  Get the internal poly data mapper used to map data set to graphics system.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this mapper.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|long = obj.GetMTime ()| -  Get the mtime also considering the lookup table.
//// \item @|obj.SetInput (vtkDataSet input)| -  Set the Input of this mapper.
//// \item @|vtkDataSet = obj.GetInput ()| -  Set the Input of this mapper.
////\end{itemize}
//!
