#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataTransferHelper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataTransferHelper.h"

//@@Signature
//sfunction @vtkDataTransferHelper:vtkDataTransferHelper vtkDataTransferHelperConstructorFunction
//input a
//output p
//@@Parents vtkDataTransferHelper vtkObject 
ArrayVector vtkDataTransferHelperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataTransferHelper::New(),"vtkDataTransferHelper",eval);
  } else if (arg[0].className() == "vtkDataTransferHelper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataTransferHelper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataTransferHelper");
    vtkDataTransferHelper*q = reinterpret_cast<vtkDataTransferHelper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataTransferHelper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataTransferHelper:GetClassName vtkDataTransferHelperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataTransferHelperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataTransferHelper requires 1 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:IsA vtkDataTransferHelperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataTransferHelperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataTransferHelper requires 2 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:NewInstance vtkDataTransferHelperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataTransferHelperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataTransferHelper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataTransferHelper requires 1 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  vtkDataTransferHelper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataTransferHelper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:SafeDownCast vtkDataTransferHelperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataTransferHelperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataTransferHelper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataTransferHelper requires 2 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataTransferHelper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataTransferHelper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:SetContext vtkDataTransferHelperSetContextFunction
//input a0 a1 
//output none
ArrayVector vtkDataTransferHelperSetContextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetContext (vtkRenderWindow *context); */
  if (arg.size() < 2) 
    throw Exception("Function SetContext for class vtkDataTransferHelper requires 2 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  vtk_pointer->SetContext(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:GetContext vtkDataTransferHelperGetContextFunction
//input a0 
//output y
ArrayVector vtkDataTransferHelperGetContextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *GetContext (); */
  if (arg.size() < 1) 
    throw Exception("Function GetContext for class vtkDataTransferHelper requires 1 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->GetContext();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:SetCPUExtent__1 vtkDataTransferHelperSetCPUExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkDataTransferHelperSetCPUExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCPUExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetCPUExtent__1 for class vtkDataTransferHelper requires 7 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetCPUExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:SetCPUExtent__2 vtkDataTransferHelperSetCPUExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkDataTransferHelperSetCPUExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCPUExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCPUExtent__2 for class vtkDataTransferHelper requires 2 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetCPUExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:GetCPUExtent vtkDataTransferHelperGetCPUExtentFunction
//input a0 
//output y
ArrayVector vtkDataTransferHelperGetCPUExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetCPUExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCPUExtent for class vtkDataTransferHelper requires 1 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetCPUExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:SetGPUExtent__1 vtkDataTransferHelperSetGPUExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkDataTransferHelperSetGPUExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGPUExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetGPUExtent__1 for class vtkDataTransferHelper requires 7 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetGPUExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:SetGPUExtent__2 vtkDataTransferHelperSetGPUExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkDataTransferHelperSetGPUExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGPUExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetGPUExtent__2 for class vtkDataTransferHelper requires 2 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetGPUExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:GetGPUExtent vtkDataTransferHelperGetGPUExtentFunction
//input a0 
//output y
ArrayVector vtkDataTransferHelperGetGPUExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetGPUExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGPUExtent for class vtkDataTransferHelper requires 1 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetGPUExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:SetTextureExtent__1 vtkDataTransferHelperSetTextureExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkDataTransferHelperSetTextureExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetTextureExtent__1 for class vtkDataTransferHelper requires 7 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetTextureExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:SetTextureExtent__2 vtkDataTransferHelperSetTextureExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkDataTransferHelperSetTextureExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextureExtent__2 for class vtkDataTransferHelper requires 2 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetTextureExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:GetTextureExtent vtkDataTransferHelperGetTextureExtentFunction
//input a0 
//output y
ArrayVector vtkDataTransferHelperGetTextureExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetTextureExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureExtent for class vtkDataTransferHelper requires 1 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetTextureExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:GetExtentIsValid vtkDataTransferHelperGetExtentIsValidFunction
//input a0 a1 
//output y
ArrayVector vtkDataTransferHelperGetExtentIsValidFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetExtentIsValid (int *extent); */
  if (arg.size() < 2) 
    throw Exception("Function GetExtentIsValid for class vtkDataTransferHelper requires 2 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  int     *temp0;
  bool   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->GetExtentIsValid(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:GetCPUExtentIsValid vtkDataTransferHelperGetCPUExtentIsValidFunction
//input a0 
//output y
ArrayVector vtkDataTransferHelperGetCPUExtentIsValidFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetCPUExtentIsValid (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCPUExtentIsValid for class vtkDataTransferHelper requires 1 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetCPUExtentIsValid();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:GetGPUExtentIsValid vtkDataTransferHelperGetGPUExtentIsValidFunction
//input a0 
//output y
ArrayVector vtkDataTransferHelperGetGPUExtentIsValidFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetGPUExtentIsValid (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGPUExtentIsValid for class vtkDataTransferHelper requires 1 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetGPUExtentIsValid();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:GetTextureExtentIsValid vtkDataTransferHelperGetTextureExtentIsValidFunction
//input a0 
//output y
ArrayVector vtkDataTransferHelperGetTextureExtentIsValidFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetTextureExtentIsValid (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureExtentIsValid for class vtkDataTransferHelper requires 1 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetTextureExtentIsValid();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:SetMinTextureDimension vtkDataTransferHelperSetMinTextureDimensionFunction
//input a0 a1 
//output none
ArrayVector vtkDataTransferHelperSetMinTextureDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinTextureDimension (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinTextureDimension for class vtkDataTransferHelper requires 2 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMinTextureDimension(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:GetMinTextureDimension vtkDataTransferHelperGetMinTextureDimensionFunction
//input a0 
//output y
ArrayVector vtkDataTransferHelperGetMinTextureDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMinTextureDimension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinTextureDimension for class vtkDataTransferHelper requires 1 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinTextureDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:GetArray vtkDataTransferHelperGetArrayFunction
//input a0 
//output y
ArrayVector vtkDataTransferHelperGetArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArray for class vtkDataTransferHelper requires 1 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetArray();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:SetArray vtkDataTransferHelperSetArrayFunction
//input a0 a1 
//output none
ArrayVector vtkDataTransferHelperSetArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArray (vtkDataArray *array); */
  if (arg.size() < 2) 
    throw Exception("Function SetArray for class vtkDataTransferHelper requires 2 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->SetArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:GetTexture vtkDataTransferHelperGetTextureFunction
//input a0 
//output y
ArrayVector vtkDataTransferHelperGetTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextureObject *GetTexture (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTexture for class vtkDataTransferHelper requires 1 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  vtkTextureObject  *temp20;
  temp20 = (vtk_pointer)->GetTexture();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextureObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:SetTexture vtkDataTransferHelperSetTextureFunction
//input a0 a1 
//output none
ArrayVector vtkDataTransferHelperSetTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTexture (vtkTextureObject *texture); */
  if (arg.size() < 2) 
    throw Exception("Function SetTexture for class vtkDataTransferHelper requires 2 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  vtkTextureObject  *temp0;
  temp0 = GetVTKPointer<vtkTextureObject>(arg[1]);
  vtk_pointer->SetTexture(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:Upload vtkDataTransferHelperUploadFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDataTransferHelperUploadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool Upload (int components, int *componentListNULL); */
  if (arg.size() < 3) 
    throw Exception("Function Upload for class vtkDataTransferHelper requires 3 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  int      temp0;
  int     *temp1;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->Upload(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:Download vtkDataTransferHelperDownloadFunction
//input a0 
//output y
ArrayVector vtkDataTransferHelperDownloadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool Download (); */
  if (arg.size() < 1) 
    throw Exception("Function Download for class vtkDataTransferHelper requires 1 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->Download();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:DownloadAsync1 vtkDataTransferHelperDownloadAsync1Function
//input a0 
//output y
ArrayVector vtkDataTransferHelperDownloadAsync1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool DownloadAsync1 (); */
  if (arg.size() < 1) 
    throw Exception("Function DownloadAsync1 for class vtkDataTransferHelper requires 1 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->DownloadAsync1();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:DownloadAsync2 vtkDataTransferHelperDownloadAsync2Function
//input a0 
//output y
ArrayVector vtkDataTransferHelperDownloadAsync2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool DownloadAsync2 (); */
  if (arg.size() < 1) 
    throw Exception("Function DownloadAsync2 for class vtkDataTransferHelper requires 1 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->DownloadAsync2();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:GetShaderSupportsTextureInt vtkDataTransferHelperGetShaderSupportsTextureIntFunction
//input a0 
//output y
ArrayVector vtkDataTransferHelperGetShaderSupportsTextureIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetShaderSupportsTextureInt (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShaderSupportsTextureInt for class vtkDataTransferHelper requires 1 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetShaderSupportsTextureInt();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:SetShaderSupportsTextureInt vtkDataTransferHelperSetShaderSupportsTextureIntFunction
//input a0 a1 
//output none
ArrayVector vtkDataTransferHelperSetShaderSupportsTextureIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShaderSupportsTextureInt (bool value); */
  if (arg.size() < 2) 
    throw Exception("Function SetShaderSupportsTextureInt for class vtkDataTransferHelper requires 2 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetShaderSupportsTextureInt(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:IsSupported vtkDataTransferHelperIsSupportedFunction
//input a0 a1 
//output y
ArrayVector vtkDataTransferHelperIsSupportedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static bool IsSupported (vtkRenderWindow *renWin); */
  if (arg.size() < 2) 
    throw Exception("Function IsSupported for class vtkDataTransferHelper requires 2 argument(s)");
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  temp20 = (vtk_pointer)->IsSupported(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDataTransferHelper:SetCPUExtent vtkDataTransferHelperSetCPUExtentFunction
//input varargin
//output varargout
ArrayVector vtkDataTransferHelperSetCPUExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkDataTransferHelperSetCPUExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataTransferHelperSetCPUExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataTransferHelperSetCPUExtent");
}

//@@Signature
//sfunction @vtkDataTransferHelper:SetGPUExtent vtkDataTransferHelperSetGPUExtentFunction
//input varargin
//output varargout
ArrayVector vtkDataTransferHelperSetGPUExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkDataTransferHelperSetGPUExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataTransferHelperSetGPUExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataTransferHelperSetGPUExtent");
}

//@@Signature
//sfunction @vtkDataTransferHelper:SetTextureExtent vtkDataTransferHelperSetTextureExtentFunction
//input varargin
//output varargout
ArrayVector vtkDataTransferHelperSetTextureExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkDataTransferHelperSetTextureExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDataTransferHelperSetTextureExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataTransferHelperSetTextureExtent");
}

//@@Signature
//sfunction @vtkDataTransferHelper:display vtkDataTransferHelperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataTransferHelperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataTransferHelper* vtk_pointer = GetVTKPointer<vtkDataTransferHelper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataTransferHelper:delete vtkDataTransferHelperDeleteFunction
//input varargin
//output none
ArrayVector vtkDataTransferHelperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataTransferHelper
//@@Section VTKRendering
//@@Usage
//  vtkDataTransferHelper is a helper class that aids in transferring data
//  between the CPU memory and the GPU memory. The data in GPU memory is 
//  stored as textures which that in CPU memory is stored as vtkDataArray.
//  vtkDataTransferHelper provides API to transfer only a sub-extent of CPU
//  structured data to/from the GPU.
//
//
//To create an instance of class vtkDataTransferHelper, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataTransferHelper
//@]
//@@Methods
//The class vtkDataTransferHelper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataTransferHelper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataTransferHelper = obj.NewInstance ()|
// \item @|vtkDataTransferHelper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetContext (vtkRenderWindow context)| -  Get/Set the context. Context must be a vtkOpenGLRenderWindow. 
// This does not increase the reference count of the 
// context to avoid reference loops.
// SetContext() may raise an error is the OpenGL context does not support the
// required OpenGL extensions.
//// \item @|vtkRenderWindow = obj.GetContext ()| -  Get/Set the context. Context must be a vtkOpenGLRenderWindow. 
// This does not increase the reference count of the 
// context to avoid reference loops.
// SetContext() may raise an error is the OpenGL context does not support the
// required OpenGL extensions.
//// \item @|obj.SetCPUExtent (int , int , int , int , int , int )| -  Set the CPU data extent. The extent matches the vtkDataArray size.
// If the vtkDataArray comes from an vtkImageData and it is part of the
// point data, it is usually the vtkImageData extent.
// It can be on cell data too, but in this case it does not match the
// vtkImageData extent.
// If the vtkDataArray comes from a vtkDataSet, just
// set it to a one-dimenstional extent equal to the number of tuples.
// Initial value is (0,0,0,0,0,0), a valid one tuple array.
//// \item @|obj.SetCPUExtent (int  a[6])| -  Set the CPU data extent. The extent matches the vtkDataArray size.
// If the vtkDataArray comes from an vtkImageData and it is part of the
// point data, it is usually the vtkImageData extent.
// It can be on cell data too, but in this case it does not match the
// vtkImageData extent.
// If the vtkDataArray comes from a vtkDataSet, just
// set it to a one-dimenstional extent equal to the number of tuples.
// Initial value is (0,0,0,0,0,0), a valid one tuple array.
//// \item @|int = obj. GetCPUExtent ()| -  Set the CPU data extent. The extent matches the vtkDataArray size.
// If the vtkDataArray comes from an vtkImageData and it is part of the
// point data, it is usually the vtkImageData extent.
// It can be on cell data too, but in this case it does not match the
// vtkImageData extent.
// If the vtkDataArray comes from a vtkDataSet, just
// set it to a one-dimenstional extent equal to the number of tuples.
// Initial value is (0,0,0,0,0,0), a valid one tuple array.
//// \item @|obj.SetGPUExtent (int , int , int , int , int , int )| -  Set the GPU data extent. This is the sub-extent to copy from or to the GPU.
// This extent matches the size of the data to transfer.
// GPUExtent and TextureExtent don't have to match (GPUExtent can be 1D
// whereas TextureExtent is 2D) but the number of elements have to match.
// Initial value is (0,0,0,0,0,0), a valid one tuple array.
//// \item @|obj.SetGPUExtent (int  a[6])| -  Set the GPU data extent. This is the sub-extent to copy from or to the GPU.
// This extent matches the size of the data to transfer.
// GPUExtent and TextureExtent don't have to match (GPUExtent can be 1D
// whereas TextureExtent is 2D) but the number of elements have to match.
// Initial value is (0,0,0,0,0,0), a valid one tuple array.
//// \item @|int = obj. GetGPUExtent ()| -  Set the GPU data extent. This is the sub-extent to copy from or to the GPU.
// This extent matches the size of the data to transfer.
// GPUExtent and TextureExtent don't have to match (GPUExtent can be 1D
// whereas TextureExtent is 2D) but the number of elements have to match.
// Initial value is (0,0,0,0,0,0), a valid one tuple array.
//// \item @|obj.SetTextureExtent (int , int , int , int , int , int )| -  Set the texture data extent. This is the extent of the texture image that
// will receive the data. This extent matches the size of the data to
// transfer. If it is set to an invalid extent, GPUExtent is used.
// See more comment on GPUExtent.
// Initial value is an invalid extent.
//// \item @|obj.SetTextureExtent (int  a[6])| -  Set the texture data extent. This is the extent of the texture image that
// will receive the data. This extent matches the size of the data to
// transfer. If it is set to an invalid extent, GPUExtent is used.
// See more comment on GPUExtent.
// Initial value is an invalid extent.
//// \item @|int = obj. GetTextureExtent ()| -  Set the texture data extent. This is the extent of the texture image that
// will receive the data. This extent matches the size of the data to
// transfer. If it is set to an invalid extent, GPUExtent is used.
// See more comment on GPUExtent.
// Initial value is an invalid extent.
//// \item @|bool = obj.GetExtentIsValid (int extent)| -  Tells if the given extent (6 int) is valid. True if min
// extent<=max extent.
// \pre extent_exists: extent!=0
//// \item @|bool = obj.GetCPUExtentIsValid ()| -  Tells if CPUExtent is valid. True if min extent<=max extent.
//// \item @|bool = obj.GetGPUExtentIsValid ()| -  Tells if GPUExtent is valid. True if min extent<=max extent.
//// \item @|bool = obj.GetTextureExtentIsValid ()| -  Tells if TextureExtent is valid. True if min extent<=max extent.
//// \item @|obj.SetMinTextureDimension (int )| -  Define the minimal dimension of the texture regardless of the dimensions
// of the TextureExtent. Initial value is 1.
// A texture extent can have a given dimension 0D (one value), 1D, 2D or 3D.
// By default 0D and 1D are translated into a 1D texture, 2D is translated
// into a 2D texture, 3D is translated into a 3D texture. To make life easier
// when writting GLSL code and use only one type of sampler (ex: sampler2d),
// the default behavior can be changed by forcing a type of texture with
// this ivar.
// 1: default behavior. Initial value.
// 2: force 0D and 1D to be in a 2D texture
// 3: force 0D, 1D and 2D texture to be in a 3D texture.
//// \item @|int = obj.GetMinTextureDimension ()| -  Define the minimal dimension of the texture regardless of the dimensions
// of the TextureExtent. Initial value is 1.
// A texture extent can have a given dimension 0D (one value), 1D, 2D or 3D.
// By default 0D and 1D are translated into a 1D texture, 2D is translated
// into a 2D texture, 3D is translated into a 3D texture. To make life easier
// when writting GLSL code and use only one type of sampler (ex: sampler2d),
// the default behavior can be changed by forcing a type of texture with
// this ivar.
// 1: default behavior. Initial value.
// 2: force 0D and 1D to be in a 2D texture
// 3: force 0D, 1D and 2D texture to be in a 3D texture.
//// \item @|vtkDataArray = obj.GetArray ()| -  Get/Set the CPU data buffer. Initial value is 0.
//// \item @|obj.SetArray (vtkDataArray array)| -  Get/Set the CPU data buffer. Initial value is 0.
//// \item @|vtkTextureObject = obj.GetTexture ()| -  Get/Set the GPU data buffer. Initial value is 0.
//// \item @|obj.SetTexture (vtkTextureObject texture)| -  Get/Set the GPU data buffer. Initial value is 0.
//// \item @|bool = obj.Upload (int components, int componentListNULL)| -  Old comment.
// Upload Extent from CPU data buffer to GPU.
// The WholeExtent must match the Array size.
// New comment.
// Upload GPUExtent from CPU vtkDataArray to GPU texture.
// It is possible to send a subset of the components or to specify and
// order of components or both. If components=0, componentList is ignored
// and all components are passed, a texture cannot have more than 4
// components.
// \pre array_exists: array!=0
// \pre array_not_empty: array->GetNumberOfTuples()>0
// \pre valid_cpu_extent: this->GetCPUExtentIsValid()
// \pre valid_cpu_extent_size: (CPUExtent[1]-CPUExtent[0]+1)*(CPUExtent[3]-CPUExtent[2]+1)*(CPUExtent[5]-CPUExtent[4]+1)==array->GetNumberOfTuples()
// \pre valid_gpu_extent: this->GetGPUExtentIsValid()
// \pre gpu_extent_in_cpu_extent: CPUExtent[0]<=GPUExtent[0] && GPUExtent[1]<=CPUExtent[1] && CPUExtent[2]<=GPUExtent[2] && GPUExtent[3]<=CPUExtent[3] && CPUExtent[4]<=GPUExtent[4] && GPUExtent[5]<=CPUExtent[5]
// \pre gpu_texture_size: !this->GetTextureExtentIsValid() || (GPUExtent[1]-GPUExtent[0]+1)*(GPUExtent[3]-GPUExtent[2]+1)*(GPUExtent[5]-GPUExtent[4]+1)==(TextureExtent[1]-TextureExtent[0]+1)*(TextureExtent[3]-TextureExtent[2]+1)*(TextureExtent[5]-TextureExtent[4]+1)
// \pre texture_can_exist_or_not: texture==0 || texture!=0
// \pre valid_components: (components==0 && componentList==0 && array->GetNumberOfComponents()<=4) || (components>=1 && components<=array->GetNumberOfComponents() && components<=4 && componentList!=0)
//// \item @|bool = obj.Download ()| -  old comment:
// Downlad Extent from GPU data buffer to CPU.
// GPU data size must exactly match Extent.
// CPU data buffer will be resized to match WholeExtent in which only the
// Extent will be filled with the GPU data.
// new comment:
// Download GPUExtent from GPU texture to CPU vtkDataArray.
// If Array is not provided, it will be created with the size of CPUExtent.
// But only the tuples covered by GPUExtent will be download. In this case,
// if GPUExtent does not cover all GPUExtent, some of the vtkDataArray will
// be uninitialized.
// Reminder: A=>B <=> !A||B
// \pre texture_exists: texture!=0
// \pre array_not_empty: array==0 || array->GetNumberOfTuples()>0
// \pre valid_cpu_extent: this->GetCPUExtentIsValid()
// \pre valid_cpu_extent_size: array==0 || (CPUExtent[1]-CPUExtent[0]+1)*(CPUExtent[3]-CPUExtent[2]+1)*(CPUExtent[5]-CPUExtent[4]+1)==array->GetNumberOfTuples()
// \pre valid_gpu_extent: this->GetGPUExtentIsValid()
// \pre gpu_extent_in_cpu_extent: CPUExtent[0]<=GPUExtent[0] && GPUExtent[1]<=CPUExtent[1] && CPUExtent[2]<=GPUExtent[2] && GPUExtent[3]<=CPUExtent[3] && CPUExtent[4]<=GPUExtent[4] && GPUExtent[5]<=CPUExtent[5]
// \pre gpu_texture_size: !this->GetTextureExtentIsValid() || (GPUExtent[1]-GPUExtent[0]+1)*(GPUExtent[3]-GPUExtent[2]+1)*(GPUExtent[5]-GPUExtent[4]+1)==(TextureExtent[1]-TextureExtent[0]+1)*(TextureExtent[3]-TextureExtent[2]+1)*(TextureExtent[5]-TextureExtent[4]+1)
// \pre valid_components: array==0 || array->GetNumberOfComponents()<=4
// \pre components_match: array==0 || (texture->GetComponents()==array->GetNumberOfComponents())
//// \item @|bool = obj.DownloadAsync1 ()| -  Splits the download in two operations
// * Asynchronously download from texture memory to PBO (DownloadAsync1()).
// * Copy from pbo to user array (DownloadAsync2()).
//// \item @|bool = obj.DownloadAsync2 ()| -  Splits the download in two operations
// * Asynchronously download from texture memory to PBO (DownloadAsync1()).
// * Copy from pbo to user array (DownloadAsync2()).
//// \item @|bool = obj.GetShaderSupportsTextureInt ()|
// \item @|obj.SetShaderSupportsTextureInt (bool value)|
//\end{itemize}
//!
