#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDefaultPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDefaultPainter.h"

//@@Signature
//sfunction @vtkDefaultPainter:vtkDefaultPainter vtkDefaultPainterConstructorFunction
//input a
//output p
//@@Parents vtkDefaultPainter vtkPainter 
ArrayVector vtkDefaultPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDefaultPainter::New(),"vtkDefaultPainter",eval);
  } else if (arg[0].className() == "vtkDefaultPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDefaultPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDefaultPainter");
    vtkDefaultPainter*q = reinterpret_cast<vtkDefaultPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDefaultPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDefaultPainter:GetClassName vtkDefaultPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDefaultPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDefaultPainter requires 1 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:IsA vtkDefaultPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDefaultPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDefaultPainter requires 2 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:NewInstance vtkDefaultPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDefaultPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDefaultPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDefaultPainter requires 1 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkDefaultPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDefaultPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:SafeDownCast vtkDefaultPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDefaultPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDefaultPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDefaultPainter requires 2 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDefaultPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDefaultPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:SetScalarsToColorsPainter vtkDefaultPainterSetScalarsToColorsPainterFunction
//input a0 a1 
//output none
ArrayVector vtkDefaultPainterSetScalarsToColorsPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarsToColorsPainter (vtkScalarsToColorsPainter *); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarsToColorsPainter for class vtkDefaultPainter requires 2 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkScalarsToColorsPainter  *temp0;
  temp0 = GetVTKPointer<vtkScalarsToColorsPainter>(arg[1]);
  vtk_pointer->SetScalarsToColorsPainter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:GetScalarsToColorsPainter vtkDefaultPainterGetScalarsToColorsPainterFunction
//input a0 
//output y
ArrayVector vtkDefaultPainterGetScalarsToColorsPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarsToColorsPainter *GetScalarsToColorsPainter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarsToColorsPainter for class vtkDefaultPainter requires 1 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkScalarsToColorsPainter  *temp20;
  temp20 = (vtk_pointer)->GetScalarsToColorsPainter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarsToColorsPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:SetClipPlanesPainter vtkDefaultPainterSetClipPlanesPainterFunction
//input a0 a1 
//output none
ArrayVector vtkDefaultPainterSetClipPlanesPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClipPlanesPainter (vtkClipPlanesPainter *); */
  if (arg.size() < 2) 
    throw Exception("Function SetClipPlanesPainter for class vtkDefaultPainter requires 2 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkClipPlanesPainter  *temp0;
  temp0 = GetVTKPointer<vtkClipPlanesPainter>(arg[1]);
  vtk_pointer->SetClipPlanesPainter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:GetClipPlanesPainter vtkDefaultPainterGetClipPlanesPainterFunction
//input a0 
//output y
ArrayVector vtkDefaultPainterGetClipPlanesPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClipPlanesPainter *GetClipPlanesPainter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClipPlanesPainter for class vtkDefaultPainter requires 1 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkClipPlanesPainter  *temp20;
  temp20 = (vtk_pointer)->GetClipPlanesPainter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClipPlanesPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:SetDisplayListPainter vtkDefaultPainterSetDisplayListPainterFunction
//input a0 a1 
//output none
ArrayVector vtkDefaultPainterSetDisplayListPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisplayListPainter (vtkDisplayListPainter *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplayListPainter for class vtkDefaultPainter requires 2 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkDisplayListPainter  *temp0;
  temp0 = GetVTKPointer<vtkDisplayListPainter>(arg[1]);
  vtk_pointer->SetDisplayListPainter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:GetDisplayListPainter vtkDefaultPainterGetDisplayListPainterFunction
//input a0 
//output y
ArrayVector vtkDefaultPainterGetDisplayListPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDisplayListPainter *GetDisplayListPainter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplayListPainter for class vtkDefaultPainter requires 1 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkDisplayListPainter  *temp20;
  temp20 = (vtk_pointer)->GetDisplayListPainter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDisplayListPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:SetCompositePainter vtkDefaultPainterSetCompositePainterFunction
//input a0 a1 
//output none
ArrayVector vtkDefaultPainterSetCompositePainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompositePainter (vtkCompositePainter *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCompositePainter for class vtkDefaultPainter requires 2 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkCompositePainter  *temp0;
  temp0 = GetVTKPointer<vtkCompositePainter>(arg[1]);
  vtk_pointer->SetCompositePainter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:GetCompositePainter vtkDefaultPainterGetCompositePainterFunction
//input a0 
//output y
ArrayVector vtkDefaultPainterGetCompositePainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositePainter *GetCompositePainter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompositePainter for class vtkDefaultPainter requires 1 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkCompositePainter  *temp20;
  temp20 = (vtk_pointer)->GetCompositePainter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositePainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:SetCoincidentTopologyResolutionPainter vtkDefaultPainterSetCoincidentTopologyResolutionPainterFunction
//input a0 a1 
//output none
ArrayVector vtkDefaultPainterSetCoincidentTopologyResolutionPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoincidentTopologyResolutionPainter (vtkCoincidentTopologyResolutionPainter *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCoincidentTopologyResolutionPainter for class vtkDefaultPainter requires 2 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkCoincidentTopologyResolutionPainter  *temp0;
  temp0 = GetVTKPointer<vtkCoincidentTopologyResolutionPainter>(arg[1]);
  vtk_pointer->SetCoincidentTopologyResolutionPainter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:GetCoincidentTopologyResolutionPainter vtkDefaultPainterGetCoincidentTopologyResolutionPainterFunction
//input a0 
//output y
ArrayVector vtkDefaultPainterGetCoincidentTopologyResolutionPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoincidentTopologyResolutionPainter *GetCoincidentTopologyResolutionPainter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoincidentTopologyResolutionPainter for class vtkDefaultPainter requires 1 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkCoincidentTopologyResolutionPainter  *temp20;
  temp20 = (vtk_pointer)->GetCoincidentTopologyResolutionPainter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoincidentTopologyResolutionPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:SetLightingPainter vtkDefaultPainterSetLightingPainterFunction
//input a0 a1 
//output none
ArrayVector vtkDefaultPainterSetLightingPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLightingPainter (vtkLightingPainter *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLightingPainter for class vtkDefaultPainter requires 2 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkLightingPainter  *temp0;
  temp0 = GetVTKPointer<vtkLightingPainter>(arg[1]);
  vtk_pointer->SetLightingPainter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:GetLightingPainter vtkDefaultPainterGetLightingPainterFunction
//input a0 
//output y
ArrayVector vtkDefaultPainterGetLightingPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLightingPainter *GetLightingPainter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLightingPainter for class vtkDefaultPainter requires 1 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkLightingPainter  *temp20;
  temp20 = (vtk_pointer)->GetLightingPainter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLightingPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:SetRepresentationPainter vtkDefaultPainterSetRepresentationPainterFunction
//input a0 a1 
//output none
ArrayVector vtkDefaultPainterSetRepresentationPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentationPainter (vtkRepresentationPainter *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentationPainter for class vtkDefaultPainter requires 2 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkRepresentationPainter  *temp0;
  temp0 = GetVTKPointer<vtkRepresentationPainter>(arg[1]);
  vtk_pointer->SetRepresentationPainter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:GetRepresentationPainter vtkDefaultPainterGetRepresentationPainterFunction
//input a0 
//output y
ArrayVector vtkDefaultPainterGetRepresentationPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRepresentationPainter *GetRepresentationPainter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepresentationPainter for class vtkDefaultPainter requires 1 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkRepresentationPainter  *temp20;
  temp20 = (vtk_pointer)->GetRepresentationPainter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRepresentationPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:SetDelegatePainter vtkDefaultPainterSetDelegatePainterFunction
//input a0 a1 
//output none
ArrayVector vtkDefaultPainterSetDelegatePainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDelegatePainter (vtkPainter *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDelegatePainter for class vtkDefaultPainter requires 2 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkPainter  *temp0;
  temp0 = GetVTKPointer<vtkPainter>(arg[1]);
  vtk_pointer->SetDelegatePainter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:GetDelegatePainter vtkDefaultPainterGetDelegatePainterFunction
//input a0 
//output y
ArrayVector vtkDefaultPainterGetDelegatePainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkPainter *GetDelegatePainter ();return this DefaultPainterDelegate  */
  if (arg.size() < 1) 
    throw Exception("Function GetDelegatePainter for class vtkDefaultPainter requires 1 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkPainter  *temp20;
  temp20 = (vtk_pointer)->GetDelegatePainter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:Render vtkDefaultPainterRenderFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkDefaultPainterRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkRenderer *renderer, vtkActor *actor, unsigned long typeflags, bool forceCompileOnly); */
  if (arg.size() < 5) 
    throw Exception("Function Render for class vtkDefaultPainter requires 5 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  unsigned long     temp2;
  bool   temp3;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkActor>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (unsigned long) arg[3].asDouble();
  vtk_pointer->Render(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:ReleaseGraphicsResources vtkDefaultPainterReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkDefaultPainterReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkDefaultPainter requires 2 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:UpdateBounds vtkDefaultPainterUpdateBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkDefaultPainterUpdateBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UpdateBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function UpdateBounds for class vtkDefaultPainter requires 2 argument(s)");
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->UpdateBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPainter:display vtkDefaultPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDefaultPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDefaultPainter* vtk_pointer = GetVTKPointer<vtkDefaultPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDefaultPainter:delete vtkDefaultPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkDefaultPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDefaultPainter
//@@Section VTKRendering
//@@Usage
// This painter does not do any actual rendering.
// Sets up a default pipeline of painters to mimick the behaiour of 
// old vtkPolyDataMapper. The chain is as follows:
// input--> vtkScalarsToColorsPainter --> vtkClipPlanesPainter -->
// vtkDisplayListPainter --> vtkCompositePainter -->
// vtkCoincidentTopologyResolutionPainter -->
// vtkLightingPainter --> vtkRepresentationPainter --> 
// \<Delegate of vtkDefaultPainter\>.
// Typically, the delegate of the default painter be one that is capable of r
// rendering graphics primitives or a vtkChooserPainter which can select appropriate
// painters to do the rendering.
//
//To create an instance of class vtkDefaultPainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkDefaultPainter
//@]
//@@Methods
//The class vtkDefaultPainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDefaultPainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDefaultPainter = obj.NewInstance ()|
// \item @|vtkDefaultPainter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetScalarsToColorsPainter (vtkScalarsToColorsPainter )| -  Get/Set the painter that maps scalars to colors.
//// \item @|vtkScalarsToColorsPainter = obj.GetScalarsToColorsPainter ()| -  Get/Set the painter that maps scalars to colors.
//// \item @|obj.SetClipPlanesPainter (vtkClipPlanesPainter )| -  Get/Set the painter that handles clipping.
//// \item @|vtkClipPlanesPainter = obj.GetClipPlanesPainter ()| -  Get/Set the painter that handles clipping.
//// \item @|obj.SetDisplayListPainter (vtkDisplayListPainter )| -  Get/Set the painter that builds display lists.
//// \item @|vtkDisplayListPainter = obj.GetDisplayListPainter ()| -  Get/Set the painter that builds display lists.
//// \item @|obj.SetCompositePainter (vtkCompositePainter )| -  Get/Set the painter used to handle composite datasets.
//// \item @|vtkCompositePainter = obj.GetCompositePainter ()| -  Get/Set the painter used to handle composite datasets.
//// \item @|obj.SetCoincidentTopologyResolutionPainter (vtkCoincidentTopologyResolutionPainter )| -  Painter used to resolve coincident topology.
//// \item @|vtkCoincidentTopologyResolutionPainter = obj.GetCoincidentTopologyResolutionPainter ()| -  Painter used to resolve coincident topology.
//// \item @|obj.SetLightingPainter (vtkLightingPainter )| -  Get/Set the painter that controls lighting.
//// \item @|vtkLightingPainter = obj.GetLightingPainter ()| -  Get/Set the painter that controls lighting.
//// \item @|obj.SetRepresentationPainter (vtkRepresentationPainter )| -  Painter used to convert polydata to Wireframe/Points representation.
//// \item @|vtkRepresentationPainter = obj.GetRepresentationPainter ()| -  Painter used to convert polydata to Wireframe/Points representation.
//// \item @|obj.SetDelegatePainter (vtkPainter )| -  Set/Get the painter to which this painter should propagare its draw calls.
// These methods are overridden so that the delegate is set
// to the end of the Painter Chain.
//// \item @|vtkPainter = obj.GetDelegatePainter ()| -  Overridden to setup the chain of painter depending on the 
// actor representation. The chain is rebuilt if
// this->MTime has changed 
// since last BuildPainterChain();
// Building of the chain does not depend on input polydata,
// hence it does not check if the input has changed at all.
//// \item @|obj.Render (vtkRenderer renderer, vtkActor actor, long typeflags, bool forceCompileOnly)| -  Overridden to setup the chain of painter depending on the 
// actor representation. The chain is rebuilt if
// this->MTime has changed 
// since last BuildPainterChain();
// Building of the chain does not depend on input polydata,
// hence it does not check if the input has changed at all.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this painter.
// The parameter window could be used to determine which graphic
// resources to release. 
// The call is propagated to the delegate painter, if any.
//// \item @|obj.UpdateBounds (double bounds[6])| -  Expand or shrink the estimated bounds based on the geometric
// transformations applied in the painter. The bounds are left unchanged
// if the painter does not change the geometry.
////\end{itemize}
//!
