#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDefaultPass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDefaultPass.h"

//@@Signature
//sfunction @vtkDefaultPass:vtkDefaultPass vtkDefaultPassConstructorFunction
//input a
//output p
//@@Parents vtkDefaultPass vtkRenderPass 
ArrayVector vtkDefaultPassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDefaultPass::New(),"vtkDefaultPass",eval);
  } else if (arg[0].className() == "vtkDefaultPass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDefaultPass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDefaultPass");
    vtkDefaultPass*q = reinterpret_cast<vtkDefaultPass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDefaultPass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDefaultPass:GetClassName vtkDefaultPassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDefaultPassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDefaultPass requires 1 argument(s)");
  vtkDefaultPass* vtk_pointer = GetVTKPointer<vtkDefaultPass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPass:IsA vtkDefaultPassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDefaultPassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDefaultPass requires 2 argument(s)");
  vtkDefaultPass* vtk_pointer = GetVTKPointer<vtkDefaultPass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPass:NewInstance vtkDefaultPassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDefaultPassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDefaultPass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDefaultPass requires 1 argument(s)");
  vtkDefaultPass* vtk_pointer = GetVTKPointer<vtkDefaultPass>(arg[0]);
  Array retval;
  vtkDefaultPass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDefaultPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPass:SafeDownCast vtkDefaultPassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDefaultPassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDefaultPass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDefaultPass requires 2 argument(s)");
  vtkDefaultPass* vtk_pointer = GetVTKPointer<vtkDefaultPass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDefaultPass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDefaultPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDefaultPass:display vtkDefaultPassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDefaultPassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDefaultPass* vtk_pointer = GetVTKPointer<vtkDefaultPass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDefaultPass:delete vtkDefaultPassDeleteFunction
//input varargin
//output none
ArrayVector vtkDefaultPassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDefaultPass
//@@Section VTKRendering
//@@Usage
// vtkDefaultPass implements the basic standard render passes of VTK.
// Subclasses can easily be implemented by reusing some parts of the basic
// implementation.
//
// It implements classic Render operations as well as versions with property
// key checking.
//
// This pass expects an initialized depth buffer and color buffer.
// Initialized buffers means they have been cleared with farest z-value and
// background color/gradient/transparent color.
// 
//
//To create an instance of class vtkDefaultPass, simply
//invoke its constructor as follows
//@[
//  obj = vtkDefaultPass
//@]
//@@Methods
//The class vtkDefaultPass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDefaultPass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDefaultPass = obj.NewInstance ()|
// \item @|vtkDefaultPass = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
