#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDepthPeelingPass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDepthPeelingPass.h"

//@@Signature
//sfunction @vtkDepthPeelingPass:vtkDepthPeelingPass vtkDepthPeelingPassConstructorFunction
//input a
//output p
//@@Parents vtkDepthPeelingPass vtkRenderPass 
ArrayVector vtkDepthPeelingPassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDepthPeelingPass::New(),"vtkDepthPeelingPass",eval);
  } else if (arg[0].className() == "vtkDepthPeelingPass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDepthPeelingPass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDepthPeelingPass");
    vtkDepthPeelingPass*q = reinterpret_cast<vtkDepthPeelingPass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDepthPeelingPass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDepthPeelingPass:GetClassName vtkDepthPeelingPassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDepthPeelingPassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDepthPeelingPass requires 1 argument(s)");
  vtkDepthPeelingPass* vtk_pointer = GetVTKPointer<vtkDepthPeelingPass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDepthPeelingPass:IsA vtkDepthPeelingPassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDepthPeelingPassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDepthPeelingPass requires 2 argument(s)");
  vtkDepthPeelingPass* vtk_pointer = GetVTKPointer<vtkDepthPeelingPass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDepthPeelingPass:NewInstance vtkDepthPeelingPassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDepthPeelingPassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDepthPeelingPass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDepthPeelingPass requires 1 argument(s)");
  vtkDepthPeelingPass* vtk_pointer = GetVTKPointer<vtkDepthPeelingPass>(arg[0]);
  Array retval;
  vtkDepthPeelingPass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDepthPeelingPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDepthPeelingPass:SafeDownCast vtkDepthPeelingPassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDepthPeelingPassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDepthPeelingPass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDepthPeelingPass requires 2 argument(s)");
  vtkDepthPeelingPass* vtk_pointer = GetVTKPointer<vtkDepthPeelingPass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDepthPeelingPass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDepthPeelingPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDepthPeelingPass:ReleaseGraphicsResources vtkDepthPeelingPassReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkDepthPeelingPassReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *w); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkDepthPeelingPass requires 2 argument(s)");
  vtkDepthPeelingPass* vtk_pointer = GetVTKPointer<vtkDepthPeelingPass>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDepthPeelingPass:GetTranslucentPass vtkDepthPeelingPassGetTranslucentPassFunction
//input a0 
//output y
ArrayVector vtkDepthPeelingPassGetTranslucentPassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderPass *GetTranslucentPass (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTranslucentPass for class vtkDepthPeelingPass requires 1 argument(s)");
  vtkDepthPeelingPass* vtk_pointer = GetVTKPointer<vtkDepthPeelingPass>(arg[0]);
  Array retval;
  vtkRenderPass  *temp20;
  temp20 = (vtk_pointer)->GetTranslucentPass();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDepthPeelingPass:SetTranslucentPass vtkDepthPeelingPassSetTranslucentPassFunction
//input a0 a1 
//output none
ArrayVector vtkDepthPeelingPassSetTranslucentPassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTranslucentPass (vtkRenderPass *translucentPass); */
  if (arg.size() < 2) 
    throw Exception("Function SetTranslucentPass for class vtkDepthPeelingPass requires 2 argument(s)");
  vtkDepthPeelingPass* vtk_pointer = GetVTKPointer<vtkDepthPeelingPass>(arg[0]);
  Array retval;
  vtkRenderPass  *temp0;
  temp0 = GetVTKPointer<vtkRenderPass>(arg[1]);
  vtk_pointer->SetTranslucentPass(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDepthPeelingPass:SetOcclusionRatio vtkDepthPeelingPassSetOcclusionRatioFunction
//input a0 a1 
//output none
ArrayVector vtkDepthPeelingPassSetOcclusionRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOcclusionRatio (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOcclusionRatio for class vtkDepthPeelingPass requires 2 argument(s)");
  vtkDepthPeelingPass* vtk_pointer = GetVTKPointer<vtkDepthPeelingPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOcclusionRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDepthPeelingPass:GetOcclusionRatioMinValue vtkDepthPeelingPassGetOcclusionRatioMinValueFunction
//input a0 
//output y
ArrayVector vtkDepthPeelingPassGetOcclusionRatioMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOcclusionRatioMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOcclusionRatioMinValue for class vtkDepthPeelingPass requires 1 argument(s)");
  vtkDepthPeelingPass* vtk_pointer = GetVTKPointer<vtkDepthPeelingPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOcclusionRatioMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDepthPeelingPass:GetOcclusionRatioMaxValue vtkDepthPeelingPassGetOcclusionRatioMaxValueFunction
//input a0 
//output y
ArrayVector vtkDepthPeelingPassGetOcclusionRatioMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOcclusionRatioMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOcclusionRatioMaxValue for class vtkDepthPeelingPass requires 1 argument(s)");
  vtkDepthPeelingPass* vtk_pointer = GetVTKPointer<vtkDepthPeelingPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOcclusionRatioMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDepthPeelingPass:GetOcclusionRatio vtkDepthPeelingPassGetOcclusionRatioFunction
//input a0 
//output y
ArrayVector vtkDepthPeelingPassGetOcclusionRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOcclusionRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOcclusionRatio for class vtkDepthPeelingPass requires 1 argument(s)");
  vtkDepthPeelingPass* vtk_pointer = GetVTKPointer<vtkDepthPeelingPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOcclusionRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDepthPeelingPass:SetMaximumNumberOfPeels vtkDepthPeelingPassSetMaximumNumberOfPeelsFunction
//input a0 a1 
//output none
ArrayVector vtkDepthPeelingPassSetMaximumNumberOfPeelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumNumberOfPeels (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumNumberOfPeels for class vtkDepthPeelingPass requires 2 argument(s)");
  vtkDepthPeelingPass* vtk_pointer = GetVTKPointer<vtkDepthPeelingPass>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumNumberOfPeels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDepthPeelingPass:GetMaximumNumberOfPeels vtkDepthPeelingPassGetMaximumNumberOfPeelsFunction
//input a0 
//output y
ArrayVector vtkDepthPeelingPassGetMaximumNumberOfPeelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumNumberOfPeels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfPeels for class vtkDepthPeelingPass requires 1 argument(s)");
  vtkDepthPeelingPass* vtk_pointer = GetVTKPointer<vtkDepthPeelingPass>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfPeels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDepthPeelingPass:GetLastRenderingUsedDepthPeeling vtkDepthPeelingPassGetLastRenderingUsedDepthPeelingFunction
//input a0 
//output y
ArrayVector vtkDepthPeelingPassGetLastRenderingUsedDepthPeelingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetLastRenderingUsedDepthPeeling (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastRenderingUsedDepthPeeling for class vtkDepthPeelingPass requires 1 argument(s)");
  vtkDepthPeelingPass* vtk_pointer = GetVTKPointer<vtkDepthPeelingPass>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetLastRenderingUsedDepthPeeling();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDepthPeelingPass:display vtkDepthPeelingPassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDepthPeelingPassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDepthPeelingPass* vtk_pointer = GetVTKPointer<vtkDepthPeelingPass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDepthPeelingPass:delete vtkDepthPeelingPassDeleteFunction
//input varargin
//output none
ArrayVector vtkDepthPeelingPassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDepthPeelingPass
//@@Section VTKRendering
//@@Usage
// Render the translucent polygonal geometry of a scene without sorting
// polygons in the view direction.
//
// This pass expects an initialized depth buffer and color buffer.
// Initialized buffers means they have been cleared with farest z-value and
// background color/gradient/transparent color.
// An opaque pass may have been performed right after the initialization.
//
// The depth peeling algorithm works by rendering the translucent polygonal
// geometry multiple times (once for each peel). The actually rendering of
// the translucent polygonal geometry is peformed by its delegate
// TranslucentPass. This delegate is therefore used multiple times.
//
// Its delegate is usually set to a vtkTranslucentPass.
// 
//
//To create an instance of class vtkDepthPeelingPass, simply
//invoke its constructor as follows
//@[
//  obj = vtkDepthPeelingPass
//@]
//@@Methods
//The class vtkDepthPeelingPass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDepthPeelingPass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDepthPeelingPass = obj.NewInstance ()|
// \item @|vtkDepthPeelingPass = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ReleaseGraphicsResources (vtkWindow w)| -  Release graphics resources and ask components to release their own
// resources.
// \pre w_exists: w!=0
//// \item @|vtkRenderPass = obj.GetTranslucentPass ()| -  Delegate for rendering the translucent polygonal geometry.
// If it is NULL, nothing will be rendered and a warning will be emitted.
// It is usually set to a vtkTranslucentPass.
// Initial value is a NULL pointer.
//// \item @|obj.SetTranslucentPass (vtkRenderPass translucentPass)| -  Delegate for rendering the translucent polygonal geometry.
// If it is NULL, nothing will be rendered and a warning will be emitted.
// It is usually set to a vtkTranslucentPass.
// Initial value is a NULL pointer.
//// \item @|obj.SetOcclusionRatio (double )| -  In case of use of depth peeling technique for rendering translucent
// material, define the threshold under which the algorithm stops to
// iterate over peel layers. This is the ratio of the number of pixels
// that have been touched by the last layer over the total number of pixels
// of the viewport area.
// Initial value is 0.0, meaning rendering have to be exact. Greater values
// may speed-up the rendering with small impact on the quality.
//// \item @|double = obj.GetOcclusionRatioMinValue ()| -  In case of use of depth peeling technique for rendering translucent
// material, define the threshold under which the algorithm stops to
// iterate over peel layers. This is the ratio of the number of pixels
// that have been touched by the last layer over the total number of pixels
// of the viewport area.
// Initial value is 0.0, meaning rendering have to be exact. Greater values
// may speed-up the rendering with small impact on the quality.
//// \item @|double = obj.GetOcclusionRatioMaxValue ()| -  In case of use of depth peeling technique for rendering translucent
// material, define the threshold under which the algorithm stops to
// iterate over peel layers. This is the ratio of the number of pixels
// that have been touched by the last layer over the total number of pixels
// of the viewport area.
// Initial value is 0.0, meaning rendering have to be exact. Greater values
// may speed-up the rendering with small impact on the quality.
//// \item @|double = obj.GetOcclusionRatio ()| -  In case of use of depth peeling technique for rendering translucent
// material, define the threshold under which the algorithm stops to
// iterate over peel layers. This is the ratio of the number of pixels
// that have been touched by the last layer over the total number of pixels
// of the viewport area.
// Initial value is 0.0, meaning rendering have to be exact. Greater values
// may speed-up the rendering with small impact on the quality.
//// \item @|obj.SetMaximumNumberOfPeels (int )| -  In case of depth peeling, define the maximum number of peeling layers.
// Initial value is 4. A special value of 0 means no maximum limit.
// It has to be a positive value.
//// \item @|int = obj.GetMaximumNumberOfPeels ()| -  In case of depth peeling, define the maximum number of peeling layers.
// Initial value is 4. A special value of 0 means no maximum limit.
// It has to be a positive value.
//// \item @|bool = obj.GetLastRenderingUsedDepthPeeling ()| -  Tells if the last time this pass was executed, the depth peeling
// algorithm was actually used. Initial value is false.
////\end{itemize}
//!
