#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDisplayListPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDisplayListPainter.h"

//@@Signature
//sfunction @vtkDisplayListPainter:vtkDisplayListPainter vtkDisplayListPainterConstructorFunction
//input a
//output p
//@@Parents vtkDisplayListPainter vtkPainter 
ArrayVector vtkDisplayListPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDisplayListPainter::New(),"vtkDisplayListPainter",eval);
  } else if (arg[0].className() == "vtkDisplayListPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDisplayListPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDisplayListPainter");
    vtkDisplayListPainter*q = reinterpret_cast<vtkDisplayListPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDisplayListPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDisplayListPainter:GetClassName vtkDisplayListPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDisplayListPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDisplayListPainter requires 1 argument(s)");
  vtkDisplayListPainter* vtk_pointer = GetVTKPointer<vtkDisplayListPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDisplayListPainter:IsA vtkDisplayListPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDisplayListPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDisplayListPainter requires 2 argument(s)");
  vtkDisplayListPainter* vtk_pointer = GetVTKPointer<vtkDisplayListPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDisplayListPainter:NewInstance vtkDisplayListPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDisplayListPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDisplayListPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDisplayListPainter requires 1 argument(s)");
  vtkDisplayListPainter* vtk_pointer = GetVTKPointer<vtkDisplayListPainter>(arg[0]);
  Array retval;
  vtkDisplayListPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDisplayListPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDisplayListPainter:SafeDownCast vtkDisplayListPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDisplayListPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDisplayListPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDisplayListPainter requires 2 argument(s)");
  vtkDisplayListPainter* vtk_pointer = GetVTKPointer<vtkDisplayListPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDisplayListPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDisplayListPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDisplayListPainter:IMMEDIATE_MODE_RENDERING vtkDisplayListPainterIMMEDIATE_MODE_RENDERINGFunction
//input a0 
//output y
ArrayVector vtkDisplayListPainterIMMEDIATE_MODE_RENDERINGFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *IMMEDIATE_MODE_RENDERING (); */
  if (arg.size() < 1) 
    throw Exception("Function IMMEDIATE_MODE_RENDERING for class vtkDisplayListPainter requires 1 argument(s)");
  vtkDisplayListPainter* vtk_pointer = GetVTKPointer<vtkDisplayListPainter>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->IMMEDIATE_MODE_RENDERING();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDisplayListPainter:GetTimeToDraw vtkDisplayListPainterGetTimeToDrawFunction
//input a0 
//output y
ArrayVector vtkDisplayListPainterGetTimeToDrawFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetTimeToDraw (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeToDraw for class vtkDisplayListPainter requires 1 argument(s)");
  vtkDisplayListPainter* vtk_pointer = GetVTKPointer<vtkDisplayListPainter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTimeToDraw();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDisplayListPainter:display vtkDisplayListPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDisplayListPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDisplayListPainter* vtk_pointer = GetVTKPointer<vtkDisplayListPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDisplayListPainter:delete vtkDisplayListPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkDisplayListPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
