#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDistanceToCamera object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDistanceToCamera.h"

//@@Signature
//sfunction @vtkDistanceToCamera:vtkDistanceToCamera vtkDistanceToCameraConstructorFunction
//input a
//output p
//@@Parents vtkDistanceToCamera vtkPolyDataAlgorithm 
ArrayVector vtkDistanceToCameraConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDistanceToCamera::New(),"vtkDistanceToCamera",eval);
  } else if (arg[0].className() == "vtkDistanceToCamera") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDistanceToCamera"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDistanceToCamera");
    vtkDistanceToCamera*q = reinterpret_cast<vtkDistanceToCamera*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDistanceToCamera");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDistanceToCamera:GetClassName vtkDistanceToCameraGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDistanceToCameraGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDistanceToCamera requires 1 argument(s)");
  vtkDistanceToCamera* vtk_pointer = GetVTKPointer<vtkDistanceToCamera>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceToCamera:IsA vtkDistanceToCameraIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDistanceToCameraIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDistanceToCamera requires 2 argument(s)");
  vtkDistanceToCamera* vtk_pointer = GetVTKPointer<vtkDistanceToCamera>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceToCamera:NewInstance vtkDistanceToCameraNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDistanceToCameraNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDistanceToCamera *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDistanceToCamera requires 1 argument(s)");
  vtkDistanceToCamera* vtk_pointer = GetVTKPointer<vtkDistanceToCamera>(arg[0]);
  Array retval;
  vtkDistanceToCamera  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDistanceToCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceToCamera:SafeDownCast vtkDistanceToCameraSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDistanceToCameraSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDistanceToCamera *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDistanceToCamera requires 2 argument(s)");
  vtkDistanceToCamera* vtk_pointer = GetVTKPointer<vtkDistanceToCamera>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDistanceToCamera  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDistanceToCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceToCamera:SetRenderer vtkDistanceToCameraSetRendererFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceToCameraSetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRenderer (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderer for class vtkDistanceToCamera requires 2 argument(s)");
  vtkDistanceToCamera* vtk_pointer = GetVTKPointer<vtkDistanceToCamera>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceToCamera:GetRenderer vtkDistanceToCameraGetRendererFunction
//input a0 
//output y
ArrayVector vtkDistanceToCameraGetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetRenderer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderer for class vtkDistanceToCamera requires 1 argument(s)");
  vtkDistanceToCamera* vtk_pointer = GetVTKPointer<vtkDistanceToCamera>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetRenderer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceToCamera:SetScreenSize vtkDistanceToCameraSetScreenSizeFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceToCameraSetScreenSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScreenSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScreenSize for class vtkDistanceToCamera requires 2 argument(s)");
  vtkDistanceToCamera* vtk_pointer = GetVTKPointer<vtkDistanceToCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScreenSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceToCamera:GetScreenSize vtkDistanceToCameraGetScreenSizeFunction
//input a0 
//output y
ArrayVector vtkDistanceToCameraGetScreenSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScreenSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScreenSize for class vtkDistanceToCamera requires 1 argument(s)");
  vtkDistanceToCamera* vtk_pointer = GetVTKPointer<vtkDistanceToCamera>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScreenSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceToCamera:SetScaling vtkDistanceToCameraSetScalingFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceToCameraSetScalingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaling (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaling for class vtkDistanceToCamera requires 2 argument(s)");
  vtkDistanceToCamera* vtk_pointer = GetVTKPointer<vtkDistanceToCamera>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetScaling(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceToCamera:GetScaling vtkDistanceToCameraGetScalingFunction
//input a0 
//output y
ArrayVector vtkDistanceToCameraGetScalingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetScaling (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaling for class vtkDistanceToCamera requires 1 argument(s)");
  vtkDistanceToCamera* vtk_pointer = GetVTKPointer<vtkDistanceToCamera>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetScaling();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceToCamera:ScalingOn vtkDistanceToCameraScalingOnFunction
//input a0 
//output none
ArrayVector vtkDistanceToCameraScalingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalingOn for class vtkDistanceToCamera requires 1 argument(s)");
  vtkDistanceToCamera* vtk_pointer = GetVTKPointer<vtkDistanceToCamera>(arg[0]);
  Array retval;
  vtk_pointer->ScalingOn();
  return retval;
}

//@@Signature
//sfunction @vtkDistanceToCamera:ScalingOff vtkDistanceToCameraScalingOffFunction
//input a0 
//output none
ArrayVector vtkDistanceToCameraScalingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalingOff for class vtkDistanceToCamera requires 1 argument(s)");
  vtkDistanceToCamera* vtk_pointer = GetVTKPointer<vtkDistanceToCamera>(arg[0]);
  Array retval;
  vtk_pointer->ScalingOff();
  return retval;
}

//@@Signature
//sfunction @vtkDistanceToCamera:GetMTime vtkDistanceToCameraGetMTimeFunction
//input a0 
//output y
ArrayVector vtkDistanceToCameraGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkDistanceToCamera requires 1 argument(s)");
  vtkDistanceToCamera* vtk_pointer = GetVTKPointer<vtkDistanceToCamera>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceToCamera:display vtkDistanceToCameraDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDistanceToCameraDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDistanceToCamera* vtk_pointer = GetVTKPointer<vtkDistanceToCamera>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDistanceToCamera:delete vtkDistanceToCameraDeleteFunction
//input varargin
//output none
ArrayVector vtkDistanceToCameraDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDistanceToCamera
//@@Section VTKRendering
//@@Usage
// This filter adds a double array containing the distance from each point
// to the camera. If Scaling is on, it will use the values in the input
// array to process in order to scale the size of the points. ScreenSize
// sets the size in screen pixels that you would want a rendered rectangle
// at that point to be, if it was scaled by the output array.
//
//To create an instance of class vtkDistanceToCamera, simply
//invoke its constructor as follows
//@[
//  obj = vtkDistanceToCamera
//@]
//@@Methods
//The class vtkDistanceToCamera has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDistanceToCamera class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDistanceToCamera = obj.NewInstance ()|
// \item @|vtkDistanceToCamera = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRenderer (vtkRenderer ren)| -  The renderer which will ultimately render these points.
//// \item @|vtkRenderer = obj.GetRenderer ()| -  The renderer which will ultimately render these points.
//// \item @|obj.SetScreenSize (double )| -  The desired screen size obtained by scaling glyphs by the distance
// array. It assumes the glyph at each point will be unit size.
//// \item @|double = obj.GetScreenSize ()| -  The desired screen size obtained by scaling glyphs by the distance
// array. It assumes the glyph at each point will be unit size.
//// \item @|obj.SetScaling (bool )| -  Whether to scale the distance by the input array to process.
//// \item @|bool = obj.GetScaling ()| -  Whether to scale the distance by the input array to process.
//// \item @|obj.ScalingOn ()| -  Whether to scale the distance by the input array to process.
//// \item @|obj.ScalingOff ()| -  Whether to scale the distance by the input array to process.
//// \item @|long = obj.GetMTime ()| -  The modified time of this filter.
////\end{itemize}
//!
