#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDynamic2DLabelMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDynamic2DLabelMapper.h"

//@@Signature
//sfunction @vtkDynamic2DLabelMapper:vtkDynamic2DLabelMapper vtkDynamic2DLabelMapperConstructorFunction
//input a
//output p
//@@Parents vtkDynamic2DLabelMapper vtkLabeledDataMapper 
ArrayVector vtkDynamic2DLabelMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDynamic2DLabelMapper::New(),"vtkDynamic2DLabelMapper",eval);
  } else if (arg[0].className() == "vtkDynamic2DLabelMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDynamic2DLabelMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDynamic2DLabelMapper");
    vtkDynamic2DLabelMapper*q = reinterpret_cast<vtkDynamic2DLabelMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDynamic2DLabelMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDynamic2DLabelMapper:GetClassName vtkDynamic2DLabelMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDynamic2DLabelMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDynamic2DLabelMapper requires 1 argument(s)");
  vtkDynamic2DLabelMapper* vtk_pointer = GetVTKPointer<vtkDynamic2DLabelMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDynamic2DLabelMapper:IsA vtkDynamic2DLabelMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDynamic2DLabelMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDynamic2DLabelMapper requires 2 argument(s)");
  vtkDynamic2DLabelMapper* vtk_pointer = GetVTKPointer<vtkDynamic2DLabelMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDynamic2DLabelMapper:NewInstance vtkDynamic2DLabelMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDynamic2DLabelMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDynamic2DLabelMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDynamic2DLabelMapper requires 1 argument(s)");
  vtkDynamic2DLabelMapper* vtk_pointer = GetVTKPointer<vtkDynamic2DLabelMapper>(arg[0]);
  Array retval;
  vtkDynamic2DLabelMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDynamic2DLabelMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDynamic2DLabelMapper:SafeDownCast vtkDynamic2DLabelMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDynamic2DLabelMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDynamic2DLabelMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDynamic2DLabelMapper requires 2 argument(s)");
  vtkDynamic2DLabelMapper* vtk_pointer = GetVTKPointer<vtkDynamic2DLabelMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDynamic2DLabelMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDynamic2DLabelMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDynamic2DLabelMapper:SetPriorityArrayName vtkDynamic2DLabelMapperSetPriorityArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkDynamic2DLabelMapperSetPriorityArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPriorityArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetPriorityArrayName for class vtkDynamic2DLabelMapper requires 2 argument(s)");
  vtkDynamic2DLabelMapper* vtk_pointer = GetVTKPointer<vtkDynamic2DLabelMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPriorityArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDynamic2DLabelMapper:SetReversePriority vtkDynamic2DLabelMapperSetReversePriorityFunction
//input a0 a1 
//output none
ArrayVector vtkDynamic2DLabelMapperSetReversePriorityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReversePriority (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReversePriority for class vtkDynamic2DLabelMapper requires 2 argument(s)");
  vtkDynamic2DLabelMapper* vtk_pointer = GetVTKPointer<vtkDynamic2DLabelMapper>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetReversePriority(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDynamic2DLabelMapper:GetReversePriority vtkDynamic2DLabelMapperGetReversePriorityFunction
//input a0 
//output y
ArrayVector vtkDynamic2DLabelMapperGetReversePriorityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetReversePriority (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReversePriority for class vtkDynamic2DLabelMapper requires 1 argument(s)");
  vtkDynamic2DLabelMapper* vtk_pointer = GetVTKPointer<vtkDynamic2DLabelMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetReversePriority();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDynamic2DLabelMapper:ReversePriorityOn vtkDynamic2DLabelMapperReversePriorityOnFunction
//input a0 
//output none
ArrayVector vtkDynamic2DLabelMapperReversePriorityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReversePriorityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReversePriorityOn for class vtkDynamic2DLabelMapper requires 1 argument(s)");
  vtkDynamic2DLabelMapper* vtk_pointer = GetVTKPointer<vtkDynamic2DLabelMapper>(arg[0]);
  Array retval;
  vtk_pointer->ReversePriorityOn();
  return retval;
}

//@@Signature
//sfunction @vtkDynamic2DLabelMapper:ReversePriorityOff vtkDynamic2DLabelMapperReversePriorityOffFunction
//input a0 
//output none
ArrayVector vtkDynamic2DLabelMapperReversePriorityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReversePriorityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReversePriorityOff for class vtkDynamic2DLabelMapper requires 1 argument(s)");
  vtkDynamic2DLabelMapper* vtk_pointer = GetVTKPointer<vtkDynamic2DLabelMapper>(arg[0]);
  Array retval;
  vtk_pointer->ReversePriorityOff();
  return retval;
}

//@@Signature
//sfunction @vtkDynamic2DLabelMapper:SetLabelHeightPadding vtkDynamic2DLabelMapperSetLabelHeightPaddingFunction
//input a0 a1 
//output none
ArrayVector vtkDynamic2DLabelMapperSetLabelHeightPaddingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelHeightPadding (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelHeightPadding for class vtkDynamic2DLabelMapper requires 2 argument(s)");
  vtkDynamic2DLabelMapper* vtk_pointer = GetVTKPointer<vtkDynamic2DLabelMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLabelHeightPadding(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDynamic2DLabelMapper:GetLabelHeightPadding vtkDynamic2DLabelMapperGetLabelHeightPaddingFunction
//input a0 
//output y
ArrayVector vtkDynamic2DLabelMapperGetLabelHeightPaddingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetLabelHeightPadding (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelHeightPadding for class vtkDynamic2DLabelMapper requires 1 argument(s)");
  vtkDynamic2DLabelMapper* vtk_pointer = GetVTKPointer<vtkDynamic2DLabelMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetLabelHeightPadding();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDynamic2DLabelMapper:SetLabelWidthPadding vtkDynamic2DLabelMapperSetLabelWidthPaddingFunction
//input a0 a1 
//output none
ArrayVector vtkDynamic2DLabelMapperSetLabelWidthPaddingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelWidthPadding (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelWidthPadding for class vtkDynamic2DLabelMapper requires 2 argument(s)");
  vtkDynamic2DLabelMapper* vtk_pointer = GetVTKPointer<vtkDynamic2DLabelMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLabelWidthPadding(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDynamic2DLabelMapper:GetLabelWidthPadding vtkDynamic2DLabelMapperGetLabelWidthPaddingFunction
//input a0 
//output y
ArrayVector vtkDynamic2DLabelMapperGetLabelWidthPaddingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetLabelWidthPadding (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelWidthPadding for class vtkDynamic2DLabelMapper requires 1 argument(s)");
  vtkDynamic2DLabelMapper* vtk_pointer = GetVTKPointer<vtkDynamic2DLabelMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetLabelWidthPadding();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDynamic2DLabelMapper:RenderOpaqueGeometry vtkDynamic2DLabelMapperRenderOpaqueGeometryFunction
//input a0 a1 a2 
//output none
ArrayVector vtkDynamic2DLabelMapperRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderOpaqueGeometry (vtkViewport *viewport, vtkActor2D *actor); */
  if (arg.size() < 3) 
    throw Exception("Function RenderOpaqueGeometry for class vtkDynamic2DLabelMapper requires 3 argument(s)");
  vtkDynamic2DLabelMapper* vtk_pointer = GetVTKPointer<vtkDynamic2DLabelMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkActor2D>(arg[2]);
  vtk_pointer->RenderOpaqueGeometry(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDynamic2DLabelMapper:RenderOverlay vtkDynamic2DLabelMapperRenderOverlayFunction
//input a0 a1 a2 
//output none
ArrayVector vtkDynamic2DLabelMapperRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderOverlay (vtkViewport *viewport, vtkActor2D *actor); */
  if (arg.size() < 3) 
    throw Exception("Function RenderOverlay for class vtkDynamic2DLabelMapper requires 3 argument(s)");
  vtkDynamic2DLabelMapper* vtk_pointer = GetVTKPointer<vtkDynamic2DLabelMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkActor2D>(arg[2]);
  vtk_pointer->RenderOverlay(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDynamic2DLabelMapper:display vtkDynamic2DLabelMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDynamic2DLabelMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDynamic2DLabelMapper* vtk_pointer = GetVTKPointer<vtkDynamic2DLabelMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDynamic2DLabelMapper:delete vtkDynamic2DLabelMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkDynamic2DLabelMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDynamic2DLabelMapper
//@@Section VTKRendering
//@@Usage
// vtkDynamic2DLabelMapper is a mapper that renders text at dataset
// points such that the labels do not overlap.
// Various items can be labeled including point ids, scalars,
// vectors, normals, texture coordinates, tensors, and field data components.
// This mapper assumes that the points are located on the x-y plane
// and that the camera remains perpendicular to that plane with a y-up
// axis (this can be constrained using vtkImageInteractor).
// On the first render, the mapper computes the visiblility of all labels
// at all scales, and queries this information on successive renders.
// This causes the first render to be much slower. The visibility algorithm
// is a greedy approach based on the point id, so the label for a point
// will be drawn unless the label for a point with lower id overlaps it.
//
//To create an instance of class vtkDynamic2DLabelMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkDynamic2DLabelMapper
//@]
//@@Methods
//The class vtkDynamic2DLabelMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDynamic2DLabelMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Instantiate object with %%-#6.3g label format. By default, point ids
// are labeled.
//// \item @|int = obj.IsA (string name)| -  Instantiate object with %%-#6.3g label format. By default, point ids
// are labeled.
//// \item @|vtkDynamic2DLabelMapper = obj.NewInstance ()| -  Instantiate object with %%-#6.3g label format. By default, point ids
// are labeled.
//// \item @|vtkDynamic2DLabelMapper = obj.SafeDownCast (vtkObject o)| -  Instantiate object with %%-#6.3g label format. By default, point ids
// are labeled.
//// \item @|obj.SetPriorityArrayName (string name)| -  Set the points array name to use to give priority to labels.
// Defaults to "priority".
//// \item @|obj.SetReversePriority (bool )| -  Whether to reverse the priority order (i.e. low values have high priority).
// Default is off.
//// \item @|bool = obj.GetReversePriority ()| -  Whether to reverse the priority order (i.e. low values have high priority).
// Default is off.
//// \item @|obj.ReversePriorityOn ()| -  Whether to reverse the priority order (i.e. low values have high priority).
// Default is off.
//// \item @|obj.ReversePriorityOff ()| -  Whether to reverse the priority order (i.e. low values have high priority).
// Default is off.
//// \item @|obj.SetLabelHeightPadding (float )| -  Set the label height padding as a percentage. The percentage 
// is a percentage of your label height. 
// Default is 50%.
//// \item @|float = obj.GetLabelHeightPadding ()| -  Set the label height padding as a percentage. The percentage 
// is a percentage of your label height. 
// Default is 50%.
//// \item @|obj.SetLabelWidthPadding (float )| -  Set the label width padding as a percentage. The percentage 
// is a percentage of your label ^height^ (yes, not a typo). 
// Default is 50%.
//// \item @|float = obj.GetLabelWidthPadding ()| -  Set the label width padding as a percentage. The percentage 
// is a percentage of your label ^height^ (yes, not a typo). 
// Default is 50%.
//// \item @|obj.RenderOpaqueGeometry (vtkViewport viewport, vtkActor2D actor)| -  Draw non-overlapping labels to the screen.
//// \item @|obj.RenderOverlay (vtkViewport viewport, vtkActor2D actor)| -  Draw non-overlapping labels to the screen.
////\end{itemize}
//!
