#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExporter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExporter.h"

//@@Signature
//sfunction @vtkExporter:vtkExporter vtkExporterConstructorFunction
//input a
//output p
//@@Parents vtkExporter vtkObject 
ArrayVector vtkExporterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExporter::New(),"vtkExporter",eval);
  } else if (arg[0].className() == "vtkExporter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExporter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExporter");
    vtkExporter*q = reinterpret_cast<vtkExporter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExporter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExporter:GetClassName vtkExporterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExporterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExporter requires 1 argument(s)");
  vtkExporter* vtk_pointer = GetVTKPointer<vtkExporter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExporter:IsA vtkExporterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExporterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExporter requires 2 argument(s)");
  vtkExporter* vtk_pointer = GetVTKPointer<vtkExporter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExporter:NewInstance vtkExporterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExporterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExporter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExporter requires 1 argument(s)");
  vtkExporter* vtk_pointer = GetVTKPointer<vtkExporter>(arg[0]);
  Array retval;
  vtkExporter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExporter:SafeDownCast vtkExporterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExporterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExporter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExporter requires 2 argument(s)");
  vtkExporter* vtk_pointer = GetVTKPointer<vtkExporter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExporter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExporter:Write vtkExporterWriteFunction
//input a0 
//output none
ArrayVector vtkExporterWriteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Write (); */
  if (arg.size() < 1) 
    throw Exception("Function Write for class vtkExporter requires 1 argument(s)");
  vtkExporter* vtk_pointer = GetVTKPointer<vtkExporter>(arg[0]);
  Array retval;
  vtk_pointer->Write();
  return retval;
}

//@@Signature
//sfunction @vtkExporter:Update vtkExporterUpdateFunction
//input a0 
//output none
ArrayVector vtkExporterUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkExporter requires 1 argument(s)");
  vtkExporter* vtk_pointer = GetVTKPointer<vtkExporter>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkExporter:SetRenderWindow vtkExporterSetRenderWindowFunction
//input a0 a1 
//output none
ArrayVector vtkExporterSetRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRenderWindow (vtkRenderWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderWindow for class vtkExporter requires 2 argument(s)");
  vtkExporter* vtk_pointer = GetVTKPointer<vtkExporter>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  vtk_pointer->SetRenderWindow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExporter:GetRenderWindow vtkExporterGetRenderWindowFunction
//input a0 
//output y
ArrayVector vtkExporterGetRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *GetRenderWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderWindow for class vtkExporter requires 1 argument(s)");
  vtkExporter* vtk_pointer = GetVTKPointer<vtkExporter>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->GetRenderWindow();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExporter:SetInput vtkExporterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkExporterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkRenderWindow *renWin);this SetRenderWindow renWin  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkExporter requires 2 argument(s)");
  vtkExporter* vtk_pointer = GetVTKPointer<vtkExporter>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExporter:GetInput vtkExporterGetInputFunction
//input a0 
//output y
ArrayVector vtkExporterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *GetInput ();return this GetRenderWindow  */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkExporter requires 1 argument(s)");
  vtkExporter* vtk_pointer = GetVTKPointer<vtkExporter>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExporter:GetMTime vtkExporterGetMTimeFunction
//input a0 
//output y
ArrayVector vtkExporterGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkExporter requires 1 argument(s)");
  vtkExporter* vtk_pointer = GetVTKPointer<vtkExporter>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExporter:display vtkExporterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExporterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExporter* vtk_pointer = GetVTKPointer<vtkExporter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExporter:delete vtkExporterDeleteFunction
//input varargin
//output none
ArrayVector vtkExporterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExporter
//@@Section VTKRendering
//@@Usage
// vtkExporter is an abstract class that exports a scene to a file. It
// is very similar to vtkWriter except that a writer only writes out
// the geometric and topological data for an object, where an exporter
// can write out material properties, lighting, camera parameters etc.
// The concrete subclasses of this class may not write out all of this
// information. For example vtkOBJExporter writes out Wavefront obj files
// which do not include support for camera parameters.
//
// vtkExporter provides the convenience methods StartWrite() and EndWrite().
// These methods are executed before and after execution of the Write() 
// method. You can also specify arguments to these methods.
// This class defines SetInput and GetInput methods which take or return
// a vtkRenderWindow.  
//
//To create an instance of class vtkExporter, simply
//invoke its constructor as follows
//@[
//  obj = vtkExporter
//@]
//@@Methods
//The class vtkExporter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExporter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExporter = obj.NewInstance ()|
// \item @|vtkExporter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Write ()| -  Write data to output. Method executes subclasses WriteData() method, as 
// well as StartWrite() and EndWrite() methods.
//// \item @|obj.Update ()| -  Convenient alias for Write() method.
//// \item @|obj.SetRenderWindow (vtkRenderWindow )| -  Set/Get the rendering window that contains the scene to be written.
//// \item @|vtkRenderWindow = obj.GetRenderWindow ()| -  Set/Get the rendering window that contains the scene to be written.
//// \item @|obj.SetInput (vtkRenderWindow renWin)| -  These methods are provided for backward compatibility. Will disappear
// soon.
//// \item @|vtkRenderWindow = obj.GetInput ()| -  These methods are provided for backward compatibility. Will disappear
// soon.
//// \item @|long = obj.GetMTime ()| -  Returns the MTime also considering the RenderWindow.
////\end{itemize}
//!
