#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFollower object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFollower.h"

//@@Signature
//sfunction @vtkFollower:vtkFollower vtkFollowerConstructorFunction
//input a
//output p
//@@Parents vtkFollower vtkActor 
ArrayVector vtkFollowerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFollower::New(),"vtkFollower",eval);
  } else if (arg[0].className() == "vtkFollower") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFollower"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFollower");
    vtkFollower*q = reinterpret_cast<vtkFollower*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFollower");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFollower:GetClassName vtkFollowerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFollowerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFollower requires 1 argument(s)");
  vtkFollower* vtk_pointer = GetVTKPointer<vtkFollower>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFollower:IsA vtkFollowerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFollowerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFollower requires 2 argument(s)");
  vtkFollower* vtk_pointer = GetVTKPointer<vtkFollower>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFollower:NewInstance vtkFollowerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFollowerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFollower *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFollower requires 1 argument(s)");
  vtkFollower* vtk_pointer = GetVTKPointer<vtkFollower>(arg[0]);
  Array retval;
  vtkFollower  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFollower",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFollower:SafeDownCast vtkFollowerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFollowerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFollower *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFollower requires 2 argument(s)");
  vtkFollower* vtk_pointer = GetVTKPointer<vtkFollower>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFollower  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFollower",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFollower:SetCamera vtkFollowerSetCameraFunction
//input a0 a1 
//output none
ArrayVector vtkFollowerSetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCamera (vtkCamera *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCamera for class vtkFollower requires 2 argument(s)");
  vtkFollower* vtk_pointer = GetVTKPointer<vtkFollower>(arg[0]);
  Array retval;
  vtkCamera  *temp0;
  temp0 = GetVTKPointer<vtkCamera>(arg[1]);
  vtk_pointer->SetCamera(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFollower:GetCamera vtkFollowerGetCameraFunction
//input a0 
//output y
ArrayVector vtkFollowerGetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCamera *GetCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCamera for class vtkFollower requires 1 argument(s)");
  vtkFollower* vtk_pointer = GetVTKPointer<vtkFollower>(arg[0]);
  Array retval;
  vtkCamera  *temp20;
  temp20 = (vtk_pointer)->GetCamera();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFollower:RenderOpaqueGeometry vtkFollowerRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkFollowerRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkFollower requires 2 argument(s)");
  vtkFollower* vtk_pointer = GetVTKPointer<vtkFollower>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFollower:RenderTranslucentPolygonalGeometry vtkFollowerRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkFollowerRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkFollower requires 2 argument(s)");
  vtkFollower* vtk_pointer = GetVTKPointer<vtkFollower>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFollower:Render__1 vtkFollowerRender__1Function
//input a0 a1 
//output none
ArrayVector vtkFollowerRender__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function Render__1 for class vtkFollower requires 2 argument(s)");
  vtkFollower* vtk_pointer = GetVTKPointer<vtkFollower>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->Render(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFollower:HasTranslucentPolygonalGeometry vtkFollowerHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkFollowerHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkFollower requires 1 argument(s)");
  vtkFollower* vtk_pointer = GetVTKPointer<vtkFollower>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFollower:GetMatrix__1 vtkFollowerGetMatrix__1Function
//input a0 a1 
//output none
ArrayVector vtkFollowerGetMatrix__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetMatrix (vtkMatrix4x4 *m); */
  if (arg.size() < 2) 
    throw Exception("Function GetMatrix__1 for class vtkFollower requires 2 argument(s)");
  vtkFollower* vtk_pointer = GetVTKPointer<vtkFollower>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->GetMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFollower:GetMatrix__2 vtkFollowerGetMatrix__2Function
//input a0 a1 
//output none
ArrayVector vtkFollowerGetMatrix__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetMatrix (double m[16]); */
  if (arg.size() < 2) 
    throw Exception("Function GetMatrix__2 for class vtkFollower requires 2 argument(s)");
  vtkFollower* vtk_pointer = GetVTKPointer<vtkFollower>(arg[0]);
  Array retval;
  double temp0[16];
  if ( !(arg[1].isVector() && arg[1].length() == 16) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFollower:GetMatrix__3 vtkFollowerGetMatrix__3Function
//input a0 
//output y
ArrayVector vtkFollowerGetMatrix__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkMatrix4x4 *GetMatrix ();return this vtkActor GetMatrix  */
  if (arg.size() < 1) 
    throw Exception("Function GetMatrix__3 for class vtkFollower requires 1 argument(s)");
  vtkFollower* vtk_pointer = GetVTKPointer<vtkFollower>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp20;
  temp20 = (vtk_pointer)->GetMatrix();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFollower:ShallowCopy vtkFollowerShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkFollowerShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkFollower requires 2 argument(s)");
  vtkFollower* vtk_pointer = GetVTKPointer<vtkFollower>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFollower:Render vtkFollowerRenderFunction
//input varargin
//output varargout
ArrayVector vtkFollowerRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkRenderer"))
    return vtkFollowerRender__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFollowerRender");
}

//@@Signature
//sfunction @vtkFollower:GetMatrix vtkFollowerGetMatrixFunction
//input varargin
//output varargout
ArrayVector vtkFollowerGetMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkMatrix4x4"))
    return vtkFollowerGetMatrix__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkFollowerGetMatrix__2Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkFollowerGetMatrix__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFollowerGetMatrix");
}

//@@Signature
//sfunction @vtkFollower:display vtkFollowerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFollowerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFollower* vtk_pointer = GetVTKPointer<vtkFollower>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFollower:delete vtkFollowerDeleteFunction
//input varargin
//output none
ArrayVector vtkFollowerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFollower
//@@Section VTKRendering
//@@Usage
// vtkFollower is a subclass of vtkActor that always follows its specified 
// camera. More specifically it will not change its position or scale,
// but it will continually update its orientation so that it is right side
// up and facing the camera. This is typically used for text labels in a
// scene. All of the adjustments that can be made to an actor also will
// take effect with a follower.  So, if you change the orientation of the
// follower by 90 degrees, then it will follow the camera, but be off by 
// 90 degrees.
//
//To create an instance of class vtkFollower, simply
//invoke its constructor as follows
//@[
//  obj = vtkFollower
//@]
//@@Methods
//The class vtkFollower has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFollower class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFollower = obj.NewInstance ()|
// \item @|vtkFollower = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCamera (vtkCamera )| -  Set/Get the camera to follow. If this is not set, then the follower
// won't know who to follow.
//// \item @|vtkCamera = obj.GetCamera ()| -  Set/Get the camera to follow. If this is not set, then the follower
// won't know who to follow.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  This causes the actor to be rendered. It in turn will render the actor's
// property, texture map and then mapper. If a property hasn't been
// assigned, then the actor will create one automatically. 
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport viewport)| -  This causes the actor to be rendered. It in turn will render the actor's
// property, texture map and then mapper. If a property hasn't been
// assigned, then the actor will create one automatically. 
//// \item @|obj.Render (vtkRenderer ren)| -  This causes the actor to be rendered. It in turn will render the actor's
// property, texture map and then mapper. If a property hasn't been
// assigned, then the actor will create one automatically. 
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Does this prop have some translucent polygonal geometry?
//// \item @|obj.GetMatrix (vtkMatrix4x4 m)| -  Copy the follower's composite 4x4 matrix into the matrix provided.
//// \item @|obj.GetMatrix (double m[16])| -  Copy the follower's composite 4x4 matrix into the matrix provided.
//// \item @|vtkMatrix4x4 = obj.GetMatrix ()| -  Shallow copy of a follower. Overloads the virtual vtkProp method.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of a follower. Overloads the virtual vtkProp method.
////\end{itemize}
//!
