#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFrameBufferObject object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFrameBufferObject.h"

//@@Signature
//sfunction @vtkFrameBufferObject:vtkFrameBufferObject vtkFrameBufferObjectConstructorFunction
//input a
//output p
//@@Parents vtkFrameBufferObject vtkObject 
ArrayVector vtkFrameBufferObjectConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFrameBufferObject::New(),"vtkFrameBufferObject",eval);
  } else if (arg[0].className() == "vtkFrameBufferObject") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFrameBufferObject"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFrameBufferObject");
    vtkFrameBufferObject*q = reinterpret_cast<vtkFrameBufferObject*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFrameBufferObject");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFrameBufferObject:GetClassName vtkFrameBufferObjectGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFrameBufferObjectGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFrameBufferObject requires 1 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:IsA vtkFrameBufferObjectIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFrameBufferObjectIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFrameBufferObject requires 2 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:NewInstance vtkFrameBufferObjectNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFrameBufferObjectNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFrameBufferObject *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFrameBufferObject requires 1 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  vtkFrameBufferObject  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFrameBufferObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:SafeDownCast vtkFrameBufferObjectSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFrameBufferObjectSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFrameBufferObject *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFrameBufferObject requires 2 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFrameBufferObject  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFrameBufferObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:SetContext vtkFrameBufferObjectSetContextFunction
//input a0 a1 
//output none
ArrayVector vtkFrameBufferObjectSetContextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetContext (vtkRenderWindow *context); */
  if (arg.size() < 2) 
    throw Exception("Function SetContext for class vtkFrameBufferObject requires 2 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  vtk_pointer->SetContext(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:GetContext vtkFrameBufferObjectGetContextFunction
//input a0 
//output y
ArrayVector vtkFrameBufferObjectGetContextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *GetContext (); */
  if (arg.size() < 1) 
    throw Exception("Function GetContext for class vtkFrameBufferObject requires 1 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->GetContext();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:Start vtkFrameBufferObjectStartFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkFrameBufferObjectStartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool Start (int width, int height, bool shaderSupportsTextureInt); */
  if (arg.size() < 4) 
    throw Exception("Function Start for class vtkFrameBufferObject requires 4 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  bool   temp2;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Start(temp0,temp1,temp2);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:StartNonOrtho vtkFrameBufferObjectStartNonOrthoFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkFrameBufferObjectStartNonOrthoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool StartNonOrtho (int width, int height, bool shaderSupportsTextureInt); */
  if (arg.size() < 4) 
    throw Exception("Function StartNonOrtho for class vtkFrameBufferObject requires 4 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  bool   temp2;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->StartNonOrtho(temp0,temp1,temp2);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:RenderQuad vtkFrameBufferObjectRenderQuadFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkFrameBufferObjectRenderQuadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderQuad (int minX, int maxX, int minY, int maxY); */
  if (arg.size() < 5) 
    throw Exception("Function RenderQuad for class vtkFrameBufferObject requires 5 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->RenderQuad(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:Bind vtkFrameBufferObjectBindFunction
//input a0 
//output none
ArrayVector vtkFrameBufferObjectBindFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Bind (); */
  if (arg.size() < 1) 
    throw Exception("Function Bind for class vtkFrameBufferObject requires 1 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  vtk_pointer->Bind();
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:UnBind vtkFrameBufferObjectUnBindFunction
//input a0 
//output none
ArrayVector vtkFrameBufferObjectUnBindFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UnBind (); */
  if (arg.size() < 1) 
    throw Exception("Function UnBind for class vtkFrameBufferObject requires 1 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  vtk_pointer->UnBind();
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:SetActiveBuffer vtkFrameBufferObjectSetActiveBufferFunction
//input a0 a1 
//output none
ArrayVector vtkFrameBufferObjectSetActiveBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetActiveBuffer (unsigned int index);this SetActiveBuffers index  */
  if (arg.size() < 2) 
    throw Exception("Function SetActiveBuffer for class vtkFrameBufferObject requires 2 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetActiveBuffer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:SetActiveBuffers vtkFrameBufferObjectSetActiveBuffersFunction
//input a0 a1 a2 
//output none
ArrayVector vtkFrameBufferObjectSetActiveBuffersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetActiveBuffers (int numbuffers, unsigned int indices[]); */
  if (arg.size() < 3) 
    throw Exception("Function SetActiveBuffers for class vtkFrameBufferObject requires 3 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  int      temp0;
  unsigned int     *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned int)data[k+1];
      }
  vtk_pointer->SetActiveBuffers(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:SetColorBuffer vtkFrameBufferObjectSetColorBufferFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkFrameBufferObjectSetColorBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorBuffer (unsigned int index, vtkTextureObject *texture, unsigned int zslice); */
  if (arg.size() < 4) 
    throw Exception("Function SetColorBuffer for class vtkFrameBufferObject requires 4 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  unsigned int      temp0;
  vtkTextureObject  *temp1;
  unsigned int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkTextureObject>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (unsigned int) arg[3].asDouble();
  vtk_pointer->SetColorBuffer(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:GetColorBuffer vtkFrameBufferObjectGetColorBufferFunction
//input a0 a1 
//output y
ArrayVector vtkFrameBufferObjectGetColorBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextureObject *GetColorBuffer (unsigned int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetColorBuffer for class vtkFrameBufferObject requires 2 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  unsigned int      temp0;
  vtkTextureObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetColorBuffer(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextureObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:RemoveColorBuffer vtkFrameBufferObjectRemoveColorBufferFunction
//input a0 a1 
//output none
ArrayVector vtkFrameBufferObjectRemoveColorBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveColorBuffer (unsigned int index); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveColorBuffer for class vtkFrameBufferObject requires 2 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->RemoveColorBuffer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:RemoveAllColorBuffers vtkFrameBufferObjectRemoveAllColorBuffersFunction
//input a0 
//output none
ArrayVector vtkFrameBufferObjectRemoveAllColorBuffersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllColorBuffers (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllColorBuffers for class vtkFrameBufferObject requires 1 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllColorBuffers();
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:SetDepthBuffer vtkFrameBufferObjectSetDepthBufferFunction
//input a0 a1 
//output none
ArrayVector vtkFrameBufferObjectSetDepthBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDepthBuffer (vtkTextureObject *depthTexture); */
  if (arg.size() < 2) 
    throw Exception("Function SetDepthBuffer for class vtkFrameBufferObject requires 2 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  vtkTextureObject  *temp0;
  temp0 = GetVTKPointer<vtkTextureObject>(arg[1]);
  vtk_pointer->SetDepthBuffer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:RemoveDepthBuffer vtkFrameBufferObjectRemoveDepthBufferFunction
//input a0 
//output none
ArrayVector vtkFrameBufferObjectRemoveDepthBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveDepthBuffer (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveDepthBuffer for class vtkFrameBufferObject requires 1 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  vtk_pointer->RemoveDepthBuffer();
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:SetDepthBufferNeeded vtkFrameBufferObjectSetDepthBufferNeededFunction
//input a0 a1 
//output none
ArrayVector vtkFrameBufferObjectSetDepthBufferNeededFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDepthBufferNeeded (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDepthBufferNeeded for class vtkFrameBufferObject requires 2 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetDepthBufferNeeded(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:GetDepthBufferNeeded vtkFrameBufferObjectGetDepthBufferNeededFunction
//input a0 
//output y
ArrayVector vtkFrameBufferObjectGetDepthBufferNeededFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetDepthBufferNeeded (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepthBufferNeeded for class vtkFrameBufferObject requires 1 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetDepthBufferNeeded();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:SetNumberOfRenderTargets vtkFrameBufferObjectSetNumberOfRenderTargetsFunction
//input a0 a1 
//output none
ArrayVector vtkFrameBufferObjectSetNumberOfRenderTargetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfRenderTargets (unsigned int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfRenderTargets for class vtkFrameBufferObject requires 2 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetNumberOfRenderTargets(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:GetNumberOfRenderTargets vtkFrameBufferObjectGetNumberOfRenderTargetsFunction
//input a0 
//output y
ArrayVector vtkFrameBufferObjectGetNumberOfRenderTargetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetNumberOfRenderTargets (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfRenderTargets for class vtkFrameBufferObject requires 1 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfRenderTargets();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:GetMaximumNumberOfActiveTargets vtkFrameBufferObjectGetMaximumNumberOfActiveTargetsFunction
//input a0 
//output y
ArrayVector vtkFrameBufferObjectGetMaximumNumberOfActiveTargetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetMaximumNumberOfActiveTargets (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfActiveTargets for class vtkFrameBufferObject requires 1 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfActiveTargets();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:GetMaximumNumberOfRenderTargets vtkFrameBufferObjectGetMaximumNumberOfRenderTargetsFunction
//input a0 
//output y
ArrayVector vtkFrameBufferObjectGetMaximumNumberOfRenderTargetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetMaximumNumberOfRenderTargets (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfRenderTargets for class vtkFrameBufferObject requires 1 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfRenderTargets();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:GetLastSize vtkFrameBufferObjectGetLastSizeFunction
//input a0 
//output y
ArrayVector vtkFrameBufferObjectGetLastSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetLastSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastSize for class vtkFrameBufferObject requires 1 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetLastSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:IsSupported vtkFrameBufferObjectIsSupportedFunction
//input a0 a1 
//output y
ArrayVector vtkFrameBufferObjectIsSupportedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static bool IsSupported (vtkRenderWindow *renWin); */
  if (arg.size() < 2) 
    throw Exception("Function IsSupported for class vtkFrameBufferObject requires 2 argument(s)");
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  temp20 = (vtk_pointer)->IsSupported(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkFrameBufferObject:display vtkFrameBufferObjectDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFrameBufferObjectDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFrameBufferObject* vtk_pointer = GetVTKPointer<vtkFrameBufferObject>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFrameBufferObject:delete vtkFrameBufferObjectDeleteFunction
//input varargin
//output none
ArrayVector vtkFrameBufferObjectDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFrameBufferObject
//@@Section VTKRendering
//@@Usage
// Encapsulates an OpenGL Frame Buffer Object.
// For use by vtkOpenGLFBORenderWindow, not to be used directly.
//
//To create an instance of class vtkFrameBufferObject, simply
//invoke its constructor as follows
//@[
//  obj = vtkFrameBufferObject
//@]
//@@Methods
//The class vtkFrameBufferObject has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFrameBufferObject class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFrameBufferObject = obj.NewInstance ()|
// \item @|vtkFrameBufferObject = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetContext (vtkRenderWindow context)| -  Get/Set the context. Context must be a vtkOpenGLRenderWindow. 
// This does not increase the reference count of the 
// context to avoid reference loops.
// SetContext() may raise an error is the OpenGL context does not support the
// required OpenGL extensions.
//// \item @|vtkRenderWindow = obj.GetContext ()| -  Get/Set the context. Context must be a vtkOpenGLRenderWindow. 
// This does not increase the reference count of the 
// context to avoid reference loops.
// SetContext() may raise an error is the OpenGL context does not support the
// required OpenGL extensions.
//// \item @|bool = obj.Start (int width, int height, bool shaderSupportsTextureInt)| -  User must take care that width/height match the dimensions of 
// the user defined texture attachments.
// This method makes the "active buffers" the buffers that will get drawn
// into by subsequent drawing calls.
// Note that this does not clear the render buffers i.e. no glClear() calls
// are made by either of these methods. It's up to the caller to clear the
// buffers if needed.
//// \item @|bool = obj.StartNonOrtho (int width, int height, bool shaderSupportsTextureInt)| -  User must take care that width/height match the dimensions of 
// the user defined texture attachments.
// This method makes the "active buffers" the buffers that will get drawn
// into by subsequent drawing calls.
// Note that this does not clear the render buffers i.e. no glClear() calls
// are made by either of these methods. It's up to the caller to clear the
// buffers if needed.
//// \item @|obj.RenderQuad (int minX, int maxX, int minY, int maxY)| -  Renders a quad at the given location with pixel coordinates. This method
// is provided as a convenience, since we often render quads in a FBO.
// \pre positive_minX: minX>=0
// \pre increasing_x: minX<=maxX
// \pre valid_maxX: maxX<LastSize[0]
// \pre positive_minY: minY>=0
// \pre increasing_y: minY<=maxY
// \pre valid_maxY: maxY<LastSize[1]
//// \item @|obj.Bind ()| -  Save the current framebuffer and make the frame buffer active.
// Multiple calls to Bind has no effect.
//// \item @|obj.UnBind ()| -  Restore the framebuffer saved with the call to Bind().
// Multiple calls to UnBind has no effect.
//// \item @|obj.SetActiveBuffer (int index)| -  Choose the buffer to render into.
// This is available only if the GL_ARB_draw_buffers extension is supported
// by the card.
//// \item @|obj.SetActiveBuffers (int numbuffers, int indices[])| -  Choose the buffer to render into.
// This is available only if the GL_ARB_draw_buffers extension is supported
// by the card.
//// \item @|obj.SetColorBuffer (int index, vtkTextureObject texture, int zslice)|
// \item @|vtkTextureObject = obj.GetColorBuffer (int index)|
// \item @|obj.RemoveColorBuffer (int index)|
// \item @|obj.RemoveAllColorBuffers ()|
// \item @|obj.SetDepthBuffer (vtkTextureObject depthTexture)| -  Set the texture to use as depth buffer.
//// \item @|obj.RemoveDepthBuffer ()| -  Set the texture to use as depth buffer.
//// \item @|obj.SetDepthBufferNeeded (bool )| -  If true, the frame buffer object will be initialized with a depth buffer.
// Initial value is true.
//// \item @|bool = obj.GetDepthBufferNeeded ()| -  If true, the frame buffer object will be initialized with a depth buffer.
// Initial value is true.
//// \item @|obj.SetNumberOfRenderTargets (int )| -  Set/Get the number of render targets to render into at once.
//// \item @|int = obj.GetNumberOfRenderTargets ()| -  Set/Get the number of render targets to render into at once.
//// \item @|int = obj.GetMaximumNumberOfActiveTargets ()| -  Returns the maximum number of targets that can be rendered to at one time.
// This limits the active targets set by SetActiveTargets().
// The return value is valid only if GetContext is non-null.
//// \item @|int = obj.GetMaximumNumberOfRenderTargets ()| -  Returns the maximum number of render targets available. This limits the
// available attachement points for SetColorAttachment().
// The return value is valid only if GetContext is non-null.
//// \item @|int = obj. GetLastSize ()| -  Dimensions in pixels of the framebuffer.
////\end{itemize}
//!
