#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFrustumCoverageCuller object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFrustumCoverageCuller.h"

//@@Signature
//sfunction @vtkFrustumCoverageCuller:vtkFrustumCoverageCuller vtkFrustumCoverageCullerConstructorFunction
//input a
//output p
//@@Parents vtkFrustumCoverageCuller vtkCuller 
ArrayVector vtkFrustumCoverageCullerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFrustumCoverageCuller::New(),"vtkFrustumCoverageCuller",eval);
  } else if (arg[0].className() == "vtkFrustumCoverageCuller") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFrustumCoverageCuller"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFrustumCoverageCuller");
    vtkFrustumCoverageCuller*q = reinterpret_cast<vtkFrustumCoverageCuller*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFrustumCoverageCuller");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFrustumCoverageCuller:GetClassName vtkFrustumCoverageCullerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFrustumCoverageCullerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFrustumCoverageCuller requires 1 argument(s)");
  vtkFrustumCoverageCuller* vtk_pointer = GetVTKPointer<vtkFrustumCoverageCuller>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFrustumCoverageCuller:IsA vtkFrustumCoverageCullerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFrustumCoverageCullerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFrustumCoverageCuller requires 2 argument(s)");
  vtkFrustumCoverageCuller* vtk_pointer = GetVTKPointer<vtkFrustumCoverageCuller>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFrustumCoverageCuller:NewInstance vtkFrustumCoverageCullerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFrustumCoverageCullerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFrustumCoverageCuller *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFrustumCoverageCuller requires 1 argument(s)");
  vtkFrustumCoverageCuller* vtk_pointer = GetVTKPointer<vtkFrustumCoverageCuller>(arg[0]);
  Array retval;
  vtkFrustumCoverageCuller  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFrustumCoverageCuller",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFrustumCoverageCuller:SafeDownCast vtkFrustumCoverageCullerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFrustumCoverageCullerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFrustumCoverageCuller *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFrustumCoverageCuller requires 2 argument(s)");
  vtkFrustumCoverageCuller* vtk_pointer = GetVTKPointer<vtkFrustumCoverageCuller>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFrustumCoverageCuller  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFrustumCoverageCuller",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFrustumCoverageCuller:SetMinimumCoverage vtkFrustumCoverageCullerSetMinimumCoverageFunction
//input a0 a1 
//output none
ArrayVector vtkFrustumCoverageCullerSetMinimumCoverageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumCoverage (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumCoverage for class vtkFrustumCoverageCuller requires 2 argument(s)");
  vtkFrustumCoverageCuller* vtk_pointer = GetVTKPointer<vtkFrustumCoverageCuller>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumCoverage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFrustumCoverageCuller:GetMinimumCoverage vtkFrustumCoverageCullerGetMinimumCoverageFunction
//input a0 
//output y
ArrayVector vtkFrustumCoverageCullerGetMinimumCoverageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumCoverage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumCoverage for class vtkFrustumCoverageCuller requires 1 argument(s)");
  vtkFrustumCoverageCuller* vtk_pointer = GetVTKPointer<vtkFrustumCoverageCuller>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumCoverage();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFrustumCoverageCuller:SetMaximumCoverage vtkFrustumCoverageCullerSetMaximumCoverageFunction
//input a0 a1 
//output none
ArrayVector vtkFrustumCoverageCullerSetMaximumCoverageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumCoverage (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumCoverage for class vtkFrustumCoverageCuller requires 2 argument(s)");
  vtkFrustumCoverageCuller* vtk_pointer = GetVTKPointer<vtkFrustumCoverageCuller>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumCoverage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFrustumCoverageCuller:GetMaximumCoverage vtkFrustumCoverageCullerGetMaximumCoverageFunction
//input a0 
//output y
ArrayVector vtkFrustumCoverageCullerGetMaximumCoverageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumCoverage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumCoverage for class vtkFrustumCoverageCuller requires 1 argument(s)");
  vtkFrustumCoverageCuller* vtk_pointer = GetVTKPointer<vtkFrustumCoverageCuller>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumCoverage();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFrustumCoverageCuller:SetSortingStyle vtkFrustumCoverageCullerSetSortingStyleFunction
//input a0 a1 
//output none
ArrayVector vtkFrustumCoverageCullerSetSortingStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSortingStyle (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSortingStyle for class vtkFrustumCoverageCuller requires 2 argument(s)");
  vtkFrustumCoverageCuller* vtk_pointer = GetVTKPointer<vtkFrustumCoverageCuller>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSortingStyle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFrustumCoverageCuller:GetSortingStyleMinValue vtkFrustumCoverageCullerGetSortingStyleMinValueFunction
//input a0 
//output y
ArrayVector vtkFrustumCoverageCullerGetSortingStyleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSortingStyleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSortingStyleMinValue for class vtkFrustumCoverageCuller requires 1 argument(s)");
  vtkFrustumCoverageCuller* vtk_pointer = GetVTKPointer<vtkFrustumCoverageCuller>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSortingStyleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFrustumCoverageCuller:GetSortingStyleMaxValue vtkFrustumCoverageCullerGetSortingStyleMaxValueFunction
//input a0 
//output y
ArrayVector vtkFrustumCoverageCullerGetSortingStyleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSortingStyleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSortingStyleMaxValue for class vtkFrustumCoverageCuller requires 1 argument(s)");
  vtkFrustumCoverageCuller* vtk_pointer = GetVTKPointer<vtkFrustumCoverageCuller>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSortingStyleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFrustumCoverageCuller:GetSortingStyle vtkFrustumCoverageCullerGetSortingStyleFunction
//input a0 
//output y
ArrayVector vtkFrustumCoverageCullerGetSortingStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSortingStyle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSortingStyle for class vtkFrustumCoverageCuller requires 1 argument(s)");
  vtkFrustumCoverageCuller* vtk_pointer = GetVTKPointer<vtkFrustumCoverageCuller>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSortingStyle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFrustumCoverageCuller:SetSortingStyleToNone vtkFrustumCoverageCullerSetSortingStyleToNoneFunction
//input a0 
//output none
ArrayVector vtkFrustumCoverageCullerSetSortingStyleToNoneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSortingStyleToNone ();this SetSortingStyle VTK_CULLER_SORT_NONE  */
  if (arg.size() < 1) 
    throw Exception("Function SetSortingStyleToNone for class vtkFrustumCoverageCuller requires 1 argument(s)");
  vtkFrustumCoverageCuller* vtk_pointer = GetVTKPointer<vtkFrustumCoverageCuller>(arg[0]);
  Array retval;
  vtk_pointer->SetSortingStyleToNone();
  return retval;
}

//@@Signature
//sfunction @vtkFrustumCoverageCuller:SetSortingStyleToBackToFront vtkFrustumCoverageCullerSetSortingStyleToBackToFrontFunction
//input a0 
//output none
ArrayVector vtkFrustumCoverageCullerSetSortingStyleToBackToFrontFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSortingStyleToBackToFront ();this SetSortingStyle VTK_CULLER_SORT_BACK_TO_FRONT  */
  if (arg.size() < 1) 
    throw Exception("Function SetSortingStyleToBackToFront for class vtkFrustumCoverageCuller requires 1 argument(s)");
  vtkFrustumCoverageCuller* vtk_pointer = GetVTKPointer<vtkFrustumCoverageCuller>(arg[0]);
  Array retval;
  vtk_pointer->SetSortingStyleToBackToFront();
  return retval;
}

//@@Signature
//sfunction @vtkFrustumCoverageCuller:SetSortingStyleToFrontToBack vtkFrustumCoverageCullerSetSortingStyleToFrontToBackFunction
//input a0 
//output none
ArrayVector vtkFrustumCoverageCullerSetSortingStyleToFrontToBackFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSortingStyleToFrontToBack ();this SetSortingStyle VTK_CULLER_SORT_FRONT_TO_BACK  */
  if (arg.size() < 1) 
    throw Exception("Function SetSortingStyleToFrontToBack for class vtkFrustumCoverageCuller requires 1 argument(s)");
  vtkFrustumCoverageCuller* vtk_pointer = GetVTKPointer<vtkFrustumCoverageCuller>(arg[0]);
  Array retval;
  vtk_pointer->SetSortingStyleToFrontToBack();
  return retval;
}

//@@Signature
//sfunction @vtkFrustumCoverageCuller:GetSortingStyleAsString vtkFrustumCoverageCullerGetSortingStyleAsStringFunction
//input a0 
//output y
ArrayVector vtkFrustumCoverageCullerGetSortingStyleAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetSortingStyleAsString (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetSortingStyleAsString for class vtkFrustumCoverageCuller requires 1 argument(s)");
  vtkFrustumCoverageCuller* vtk_pointer = GetVTKPointer<vtkFrustumCoverageCuller>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetSortingStyleAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFrustumCoverageCuller:display vtkFrustumCoverageCullerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFrustumCoverageCullerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFrustumCoverageCuller* vtk_pointer = GetVTKPointer<vtkFrustumCoverageCuller>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFrustumCoverageCuller:delete vtkFrustumCoverageCullerDeleteFunction
//input varargin
//output none
ArrayVector vtkFrustumCoverageCullerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFrustumCoverageCuller
//@@Section VTKRendering
//@@Usage
// vtkFrustumCoverageCuller will cull props based on the coverage in
// the view frustum. The coverage is computed by enclosing the prop in
// a bounding sphere, projecting that to the viewing coordinate system, then
// taking a slice through the view frustum at the center of the sphere. This
// results in a circle on the plane slice through the view frustum. This
// circle is enclosed in a squared, and the fraction of the plane slice that
// this square covers is the coverage. This is a number between 0 and 1.
// If the number is less than the MinumumCoverage, the allocated render time
// for that prop is set to zero. If it is greater than the MaximumCoverage,
// the allocated render time is set to 1.0. In between, a linear ramp is used
// to convert coverage into allocated render time.
//
//To create an instance of class vtkFrustumCoverageCuller, simply
//invoke its constructor as follows
//@[
//  obj = vtkFrustumCoverageCuller
//@]
//@@Methods
//The class vtkFrustumCoverageCuller has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFrustumCoverageCuller class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFrustumCoverageCuller = obj.NewInstance ()|
// \item @|vtkFrustumCoverageCuller = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMinimumCoverage (double )| -  Set/Get the minimum coverage - props with less coverage than this
// are given no time to render (they are culled)
//// \item @|double = obj.GetMinimumCoverage ()| -  Set/Get the minimum coverage - props with less coverage than this
// are given no time to render (they are culled)
//// \item @|obj.SetMaximumCoverage (double )| -  Set/Get the maximum coverage - props with more coverage than this are
// given an allocated render time of 1.0 (the maximum)
//// \item @|double = obj.GetMaximumCoverage ()| -  Set/Get the maximum coverage - props with more coverage than this are
// given an allocated render time of 1.0 (the maximum)
//// \item @|obj.SetSortingStyle (int )| -  Set the sorting style - none, front-to-back or back-to-front
// The default is none
//// \item @|int = obj.GetSortingStyleMinValue ()| -  Set the sorting style - none, front-to-back or back-to-front
// The default is none
//// \item @|int = obj.GetSortingStyleMaxValue ()| -  Set the sorting style - none, front-to-back or back-to-front
// The default is none
//// \item @|int = obj.GetSortingStyle ()| -  Set the sorting style - none, front-to-back or back-to-front
// The default is none
//// \item @|obj.SetSortingStyleToNone ()| -  Set the sorting style - none, front-to-back or back-to-front
// The default is none
//// \item @|obj.SetSortingStyleToBackToFront ()| -  Set the sorting style - none, front-to-back or back-to-front
// The default is none
//// \item @|obj.SetSortingStyleToFrontToBack ()| -  Set the sorting style - none, front-to-back or back-to-front
// The default is none
//// \item @|string = obj.GetSortingStyleAsString (void )| -  Set the sorting style - none, front-to-back or back-to-front
// The default is none
////\end{itemize}
//!
