#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGL2PSExporter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGL2PSExporter.h"

//@@Signature
//sfunction @vtkGL2PSExporter:vtkGL2PSExporter vtkGL2PSExporterConstructorFunction
//input a
//output p
//@@Parents vtkGL2PSExporter vtkExporter 
ArrayVector vtkGL2PSExporterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGL2PSExporter::New(),"vtkGL2PSExporter",eval);
  } else if (arg[0].className() == "vtkGL2PSExporter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGL2PSExporter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGL2PSExporter");
    vtkGL2PSExporter*q = reinterpret_cast<vtkGL2PSExporter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGL2PSExporter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGL2PSExporter:GetClassName vtkGL2PSExporterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:IsA vtkGL2PSExporterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGL2PSExporterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGL2PSExporter requires 2 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:NewInstance vtkGL2PSExporterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGL2PSExporter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtkGL2PSExporter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGL2PSExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SafeDownCast vtkGL2PSExporterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGL2PSExporterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGL2PSExporter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGL2PSExporter requires 2 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGL2PSExporter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGL2PSExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetFilePrefix vtkGL2PSExporterSetFilePrefixFunction
//input a0 a1 
//output none
ArrayVector vtkGL2PSExporterSetFilePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilePrefix (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFilePrefix for class vtkGL2PSExporter requires 2 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFilePrefix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetFilePrefix vtkGL2PSExporterGetFilePrefixFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetFilePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFilePrefix (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFilePrefix for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFilePrefix();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetFileFormat vtkGL2PSExporterSetFileFormatFunction
//input a0 a1 
//output none
ArrayVector vtkGL2PSExporterSetFileFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileFormat (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileFormat for class vtkGL2PSExporter requires 2 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFileFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetFileFormatMinValue vtkGL2PSExporterGetFileFormatMinValueFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetFileFormatMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFileFormatMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileFormatMinValue for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFileFormatMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetFileFormatMaxValue vtkGL2PSExporterGetFileFormatMaxValueFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetFileFormatMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFileFormatMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileFormatMaxValue for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFileFormatMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetFileFormat vtkGL2PSExporterGetFileFormatFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetFileFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFileFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileFormat for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFileFormat();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetFileFormatToPS vtkGL2PSExporterSetFileFormatToPSFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterSetFileFormatToPSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileFormatToPS ();this SetFileFormat PS_FILE  */
  if (arg.size() < 1) 
    throw Exception("Function SetFileFormatToPS for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->SetFileFormatToPS();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetFileFormatToEPS vtkGL2PSExporterSetFileFormatToEPSFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterSetFileFormatToEPSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileFormatToEPS ();this SetFileFormat EPS_FILE  */
  if (arg.size() < 1) 
    throw Exception("Function SetFileFormatToEPS for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->SetFileFormatToEPS();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetFileFormatToPDF vtkGL2PSExporterSetFileFormatToPDFFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterSetFileFormatToPDFFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileFormatToPDF ();this SetFileFormat PDF_FILE  */
  if (arg.size() < 1) 
    throw Exception("Function SetFileFormatToPDF for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->SetFileFormatToPDF();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetFileFormatToTeX vtkGL2PSExporterSetFileFormatToTeXFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterSetFileFormatToTeXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileFormatToTeX ();this SetFileFormat TEX_FILE  */
  if (arg.size() < 1) 
    throw Exception("Function SetFileFormatToTeX for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->SetFileFormatToTeX();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetFileFormatToSVG vtkGL2PSExporterSetFileFormatToSVGFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterSetFileFormatToSVGFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileFormatToSVG ();this SetFileFormat SVG_FILE  */
  if (arg.size() < 1) 
    throw Exception("Function SetFileFormatToSVG for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->SetFileFormatToSVG();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetFileFormatAsString vtkGL2PSExporterGetFileFormatAsStringFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetFileFormatAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetFileFormatAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileFormatAsString for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetFileFormatAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetSort vtkGL2PSExporterSetSortFunction
//input a0 a1 
//output none
ArrayVector vtkGL2PSExporterSetSortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSort (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSort for class vtkGL2PSExporter requires 2 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSort(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetSortMinValue vtkGL2PSExporterGetSortMinValueFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetSortMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSortMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSortMinValue for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSortMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetSortMaxValue vtkGL2PSExporterGetSortMaxValueFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetSortMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSortMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSortMaxValue for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSortMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetSort vtkGL2PSExporterGetSortFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetSortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSort (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSort for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSort();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetSortToOff vtkGL2PSExporterSetSortToOffFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterSetSortToOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSortToOff ();this SetSort NO_SORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetSortToOff for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->SetSortToOff();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetSortToSimple vtkGL2PSExporterSetSortToSimpleFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterSetSortToSimpleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSortToSimple ();this SetSort SIMPLE_SORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetSortToSimple for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->SetSortToSimple();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetSortToBSP vtkGL2PSExporterSetSortToBSPFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterSetSortToBSPFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSortToBSP ();this SetSort BSP_SORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetSortToBSP for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->SetSortToBSP();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetSortAsString vtkGL2PSExporterGetSortAsStringFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetSortAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetSortAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSortAsString for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetSortAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetCompress vtkGL2PSExporterSetCompressFunction
//input a0 a1 
//output none
ArrayVector vtkGL2PSExporterSetCompressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompress (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCompress for class vtkGL2PSExporter requires 2 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCompress(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetCompress vtkGL2PSExporterGetCompressFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetCompressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCompress (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompress for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCompress();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:CompressOn vtkGL2PSExporterCompressOnFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterCompressOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CompressOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CompressOn for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->CompressOn();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:CompressOff vtkGL2PSExporterCompressOffFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterCompressOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CompressOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CompressOff for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->CompressOff();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetDrawBackground vtkGL2PSExporterSetDrawBackgroundFunction
//input a0 a1 
//output none
ArrayVector vtkGL2PSExporterSetDrawBackgroundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDrawBackground (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDrawBackground for class vtkGL2PSExporter requires 2 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDrawBackground(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetDrawBackground vtkGL2PSExporterGetDrawBackgroundFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetDrawBackgroundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDrawBackground (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDrawBackground for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDrawBackground();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:DrawBackgroundOn vtkGL2PSExporterDrawBackgroundOnFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterDrawBackgroundOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawBackgroundOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DrawBackgroundOn for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->DrawBackgroundOn();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:DrawBackgroundOff vtkGL2PSExporterDrawBackgroundOffFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterDrawBackgroundOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawBackgroundOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DrawBackgroundOff for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->DrawBackgroundOff();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetSimpleLineOffset vtkGL2PSExporterSetSimpleLineOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkGL2PSExporterSetSimpleLineOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSimpleLineOffset (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSimpleLineOffset for class vtkGL2PSExporter requires 2 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSimpleLineOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetSimpleLineOffset vtkGL2PSExporterGetSimpleLineOffsetFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetSimpleLineOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSimpleLineOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSimpleLineOffset for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSimpleLineOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SimpleLineOffsetOn vtkGL2PSExporterSimpleLineOffsetOnFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterSimpleLineOffsetOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SimpleLineOffsetOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SimpleLineOffsetOn for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->SimpleLineOffsetOn();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SimpleLineOffsetOff vtkGL2PSExporterSimpleLineOffsetOffFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterSimpleLineOffsetOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SimpleLineOffsetOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SimpleLineOffsetOff for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->SimpleLineOffsetOff();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetSilent vtkGL2PSExporterSetSilentFunction
//input a0 a1 
//output none
ArrayVector vtkGL2PSExporterSetSilentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSilent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSilent for class vtkGL2PSExporter requires 2 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSilent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetSilent vtkGL2PSExporterGetSilentFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetSilentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSilent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSilent for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSilent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SilentOn vtkGL2PSExporterSilentOnFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterSilentOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SilentOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SilentOn for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->SilentOn();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SilentOff vtkGL2PSExporterSilentOffFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterSilentOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SilentOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SilentOff for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->SilentOff();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetBestRoot vtkGL2PSExporterSetBestRootFunction
//input a0 a1 
//output none
ArrayVector vtkGL2PSExporterSetBestRootFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBestRoot (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBestRoot for class vtkGL2PSExporter requires 2 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBestRoot(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetBestRoot vtkGL2PSExporterGetBestRootFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetBestRootFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBestRoot (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBestRoot for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBestRoot();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:BestRootOn vtkGL2PSExporterBestRootOnFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterBestRootOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BestRootOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BestRootOn for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->BestRootOn();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:BestRootOff vtkGL2PSExporterBestRootOffFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterBestRootOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BestRootOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BestRootOff for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->BestRootOff();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetText vtkGL2PSExporterSetTextFunction
//input a0 a1 
//output none
ArrayVector vtkGL2PSExporterSetTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetText (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetText for class vtkGL2PSExporter requires 2 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetText vtkGL2PSExporterGetTextFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetText for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetText();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:TextOn vtkGL2PSExporterTextOnFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterTextOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TextOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TextOn for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->TextOn();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:TextOff vtkGL2PSExporterTextOffFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterTextOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TextOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TextOff for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->TextOff();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetLandscape vtkGL2PSExporterSetLandscapeFunction
//input a0 a1 
//output none
ArrayVector vtkGL2PSExporterSetLandscapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLandscape (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLandscape for class vtkGL2PSExporter requires 2 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLandscape(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetLandscape vtkGL2PSExporterGetLandscapeFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetLandscapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLandscape (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLandscape for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLandscape();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:LandscapeOn vtkGL2PSExporterLandscapeOnFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterLandscapeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LandscapeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LandscapeOn for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->LandscapeOn();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:LandscapeOff vtkGL2PSExporterLandscapeOffFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterLandscapeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LandscapeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LandscapeOff for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->LandscapeOff();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetPS3Shading vtkGL2PSExporterSetPS3ShadingFunction
//input a0 a1 
//output none
ArrayVector vtkGL2PSExporterSetPS3ShadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPS3Shading (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPS3Shading for class vtkGL2PSExporter requires 2 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPS3Shading(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetPS3Shading vtkGL2PSExporterGetPS3ShadingFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetPS3ShadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPS3Shading (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPS3Shading for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPS3Shading();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:PS3ShadingOn vtkGL2PSExporterPS3ShadingOnFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterPS3ShadingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PS3ShadingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PS3ShadingOn for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->PS3ShadingOn();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:PS3ShadingOff vtkGL2PSExporterPS3ShadingOffFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterPS3ShadingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PS3ShadingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PS3ShadingOff for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->PS3ShadingOff();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetOcclusionCull vtkGL2PSExporterSetOcclusionCullFunction
//input a0 a1 
//output none
ArrayVector vtkGL2PSExporterSetOcclusionCullFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOcclusionCull (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOcclusionCull for class vtkGL2PSExporter requires 2 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOcclusionCull(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetOcclusionCull vtkGL2PSExporterGetOcclusionCullFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetOcclusionCullFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOcclusionCull (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOcclusionCull for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOcclusionCull();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:OcclusionCullOn vtkGL2PSExporterOcclusionCullOnFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterOcclusionCullOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OcclusionCullOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OcclusionCullOn for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->OcclusionCullOn();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:OcclusionCullOff vtkGL2PSExporterOcclusionCullOffFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterOcclusionCullOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OcclusionCullOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OcclusionCullOff for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->OcclusionCullOff();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetWrite3DPropsAsRasterImage vtkGL2PSExporterSetWrite3DPropsAsRasterImageFunction
//input a0 a1 
//output none
ArrayVector vtkGL2PSExporterSetWrite3DPropsAsRasterImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWrite3DPropsAsRasterImage (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWrite3DPropsAsRasterImage for class vtkGL2PSExporter requires 2 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWrite3DPropsAsRasterImage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetWrite3DPropsAsRasterImage vtkGL2PSExporterGetWrite3DPropsAsRasterImageFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetWrite3DPropsAsRasterImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWrite3DPropsAsRasterImage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWrite3DPropsAsRasterImage for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWrite3DPropsAsRasterImage();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:Write3DPropsAsRasterImageOn vtkGL2PSExporterWrite3DPropsAsRasterImageOnFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterWrite3DPropsAsRasterImageOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Write3DPropsAsRasterImageOn (); */
  if (arg.size() < 1) 
    throw Exception("Function Write3DPropsAsRasterImageOn for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->Write3DPropsAsRasterImageOn();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:Write3DPropsAsRasterImageOff vtkGL2PSExporterWrite3DPropsAsRasterImageOffFunction
//input a0 
//output none
ArrayVector vtkGL2PSExporterWrite3DPropsAsRasterImageOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Write3DPropsAsRasterImageOff (); */
  if (arg.size() < 1) 
    throw Exception("Function Write3DPropsAsRasterImageOff for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  vtk_pointer->Write3DPropsAsRasterImageOff();
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetGlobalPointSizeFactor vtkGL2PSExporterSetGlobalPointSizeFactorFunction
//input a0 a1 
//output none
ArrayVector vtkGL2PSExporterSetGlobalPointSizeFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetGlobalPointSizeFactor (float val); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobalPointSizeFactor for class vtkGL2PSExporter requires 2 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetGlobalPointSizeFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetGlobalPointSizeFactor vtkGL2PSExporterGetGlobalPointSizeFactorFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetGlobalPointSizeFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float GetGlobalPointSizeFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalPointSizeFactor for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetGlobalPointSizeFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:SetGlobalLineWidthFactor vtkGL2PSExporterSetGlobalLineWidthFactorFunction
//input a0 a1 
//output none
ArrayVector vtkGL2PSExporterSetGlobalLineWidthFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetGlobalLineWidthFactor (float val); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobalLineWidthFactor for class vtkGL2PSExporter requires 2 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetGlobalLineWidthFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:GetGlobalLineWidthFactor vtkGL2PSExporterGetGlobalLineWidthFactorFunction
//input a0 
//output y
ArrayVector vtkGL2PSExporterGetGlobalLineWidthFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float GetGlobalLineWidthFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalLineWidthFactor for class vtkGL2PSExporter requires 1 argument(s)");
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetGlobalLineWidthFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGL2PSExporter:display vtkGL2PSExporterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGL2PSExporterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGL2PSExporter* vtk_pointer = GetVTKPointer<vtkGL2PSExporter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGL2PSExporter:delete vtkGL2PSExporterDeleteFunction
//input varargin
//output none
ArrayVector vtkGL2PSExporterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGL2PSExporter
//@@Section VTKRendering
//@@Usage
// vtkGL2PSExporter is a concrete subclass of vtkExporter that writes
// high quality vector PostScript (PS/EPS), PDF or SVG files by using
// GL2PS.  GL2PS can be obtained at: http://www.geuz.org/gl2ps/.  This
// can be very useful when one requires publication quality pictures.
// This class works best with simple 3D scenes and most 2D plots.
// Please note that GL2PS has its limitations since PostScript is not
// an ideal language to represent complex 3D scenes.  However, this
// class does allow one to write mixed vector/raster files by using
// the Write3DPropsAsRasterImage ivar.  Please do read the caveats
// section of this documentation.
//
// By default vtkGL2PSExporter generates Encapsulated PostScript (EPS)
// output along with the text in portrait orientation with the
// background color of the window being drawn.  The generated output
// is also compressed using zlib. The various other options are set to
// sensible defaults.
//
// The output file format (FileFormat) can be either PostScript (PS),
// Encapsulated PostScript (EPS), PDF, SVG or TeX.  The file extension
// is generated automatically depending on the FileFormat.  The
// default is EPS.  When TeX output is chosen, only the text strings
// in the plot are generated and put into a picture environment.  One
// can turn on and off the text when generating PS/EPS/PDF/SVG files
// by using the Text boolean variable.  By default the text is drawn.
// The background color of the renderwindow is drawn by default.  To
// make the background white instead use the DrawBackgroundOff
// function.  Landscape figures can be generated by using the
// LandscapeOn function.  Portrait orientation is used by default.
// Several of the GL2PS options can be set.  The names of the ivars
// for these options are similar to the ones that GL2PS provides.
// Compress, SimpleLineOffset, Silent, BestRoot, PS3Shading and
// OcclusionCull are similar to the options provided by GL2PS.  Please
// read the function documentation or the GL2PS documentation for more
// details.  The ivar Write3DPropsAsRasterImage allows one to generate
// mixed vector/raster images.  All the 3D props in the scene will be
// written as a raster image and all 2D actors will be written as
// vector graphic primitives.  This makes it possible to handle
// transparency and complex 3D scenes.  This ivar is set to Off by
// default.  When drawing lines and points the OpenGL point size and
// line width are multiplied by a factor in order to generate
// PostScript lines and points of the right size.  The
// Get/SetGlobalPointSizeFactor and Get/SetGlobalLineWidthFactor let
// one customize this ratio.  The default value is such that the
// PostScript output looks close to what is seen on screen.
//
// To use this class you need to turn on VTK_USE_GL2PS when
// configuring VTK.
//
//To create an instance of class vtkGL2PSExporter, simply
//invoke its constructor as follows
//@[
//  obj = vtkGL2PSExporter
//@]
//@@Methods
//The class vtkGL2PSExporter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGL2PSExporter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGL2PSExporter = obj.NewInstance ()|
// \item @|vtkGL2PSExporter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFilePrefix (string )| -  Specify the prefix of the files to write out. The resulting filenames
// will have .ps or .eps or .tex appended to them depending on the
// other options chosen.
//// \item @|string = obj.GetFilePrefix ()| -  Specify the prefix of the files to write out. The resulting filenames
// will have .ps or .eps or .tex appended to them depending on the
// other options chosen.
//// \item @|obj.SetFileFormat (int )| -  Specify the format of file to write out.  This can be one of:
// PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.
// Depending on the option chosen it generates the appropriate file
// (with correct extension) when the Write function is called.
//// \item @|int = obj.GetFileFormatMinValue ()| -  Specify the format of file to write out.  This can be one of:
// PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.
// Depending on the option chosen it generates the appropriate file
// (with correct extension) when the Write function is called.
//// \item @|int = obj.GetFileFormatMaxValue ()| -  Specify the format of file to write out.  This can be one of:
// PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.
// Depending on the option chosen it generates the appropriate file
// (with correct extension) when the Write function is called.
//// \item @|int = obj.GetFileFormat ()| -  Specify the format of file to write out.  This can be one of:
// PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.
// Depending on the option chosen it generates the appropriate file
// (with correct extension) when the Write function is called.
//// \item @|obj.SetFileFormatToPS ()| -  Specify the format of file to write out.  This can be one of:
// PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.
// Depending on the option chosen it generates the appropriate file
// (with correct extension) when the Write function is called.
//// \item @|obj.SetFileFormatToEPS ()| -  Specify the format of file to write out.  This can be one of:
// PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.
// Depending on the option chosen it generates the appropriate file
// (with correct extension) when the Write function is called.
//// \item @|obj.SetFileFormatToPDF ()| -  Specify the format of file to write out.  This can be one of:
// PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.
// Depending on the option chosen it generates the appropriate file
// (with correct extension) when the Write function is called.
//// \item @|obj.SetFileFormatToTeX ()| -  Specify the format of file to write out.  This can be one of:
// PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.
// Depending on the option chosen it generates the appropriate file
// (with correct extension) when the Write function is called.
//// \item @|obj.SetFileFormatToSVG ()| -  Specify the format of file to write out.  This can be one of:
// PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.
// Depending on the option chosen it generates the appropriate file
// (with correct extension) when the Write function is called.
//// \item @|string = obj.GetFileFormatAsString ()| -  Specify the format of file to write out.  This can be one of:
// PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.
// Depending on the option chosen it generates the appropriate file
// (with correct extension) when the Write function is called.
//// \item @|obj.SetSort (int )| -  Set the the type of sorting algorithm to order primitives from
// back to front.  Successive algorithms are more memory
// intensive.  Simple is the default but BSP is perhaps the best.
//// \item @|int = obj.GetSortMinValue ()| -  Set the the type of sorting algorithm to order primitives from
// back to front.  Successive algorithms are more memory
// intensive.  Simple is the default but BSP is perhaps the best.
//// \item @|int = obj.GetSortMaxValue ()| -  Set the the type of sorting algorithm to order primitives from
// back to front.  Successive algorithms are more memory
// intensive.  Simple is the default but BSP is perhaps the best.
//// \item @|int = obj.GetSort ()| -  Set the the type of sorting algorithm to order primitives from
// back to front.  Successive algorithms are more memory
// intensive.  Simple is the default but BSP is perhaps the best.
//// \item @|obj.SetSortToOff ()| -  Set the the type of sorting algorithm to order primitives from
// back to front.  Successive algorithms are more memory
// intensive.  Simple is the default but BSP is perhaps the best.
//// \item @|obj.SetSortToSimple ()| -  Set the the type of sorting algorithm to order primitives from
// back to front.  Successive algorithms are more memory
// intensive.  Simple is the default but BSP is perhaps the best.
//// \item @|obj.SetSortToBSP ()| -  Set the the type of sorting algorithm to order primitives from
// back to front.  Successive algorithms are more memory
// intensive.  Simple is the default but BSP is perhaps the best.
//// \item @|string = obj.GetSortAsString ()| -  Set the the type of sorting algorithm to order primitives from
// back to front.  Successive algorithms are more memory
// intensive.  Simple is the default but BSP is perhaps the best.
//// \item @|obj.SetCompress (int )| -  Turn on/off compression when generating PostScript or PDF
// output. By default compression is on.
//// \item @|int = obj.GetCompress ()| -  Turn on/off compression when generating PostScript or PDF
// output. By default compression is on.
//// \item @|obj.CompressOn ()| -  Turn on/off compression when generating PostScript or PDF
// output. By default compression is on.
//// \item @|obj.CompressOff ()| -  Turn on/off compression when generating PostScript or PDF
// output. By default compression is on.
//// \item @|obj.SetDrawBackground (int )| -  Turn on/off drawing the background frame.  If off the background
// is treated as white.  By default the background is drawn.
//// \item @|int = obj.GetDrawBackground ()| -  Turn on/off drawing the background frame.  If off the background
// is treated as white.  By default the background is drawn.
//// \item @|obj.DrawBackgroundOn ()| -  Turn on/off drawing the background frame.  If off the background
// is treated as white.  By default the background is drawn.
//// \item @|obj.DrawBackgroundOff ()| -  Turn on/off drawing the background frame.  If off the background
// is treated as white.  By default the background is drawn.
//// \item @|obj.SetSimpleLineOffset (int )| -  Turn on/off the GL2PS_SIMPLE_LINE_OFFSET option.  When enabled a
// small offset is added in the z-buffer to all the lines in the
// plot.  This results in an anti-aliasing like solution.  Defaults to
// on.
//// \item @|int = obj.GetSimpleLineOffset ()| -  Turn on/off the GL2PS_SIMPLE_LINE_OFFSET option.  When enabled a
// small offset is added in the z-buffer to all the lines in the
// plot.  This results in an anti-aliasing like solution.  Defaults to
// on.
//// \item @|obj.SimpleLineOffsetOn ()| -  Turn on/off the GL2PS_SIMPLE_LINE_OFFSET option.  When enabled a
// small offset is added in the z-buffer to all the lines in the
// plot.  This results in an anti-aliasing like solution.  Defaults to
// on.
//// \item @|obj.SimpleLineOffsetOff ()| -  Turn on/off the GL2PS_SIMPLE_LINE_OFFSET option.  When enabled a
// small offset is added in the z-buffer to all the lines in the
// plot.  This results in an anti-aliasing like solution.  Defaults to
// on.
//// \item @|obj.SetSilent (int )| -  Turn on/off GL2PS messages sent to stderr (GL2PS_SILENT).  When
// enabled GL2PS messages are suppressed.  Defaults to off.
//// \item @|int = obj.GetSilent ()| -  Turn on/off GL2PS messages sent to stderr (GL2PS_SILENT).  When
// enabled GL2PS messages are suppressed.  Defaults to off.
//// \item @|obj.SilentOn ()| -  Turn on/off GL2PS messages sent to stderr (GL2PS_SILENT).  When
// enabled GL2PS messages are suppressed.  Defaults to off.
//// \item @|obj.SilentOff ()| -  Turn on/off GL2PS messages sent to stderr (GL2PS_SILENT).  When
// enabled GL2PS messages are suppressed.  Defaults to off.
//// \item @|obj.SetBestRoot (int )| -  Turn on/off the GL2PS_BEST_ROOT option.  When enabled the
// construction of the BSP tree is optimized by choosing the root
// primitives leading to the minimum number of splits.  Defaults to
// on.
//// \item @|int = obj.GetBestRoot ()| -  Turn on/off the GL2PS_BEST_ROOT option.  When enabled the
// construction of the BSP tree is optimized by choosing the root
// primitives leading to the minimum number of splits.  Defaults to
// on.
//// \item @|obj.BestRootOn ()| -  Turn on/off the GL2PS_BEST_ROOT option.  When enabled the
// construction of the BSP tree is optimized by choosing the root
// primitives leading to the minimum number of splits.  Defaults to
// on.
//// \item @|obj.BestRootOff ()| -  Turn on/off the GL2PS_BEST_ROOT option.  When enabled the
// construction of the BSP tree is optimized by choosing the root
// primitives leading to the minimum number of splits.  Defaults to
// on.
//// \item @|obj.SetText (int )| -  Turn on/off drawing the text.  If on (default) the text is drawn.
// If the FileFormat is set to TeX output then a LaTeX picture is
// generated with the text strings.  If off text output is
// suppressed.
//// \item @|int = obj.GetText ()| -  Turn on/off drawing the text.  If on (default) the text is drawn.
// If the FileFormat is set to TeX output then a LaTeX picture is
// generated with the text strings.  If off text output is
// suppressed.
//// \item @|obj.TextOn ()| -  Turn on/off drawing the text.  If on (default) the text is drawn.
// If the FileFormat is set to TeX output then a LaTeX picture is
// generated with the text strings.  If off text output is
// suppressed.
//// \item @|obj.TextOff ()| -  Turn on/off drawing the text.  If on (default) the text is drawn.
// If the FileFormat is set to TeX output then a LaTeX picture is
// generated with the text strings.  If off text output is
// suppressed.
//// \item @|obj.SetLandscape (int )| -  Turn on/off landscape orientation.  If off (default) the
// orientation is set to portrait.
//// \item @|int = obj.GetLandscape ()| -  Turn on/off landscape orientation.  If off (default) the
// orientation is set to portrait.
//// \item @|obj.LandscapeOn ()| -  Turn on/off landscape orientation.  If off (default) the
// orientation is set to portrait.
//// \item @|obj.LandscapeOff ()| -  Turn on/off landscape orientation.  If off (default) the
// orientation is set to portrait.
//// \item @|obj.SetPS3Shading (int )| -  Turn on/off the GL2PS_PS3_SHADING option.  When enabled the
// shfill PostScript level 3 operator is used.  Read the GL2PS
// documentation for more details.  Defaults to on.
//// \item @|int = obj.GetPS3Shading ()| -  Turn on/off the GL2PS_PS3_SHADING option.  When enabled the
// shfill PostScript level 3 operator is used.  Read the GL2PS
// documentation for more details.  Defaults to on.
//// \item @|obj.PS3ShadingOn ()| -  Turn on/off the GL2PS_PS3_SHADING option.  When enabled the
// shfill PostScript level 3 operator is used.  Read the GL2PS
// documentation for more details.  Defaults to on.
//// \item @|obj.PS3ShadingOff ()| -  Turn on/off the GL2PS_PS3_SHADING option.  When enabled the
// shfill PostScript level 3 operator is used.  Read the GL2PS
// documentation for more details.  Defaults to on.
//// \item @|obj.SetOcclusionCull (int )| -  Turn on/off culling of occluded polygons (GL2PS_OCCLUSION_CULL).
// When enabled hidden polygons are removed.  This reduces file size
// considerably.  Defaults to on.
//// \item @|int = obj.GetOcclusionCull ()| -  Turn on/off culling of occluded polygons (GL2PS_OCCLUSION_CULL).
// When enabled hidden polygons are removed.  This reduces file size
// considerably.  Defaults to on.
//// \item @|obj.OcclusionCullOn ()| -  Turn on/off culling of occluded polygons (GL2PS_OCCLUSION_CULL).
// When enabled hidden polygons are removed.  This reduces file size
// considerably.  Defaults to on.
//// \item @|obj.OcclusionCullOff ()| -  Turn on/off culling of occluded polygons (GL2PS_OCCLUSION_CULL).
// When enabled hidden polygons are removed.  This reduces file size
// considerably.  Defaults to on.
//// \item @|obj.SetWrite3DPropsAsRasterImage (int )| -  Turn on/off writing 3D props as raster images.  2D props are
// rendered using vector graphics primitives.  If you have hi-res
// actors and are using transparency you probably need to turn this
// on.  Defaults to Off.
//// \item @|int = obj.GetWrite3DPropsAsRasterImage ()| -  Turn on/off writing 3D props as raster images.  2D props are
// rendered using vector graphics primitives.  If you have hi-res
// actors and are using transparency you probably need to turn this
// on.  Defaults to Off.
//// \item @|obj.Write3DPropsAsRasterImageOn ()| -  Turn on/off writing 3D props as raster images.  2D props are
// rendered using vector graphics primitives.  If you have hi-res
// actors and are using transparency you probably need to turn this
// on.  Defaults to Off.
//// \item @|obj.Write3DPropsAsRasterImageOff ()| -  Turn on/off writing 3D props as raster images.  2D props are
// rendered using vector graphics primitives.  If you have hi-res
// actors and are using transparency you probably need to turn this
// on.  Defaults to Off.
////\end{itemize}
//!
