#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGLSLShader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGLSLShader.h"

//@@Signature
//sfunction @vtkGLSLShader:vtkGLSLShader vtkGLSLShaderConstructorFunction
//input a
//output p
//@@Parents vtkGLSLShader vtkShader 
ArrayVector vtkGLSLShaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGLSLShader::New(),"vtkGLSLShader",eval);
  } else if (arg[0].className() == "vtkGLSLShader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGLSLShader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGLSLShader");
    vtkGLSLShader*q = reinterpret_cast<vtkGLSLShader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGLSLShader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGLSLShader:GetClassName vtkGLSLShaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGLSLShaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGLSLShader requires 1 argument(s)");
  vtkGLSLShader* vtk_pointer = GetVTKPointer<vtkGLSLShader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShader:IsA vtkGLSLShaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGLSLShaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGLSLShader requires 2 argument(s)");
  vtkGLSLShader* vtk_pointer = GetVTKPointer<vtkGLSLShader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShader:NewInstance vtkGLSLShaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGLSLShaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGLSLShader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGLSLShader requires 1 argument(s)");
  vtkGLSLShader* vtk_pointer = GetVTKPointer<vtkGLSLShader>(arg[0]);
  Array retval;
  vtkGLSLShader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGLSLShader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShader:SafeDownCast vtkGLSLShaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGLSLShaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGLSLShader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGLSLShader requires 2 argument(s)");
  vtkGLSLShader* vtk_pointer = GetVTKPointer<vtkGLSLShader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGLSLShader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGLSLShader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShader:Compile vtkGLSLShaderCompileFunction
//input a0 
//output y
ArrayVector vtkGLSLShaderCompileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Compile (); */
  if (arg.size() < 1) 
    throw Exception("Function Compile for class vtkGLSLShader requires 1 argument(s)");
  vtkGLSLShader* vtk_pointer = GetVTKPointer<vtkGLSLShader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->Compile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShader:GetHandle vtkGLSLShaderGetHandleFunction
//input a0 
//output y
ArrayVector vtkGLSLShaderGetHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetHandle ();return this Shader  */
  if (arg.size() < 1) 
    throw Exception("Function GetHandle for class vtkGLSLShader requires 1 argument(s)");
  vtkGLSLShader* vtk_pointer = GetVTKPointer<vtkGLSLShader>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetHandle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShader:SetProgram vtkGLSLShaderSetProgramFunction
//input a0 a1 
//output none
ArrayVector vtkGLSLShaderSetProgramFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProgram (unsigned int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProgram for class vtkGLSLShader requires 2 argument(s)");
  vtkGLSLShader* vtk_pointer = GetVTKPointer<vtkGLSLShader>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetProgram(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShader:GetProgram vtkGLSLShaderGetProgramFunction
//input a0 
//output y
ArrayVector vtkGLSLShaderGetProgramFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetProgram (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProgram for class vtkGLSLShader requires 1 argument(s)");
  vtkGLSLShader* vtk_pointer = GetVTKPointer<vtkGLSLShader>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetProgram();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShader:ReleaseGraphicsResources vtkGLSLShaderReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkGLSLShaderReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkGLSLShader requires 2 argument(s)");
  vtkGLSLShader* vtk_pointer = GetVTKPointer<vtkGLSLShader>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShader:SetUniformParameter vtkGLSLShaderSetUniformParameterFunction
//input varargin
//output varargout
ArrayVector vtkGLSLShaderSetUniformParameterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkGLSLShaderSetUniformParameter");
}

//@@Signature
//sfunction @vtkGLSLShader:SetMatrixParameter vtkGLSLShaderSetMatrixParameterFunction
//input varargin
//output varargout
ArrayVector vtkGLSLShaderSetMatrixParameterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkGLSLShaderSetMatrixParameter");
}

//@@Signature
//sfunction @vtkGLSLShader:display vtkGLSLShaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGLSLShaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGLSLShader* vtk_pointer = GetVTKPointer<vtkGLSLShader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGLSLShader:delete vtkGLSLShaderDeleteFunction
//input varargin
//output none
ArrayVector vtkGLSLShaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGLSLShader
//@@Section VTKRendering
//@@Usage
// vtkGLSLShader is a concrete class that creates and compiles hardware
// shaders written in the OpenGL Shadering Language (GLSL, OpenGL2.0).
// While step linking a vertex and a fragment shader is performed by
// vtkGLSLShaderProgram, all shader parameters are initialized in this
// class.
//
// .Section vtkOpenGLExtensionManager
// All OpenGL calls are made through vtkOpenGLExtensionManager.
//
// .Section Supported Basic Shader Types:
//
// Scalar Types
// uniform float
// uniform int
// uniform int -- boolean scalar not yet tested
//
// Vector Types:
// uniform vec{2|3|4}
// uniform ivec{2|3|4}
// uniform bvec{2|3|4} -- boolean vector not yet tested
//
// Matrix Types:
// uniform mat{2|3|4}
//
// Texture Samplers:
// sample1D -- Not yet implemented in this cless.
// sample2D -- Not yet implemented in this class.
// sample3D -- Not yet implemented in this class.
// sampler1DShadow -- Not yet implemented in this class.
// sampler1DShadow -- Not yet implemented in this class.
// 
// User-Defined structures:
// uniform struct
//  NOTE: these must be defined and declared  outside of the 'main' shader
//  function.
//
//
// .SECTION Thanks
// Shader support in VTK includes key contributions by Gary Templet at 
// Sandia National Labs.
//
//To create an instance of class vtkGLSLShader, simply
//invoke its constructor as follows
//@[
//  obj = vtkGLSLShader
//@]
//@@Methods
//The class vtkGLSLShader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGLSLShader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGLSLShader = obj.NewInstance ()|
// \item @|vtkGLSLShader = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.Compile ()| -  Called to compile the shader code.
// The subclasses must only compile the code in this method.
// Returns if the compile was successful.
// Subclasses should compile the code only if it was not
// already compiled.
//// \item @|int = obj.GetHandle ()| -  The Shader needs the id of the ShaderProgram
// to obtain uniform variable locations. This is set
// by vtkGLSLShaderProgram.
//// \item @|obj.SetProgram (int )| -  The Shader needs the id of the ShaderProgram
// to obtain uniform variable locations. This is set
// by vtkGLSLShaderProgram.
//// \item @|int = obj.GetProgram ()| -  The Shader needs the id of the ShaderProgram
// to obtain uniform variable locations. This is set
// by vtkGLSLShaderProgram.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
////\end{itemize}
//!
