#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGLSLShaderDeviceAdapter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGLSLShaderDeviceAdapter.h"

//@@Signature
//sfunction @vtkGLSLShaderDeviceAdapter:vtkGLSLShaderDeviceAdapter vtkGLSLShaderDeviceAdapterConstructorFunction
//input a
//output p
//@@Parents vtkGLSLShaderDeviceAdapter vtkShaderDeviceAdapter 
ArrayVector vtkGLSLShaderDeviceAdapterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGLSLShaderDeviceAdapter::New(),"vtkGLSLShaderDeviceAdapter",eval);
  } else if (arg[0].className() == "vtkGLSLShaderDeviceAdapter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGLSLShaderDeviceAdapter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGLSLShaderDeviceAdapter");
    vtkGLSLShaderDeviceAdapter*q = reinterpret_cast<vtkGLSLShaderDeviceAdapter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGLSLShaderDeviceAdapter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGLSLShaderDeviceAdapter:GetClassName vtkGLSLShaderDeviceAdapterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGLSLShaderDeviceAdapterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGLSLShaderDeviceAdapter requires 1 argument(s)");
  vtkGLSLShaderDeviceAdapter* vtk_pointer = GetVTKPointer<vtkGLSLShaderDeviceAdapter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShaderDeviceAdapter:IsA vtkGLSLShaderDeviceAdapterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGLSLShaderDeviceAdapterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGLSLShaderDeviceAdapter requires 2 argument(s)");
  vtkGLSLShaderDeviceAdapter* vtk_pointer = GetVTKPointer<vtkGLSLShaderDeviceAdapter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShaderDeviceAdapter:NewInstance vtkGLSLShaderDeviceAdapterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGLSLShaderDeviceAdapterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGLSLShaderDeviceAdapter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGLSLShaderDeviceAdapter requires 1 argument(s)");
  vtkGLSLShaderDeviceAdapter* vtk_pointer = GetVTKPointer<vtkGLSLShaderDeviceAdapter>(arg[0]);
  Array retval;
  vtkGLSLShaderDeviceAdapter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGLSLShaderDeviceAdapter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShaderDeviceAdapter:SafeDownCast vtkGLSLShaderDeviceAdapterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGLSLShaderDeviceAdapterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGLSLShaderDeviceAdapter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGLSLShaderDeviceAdapter requires 2 argument(s)");
  vtkGLSLShaderDeviceAdapter* vtk_pointer = GetVTKPointer<vtkGLSLShaderDeviceAdapter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGLSLShaderDeviceAdapter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGLSLShaderDeviceAdapter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShaderDeviceAdapter:PrepareForRender vtkGLSLShaderDeviceAdapterPrepareForRenderFunction
//input a0 
//output none
ArrayVector vtkGLSLShaderDeviceAdapterPrepareForRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PrepareForRender (); */
  if (arg.size() < 1) 
    throw Exception("Function PrepareForRender for class vtkGLSLShaderDeviceAdapter requires 1 argument(s)");
  vtkGLSLShaderDeviceAdapter* vtk_pointer = GetVTKPointer<vtkGLSLShaderDeviceAdapter>(arg[0]);
  Array retval;
  vtk_pointer->PrepareForRender();
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShaderDeviceAdapter:display vtkGLSLShaderDeviceAdapterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGLSLShaderDeviceAdapterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGLSLShaderDeviceAdapter* vtk_pointer = GetVTKPointer<vtkGLSLShaderDeviceAdapter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGLSLShaderDeviceAdapter:delete vtkGLSLShaderDeviceAdapterDeleteFunction
//input varargin
//output none
ArrayVector vtkGLSLShaderDeviceAdapterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGLSLShaderDeviceAdapter
//@@Section VTKRendering
//@@Usage
// vtkShaderDeviceAdapter subclass for GLSL.
// .SECTION Thanks
// Support for generic vertex attributes in VTK was contributed in
// collaboration with Stephane Ploix at EDF.
//
//To create an instance of class vtkGLSLShaderDeviceAdapter, simply
//invoke its constructor as follows
//@[
//  obj = vtkGLSLShaderDeviceAdapter
//@]
//@@Methods
//The class vtkGLSLShaderDeviceAdapter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGLSLShaderDeviceAdapter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGLSLShaderDeviceAdapter = obj.NewInstance ()|
// \item @|vtkGLSLShaderDeviceAdapter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.PrepareForRender ()|
//\end{itemize}
//!
