#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGLSLShaderProgram object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGLSLShaderProgram.h"

//@@Signature
//sfunction @vtkGLSLShaderProgram:vtkGLSLShaderProgram vtkGLSLShaderProgramConstructorFunction
//input a
//output p
//@@Parents vtkGLSLShaderProgram vtkShaderProgram 
ArrayVector vtkGLSLShaderProgramConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGLSLShaderProgram::New(),"vtkGLSLShaderProgram",eval);
  } else if (arg[0].className() == "vtkGLSLShaderProgram") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGLSLShaderProgram"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGLSLShaderProgram");
    vtkGLSLShaderProgram*q = reinterpret_cast<vtkGLSLShaderProgram*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGLSLShaderProgram");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGLSLShaderProgram:GetClassName vtkGLSLShaderProgramGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGLSLShaderProgramGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGLSLShaderProgram requires 1 argument(s)");
  vtkGLSLShaderProgram* vtk_pointer = GetVTKPointer<vtkGLSLShaderProgram>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShaderProgram:IsA vtkGLSLShaderProgramIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGLSLShaderProgramIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGLSLShaderProgram requires 2 argument(s)");
  vtkGLSLShaderProgram* vtk_pointer = GetVTKPointer<vtkGLSLShaderProgram>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShaderProgram:NewInstance vtkGLSLShaderProgramNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGLSLShaderProgramNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGLSLShaderProgram *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGLSLShaderProgram requires 1 argument(s)");
  vtkGLSLShaderProgram* vtk_pointer = GetVTKPointer<vtkGLSLShaderProgram>(arg[0]);
  Array retval;
  vtkGLSLShaderProgram  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGLSLShaderProgram",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShaderProgram:SafeDownCast vtkGLSLShaderProgramSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGLSLShaderProgramSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGLSLShaderProgram *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGLSLShaderProgram requires 2 argument(s)");
  vtkGLSLShaderProgram* vtk_pointer = GetVTKPointer<vtkGLSLShaderProgram>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGLSLShaderProgram  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGLSLShaderProgram",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShaderProgram:Render vtkGLSLShaderProgramRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGLSLShaderProgramRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkActor *actor, vtkRenderer *renderer); */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkGLSLShaderProgram requires 3 argument(s)");
  vtkGLSLShaderProgram* vtk_pointer = GetVTKPointer<vtkGLSLShaderProgram>(arg[0]);
  Array retval;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = GetVTKPointer<vtkActor>(arg[1]);
  temp1 = GetVTKPointer<vtkRenderer>(arg[2]);
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShaderProgram:PostRender vtkGLSLShaderProgramPostRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGLSLShaderProgramPostRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PostRender (vtkActor *, vtkRenderer *); */
  if (arg.size() < 3) 
    throw Exception("Function PostRender for class vtkGLSLShaderProgram requires 3 argument(s)");
  vtkGLSLShaderProgram* vtk_pointer = GetVTKPointer<vtkGLSLShaderProgram>(arg[0]);
  Array retval;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = GetVTKPointer<vtkActor>(arg[1]);
  temp1 = GetVTKPointer<vtkRenderer>(arg[2]);
  vtk_pointer->PostRender(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShaderProgram:ReleaseGraphicsResources vtkGLSLShaderProgramReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkGLSLShaderProgramReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkGLSLShaderProgram requires 2 argument(s)");
  vtkGLSLShaderProgram* vtk_pointer = GetVTKPointer<vtkGLSLShaderProgram>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShaderProgram:GetProgram vtkGLSLShaderProgramGetProgramFunction
//input a0 
//output y
ArrayVector vtkGLSLShaderProgramGetProgramFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetProgram ();return this Program  */
  if (arg.size() < 1) 
    throw Exception("Function GetProgram for class vtkGLSLShaderProgram requires 1 argument(s)");
  vtkGLSLShaderProgram* vtk_pointer = GetVTKPointer<vtkGLSLShaderProgram>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetProgram();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGLSLShaderProgram:display vtkGLSLShaderProgramDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGLSLShaderProgramDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGLSLShaderProgram* vtk_pointer = GetVTKPointer<vtkGLSLShaderProgram>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGLSLShaderProgram:delete vtkGLSLShaderProgramDeleteFunction
//input varargin
//output none
ArrayVector vtkGLSLShaderProgramDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGLSLShaderProgram
//@@Section VTKRendering
//@@Usage
// vtkGLSLShaderProgram is a concerete implementation of vtkShaderProgram.
// It's main function is to 'Link' a vertex and a fragment shader together
// and install them into the rendering pipeline by calling OpenGL2.0.
//
// Initialization of shader parameters is delegated to instances of vtkShader
// (vtkGLSLShader in this case).
// .SECTION Thanks
// Shader support in VTK includes key contributions by Gary Templet at 
// Sandia National Labs.
//
//To create an instance of class vtkGLSLShaderProgram, simply
//invoke its constructor as follows
//@[
//  obj = vtkGLSLShaderProgram
//@]
//@@Methods
//The class vtkGLSLShaderProgram has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGLSLShaderProgram class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGLSLShaderProgram = obj.NewInstance ()|
// \item @|vtkGLSLShaderProgram = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Render (vtkActor actor, vtkRenderer renderer)|
// \item @|obj.PostRender (vtkActor , vtkRenderer )| -  Called to unload the shaders after the actor has been rendered.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|int = obj.GetProgram ()|
//\end{itemize}
//!
