#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGPUInfo object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGPUInfo.h"

//@@Signature
//sfunction @vtkGPUInfo:vtkGPUInfo vtkGPUInfoConstructorFunction
//input a
//output p
//@@Parents vtkGPUInfo vtkObject 
ArrayVector vtkGPUInfoConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGPUInfo::New(),"vtkGPUInfo",eval);
  } else if (arg[0].className() == "vtkGPUInfo") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGPUInfo"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGPUInfo");
    vtkGPUInfo*q = reinterpret_cast<vtkGPUInfo*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGPUInfo");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGPUInfo:GetClassName vtkGPUInfoGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGPUInfoGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGPUInfo requires 1 argument(s)");
  vtkGPUInfo* vtk_pointer = GetVTKPointer<vtkGPUInfo>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfo:IsA vtkGPUInfoIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGPUInfoIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGPUInfo requires 2 argument(s)");
  vtkGPUInfo* vtk_pointer = GetVTKPointer<vtkGPUInfo>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfo:NewInstance vtkGPUInfoNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGPUInfoNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGPUInfo *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGPUInfo requires 1 argument(s)");
  vtkGPUInfo* vtk_pointer = GetVTKPointer<vtkGPUInfo>(arg[0]);
  Array retval;
  vtkGPUInfo  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGPUInfo",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfo:SafeDownCast vtkGPUInfoSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGPUInfoSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGPUInfo *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGPUInfo requires 2 argument(s)");
  vtkGPUInfo* vtk_pointer = GetVTKPointer<vtkGPUInfo>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGPUInfo  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGPUInfo",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfo:SetDedicatedVideoMemory vtkGPUInfoSetDedicatedVideoMemoryFunction
//input a0 a1 
//output none
ArrayVector vtkGPUInfoSetDedicatedVideoMemoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDedicatedVideoMemory (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDedicatedVideoMemory for class vtkGPUInfo requires 2 argument(s)");
  vtkGPUInfo* vtk_pointer = GetVTKPointer<vtkGPUInfo>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDedicatedVideoMemory(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfo:GetDedicatedVideoMemory vtkGPUInfoGetDedicatedVideoMemoryFunction
//input a0 
//output y
ArrayVector vtkGPUInfoGetDedicatedVideoMemoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetDedicatedVideoMemory (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDedicatedVideoMemory for class vtkGPUInfo requires 1 argument(s)");
  vtkGPUInfo* vtk_pointer = GetVTKPointer<vtkGPUInfo>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetDedicatedVideoMemory();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfo:SetDedicatedSystemMemory vtkGPUInfoSetDedicatedSystemMemoryFunction
//input a0 a1 
//output none
ArrayVector vtkGPUInfoSetDedicatedSystemMemoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDedicatedSystemMemory (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDedicatedSystemMemory for class vtkGPUInfo requires 2 argument(s)");
  vtkGPUInfo* vtk_pointer = GetVTKPointer<vtkGPUInfo>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDedicatedSystemMemory(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfo:GetDedicatedSystemMemory vtkGPUInfoGetDedicatedSystemMemoryFunction
//input a0 
//output y
ArrayVector vtkGPUInfoGetDedicatedSystemMemoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetDedicatedSystemMemory (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDedicatedSystemMemory for class vtkGPUInfo requires 1 argument(s)");
  vtkGPUInfo* vtk_pointer = GetVTKPointer<vtkGPUInfo>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetDedicatedSystemMemory();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfo:SetSharedSystemMemory vtkGPUInfoSetSharedSystemMemoryFunction
//input a0 a1 
//output none
ArrayVector vtkGPUInfoSetSharedSystemMemoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSharedSystemMemory (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSharedSystemMemory for class vtkGPUInfo requires 2 argument(s)");
  vtkGPUInfo* vtk_pointer = GetVTKPointer<vtkGPUInfo>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSharedSystemMemory(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfo:GetSharedSystemMemory vtkGPUInfoGetSharedSystemMemoryFunction
//input a0 
//output y
ArrayVector vtkGPUInfoGetSharedSystemMemoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetSharedSystemMemory (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSharedSystemMemory for class vtkGPUInfo requires 1 argument(s)");
  vtkGPUInfo* vtk_pointer = GetVTKPointer<vtkGPUInfo>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetSharedSystemMemory();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfo:display vtkGPUInfoDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGPUInfoDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGPUInfo* vtk_pointer = GetVTKPointer<vtkGPUInfo>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGPUInfo:delete vtkGPUInfoDeleteFunction
//input varargin
//output none
ArrayVector vtkGPUInfoDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGPUInfo
//@@Section VTKRendering
//@@Usage
// vtkGPUInfo stores information about GPU Video RAM. An host can have
// several GPUs. The values are set by vtkGPUInfoList.
//
//To create an instance of class vtkGPUInfo, simply
//invoke its constructor as follows
//@[
//  obj = vtkGPUInfo
//@]
//@@Methods
//The class vtkGPUInfo has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGPUInfo class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGPUInfo = obj.NewInstance ()|
// \item @|vtkGPUInfo = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDedicatedVideoMemory (vtkIdType )| -  Set/Get dedicated video memory in bytes. Initial value is 0.
// Usually the fastest one. If it is not null, it should be take into
// account first and DedicatedSystemMemory or SharedSystemMemory should be
// ignored.
//// \item @|vtkIdType = obj.GetDedicatedVideoMemory ()| -  Set/Get dedicated video memory in bytes. Initial value is 0.
// Usually the fastest one. If it is not null, it should be take into
// account first and DedicatedSystemMemory or SharedSystemMemory should be
// ignored.
//// \item @|obj.SetDedicatedSystemMemory (vtkIdType )| -  Set/Get dedicated system memory in bytes. Initial value is 0.
// This is slow memory. If it is not null, this value should be taken into
// account only if there is no DedicatedVideoMemory and SharedSystemMemory
// should be ignored.
//// \item @|vtkIdType = obj.GetDedicatedSystemMemory ()| -  Set/Get dedicated system memory in bytes. Initial value is 0.
// This is slow memory. If it is not null, this value should be taken into
// account only if there is no DedicatedVideoMemory and SharedSystemMemory
// should be ignored.
//// \item @|obj.SetSharedSystemMemory (vtkIdType )| -  Set/Get shared system memory in bytes. Initial value is 0.
// Slowest memory. This value should be taken into account only if there is
// neither DedicatedVideoMemory nor DedicatedSystemMemory.
//// \item @|vtkIdType = obj.GetSharedSystemMemory ()| -  Set/Get shared system memory in bytes. Initial value is 0.
// Slowest memory. This value should be taken into account only if there is
// neither DedicatedVideoMemory nor DedicatedSystemMemory.
////\end{itemize}
//!
