#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGPUInfoList object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGPUInfoList.h"

//@@Signature
//sfunction @vtkGPUInfoList:vtkGPUInfoList vtkGPUInfoListConstructorFunction
//input a
//output p
//@@Parents vtkGPUInfoList vtkObject 
ArrayVector vtkGPUInfoListConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGPUInfoList::New(),"vtkGPUInfoList",eval);
  } else if (arg[0].className() == "vtkGPUInfoList") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGPUInfoList"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGPUInfoList");
    vtkGPUInfoList*q = reinterpret_cast<vtkGPUInfoList*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGPUInfoList");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGPUInfoList:GetClassName vtkGPUInfoListGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGPUInfoListGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGPUInfoList requires 1 argument(s)");
  vtkGPUInfoList* vtk_pointer = GetVTKPointer<vtkGPUInfoList>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfoList:IsA vtkGPUInfoListIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGPUInfoListIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGPUInfoList requires 2 argument(s)");
  vtkGPUInfoList* vtk_pointer = GetVTKPointer<vtkGPUInfoList>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfoList:NewInstance vtkGPUInfoListNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGPUInfoListNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGPUInfoList *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGPUInfoList requires 1 argument(s)");
  vtkGPUInfoList* vtk_pointer = GetVTKPointer<vtkGPUInfoList>(arg[0]);
  Array retval;
  vtkGPUInfoList  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGPUInfoList",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfoList:SafeDownCast vtkGPUInfoListSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGPUInfoListSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGPUInfoList *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGPUInfoList requires 2 argument(s)");
  vtkGPUInfoList* vtk_pointer = GetVTKPointer<vtkGPUInfoList>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGPUInfoList  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGPUInfoList",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfoList:Probe vtkGPUInfoListProbeFunction
//input a0 
//output none
ArrayVector vtkGPUInfoListProbeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Probe () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Probe for class vtkGPUInfoList requires 1 argument(s)");
  vtkGPUInfoList* vtk_pointer = GetVTKPointer<vtkGPUInfoList>(arg[0]);
  Array retval;
  vtk_pointer->Probe();
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfoList:IsProbed vtkGPUInfoListIsProbedFunction
//input a0 
//output y
ArrayVector vtkGPUInfoListIsProbedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool IsProbed (); */
  if (arg.size() < 1) 
    throw Exception("Function IsProbed for class vtkGPUInfoList requires 1 argument(s)");
  vtkGPUInfoList* vtk_pointer = GetVTKPointer<vtkGPUInfoList>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->IsProbed();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfoList:GetNumberOfGPUs vtkGPUInfoListGetNumberOfGPUsFunction
//input a0 
//output y
ArrayVector vtkGPUInfoListGetNumberOfGPUsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfGPUs (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfGPUs for class vtkGPUInfoList requires 1 argument(s)");
  vtkGPUInfoList* vtk_pointer = GetVTKPointer<vtkGPUInfoList>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfGPUs();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfoList:GetGPUInfo vtkGPUInfoListGetGPUInfoFunction
//input a0 a1 
//output y
ArrayVector vtkGPUInfoListGetGPUInfoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkGPUInfo *GetGPUInfo (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetGPUInfo for class vtkGPUInfoList requires 2 argument(s)");
  vtkGPUInfoList* vtk_pointer = GetVTKPointer<vtkGPUInfoList>(arg[0]);
  Array retval;
  int      temp0;
  vtkGPUInfo  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGPUInfo(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGPUInfo",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGPUInfoList:display vtkGPUInfoListDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGPUInfoListDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGPUInfoList* vtk_pointer = GetVTKPointer<vtkGPUInfoList>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGPUInfoList:delete vtkGPUInfoListDeleteFunction
//input varargin
//output none
ArrayVector vtkGPUInfoListDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGPUInfoList
//@@Section VTKRendering
//@@Usage
// vtkGPUInfoList stores a list of vtkGPUInfo. An host can have
// several GPUs. It creates and sets the list by probing the host with system
// calls. This an abstract class. Concrete classes are OS specific.
//
//To create an instance of class vtkGPUInfoList, simply
//invoke its constructor as follows
//@[
//  obj = vtkGPUInfoList
//@]
//@@Methods
//The class vtkGPUInfoList has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGPUInfoList class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGPUInfoList = obj.NewInstance ()|
// \item @|vtkGPUInfoList = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Probe ()| -  Build the list of vtkInfoGPU if not done yet.
// Default implementation created an empty list. Useful if there is no
// implementation available for a given architecture yet.
// \post probed: IsProbed()
//// \item @|bool = obj.IsProbed ()| -  Tells if the operating system has been probed. Initial value is false.
//// \item @|int = obj.GetNumberOfGPUs ()| -  Return the number of GPUs.
// \pre probed: IsProbed()
//// \item @|vtkGPUInfo = obj.GetGPUInfo (int i)| -  Return information about GPU i.
// \pre probed: IsProbed()
// \pre valid_index: i>=0 && i<GetNumberOfGPUs()
// \post result_exists: result!=0
////\end{itemize}
//!
