#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGaussianBlurPass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGaussianBlurPass.h"

//@@Signature
//sfunction @vtkGaussianBlurPass:vtkGaussianBlurPass vtkGaussianBlurPassConstructorFunction
//input a
//output p
//@@Parents vtkGaussianBlurPass vtkImageProcessingPass 
ArrayVector vtkGaussianBlurPassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGaussianBlurPass::New(),"vtkGaussianBlurPass",eval);
  } else if (arg[0].className() == "vtkGaussianBlurPass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGaussianBlurPass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGaussianBlurPass");
    vtkGaussianBlurPass*q = reinterpret_cast<vtkGaussianBlurPass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGaussianBlurPass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGaussianBlurPass:GetClassName vtkGaussianBlurPassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGaussianBlurPassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGaussianBlurPass requires 1 argument(s)");
  vtkGaussianBlurPass* vtk_pointer = GetVTKPointer<vtkGaussianBlurPass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianBlurPass:IsA vtkGaussianBlurPassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGaussianBlurPassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGaussianBlurPass requires 2 argument(s)");
  vtkGaussianBlurPass* vtk_pointer = GetVTKPointer<vtkGaussianBlurPass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianBlurPass:NewInstance vtkGaussianBlurPassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGaussianBlurPassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGaussianBlurPass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGaussianBlurPass requires 1 argument(s)");
  vtkGaussianBlurPass* vtk_pointer = GetVTKPointer<vtkGaussianBlurPass>(arg[0]);
  Array retval;
  vtkGaussianBlurPass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGaussianBlurPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianBlurPass:SafeDownCast vtkGaussianBlurPassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGaussianBlurPassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGaussianBlurPass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGaussianBlurPass requires 2 argument(s)");
  vtkGaussianBlurPass* vtk_pointer = GetVTKPointer<vtkGaussianBlurPass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGaussianBlurPass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGaussianBlurPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianBlurPass:ReleaseGraphicsResources vtkGaussianBlurPassReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkGaussianBlurPassReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *w); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkGaussianBlurPass requires 2 argument(s)");
  vtkGaussianBlurPass* vtk_pointer = GetVTKPointer<vtkGaussianBlurPass>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianBlurPass:display vtkGaussianBlurPassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGaussianBlurPassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGaussianBlurPass* vtk_pointer = GetVTKPointer<vtkGaussianBlurPass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGaussianBlurPass:delete vtkGaussianBlurPassDeleteFunction
//input varargin
//output none
ArrayVector vtkGaussianBlurPassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGaussianBlurPass
//@@Section VTKRendering
//@@Usage
// Blur the image renderered by its delegate. Blurring uses a Gaussian low-pass
// filter with a 5x5 kernel.
//
// This pass expects an initialized depth buffer and color buffer.
// Initialized buffers means they have been cleared with farest z-value and
// background color/gradient/transparent color.
// An opaque pass may have been performed right after the initialization.
//
// The delegate is used once.
//
// Its delegate is usually set to a vtkCameraPass or to a post-processing pass.
// 
// This pass requires a OpenGL context that supports texture objects (TO),
// framebuffer objects (FBO) and GLSL. If not, it will emit an error message
// and will render its delegate and return.
//
// .SECTION Implementation
// As the filter is separable, it first blurs the image horizontally and then
// vertically. This reduces the number of texture sampling to 5 per pass.
// In addition, as texture sampling can already blend texel values in linear
// mode, by adjusting the texture coordinate accordingly, only 3 texture
// sampling are actually necessary.
// Reference: OpenGL Bloom Toturial by Philip Rideout, section
// Exploit Hardware Filtering  http://prideout.net/bloom/index.php#Sneaky
//
//To create an instance of class vtkGaussianBlurPass, simply
//invoke its constructor as follows
//@[
//  obj = vtkGaussianBlurPass
//@]
//@@Methods
//The class vtkGaussianBlurPass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGaussianBlurPass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGaussianBlurPass = obj.NewInstance ()|
// \item @|vtkGaussianBlurPass = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ReleaseGraphicsResources (vtkWindow w)| -  Release graphics resources and ask components to release their own
// resources.
// \pre w_exists: w!=0
////\end{itemize}
//!
