#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenericRenderWindowInteractor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenericRenderWindowInteractor.h"

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:vtkGenericRenderWindowInteractor vtkGenericRenderWindowInteractorConstructorFunction
//input a
//output p
//@@Parents vtkGenericRenderWindowInteractor vtkRenderWindowInteractor 
ArrayVector vtkGenericRenderWindowInteractorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenericRenderWindowInteractor::New(),"vtkGenericRenderWindowInteractor",eval);
  } else if (arg[0].className() == "vtkGenericRenderWindowInteractor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenericRenderWindowInteractor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenericRenderWindowInteractor");
    vtkGenericRenderWindowInteractor*q = reinterpret_cast<vtkGenericRenderWindowInteractor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenericRenderWindowInteractor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:GetClassName vtkGenericRenderWindowInteractorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenericRenderWindowInteractorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:IsA vtkGenericRenderWindowInteractorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenericRenderWindowInteractorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenericRenderWindowInteractor requires 2 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:NewInstance vtkGenericRenderWindowInteractorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenericRenderWindowInteractorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericRenderWindowInteractor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkGenericRenderWindowInteractor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericRenderWindowInteractor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:SafeDownCast vtkGenericRenderWindowInteractorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenericRenderWindowInteractorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericRenderWindowInteractor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenericRenderWindowInteractor requires 2 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenericRenderWindowInteractor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericRenderWindowInteractor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:MouseMoveEvent vtkGenericRenderWindowInteractorMouseMoveEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorMouseMoveEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MouseMoveEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function MouseMoveEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->MouseMoveEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:RightButtonPressEvent vtkGenericRenderWindowInteractorRightButtonPressEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorRightButtonPressEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RightButtonPressEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function RightButtonPressEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->RightButtonPressEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:RightButtonReleaseEvent vtkGenericRenderWindowInteractorRightButtonReleaseEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorRightButtonReleaseEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RightButtonReleaseEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function RightButtonReleaseEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->RightButtonReleaseEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:LeftButtonPressEvent vtkGenericRenderWindowInteractorLeftButtonPressEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorLeftButtonPressEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void LeftButtonPressEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function LeftButtonPressEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->LeftButtonPressEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:LeftButtonReleaseEvent vtkGenericRenderWindowInteractorLeftButtonReleaseEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorLeftButtonReleaseEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void LeftButtonReleaseEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function LeftButtonReleaseEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->LeftButtonReleaseEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:MiddleButtonPressEvent vtkGenericRenderWindowInteractorMiddleButtonPressEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorMiddleButtonPressEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MiddleButtonPressEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function MiddleButtonPressEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->MiddleButtonPressEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:MiddleButtonReleaseEvent vtkGenericRenderWindowInteractorMiddleButtonReleaseEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorMiddleButtonReleaseEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MiddleButtonReleaseEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function MiddleButtonReleaseEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->MiddleButtonReleaseEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:MouseWheelForwardEvent vtkGenericRenderWindowInteractorMouseWheelForwardEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorMouseWheelForwardEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MouseWheelForwardEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function MouseWheelForwardEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->MouseWheelForwardEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:MouseWheelBackwardEvent vtkGenericRenderWindowInteractorMouseWheelBackwardEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorMouseWheelBackwardEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MouseWheelBackwardEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function MouseWheelBackwardEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->MouseWheelBackwardEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:ExposeEvent vtkGenericRenderWindowInteractorExposeEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorExposeEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ExposeEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function ExposeEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->ExposeEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:ConfigureEvent vtkGenericRenderWindowInteractorConfigureEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorConfigureEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ConfigureEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function ConfigureEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->ConfigureEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:EnterEvent vtkGenericRenderWindowInteractorEnterEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorEnterEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EnterEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function EnterEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->EnterEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:LeaveEvent vtkGenericRenderWindowInteractorLeaveEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorLeaveEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void LeaveEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function LeaveEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->LeaveEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:TimerEvent vtkGenericRenderWindowInteractorTimerEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorTimerEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void TimerEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function TimerEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->TimerEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:KeyPressEvent vtkGenericRenderWindowInteractorKeyPressEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorKeyPressEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void KeyPressEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function KeyPressEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->KeyPressEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:KeyReleaseEvent vtkGenericRenderWindowInteractorKeyReleaseEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorKeyReleaseEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void KeyReleaseEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function KeyReleaseEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->KeyReleaseEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:CharEvent vtkGenericRenderWindowInteractorCharEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorCharEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CharEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function CharEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->CharEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:ExitEvent vtkGenericRenderWindowInteractorExitEventFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorExitEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ExitEvent (); */
  if (arg.size() < 1) 
    throw Exception("Function ExitEvent for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->ExitEvent();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:SetTimerEventResetsTimer vtkGenericRenderWindowInteractorSetTimerEventResetsTimerFunction
//input a0 a1 
//output none
ArrayVector vtkGenericRenderWindowInteractorSetTimerEventResetsTimerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimerEventResetsTimer (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimerEventResetsTimer for class vtkGenericRenderWindowInteractor requires 2 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimerEventResetsTimer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:GetTimerEventResetsTimer vtkGenericRenderWindowInteractorGetTimerEventResetsTimerFunction
//input a0 
//output y
ArrayVector vtkGenericRenderWindowInteractorGetTimerEventResetsTimerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimerEventResetsTimer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimerEventResetsTimer for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTimerEventResetsTimer();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:TimerEventResetsTimerOn vtkGenericRenderWindowInteractorTimerEventResetsTimerOnFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorTimerEventResetsTimerOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TimerEventResetsTimerOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TimerEventResetsTimerOn for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->TimerEventResetsTimerOn();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:TimerEventResetsTimerOff vtkGenericRenderWindowInteractorTimerEventResetsTimerOffFunction
//input a0 
//output none
ArrayVector vtkGenericRenderWindowInteractorTimerEventResetsTimerOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TimerEventResetsTimerOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TimerEventResetsTimerOff for class vtkGenericRenderWindowInteractor requires 1 argument(s)");
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->TimerEventResetsTimerOff();
  return retval;
}

//@@Signature
//sfunction @vtkGenericRenderWindowInteractor:display vtkGenericRenderWindowInteractorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenericRenderWindowInteractorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenericRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkGenericRenderWindowInteractor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenericRenderWindowInteractor:delete vtkGenericRenderWindowInteractorDeleteFunction
//input varargin
//output none
ArrayVector vtkGenericRenderWindowInteractorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenericRenderWindowInteractor
//@@Section VTKRendering
//@@Usage
// vtkGenericRenderWindowInteractor provides a way to translate native
// mouse and keyboard events into vtk Events.   By calling the methods on
// this class, vtk events will be invoked.   This will allow scripting
// languages to use vtkInteractorStyles and 3D widgets.
//
//To create an instance of class vtkGenericRenderWindowInteractor, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenericRenderWindowInteractor
//@]
//@@Methods
//The class vtkGenericRenderWindowInteractor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenericRenderWindowInteractor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGenericRenderWindowInteractor = obj.NewInstance ()|
// \item @|vtkGenericRenderWindowInteractor = obj.SafeDownCast (vtkObject o)|
// \item @|obj.MouseMoveEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.RightButtonPressEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.RightButtonReleaseEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.LeftButtonPressEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.LeftButtonReleaseEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.MiddleButtonPressEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.MiddleButtonReleaseEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.MouseWheelForwardEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.MouseWheelBackwardEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.ExposeEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.ConfigureEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.EnterEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.LeaveEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.TimerEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.KeyPressEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.KeyReleaseEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.CharEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.ExitEvent ()| -  Fire various events. SetEventInformation should be called just prior
// to calling any of these methods. These methods will Invoke the
// corresponding vtk event.
//// \item @|obj.SetTimerEventResetsTimer (int )| -  Flag that indicates whether the TimerEvent method should call ResetTimer
// to simulate repeating timers with an endless stream of one shot timers.
// By default this flag is on and all repeating timers are implemented as a
// stream of sequential one shot timers. If the observer of
// CreateTimerEvent actually creates a "natively repeating" timer, setting
// this flag to off will prevent (perhaps many many) unnecessary calls to
// ResetTimer. Having the flag on by default means that "natively one
// shot" timers can be either one shot or repeating timers with no
// additional work. Also, "natively repeating" timers still work with the
// default setting, but with potentially many create and destroy calls.
//// \item @|int = obj.GetTimerEventResetsTimer ()| -  Flag that indicates whether the TimerEvent method should call ResetTimer
// to simulate repeating timers with an endless stream of one shot timers.
// By default this flag is on and all repeating timers are implemented as a
// stream of sequential one shot timers. If the observer of
// CreateTimerEvent actually creates a "natively repeating" timer, setting
// this flag to off will prevent (perhaps many many) unnecessary calls to
// ResetTimer. Having the flag on by default means that "natively one
// shot" timers can be either one shot or repeating timers with no
// additional work. Also, "natively repeating" timers still work with the
// default setting, but with potentially many create and destroy calls.
//// \item @|obj.TimerEventResetsTimerOn ()| -  Flag that indicates whether the TimerEvent method should call ResetTimer
// to simulate repeating timers with an endless stream of one shot timers.
// By default this flag is on and all repeating timers are implemented as a
// stream of sequential one shot timers. If the observer of
// CreateTimerEvent actually creates a "natively repeating" timer, setting
// this flag to off will prevent (perhaps many many) unnecessary calls to
// ResetTimer. Having the flag on by default means that "natively one
// shot" timers can be either one shot or repeating timers with no
// additional work. Also, "natively repeating" timers still work with the
// default setting, but with potentially many create and destroy calls.
//// \item @|obj.TimerEventResetsTimerOff ()| -  Flag that indicates whether the TimerEvent method should call ResetTimer
// to simulate repeating timers with an endless stream of one shot timers.
// By default this flag is on and all repeating timers are implemented as a
// stream of sequential one shot timers. If the observer of
// CreateTimerEvent actually creates a "natively repeating" timer, setting
// this flag to off will prevent (perhaps many many) unnecessary calls to
// ResetTimer. Having the flag on by default means that "natively one
// shot" timers can be either one shot or repeating timers with no
// additional work. Also, "natively repeating" timers still work with the
// default setting, but with potentially many create and destroy calls.
////\end{itemize}
//!
