#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenericVertexAttributeMapping object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenericVertexAttributeMapping.h"

//@@Signature
//sfunction @vtkGenericVertexAttributeMapping:vtkGenericVertexAttributeMapping vtkGenericVertexAttributeMappingConstructorFunction
//input a
//output p
//@@Parents vtkGenericVertexAttributeMapping vtkObject 
ArrayVector vtkGenericVertexAttributeMappingConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenericVertexAttributeMapping::New(),"vtkGenericVertexAttributeMapping",eval);
  } else if (arg[0].className() == "vtkGenericVertexAttributeMapping") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenericVertexAttributeMapping"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenericVertexAttributeMapping");
    vtkGenericVertexAttributeMapping*q = reinterpret_cast<vtkGenericVertexAttributeMapping*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenericVertexAttributeMapping");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenericVertexAttributeMapping:GetClassName vtkGenericVertexAttributeMappingGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenericVertexAttributeMappingGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenericVertexAttributeMapping requires 1 argument(s)");
  vtkGenericVertexAttributeMapping* vtk_pointer = GetVTKPointer<vtkGenericVertexAttributeMapping>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericVertexAttributeMapping:IsA vtkGenericVertexAttributeMappingIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenericVertexAttributeMappingIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenericVertexAttributeMapping requires 2 argument(s)");
  vtkGenericVertexAttributeMapping* vtk_pointer = GetVTKPointer<vtkGenericVertexAttributeMapping>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericVertexAttributeMapping:NewInstance vtkGenericVertexAttributeMappingNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenericVertexAttributeMappingNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericVertexAttributeMapping *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenericVertexAttributeMapping requires 1 argument(s)");
  vtkGenericVertexAttributeMapping* vtk_pointer = GetVTKPointer<vtkGenericVertexAttributeMapping>(arg[0]);
  Array retval;
  vtkGenericVertexAttributeMapping  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericVertexAttributeMapping",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericVertexAttributeMapping:SafeDownCast vtkGenericVertexAttributeMappingSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenericVertexAttributeMappingSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericVertexAttributeMapping *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenericVertexAttributeMapping requires 2 argument(s)");
  vtkGenericVertexAttributeMapping* vtk_pointer = GetVTKPointer<vtkGenericVertexAttributeMapping>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenericVertexAttributeMapping  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericVertexAttributeMapping",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericVertexAttributeMapping:AddMapping__1 vtkGenericVertexAttributeMappingAddMapping__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkGenericVertexAttributeMappingAddMapping__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddMapping (const char *attributeName, const char *arrayName, int fieldAssociation, int component); */
  if (arg.size() < 5) 
    throw Exception("Function AddMapping__1 for class vtkGenericVertexAttributeMapping requires 5 argument(s)");
  vtkGenericVertexAttributeMapping* vtk_pointer = GetVTKPointer<vtkGenericVertexAttributeMapping>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->AddMapping(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkGenericVertexAttributeMapping:AddMapping__2 vtkGenericVertexAttributeMappingAddMapping__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkGenericVertexAttributeMappingAddMapping__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddMapping (int unit, const char *arrayName, int fieldAssociation, int component); */
  if (arg.size() < 5) 
    throw Exception("Function AddMapping__2 for class vtkGenericVertexAttributeMapping requires 5 argument(s)");
  vtkGenericVertexAttributeMapping* vtk_pointer = GetVTKPointer<vtkGenericVertexAttributeMapping>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->AddMapping(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkGenericVertexAttributeMapping:RemoveMapping vtkGenericVertexAttributeMappingRemoveMappingFunction
//input a0 a1 
//output y
ArrayVector vtkGenericVertexAttributeMappingRemoveMappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool RemoveMapping (const char *attributeName); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveMapping for class vtkGenericVertexAttributeMapping requires 2 argument(s)");
  vtkGenericVertexAttributeMapping* vtk_pointer = GetVTKPointer<vtkGenericVertexAttributeMapping>(arg[0]);
  Array retval;
  char    *temp0;
  bool   temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->RemoveMapping(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGenericVertexAttributeMapping:RemoveAllMappings vtkGenericVertexAttributeMappingRemoveAllMappingsFunction
//input a0 
//output none
ArrayVector vtkGenericVertexAttributeMappingRemoveAllMappingsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllMappings (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllMappings for class vtkGenericVertexAttributeMapping requires 1 argument(s)");
  vtkGenericVertexAttributeMapping* vtk_pointer = GetVTKPointer<vtkGenericVertexAttributeMapping>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllMappings();
  return retval;
}

//@@Signature
//sfunction @vtkGenericVertexAttributeMapping:GetNumberOfMappings vtkGenericVertexAttributeMappingGetNumberOfMappingsFunction
//input a0 
//output y
ArrayVector vtkGenericVertexAttributeMappingGetNumberOfMappingsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetNumberOfMappings (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfMappings for class vtkGenericVertexAttributeMapping requires 1 argument(s)");
  vtkGenericVertexAttributeMapping* vtk_pointer = GetVTKPointer<vtkGenericVertexAttributeMapping>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfMappings();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericVertexAttributeMapping:GetAttributeName vtkGenericVertexAttributeMappingGetAttributeNameFunction
//input a0 a1 
//output y
ArrayVector vtkGenericVertexAttributeMappingGetAttributeNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetAttributeName (unsigned int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetAttributeName for class vtkGenericVertexAttributeMapping requires 2 argument(s)");
  vtkGenericVertexAttributeMapping* vtk_pointer = GetVTKPointer<vtkGenericVertexAttributeMapping>(arg[0]);
  Array retval;
  unsigned int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAttributeName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericVertexAttributeMapping:GetArrayName vtkGenericVertexAttributeMappingGetArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkGenericVertexAttributeMappingGetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetArrayName (unsigned int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetArrayName for class vtkGenericVertexAttributeMapping requires 2 argument(s)");
  vtkGenericVertexAttributeMapping* vtk_pointer = GetVTKPointer<vtkGenericVertexAttributeMapping>(arg[0]);
  Array retval;
  unsigned int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericVertexAttributeMapping:GetFieldAssociation vtkGenericVertexAttributeMappingGetFieldAssociationFunction
//input a0 a1 
//output y
ArrayVector vtkGenericVertexAttributeMappingGetFieldAssociationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldAssociation (unsigned int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetFieldAssociation for class vtkGenericVertexAttributeMapping requires 2 argument(s)");
  vtkGenericVertexAttributeMapping* vtk_pointer = GetVTKPointer<vtkGenericVertexAttributeMapping>(arg[0]);
  Array retval;
  unsigned int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFieldAssociation(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericVertexAttributeMapping:GetComponent vtkGenericVertexAttributeMappingGetComponentFunction
//input a0 a1 
//output y
ArrayVector vtkGenericVertexAttributeMappingGetComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComponent (unsigned int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetComponent for class vtkGenericVertexAttributeMapping requires 2 argument(s)");
  vtkGenericVertexAttributeMapping* vtk_pointer = GetVTKPointer<vtkGenericVertexAttributeMapping>(arg[0]);
  Array retval;
  unsigned int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetComponent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericVertexAttributeMapping:GetTextureUnit vtkGenericVertexAttributeMappingGetTextureUnitFunction
//input a0 a1 
//output y
ArrayVector vtkGenericVertexAttributeMappingGetTextureUnitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextureUnit (unsigned int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetTextureUnit for class vtkGenericVertexAttributeMapping requires 2 argument(s)");
  vtkGenericVertexAttributeMapping* vtk_pointer = GetVTKPointer<vtkGenericVertexAttributeMapping>(arg[0]);
  Array retval;
  unsigned int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTextureUnit(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericVertexAttributeMapping:AddMapping vtkGenericVertexAttributeMappingAddMappingFunction
//input varargin
//output varargout
ArrayVector vtkGenericVertexAttributeMappingAddMappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkGenericVertexAttributeMappingAddMapping__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkGenericVertexAttributeMappingAddMapping__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericVertexAttributeMappingAddMapping");
}

//@@Signature
//sfunction @vtkGenericVertexAttributeMapping:display vtkGenericVertexAttributeMappingDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenericVertexAttributeMappingDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenericVertexAttributeMapping* vtk_pointer = GetVTKPointer<vtkGenericVertexAttributeMapping>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenericVertexAttributeMapping:delete vtkGenericVertexAttributeMappingDeleteFunction
//input varargin
//output none
ArrayVector vtkGenericVertexAttributeMappingDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenericVertexAttributeMapping
//@@Section VTKRendering
//@@Usage
// vtkGenericVertexAttributeMapping stores mapping between data arrays and
// generic vertex attributes. It is used by vtkPainterPolyDataMapper to pass the
// mappings to the painter which rendering the attributes.
// .SECTION Thanks
// Support for generic vertex attributes in VTK was contributed in
// collaboration with Stephane Ploix at EDF.
//
//To create an instance of class vtkGenericVertexAttributeMapping, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenericVertexAttributeMapping
//@]
//@@Methods
//The class vtkGenericVertexAttributeMapping has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenericVertexAttributeMapping class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGenericVertexAttributeMapping = obj.NewInstance ()|
// \item @|vtkGenericVertexAttributeMapping = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddMapping (string attributeName, string arrayName, int fieldAssociation, int component)| -  Select a data array from the point/cell data
// and map it to a generic vertex attribute.
// Note that indices change when a mapping is added/removed.
//// \item @|obj.AddMapping (int unit, string arrayName, int fieldAssociation, int component)| -  Select a data array and use it as multitexture texture
// coordinates.
// Note the texture unit parameter should correspond to the texture
// unit set on the texture.
//// \item @|bool = obj.RemoveMapping (string attributeName)| -  Remove a vertex attribute mapping.
//// \item @|obj.RemoveAllMappings ()| -  Remove all mappings.
//// \item @|int = obj.GetNumberOfMappings ()| -  Get number of mapppings.
//// \item @|string = obj.GetAttributeName (int index)| -  Get the attribute name at the given index.
//// \item @|string = obj.GetArrayName (int index)| -  Get the array name at the given index.
//// \item @|int = obj.GetFieldAssociation (int index)| -  Get the field association at the given index.
//// \item @|int = obj.GetComponent (int index)| -  Get the component no. at the given index.
//// \item @|int = obj.GetTextureUnit (int index)| -  Get the component no. at the given index.
////\end{itemize}
//!
