#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGraphMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGraphMapper.h"

//@@Signature
//sfunction @vtkGraphMapper:vtkGraphMapper vtkGraphMapperConstructorFunction
//input a
//output p
//@@Parents vtkGraphMapper vtkMapper 
ArrayVector vtkGraphMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGraphMapper::New(),"vtkGraphMapper",eval);
  } else if (arg[0].className() == "vtkGraphMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGraphMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGraphMapper");
    vtkGraphMapper*q = reinterpret_cast<vtkGraphMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGraphMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGraphMapper:GetClassName vtkGraphMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:IsA vtkGraphMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGraphMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:NewInstance vtkGraphMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGraphMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtkGraphMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SafeDownCast vtkGraphMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGraphMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGraphMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:Render vtkGraphMapperRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGraphMapperRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Render (vtkRenderer *ren, vtkActor *act); */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkGraphMapper requires 3 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkActor>(arg[2]);
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetVertexColorArrayName vtkGraphMapperSetVertexColorArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetVertexColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertexColorArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexColorArrayName for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetVertexColorArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetVertexColorArrayName vtkGraphMapperGetVertexColorArrayNameFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetVertexColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetVertexColorArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexColorArrayName for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVertexColorArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetColorVertices vtkGraphMapperSetColorVerticesFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetColorVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorVertices (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorVertices for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetColorVertices(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetColorVertices vtkGraphMapperGetColorVerticesFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetColorVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetColorVertices (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorVertices for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetColorVertices();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:ColorVerticesOn vtkGraphMapperColorVerticesOnFunction
//input a0 
//output none
ArrayVector vtkGraphMapperColorVerticesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorVerticesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorVerticesOn for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtk_pointer->ColorVerticesOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:ColorVerticesOff vtkGraphMapperColorVerticesOffFunction
//input a0 
//output none
ArrayVector vtkGraphMapperColorVerticesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorVerticesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorVerticesOff for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtk_pointer->ColorVerticesOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetScaledGlyphs vtkGraphMapperSetScaledGlyphsFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetScaledGlyphsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaledGlyphs (bool arg); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaledGlyphs for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetScaledGlyphs(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetScaledGlyphs vtkGraphMapperGetScaledGlyphsFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetScaledGlyphsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetScaledGlyphs (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaledGlyphs for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetScaledGlyphs();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:ScaledGlyphsOn vtkGraphMapperScaledGlyphsOnFunction
//input a0 
//output none
ArrayVector vtkGraphMapperScaledGlyphsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaledGlyphsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaledGlyphsOn for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtk_pointer->ScaledGlyphsOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:ScaledGlyphsOff vtkGraphMapperScaledGlyphsOffFunction
//input a0 
//output none
ArrayVector vtkGraphMapperScaledGlyphsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaledGlyphsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaledGlyphsOff for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtk_pointer->ScaledGlyphsOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetScalingArrayName vtkGraphMapperSetScalingArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetScalingArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalingArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalingArrayName for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetScalingArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetScalingArrayName vtkGraphMapperGetScalingArrayNameFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetScalingArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetScalingArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalingArrayName for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetScalingArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetEdgeVisibility vtkGraphMapperSetEdgeVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetEdgeVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeVisibility (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeVisibility for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEdgeVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetEdgeVisibility vtkGraphMapperGetEdgeVisibilityFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetEdgeVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetEdgeVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeVisibility for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetEdgeVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:EdgeVisibilityOn vtkGraphMapperEdgeVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkGraphMapperEdgeVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeVisibilityOn for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtk_pointer->EdgeVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:EdgeVisibilityOff vtkGraphMapperEdgeVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkGraphMapperEdgeVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeVisibilityOff for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtk_pointer->EdgeVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetEdgeColorArrayName vtkGraphMapperSetEdgeColorArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetEdgeColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeColorArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeColorArrayName for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgeColorArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetEdgeColorArrayName vtkGraphMapperGetEdgeColorArrayNameFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetEdgeColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetEdgeColorArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeColorArrayName for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetEdgeColorArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetColorEdges vtkGraphMapperSetColorEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetColorEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorEdges (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorEdges for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetColorEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetColorEdges vtkGraphMapperGetColorEdgesFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetColorEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetColorEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorEdges for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetColorEdges();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:ColorEdgesOn vtkGraphMapperColorEdgesOnFunction
//input a0 
//output none
ArrayVector vtkGraphMapperColorEdgesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorEdgesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorEdgesOn for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtk_pointer->ColorEdgesOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:ColorEdgesOff vtkGraphMapperColorEdgesOffFunction
//input a0 
//output none
ArrayVector vtkGraphMapperColorEdgesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorEdgesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorEdgesOff for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtk_pointer->ColorEdgesOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetEnabledEdgesArrayName vtkGraphMapperSetEnabledEdgesArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetEnabledEdgesArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnabledEdgesArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabledEdgesArrayName for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEnabledEdgesArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetEnabledEdgesArrayName vtkGraphMapperGetEnabledEdgesArrayNameFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetEnabledEdgesArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetEnabledEdgesArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnabledEdgesArrayName for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetEnabledEdgesArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetEnableEdgesByArray vtkGraphMapperSetEnableEdgesByArrayFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetEnableEdgesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnableEdgesByArray (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnableEdgesByArray for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnableEdgesByArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetEnableEdgesByArray vtkGraphMapperGetEnableEdgesByArrayFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetEnableEdgesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEnableEdgesByArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnableEdgesByArray for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEnableEdgesByArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:EnableEdgesByArrayOn vtkGraphMapperEnableEdgesByArrayOnFunction
//input a0 
//output none
ArrayVector vtkGraphMapperEnableEdgesByArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableEdgesByArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableEdgesByArrayOn for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtk_pointer->EnableEdgesByArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:EnableEdgesByArrayOff vtkGraphMapperEnableEdgesByArrayOffFunction
//input a0 
//output none
ArrayVector vtkGraphMapperEnableEdgesByArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableEdgesByArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableEdgesByArrayOff for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtk_pointer->EnableEdgesByArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetEnabledVerticesArrayName vtkGraphMapperSetEnabledVerticesArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetEnabledVerticesArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnabledVerticesArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabledVerticesArrayName for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEnabledVerticesArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetEnabledVerticesArrayName vtkGraphMapperGetEnabledVerticesArrayNameFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetEnabledVerticesArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetEnabledVerticesArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnabledVerticesArrayName for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetEnabledVerticesArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetEnableVerticesByArray vtkGraphMapperSetEnableVerticesByArrayFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetEnableVerticesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnableVerticesByArray (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnableVerticesByArray for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnableVerticesByArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetEnableVerticesByArray vtkGraphMapperGetEnableVerticesByArrayFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetEnableVerticesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEnableVerticesByArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnableVerticesByArray for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEnableVerticesByArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:EnableVerticesByArrayOn vtkGraphMapperEnableVerticesByArrayOnFunction
//input a0 
//output none
ArrayVector vtkGraphMapperEnableVerticesByArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableVerticesByArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableVerticesByArrayOn for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtk_pointer->EnableVerticesByArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:EnableVerticesByArrayOff vtkGraphMapperEnableVerticesByArrayOffFunction
//input a0 
//output none
ArrayVector vtkGraphMapperEnableVerticesByArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableVerticesByArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableVerticesByArrayOff for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtk_pointer->EnableVerticesByArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetIconArrayName vtkGraphMapperSetIconArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetIconArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIconArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetIconArrayName for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetIconArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetIconArrayName vtkGraphMapperGetIconArrayNameFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetIconArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetIconArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIconArrayName for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetIconArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:AddIconType vtkGraphMapperAddIconTypeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGraphMapperAddIconTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddIconType (char *type, int index); */
  if (arg.size() < 3) 
    throw Exception("Function AddIconType for class vtkGraphMapper requires 3 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->AddIconType(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:ClearIconTypes vtkGraphMapperClearIconTypesFunction
//input a0 
//output none
ArrayVector vtkGraphMapperClearIconTypesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearIconTypes (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearIconTypes for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtk_pointer->ClearIconTypes();
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetIconSize vtkGraphMapperSetIconSizeFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetIconSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIconSize (int *size); */
  if (arg.size() < 2) 
    throw Exception("Function SetIconSize for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->SetIconSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetIconAlignment vtkGraphMapperSetIconAlignmentFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetIconAlignmentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIconAlignment (int alignment); */
  if (arg.size() < 2) 
    throw Exception("Function SetIconAlignment for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIconAlignment(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetIconTexture vtkGraphMapperGetIconTextureFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetIconTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTexture *GetIconTexture (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIconTexture for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtkTexture  *temp20;
  temp20 = (vtk_pointer)->GetIconTexture();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetIconTexture vtkGraphMapperSetIconTextureFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetIconTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIconTexture (vtkTexture *texture); */
  if (arg.size() < 2) 
    throw Exception("Function SetIconTexture for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtkTexture  *temp0;
  temp0 = GetVTKPointer<vtkTexture>(arg[1]);
  vtk_pointer->SetIconTexture(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetIconVisibility vtkGraphMapperSetIconVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetIconVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIconVisibility (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetIconVisibility for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetIconVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetIconVisibility vtkGraphMapperGetIconVisibilityFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetIconVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetIconVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIconVisibility for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetIconVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:IconVisibilityOn vtkGraphMapperIconVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkGraphMapperIconVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IconVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IconVisibilityOn for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtk_pointer->IconVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:IconVisibilityOff vtkGraphMapperIconVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkGraphMapperIconVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IconVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IconVisibilityOff for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtk_pointer->IconVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetVertexPointSize vtkGraphMapperGetVertexPointSizeFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetVertexPointSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetVertexPointSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexPointSize for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetVertexPointSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetVertexPointSize vtkGraphMapperSetVertexPointSizeFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetVertexPointSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertexPointSize (float size); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexPointSize for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetVertexPointSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetEdgeLineWidth vtkGraphMapperGetEdgeLineWidthFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetEdgeLineWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetEdgeLineWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeLineWidth for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetEdgeLineWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetEdgeLineWidth vtkGraphMapperSetEdgeLineWidthFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetEdgeLineWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeLineWidth (float width); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeLineWidth for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetEdgeLineWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:ApplyViewTheme vtkGraphMapperApplyViewThemeFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperApplyViewThemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ApplyViewTheme (vtkViewTheme *theme); */
  if (arg.size() < 2) 
    throw Exception("Function ApplyViewTheme for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtkViewTheme  *temp0;
  temp0 = GetVTKPointer<vtkViewTheme>(arg[1]);
  vtk_pointer->ApplyViewTheme(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:ReleaseGraphicsResources vtkGraphMapperReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetMTime vtkGraphMapperGetMTimeFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:SetInput vtkGraphMapperSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkGraphMapperSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkGraph *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetInput vtkGraphMapperGetInputFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraph *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtkGraph  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetBounds__1 vtkGraphMapperGetBounds__1Function
//input a0 
//output y
ArrayVector vtkGraphMapperGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__1 for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetBounds__2 vtkGraphMapperGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkGraphMapperGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetBounds (double *bounds);Superclass GetBounds bounds  */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkGraphMapper requires 2 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetEdgeLookupTable vtkGraphMapperGetEdgeLookupTableFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetEdgeLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLookupTable *GetEdgeLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeLookupTable for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtkLookupTable  *temp20;
  temp20 = (vtk_pointer)->GetEdgeLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLookupTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetVertexLookupTable vtkGraphMapperGetVertexLookupTableFunction
//input a0 
//output y
ArrayVector vtkGraphMapperGetVertexLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLookupTable *GetVertexLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexLookupTable for class vtkGraphMapper requires 1 argument(s)");
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  Array retval;
  vtkLookupTable  *temp20;
  temp20 = (vtk_pointer)->GetVertexLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLookupTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphMapper:GetBounds vtkGraphMapperGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkGraphMapperGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkGraphMapperGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGraphMapperGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGraphMapperGetBounds");
}

//@@Signature
//sfunction @vtkGraphMapper:display vtkGraphMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGraphMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGraphMapper* vtk_pointer = GetVTKPointer<vtkGraphMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGraphMapper:delete vtkGraphMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkGraphMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGraphMapper
//@@Section VTKRendering
//@@Usage
// vtkGraphMapper is a mapper to map vtkGraph 
// (and all derived classes) to graphics primitives. 
//
//To create an instance of class vtkGraphMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkGraphMapper
//@]
//@@Methods
//The class vtkGraphMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGraphMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGraphMapper = obj.NewInstance ()|
// \item @|vtkGraphMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Render (vtkRenderer ren, vtkActor act)|
// \item @|obj.SetVertexColorArrayName (string name)| -  The array to use for coloring vertices.  Default is "color".
//// \item @|string = obj.GetVertexColorArrayName ()| -  The array to use for coloring vertices.  Default is "color".
//// \item @|obj.SetColorVertices (bool vis)| -  Whether to color vertices.  Default is off.
//// \item @|bool = obj.GetColorVertices ()| -  Whether to color vertices.  Default is off.
//// \item @|obj.ColorVerticesOn ()| -  Whether to color vertices.  Default is off.
//// \item @|obj.ColorVerticesOff ()| -  Whether to color vertices.  Default is off.
//// \item @|obj.SetScaledGlyphs (bool arg)| -  Whether scaled glyphs are on or not.  Default is off.
// By default this mapper uses vertex glyphs that do not
// scale. If you turn this option on you will get circles
// at each vertex and they will scale as you zoom in/out.
//// \item @|bool = obj.GetScaledGlyphs ()| -  Whether scaled glyphs are on or not.  Default is off.
// By default this mapper uses vertex glyphs that do not
// scale. If you turn this option on you will get circles
// at each vertex and they will scale as you zoom in/out.
//// \item @|obj.ScaledGlyphsOn ()| -  Whether scaled glyphs are on or not.  Default is off.
// By default this mapper uses vertex glyphs that do not
// scale. If you turn this option on you will get circles
// at each vertex and they will scale as you zoom in/out.
//// \item @|obj.ScaledGlyphsOff ()| -  Whether scaled glyphs are on or not.  Default is off.
// By default this mapper uses vertex glyphs that do not
// scale. If you turn this option on you will get circles
// at each vertex and they will scale as you zoom in/out.
//// \item @|obj.SetScalingArrayName (string )| -  Glyph scaling array name. Default is "scale"
//// \item @|string = obj.GetScalingArrayName ()| -  Glyph scaling array name. Default is "scale"
//// \item @|obj.SetEdgeVisibility (bool vis)| -  Whether to show edges or not.  Default is on.
//// \item @|bool = obj.GetEdgeVisibility ()| -  Whether to show edges or not.  Default is on.
//// \item @|obj.EdgeVisibilityOn ()| -  Whether to show edges or not.  Default is on.
//// \item @|obj.EdgeVisibilityOff ()| -  Whether to show edges or not.  Default is on.
//// \item @|obj.SetEdgeColorArrayName (string name)| -  The array to use for coloring edges.  Default is "color".
//// \item @|string = obj.GetEdgeColorArrayName ()| -  The array to use for coloring edges.  Default is "color".
//// \item @|obj.SetColorEdges (bool vis)| -  Whether to color edges.  Default is off.
//// \item @|bool = obj.GetColorEdges ()| -  Whether to color edges.  Default is off.
//// \item @|obj.ColorEdgesOn ()| -  Whether to color edges.  Default is off.
//// \item @|obj.ColorEdgesOff ()| -  Whether to color edges.  Default is off.
//// \item @|obj.SetEnabledEdgesArrayName (string )| -  The array to use for coloring edges.  Default is "color".
//// \item @|string = obj.GetEnabledEdgesArrayName ()| -  The array to use for coloring edges.  Default is "color".
//// \item @|obj.SetEnableEdgesByArray (int )| -  Whether to enable/disable edges using array values.  Default is off.
//// \item @|int = obj.GetEnableEdgesByArray ()| -  Whether to enable/disable edges using array values.  Default is off.
//// \item @|obj.EnableEdgesByArrayOn ()| -  Whether to enable/disable edges using array values.  Default is off.
//// \item @|obj.EnableEdgesByArrayOff ()| -  Whether to enable/disable edges using array values.  Default is off.
//// \item @|obj.SetEnabledVerticesArrayName (string )| -  The array to use for coloring edges.  Default is "color".
//// \item @|string = obj.GetEnabledVerticesArrayName ()| -  The array to use for coloring edges.  Default is "color".
//// \item @|obj.SetEnableVerticesByArray (int )| -  Whether to enable/disable vertices using array values.  Default is off.
//// \item @|int = obj.GetEnableVerticesByArray ()| -  Whether to enable/disable vertices using array values.  Default is off.
//// \item @|obj.EnableVerticesByArrayOn ()| -  Whether to enable/disable vertices using array values.  Default is off.
//// \item @|obj.EnableVerticesByArrayOff ()| -  Whether to enable/disable vertices using array values.  Default is off.
//// \item @|obj.SetIconArrayName (string name)| -  The array to use for assigning icons.
//// \item @|string = obj.GetIconArrayName ()| -  The array to use for assigning icons.
//// \item @|obj.AddIconType (string type, int index)| -  Associate the icon at index "index" in the vtkTexture to all vertices
// containing "type" as a value in the vertex attribute array specified by
// IconArrayName.
//// \item @|obj.ClearIconTypes ()| -  Clear all icon mappings.
//// \item @|obj.SetIconSize (int size)| -  Specify the Width and Height, in pixels, of an icon in the icon sheet.
//// \item @|obj.SetIconAlignment (int alignment)| -  Specify where the icons should be placed in relation to the vertex.
// See vtkIconGlyphFilter.h for possible values.
//// \item @|vtkTexture = obj.GetIconTexture ()| -  The texture containing the icon sheet.
//// \item @|obj.SetIconTexture (vtkTexture texture)| -  The texture containing the icon sheet.
//// \item @|obj.SetIconVisibility (bool vis)| -  Whether to show icons.  Default is off.
//// \item @|bool = obj.GetIconVisibility ()| -  Whether to show icons.  Default is off.
//// \item @|obj.IconVisibilityOn ()| -  Whether to show icons.  Default is off.
//// \item @|obj.IconVisibilityOff ()| -  Whether to show icons.  Default is off.
//// \item @|float = obj.GetVertexPointSize ()| -  Get/Set the vertex point size
//// \item @|obj.SetVertexPointSize (float size)| -  Get/Set the vertex point size
//// \item @|float = obj.GetEdgeLineWidth ()| -  Get/Set the edge line width
//// \item @|obj.SetEdgeLineWidth (float width)| -  Get/Set the edge line width
//// \item @|obj.ApplyViewTheme (vtkViewTheme theme)| -  Apply the theme to this view.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this mapper.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|long = obj.GetMTime ()| -  Get the mtime also considering the lookup table.
//// \item @|obj.SetInput (vtkGraph input)| -  Set the Input of this mapper.
//// \item @|vtkGraph = obj.GetInput ()| -  Set the Input of this mapper.
//// \item @|double = obj.GetBounds ()| -  Return bounding box (array of six doubles) of data expressed as
// (xmin,xmax, ymin,ymax, zmin,zmax).
//// \item @|obj.GetBounds (double bounds)| -  Access to the lookup tables used by the vertex and edge mappers.
//// \item @|vtkLookupTable = obj.GetEdgeLookupTable ()| -  Access to the lookup tables used by the vertex and edge mappers.
//// \item @|vtkLookupTable = obj.GetVertexLookupTable ()| -  Access to the lookup tables used by the vertex and edge mappers.
////\end{itemize}
//!
