#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGraphToGlyphs object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGraphToGlyphs.h"

//@@Signature
//sfunction @vtkGraphToGlyphs:vtkGraphToGlyphs vtkGraphToGlyphsConstructorFunction
//input a
//output p
//@@Parents vtkGraphToGlyphs vtkPolyDataAlgorithm 
ArrayVector vtkGraphToGlyphsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGraphToGlyphs::New(),"vtkGraphToGlyphs",eval);
  } else if (arg[0].className() == "vtkGraphToGlyphs") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGraphToGlyphs"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGraphToGlyphs");
    vtkGraphToGlyphs*q = reinterpret_cast<vtkGraphToGlyphs*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGraphToGlyphs");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGraphToGlyphs:GetClassName vtkGraphToGlyphsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGraphToGlyphsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGraphToGlyphs requires 1 argument(s)");
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphToGlyphs:IsA vtkGraphToGlyphsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGraphToGlyphsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGraphToGlyphs requires 2 argument(s)");
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphToGlyphs:NewInstance vtkGraphToGlyphsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGraphToGlyphsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphToGlyphs *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGraphToGlyphs requires 1 argument(s)");
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  Array retval;
  vtkGraphToGlyphs  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphToGlyphs",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphToGlyphs:SafeDownCast vtkGraphToGlyphsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGraphToGlyphsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphToGlyphs *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGraphToGlyphs requires 2 argument(s)");
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGraphToGlyphs  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphToGlyphs",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphToGlyphs:SetGlyphType vtkGraphToGlyphsSetGlyphTypeFunction
//input a0 a1 
//output none
ArrayVector vtkGraphToGlyphsSetGlyphTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlyphType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlyphType for class vtkGraphToGlyphs requires 2 argument(s)");
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGlyphType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphToGlyphs:GetGlyphType vtkGraphToGlyphsGetGlyphTypeFunction
//input a0 
//output y
ArrayVector vtkGraphToGlyphsGetGlyphTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGlyphType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlyphType for class vtkGraphToGlyphs requires 1 argument(s)");
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGlyphType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphToGlyphs:SetFilled vtkGraphToGlyphsSetFilledFunction
//input a0 a1 
//output none
ArrayVector vtkGraphToGlyphsSetFilledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilled (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFilled for class vtkGraphToGlyphs requires 2 argument(s)");
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetFilled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphToGlyphs:GetFilled vtkGraphToGlyphsGetFilledFunction
//input a0 
//output y
ArrayVector vtkGraphToGlyphsGetFilledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetFilled (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFilled for class vtkGraphToGlyphs requires 1 argument(s)");
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetFilled();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphToGlyphs:FilledOn vtkGraphToGlyphsFilledOnFunction
//input a0 
//output none
ArrayVector vtkGraphToGlyphsFilledOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FilledOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FilledOn for class vtkGraphToGlyphs requires 1 argument(s)");
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  Array retval;
  vtk_pointer->FilledOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphToGlyphs:FilledOff vtkGraphToGlyphsFilledOffFunction
//input a0 
//output none
ArrayVector vtkGraphToGlyphsFilledOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FilledOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FilledOff for class vtkGraphToGlyphs requires 1 argument(s)");
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  Array retval;
  vtk_pointer->FilledOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphToGlyphs:SetScreenSize vtkGraphToGlyphsSetScreenSizeFunction
//input a0 a1 
//output none
ArrayVector vtkGraphToGlyphsSetScreenSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScreenSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScreenSize for class vtkGraphToGlyphs requires 2 argument(s)");
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScreenSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphToGlyphs:GetScreenSize vtkGraphToGlyphsGetScreenSizeFunction
//input a0 
//output y
ArrayVector vtkGraphToGlyphsGetScreenSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScreenSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScreenSize for class vtkGraphToGlyphs requires 1 argument(s)");
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScreenSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphToGlyphs:SetRenderer vtkGraphToGlyphsSetRendererFunction
//input a0 a1 
//output none
ArrayVector vtkGraphToGlyphsSetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRenderer (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderer for class vtkGraphToGlyphs requires 2 argument(s)");
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphToGlyphs:GetRenderer vtkGraphToGlyphsGetRendererFunction
//input a0 
//output y
ArrayVector vtkGraphToGlyphsGetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkRenderer *GetRenderer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderer for class vtkGraphToGlyphs requires 1 argument(s)");
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetRenderer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphToGlyphs:SetScaling vtkGraphToGlyphsSetScalingFunction
//input a0 a1 
//output none
ArrayVector vtkGraphToGlyphsSetScalingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetScaling (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaling for class vtkGraphToGlyphs requires 2 argument(s)");
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetScaling(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphToGlyphs:GetScaling vtkGraphToGlyphsGetScalingFunction
//input a0 
//output y
ArrayVector vtkGraphToGlyphsGetScalingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetScaling (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaling for class vtkGraphToGlyphs requires 1 argument(s)");
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetScaling();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphToGlyphs:GetMTime vtkGraphToGlyphsGetMTimeFunction
//input a0 
//output y
ArrayVector vtkGraphToGlyphsGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkGraphToGlyphs requires 1 argument(s)");
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphToGlyphs:display vtkGraphToGlyphsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGraphToGlyphsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGraphToGlyphs* vtk_pointer = GetVTKPointer<vtkGraphToGlyphs>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGraphToGlyphs:delete vtkGraphToGlyphsDeleteFunction
//input varargin
//output none
ArrayVector vtkGraphToGlyphsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGraphToGlyphs
//@@Section VTKRendering
//@@Usage
// Converts a vtkGraph to a vtkPolyData containing a glyph for each vertex.
// This assumes that the points
// of the graph have already been filled (perhaps by vtkGraphLayout).
// The glyphs will automatically be scaled to be the same size in screen
// coordinates. To do this the filter requires a pointer to the renderer
// into which the glyphs will be rendered.
//
//To create an instance of class vtkGraphToGlyphs, simply
//invoke its constructor as follows
//@[
//  obj = vtkGraphToGlyphs
//@]
//@@Methods
//The class vtkGraphToGlyphs has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGraphToGlyphs class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGraphToGlyphs = obj.NewInstance ()|
// \item @|vtkGraphToGlyphs = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGlyphType (int )| -  The glyph type, specified as one of the enumerated values in this
// class. VERTEX is a special glyph that cannot be scaled, but instead
// is rendered as an OpenGL vertex primitive. This may appear as a box
// or circle depending on the hardware.
//// \item @|int = obj.GetGlyphType ()| -  The glyph type, specified as one of the enumerated values in this
// class. VERTEX is a special glyph that cannot be scaled, but instead
// is rendered as an OpenGL vertex primitive. This may appear as a box
// or circle depending on the hardware.
//// \item @|obj.SetFilled (bool )| -  Whether to fill the glyph, or to just render the outline.
//// \item @|bool = obj.GetFilled ()| -  Whether to fill the glyph, or to just render the outline.
//// \item @|obj.FilledOn ()| -  Whether to fill the glyph, or to just render the outline.
//// \item @|obj.FilledOff ()| -  Whether to fill the glyph, or to just render the outline.
//// \item @|obj.SetScreenSize (double )| -  Set the desired screen size of each glyph. If you are using scaling,
// this will be the size of the glyph when rendering an object with
// scaling value 1.0.
//// \item @|double = obj.GetScreenSize ()| -  Set the desired screen size of each glyph. If you are using scaling,
// this will be the size of the glyph when rendering an object with
// scaling value 1.0.
//// \item @|obj.SetRenderer (vtkRenderer ren)| -  The renderer in which the glyphs will be placed.
//// \item @|vtkRenderer = obj.GetRenderer ()| -  The renderer in which the glyphs will be placed.
//// \item @|obj.SetScaling (bool b)| -  Whether to use the input array to process in order to scale the
// vertices.
//// \item @|bool = obj.GetScaling ()| -  Whether to use the input array to process in order to scale the
// vertices.
//// \item @|long = obj.GetMTime ()| -  The modified time of this filter.
////\end{itemize}
//!
