#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGraphicsFactory object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGraphicsFactory.h"

//@@Signature
//sfunction @vtkGraphicsFactory:vtkGraphicsFactory vtkGraphicsFactoryConstructorFunction
//input a
//output p
//@@Parents vtkGraphicsFactory vtkObject 
ArrayVector vtkGraphicsFactoryConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGraphicsFactory::New(),"vtkGraphicsFactory",eval);
  } else if (arg[0].className() == "vtkGraphicsFactory") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGraphicsFactory"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGraphicsFactory");
    vtkGraphicsFactory*q = reinterpret_cast<vtkGraphicsFactory*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGraphicsFactory");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGraphicsFactory:GetClassName vtkGraphicsFactoryGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGraphicsFactoryGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGraphicsFactory requires 1 argument(s)");
  vtkGraphicsFactory* vtk_pointer = GetVTKPointer<vtkGraphicsFactory>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphicsFactory:IsA vtkGraphicsFactoryIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGraphicsFactoryIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGraphicsFactory requires 2 argument(s)");
  vtkGraphicsFactory* vtk_pointer = GetVTKPointer<vtkGraphicsFactory>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphicsFactory:NewInstance vtkGraphicsFactoryNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGraphicsFactoryNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphicsFactory *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGraphicsFactory requires 1 argument(s)");
  vtkGraphicsFactory* vtk_pointer = GetVTKPointer<vtkGraphicsFactory>(arg[0]);
  Array retval;
  vtkGraphicsFactory  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphicsFactory",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphicsFactory:SafeDownCast vtkGraphicsFactorySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGraphicsFactorySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphicsFactory *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGraphicsFactory requires 2 argument(s)");
  vtkGraphicsFactory* vtk_pointer = GetVTKPointer<vtkGraphicsFactory>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGraphicsFactory  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphicsFactory",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphicsFactory:CreateInstance vtkGraphicsFactoryCreateInstanceFunction
//input a0 a1 
//output y
ArrayVector vtkGraphicsFactoryCreateInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkObject *CreateInstance (const char *vtkclassname); */
  if (arg.size() < 2) 
    throw Exception("Function CreateInstance for class vtkGraphicsFactory requires 2 argument(s)");
  vtkGraphicsFactory* vtk_pointer = GetVTKPointer<vtkGraphicsFactory>(arg[0]);
  Array retval;
  char    *temp0;
  vtkObject  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CreateInstance(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphicsFactory:GetRenderLibrary vtkGraphicsFactoryGetRenderLibraryFunction
//input a0 
//output y
ArrayVector vtkGraphicsFactoryGetRenderLibraryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetRenderLibrary (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderLibrary for class vtkGraphicsFactory requires 1 argument(s)");
  vtkGraphicsFactory* vtk_pointer = GetVTKPointer<vtkGraphicsFactory>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetRenderLibrary();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphicsFactory:SetUseMesaClasses vtkGraphicsFactorySetUseMesaClassesFunction
//input a0 a1 
//output none
ArrayVector vtkGraphicsFactorySetUseMesaClassesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetUseMesaClasses (int use); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseMesaClasses for class vtkGraphicsFactory requires 2 argument(s)");
  vtkGraphicsFactory* vtk_pointer = GetVTKPointer<vtkGraphicsFactory>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseMesaClasses(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphicsFactory:GetUseMesaClasses vtkGraphicsFactoryGetUseMesaClassesFunction
//input a0 
//output y
ArrayVector vtkGraphicsFactoryGetUseMesaClassesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetUseMesaClasses (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseMesaClasses for class vtkGraphicsFactory requires 1 argument(s)");
  vtkGraphicsFactory* vtk_pointer = GetVTKPointer<vtkGraphicsFactory>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseMesaClasses();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphicsFactory:SetOffScreenOnlyMode vtkGraphicsFactorySetOffScreenOnlyModeFunction
//input a0 a1 
//output none
ArrayVector vtkGraphicsFactorySetOffScreenOnlyModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetOffScreenOnlyMode (int use); */
  if (arg.size() < 2) 
    throw Exception("Function SetOffScreenOnlyMode for class vtkGraphicsFactory requires 2 argument(s)");
  vtkGraphicsFactory* vtk_pointer = GetVTKPointer<vtkGraphicsFactory>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOffScreenOnlyMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphicsFactory:GetOffScreenOnlyMode vtkGraphicsFactoryGetOffScreenOnlyModeFunction
//input a0 
//output y
ArrayVector vtkGraphicsFactoryGetOffScreenOnlyModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetOffScreenOnlyMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffScreenOnlyMode for class vtkGraphicsFactory requires 1 argument(s)");
  vtkGraphicsFactory* vtk_pointer = GetVTKPointer<vtkGraphicsFactory>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOffScreenOnlyMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphicsFactory:display vtkGraphicsFactoryDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGraphicsFactoryDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGraphicsFactory* vtk_pointer = GetVTKPointer<vtkGraphicsFactory>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGraphicsFactory:delete vtkGraphicsFactoryDeleteFunction
//input varargin
//output none
ArrayVector vtkGraphicsFactoryDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGraphicsFactory
//@@Section VTKRendering
//@@Usage
//
//To create an instance of class vtkGraphicsFactory, simply
//invoke its constructor as follows
//@[
//  obj = vtkGraphicsFactory
//@]
//@@Methods
//The class vtkGraphicsFactory has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGraphicsFactory class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGraphicsFactory = obj.NewInstance ()|
// \item @|vtkGraphicsFactory = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
