#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHardwareSelectionPolyDataPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHardwareSelectionPolyDataPainter.h"

//@@Signature
//sfunction @vtkHardwareSelectionPolyDataPainter:vtkHardwareSelectionPolyDataPainter vtkHardwareSelectionPolyDataPainterConstructorFunction
//input a
//output p
//@@Parents vtkHardwareSelectionPolyDataPainter vtkStandardPolyDataPainter 
ArrayVector vtkHardwareSelectionPolyDataPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHardwareSelectionPolyDataPainter::New(),"vtkHardwareSelectionPolyDataPainter",eval);
  } else if (arg[0].className() == "vtkHardwareSelectionPolyDataPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHardwareSelectionPolyDataPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHardwareSelectionPolyDataPainter");
    vtkHardwareSelectionPolyDataPainter*q = reinterpret_cast<vtkHardwareSelectionPolyDataPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHardwareSelectionPolyDataPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHardwareSelectionPolyDataPainter:GetClassName vtkHardwareSelectionPolyDataPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHardwareSelectionPolyDataPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHardwareSelectionPolyDataPainter requires 1 argument(s)");
  vtkHardwareSelectionPolyDataPainter* vtk_pointer = GetVTKPointer<vtkHardwareSelectionPolyDataPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelectionPolyDataPainter:IsA vtkHardwareSelectionPolyDataPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHardwareSelectionPolyDataPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHardwareSelectionPolyDataPainter requires 2 argument(s)");
  vtkHardwareSelectionPolyDataPainter* vtk_pointer = GetVTKPointer<vtkHardwareSelectionPolyDataPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelectionPolyDataPainter:NewInstance vtkHardwareSelectionPolyDataPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHardwareSelectionPolyDataPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHardwareSelectionPolyDataPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHardwareSelectionPolyDataPainter requires 1 argument(s)");
  vtkHardwareSelectionPolyDataPainter* vtk_pointer = GetVTKPointer<vtkHardwareSelectionPolyDataPainter>(arg[0]);
  Array retval;
  vtkHardwareSelectionPolyDataPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHardwareSelectionPolyDataPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelectionPolyDataPainter:SafeDownCast vtkHardwareSelectionPolyDataPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHardwareSelectionPolyDataPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHardwareSelectionPolyDataPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHardwareSelectionPolyDataPainter requires 2 argument(s)");
  vtkHardwareSelectionPolyDataPainter* vtk_pointer = GetVTKPointer<vtkHardwareSelectionPolyDataPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHardwareSelectionPolyDataPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHardwareSelectionPolyDataPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelectionPolyDataPainter:SetEnableSelection vtkHardwareSelectionPolyDataPainterSetEnableSelectionFunction
//input a0 a1 
//output none
ArrayVector vtkHardwareSelectionPolyDataPainterSetEnableSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnableSelection (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnableSelection for class vtkHardwareSelectionPolyDataPainter requires 2 argument(s)");
  vtkHardwareSelectionPolyDataPainter* vtk_pointer = GetVTKPointer<vtkHardwareSelectionPolyDataPainter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnableSelection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelectionPolyDataPainter:GetEnableSelection vtkHardwareSelectionPolyDataPainterGetEnableSelectionFunction
//input a0 
//output y
ArrayVector vtkHardwareSelectionPolyDataPainterGetEnableSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEnableSelection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnableSelection for class vtkHardwareSelectionPolyDataPainter requires 1 argument(s)");
  vtkHardwareSelectionPolyDataPainter* vtk_pointer = GetVTKPointer<vtkHardwareSelectionPolyDataPainter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEnableSelection();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelectionPolyDataPainter:EnableSelectionOn vtkHardwareSelectionPolyDataPainterEnableSelectionOnFunction
//input a0 
//output none
ArrayVector vtkHardwareSelectionPolyDataPainterEnableSelectionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableSelectionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableSelectionOn for class vtkHardwareSelectionPolyDataPainter requires 1 argument(s)");
  vtkHardwareSelectionPolyDataPainter* vtk_pointer = GetVTKPointer<vtkHardwareSelectionPolyDataPainter>(arg[0]);
  Array retval;
  vtk_pointer->EnableSelectionOn();
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelectionPolyDataPainter:EnableSelectionOff vtkHardwareSelectionPolyDataPainterEnableSelectionOffFunction
//input a0 
//output none
ArrayVector vtkHardwareSelectionPolyDataPainterEnableSelectionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableSelectionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableSelectionOff for class vtkHardwareSelectionPolyDataPainter requires 1 argument(s)");
  vtkHardwareSelectionPolyDataPainter* vtk_pointer = GetVTKPointer<vtkHardwareSelectionPolyDataPainter>(arg[0]);
  Array retval;
  vtk_pointer->EnableSelectionOff();
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelectionPolyDataPainter:display vtkHardwareSelectionPolyDataPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHardwareSelectionPolyDataPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHardwareSelectionPolyDataPainter* vtk_pointer = GetVTKPointer<vtkHardwareSelectionPolyDataPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHardwareSelectionPolyDataPainter:delete vtkHardwareSelectionPolyDataPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkHardwareSelectionPolyDataPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHardwareSelectionPolyDataPainter
//@@Section VTKRendering
//@@Usage
// vtkHardwareSelectionPolyDataPainter is a painter for polydata used when
// rendering hardware selection passes.
//
//To create an instance of class vtkHardwareSelectionPolyDataPainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkHardwareSelectionPolyDataPainter
//@]
//@@Methods
//The class vtkHardwareSelectionPolyDataPainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHardwareSelectionPolyDataPainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHardwareSelectionPolyDataPainter = obj.NewInstance ()|
// \item @|vtkHardwareSelectionPolyDataPainter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetEnableSelection (int )| -  Enable/Disable vtkHardwareSelector class. Useful when using this painter as
// an internal painter. Default is enabled.
//// \item @|int = obj.GetEnableSelection ()| -  Enable/Disable vtkHardwareSelector class. Useful when using this painter as
// an internal painter. Default is enabled.
//// \item @|obj.EnableSelectionOn ()| -  Enable/Disable vtkHardwareSelector class. Useful when using this painter as
// an internal painter. Default is enabled.
//// \item @|obj.EnableSelectionOff ()| -  Enable/Disable vtkHardwareSelector class. Useful when using this painter as
// an internal painter. Default is enabled.
////\end{itemize}
//!
