#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHardwareSelector object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHardwareSelector.h"

//@@Signature
//sfunction @vtkHardwareSelector:vtkHardwareSelector vtkHardwareSelectorConstructorFunction
//input a
//output p
//@@Parents vtkHardwareSelector vtkObject 
ArrayVector vtkHardwareSelectorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHardwareSelector::New(),"vtkHardwareSelector",eval);
  } else if (arg[0].className() == "vtkHardwareSelector") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHardwareSelector"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHardwareSelector");
    vtkHardwareSelector*q = reinterpret_cast<vtkHardwareSelector*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHardwareSelector");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHardwareSelector:GetClassName vtkHardwareSelectorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHardwareSelectorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHardwareSelector requires 1 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:IsA vtkHardwareSelectorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHardwareSelectorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHardwareSelector requires 2 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:NewInstance vtkHardwareSelectorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHardwareSelectorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHardwareSelector *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHardwareSelector requires 1 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  vtkHardwareSelector  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHardwareSelector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:SafeDownCast vtkHardwareSelectorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHardwareSelectorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHardwareSelector *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHardwareSelector requires 2 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHardwareSelector  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHardwareSelector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:SetRenderer vtkHardwareSelectorSetRendererFunction
//input a0 a1 
//output none
ArrayVector vtkHardwareSelectorSetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRenderer (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderer for class vtkHardwareSelector requires 2 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:GetRenderer vtkHardwareSelectorGetRendererFunction
//input a0 
//output y
ArrayVector vtkHardwareSelectorGetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetRenderer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderer for class vtkHardwareSelector requires 1 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetRenderer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:SetArea__1 vtkHardwareSelectorSetArea__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkHardwareSelectorSetArea__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArea (unsigned int , unsigned int , unsigned int , unsigned int ); */
  if (arg.size() < 5) 
    throw Exception("Function SetArea__1 for class vtkHardwareSelector requires 5 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp2;
  unsigned int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (unsigned int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (unsigned int) arg[4].asDouble();
  vtk_pointer->SetArea(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:SetArea__2 vtkHardwareSelectorSetArea__2Function
//input a0 a1 
//output none
ArrayVector vtkHardwareSelectorSetArea__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArea (unsigned int  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetArea__2 for class vtkHardwareSelector requires 2 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  unsigned int    temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned int)data[k+1];
  }
  vtk_pointer->SetArea(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:GetArea vtkHardwareSelectorGetAreaFunction
//input a0 
//output y
ArrayVector vtkHardwareSelectorGetAreaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int  *GetArea (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArea for class vtkHardwareSelector requires 1 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  unsigned int     *temp20;
  temp20 = (vtk_pointer)->GetArea();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:SetFieldAssociation vtkHardwareSelectorSetFieldAssociationFunction
//input a0 a1 
//output none
ArrayVector vtkHardwareSelectorSetFieldAssociationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldAssociation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldAssociation for class vtkHardwareSelector requires 2 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFieldAssociation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:GetFieldAssociation vtkHardwareSelectorGetFieldAssociationFunction
//input a0 
//output y
ArrayVector vtkHardwareSelectorGetFieldAssociationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldAssociation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldAssociation for class vtkHardwareSelector requires 1 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldAssociation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:Select vtkHardwareSelectorSelectFunction
//input a0 
//output y
ArrayVector vtkHardwareSelectorSelectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelection *Select (); */
  if (arg.size() < 1) 
    throw Exception("Function Select for class vtkHardwareSelector requires 1 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  vtkSelection  *temp20;
  temp20 = (vtk_pointer)->Select();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:CaptureBuffers vtkHardwareSelectorCaptureBuffersFunction
//input a0 
//output y
ArrayVector vtkHardwareSelectorCaptureBuffersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool CaptureBuffers (); */
  if (arg.size() < 1) 
    throw Exception("Function CaptureBuffers for class vtkHardwareSelector requires 1 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->CaptureBuffers();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:ClearBuffers vtkHardwareSelectorClearBuffersFunction
//input a0 
//output none
ArrayVector vtkHardwareSelectorClearBuffersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearBuffers ();this ReleasePixBuffers  */
  if (arg.size() < 1) 
    throw Exception("Function ClearBuffers for class vtkHardwareSelector requires 1 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  vtk_pointer->ClearBuffers();
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:RenderAttributeId vtkHardwareSelectorRenderAttributeIdFunction
//input a0 a1 
//output none
ArrayVector vtkHardwareSelectorRenderAttributeIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderAttributeId (vtkIdType attribid); */
  if (arg.size() < 2) 
    throw Exception("Function RenderAttributeId for class vtkHardwareSelector requires 2 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RenderAttributeId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:BeginRenderProp vtkHardwareSelectorBeginRenderPropFunction
//input a0 
//output none
ArrayVector vtkHardwareSelectorBeginRenderPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BeginRenderProp (); */
  if (arg.size() < 1) 
    throw Exception("Function BeginRenderProp for class vtkHardwareSelector requires 1 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  vtk_pointer->BeginRenderProp();
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:EndRenderProp vtkHardwareSelectorEndRenderPropFunction
//input a0 
//output none
ArrayVector vtkHardwareSelectorEndRenderPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EndRenderProp (); */
  if (arg.size() < 1) 
    throw Exception("Function EndRenderProp for class vtkHardwareSelector requires 1 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  vtk_pointer->EndRenderProp();
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:SetProcessID vtkHardwareSelectorSetProcessIDFunction
//input a0 a1 
//output none
ArrayVector vtkHardwareSelectorSetProcessIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProcessID (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProcessID for class vtkHardwareSelector requires 2 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProcessID(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:GetProcessID vtkHardwareSelectorGetProcessIDFunction
//input a0 
//output y
ArrayVector vtkHardwareSelectorGetProcessIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProcessID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProcessID for class vtkHardwareSelector requires 1 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProcessID();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:GetCurrentPass vtkHardwareSelectorGetCurrentPassFunction
//input a0 
//output y
ArrayVector vtkHardwareSelectorGetCurrentPassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCurrentPass (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentPass for class vtkHardwareSelector requires 1 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCurrentPass();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:GenerateSelection__1 vtkHardwareSelectorGenerateSelection__1Function
//input a0 
//output y
ArrayVector vtkHardwareSelectorGenerateSelection__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkSelection *GenerateSelection ();return GenerateSelection this Area  */
  if (arg.size() < 1) 
    throw Exception("Function GenerateSelection__1 for class vtkHardwareSelector requires 1 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  vtkSelection  *temp20;
  temp20 = (vtk_pointer)->GenerateSelection();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:GenerateSelection__2 vtkHardwareSelectorGenerateSelection__2Function
//input a0 a1 
//output y
ArrayVector vtkHardwareSelectorGenerateSelection__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkSelection *GenerateSelection (unsigned int r[4]);return GenerateSelection r r r r  */
  if (arg.size() < 2) 
    throw Exception("Function GenerateSelection__2 for class vtkHardwareSelector requires 2 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  unsigned int    temp0[4];
  vtkSelection  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned int)data[k+1];
  }
  temp20 = (vtk_pointer)->GenerateSelection(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:GenerateSelection__3 vtkHardwareSelectorGenerateSelection__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkHardwareSelectorGenerateSelection__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkSelection *GenerateSelection (unsigned int x1, unsigned int y1, unsigned int x2, unsigned int y2); */
  if (arg.size() < 5) 
    throw Exception("Function GenerateSelection__3 for class vtkHardwareSelector requires 5 argument(s)");
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp2;
  unsigned int      temp3;
  vtkSelection  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (unsigned int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (unsigned int) arg[4].asDouble();
  temp20 = (vtk_pointer)->GenerateSelection(temp0,temp1,temp2,temp3);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHardwareSelector:SetArea vtkHardwareSelectorSetAreaFunction
//input varargin
//output varargout
ArrayVector vtkHardwareSelectorSetAreaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkHardwareSelectorSetArea__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkHardwareSelectorSetArea__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHardwareSelectorSetArea");
}

//@@Signature
//sfunction @vtkHardwareSelector:GetPixelInformation vtkHardwareSelectorGetPixelInformationFunction
//input varargin
//output varargout
ArrayVector vtkHardwareSelectorGetPixelInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkHardwareSelectorGetPixelInformation");
}

//@@Signature
//sfunction @vtkHardwareSelector:GenerateSelection vtkHardwareSelectorGenerateSelectionFunction
//input varargin
//output varargout
ArrayVector vtkHardwareSelectorGenerateSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkHardwareSelectorGenerateSelection__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkHardwareSelectorGenerateSelection__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkHardwareSelectorGenerateSelection__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHardwareSelectorGenerateSelection");
}

//@@Signature
//sfunction @vtkHardwareSelector:display vtkHardwareSelectorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHardwareSelectorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHardwareSelector* vtk_pointer = GetVTKPointer<vtkHardwareSelector>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHardwareSelector:delete vtkHardwareSelectorDeleteFunction
//input varargin
//output none
ArrayVector vtkHardwareSelectorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHardwareSelector
//@@Section VTKRendering
//@@Usage
// vtkHardwareSelector is a helper that orchestrates color buffer based
// selection. This relies on OpenGL. 
// vtkHardwareSelector can be used to select visible cells or points within a
// given rectangle of the RenderWindow.
// To use it, call in order:
// \li SetRenderer() - to select the renderer in which we
// want to select the cells/points.
// \li SetArea() - to set the rectangular region in the render window to select
// in.
// \li SetFieldAssociation() -  to select the attribute to select i.e.
// cells/points etc. 
// \li Finally, call Select().
// Select will cause the attached vtkRenderer to render in a special color mode,
// where each cell/point is given it own color so that later inspection of the 
// Rendered Pixels can determine what cells are visible. Select() returns a new
// vtkSelection instance with the cells/points selected.
//
// Limitations:
// Antialiasing will break this class. If your graphics card settings force
// their use this class will return invalid results.
//
// Currently only cells from PolyDataMappers can be selected from. When 
// vtkRenderer::Selector is non-null vtkPainterPolyDataMapper uses the
// vtkHardwareSelectionPolyDataPainter which make appropriate calls to
// BeginRenderProp(), EndRenderProp(), RenderAttributeId() to render colors
// correctly. Until alternatives to vtkHardwareSelectionPolyDataPainter
// exist that can do a similar coloration of other vtkDataSet types, only
// polygonal data can be selected. If you need to select other data types,
// consider using vtkDataSetMapper and turning on it's PassThroughCellIds 
// feature, or using vtkFrustumExtractor.
//
// Only Opaque geometry in Actors is selected from. Assemblies and LODMappers 
// are not currently supported. 
//
// During selection, visible datasets that can not be selected from are
// temporarily hidden so as not to produce invalid indices from their colors.
//
//
//To create an instance of class vtkHardwareSelector, simply
//invoke its constructor as follows
//@[
//  obj = vtkHardwareSelector
//@]
//@@Methods
//The class vtkHardwareSelector has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHardwareSelector class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHardwareSelector = obj.NewInstance ()|
// \item @|vtkHardwareSelector = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRenderer (vtkRenderer )| -  Get/Set the renderer to perform the selection on.
//// \item @|vtkRenderer = obj.GetRenderer ()| -  Get/Set the renderer to perform the selection on.
//// \item @|obj.SetArea (int , int , int , int )| -  Get/Set the area to select as (xmin, ymin, xmax, ymax).
//// \item @|obj.SetArea (int  a[4])| -  Get/Set the area to select as (xmin, ymin, xmax, ymax).
//// \item @|int = obj. GetArea ()| -  Get/Set the area to select as (xmin, ymin, xmax, ymax).
//// \item @|obj.SetFieldAssociation (int )| -  Set the field type to select. Valid values are 
// \li vtkDataObject::FIELD_ASSOCIATION_POINTS
// \li vtkDataObject::FIELD_ASSOCIATION_CELLS
// \li vtkDataObject::FIELD_ASSOCIATION_VERTICES
// \li vtkDataObject::FIELD_ASSOCIATION_EDGES
// \li vtkDataObject::FIELD_ASSOCIATION_ROWS
// Currently only FIELD_ASSOCIATION_POINTS and FIELD_ASSOCIATION_CELLS are
// supported.
//// \item @|int = obj.GetFieldAssociation ()| -  Set the field type to select. Valid values are 
// \li vtkDataObject::FIELD_ASSOCIATION_POINTS
// \li vtkDataObject::FIELD_ASSOCIATION_CELLS
// \li vtkDataObject::FIELD_ASSOCIATION_VERTICES
// \li vtkDataObject::FIELD_ASSOCIATION_EDGES
// \li vtkDataObject::FIELD_ASSOCIATION_ROWS
// Currently only FIELD_ASSOCIATION_POINTS and FIELD_ASSOCIATION_CELLS are
// supported.
//// \item @|vtkSelection = obj.Select ()| -  Perform the selection. Returns  a new instance of vtkSelection containing
// the selection on success.
//// \item @|bool = obj.CaptureBuffers ()| -  It is possible to use the vtkHardwareSelector for a custom picking. (Look
// at vtkScenePicker). In that case instead of Select() on can use
// CaptureBuffers() to render the selection buffers and then get information
// about pixel locations suing GetPixelInformation(). Use ClearBuffers() to
// clear buffers after one's done with the scene.
// The optional final parameter maxDist will look for a cell within the specified
// number of pixels from display_position.
//// \item @|obj.ClearBuffers ()| -  Called by any vtkMapper or vtkProp subclass to render an attribute's id.
//// \item @|obj.RenderAttributeId (vtkIdType attribid)| -  Called by any vtkMapper or vtkProp subclass to render an attribute's id.
//// \item @|obj.BeginRenderProp ()| -  Called by the mapper (vtkHardwareSelectionPolyDataPainter) before and after
// rendering each prop.
//// \item @|obj.EndRenderProp ()| -  Called by the mapper (vtkHardwareSelectionPolyDataPainter) before and after
// rendering each prop.
//// \item @|obj.SetProcessID (int )| -  Get/Set the process id. If process id < 0 (default -1), then the
// PROCESS_PASS is not rendered.
//// \item @|int = obj.GetProcessID ()| -  Get/Set the process id. If process id < 0 (default -1), then the
// PROCESS_PASS is not rendered.
//// \item @|int = obj.GetCurrentPass ()| -  Get the current pass number.
//// \item @|vtkSelection = obj.GenerateSelection ()| -  Generates the vtkSelection from pixel buffers.
// Requires that CaptureBuffers() has already been called.
// Optionally you may pass a screen region (xmin, ymin, xmax, ymax)
// to generate a selection from. The region must be a subregion
// of the region specified by SetArea(), otherwise it will be
// clipped to that region.
//// \item @|vtkSelection = obj.GenerateSelection (int r[4])| -  Generates the vtkSelection from pixel buffers.
// Requires that CaptureBuffers() has already been called.
// Optionally you may pass a screen region (xmin, ymin, xmax, ymax)
// to generate a selection from. The region must be a subregion
// of the region specified by SetArea(), otherwise it will be
// clipped to that region.
//// \item @|vtkSelection = obj.GenerateSelection (int x1, int y1, int x2, int y2)| -  Generates the vtkSelection from pixel buffers.
// Requires that CaptureBuffers() has already been called.
// Optionally you may pass a screen region (xmin, ymin, xmax, ymax)
// to generate a selection from. The region must be a subregion
// of the region specified by SetArea(), otherwise it will be
// clipped to that region.
////\end{itemize}
//!
