#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHierarchicalPolyDataMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHierarchicalPolyDataMapper.h"

//@@Signature
//sfunction @vtkHierarchicalPolyDataMapper:vtkHierarchicalPolyDataMapper vtkHierarchicalPolyDataMapperConstructorFunction
//input a
//output p
//@@Parents vtkHierarchicalPolyDataMapper vtkCompositePolyDataMapper 
ArrayVector vtkHierarchicalPolyDataMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHierarchicalPolyDataMapper::New(),"vtkHierarchicalPolyDataMapper",eval);
  } else if (arg[0].className() == "vtkHierarchicalPolyDataMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHierarchicalPolyDataMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHierarchicalPolyDataMapper");
    vtkHierarchicalPolyDataMapper*q = reinterpret_cast<vtkHierarchicalPolyDataMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHierarchicalPolyDataMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHierarchicalPolyDataMapper:GetClassName vtkHierarchicalPolyDataMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHierarchicalPolyDataMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHierarchicalPolyDataMapper requires 1 argument(s)");
  vtkHierarchicalPolyDataMapper* vtk_pointer = GetVTKPointer<vtkHierarchicalPolyDataMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalPolyDataMapper:IsA vtkHierarchicalPolyDataMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalPolyDataMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHierarchicalPolyDataMapper requires 2 argument(s)");
  vtkHierarchicalPolyDataMapper* vtk_pointer = GetVTKPointer<vtkHierarchicalPolyDataMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalPolyDataMapper:NewInstance vtkHierarchicalPolyDataMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHierarchicalPolyDataMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalPolyDataMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHierarchicalPolyDataMapper requires 1 argument(s)");
  vtkHierarchicalPolyDataMapper* vtk_pointer = GetVTKPointer<vtkHierarchicalPolyDataMapper>(arg[0]);
  Array retval;
  vtkHierarchicalPolyDataMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalPolyDataMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalPolyDataMapper:SafeDownCast vtkHierarchicalPolyDataMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalPolyDataMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalPolyDataMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHierarchicalPolyDataMapper requires 2 argument(s)");
  vtkHierarchicalPolyDataMapper* vtk_pointer = GetVTKPointer<vtkHierarchicalPolyDataMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHierarchicalPolyDataMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalPolyDataMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalPolyDataMapper:display vtkHierarchicalPolyDataMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHierarchicalPolyDataMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHierarchicalPolyDataMapper* vtk_pointer = GetVTKPointer<vtkHierarchicalPolyDataMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHierarchicalPolyDataMapper:delete vtkHierarchicalPolyDataMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkHierarchicalPolyDataMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHierarchicalPolyDataMapper
//@@Section VTKRendering
//@@Usage
// Legacy class. Use vtkCompositePolyDataMapper instead.
//
//
//To create an instance of class vtkHierarchicalPolyDataMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkHierarchicalPolyDataMapper
//@]
//@@Methods
//The class vtkHierarchicalPolyDataMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHierarchicalPolyDataMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHierarchicalPolyDataMapper = obj.NewInstance ()|
// \item @|vtkHierarchicalPolyDataMapper = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
