#include "VTKWrap.hpp"

// FreeMat wrapper for vtkIVExporter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkIVExporter.h"

//@@Signature
//sfunction @vtkIVExporter:vtkIVExporter vtkIVExporterConstructorFunction
//input a
//output p
//@@Parents vtkIVExporter vtkExporter 
ArrayVector vtkIVExporterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkIVExporter::New(),"vtkIVExporter",eval);
  } else if (arg[0].className() == "vtkIVExporter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkIVExporter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkIVExporter");
    vtkIVExporter*q = reinterpret_cast<vtkIVExporter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkIVExporter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkIVExporter:GetClassName vtkIVExporterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkIVExporterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkIVExporter requires 1 argument(s)");
  vtkIVExporter* vtk_pointer = GetVTKPointer<vtkIVExporter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIVExporter:IsA vtkIVExporterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkIVExporterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkIVExporter requires 2 argument(s)");
  vtkIVExporter* vtk_pointer = GetVTKPointer<vtkIVExporter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIVExporter:NewInstance vtkIVExporterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkIVExporterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIVExporter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkIVExporter requires 1 argument(s)");
  vtkIVExporter* vtk_pointer = GetVTKPointer<vtkIVExporter>(arg[0]);
  Array retval;
  vtkIVExporter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIVExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIVExporter:SafeDownCast vtkIVExporterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkIVExporterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIVExporter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkIVExporter requires 2 argument(s)");
  vtkIVExporter* vtk_pointer = GetVTKPointer<vtkIVExporter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkIVExporter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIVExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIVExporter:SetFileName vtkIVExporterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkIVExporterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkIVExporter requires 2 argument(s)");
  vtkIVExporter* vtk_pointer = GetVTKPointer<vtkIVExporter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIVExporter:GetFileName vtkIVExporterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkIVExporterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkIVExporter requires 1 argument(s)");
  vtkIVExporter* vtk_pointer = GetVTKPointer<vtkIVExporter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIVExporter:display vtkIVExporterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkIVExporterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkIVExporter* vtk_pointer = GetVTKPointer<vtkIVExporter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkIVExporter:delete vtkIVExporterDeleteFunction
//input varargin
//output none
ArrayVector vtkIVExporterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkIVExporter
//@@Section VTKRendering
//@@Usage
// vtkIVExporter is a concrete subclass of vtkExporter that writes
// OpenInventor 2.0 files.
//
//
//To create an instance of class vtkIVExporter, simply
//invoke its constructor as follows
//@[
//  obj = vtkIVExporter
//@]
//@@Methods
//The class vtkIVExporter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkIVExporter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkIVExporter = obj.NewInstance ()|
// \item @|vtkIVExporter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify the name of the OpenInventor file to write.
//// \item @|string = obj.GetFileName ()| -  Specify the name of the OpenInventor file to write.
////\end{itemize}
//!
