#include "VTKWrap.hpp"

// FreeMat wrapper for vtkIdentColoredPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkIdentColoredPainter.h"

//@@Signature
//sfunction @vtkIdentColoredPainter:vtkIdentColoredPainter vtkIdentColoredPainterConstructorFunction
//input a
//output p
//@@Parents vtkIdentColoredPainter vtkPolyDataPainter 
ArrayVector vtkIdentColoredPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkIdentColoredPainter::New(),"vtkIdentColoredPainter",eval);
  } else if (arg[0].className() == "vtkIdentColoredPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkIdentColoredPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkIdentColoredPainter");
    vtkIdentColoredPainter*q = reinterpret_cast<vtkIdentColoredPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkIdentColoredPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkIdentColoredPainter:GetClassName vtkIdentColoredPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkIdentColoredPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkIdentColoredPainter requires 1 argument(s)");
  vtkIdentColoredPainter* vtk_pointer = GetVTKPointer<vtkIdentColoredPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdentColoredPainter:IsA vtkIdentColoredPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkIdentColoredPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkIdentColoredPainter requires 2 argument(s)");
  vtkIdentColoredPainter* vtk_pointer = GetVTKPointer<vtkIdentColoredPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIdentColoredPainter:NewInstance vtkIdentColoredPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkIdentColoredPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdentColoredPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkIdentColoredPainter requires 1 argument(s)");
  vtkIdentColoredPainter* vtk_pointer = GetVTKPointer<vtkIdentColoredPainter>(arg[0]);
  Array retval;
  vtkIdentColoredPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdentColoredPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIdentColoredPainter:SafeDownCast vtkIdentColoredPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkIdentColoredPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdentColoredPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkIdentColoredPainter requires 2 argument(s)");
  vtkIdentColoredPainter* vtk_pointer = GetVTKPointer<vtkIdentColoredPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkIdentColoredPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdentColoredPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIdentColoredPainter:ResetCurrentId vtkIdentColoredPainterResetCurrentIdFunction
//input a0 
//output none
ArrayVector vtkIdentColoredPainterResetCurrentIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResetCurrentId (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetCurrentId for class vtkIdentColoredPainter requires 1 argument(s)");
  vtkIdentColoredPainter* vtk_pointer = GetVTKPointer<vtkIdentColoredPainter>(arg[0]);
  Array retval;
  vtk_pointer->ResetCurrentId();
  return retval;
}

//@@Signature
//sfunction @vtkIdentColoredPainter:ColorByConstant vtkIdentColoredPainterColorByConstantFunction
//input a0 a1 
//output none
ArrayVector vtkIdentColoredPainterColorByConstantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorByConstant (unsigned int constant); */
  if (arg.size() < 2) 
    throw Exception("Function ColorByConstant for class vtkIdentColoredPainter requires 2 argument(s)");
  vtkIdentColoredPainter* vtk_pointer = GetVTKPointer<vtkIdentColoredPainter>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->ColorByConstant(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIdentColoredPainter:ColorByIncreasingIdent vtkIdentColoredPainterColorByIncreasingIdentFunction
//input a0 a1 
//output none
ArrayVector vtkIdentColoredPainterColorByIncreasingIdentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorByIncreasingIdent (unsigned int plane); */
  if (arg.size() < 2) 
    throw Exception("Function ColorByIncreasingIdent for class vtkIdentColoredPainter requires 2 argument(s)");
  vtkIdentColoredPainter* vtk_pointer = GetVTKPointer<vtkIdentColoredPainter>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->ColorByIncreasingIdent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIdentColoredPainter:ColorByActorId vtkIdentColoredPainterColorByActorIdFunction
//input a0 a1 
//output none
ArrayVector vtkIdentColoredPainterColorByActorIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorByActorId (vtkProp *ActorId); */
  if (arg.size() < 2) 
    throw Exception("Function ColorByActorId for class vtkIdentColoredPainter requires 2 argument(s)");
  vtkIdentColoredPainter* vtk_pointer = GetVTKPointer<vtkIdentColoredPainter>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ColorByActorId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIdentColoredPainter:ColorByVertex vtkIdentColoredPainterColorByVertexFunction
//input a0 
//output none
ArrayVector vtkIdentColoredPainterColorByVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorByVertex (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorByVertex for class vtkIdentColoredPainter requires 1 argument(s)");
  vtkIdentColoredPainter* vtk_pointer = GetVTKPointer<vtkIdentColoredPainter>(arg[0]);
  Array retval;
  vtk_pointer->ColorByVertex();
  return retval;
}

//@@Signature
//sfunction @vtkIdentColoredPainter:GetActorFromId vtkIdentColoredPainterGetActorFromIdFunction
//input a0 a1 
//output y
ArrayVector vtkIdentColoredPainterGetActorFromIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp *GetActorFromId (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function GetActorFromId for class vtkIdentColoredPainter requires 2 argument(s)");
  vtkIdentColoredPainter* vtk_pointer = GetVTKPointer<vtkIdentColoredPainter>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkProp  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetActorFromId(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIdentColoredPainter:display vtkIdentColoredPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkIdentColoredPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkIdentColoredPainter* vtk_pointer = GetVTKPointer<vtkIdentColoredPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkIdentColoredPainter:delete vtkIdentColoredPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkIdentColoredPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkIdentColoredPainter
//@@Section VTKRendering
//@@Usage
// DEPRECATED. Refer to vtkHardwareSelectionPolyDataPainter instead.
// This painter will color each polygon in a color that encodes an integer.
// Doing so allows us to determine what polygon is behind each pixel on the 
// screen.
//
//To create an instance of class vtkIdentColoredPainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkIdentColoredPainter
//@]
//@@Methods
//The class vtkIdentColoredPainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkIdentColoredPainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkIdentColoredPainter = obj.NewInstance ()|
// \item @|vtkIdentColoredPainter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ResetCurrentId ()|
// \item @|obj.ColorByConstant (int constant)|
// \item @|obj.ColorByIncreasingIdent (int plane)|
// \item @|obj.ColorByActorId (vtkProp ActorId)|
// \item @|obj.ColorByVertex ()|
// \item @|vtkProp = obj.GetActorFromId (vtkIdType id)|
//\end{itemize}
//!
