#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageActor.h"

//@@Signature
//sfunction @vtkImageActor:vtkImageActor vtkImageActorConstructorFunction
//input a
//output p
//@@Parents vtkImageActor vtkProp3D 
ArrayVector vtkImageActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageActor::New(),"vtkImageActor",eval);
  } else if (arg[0].className() == "vtkImageActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageActor");
    vtkImageActor*q = reinterpret_cast<vtkImageActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageActor:GetClassName vtkImageActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageActor requires 1 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:IsA vtkImageActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageActor requires 2 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:NewInstance vtkImageActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageActor requires 1 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  vtkImageActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:SafeDownCast vtkImageActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageActor requires 2 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:SetInput vtkImageActorSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkImageActorSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkImageData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkImageActor requires 2 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:GetInput vtkImageActorGetInputFunction
//input a0 
//output y
ArrayVector vtkImageActorGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkImageActor requires 1 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:GetInterpolate vtkImageActorGetInterpolateFunction
//input a0 
//output y
ArrayVector vtkImageActorGetInterpolateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolate for class vtkImageActor requires 1 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:SetInterpolate vtkImageActorSetInterpolateFunction
//input a0 a1 
//output none
ArrayVector vtkImageActorSetInterpolateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolate (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInterpolate for class vtkImageActor requires 2 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInterpolate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:InterpolateOn vtkImageActorInterpolateOnFunction
//input a0 
//output none
ArrayVector vtkImageActorInterpolateOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InterpolateOn for class vtkImageActor requires 1 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  vtk_pointer->InterpolateOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:InterpolateOff vtkImageActorInterpolateOffFunction
//input a0 
//output none
ArrayVector vtkImageActorInterpolateOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InterpolateOff for class vtkImageActor requires 1 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  vtk_pointer->InterpolateOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:SetOpacity vtkImageActorSetOpacityFunction
//input a0 a1 
//output none
ArrayVector vtkImageActorSetOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOpacity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOpacity for class vtkImageActor requires 2 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:GetOpacityMinValue vtkImageActorGetOpacityMinValueFunction
//input a0 
//output y
ArrayVector vtkImageActorGetOpacityMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOpacityMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOpacityMinValue for class vtkImageActor requires 1 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOpacityMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:GetOpacityMaxValue vtkImageActorGetOpacityMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageActorGetOpacityMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOpacityMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOpacityMaxValue for class vtkImageActor requires 1 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOpacityMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:GetOpacity vtkImageActorGetOpacityFunction
//input a0 
//output y
ArrayVector vtkImageActorGetOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOpacity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOpacity for class vtkImageActor requires 1 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:SetDisplayExtent__1 vtkImageActorSetDisplayExtent__1Function
//input a0 a1 
//output none
ArrayVector vtkImageActorSetDisplayExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisplayExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplayExtent__1 for class vtkImageActor requires 2 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetDisplayExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:SetDisplayExtent__2 vtkImageActorSetDisplayExtent__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageActorSetDisplayExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisplayExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ); */
  if (arg.size() < 7) 
    throw Exception("Function SetDisplayExtent__2 for class vtkImageActor requires 7 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetDisplayExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:GetDisplayExtent__1 vtkImageActorGetDisplayExtent__1Function
//input a0 a1 
//output none
ArrayVector vtkImageActorGetDisplayExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetDisplayExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetDisplayExtent__1 for class vtkImageActor requires 2 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->GetDisplayExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:GetDisplayExtent__2 vtkImageActorGetDisplayExtent__2Function
//input a0 
//output y
ArrayVector vtkImageActorGetDisplayExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int *GetDisplayExtent ();return this DisplayExtent  */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplayExtent__2 for class vtkImageActor requires 1 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetDisplayExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:GetBounds__1 vtkImageActorGetBounds__1Function
//input a0 
//output y
ArrayVector vtkImageActorGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__1 for class vtkImageActor requires 1 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:GetBounds__2 vtkImageActorGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkImageActorGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[6]);this Superclass GetBounds bounds  */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkImageActor requires 2 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:GetDisplayBounds__2 vtkImageActorGetDisplayBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkImageActorGetDisplayBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetDisplayBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetDisplayBounds__2 for class vtkImageActor requires 2 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetDisplayBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:GetSliceNumber vtkImageActorGetSliceNumberFunction
//input a0 
//output y
ArrayVector vtkImageActorGetSliceNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSliceNumber (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSliceNumber for class vtkImageActor requires 1 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSliceNumber();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:GetSliceNumberMax vtkImageActorGetSliceNumberMaxFunction
//input a0 
//output y
ArrayVector vtkImageActorGetSliceNumberMaxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSliceNumberMax (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSliceNumberMax for class vtkImageActor requires 1 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSliceNumberMax();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:GetSliceNumberMin vtkImageActorGetSliceNumberMinFunction
//input a0 
//output y
ArrayVector vtkImageActorGetSliceNumberMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSliceNumberMin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSliceNumberMin for class vtkImageActor requires 1 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSliceNumberMin();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:SetZSlice vtkImageActorSetZSliceFunction
//input a0 a1 
//output none
ArrayVector vtkImageActorSetZSliceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZSlice (int z);this SetDisplayExtent this DisplayExtent this DisplayExtent this DisplayExtent this DisplayExtent z z  */
  if (arg.size() < 2) 
    throw Exception("Function SetZSlice for class vtkImageActor requires 2 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetZSlice(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:GetZSlice vtkImageActorGetZSliceFunction
//input a0 
//output y
ArrayVector vtkImageActorGetZSliceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZSlice ();return this DisplayExtent  */
  if (arg.size() < 1) 
    throw Exception("Function GetZSlice for class vtkImageActor requires 1 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZSlice();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:GetWholeZMin vtkImageActorGetWholeZMinFunction
//input a0 
//output y
ArrayVector vtkImageActorGetWholeZMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWholeZMin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeZMin for class vtkImageActor requires 1 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWholeZMin();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:GetWholeZMax vtkImageActorGetWholeZMaxFunction
//input a0 
//output y
ArrayVector vtkImageActorGetWholeZMaxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWholeZMax (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeZMax for class vtkImageActor requires 1 argument(s)");
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWholeZMax();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActor:SetDisplayExtent vtkImageActorSetDisplayExtentFunction
//input varargin
//output varargout
ArrayVector vtkImageActorSetDisplayExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageActorSetDisplayExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImageActorSetDisplayExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageActorSetDisplayExtent");
}

//@@Signature
//sfunction @vtkImageActor:GetDisplayExtent vtkImageActorGetDisplayExtentFunction
//input varargin
//output varargout
ArrayVector vtkImageActorGetDisplayExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageActorGetDisplayExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkImageActorGetDisplayExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageActorGetDisplayExtent");
}

//@@Signature
//sfunction @vtkImageActor:GetBounds vtkImageActorGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkImageActorGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImageActorGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageActorGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageActorGetBounds");
}

//@@Signature
//sfunction @vtkImageActor:GetDisplayBounds vtkImageActorGetDisplayBoundsFunction
//input varargin
//output varargout
ArrayVector vtkImageActorGetDisplayBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageActorGetDisplayBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageActorGetDisplayBounds");
}

//@@Signature
//sfunction @vtkImageActor:display vtkImageActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageActor* vtk_pointer = GetVTKPointer<vtkImageActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageActor:delete vtkImageActorDeleteFunction
//input varargin
//output none
ArrayVector vtkImageActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageActor
//@@Section VTKRendering
//@@Usage
// vtkImageActor is used to render an image in a 3D scene.  The image
// is placed at the origin of the image, and its size is controlled by the
// image dimensions and image spacing. The orientation of the image is
// orthogonal to one of the x-y-z axes depending on which plane the
// image is defined in. vtkImageActor duplicates the functionality 
// of combinations of other VTK classes in a convenient, single class.
//
//To create an instance of class vtkImageActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageActor
//@]
//@@Methods
//The class vtkImageActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageActor = obj.NewInstance ()|
// \item @|vtkImageActor = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkImageData )| -  Set/Get the image data input for the image actor.  
//// \item @|vtkImageData = obj.GetInput ()| -  Set/Get the image data input for the image actor.  
//// \item @|int = obj.GetInterpolate ()| -  Turn on/off linear interpolation of the image when rendering.
//// \item @|obj.SetInterpolate (int )| -  Turn on/off linear interpolation of the image when rendering.
//// \item @|obj.InterpolateOn ()| -  Turn on/off linear interpolation of the image when rendering.
//// \item @|obj.InterpolateOff ()| -  Turn on/off linear interpolation of the image when rendering.
//// \item @|obj.SetOpacity (double )| -  Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely
// transparent.
//// \item @|double = obj.GetOpacityMinValue ()| -  Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely
// transparent.
//// \item @|double = obj.GetOpacityMaxValue ()| -  Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely
// transparent.
//// \item @|double = obj.GetOpacity ()| -  Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely
// transparent.
//// \item @|obj.SetDisplayExtent (int extent[6])| -  The image extent is generally set explicitly, but if not set
// it will be determined from the input image data.
//// \item @|obj.SetDisplayExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ)| -  The image extent is generally set explicitly, but if not set
// it will be determined from the input image data.
//// \item @|obj.GetDisplayExtent (int extent[6])| -  The image extent is generally set explicitly, but if not set
// it will be determined from the input image data.
//// \item @|int = obj.GetDisplayExtent ()| -  Get the bounds of this image actor. Either copy the bounds
// into a user provided array or return a pointer to an array.
// In either case the boudns is expressed as a 6-vector 
// (xmin,xmax, ymin,ymax, zmin,zmax).
//// \item @|double = obj.GetBounds ()| -  Get the bounds of this image actor. Either copy the bounds
// into a user provided array or return a pointer to an array.
// In either case the boudns is expressed as a 6-vector 
// (xmin,xmax, ymin,ymax, zmin,zmax).
//// \item @|obj.GetBounds (double bounds[6])| -  Get the bounds of this image actor. Either copy the bounds
// into a user provided array or return a pointer to an array.
// In either case the boudns is expressed as a 6-vector 
// (xmin,xmax, ymin,ymax, zmin,zmax).
//// \item @|obj.GetDisplayBounds (double bounds[6])| -  Get the bounds of the data that is displayed by this image
// actor.  If the transformation matrix for this actor is the
// identity matrix, this will return the same value as
// GetBounds.
//// \item @|int = obj.GetSliceNumber ()| -  Return the slice number (& min/max slice number) computed from the display
// extent.
//// \item @|int = obj.GetSliceNumberMax ()| -  Return the slice number (& min/max slice number) computed from the display
// extent.
//// \item @|int = obj.GetSliceNumberMin ()| -  Return the slice number (& min/max slice number) computed from the display
// extent.
//// \item @|obj.SetZSlice (int z)| -  Set/Get the current slice number. The axis Z in ZSlice does not
// necessarily have any relation to the z axis of the data on disk.
// It is simply the axis orthogonal to the x,y, display plane.
// GetWholeZMax and Min are convenience methods for obtaining
// the number of slices that can be displayed. Again the number
// of slices is in reference to the display z axis, which is not
// necessarily the z axis on disk. (due to reformatting etc)
//// \item @|int = obj.GetZSlice ()| -  Set/Get the current slice number. The axis Z in ZSlice does not
// necessarily have any relation to the z axis of the data on disk.
// It is simply the axis orthogonal to the x,y, display plane.
// GetWholeZMax and Min are convenience methods for obtaining
// the number of slices that can be displayed. Again the number
// of slices is in reference to the display z axis, which is not
// necessarily the z axis on disk. (due to reformatting etc)
//// \item @|int = obj.GetWholeZMin ()| -  Set/Get the current slice number. The axis Z in ZSlice does not
// necessarily have any relation to the z axis of the data on disk.
// It is simply the axis orthogonal to the x,y, display plane.
// GetWholeZMax and Min are convenience methods for obtaining
// the number of slices that can be displayed. Again the number
// of slices is in reference to the display z axis, which is not
// necessarily the z axis on disk. (due to reformatting etc)
//// \item @|int = obj.GetWholeZMax ()| -  Set/Get the current slice number. The axis Z in ZSlice does not
// necessarily have any relation to the z axis of the data on disk.
// It is simply the axis orthogonal to the x,y, display plane.
// GetWholeZMax and Min are convenience methods for obtaining
// the number of slices that can be displayed. Again the number
// of slices is in reference to the display z axis, which is not
// necessarily the z axis on disk. (due to reformatting etc)
////\end{itemize}
//!
