#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageMapper.h"

//@@Signature
//sfunction @vtkImageMapper:vtkImageMapper vtkImageMapperConstructorFunction
//input a
//output p
//@@Parents vtkImageMapper vtkMapper2D 
ArrayVector vtkImageMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageMapper::New(),"vtkImageMapper",eval);
  } else if (arg[0].className() == "vtkImageMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageMapper");
    vtkImageMapper*q = reinterpret_cast<vtkImageMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageMapper:GetClassName vtkImageMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:IsA vtkImageMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageMapper requires 2 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:NewInstance vtkImageMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  vtkImageMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:SafeDownCast vtkImageMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageMapper requires 2 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:GetMTime vtkImageMapperGetMTimeFunction
//input a0 
//output y
ArrayVector vtkImageMapperGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:SetColorWindow vtkImageMapperSetColorWindowFunction
//input a0 a1 
//output none
ArrayVector vtkImageMapperSetColorWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorWindow (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorWindow for class vtkImageMapper requires 2 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetColorWindow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:GetColorWindow vtkImageMapperGetColorWindowFunction
//input a0 
//output y
ArrayVector vtkImageMapperGetColorWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetColorWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorWindow for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetColorWindow();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:SetColorLevel vtkImageMapperSetColorLevelFunction
//input a0 a1 
//output none
ArrayVector vtkImageMapperSetColorLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorLevel (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorLevel for class vtkImageMapper requires 2 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetColorLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:GetColorLevel vtkImageMapperGetColorLevelFunction
//input a0 
//output y
ArrayVector vtkImageMapperGetColorLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetColorLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorLevel for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetColorLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:SetZSlice vtkImageMapperSetZSliceFunction
//input a0 a1 
//output none
ArrayVector vtkImageMapperSetZSliceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZSlice (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZSlice for class vtkImageMapper requires 2 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetZSlice(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:GetZSlice vtkImageMapperGetZSliceFunction
//input a0 
//output y
ArrayVector vtkImageMapperGetZSliceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZSlice (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZSlice for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZSlice();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:GetWholeZMin vtkImageMapperGetWholeZMinFunction
//input a0 
//output y
ArrayVector vtkImageMapperGetWholeZMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWholeZMin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeZMin for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWholeZMin();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:GetWholeZMax vtkImageMapperGetWholeZMaxFunction
//input a0 
//output y
ArrayVector vtkImageMapperGetWholeZMaxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWholeZMax (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeZMax for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWholeZMax();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:RenderStart vtkImageMapperRenderStartFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageMapperRenderStartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderStart (vtkViewport *viewport, vtkActor2D *actor); */
  if (arg.size() < 3) 
    throw Exception("Function RenderStart for class vtkImageMapper requires 3 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkActor2D>(arg[2]);
  vtk_pointer->RenderStart(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:RenderData vtkImageMapperRenderDataFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageMapperRenderDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RenderData (vtkViewport *, vtkImageData *, vtkActor2D *) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function RenderData for class vtkImageMapper requires 4 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkImageData  *temp1;
  vtkActor2D  *temp2;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkImageData>(arg[2]);
  temp2 = GetVTKPointer<vtkActor2D>(arg[3]);
  vtk_pointer->RenderData(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:GetColorShift vtkImageMapperGetColorShiftFunction
//input a0 
//output y
ArrayVector vtkImageMapperGetColorShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetColorShift (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorShift for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetColorShift();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:GetColorScale vtkImageMapperGetColorScaleFunction
//input a0 
//output y
ArrayVector vtkImageMapperGetColorScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetColorScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorScale for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetColorScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:SetInput vtkImageMapperSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkImageMapperSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkImageData *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkImageMapper requires 2 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:GetInput vtkImageMapperGetInputFunction
//input a0 
//output y
ArrayVector vtkImageMapperGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:SetRenderToRectangle vtkImageMapperSetRenderToRectangleFunction
//input a0 a1 
//output none
ArrayVector vtkImageMapperSetRenderToRectangleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRenderToRectangle (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderToRectangle for class vtkImageMapper requires 2 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRenderToRectangle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:GetRenderToRectangle vtkImageMapperGetRenderToRectangleFunction
//input a0 
//output y
ArrayVector vtkImageMapperGetRenderToRectangleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRenderToRectangle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderToRectangle for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRenderToRectangle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:RenderToRectangleOn vtkImageMapperRenderToRectangleOnFunction
//input a0 
//output none
ArrayVector vtkImageMapperRenderToRectangleOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderToRectangleOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RenderToRectangleOn for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  vtk_pointer->RenderToRectangleOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:RenderToRectangleOff vtkImageMapperRenderToRectangleOffFunction
//input a0 
//output none
ArrayVector vtkImageMapperRenderToRectangleOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderToRectangleOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RenderToRectangleOff for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  vtk_pointer->RenderToRectangleOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:SetUseCustomExtents vtkImageMapperSetUseCustomExtentsFunction
//input a0 a1 
//output none
ArrayVector vtkImageMapperSetUseCustomExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseCustomExtents (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseCustomExtents for class vtkImageMapper requires 2 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseCustomExtents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:GetUseCustomExtents vtkImageMapperGetUseCustomExtentsFunction
//input a0 
//output y
ArrayVector vtkImageMapperGetUseCustomExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseCustomExtents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseCustomExtents for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseCustomExtents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:UseCustomExtentsOn vtkImageMapperUseCustomExtentsOnFunction
//input a0 
//output none
ArrayVector vtkImageMapperUseCustomExtentsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseCustomExtentsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseCustomExtentsOn for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  vtk_pointer->UseCustomExtentsOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:UseCustomExtentsOff vtkImageMapperUseCustomExtentsOffFunction
//input a0 
//output none
ArrayVector vtkImageMapperUseCustomExtentsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseCustomExtentsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseCustomExtentsOff for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  vtk_pointer->UseCustomExtentsOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:SetCustomDisplayExtents vtkImageMapperSetCustomDisplayExtentsFunction
//input a0 a1 
//output none
ArrayVector vtkImageMapperSetCustomDisplayExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCustomDisplayExtents (int  [4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCustomDisplayExtents for class vtkImageMapper requires 2 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  int    temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetCustomDisplayExtents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:GetCustomDisplayExtents vtkImageMapperGetCustomDisplayExtentsFunction
//input a0 
//output y
ArrayVector vtkImageMapperGetCustomDisplayExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetCustomDisplayExtents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCustomDisplayExtents for class vtkImageMapper requires 1 argument(s)");
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetCustomDisplayExtents();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapper:display vtkImageMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageMapper* vtk_pointer = GetVTKPointer<vtkImageMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageMapper:delete vtkImageMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkImageMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageMapper
//@@Section VTKRendering
//@@Usage
// vtkImageMapper provides 2D image display support for vtk.
// It is a Mapper2D subclass that can be associated with an Actor2D
// and placed within a RenderWindow or ImageWindow.
//
//To create an instance of class vtkImageMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageMapper
//@]
//@@Methods
//The class vtkImageMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageMapper = obj.NewInstance ()|
// \item @|vtkImageMapper = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMTime ()| -  Override Modifiedtime as we have added a lookuptable
//// \item @|obj.SetColorWindow (double )| -  Set/Get the window value for window/level
//// \item @|double = obj.GetColorWindow ()| -  Set/Get the window value for window/level
//// \item @|obj.SetColorLevel (double )| -  Set/Get the level value for window/level
//// \item @|double = obj.GetColorLevel ()| -  Set/Get the level value for window/level
//// \item @|obj.SetZSlice (int )| -  Set/Get the current slice number. The axis Z in ZSlice does not
// necessarily have any relation to the z axis of the data on disk.
// It is simply the axis orthogonal to the x,y, display plane.
// GetWholeZMax and Min are convenience methods for obtaining
// the number of slices that can be displayed. Again the number
// of slices is in reference to the display z axis, which is not
// necessarily the z axis on disk. (due to reformatting etc)
//// \item @|int = obj.GetZSlice ()| -  Set/Get the current slice number. The axis Z in ZSlice does not
// necessarily have any relation to the z axis of the data on disk.
// It is simply the axis orthogonal to the x,y, display plane.
// GetWholeZMax and Min are convenience methods for obtaining
// the number of slices that can be displayed. Again the number
// of slices is in reference to the display z axis, which is not
// necessarily the z axis on disk. (due to reformatting etc)
//// \item @|int = obj.GetWholeZMin ()| -  Set/Get the current slice number. The axis Z in ZSlice does not
// necessarily have any relation to the z axis of the data on disk.
// It is simply the axis orthogonal to the x,y, display plane.
// GetWholeZMax and Min are convenience methods for obtaining
// the number of slices that can be displayed. Again the number
// of slices is in reference to the display z axis, which is not
// necessarily the z axis on disk. (due to reformatting etc)
//// \item @|int = obj.GetWholeZMax ()| -  Set/Get the current slice number. The axis Z in ZSlice does not
// necessarily have any relation to the z axis of the data on disk.
// It is simply the axis orthogonal to the x,y, display plane.
// GetWholeZMax and Min are convenience methods for obtaining
// the number of slices that can be displayed. Again the number
// of slices is in reference to the display z axis, which is not
// necessarily the z axis on disk. (due to reformatting etc)
//// \item @|obj.RenderStart (vtkViewport viewport, vtkActor2D actor)| -  Draw the image to the screen.
//// \item @|obj.RenderData (vtkViewport , vtkImageData , vtkActor2D )| -  Function called by Render to actually draw the image to to the screen
//// \item @|double = obj.GetColorShift ()| -  Methods used internally for performing the Window/Level mapping.
//// \item @|double = obj.GetColorScale ()| -  Methods used internally for performing the Window/Level mapping.
//// \item @|obj.SetInput (vtkImageData input)| -  Set the Input of a filter. 
//// \item @|vtkImageData = obj.GetInput ()| -  Set the Input of a filter. 
//// \item @|obj.SetRenderToRectangle (int )| -  If RenderToRectangle is set (by default not), then the imagemapper
// will render the image into the rectangle supplied by the Actor2D's
// PositionCoordinate and Position2Coordinate
//// \item @|int = obj.GetRenderToRectangle ()| -  If RenderToRectangle is set (by default not), then the imagemapper
// will render the image into the rectangle supplied by the Actor2D's
// PositionCoordinate and Position2Coordinate
//// \item @|obj.RenderToRectangleOn ()| -  If RenderToRectangle is set (by default not), then the imagemapper
// will render the image into the rectangle supplied by the Actor2D's
// PositionCoordinate and Position2Coordinate
//// \item @|obj.RenderToRectangleOff ()| -  If RenderToRectangle is set (by default not), then the imagemapper
// will render the image into the rectangle supplied by the Actor2D's
// PositionCoordinate and Position2Coordinate
//// \item @|obj.SetUseCustomExtents (int )| -  Usually, the entire image is displayed, if UseCustomExtents
// is set (by default not), then the region supplied in the
// CustomDisplayExtents is used in preference.
// Note that the Custom extents are x,y only and the zslice is still
// applied
//// \item @|int = obj.GetUseCustomExtents ()| -  Usually, the entire image is displayed, if UseCustomExtents
// is set (by default not), then the region supplied in the
// CustomDisplayExtents is used in preference.
// Note that the Custom extents are x,y only and the zslice is still
// applied
//// \item @|obj.UseCustomExtentsOn ()| -  Usually, the entire image is displayed, if UseCustomExtents
// is set (by default not), then the region supplied in the
// CustomDisplayExtents is used in preference.
// Note that the Custom extents are x,y only and the zslice is still
// applied
//// \item @|obj.UseCustomExtentsOff ()| -  Usually, the entire image is displayed, if UseCustomExtents
// is set (by default not), then the region supplied in the
// CustomDisplayExtents is used in preference.
// Note that the Custom extents are x,y only and the zslice is still
// applied
//// \item @|obj.SetCustomDisplayExtents (int  [4])| -  The image extents which should be displayed with UseCustomExtents
// Note that the Custom extents are x,y only and the zslice is still
// applied
//// \item @|int = obj. GetCustomDisplayExtents ()| -  The image extents which should be displayed with UseCustomExtents
// Note that the Custom extents are x,y only and the zslice is still
// applied
////\end{itemize}
//!
