#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageProcessingPass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageProcessingPass.h"

//@@Signature
//sfunction @vtkImageProcessingPass:vtkImageProcessingPass vtkImageProcessingPassConstructorFunction
//input a
//output p
//@@Parents vtkImageProcessingPass vtkRenderPass 
ArrayVector vtkImageProcessingPassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageProcessingPass::New(),"vtkImageProcessingPass",eval);
  } else if (arg[0].className() == "vtkImageProcessingPass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageProcessingPass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageProcessingPass");
    vtkImageProcessingPass*q = reinterpret_cast<vtkImageProcessingPass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageProcessingPass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageProcessingPass:GetClassName vtkImageProcessingPassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageProcessingPassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageProcessingPass requires 1 argument(s)");
  vtkImageProcessingPass* vtk_pointer = GetVTKPointer<vtkImageProcessingPass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageProcessingPass:IsA vtkImageProcessingPassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageProcessingPassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageProcessingPass requires 2 argument(s)");
  vtkImageProcessingPass* vtk_pointer = GetVTKPointer<vtkImageProcessingPass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageProcessingPass:NewInstance vtkImageProcessingPassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageProcessingPassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageProcessingPass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageProcessingPass requires 1 argument(s)");
  vtkImageProcessingPass* vtk_pointer = GetVTKPointer<vtkImageProcessingPass>(arg[0]);
  Array retval;
  vtkImageProcessingPass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageProcessingPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageProcessingPass:SafeDownCast vtkImageProcessingPassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageProcessingPassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageProcessingPass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageProcessingPass requires 2 argument(s)");
  vtkImageProcessingPass* vtk_pointer = GetVTKPointer<vtkImageProcessingPass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageProcessingPass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageProcessingPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageProcessingPass:ReleaseGraphicsResources vtkImageProcessingPassReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkImageProcessingPassReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *w); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkImageProcessingPass requires 2 argument(s)");
  vtkImageProcessingPass* vtk_pointer = GetVTKPointer<vtkImageProcessingPass>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageProcessingPass:GetDelegatePass vtkImageProcessingPassGetDelegatePassFunction
//input a0 
//output y
ArrayVector vtkImageProcessingPassGetDelegatePassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderPass *GetDelegatePass (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDelegatePass for class vtkImageProcessingPass requires 1 argument(s)");
  vtkImageProcessingPass* vtk_pointer = GetVTKPointer<vtkImageProcessingPass>(arg[0]);
  Array retval;
  vtkRenderPass  *temp20;
  temp20 = (vtk_pointer)->GetDelegatePass();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageProcessingPass:SetDelegatePass vtkImageProcessingPassSetDelegatePassFunction
//input a0 a1 
//output none
ArrayVector vtkImageProcessingPassSetDelegatePassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDelegatePass (vtkRenderPass *delegatePass); */
  if (arg.size() < 2) 
    throw Exception("Function SetDelegatePass for class vtkImageProcessingPass requires 2 argument(s)");
  vtkImageProcessingPass* vtk_pointer = GetVTKPointer<vtkImageProcessingPass>(arg[0]);
  Array retval;
  vtkRenderPass  *temp0;
  temp0 = GetVTKPointer<vtkRenderPass>(arg[1]);
  vtk_pointer->SetDelegatePass(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageProcessingPass:display vtkImageProcessingPassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageProcessingPassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageProcessingPass* vtk_pointer = GetVTKPointer<vtkImageProcessingPass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageProcessingPass:delete vtkImageProcessingPassDeleteFunction
//input varargin
//output none
ArrayVector vtkImageProcessingPassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageProcessingPass
//@@Section VTKRendering
//@@Usage
// Abstract class with some convenient methods frequently used in subclasses.
//
// .SECTION Implementation
//
//To create an instance of class vtkImageProcessingPass, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageProcessingPass
//@]
//@@Methods
//The class vtkImageProcessingPass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageProcessingPass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageProcessingPass = obj.NewInstance ()|
// \item @|vtkImageProcessingPass = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ReleaseGraphicsResources (vtkWindow w)| -  Release graphics resources and ask components to release their own
// resources.
// \pre w_exists: w!=0
//// \item @|vtkRenderPass = obj.GetDelegatePass ()| -  Delegate for rendering the image to be processed.
// If it is NULL, nothing will be rendered and a warning will be emitted.
// It is usually set to a vtkCameraPass or to a post-processing pass.
// Initial value is a NULL pointer.
//// \item @|obj.SetDelegatePass (vtkRenderPass delegatePass)| -  Delegate for rendering the image to be processed.
// If it is NULL, nothing will be rendered and a warning will be emitted.
// It is usually set to a vtkCameraPass or to a post-processing pass.
// Initial value is a NULL pointer.
////\end{itemize}
//!
