#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageViewer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageViewer.h"

//@@Signature
//sfunction @vtkImageViewer:vtkImageViewer vtkImageViewerConstructorFunction
//input a
//output p
//@@Parents vtkImageViewer vtkObject 
ArrayVector vtkImageViewerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageViewer::New(),"vtkImageViewer",eval);
  } else if (arg[0].className() == "vtkImageViewer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageViewer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageViewer");
    vtkImageViewer*q = reinterpret_cast<vtkImageViewer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageViewer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageViewer:GetClassName vtkImageViewerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageViewerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:IsA vtkImageViewerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageViewerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageViewer requires 2 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:NewInstance vtkImageViewerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageViewerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageViewer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  vtkImageViewer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageViewer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:SafeDownCast vtkImageViewerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageViewerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageViewer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageViewer requires 2 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageViewer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageViewer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:GetWindowName vtkImageViewerGetWindowNameFunction
//input a0 
//output y
ArrayVector vtkImageViewerGetWindowNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetWindowName ();return this RenderWindow GetWindowName  */
  if (arg.size() < 1) 
    throw Exception("Function GetWindowName for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetWindowName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:Render vtkImageViewerRenderFunction
//input a0 
//output none
ArrayVector vtkImageViewerRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (void ); */
  if (arg.size() < 1) 
    throw Exception("Function Render for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  vtk_pointer->Render();
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:SetInput vtkImageViewerSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkImageViewerSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkImageData *in);this ImageMapper SetInput in  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkImageViewer requires 2 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:GetInput vtkImageViewerGetInputFunction
//input a0 
//output y
ArrayVector vtkImageViewerGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetInput ();return this ImageMapper GetInput  */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:SetInputConnection vtkImageViewerSetInputConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkImageViewerSetInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInputConnection (vtkAlgorithmOutput *input);this ImageMapper SetInputConnection input  */
  if (arg.size() < 2) 
    throw Exception("Function SetInputConnection for class vtkImageViewer requires 2 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetInputConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:GetWholeZMin vtkImageViewerGetWholeZMinFunction
//input a0 
//output y
ArrayVector vtkImageViewerGetWholeZMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWholeZMin ();return this ImageMapper GetWholeZMin  */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeZMin for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWholeZMin();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:GetWholeZMax vtkImageViewerGetWholeZMaxFunction
//input a0 
//output y
ArrayVector vtkImageViewerGetWholeZMaxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWholeZMax ();return this ImageMapper GetWholeZMax  */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeZMax for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWholeZMax();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:GetZSlice vtkImageViewerGetZSliceFunction
//input a0 
//output y
ArrayVector vtkImageViewerGetZSliceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZSlice ();return this ImageMapper GetZSlice  */
  if (arg.size() < 1) 
    throw Exception("Function GetZSlice for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZSlice();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:SetZSlice vtkImageViewerSetZSliceFunction
//input a0 a1 
//output none
ArrayVector vtkImageViewerSetZSliceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZSlice (int s);this ImageMapper SetZSlice s  */
  if (arg.size() < 2) 
    throw Exception("Function SetZSlice for class vtkImageViewer requires 2 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetZSlice(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:GetColorWindow vtkImageViewerGetColorWindowFunction
//input a0 
//output y
ArrayVector vtkImageViewerGetColorWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetColorWindow ();return this ImageMapper GetColorWindow  */
  if (arg.size() < 1) 
    throw Exception("Function GetColorWindow for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetColorWindow();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:GetColorLevel vtkImageViewerGetColorLevelFunction
//input a0 
//output y
ArrayVector vtkImageViewerGetColorLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetColorLevel ();return this ImageMapper GetColorLevel  */
  if (arg.size() < 1) 
    throw Exception("Function GetColorLevel for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetColorLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:SetColorWindow vtkImageViewerSetColorWindowFunction
//input a0 a1 
//output none
ArrayVector vtkImageViewerSetColorWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorWindow (double s);this ImageMapper SetColorWindow s  */
  if (arg.size() < 2) 
    throw Exception("Function SetColorWindow for class vtkImageViewer requires 2 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetColorWindow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:SetColorLevel vtkImageViewerSetColorLevelFunction
//input a0 a1 
//output none
ArrayVector vtkImageViewerSetColorLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorLevel (double s);this ImageMapper SetColorLevel s  */
  if (arg.size() < 2) 
    throw Exception("Function SetColorLevel for class vtkImageViewer requires 2 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetColorLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:GetGrayScaleHint vtkImageViewerGetGrayScaleHintFunction
//input a0 
//output y
ArrayVector vtkImageViewerGetGrayScaleHintFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGrayScaleHint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGrayScaleHint for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGrayScaleHint();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:SetGrayScaleHint vtkImageViewerSetGrayScaleHintFunction
//input a0 a1 
//output none
ArrayVector vtkImageViewerSetGrayScaleHintFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGrayScaleHint (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGrayScaleHint for class vtkImageViewer requires 2 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGrayScaleHint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:GrayScaleHintOn vtkImageViewerGrayScaleHintOnFunction
//input a0 
//output none
ArrayVector vtkImageViewerGrayScaleHintOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GrayScaleHintOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GrayScaleHintOn for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  vtk_pointer->GrayScaleHintOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:GrayScaleHintOff vtkImageViewerGrayScaleHintOffFunction
//input a0 
//output none
ArrayVector vtkImageViewerGrayScaleHintOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GrayScaleHintOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GrayScaleHintOff for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  vtk_pointer->GrayScaleHintOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:GetPosition vtkImageViewerGetPositionFunction
//input a0 
//output y
ArrayVector vtkImageViewerGetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int *GetPosition ();return this RenderWindow GetPosition  */
  if (arg.size() < 1) 
    throw Exception("Function GetPosition for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetPosition();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:SetPosition__1 vtkImageViewerSetPosition__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageViewerSetPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (int a, int b);this RenderWindow SetPosition a b  */
  if (arg.size() < 3) 
    throw Exception("Function SetPosition__1 for class vtkImageViewer requires 3 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:SetPosition__2 vtkImageViewerSetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkImageViewerSetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPosition (int a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPosition__2 for class vtkImageViewer requires 2 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:GetSize vtkImageViewerGetSizeFunction
//input a0 
//output y
ArrayVector vtkImageViewerGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int *GetSize ();return this RenderWindow GetSize  */
  if (arg.size() < 1) 
    throw Exception("Function GetSize for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:SetSize__1 vtkImageViewerSetSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageViewerSetSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSize (int a, int b);this RenderWindow SetSize a b  */
  if (arg.size() < 3) 
    throw Exception("Function SetSize__1 for class vtkImageViewer requires 3 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:SetSize__2 vtkImageViewerSetSize__2Function
//input a0 a1 
//output none
ArrayVector vtkImageViewerSetSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSize (int a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSize__2 for class vtkImageViewer requires 2 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:GetRenderWindow vtkImageViewerGetRenderWindowFunction
//input a0 
//output y
ArrayVector vtkImageViewerGetRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *GetRenderWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderWindow for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->GetRenderWindow();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:GetRenderer vtkImageViewerGetRendererFunction
//input a0 
//output y
ArrayVector vtkImageViewerGetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetRenderer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderer for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetRenderer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:GetImageMapper vtkImageViewerGetImageMapperFunction
//input a0 
//output y
ArrayVector vtkImageViewerGetImageMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMapper *GetImageMapper (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageMapper for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  vtkImageMapper  *temp20;
  temp20 = (vtk_pointer)->GetImageMapper();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:GetActor2D vtkImageViewerGetActor2DFunction
//input a0 
//output y
ArrayVector vtkImageViewerGetActor2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor2D *GetActor2D (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActor2D for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  vtkActor2D  *temp20;
  temp20 = (vtk_pointer)->GetActor2D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:SetupInteractor vtkImageViewerSetupInteractorFunction
//input a0 a1 
//output none
ArrayVector vtkImageViewerSetupInteractorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetupInteractor (vtkRenderWindowInteractor *); */
  if (arg.size() < 2) 
    throw Exception("Function SetupInteractor for class vtkImageViewer requires 2 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindowInteractor>(arg[1]);
  vtk_pointer->SetupInteractor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:SetOffScreenRendering vtkImageViewerSetOffScreenRenderingFunction
//input a0 a1 
//output none
ArrayVector vtkImageViewerSetOffScreenRenderingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOffScreenRendering (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOffScreenRendering for class vtkImageViewer requires 2 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOffScreenRendering(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:GetOffScreenRendering vtkImageViewerGetOffScreenRenderingFunction
//input a0 
//output y
ArrayVector vtkImageViewerGetOffScreenRenderingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOffScreenRendering (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffScreenRendering for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOffScreenRendering();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:OffScreenRenderingOn vtkImageViewerOffScreenRenderingOnFunction
//input a0 
//output none
ArrayVector vtkImageViewerOffScreenRenderingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OffScreenRenderingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OffScreenRenderingOn for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  vtk_pointer->OffScreenRenderingOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:OffScreenRenderingOff vtkImageViewerOffScreenRenderingOffFunction
//input a0 
//output none
ArrayVector vtkImageViewerOffScreenRenderingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OffScreenRenderingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OffScreenRenderingOff for class vtkImageViewer requires 1 argument(s)");
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  Array retval;
  vtk_pointer->OffScreenRenderingOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageViewer:SetPosition vtkImageViewerSetPositionFunction
//input varargin
//output varargout
ArrayVector vtkImageViewerSetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkImageViewerSetPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageViewerSetPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageViewerSetPosition");
}

//@@Signature
//sfunction @vtkImageViewer:SetSize vtkImageViewerSetSizeFunction
//input varargin
//output varargout
ArrayVector vtkImageViewerSetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkImageViewerSetSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageViewerSetSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageViewerSetSize");
}

//@@Signature
//sfunction @vtkImageViewer:display vtkImageViewerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageViewerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageViewer* vtk_pointer = GetVTKPointer<vtkImageViewer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageViewer:delete vtkImageViewerDeleteFunction
//input varargin
//output none
ArrayVector vtkImageViewerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageViewer
//@@Section VTKRendering
//@@Usage
// vtkImageViewer is a convenience class for displaying a 2d image.  It
// packages up the functionality found in vtkRenderWindow, vtkRenderer,
// vtkActor2D and vtkImageMapper into a single easy to use class.  Behind the
// scenes these four classes are actually used to to provide the required
// functionality. vtkImageViewer is simply a wrapper around them.
//
//To create an instance of class vtkImageViewer, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageViewer
//@]
//@@Methods
//The class vtkImageViewer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageViewer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageViewer = obj.NewInstance ()|
// \item @|vtkImageViewer = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetWindowName ()| -  Get name of rendering window
//// \item @|obj.Render (void )| -  Render the resulting image.
//// \item @|obj.SetInput (vtkImageData in)| -  Set/Get the input to the viewer.
//// \item @|vtkImageData = obj.GetInput ()| -  Set/Get the input to the viewer.
//// \item @|obj.SetInputConnection (vtkAlgorithmOutput input)| -  Set/Get the input to the viewer.
//// \item @|int = obj.GetWholeZMin ()| -  What is the possible Min/ Max z slices available.
//// \item @|int = obj.GetWholeZMax ()| -  What is the possible Min/ Max z slices available.
//// \item @|int = obj.GetZSlice ()| -  Set/Get the current Z Slice to display
//// \item @|obj.SetZSlice (int s)| -  Set/Get the current Z Slice to display
//// \item @|double = obj.GetColorWindow ()| -  Sets window/level for mapping pixels to colors.
//// \item @|double = obj.GetColorLevel ()| -  Sets window/level for mapping pixels to colors.
//// \item @|obj.SetColorWindow (double s)| -  Sets window/level for mapping pixels to colors.
//// \item @|obj.SetColorLevel (double s)| -  Sets window/level for mapping pixels to colors.
//// \item @|int = obj.GetGrayScaleHint ()| -  By default this is a color viewer.  GrayScaleHintOn will improve the
// appearance of gray scale images on some systems.
//// \item @|obj.SetGrayScaleHint (int )| -  By default this is a color viewer.  GrayScaleHintOn will improve the
// appearance of gray scale images on some systems.
//// \item @|obj.GrayScaleHintOn ()| -  By default this is a color viewer.  GrayScaleHintOn will improve the
// appearance of gray scale images on some systems.
//// \item @|obj.GrayScaleHintOff ()| -  By default this is a color viewer.  GrayScaleHintOn will improve the
// appearance of gray scale images on some systems.
//// \item @|int = obj.GetPosition ()| -  Set/Get the position in screen coordinates of the rendering window.
//// \item @|obj.SetPosition (int a, int b)| -  Set/Get the position in screen coordinates of the rendering window.
//// \item @|obj.SetPosition (int a[2])| -  Set/Get the position in screen coordinates of the rendering window.
//// \item @|int = obj.GetSize ()| -  Set/Get the size of the window in screen coordinates in pixels.
//// \item @|obj.SetSize (int a, int b)| -  Set/Get the size of the window in screen coordinates in pixels.
//// \item @|obj.SetSize (int a[2])| -  Set/Get the size of the window in screen coordinates in pixels.
//// \item @|vtkRenderWindow = obj.GetRenderWindow ()| -  Get the internal objects
//// \item @|vtkRenderer = obj.GetRenderer ()| -  Get the internal objects
//// \item @|vtkImageMapper = obj.GetImageMapper ()| -  Get the internal objects
//// \item @|vtkActor2D = obj.GetActor2D ()| -  Get the internal objects
//// \item @|obj.SetupInteractor (vtkRenderWindowInteractor )| -  Create and attach an interactor for this window
//// \item @|obj.SetOffScreenRendering (int )| -  Create a window in memory instead of on the screen. This may not
// be supported for every type of window and on some windows you may
// need to invoke this prior to the first render.
//// \item @|int = obj.GetOffScreenRendering ()| -  Create a window in memory instead of on the screen. This may not
// be supported for every type of window and on some windows you may
// need to invoke this prior to the first render.
//// \item @|obj.OffScreenRenderingOn ()| -  Create a window in memory instead of on the screen. This may not
// be supported for every type of window and on some windows you may
// need to invoke this prior to the first render.
//// \item @|obj.OffScreenRenderingOff ()| -  Create a window in memory instead of on the screen. This may not
// be supported for every type of window and on some windows you may
// need to invoke this prior to the first render.
////\end{itemize}
//!
