#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImagingFactory object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImagingFactory.h"

//@@Signature
//sfunction @vtkImagingFactory:vtkImagingFactory vtkImagingFactoryConstructorFunction
//input a
//output p
//@@Parents vtkImagingFactory vtkObject 
ArrayVector vtkImagingFactoryConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImagingFactory::New(),"vtkImagingFactory",eval);
  } else if (arg[0].className() == "vtkImagingFactory") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImagingFactory"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImagingFactory");
    vtkImagingFactory*q = reinterpret_cast<vtkImagingFactory*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImagingFactory");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImagingFactory:GetClassName vtkImagingFactoryGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImagingFactoryGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImagingFactory requires 1 argument(s)");
  vtkImagingFactory* vtk_pointer = GetVTKPointer<vtkImagingFactory>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagingFactory:IsA vtkImagingFactoryIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImagingFactoryIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImagingFactory requires 2 argument(s)");
  vtkImagingFactory* vtk_pointer = GetVTKPointer<vtkImagingFactory>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagingFactory:NewInstance vtkImagingFactoryNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImagingFactoryNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImagingFactory *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImagingFactory requires 1 argument(s)");
  vtkImagingFactory* vtk_pointer = GetVTKPointer<vtkImagingFactory>(arg[0]);
  Array retval;
  vtkImagingFactory  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImagingFactory",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagingFactory:SafeDownCast vtkImagingFactorySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImagingFactorySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImagingFactory *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImagingFactory requires 2 argument(s)");
  vtkImagingFactory* vtk_pointer = GetVTKPointer<vtkImagingFactory>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImagingFactory  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImagingFactory",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagingFactory:CreateInstance vtkImagingFactoryCreateInstanceFunction
//input a0 a1 
//output y
ArrayVector vtkImagingFactoryCreateInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkObject *CreateInstance (const char *vtkclassname); */
  if (arg.size() < 2) 
    throw Exception("Function CreateInstance for class vtkImagingFactory requires 2 argument(s)");
  vtkImagingFactory* vtk_pointer = GetVTKPointer<vtkImagingFactory>(arg[0]);
  Array retval;
  char    *temp0;
  vtkObject  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CreateInstance(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagingFactory:SetUseMesaClasses vtkImagingFactorySetUseMesaClassesFunction
//input a0 a1 
//output none
ArrayVector vtkImagingFactorySetUseMesaClassesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetUseMesaClasses (int use); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseMesaClasses for class vtkImagingFactory requires 2 argument(s)");
  vtkImagingFactory* vtk_pointer = GetVTKPointer<vtkImagingFactory>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseMesaClasses(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagingFactory:GetUseMesaClasses vtkImagingFactoryGetUseMesaClassesFunction
//input a0 
//output y
ArrayVector vtkImagingFactoryGetUseMesaClassesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetUseMesaClasses (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseMesaClasses for class vtkImagingFactory requires 1 argument(s)");
  vtkImagingFactory* vtk_pointer = GetVTKPointer<vtkImagingFactory>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseMesaClasses();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagingFactory:display vtkImagingFactoryDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImagingFactoryDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImagingFactory* vtk_pointer = GetVTKPointer<vtkImagingFactory>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImagingFactory:delete vtkImagingFactoryDeleteFunction
//input varargin
//output none
ArrayVector vtkImagingFactoryDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImagingFactory
//@@Section VTKRendering
//@@Usage
//
//To create an instance of class vtkImagingFactory, simply
//invoke its constructor as follows
//@[
//  obj = vtkImagingFactory
//@]
//@@Methods
//The class vtkImagingFactory has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImagingFactory class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImagingFactory = obj.NewInstance ()|
// \item @|vtkImagingFactory = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
