#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImporter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImporter.h"

//@@Signature
//sfunction @vtkImporter:vtkImporter vtkImporterConstructorFunction
//input a
//output p
//@@Parents vtkImporter vtkObject 
ArrayVector vtkImporterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImporter::New(),"vtkImporter",eval);
  } else if (arg[0].className() == "vtkImporter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImporter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImporter");
    vtkImporter*q = reinterpret_cast<vtkImporter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImporter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImporter:GetClassName vtkImporterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImporterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImporter requires 1 argument(s)");
  vtkImporter* vtk_pointer = GetVTKPointer<vtkImporter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImporter:IsA vtkImporterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImporterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImporter requires 2 argument(s)");
  vtkImporter* vtk_pointer = GetVTKPointer<vtkImporter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImporter:NewInstance vtkImporterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImporterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImporter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImporter requires 1 argument(s)");
  vtkImporter* vtk_pointer = GetVTKPointer<vtkImporter>(arg[0]);
  Array retval;
  vtkImporter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImporter:SafeDownCast vtkImporterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImporterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImporter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImporter requires 2 argument(s)");
  vtkImporter* vtk_pointer = GetVTKPointer<vtkImporter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImporter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImporter:GetRenderer vtkImporterGetRendererFunction
//input a0 
//output y
ArrayVector vtkImporterGetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetRenderer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderer for class vtkImporter requires 1 argument(s)");
  vtkImporter* vtk_pointer = GetVTKPointer<vtkImporter>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetRenderer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImporter:SetRenderWindow vtkImporterSetRenderWindowFunction
//input a0 a1 
//output none
ArrayVector vtkImporterSetRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRenderWindow (vtkRenderWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderWindow for class vtkImporter requires 2 argument(s)");
  vtkImporter* vtk_pointer = GetVTKPointer<vtkImporter>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  vtk_pointer->SetRenderWindow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImporter:GetRenderWindow vtkImporterGetRenderWindowFunction
//input a0 
//output y
ArrayVector vtkImporterGetRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *GetRenderWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderWindow for class vtkImporter requires 1 argument(s)");
  vtkImporter* vtk_pointer = GetVTKPointer<vtkImporter>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->GetRenderWindow();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImporter:Read vtkImporterReadFunction
//input a0 
//output none
ArrayVector vtkImporterReadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Read (); */
  if (arg.size() < 1) 
    throw Exception("Function Read for class vtkImporter requires 1 argument(s)");
  vtkImporter* vtk_pointer = GetVTKPointer<vtkImporter>(arg[0]);
  Array retval;
  vtk_pointer->Read();
  return retval;
}

//@@Signature
//sfunction @vtkImporter:Update vtkImporterUpdateFunction
//input a0 
//output none
ArrayVector vtkImporterUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Update ();this Read  */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkImporter requires 1 argument(s)");
  vtkImporter* vtk_pointer = GetVTKPointer<vtkImporter>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkImporter:display vtkImporterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImporterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImporter* vtk_pointer = GetVTKPointer<vtkImporter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImporter:delete vtkImporterDeleteFunction
//input varargin
//output none
ArrayVector vtkImporterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImporter
//@@Section VTKRendering
//@@Usage
// vtkImporter is an abstract class that specifies the protocol for
// importing actors, cameras, lights and properties into a
// vtkRenderWindow. The following takes place:
// 1) Create a RenderWindow and Renderer if none is provided.
// 2) Call ImportBegin, if ImportBegin returns False, return
// 3) Call ReadData, which calls:
//  a) Import the Actors
//  b) Import the cameras
//  c) Import the lights
//  d) Import the Properties
// 7) Call ImportEnd
//
// Subclasses optionally implement the ImportActors, ImportCameras,
// ImportLights and ImportProperties or ReadData methods. An ImportBegin and
// ImportEnd can optionally be provided to perform Importer-specific
// initialization and termination.  The Read method initiates the import
// process. If a RenderWindow is provided, its Renderer will contained
// the imported objects. If the RenderWindow has no Renderer, one is
// created. If no RenderWindow is provided, both a RenderWindow and
// Renderer will be created. Both the RenderWindow and Renderer can be
// accessed using Get methods.
//
//To create an instance of class vtkImporter, simply
//invoke its constructor as follows
//@[
//  obj = vtkImporter
//@]
//@@Methods
//The class vtkImporter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImporter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImporter = obj.NewInstance ()|
// \item @|vtkImporter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkRenderer = obj.GetRenderer ()|
// \item @|obj.SetRenderWindow (vtkRenderWindow )|
// \item @|vtkRenderWindow = obj.GetRenderWindow ()|
// \item @|obj.Read ()|
// \item @|obj.Update ()|
//\end{itemize}
//!
