#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInteractorEventRecorder object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInteractorEventRecorder.h"

//@@Signature
//sfunction @vtkInteractorEventRecorder:vtkInteractorEventRecorder vtkInteractorEventRecorderConstructorFunction
//input a
//output p
//@@Parents vtkInteractorEventRecorder vtkInteractorObserver 
ArrayVector vtkInteractorEventRecorderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInteractorEventRecorder::New(),"vtkInteractorEventRecorder",eval);
  } else if (arg[0].className() == "vtkInteractorEventRecorder") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInteractorEventRecorder"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInteractorEventRecorder");
    vtkInteractorEventRecorder*q = reinterpret_cast<vtkInteractorEventRecorder*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInteractorEventRecorder");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInteractorEventRecorder:GetClassName vtkInteractorEventRecorderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInteractorEventRecorderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInteractorEventRecorder requires 1 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:IsA vtkInteractorEventRecorderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorEventRecorderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInteractorEventRecorder requires 2 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:NewInstance vtkInteractorEventRecorderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInteractorEventRecorderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorEventRecorder *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInteractorEventRecorder requires 1 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  vtkInteractorEventRecorder  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorEventRecorder",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:SafeDownCast vtkInteractorEventRecorderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorEventRecorderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorEventRecorder *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInteractorEventRecorder requires 2 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInteractorEventRecorder  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorEventRecorder",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:SetEnabled vtkInteractorEventRecorderSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorEventRecorderSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkInteractorEventRecorder requires 2 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:SetInteractor vtkInteractorEventRecorderSetInteractorFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorEventRecorderSetInteractorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInteractor (vtkRenderWindowInteractor *iren); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractor for class vtkInteractorEventRecorder requires 2 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindowInteractor>(arg[1]);
  vtk_pointer->SetInteractor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:SetFileName vtkInteractorEventRecorderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorEventRecorderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkInteractorEventRecorder requires 2 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:GetFileName vtkInteractorEventRecorderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkInteractorEventRecorderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkInteractorEventRecorder requires 1 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:Record vtkInteractorEventRecorderRecordFunction
//input a0 
//output none
ArrayVector vtkInteractorEventRecorderRecordFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Record (); */
  if (arg.size() < 1) 
    throw Exception("Function Record for class vtkInteractorEventRecorder requires 1 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  vtk_pointer->Record();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:Play vtkInteractorEventRecorderPlayFunction
//input a0 
//output none
ArrayVector vtkInteractorEventRecorderPlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Play (); */
  if (arg.size() < 1) 
    throw Exception("Function Play for class vtkInteractorEventRecorder requires 1 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  vtk_pointer->Play();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:Stop vtkInteractorEventRecorderStopFunction
//input a0 
//output none
ArrayVector vtkInteractorEventRecorderStopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Stop (); */
  if (arg.size() < 1) 
    throw Exception("Function Stop for class vtkInteractorEventRecorder requires 1 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  vtk_pointer->Stop();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:Rewind vtkInteractorEventRecorderRewindFunction
//input a0 
//output none
ArrayVector vtkInteractorEventRecorderRewindFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Rewind (); */
  if (arg.size() < 1) 
    throw Exception("Function Rewind for class vtkInteractorEventRecorder requires 1 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  vtk_pointer->Rewind();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:SetReadFromInputString vtkInteractorEventRecorderSetReadFromInputStringFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorEventRecorderSetReadFromInputStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadFromInputString (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadFromInputString for class vtkInteractorEventRecorder requires 2 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadFromInputString(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:GetReadFromInputString vtkInteractorEventRecorderGetReadFromInputStringFunction
//input a0 
//output y
ArrayVector vtkInteractorEventRecorderGetReadFromInputStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadFromInputString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadFromInputString for class vtkInteractorEventRecorder requires 1 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadFromInputString();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:ReadFromInputStringOn vtkInteractorEventRecorderReadFromInputStringOnFunction
//input a0 
//output none
ArrayVector vtkInteractorEventRecorderReadFromInputStringOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadFromInputStringOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadFromInputStringOn for class vtkInteractorEventRecorder requires 1 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  vtk_pointer->ReadFromInputStringOn();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:ReadFromInputStringOff vtkInteractorEventRecorderReadFromInputStringOffFunction
//input a0 
//output none
ArrayVector vtkInteractorEventRecorderReadFromInputStringOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadFromInputStringOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadFromInputStringOff for class vtkInteractorEventRecorder requires 1 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  vtk_pointer->ReadFromInputStringOff();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:SetInputString vtkInteractorEventRecorderSetInputStringFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorEventRecorderSetInputStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputString (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputString for class vtkInteractorEventRecorder requires 2 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetInputString(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:GetInputString vtkInteractorEventRecorderGetInputStringFunction
//input a0 
//output y
ArrayVector vtkInteractorEventRecorderGetInputStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetInputString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputString for class vtkInteractorEventRecorder requires 1 argument(s)");
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetInputString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorEventRecorder:display vtkInteractorEventRecorderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInteractorEventRecorderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInteractorEventRecorder* vtk_pointer = GetVTKPointer<vtkInteractorEventRecorder>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInteractorEventRecorder:delete vtkInteractorEventRecorderDeleteFunction
//input varargin
//output none
ArrayVector vtkInteractorEventRecorderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInteractorEventRecorder
//@@Section VTKRendering
//@@Usage
// vtkInteractorEventRecorder records all VTK events invoked from a
// vtkRenderWindowInteractor. The events are recorded to a
// file. vtkInteractorEventRecorder can also be used to play those events
// back and invoke them on an vtkRenderWindowInteractor. (Note: the events
// can also be played back from a file or string.)
//
// The format of the event file is simple. It is:
//  EventName X Y ctrl shift keycode repeatCount keySym
// The format also allows "#" comments.
//
//To create an instance of class vtkInteractorEventRecorder, simply
//invoke its constructor as follows
//@[
//  obj = vtkInteractorEventRecorder
//@]
//@@Methods
//The class vtkInteractorEventRecorder has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInteractorEventRecorder class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInteractorEventRecorder = obj.NewInstance ()|
// \item @|vtkInteractorEventRecorder = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetEnabled (int )|
// \item @|obj.SetInteractor (vtkRenderWindowInteractor iren)|
// \item @|obj.SetFileName (string )| -  Set/Get the name of a file events should be written to/from.
//// \item @|string = obj.GetFileName ()| -  Set/Get the name of a file events should be written to/from.
//// \item @|obj.Record ()| -  Invoke this method to begin recording events. The events will be
// recorded to the filename indicated.
//// \item @|obj.Play ()| -  Invoke this method to begin playing events from the current position.
// The events will be played back from the filename indicated.
//// \item @|obj.Stop ()| -  Invoke this method to stop recording/playing events.
//// \item @|obj.Rewind ()| -  Rewind to the beginning of the file.
//// \item @|obj.SetReadFromInputString (int )| -  Enable reading from an InputString as compared to the default
// behavior, which is to read from a file.
//// \item @|int = obj.GetReadFromInputString ()| -  Enable reading from an InputString as compared to the default
// behavior, which is to read from a file.
//// \item @|obj.ReadFromInputStringOn ()| -  Enable reading from an InputString as compared to the default
// behavior, which is to read from a file.
//// \item @|obj.ReadFromInputStringOff ()| -  Enable reading from an InputString as compared to the default
// behavior, which is to read from a file.
//// \item @|obj.SetInputString (string )| -  Set/Get the string to read from.
//// \item @|string = obj.GetInputString ()| -  Set/Get the string to read from.
////\end{itemize}
//!
