#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInteractorObserver object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInteractorObserver.h"

//@@Signature
//sfunction @vtkInteractorObserver:vtkInteractorObserver vtkInteractorObserverConstructorFunction
//input a
//output p
//@@Parents vtkInteractorObserver vtkObject 
ArrayVector vtkInteractorObserverConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInteractorObserver::New(),"vtkInteractorObserver",eval);
  } else if (arg[0].className() == "vtkInteractorObserver") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInteractorObserver"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInteractorObserver");
    vtkInteractorObserver*q = reinterpret_cast<vtkInteractorObserver*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInteractorObserver");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInteractorObserver:GetClassName vtkInteractorObserverGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInteractorObserverGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:IsA vtkInteractorObserverIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorObserverIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInteractorObserver requires 2 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:NewInstance vtkInteractorObserverNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInteractorObserverNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorObserver *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  vtkInteractorObserver  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorObserver",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:SafeDownCast vtkInteractorObserverSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorObserverSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorObserver *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInteractorObserver requires 2 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInteractorObserver  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorObserver",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:SetEnabled vtkInteractorObserverSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorObserverSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkInteractorObserver requires 2 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:GetEnabled vtkInteractorObserverGetEnabledFunction
//input a0 
//output y
ArrayVector vtkInteractorObserverGetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEnabled ();return this Enabled  */
  if (arg.size() < 1) 
    throw Exception("Function GetEnabled for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEnabled();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:EnabledOn vtkInteractorObserverEnabledOnFunction
//input a0 
//output none
ArrayVector vtkInteractorObserverEnabledOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnabledOn ();this SetEnabled  */
  if (arg.size() < 1) 
    throw Exception("Function EnabledOn for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  vtk_pointer->EnabledOn();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:EnabledOff vtkInteractorObserverEnabledOffFunction
//input a0 
//output none
ArrayVector vtkInteractorObserverEnabledOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnabledOff ();this SetEnabled  */
  if (arg.size() < 1) 
    throw Exception("Function EnabledOff for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  vtk_pointer->EnabledOff();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:On vtkInteractorObserverOnFunction
//input a0 
//output none
ArrayVector vtkInteractorObserverOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void On ();this SetEnabled  */
  if (arg.size() < 1) 
    throw Exception("Function On for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  vtk_pointer->On();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:Off vtkInteractorObserverOffFunction
//input a0 
//output none
ArrayVector vtkInteractorObserverOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Off ();this SetEnabled  */
  if (arg.size() < 1) 
    throw Exception("Function Off for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  vtk_pointer->Off();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:SetInteractor vtkInteractorObserverSetInteractorFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorObserverSetInteractorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInteractor (vtkRenderWindowInteractor *iren); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractor for class vtkInteractorObserver requires 2 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindowInteractor>(arg[1]);
  vtk_pointer->SetInteractor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:GetInteractor vtkInteractorObserverGetInteractorFunction
//input a0 
//output y
ArrayVector vtkInteractorObserverGetInteractorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindowInteractor *GetInteractor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteractor for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp20;
  temp20 = (vtk_pointer)->GetInteractor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindowInteractor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:SetPriority vtkInteractorObserverSetPriorityFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorObserverSetPriorityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPriority (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPriority for class vtkInteractorObserver requires 2 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPriority(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:GetPriorityMinValue vtkInteractorObserverGetPriorityMinValueFunction
//input a0 
//output y
ArrayVector vtkInteractorObserverGetPriorityMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetPriorityMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPriorityMinValue for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetPriorityMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:GetPriorityMaxValue vtkInteractorObserverGetPriorityMaxValueFunction
//input a0 
//output y
ArrayVector vtkInteractorObserverGetPriorityMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetPriorityMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPriorityMaxValue for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetPriorityMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:GetPriority vtkInteractorObserverGetPriorityFunction
//input a0 
//output y
ArrayVector vtkInteractorObserverGetPriorityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetPriority (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPriority for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetPriority();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:SetKeyPressActivation vtkInteractorObserverSetKeyPressActivationFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorObserverSetKeyPressActivationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKeyPressActivation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetKeyPressActivation for class vtkInteractorObserver requires 2 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetKeyPressActivation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:GetKeyPressActivation vtkInteractorObserverGetKeyPressActivationFunction
//input a0 
//output y
ArrayVector vtkInteractorObserverGetKeyPressActivationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetKeyPressActivation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyPressActivation for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetKeyPressActivation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:KeyPressActivationOn vtkInteractorObserverKeyPressActivationOnFunction
//input a0 
//output none
ArrayVector vtkInteractorObserverKeyPressActivationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void KeyPressActivationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function KeyPressActivationOn for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  vtk_pointer->KeyPressActivationOn();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:KeyPressActivationOff vtkInteractorObserverKeyPressActivationOffFunction
//input a0 
//output none
ArrayVector vtkInteractorObserverKeyPressActivationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void KeyPressActivationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function KeyPressActivationOff for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  vtk_pointer->KeyPressActivationOff();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:SetKeyPressActivationValue vtkInteractorObserverSetKeyPressActivationValueFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorObserverSetKeyPressActivationValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKeyPressActivationValue (char ); */
  if (arg.size() < 2) 
    throw Exception("Function SetKeyPressActivationValue for class vtkInteractorObserver requires 2 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  char     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (char) arg[1].asDouble();
  vtk_pointer->SetKeyPressActivationValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:GetKeyPressActivationValue vtkInteractorObserverGetKeyPressActivationValueFunction
//input a0 
//output y
ArrayVector vtkInteractorObserverGetKeyPressActivationValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char GetKeyPressActivationValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyPressActivationValue for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  char     temp20;
  temp20 = (vtk_pointer)->GetKeyPressActivationValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:GetDefaultRenderer vtkInteractorObserverGetDefaultRendererFunction
//input a0 
//output y
ArrayVector vtkInteractorObserverGetDefaultRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetDefaultRenderer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultRenderer for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetDefaultRenderer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:SetDefaultRenderer vtkInteractorObserverSetDefaultRendererFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorObserverSetDefaultRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDefaultRenderer (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultRenderer for class vtkInteractorObserver requires 2 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetDefaultRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:GetCurrentRenderer vtkInteractorObserverGetCurrentRendererFunction
//input a0 
//output y
ArrayVector vtkInteractorObserverGetCurrentRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetCurrentRenderer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentRenderer for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetCurrentRenderer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:SetCurrentRenderer vtkInteractorObserverSetCurrentRendererFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorObserverSetCurrentRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCurrentRenderer (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCurrentRenderer for class vtkInteractorObserver requires 2 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetCurrentRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:OnChar vtkInteractorObserverOnCharFunction
//input a0 
//output none
ArrayVector vtkInteractorObserverOnCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnChar (); */
  if (arg.size() < 1) 
    throw Exception("Function OnChar for class vtkInteractorObserver requires 1 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  vtk_pointer->OnChar();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:ComputeDisplayToWorld__1 vtkInteractorObserverComputeDisplayToWorld__1Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkInteractorObserverComputeDisplayToWorld__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ComputeDisplayToWorld (vtkRenderer *ren, double x, double y, double z, double worldPt[4]); */
  if (arg.size() < 6) 
    throw Exception("Function ComputeDisplayToWorld__1 for class vtkInteractorObserver requires 6 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double temp4[4];
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !(arg[5].isVector() && arg[5].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  vtk_pointer->ComputeDisplayToWorld(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:ComputeWorldToDisplay__1 vtkInteractorObserverComputeWorldToDisplay__1Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkInteractorObserverComputeWorldToDisplay__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ComputeWorldToDisplay (vtkRenderer *ren, double x, double y, double z, double displayPt[3]); */
  if (arg.size() < 6) 
    throw Exception("Function ComputeWorldToDisplay__1 for class vtkInteractorObserver requires 6 argument(s)");
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double temp4[3];
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !(arg[5].isVector() && arg[5].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  vtk_pointer->ComputeWorldToDisplay(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorObserver:ComputeDisplayToWorld vtkInteractorObserverComputeDisplayToWorldFunction
//input varargin
//output varargout
ArrayVector vtkInteractorObserverComputeDisplayToWorldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsVectorArg(arg[5]))
    return vtkInteractorObserverComputeDisplayToWorld__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInteractorObserverComputeDisplayToWorld");
}

//@@Signature
//sfunction @vtkInteractorObserver:ComputeWorldToDisplay vtkInteractorObserverComputeWorldToDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInteractorObserverComputeWorldToDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsVectorArg(arg[5]))
    return vtkInteractorObserverComputeWorldToDisplay__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInteractorObserverComputeWorldToDisplay");
}

//@@Signature
//sfunction @vtkInteractorObserver:display vtkInteractorObserverDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInteractorObserverDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInteractorObserver* vtk_pointer = GetVTKPointer<vtkInteractorObserver>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInteractorObserver:delete vtkInteractorObserverDeleteFunction
//input varargin
//output none
ArrayVector vtkInteractorObserverDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInteractorObserver
//@@Section VTKRendering
//@@Usage
// vtkInteractorObserver is an abstract superclass for subclasses that observe
// events invoked by vtkRenderWindowInteractor. These subclasses are 
// typically things like 3D widgets; objects that interact with actors
// in the scene, or interactively probe the scene for information.
//
// vtkInteractorObserver defines the method SetInteractor() and enables and
// disables the processing of events by the vtkInteractorObserver. Use the
// methods EnabledOn() or SetEnabled(1) to turn on the interactor observer,
// and the methods EnabledOff() or SetEnabled(0) to turn off the interactor.
// Initial value is 0.
//
// To support interactive manipulation of objects, this class (and
// subclasses) invoke the events StartInteractionEvent, InteractionEvent, and
// EndInteractionEvent.  These events are invoked when the
// vtkInteractorObserver enters a state where rapid response is desired:
// mouse motion, etc. The events can be used, for example, to set the desired
// update frame rate (StartInteractionEvent), operate on data or update a
// pipeline (InteractionEvent), and set the desired frame rate back to normal
// values (EndInteractionEvent). Two other events, EnableEvent and
// DisableEvent, are invoked when the interactor observer is enabled or
// disabled.
//
//To create an instance of class vtkInteractorObserver, simply
//invoke its constructor as follows
//@[
//  obj = vtkInteractorObserver
//@]
//@@Methods
//The class vtkInteractorObserver has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInteractorObserver class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInteractorObserver = obj.NewInstance ()|
// \item @|vtkInteractorObserver = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetEnabled (int )| -  Methods for turning the interactor observer on and off, and determining
// its state. All subclasses must provide the SetEnabled() method.
// Enabling a vtkInteractorObserver has the side effect of adding
// observers; disabling it removes the observers. Prior to enabling the
// vtkInteractorObserver you must set the render window interactor (via
// SetInteractor()). Initial value is 0.
//// \item @|int = obj.GetEnabled ()| -  Methods for turning the interactor observer on and off, and determining
// its state. All subclasses must provide the SetEnabled() method.
// Enabling a vtkInteractorObserver has the side effect of adding
// observers; disabling it removes the observers. Prior to enabling the
// vtkInteractorObserver you must set the render window interactor (via
// SetInteractor()). Initial value is 0.
//// \item @|obj.EnabledOn ()| -  Methods for turning the interactor observer on and off, and determining
// its state. All subclasses must provide the SetEnabled() method.
// Enabling a vtkInteractorObserver has the side effect of adding
// observers; disabling it removes the observers. Prior to enabling the
// vtkInteractorObserver you must set the render window interactor (via
// SetInteractor()). Initial value is 0.
//// \item @|obj.EnabledOff ()| -  Methods for turning the interactor observer on and off, and determining
// its state. All subclasses must provide the SetEnabled() method.
// Enabling a vtkInteractorObserver has the side effect of adding
// observers; disabling it removes the observers. Prior to enabling the
// vtkInteractorObserver you must set the render window interactor (via
// SetInteractor()). Initial value is 0.
//// \item @|obj.On ()| -  Methods for turning the interactor observer on and off, and determining
// its state. All subclasses must provide the SetEnabled() method.
// Enabling a vtkInteractorObserver has the side effect of adding
// observers; disabling it removes the observers. Prior to enabling the
// vtkInteractorObserver you must set the render window interactor (via
// SetInteractor()). Initial value is 0.
//// \item @|obj.Off ()| -  This method is used to associate the widget with the render window
// interactor.  Observers of the appropriate events invoked in the render
// window interactor are set up as a result of this method invocation.
// The SetInteractor() method must be invoked prior to enabling the
// vtkInteractorObserver.
//// \item @|obj.SetInteractor (vtkRenderWindowInteractor iren)| -  This method is used to associate the widget with the render window
// interactor.  Observers of the appropriate events invoked in the render
// window interactor are set up as a result of this method invocation.
// The SetInteractor() method must be invoked prior to enabling the
// vtkInteractorObserver.
//// \item @|vtkRenderWindowInteractor = obj.GetInteractor ()| -  This method is used to associate the widget with the render window
// interactor.  Observers of the appropriate events invoked in the render
// window interactor are set up as a result of this method invocation.
// The SetInteractor() method must be invoked prior to enabling the
// vtkInteractorObserver.
//// \item @|obj.SetPriority (float )| -  Set/Get the priority at which events are processed. This is used when
// multiple interactor observers are used simultaneously. The default value
// is 0.0 (lowest priority.) Note that when multiple interactor observer
// have the same priority, then the last observer added will process the
// event first. (Note: once the SetInteractor() method has been called,
// changing the priority does not effect event processing. You will have
// to SetInteractor(NULL), change priority, and then SetInteractor(iren)
// to have the priority take effect.)
//// \item @|float = obj.GetPriorityMinValue ()| -  Set/Get the priority at which events are processed. This is used when
// multiple interactor observers are used simultaneously. The default value
// is 0.0 (lowest priority.) Note that when multiple interactor observer
// have the same priority, then the last observer added will process the
// event first. (Note: once the SetInteractor() method has been called,
// changing the priority does not effect event processing. You will have
// to SetInteractor(NULL), change priority, and then SetInteractor(iren)
// to have the priority take effect.)
//// \item @|float = obj.GetPriorityMaxValue ()| -  Set/Get the priority at which events are processed. This is used when
// multiple interactor observers are used simultaneously. The default value
// is 0.0 (lowest priority.) Note that when multiple interactor observer
// have the same priority, then the last observer added will process the
// event first. (Note: once the SetInteractor() method has been called,
// changing the priority does not effect event processing. You will have
// to SetInteractor(NULL), change priority, and then SetInteractor(iren)
// to have the priority take effect.)
//// \item @|float = obj.GetPriority ()| -  Set/Get the priority at which events are processed. This is used when
// multiple interactor observers are used simultaneously. The default value
// is 0.0 (lowest priority.) Note that when multiple interactor observer
// have the same priority, then the last observer added will process the
// event first. (Note: once the SetInteractor() method has been called,
// changing the priority does not effect event processing. You will have
// to SetInteractor(NULL), change priority, and then SetInteractor(iren)
// to have the priority take effect.)
//// \item @|obj.SetKeyPressActivation (int )| -  Enable/Disable of the use of a keypress to turn on and off the
// interactor observer. (By default, the keypress is 'i' for "interactor
// observer".)  Set the KeyPressActivationValue to change which key
// activates the widget.)
//// \item @|int = obj.GetKeyPressActivation ()| -  Enable/Disable of the use of a keypress to turn on and off the
// interactor observer. (By default, the keypress is 'i' for "interactor
// observer".)  Set the KeyPressActivationValue to change which key
// activates the widget.)
//// \item @|obj.KeyPressActivationOn ()| -  Enable/Disable of the use of a keypress to turn on and off the
// interactor observer. (By default, the keypress is 'i' for "interactor
// observer".)  Set the KeyPressActivationValue to change which key
// activates the widget.)
//// \item @|obj.KeyPressActivationOff ()| -  Enable/Disable of the use of a keypress to turn on and off the
// interactor observer. (By default, the keypress is 'i' for "interactor
// observer".)  Set the KeyPressActivationValue to change which key
// activates the widget.)
//// \item @|obj.SetKeyPressActivationValue (char )| -  Specify which key press value to use to activate the interactor observer
// (if key press activation is enabled). By default, the key press
// activation value is 'i'. Note: once the SetInteractor() method is
// invoked, changing the key press activation value will not affect the key
// press until SetInteractor(NULL)/SetInteractor(iren) is called.
//// \item @|char = obj.GetKeyPressActivationValue ()| -  Specify which key press value to use to activate the interactor observer
// (if key press activation is enabled). By default, the key press
// activation value is 'i'. Note: once the SetInteractor() method is
// invoked, changing the key press activation value will not affect the key
// press until SetInteractor(NULL)/SetInteractor(iren) is called.
//// \item @|vtkRenderer = obj.GetDefaultRenderer ()| -  Set/Get the default renderer to use when activating the interactor 
// observer. Normally when the widget is activated (SetEnabled(1) or when 
// keypress activation takes place), the renderer over which the mouse
// pointer is positioned is used. Alternatively, you can specify the
// renderer to bind the interactor to when the interactor observer is
// activated. 
//// \item @|obj.SetDefaultRenderer (vtkRenderer )| -  Set/Get the default renderer to use when activating the interactor 
// observer. Normally when the widget is activated (SetEnabled(1) or when 
// keypress activation takes place), the renderer over which the mouse
// pointer is positioned is used. Alternatively, you can specify the
// renderer to bind the interactor to when the interactor observer is
// activated. 
//// \item @|vtkRenderer = obj.GetCurrentRenderer ()| -  Set/Get the current renderer. Normally when the widget is activated 
// (SetEnabled(1) or when keypress activation takes place), the renderer
// over which the mouse pointer is positioned is used and assigned to
// this Ivar. Alternatively, you might want to set the CurrentRenderer
// explicitly.
// WARNING: note that if the DefaultRenderer Ivar is set (see above), 
// it will always override the parameter passed to SetCurrentRenderer,
// unless it is NULL.
// (i.e., SetCurrentRenderer(foo) = SetCurrentRenderer(DefaultRenderer).
//// \item @|obj.SetCurrentRenderer (vtkRenderer )| -  Set/Get the current renderer. Normally when the widget is activated 
// (SetEnabled(1) or when keypress activation takes place), the renderer
// over which the mouse pointer is positioned is used and assigned to
// this Ivar. Alternatively, you might want to set the CurrentRenderer
// explicitly.
// WARNING: note that if the DefaultRenderer Ivar is set (see above), 
// it will always override the parameter passed to SetCurrentRenderer,
// unless it is NULL.
// (i.e., SetCurrentRenderer(foo) = SetCurrentRenderer(DefaultRenderer).
//// \item @|obj.OnChar ()| -  Sets up the keypress-i event. 
////\end{itemize}
//!
