#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInteractorStyle object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInteractorStyle.h"

//@@Signature
//sfunction @vtkInteractorStyle:vtkInteractorStyle vtkInteractorStyleConstructorFunction
//input a
//output p
//@@Parents vtkInteractorStyle vtkInteractorObserver 
ArrayVector vtkInteractorStyleConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInteractorStyle::New(),"vtkInteractorStyle",eval);
  } else if (arg[0].className() == "vtkInteractorStyle") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInteractorStyle"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInteractorStyle");
    vtkInteractorStyle*q = reinterpret_cast<vtkInteractorStyle*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInteractorStyle");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInteractorStyle:GetClassName vtkInteractorStyleGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:IsA vtkInteractorStyleIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInteractorStyle requires 2 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:NewInstance vtkInteractorStyleNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyle *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtkInteractorStyle  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyle",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:SafeDownCast vtkInteractorStyleSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyle *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInteractorStyle requires 2 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInteractorStyle  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyle",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:SetInteractor vtkInteractorStyleSetInteractorFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleSetInteractorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInteractor (vtkRenderWindowInteractor *interactor); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractor for class vtkInteractorStyle requires 2 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindowInteractor>(arg[1]);
  vtk_pointer->SetInteractor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:SetEnabled vtkInteractorStyleSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkInteractorStyle requires 2 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:SetAutoAdjustCameraClippingRange vtkInteractorStyleSetAutoAdjustCameraClippingRangeFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleSetAutoAdjustCameraClippingRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutoAdjustCameraClippingRange (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutoAdjustCameraClippingRange for class vtkInteractorStyle requires 2 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutoAdjustCameraClippingRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:GetAutoAdjustCameraClippingRangeMinValue vtkInteractorStyleGetAutoAdjustCameraClippingRangeMinValueFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleGetAutoAdjustCameraClippingRangeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustCameraClippingRangeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustCameraClippingRangeMinValue for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustCameraClippingRangeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:GetAutoAdjustCameraClippingRangeMaxValue vtkInteractorStyleGetAutoAdjustCameraClippingRangeMaxValueFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleGetAutoAdjustCameraClippingRangeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustCameraClippingRangeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustCameraClippingRangeMaxValue for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustCameraClippingRangeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:GetAutoAdjustCameraClippingRange vtkInteractorStyleGetAutoAdjustCameraClippingRangeFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleGetAutoAdjustCameraClippingRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustCameraClippingRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustCameraClippingRange for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustCameraClippingRange();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:AutoAdjustCameraClippingRangeOn vtkInteractorStyleAutoAdjustCameraClippingRangeOnFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleAutoAdjustCameraClippingRangeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoAdjustCameraClippingRangeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoAdjustCameraClippingRangeOn for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->AutoAdjustCameraClippingRangeOn();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:AutoAdjustCameraClippingRangeOff vtkInteractorStyleAutoAdjustCameraClippingRangeOffFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleAutoAdjustCameraClippingRangeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoAdjustCameraClippingRangeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoAdjustCameraClippingRangeOff for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->AutoAdjustCameraClippingRangeOff();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:FindPokedRenderer vtkInteractorStyleFindPokedRendererFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInteractorStyleFindPokedRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FindPokedRenderer (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function FindPokedRenderer for class vtkInteractorStyle requires 3 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->FindPokedRenderer(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:GetState vtkInteractorStyleGetStateFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleGetStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetState (); */
  if (arg.size() < 1) 
    throw Exception("Function GetState for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetState();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:GetUseTimers vtkInteractorStyleGetUseTimersFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleGetUseTimersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseTimers (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseTimers for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseTimers();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:SetUseTimers vtkInteractorStyleSetUseTimersFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleSetUseTimersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseTimers (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseTimers for class vtkInteractorStyle requires 2 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseTimers(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:UseTimersOn vtkInteractorStyleUseTimersOnFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUseTimersOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseTimersOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseTimersOn for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->UseTimersOn();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:UseTimersOff vtkInteractorStyleUseTimersOffFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUseTimersOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseTimersOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseTimersOff for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->UseTimersOff();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:SetTimerDuration vtkInteractorStyleSetTimerDurationFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleSetTimerDurationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimerDuration (unsigned long ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimerDuration for class vtkInteractorStyle requires 2 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  unsigned long     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  vtk_pointer->SetTimerDuration(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:GetTimerDurationMinValue vtkInteractorStyleGetTimerDurationMinValueFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleGetTimerDurationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned GetTimerDurationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimerDurationMinValue for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetTimerDurationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:GetTimerDurationMaxValue vtkInteractorStyleGetTimerDurationMaxValueFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleGetTimerDurationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned GetTimerDurationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimerDurationMaxValue for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetTimerDurationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:GetTimerDuration vtkInteractorStyleGetTimerDurationFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleGetTimerDurationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long unsigned GetTimerDuration (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimerDuration for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetTimerDuration();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:SetHandleObservers vtkInteractorStyleSetHandleObserversFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleSetHandleObserversFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleObservers (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleObservers for class vtkInteractorStyle requires 2 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetHandleObservers(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:GetHandleObservers vtkInteractorStyleGetHandleObserversFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleGetHandleObserversFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHandleObservers (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleObservers for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHandleObservers();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:HandleObserversOn vtkInteractorStyleHandleObserversOnFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleHandleObserversOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandleObserversOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HandleObserversOn for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->HandleObserversOn();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:HandleObserversOff vtkInteractorStyleHandleObserversOffFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleHandleObserversOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandleObserversOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HandleObserversOff for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->HandleObserversOff();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnMouseMove vtkInteractorStyleOnMouseMoveFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnMouseMoveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMouseMove (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMouseMove for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnMouseMove();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnLeftButtonDown vtkInteractorStyleOnLeftButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnLeftButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeftButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeftButtonDown for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnLeftButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnLeftButtonUp vtkInteractorStyleOnLeftButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnLeftButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeftButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeftButtonUp for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnLeftButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnMiddleButtonDown vtkInteractorStyleOnMiddleButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnMiddleButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMiddleButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMiddleButtonDown for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnMiddleButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnMiddleButtonUp vtkInteractorStyleOnMiddleButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnMiddleButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMiddleButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMiddleButtonUp for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnMiddleButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnRightButtonDown vtkInteractorStyleOnRightButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnRightButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnRightButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnRightButtonDown for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnRightButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnRightButtonUp vtkInteractorStyleOnRightButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnRightButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnRightButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnRightButtonUp for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnRightButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnMouseWheelForward vtkInteractorStyleOnMouseWheelForwardFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnMouseWheelForwardFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMouseWheelForward (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMouseWheelForward for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnMouseWheelForward();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnMouseWheelBackward vtkInteractorStyleOnMouseWheelBackwardFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnMouseWheelBackwardFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMouseWheelBackward (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMouseWheelBackward for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnMouseWheelBackward();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnChar vtkInteractorStyleOnCharFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnChar (); */
  if (arg.size() < 1) 
    throw Exception("Function OnChar for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnChar();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnKeyDown vtkInteractorStyleOnKeyDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnKeyDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnKeyDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnKeyDown for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnKeyDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnKeyUp vtkInteractorStyleOnKeyUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnKeyUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnKeyUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnKeyUp for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnKeyUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnKeyPress vtkInteractorStyleOnKeyPressFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnKeyPressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnKeyPress (); */
  if (arg.size() < 1) 
    throw Exception("Function OnKeyPress for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnKeyPress();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnKeyRelease vtkInteractorStyleOnKeyReleaseFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnKeyReleaseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnKeyRelease (); */
  if (arg.size() < 1) 
    throw Exception("Function OnKeyRelease for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnKeyRelease();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnExpose vtkInteractorStyleOnExposeFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnExposeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnExpose (); */
  if (arg.size() < 1) 
    throw Exception("Function OnExpose for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnExpose();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnConfigure vtkInteractorStyleOnConfigureFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnConfigureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnConfigure (); */
  if (arg.size() < 1) 
    throw Exception("Function OnConfigure for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnConfigure();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnEnter vtkInteractorStyleOnEnterFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnEnterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnEnter (); */
  if (arg.size() < 1) 
    throw Exception("Function OnEnter for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnEnter();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnLeave vtkInteractorStyleOnLeaveFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnLeaveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeave (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeave for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnLeave();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:OnTimer vtkInteractorStyleOnTimerFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleOnTimerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnTimer (); */
  if (arg.size() < 1) 
    throw Exception("Function OnTimer for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->OnTimer();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:Rotate vtkInteractorStyleRotateFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleRotateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Rotate (); */
  if (arg.size() < 1) 
    throw Exception("Function Rotate for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->Rotate();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:Spin vtkInteractorStyleSpinFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleSpinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Spin (); */
  if (arg.size() < 1) 
    throw Exception("Function Spin for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->Spin();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:Pan vtkInteractorStylePanFunction
//input a0 
//output none
ArrayVector vtkInteractorStylePanFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Pan (); */
  if (arg.size() < 1) 
    throw Exception("Function Pan for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->Pan();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:Dolly vtkInteractorStyleDollyFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleDollyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Dolly (); */
  if (arg.size() < 1) 
    throw Exception("Function Dolly for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->Dolly();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:Zoom vtkInteractorStyleZoomFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleZoomFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Zoom (); */
  if (arg.size() < 1) 
    throw Exception("Function Zoom for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->Zoom();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:UniformScale vtkInteractorStyleUniformScaleFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUniformScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UniformScale (); */
  if (arg.size() < 1) 
    throw Exception("Function UniformScale for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->UniformScale();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:StartState vtkInteractorStyleStartStateFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleStartStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartState (int newstate); */
  if (arg.size() < 2) 
    throw Exception("Function StartState for class vtkInteractorStyle requires 2 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->StartState(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:StopState vtkInteractorStyleStopStateFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleStopStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StopState (); */
  if (arg.size() < 1) 
    throw Exception("Function StopState for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->StopState();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:StartAnimate vtkInteractorStyleStartAnimateFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleStartAnimateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartAnimate (); */
  if (arg.size() < 1) 
    throw Exception("Function StartAnimate for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->StartAnimate();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:StopAnimate vtkInteractorStyleStopAnimateFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleStopAnimateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StopAnimate (); */
  if (arg.size() < 1) 
    throw Exception("Function StopAnimate for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->StopAnimate();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:StartRotate vtkInteractorStyleStartRotateFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleStartRotateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartRotate (); */
  if (arg.size() < 1) 
    throw Exception("Function StartRotate for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->StartRotate();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:EndRotate vtkInteractorStyleEndRotateFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleEndRotateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndRotate (); */
  if (arg.size() < 1) 
    throw Exception("Function EndRotate for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->EndRotate();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:StartZoom vtkInteractorStyleStartZoomFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleStartZoomFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartZoom (); */
  if (arg.size() < 1) 
    throw Exception("Function StartZoom for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->StartZoom();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:EndZoom vtkInteractorStyleEndZoomFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleEndZoomFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndZoom (); */
  if (arg.size() < 1) 
    throw Exception("Function EndZoom for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->EndZoom();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:StartPan vtkInteractorStyleStartPanFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleStartPanFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartPan (); */
  if (arg.size() < 1) 
    throw Exception("Function StartPan for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->StartPan();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:EndPan vtkInteractorStyleEndPanFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleEndPanFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndPan (); */
  if (arg.size() < 1) 
    throw Exception("Function EndPan for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->EndPan();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:StartSpin vtkInteractorStyleStartSpinFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleStartSpinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartSpin (); */
  if (arg.size() < 1) 
    throw Exception("Function StartSpin for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->StartSpin();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:EndSpin vtkInteractorStyleEndSpinFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleEndSpinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndSpin (); */
  if (arg.size() < 1) 
    throw Exception("Function EndSpin for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->EndSpin();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:StartDolly vtkInteractorStyleStartDollyFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleStartDollyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartDolly (); */
  if (arg.size() < 1) 
    throw Exception("Function StartDolly for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->StartDolly();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:EndDolly vtkInteractorStyleEndDollyFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleEndDollyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndDolly (); */
  if (arg.size() < 1) 
    throw Exception("Function EndDolly for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->EndDolly();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:StartUniformScale vtkInteractorStyleStartUniformScaleFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleStartUniformScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartUniformScale (); */
  if (arg.size() < 1) 
    throw Exception("Function StartUniformScale for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->StartUniformScale();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:EndUniformScale vtkInteractorStyleEndUniformScaleFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleEndUniformScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndUniformScale (); */
  if (arg.size() < 1) 
    throw Exception("Function EndUniformScale for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->EndUniformScale();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:StartTimer vtkInteractorStyleStartTimerFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleStartTimerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartTimer (); */
  if (arg.size() < 1) 
    throw Exception("Function StartTimer for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->StartTimer();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:EndTimer vtkInteractorStyleEndTimerFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleEndTimerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndTimer (); */
  if (arg.size() < 1) 
    throw Exception("Function EndTimer for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtk_pointer->EndTimer();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:HighlightProp vtkInteractorStyleHighlightPropFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleHighlightPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void HighlightProp (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function HighlightProp for class vtkInteractorStyle requires 2 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->HighlightProp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:HighlightActor2D vtkInteractorStyleHighlightActor2DFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleHighlightActor2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void HighlightActor2D (vtkActor2D *actor2D); */
  if (arg.size() < 2) 
    throw Exception("Function HighlightActor2D for class vtkInteractorStyle requires 2 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtkActor2D  *temp0;
  temp0 = GetVTKPointer<vtkActor2D>(arg[1]);
  vtk_pointer->HighlightActor2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:HighlightProp3D vtkInteractorStyleHighlightProp3DFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleHighlightProp3DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void HighlightProp3D (vtkProp3D *prop3D); */
  if (arg.size() < 2) 
    throw Exception("Function HighlightProp3D for class vtkInteractorStyle requires 2 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtkProp3D  *temp0;
  temp0 = GetVTKPointer<vtkProp3D>(arg[1]);
  vtk_pointer->HighlightProp3D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:SetPickColor__1 vtkInteractorStyleSetPickColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInteractorStyleSetPickColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPickColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetPickColor__1 for class vtkInteractorStyle requires 4 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPickColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:SetPickColor__2 vtkInteractorStyleSetPickColor__2Function
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleSetPickColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPickColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPickColor__2 for class vtkInteractorStyle requires 2 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPickColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:GetPickColor vtkInteractorStyleGetPickColorFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleGetPickColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPickColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPickColor for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPickColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:SetMouseWheelMotionFactor vtkInteractorStyleSetMouseWheelMotionFactorFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleSetMouseWheelMotionFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMouseWheelMotionFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMouseWheelMotionFactor for class vtkInteractorStyle requires 2 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMouseWheelMotionFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:GetMouseWheelMotionFactor vtkInteractorStyleGetMouseWheelMotionFactorFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleGetMouseWheelMotionFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMouseWheelMotionFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMouseWheelMotionFactor for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMouseWheelMotionFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:GetTDxStyle vtkInteractorStyleGetTDxStyleFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleGetTDxStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTDxInteractorStyle *GetTDxStyle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTDxStyle for class vtkInteractorStyle requires 1 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtkTDxInteractorStyle  *temp20;
  temp20 = (vtk_pointer)->GetTDxStyle();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTDxInteractorStyle",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:SetTDxStyle vtkInteractorStyleSetTDxStyleFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleSetTDxStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTDxStyle (vtkTDxInteractorStyle *tdxStyle); */
  if (arg.size() < 2) 
    throw Exception("Function SetTDxStyle for class vtkInteractorStyle requires 2 argument(s)");
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  Array retval;
  vtkTDxInteractorStyle  *temp0;
  temp0 = GetVTKPointer<vtkTDxInteractorStyle>(arg[1]);
  vtk_pointer->SetTDxStyle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyle:SetPickColor vtkInteractorStyleSetPickColorFunction
//input varargin
//output varargout
ArrayVector vtkInteractorStyleSetPickColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkInteractorStyleSetPickColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkInteractorStyleSetPickColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInteractorStyleSetPickColor");
}

//@@Signature
//sfunction @vtkInteractorStyle:display vtkInteractorStyleDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInteractorStyleDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInteractorStyle* vtk_pointer = GetVTKPointer<vtkInteractorStyle>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInteractorStyle:delete vtkInteractorStyleDeleteFunction
//input varargin
//output none
ArrayVector vtkInteractorStyleDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInteractorStyle
//@@Section VTKRendering
//@@Usage
// vtkInteractorStyle is a base class implementing the majority of motion
// control routines and defines an event driven interface to support
// vtkRenderWindowInteractor. vtkRenderWindowInteractor implements 
// platform dependent key/mouse routing and timer control, which forwards
// events in a neutral form to vtkInteractorStyle.
//
// vtkInteractorStyle implements the "joystick" style of interaction. That
// is, holding down the mouse keys generates a stream of events that cause
// continuous actions (e.g., rotate, translate, pan, zoom). (The class
// vtkInteractorStyleTrackball implements a grab and move style.) The event
// bindings for this class include the following:
// - Keypress j / Keypress t: toggle between joystick (position sensitive) and
// trackball (motion sensitive) styles. In joystick style, motion occurs
// continuously as long as a mouse button is pressed. In trackball style,
// motion occurs when the mouse button is pressed and the mouse pointer
// moves.
// - Keypress c / Keypress a: toggle between camera and actor modes. In
// camera mode, mouse events affect the camera position and focal point. In
// actor mode, mouse events affect the actor that is under the mouse pointer.
// - Button 1: rotate the camera around its focal point (if camera mode) or
// rotate the actor around its origin (if actor mode). The rotation is in the
// direction defined from the center of the renderer's viewport towards
// the mouse position. In joystick mode, the magnitude of the rotation is
// determined by the distance the mouse is from the center of the render
// window.
// - Button 2: pan the camera (if camera mode) or translate the actor (if
// actor mode). In joystick mode, the direction of pan or translation is
// from the center of the viewport towards the mouse position. In trackball
// mode, the direction of motion is the direction the mouse moves. (Note:
// with 2-button mice, pan is defined as \<Shift\>-Button 1.)
// - Button 3: zoom the camera (if camera mode) or scale the actor (if
// actor mode). Zoom in/increase scale if the mouse position is in the top
// half of the viewport; zoom out/decrease scale if the mouse position is in
// the bottom half. In joystick mode, the amount of zoom is controlled by the
// distance of the mouse pointer from the horizontal centerline of the
// window.
// - Keypress 3: toggle the render window into and out of stereo mode. By
// default, red-blue stereo pairs are created. Some systems support Crystal
// Eyes LCD stereo glasses; you have to invoke SetStereoTypeToCrystalEyes()
// on the rendering window.
// - Keypress e: exit the application.
// - Keypress f: fly to the picked point
// - Keypress p: perform a pick operation. The render window interactor has
// an internal instance of vtkCellPicker that it uses to pick. 
// - Keypress r: reset the camera view along the current view
// direction. Centers the actors and moves the camera so that all actors are
// visible.
// - Keypress s: modify the representation of all actors so that they are
// surfaces.  
// - Keypress u: invoke the user-defined function. Typically,
// this keypress will bring up an interactor that you can type commands in.
// Typing u calls UserCallBack() on the vtkRenderWindowInteractor, which
// invokes a vtkCommand::UserEvent. In other words, to define a user-defined
// callback, just add an observer to the vtkCommand::UserEvent on the
// vtkRenderWindowInteractor object. 
// - Keypress w: modify the representation of all actors so that they are
// wireframe.
//
// vtkInteractorStyle can be subclassed to provide new interaction styles and
// a facility to override any of the default mouse/key operations which
// currently handle trackball or joystick styles is provided. Note that this
// class will fire a variety of events that can be watched using an observer,
// such as LeftButtonPressEvent, LeftButtonReleaseEvent,
// MiddleButtonPressEvent, MiddleButtonReleaseEvent, RightButtonPressEvent,
// RightButtonReleaseEvent, EnterEvent, LeaveEvent, KeyPressEvent,
// KeyReleaseEvent, CharEvent, ExposeEvent, ConfigureEvent, TimerEvent,
// MouseMoveEvent,
//
//To create an instance of class vtkInteractorStyle, simply
//invoke its constructor as follows
//@[
//  obj = vtkInteractorStyle
//@]
//@@Methods
//The class vtkInteractorStyle has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInteractorStyle class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInteractorStyle = obj.NewInstance ()|
// \item @|vtkInteractorStyle = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInteractor (vtkRenderWindowInteractor interactor)| -  Set/Get the Interactor wrapper being controlled by this object.
// (Satisfy superclass API.)
//// \item @|obj.SetEnabled (int )| -  Turn on/off this interactor. Interactor styles operate a little
// bit differently than other types of interactor observers. When
// the SetInteractor() method is invoked, the automatically enable
// themselves. This is a legacy requirement, and convenient for the
// user.
//// \item @|obj.SetAutoAdjustCameraClippingRange (int )| -  If AutoAdjustCameraClippingRange is on, then before each render the
// camera clipping range will be adjusted to "fit" the whole scene. Clipping
// will still occur if objects in the scene are behind the camera or
// come very close. If AutoAdjustCameraClippingRange is off, no adjustment
// will be made per render, but the camera clipping range will still
// be reset when the camera is reset.
//// \item @|int = obj.GetAutoAdjustCameraClippingRangeMinValue ()| -  If AutoAdjustCameraClippingRange is on, then before each render the
// camera clipping range will be adjusted to "fit" the whole scene. Clipping
// will still occur if objects in the scene are behind the camera or
// come very close. If AutoAdjustCameraClippingRange is off, no adjustment
// will be made per render, but the camera clipping range will still
// be reset when the camera is reset.
//// \item @|int = obj.GetAutoAdjustCameraClippingRangeMaxValue ()| -  If AutoAdjustCameraClippingRange is on, then before each render the
// camera clipping range will be adjusted to "fit" the whole scene. Clipping
// will still occur if objects in the scene are behind the camera or
// come very close. If AutoAdjustCameraClippingRange is off, no adjustment
// will be made per render, but the camera clipping range will still
// be reset when the camera is reset.
//// \item @|int = obj.GetAutoAdjustCameraClippingRange ()| -  If AutoAdjustCameraClippingRange is on, then before each render the
// camera clipping range will be adjusted to "fit" the whole scene. Clipping
// will still occur if objects in the scene are behind the camera or
// come very close. If AutoAdjustCameraClippingRange is off, no adjustment
// will be made per render, but the camera clipping range will still
// be reset when the camera is reset.
//// \item @|obj.AutoAdjustCameraClippingRangeOn ()| -  If AutoAdjustCameraClippingRange is on, then before each render the
// camera clipping range will be adjusted to "fit" the whole scene. Clipping
// will still occur if objects in the scene are behind the camera or
// come very close. If AutoAdjustCameraClippingRange is off, no adjustment
// will be made per render, but the camera clipping range will still
// be reset when the camera is reset.
//// \item @|obj.AutoAdjustCameraClippingRangeOff ()| -  If AutoAdjustCameraClippingRange is on, then before each render the
// camera clipping range will be adjusted to "fit" the whole scene. Clipping
// will still occur if objects in the scene are behind the camera or
// come very close. If AutoAdjustCameraClippingRange is off, no adjustment
// will be made per render, but the camera clipping range will still
// be reset when the camera is reset.
//// \item @|obj.FindPokedRenderer (int , int )| -  When an event occurs, we must determine which Renderer the event
// occurred within, since one RenderWindow may contain multiple
// renderers. 
//// \item @|int = obj.GetState ()| -  Some useful information for interaction
//// \item @|int = obj.GetUseTimers ()| -  Set/Get timer hint
//// \item @|obj.SetUseTimers (int )| -  Set/Get timer hint
//// \item @|obj.UseTimersOn ()| -  Set/Get timer hint
//// \item @|obj.UseTimersOff ()| -  Set/Get timer hint
//// \item @|obj.SetTimerDuration (long )| -  If using timers, specify the default timer interval (in
// milliseconds). Care must be taken when adjusting the timer interval from
// the default value of 10 milliseconds--it may adversely affect the
// interactors.
//// \item @|GetTimerDurationMinValue = obj.()| -  If using timers, specify the default timer interval (in
// milliseconds). Care must be taken when adjusting the timer interval from
// the default value of 10 milliseconds--it may adversely affect the
// interactors.
//// \item @|GetTimerDurationMaxValue = obj.()| -  If using timers, specify the default timer interval (in
// milliseconds). Care must be taken when adjusting the timer interval from
// the default value of 10 milliseconds--it may adversely affect the
// interactors.
//// \item @|long = obj.GetTimerDuration ()| -  If using timers, specify the default timer interval (in
// milliseconds). Care must be taken when adjusting the timer interval from
// the default value of 10 milliseconds--it may adversely affect the
// interactors.
//// \item @|obj.SetHandleObservers (int )| -  Does ProcessEvents handle observers on this class or not
//// \item @|int = obj.GetHandleObservers ()| -  Does ProcessEvents handle observers on this class or not
//// \item @|obj.HandleObserversOn ()| -  Does ProcessEvents handle observers on this class or not
//// \item @|obj.HandleObserversOff ()| -  Does ProcessEvents handle observers on this class or not
//// \item @|obj.OnMouseMove ()| -  Generic event bindings can be overridden in subclasses
//// \item @|obj.OnLeftButtonDown ()| -  Generic event bindings can be overridden in subclasses
//// \item @|obj.OnLeftButtonUp ()| -  Generic event bindings can be overridden in subclasses
//// \item @|obj.OnMiddleButtonDown ()| -  Generic event bindings can be overridden in subclasses
//// \item @|obj.OnMiddleButtonUp ()| -  Generic event bindings can be overridden in subclasses
//// \item @|obj.OnRightButtonDown ()| -  Generic event bindings can be overridden in subclasses
//// \item @|obj.OnRightButtonUp ()| -  Generic event bindings can be overridden in subclasses
//// \item @|obj.OnMouseWheelForward ()| -  Generic event bindings can be overridden in subclasses
//// \item @|obj.OnMouseWheelBackward ()| -  Generic event bindings can be overridden in subclasses
//// \item @|obj.OnChar ()| -  OnChar is triggered when an ASCII key is pressed. Some basic key presses
// are handled here ('q' for Quit, 'p' for Pick, etc)
//// \item @|obj.OnKeyDown ()|
// \item @|obj.OnKeyUp ()|
// \item @|obj.OnKeyPress ()|
// \item @|obj.OnKeyRelease ()|
// \item @|obj.OnExpose ()| -  These are more esoteric events, but are useful in some cases.
//// \item @|obj.OnConfigure ()| -  These are more esoteric events, but are useful in some cases.
//// \item @|obj.OnEnter ()| -  These are more esoteric events, but are useful in some cases.
//// \item @|obj.OnLeave ()| -  These are more esoteric events, but are useful in some cases.
//// \item @|obj.OnTimer ()| -  OnTimer calls Rotate, Rotate etc which should be overridden by
// style subclasses.
//// \item @|obj.Rotate ()| -  These methods for the different interactions in different modes
// are overridden in subclasses to perform the correct motion. Since
// they might be called from OnTimer, they do not have mouse coord parameters
// (use interactor's GetEventPosition and GetLastEventPosition)
//// \item @|obj.Spin ()| -  These methods for the different interactions in different modes
// are overridden in subclasses to perform the correct motion. Since
// they might be called from OnTimer, they do not have mouse coord parameters
// (use interactor's GetEventPosition and GetLastEventPosition)
//// \item @|obj.Pan ()| -  These methods for the different interactions in different modes
// are overridden in subclasses to perform the correct motion. Since
// they might be called from OnTimer, they do not have mouse coord parameters
// (use interactor's GetEventPosition and GetLastEventPosition)
//// \item @|obj.Dolly ()| -  These methods for the different interactions in different modes
// are overridden in subclasses to perform the correct motion. Since
// they might be called from OnTimer, they do not have mouse coord parameters
// (use interactor's GetEventPosition and GetLastEventPosition)
//// \item @|obj.Zoom ()| -  These methods for the different interactions in different modes
// are overridden in subclasses to perform the correct motion. Since
// they might be called from OnTimer, they do not have mouse coord parameters
// (use interactor's GetEventPosition and GetLastEventPosition)
//// \item @|obj.UniformScale ()| -  These methods for the different interactions in different modes
// are overridden in subclasses to perform the correct motion. Since
// they might be called from OnTimer, they do not have mouse coord parameters
// (use interactor's GetEventPosition and GetLastEventPosition)
//// \item @|obj.StartState (int newstate)| -  utility routines used by state changes
//// \item @|obj.StopState ()| -  utility routines used by state changes
//// \item @|obj.StartAnimate ()| -  Interaction mode entry points used internally.  
//// \item @|obj.StopAnimate ()| -  Interaction mode entry points used internally.  
//// \item @|obj.StartRotate ()| -  Interaction mode entry points used internally.  
//// \item @|obj.EndRotate ()| -  Interaction mode entry points used internally.  
//// \item @|obj.StartZoom ()| -  Interaction mode entry points used internally.  
//// \item @|obj.EndZoom ()| -  Interaction mode entry points used internally.  
//// \item @|obj.StartPan ()| -  Interaction mode entry points used internally.  
//// \item @|obj.EndPan ()| -  Interaction mode entry points used internally.  
//// \item @|obj.StartSpin ()| -  Interaction mode entry points used internally.  
//// \item @|obj.EndSpin ()| -  Interaction mode entry points used internally.  
//// \item @|obj.StartDolly ()| -  Interaction mode entry points used internally.  
//// \item @|obj.EndDolly ()| -  Interaction mode entry points used internally.  
//// \item @|obj.StartUniformScale ()| -  Interaction mode entry points used internally.  
//// \item @|obj.EndUniformScale ()| -  Interaction mode entry points used internally.  
//// \item @|obj.StartTimer ()| -  Interaction mode entry points used internally.  
//// \item @|obj.EndTimer ()| -  Interaction mode entry points used internally.  
//// \item @|obj.HighlightProp (vtkProp prop)| -  When picking successfully selects an actor, this method highlights the
// picked prop appropriately. Currently this is done by placing a bounding 
// box around a picked vtkProp3D, and using the PickColor to highlight a
// vtkProp2D. 
//// \item @|obj.HighlightActor2D (vtkActor2D actor2D)| -  When picking successfully selects an actor, this method highlights the
// picked prop appropriately. Currently this is done by placing a bounding 
// box around a picked vtkProp3D, and using the PickColor to highlight a
// vtkProp2D. 
//// \item @|obj.HighlightProp3D (vtkProp3D prop3D)| -  When picking successfully selects an actor, this method highlights the
// picked prop appropriately. Currently this is done by placing a bounding 
// box around a picked vtkProp3D, and using the PickColor to highlight a
// vtkProp2D. 
//// \item @|obj.SetPickColor (double , double , double )| -  Set/Get the pick color (used by default to color vtkActor2D's).
// The color is expressed as red/green/blue values between (0.0,1.0).
//// \item @|obj.SetPickColor (double  a[3])| -  Set/Get the pick color (used by default to color vtkActor2D's).
// The color is expressed as red/green/blue values between (0.0,1.0).
//// \item @|double = obj. GetPickColor ()| -  Set/Get the pick color (used by default to color vtkActor2D's).
// The color is expressed as red/green/blue values between (0.0,1.0).
//// \item @|obj.SetMouseWheelMotionFactor (double )| -  Set/Get the mouse wheel motion factor. Default to 1.0. Set it to a 
// different value to emphasize or de-emphasize the action triggered by
// mouse wheel motion.
//// \item @|double = obj.GetMouseWheelMotionFactor ()| -  Set/Get the mouse wheel motion factor. Default to 1.0. Set it to a 
// different value to emphasize or de-emphasize the action triggered by
// mouse wheel motion.
//// \item @|vtkTDxInteractorStyle = obj.GetTDxStyle ()| -  3Dconnexion device interactor style. Initial value is a pointer to an
// object of class vtkTdxInteractorStyleCamera.
//// \item @|obj.SetTDxStyle (vtkTDxInteractorStyle tdxStyle)| -  3Dconnexion device interactor style. Initial value is a pointer to an
// object of class vtkTdxInteractorStyleCamera.
////\end{itemize}
//!
