#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInteractorStyleFlight object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInteractorStyleFlight.h"

//@@Signature
//sfunction @vtkInteractorStyleFlight:vtkInteractorStyleFlight vtkInteractorStyleFlightConstructorFunction
//input a
//output p
//@@Parents vtkInteractorStyleFlight vtkInteractorStyle 
ArrayVector vtkInteractorStyleFlightConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInteractorStyleFlight::New(),"vtkInteractorStyleFlight",eval);
  } else if (arg[0].className() == "vtkInteractorStyleFlight") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInteractorStyleFlight"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInteractorStyleFlight");
    vtkInteractorStyleFlight*q = reinterpret_cast<vtkInteractorStyleFlight*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInteractorStyleFlight");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInteractorStyleFlight:GetClassName vtkInteractorStyleFlightGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleFlightGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:IsA vtkInteractorStyleFlightIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleFlightIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInteractorStyleFlight requires 2 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:NewInstance vtkInteractorStyleFlightNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleFlightNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyleFlight *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtkInteractorStyleFlight  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyleFlight",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:SafeDownCast vtkInteractorStyleFlightSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleFlightSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyleFlight *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInteractorStyleFlight requires 2 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInteractorStyleFlight  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyleFlight",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:JumpTo vtkInteractorStyleFlightJumpToFunction
//input a0 a1 a2 
//output none
ArrayVector vtkInteractorStyleFlightJumpToFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void JumpTo (double campos[3], double focpos[3]); */
  if (arg.size() < 3) 
    throw Exception("Function JumpTo for class vtkInteractorStyleFlight requires 3 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->JumpTo(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:SetMotionStepSize vtkInteractorStyleFlightSetMotionStepSizeFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleFlightSetMotionStepSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMotionStepSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMotionStepSize for class vtkInteractorStyleFlight requires 2 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMotionStepSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:GetMotionStepSize vtkInteractorStyleFlightGetMotionStepSizeFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleFlightGetMotionStepSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMotionStepSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMotionStepSize for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMotionStepSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:SetMotionAccelerationFactor vtkInteractorStyleFlightSetMotionAccelerationFactorFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleFlightSetMotionAccelerationFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMotionAccelerationFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMotionAccelerationFactor for class vtkInteractorStyleFlight requires 2 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMotionAccelerationFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:GetMotionAccelerationFactor vtkInteractorStyleFlightGetMotionAccelerationFactorFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleFlightGetMotionAccelerationFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMotionAccelerationFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMotionAccelerationFactor for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMotionAccelerationFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:SetAngleStepSize vtkInteractorStyleFlightSetAngleStepSizeFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleFlightSetAngleStepSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAngleStepSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAngleStepSize for class vtkInteractorStyleFlight requires 2 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAngleStepSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:GetAngleStepSize vtkInteractorStyleFlightGetAngleStepSizeFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleFlightGetAngleStepSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAngleStepSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngleStepSize for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngleStepSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:SetAngleAccelerationFactor vtkInteractorStyleFlightSetAngleAccelerationFactorFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleFlightSetAngleAccelerationFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAngleAccelerationFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAngleAccelerationFactor for class vtkInteractorStyleFlight requires 2 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAngleAccelerationFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:GetAngleAccelerationFactor vtkInteractorStyleFlightGetAngleAccelerationFactorFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleFlightGetAngleAccelerationFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAngleAccelerationFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngleAccelerationFactor for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngleAccelerationFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:SetDisableMotion vtkInteractorStyleFlightSetDisableMotionFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleFlightSetDisableMotionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisableMotion (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisableMotion for class vtkInteractorStyleFlight requires 2 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDisableMotion(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:GetDisableMotion vtkInteractorStyleFlightGetDisableMotionFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleFlightGetDisableMotionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDisableMotion (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisableMotion for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDisableMotion();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:DisableMotionOn vtkInteractorStyleFlightDisableMotionOnFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightDisableMotionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisableMotionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DisableMotionOn for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->DisableMotionOn();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:DisableMotionOff vtkInteractorStyleFlightDisableMotionOffFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightDisableMotionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisableMotionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DisableMotionOff for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->DisableMotionOff();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:SetRestoreUpVector vtkInteractorStyleFlightSetRestoreUpVectorFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleFlightSetRestoreUpVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRestoreUpVector (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRestoreUpVector for class vtkInteractorStyleFlight requires 2 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRestoreUpVector(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:GetRestoreUpVector vtkInteractorStyleFlightGetRestoreUpVectorFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleFlightGetRestoreUpVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRestoreUpVector (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRestoreUpVector for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRestoreUpVector();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:RestoreUpVectorOn vtkInteractorStyleFlightRestoreUpVectorOnFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightRestoreUpVectorOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RestoreUpVectorOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RestoreUpVectorOn for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->RestoreUpVectorOn();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:RestoreUpVectorOff vtkInteractorStyleFlightRestoreUpVectorOffFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightRestoreUpVectorOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RestoreUpVectorOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RestoreUpVectorOff for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->RestoreUpVectorOff();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:GetDefaultUpVector vtkInteractorStyleFlightGetDefaultUpVectorFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleFlightGetDefaultUpVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDefaultUpVector (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultUpVector for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDefaultUpVector();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:SetDefaultUpVector vtkInteractorStyleFlightSetDefaultUpVectorFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleFlightSetDefaultUpVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultUpVector (double  [3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultUpVector for class vtkInteractorStyleFlight requires 2 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDefaultUpVector(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:OnMouseMove vtkInteractorStyleFlightOnMouseMoveFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightOnMouseMoveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMouseMove (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMouseMove for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->OnMouseMove();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:OnLeftButtonDown vtkInteractorStyleFlightOnLeftButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightOnLeftButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeftButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeftButtonDown for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->OnLeftButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:OnLeftButtonUp vtkInteractorStyleFlightOnLeftButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightOnLeftButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeftButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeftButtonUp for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->OnLeftButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:OnMiddleButtonDown vtkInteractorStyleFlightOnMiddleButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightOnMiddleButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMiddleButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMiddleButtonDown for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->OnMiddleButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:OnMiddleButtonUp vtkInteractorStyleFlightOnMiddleButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightOnMiddleButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMiddleButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMiddleButtonUp for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->OnMiddleButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:OnRightButtonDown vtkInteractorStyleFlightOnRightButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightOnRightButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnRightButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnRightButtonDown for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->OnRightButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:OnRightButtonUp vtkInteractorStyleFlightOnRightButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightOnRightButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnRightButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnRightButtonUp for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->OnRightButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:OnChar vtkInteractorStyleFlightOnCharFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightOnCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnChar (); */
  if (arg.size() < 1) 
    throw Exception("Function OnChar for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->OnChar();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:OnKeyDown vtkInteractorStyleFlightOnKeyDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightOnKeyDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnKeyDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnKeyDown for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->OnKeyDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:OnKeyUp vtkInteractorStyleFlightOnKeyUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightOnKeyUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnKeyUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnKeyUp for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->OnKeyUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:OnTimer vtkInteractorStyleFlightOnTimerFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightOnTimerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnTimer (); */
  if (arg.size() < 1) 
    throw Exception("Function OnTimer for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->OnTimer();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:ForwardFly vtkInteractorStyleFlightForwardFlyFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightForwardFlyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ForwardFly (); */
  if (arg.size() < 1) 
    throw Exception("Function ForwardFly for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->ForwardFly();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:ReverseFly vtkInteractorStyleFlightReverseFlyFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightReverseFlyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReverseFly (); */
  if (arg.size() < 1) 
    throw Exception("Function ReverseFly for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->ReverseFly();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:StartForwardFly vtkInteractorStyleFlightStartForwardFlyFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightStartForwardFlyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartForwardFly (); */
  if (arg.size() < 1) 
    throw Exception("Function StartForwardFly for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->StartForwardFly();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:EndForwardFly vtkInteractorStyleFlightEndForwardFlyFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightEndForwardFlyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndForwardFly (); */
  if (arg.size() < 1) 
    throw Exception("Function EndForwardFly for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->EndForwardFly();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:StartReverseFly vtkInteractorStyleFlightStartReverseFlyFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightStartReverseFlyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartReverseFly (); */
  if (arg.size() < 1) 
    throw Exception("Function StartReverseFly for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->StartReverseFly();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:EndReverseFly vtkInteractorStyleFlightEndReverseFlyFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleFlightEndReverseFlyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndReverseFly (); */
  if (arg.size() < 1) 
    throw Exception("Function EndReverseFly for class vtkInteractorStyleFlight requires 1 argument(s)");
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  Array retval;
  vtk_pointer->EndReverseFly();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleFlight:display vtkInteractorStyleFlightDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInteractorStyleFlightDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInteractorStyleFlight* vtk_pointer = GetVTKPointer<vtkInteractorStyleFlight>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInteractorStyleFlight:delete vtkInteractorStyleFlightDeleteFunction
//input varargin
//output none
ArrayVector vtkInteractorStyleFlightDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInteractorStyleFlight
//@@Section VTKRendering
//@@Usage
// Left  mouse button press produces forward motion.
// Right mouse button press produces reverse motion.
// Moving mouse during motion steers user in desired direction.
// Keyboard controls are:
// Left/Right/Up/Down Arrows for steering direction
// 'A' forward, 'Z' reverse motion
// Ctrl Key causes sidestep instead of steering in mouse and key modes
// Shift key is accelerator in mouse and key modes
// Ctrl and Shift together causes Roll in mouse and key modes
//
// By default, one "step" of motion corresponds to 1/250th of the diagonal
// of bounding box of visible actors, '+' and '-' keys allow user to
// increase or decrease step size.
//
//To create an instance of class vtkInteractorStyleFlight, simply
//invoke its constructor as follows
//@[
//  obj = vtkInteractorStyleFlight
//@]
//@@Methods
//The class vtkInteractorStyleFlight has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInteractorStyleFlight class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInteractorStyleFlight = obj.NewInstance ()|
// \item @|vtkInteractorStyleFlight = obj.SafeDownCast (vtkObject o)|
// \item @|obj.JumpTo (double campos[3], double focpos[3])| -  Move the Eye/Camera to a specific location (no intermediate
// steps are taken
//// \item @|obj.SetMotionStepSize (double )| -  Set the basic unit step size : by default 1/250 of bounding diagonal
//// \item @|double = obj.GetMotionStepSize ()| -  Set the basic unit step size : by default 1/250 of bounding diagonal
//// \item @|obj.SetMotionAccelerationFactor (double )| -  Set acceleration factor when shift key is applied : default 10
//// \item @|double = obj.GetMotionAccelerationFactor ()| -  Set acceleration factor when shift key is applied : default 10
//// \item @|obj.SetAngleStepSize (double )| -  Set the basic angular unit for turning : default 1 degree
//// \item @|double = obj.GetAngleStepSize ()| -  Set the basic angular unit for turning : default 1 degree
//// \item @|obj.SetAngleAccelerationFactor (double )| -  Set angular acceleration when shift key is applied : default 5
//// \item @|double = obj.GetAngleAccelerationFactor ()| -  Set angular acceleration when shift key is applied : default 5
//// \item @|obj.SetDisableMotion (int )| -  Disable motion (temporarily - for viewing etc)
//// \item @|int = obj.GetDisableMotion ()| -  Disable motion (temporarily - for viewing etc)
//// \item @|obj.DisableMotionOn ()| -  Disable motion (temporarily - for viewing etc)
//// \item @|obj.DisableMotionOff ()| -  Disable motion (temporarily - for viewing etc)
//// \item @|obj.SetRestoreUpVector (int )| -  When flying, apply a restorative force to the "Up" vector.
// This is activated when the current 'up' is close to the actual 'up'
// (as defined in DefaultUpVector). This prevents excessive twisting forces
// when viewing from arbitrary angles, but keep the horizon level when
// the user is flying over terrain.
//// \item @|int = obj.GetRestoreUpVector ()| -  When flying, apply a restorative force to the "Up" vector.
// This is activated when the current 'up' is close to the actual 'up'
// (as defined in DefaultUpVector). This prevents excessive twisting forces
// when viewing from arbitrary angles, but keep the horizon level when
// the user is flying over terrain.
//// \item @|obj.RestoreUpVectorOn ()| -  When flying, apply a restorative force to the "Up" vector.
// This is activated when the current 'up' is close to the actual 'up'
// (as defined in DefaultUpVector). This prevents excessive twisting forces
// when viewing from arbitrary angles, but keep the horizon level when
// the user is flying over terrain.
//// \item @|obj.RestoreUpVectorOff ()| -  When flying, apply a restorative force to the "Up" vector.
// This is activated when the current 'up' is close to the actual 'up'
// (as defined in DefaultUpVector). This prevents excessive twisting forces
// when viewing from arbitrary angles, but keep the horizon level when
// the user is flying over terrain.
//// \item @|double = obj. GetDefaultUpVector ()|
// \item @|obj.SetDefaultUpVector (double  [3])|
// \item @|obj.OnMouseMove ()| -  Concrete implementation of Mouse event bindings for flight
//// \item @|obj.OnLeftButtonDown ()| -  Concrete implementation of Mouse event bindings for flight
//// \item @|obj.OnLeftButtonUp ()| -  Concrete implementation of Mouse event bindings for flight
//// \item @|obj.OnMiddleButtonDown ()| -  Concrete implementation of Mouse event bindings for flight
//// \item @|obj.OnMiddleButtonUp ()| -  Concrete implementation of Mouse event bindings for flight
//// \item @|obj.OnRightButtonDown ()| -  Concrete implementation of Mouse event bindings for flight
//// \item @|obj.OnRightButtonUp ()| -  Concrete implementation of Mouse event bindings for flight
//// \item @|obj.OnChar ()| -  Concrete implementation of Keyboard event bindings for flight
//// \item @|obj.OnKeyDown ()| -  Concrete implementation of Keyboard event bindings for flight
//// \item @|obj.OnKeyUp ()| -  Concrete implementation of Keyboard event bindings for flight
//// \item @|obj.OnTimer ()| -  Concrete implementation of Keyboard event bindings for flight
//// \item @|obj.ForwardFly ()| -  Concrete implementation of Keyboard event bindings for flight
//
//// \item @|obj.ReverseFly ()| -  Concrete implementation of Keyboard event bindings for flight
//
//// \item @|obj.StartForwardFly ()| -  Concrete implementation of Keyboard event bindings for flight
//
//
//// \item @|obj.EndForwardFly ()| -  Concrete implementation of Keyboard event bindings for flight
//
//
//// \item @|obj.StartReverseFly ()| -  Concrete implementation of Keyboard event bindings for flight
//
//
//// \item @|obj.EndReverseFly ()| -  Concrete implementation of Keyboard event bindings for flight
//
//
////\end{itemize}
//!
