#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInteractorStyleImage object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInteractorStyleImage.h"

//@@Signature
//sfunction @vtkInteractorStyleImage:vtkInteractorStyleImage vtkInteractorStyleImageConstructorFunction
//input a
//output p
//@@Parents vtkInteractorStyleImage vtkInteractorStyleTrackballCamera 
ArrayVector vtkInteractorStyleImageConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInteractorStyleImage::New(),"vtkInteractorStyleImage",eval);
  } else if (arg[0].className() == "vtkInteractorStyleImage") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInteractorStyleImage"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInteractorStyleImage");
    vtkInteractorStyleImage*q = reinterpret_cast<vtkInteractorStyleImage*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInteractorStyleImage");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInteractorStyleImage:GetClassName vtkInteractorStyleImageGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleImageGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInteractorStyleImage requires 1 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:IsA vtkInteractorStyleImageIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleImageIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInteractorStyleImage requires 2 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:NewInstance vtkInteractorStyleImageNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleImageNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyleImage *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInteractorStyleImage requires 1 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  vtkInteractorStyleImage  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyleImage",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:SafeDownCast vtkInteractorStyleImageSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleImageSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyleImage *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInteractorStyleImage requires 2 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInteractorStyleImage  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyleImage",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:GetWindowLevelStartPosition vtkInteractorStyleImageGetWindowLevelStartPositionFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleImageGetWindowLevelStartPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetWindowLevelStartPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWindowLevelStartPosition for class vtkInteractorStyleImage requires 1 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetWindowLevelStartPosition();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:GetWindowLevelCurrentPosition vtkInteractorStyleImageGetWindowLevelCurrentPositionFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleImageGetWindowLevelCurrentPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetWindowLevelCurrentPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWindowLevelCurrentPosition for class vtkInteractorStyleImage requires 1 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetWindowLevelCurrentPosition();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:OnMouseMove vtkInteractorStyleImageOnMouseMoveFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleImageOnMouseMoveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMouseMove (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMouseMove for class vtkInteractorStyleImage requires 1 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  vtk_pointer->OnMouseMove();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:OnLeftButtonDown vtkInteractorStyleImageOnLeftButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleImageOnLeftButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeftButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeftButtonDown for class vtkInteractorStyleImage requires 1 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  vtk_pointer->OnLeftButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:OnLeftButtonUp vtkInteractorStyleImageOnLeftButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleImageOnLeftButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeftButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeftButtonUp for class vtkInteractorStyleImage requires 1 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  vtk_pointer->OnLeftButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:OnRightButtonDown vtkInteractorStyleImageOnRightButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleImageOnRightButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnRightButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnRightButtonDown for class vtkInteractorStyleImage requires 1 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  vtk_pointer->OnRightButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:OnRightButtonUp vtkInteractorStyleImageOnRightButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleImageOnRightButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnRightButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnRightButtonUp for class vtkInteractorStyleImage requires 1 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  vtk_pointer->OnRightButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:OnChar vtkInteractorStyleImageOnCharFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleImageOnCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnChar (); */
  if (arg.size() < 1) 
    throw Exception("Function OnChar for class vtkInteractorStyleImage requires 1 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  vtk_pointer->OnChar();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:WindowLevel vtkInteractorStyleImageWindowLevelFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleImageWindowLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WindowLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function WindowLevel for class vtkInteractorStyleImage requires 1 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  vtk_pointer->WindowLevel();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:Pick vtkInteractorStyleImagePickFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleImagePickFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Pick (); */
  if (arg.size() < 1) 
    throw Exception("Function Pick for class vtkInteractorStyleImage requires 1 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  vtk_pointer->Pick();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:StartWindowLevel vtkInteractorStyleImageStartWindowLevelFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleImageStartWindowLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWindowLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function StartWindowLevel for class vtkInteractorStyleImage requires 1 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  vtk_pointer->StartWindowLevel();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:EndWindowLevel vtkInteractorStyleImageEndWindowLevelFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleImageEndWindowLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndWindowLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function EndWindowLevel for class vtkInteractorStyleImage requires 1 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  vtk_pointer->EndWindowLevel();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:StartPick vtkInteractorStyleImageStartPickFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleImageStartPickFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartPick (); */
  if (arg.size() < 1) 
    throw Exception("Function StartPick for class vtkInteractorStyleImage requires 1 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  vtk_pointer->StartPick();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:EndPick vtkInteractorStyleImageEndPickFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleImageEndPickFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndPick (); */
  if (arg.size() < 1) 
    throw Exception("Function EndPick for class vtkInteractorStyleImage requires 1 argument(s)");
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  Array retval;
  vtk_pointer->EndPick();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleImage:display vtkInteractorStyleImageDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInteractorStyleImageDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInteractorStyleImage* vtk_pointer = GetVTKPointer<vtkInteractorStyleImage>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInteractorStyleImage:delete vtkInteractorStyleImageDeleteFunction
//input varargin
//output none
ArrayVector vtkInteractorStyleImageDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInteractorStyleImage
//@@Section VTKRendering
//@@Usage
// vtkInteractorStyleImage allows the user to interactively manipulate
// (rotate, pan, zoomm etc.) the camera. vtkInteractorStyleImage is specially
// designed to work with images that are being rendered with
// vtkImageActor. Several events are overloaded from its superclass
// vtkInteractorStyle, hence the mouse bindings are different. (The bindings
// keep the camera's view plane normal perpendicular to the x-y plane.) In
// summary the mouse events are as follows:
// + Left Mouse button triggers window level events
// + CTRL Left Mouse spins the camera around its view plane normal
// + SHIFT Left Mouse pans the camera
// + CTRL SHIFT Left Mouse dollys (a positional zoom) the camera
// + Middle mouse button pans the camera
// + Right mouse button dollys the camera.
// + SHIFT Right Mouse triggers pick events
//
// Note that the renderer's actors are not moved; instead the camera is moved.
//
//To create an instance of class vtkInteractorStyleImage, simply
//invoke its constructor as follows
//@[
//  obj = vtkInteractorStyleImage
//@]
//@@Methods
//The class vtkInteractorStyleImage has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInteractorStyleImage class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInteractorStyleImage = obj.NewInstance ()|
// \item @|vtkInteractorStyleImage = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj. GetWindowLevelStartPosition ()| -  Some useful information for handling window level
//// \item @|int = obj. GetWindowLevelCurrentPosition ()| -  Some useful information for handling window level
//// \item @|obj.OnMouseMove ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnLeftButtonDown ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnLeftButtonUp ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnRightButtonDown ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnRightButtonUp ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnChar ()| -  Override the "fly-to" (f keypress) for images.
//// \item @|obj.WindowLevel ()|
// \item @|obj.Pick ()|
// \item @|obj.StartWindowLevel ()|
// \item @|obj.EndWindowLevel ()|
// \item @|obj.StartPick ()|
// \item @|obj.EndPick ()|
//\end{itemize}
//!
