#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInteractorStyleSwitch object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInteractorStyleSwitch.h"

//@@Signature
//sfunction @vtkInteractorStyleSwitch:vtkInteractorStyleSwitch vtkInteractorStyleSwitchConstructorFunction
//input a
//output p
//@@Parents vtkInteractorStyleSwitch vtkInteractorStyle 
ArrayVector vtkInteractorStyleSwitchConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInteractorStyleSwitch::New(),"vtkInteractorStyleSwitch",eval);
  } else if (arg[0].className() == "vtkInteractorStyleSwitch") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInteractorStyleSwitch"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInteractorStyleSwitch");
    vtkInteractorStyleSwitch*q = reinterpret_cast<vtkInteractorStyleSwitch*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInteractorStyleSwitch");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInteractorStyleSwitch:GetClassName vtkInteractorStyleSwitchGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleSwitchGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInteractorStyleSwitch requires 1 argument(s)");
  vtkInteractorStyleSwitch* vtk_pointer = GetVTKPointer<vtkInteractorStyleSwitch>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleSwitch:IsA vtkInteractorStyleSwitchIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleSwitchIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInteractorStyleSwitch requires 2 argument(s)");
  vtkInteractorStyleSwitch* vtk_pointer = GetVTKPointer<vtkInteractorStyleSwitch>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleSwitch:NewInstance vtkInteractorStyleSwitchNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleSwitchNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyleSwitch *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInteractorStyleSwitch requires 1 argument(s)");
  vtkInteractorStyleSwitch* vtk_pointer = GetVTKPointer<vtkInteractorStyleSwitch>(arg[0]);
  Array retval;
  vtkInteractorStyleSwitch  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyleSwitch",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleSwitch:SafeDownCast vtkInteractorStyleSwitchSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleSwitchSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyleSwitch *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInteractorStyleSwitch requires 2 argument(s)");
  vtkInteractorStyleSwitch* vtk_pointer = GetVTKPointer<vtkInteractorStyleSwitch>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInteractorStyleSwitch  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyleSwitch",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleSwitch:SetInteractor vtkInteractorStyleSwitchSetInteractorFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleSwitchSetInteractorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInteractor (vtkRenderWindowInteractor *iren); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractor for class vtkInteractorStyleSwitch requires 2 argument(s)");
  vtkInteractorStyleSwitch* vtk_pointer = GetVTKPointer<vtkInteractorStyleSwitch>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindowInteractor>(arg[1]);
  vtk_pointer->SetInteractor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleSwitch:SetAutoAdjustCameraClippingRange vtkInteractorStyleSwitchSetAutoAdjustCameraClippingRangeFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleSwitchSetAutoAdjustCameraClippingRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutoAdjustCameraClippingRange (int value); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutoAdjustCameraClippingRange for class vtkInteractorStyleSwitch requires 2 argument(s)");
  vtkInteractorStyleSwitch* vtk_pointer = GetVTKPointer<vtkInteractorStyleSwitch>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutoAdjustCameraClippingRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleSwitch:GetCurrentStyle vtkInteractorStyleSwitchGetCurrentStyleFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleSwitchGetCurrentStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyle *GetCurrentStyle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentStyle for class vtkInteractorStyleSwitch requires 1 argument(s)");
  vtkInteractorStyleSwitch* vtk_pointer = GetVTKPointer<vtkInteractorStyleSwitch>(arg[0]);
  Array retval;
  vtkInteractorStyle  *temp20;
  temp20 = (vtk_pointer)->GetCurrentStyle();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyle",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleSwitch:SetCurrentStyleToJoystickActor vtkInteractorStyleSwitchSetCurrentStyleToJoystickActorFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleSwitchSetCurrentStyleToJoystickActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurrentStyleToJoystickActor (); */
  if (arg.size() < 1) 
    throw Exception("Function SetCurrentStyleToJoystickActor for class vtkInteractorStyleSwitch requires 1 argument(s)");
  vtkInteractorStyleSwitch* vtk_pointer = GetVTKPointer<vtkInteractorStyleSwitch>(arg[0]);
  Array retval;
  vtk_pointer->SetCurrentStyleToJoystickActor();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleSwitch:SetCurrentStyleToJoystickCamera vtkInteractorStyleSwitchSetCurrentStyleToJoystickCameraFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleSwitchSetCurrentStyleToJoystickCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurrentStyleToJoystickCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function SetCurrentStyleToJoystickCamera for class vtkInteractorStyleSwitch requires 1 argument(s)");
  vtkInteractorStyleSwitch* vtk_pointer = GetVTKPointer<vtkInteractorStyleSwitch>(arg[0]);
  Array retval;
  vtk_pointer->SetCurrentStyleToJoystickCamera();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleSwitch:SetCurrentStyleToTrackballActor vtkInteractorStyleSwitchSetCurrentStyleToTrackballActorFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleSwitchSetCurrentStyleToTrackballActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurrentStyleToTrackballActor (); */
  if (arg.size() < 1) 
    throw Exception("Function SetCurrentStyleToTrackballActor for class vtkInteractorStyleSwitch requires 1 argument(s)");
  vtkInteractorStyleSwitch* vtk_pointer = GetVTKPointer<vtkInteractorStyleSwitch>(arg[0]);
  Array retval;
  vtk_pointer->SetCurrentStyleToTrackballActor();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleSwitch:SetCurrentStyleToTrackballCamera vtkInteractorStyleSwitchSetCurrentStyleToTrackballCameraFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleSwitchSetCurrentStyleToTrackballCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurrentStyleToTrackballCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function SetCurrentStyleToTrackballCamera for class vtkInteractorStyleSwitch requires 1 argument(s)");
  vtkInteractorStyleSwitch* vtk_pointer = GetVTKPointer<vtkInteractorStyleSwitch>(arg[0]);
  Array retval;
  vtk_pointer->SetCurrentStyleToTrackballCamera();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleSwitch:OnChar vtkInteractorStyleSwitchOnCharFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleSwitchOnCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnChar (); */
  if (arg.size() < 1) 
    throw Exception("Function OnChar for class vtkInteractorStyleSwitch requires 1 argument(s)");
  vtkInteractorStyleSwitch* vtk_pointer = GetVTKPointer<vtkInteractorStyleSwitch>(arg[0]);
  Array retval;
  vtk_pointer->OnChar();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleSwitch:SetDefaultRenderer vtkInteractorStyleSwitchSetDefaultRendererFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleSwitchSetDefaultRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDefaultRenderer (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultRenderer for class vtkInteractorStyleSwitch requires 2 argument(s)");
  vtkInteractorStyleSwitch* vtk_pointer = GetVTKPointer<vtkInteractorStyleSwitch>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetDefaultRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleSwitch:SetCurrentRenderer vtkInteractorStyleSwitchSetCurrentRendererFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleSwitchSetCurrentRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCurrentRenderer (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCurrentRenderer for class vtkInteractorStyleSwitch requires 2 argument(s)");
  vtkInteractorStyleSwitch* vtk_pointer = GetVTKPointer<vtkInteractorStyleSwitch>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetCurrentRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleSwitch:display vtkInteractorStyleSwitchDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInteractorStyleSwitchDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInteractorStyleSwitch* vtk_pointer = GetVTKPointer<vtkInteractorStyleSwitch>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInteractorStyleSwitch:delete vtkInteractorStyleSwitchDeleteFunction
//input varargin
//output none
ArrayVector vtkInteractorStyleSwitchDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInteractorStyleSwitch
//@@Section VTKRendering
//@@Usage
// The class vtkInteractorStyleSwitch allows handles interactively switching
// between four interactor styles -- joystick actor, joystick camera,
// trackball actor, and trackball camera.  Type 'j' or 't' to select
// joystick or trackball, and type 'c' or 'a' to select camera or actor.
// The default interactor style is joystick camera.
//
//To create an instance of class vtkInteractorStyleSwitch, simply
//invoke its constructor as follows
//@[
//  obj = vtkInteractorStyleSwitch
//@]
//@@Methods
//The class vtkInteractorStyleSwitch has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInteractorStyleSwitch class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInteractorStyleSwitch = obj.NewInstance ()|
// \item @|vtkInteractorStyleSwitch = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInteractor (vtkRenderWindowInteractor iren)| -  The sub styles need the interactor too.
//// \item @|obj.SetAutoAdjustCameraClippingRange (int value)| -  We must override this method in order to pass the setting down to
// the underlying styles
//// \item @|vtkInteractorStyle = obj.GetCurrentStyle ()| -  Set/Get current style
//// \item @|obj.SetCurrentStyleToJoystickActor ()| -  Set/Get current style
//// \item @|obj.SetCurrentStyleToJoystickCamera ()| -  Set/Get current style
//// \item @|obj.SetCurrentStyleToTrackballActor ()| -  Set/Get current style
//// \item @|obj.SetCurrentStyleToTrackballCamera ()| -  Set/Get current style
//// \item @|obj.OnChar ()| -  Only care about the char event, which is used to switch between
// different styles.
//// \item @|obj.SetDefaultRenderer (vtkRenderer )| -  Overridden from vtkInteractorObserver because the interactor styles
// used by this class must also be updated.
//// \item @|obj.SetCurrentRenderer (vtkRenderer )| -  Overridden from vtkInteractorObserver because the interactor styles
// used by this class must also be updated.
////\end{itemize}
//!
