#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInteractorStyleTerrain object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInteractorStyleTerrain.h"

//@@Signature
//sfunction @vtkInteractorStyleTerrain:vtkInteractorStyleTerrain vtkInteractorStyleTerrainConstructorFunction
//input a
//output p
//@@Parents vtkInteractorStyleTerrain vtkInteractorStyle 
ArrayVector vtkInteractorStyleTerrainConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInteractorStyleTerrain::New(),"vtkInteractorStyleTerrain",eval);
  } else if (arg[0].className() == "vtkInteractorStyleTerrain") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInteractorStyleTerrain"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInteractorStyleTerrain");
    vtkInteractorStyleTerrain*q = reinterpret_cast<vtkInteractorStyleTerrain*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInteractorStyleTerrain");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInteractorStyleTerrain:GetClassName vtkInteractorStyleTerrainGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleTerrainGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInteractorStyleTerrain requires 1 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:IsA vtkInteractorStyleTerrainIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleTerrainIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInteractorStyleTerrain requires 2 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:NewInstance vtkInteractorStyleTerrainNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleTerrainNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyleTerrain *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInteractorStyleTerrain requires 1 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  vtkInteractorStyleTerrain  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyleTerrain",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:SafeDownCast vtkInteractorStyleTerrainSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleTerrainSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyleTerrain *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInteractorStyleTerrain requires 2 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInteractorStyleTerrain  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyleTerrain",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:OnMouseMove vtkInteractorStyleTerrainOnMouseMoveFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTerrainOnMouseMoveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMouseMove (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMouseMove for class vtkInteractorStyleTerrain requires 1 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  vtk_pointer->OnMouseMove();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:OnLeftButtonDown vtkInteractorStyleTerrainOnLeftButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTerrainOnLeftButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeftButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeftButtonDown for class vtkInteractorStyleTerrain requires 1 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  vtk_pointer->OnLeftButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:OnLeftButtonUp vtkInteractorStyleTerrainOnLeftButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTerrainOnLeftButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeftButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeftButtonUp for class vtkInteractorStyleTerrain requires 1 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  vtk_pointer->OnLeftButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:OnMiddleButtonDown vtkInteractorStyleTerrainOnMiddleButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTerrainOnMiddleButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMiddleButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMiddleButtonDown for class vtkInteractorStyleTerrain requires 1 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  vtk_pointer->OnMiddleButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:OnMiddleButtonUp vtkInteractorStyleTerrainOnMiddleButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTerrainOnMiddleButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMiddleButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMiddleButtonUp for class vtkInteractorStyleTerrain requires 1 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  vtk_pointer->OnMiddleButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:OnRightButtonDown vtkInteractorStyleTerrainOnRightButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTerrainOnRightButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnRightButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnRightButtonDown for class vtkInteractorStyleTerrain requires 1 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  vtk_pointer->OnRightButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:OnRightButtonUp vtkInteractorStyleTerrainOnRightButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTerrainOnRightButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnRightButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnRightButtonUp for class vtkInteractorStyleTerrain requires 1 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  vtk_pointer->OnRightButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:OnChar vtkInteractorStyleTerrainOnCharFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTerrainOnCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnChar (); */
  if (arg.size() < 1) 
    throw Exception("Function OnChar for class vtkInteractorStyleTerrain requires 1 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  vtk_pointer->OnChar();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:Rotate vtkInteractorStyleTerrainRotateFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTerrainRotateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Rotate (); */
  if (arg.size() < 1) 
    throw Exception("Function Rotate for class vtkInteractorStyleTerrain requires 1 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  vtk_pointer->Rotate();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:Pan vtkInteractorStyleTerrainPanFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTerrainPanFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Pan (); */
  if (arg.size() < 1) 
    throw Exception("Function Pan for class vtkInteractorStyleTerrain requires 1 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  vtk_pointer->Pan();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:Dolly vtkInteractorStyleTerrainDollyFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTerrainDollyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Dolly (); */
  if (arg.size() < 1) 
    throw Exception("Function Dolly for class vtkInteractorStyleTerrain requires 1 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  vtk_pointer->Dolly();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:SetLatLongLines vtkInteractorStyleTerrainSetLatLongLinesFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleTerrainSetLatLongLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLatLongLines (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLatLongLines for class vtkInteractorStyleTerrain requires 2 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLatLongLines(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:GetLatLongLines vtkInteractorStyleTerrainGetLatLongLinesFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleTerrainGetLatLongLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLatLongLines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLatLongLines for class vtkInteractorStyleTerrain requires 1 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLatLongLines();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:LatLongLinesOn vtkInteractorStyleTerrainLatLongLinesOnFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTerrainLatLongLinesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LatLongLinesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LatLongLinesOn for class vtkInteractorStyleTerrain requires 1 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  vtk_pointer->LatLongLinesOn();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:LatLongLinesOff vtkInteractorStyleTerrainLatLongLinesOffFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTerrainLatLongLinesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LatLongLinesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LatLongLinesOff for class vtkInteractorStyleTerrain requires 1 argument(s)");
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  Array retval;
  vtk_pointer->LatLongLinesOff();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTerrain:display vtkInteractorStyleTerrainDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInteractorStyleTerrainDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInteractorStyleTerrain* vtk_pointer = GetVTKPointer<vtkInteractorStyleTerrain>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInteractorStyleTerrain:delete vtkInteractorStyleTerrainDeleteFunction
//input varargin
//output none
ArrayVector vtkInteractorStyleTerrainDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInteractorStyleTerrain
//@@Section VTKRendering
//@@Usage
// vtkInteractorStyleTerrain is used to manipulate a camera which is viewing
// a scene with a natural view up, e.g., terrain. The camera in such a
// scene is manipulated by specifying azimuth (angle around the view
// up vector) and elevation (the angle from the horizon).
//
// The mouse binding for this class is as follows. Left mouse click followed
// rotates the camera around the focal point using both elevation and azimuth
// invocations on the camera. Left mouse motion in the horizontal direction
// results in azimuth motion; left mouse motion in the vertical direction
// results in elevation motion. Therefore, diagonal motion results in a
// combination of azimuth and elevation. (If the shift key is held during
// motion, then only one of elevation or azimuth is invoked, depending on the
// whether the mouse motion is primarily horizontal or vertical.) Middle
// mouse button pans the camera across the scene (again the shift key has a
// similar effect on limiting the motion to the vertical or horizontal
// direction. The right mouse is used to dolly (e.g., a type of zoom) towards
// or away from the focal point.
//
// The class also supports some keypress events. The "r" key resets the
// camera.  The "e" key invokes the exit callback and by default exits the
// program. The "f" key sets a new camera focal point and flys towards that
// point. The "u" key invokes the user event. The "3" key toggles between 
// stereo and non-stero mode. The "l" key toggles on/off a latitude/longitude
// markers that can be used to estimate/control position.
// 
//
//To create an instance of class vtkInteractorStyleTerrain, simply
//invoke its constructor as follows
//@[
//  obj = vtkInteractorStyleTerrain
//@]
//@@Methods
//The class vtkInteractorStyleTerrain has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInteractorStyleTerrain class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInteractorStyleTerrain = obj.NewInstance ()|
// \item @|vtkInteractorStyleTerrain = obj.SafeDownCast (vtkObject o)|
// \item @|obj.OnMouseMove ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnLeftButtonDown ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnLeftButtonUp ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnMiddleButtonDown ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnMiddleButtonUp ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnRightButtonDown ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnRightButtonUp ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnChar ()| -  Override the "fly-to" (f keypress) for images.
//// \item @|obj.Rotate ()|
// \item @|obj.Pan ()|
// \item @|obj.Dolly ()|
// \item @|obj.SetLatLongLines (int )| -  Turn on/off the latitude/longitude lines.
//// \item @|int = obj.GetLatLongLines ()| -  Turn on/off the latitude/longitude lines.
//// \item @|obj.LatLongLinesOn ()| -  Turn on/off the latitude/longitude lines.
//// \item @|obj.LatLongLinesOff ()| -  Turn on/off the latitude/longitude lines.
////\end{itemize}
//!
