#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInteractorStyleTrackball object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInteractorStyleTrackball.h"

//@@Signature
//sfunction @vtkInteractorStyleTrackball:vtkInteractorStyleTrackball vtkInteractorStyleTrackballConstructorFunction
//input a
//output p
//@@Parents vtkInteractorStyleTrackball vtkInteractorStyleSwitch 
ArrayVector vtkInteractorStyleTrackballConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInteractorStyleTrackball::New(),"vtkInteractorStyleTrackball",eval);
  } else if (arg[0].className() == "vtkInteractorStyleTrackball") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInteractorStyleTrackball"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInteractorStyleTrackball");
    vtkInteractorStyleTrackball*q = reinterpret_cast<vtkInteractorStyleTrackball*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInteractorStyleTrackball");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInteractorStyleTrackball:GetClassName vtkInteractorStyleTrackballGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleTrackballGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInteractorStyleTrackball requires 1 argument(s)");
  vtkInteractorStyleTrackball* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackball>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackball:IsA vtkInteractorStyleTrackballIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleTrackballIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInteractorStyleTrackball requires 2 argument(s)");
  vtkInteractorStyleTrackball* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackball>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackball:NewInstance vtkInteractorStyleTrackballNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleTrackballNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyleTrackball *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInteractorStyleTrackball requires 1 argument(s)");
  vtkInteractorStyleTrackball* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackball>(arg[0]);
  Array retval;
  vtkInteractorStyleTrackball  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyleTrackball",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackball:SafeDownCast vtkInteractorStyleTrackballSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleTrackballSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyleTrackball *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInteractorStyleTrackball requires 2 argument(s)");
  vtkInteractorStyleTrackball* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackball>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInteractorStyleTrackball  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyleTrackball",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackball:display vtkInteractorStyleTrackballDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInteractorStyleTrackballDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInteractorStyleTrackball* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackball>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInteractorStyleTrackball:delete vtkInteractorStyleTrackballDeleteFunction
//input varargin
//output none
ArrayVector vtkInteractorStyleTrackballDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInteractorStyleTrackball
//@@Section VTKRendering
//@@Usage
// vtkInteractorStyleTrackball is an implementation of vtkInteractorStyle
// that defines the trackball style. It is now deprecated and as such a
// subclass of vtkInteractorStyleSwitch
//
//To create an instance of class vtkInteractorStyleTrackball, simply
//invoke its constructor as follows
//@[
//  obj = vtkInteractorStyleTrackball
//@]
//@@Methods
//The class vtkInteractorStyleTrackball has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInteractorStyleTrackball class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInteractorStyleTrackball = obj.NewInstance ()|
// \item @|vtkInteractorStyleTrackball = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
