#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInteractorStyleTrackballCamera object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInteractorStyleTrackballCamera.h"

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:vtkInteractorStyleTrackballCamera vtkInteractorStyleTrackballCameraConstructorFunction
//input a
//output p
//@@Parents vtkInteractorStyleTrackballCamera vtkInteractorStyle 
ArrayVector vtkInteractorStyleTrackballCameraConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInteractorStyleTrackballCamera::New(),"vtkInteractorStyleTrackballCamera",eval);
  } else if (arg[0].className() == "vtkInteractorStyleTrackballCamera") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInteractorStyleTrackballCamera"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInteractorStyleTrackballCamera");
    vtkInteractorStyleTrackballCamera*q = reinterpret_cast<vtkInteractorStyleTrackballCamera*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInteractorStyleTrackballCamera");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:GetClassName vtkInteractorStyleTrackballCameraGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleTrackballCameraGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInteractorStyleTrackballCamera requires 1 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:IsA vtkInteractorStyleTrackballCameraIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleTrackballCameraIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInteractorStyleTrackballCamera requires 2 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:NewInstance vtkInteractorStyleTrackballCameraNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleTrackballCameraNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyleTrackballCamera *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInteractorStyleTrackballCamera requires 1 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  vtkInteractorStyleTrackballCamera  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyleTrackballCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:SafeDownCast vtkInteractorStyleTrackballCameraSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleTrackballCameraSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyleTrackballCamera *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInteractorStyleTrackballCamera requires 2 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInteractorStyleTrackballCamera  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyleTrackballCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:OnMouseMove vtkInteractorStyleTrackballCameraOnMouseMoveFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTrackballCameraOnMouseMoveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMouseMove (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMouseMove for class vtkInteractorStyleTrackballCamera requires 1 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  vtk_pointer->OnMouseMove();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:OnLeftButtonDown vtkInteractorStyleTrackballCameraOnLeftButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTrackballCameraOnLeftButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeftButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeftButtonDown for class vtkInteractorStyleTrackballCamera requires 1 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  vtk_pointer->OnLeftButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:OnLeftButtonUp vtkInteractorStyleTrackballCameraOnLeftButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTrackballCameraOnLeftButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeftButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeftButtonUp for class vtkInteractorStyleTrackballCamera requires 1 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  vtk_pointer->OnLeftButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:OnMiddleButtonDown vtkInteractorStyleTrackballCameraOnMiddleButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTrackballCameraOnMiddleButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMiddleButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMiddleButtonDown for class vtkInteractorStyleTrackballCamera requires 1 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  vtk_pointer->OnMiddleButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:OnMiddleButtonUp vtkInteractorStyleTrackballCameraOnMiddleButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTrackballCameraOnMiddleButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMiddleButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMiddleButtonUp for class vtkInteractorStyleTrackballCamera requires 1 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  vtk_pointer->OnMiddleButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:OnRightButtonDown vtkInteractorStyleTrackballCameraOnRightButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTrackballCameraOnRightButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnRightButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnRightButtonDown for class vtkInteractorStyleTrackballCamera requires 1 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  vtk_pointer->OnRightButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:OnRightButtonUp vtkInteractorStyleTrackballCameraOnRightButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTrackballCameraOnRightButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnRightButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnRightButtonUp for class vtkInteractorStyleTrackballCamera requires 1 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  vtk_pointer->OnRightButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:OnMouseWheelForward vtkInteractorStyleTrackballCameraOnMouseWheelForwardFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTrackballCameraOnMouseWheelForwardFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMouseWheelForward (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMouseWheelForward for class vtkInteractorStyleTrackballCamera requires 1 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  vtk_pointer->OnMouseWheelForward();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:OnMouseWheelBackward vtkInteractorStyleTrackballCameraOnMouseWheelBackwardFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTrackballCameraOnMouseWheelBackwardFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMouseWheelBackward (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMouseWheelBackward for class vtkInteractorStyleTrackballCamera requires 1 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  vtk_pointer->OnMouseWheelBackward();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:Rotate vtkInteractorStyleTrackballCameraRotateFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTrackballCameraRotateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Rotate (); */
  if (arg.size() < 1) 
    throw Exception("Function Rotate for class vtkInteractorStyleTrackballCamera requires 1 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  vtk_pointer->Rotate();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:Spin vtkInteractorStyleTrackballCameraSpinFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTrackballCameraSpinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Spin (); */
  if (arg.size() < 1) 
    throw Exception("Function Spin for class vtkInteractorStyleTrackballCamera requires 1 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  vtk_pointer->Spin();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:Pan vtkInteractorStyleTrackballCameraPanFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleTrackballCameraPanFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Pan (); */
  if (arg.size() < 1) 
    throw Exception("Function Pan for class vtkInteractorStyleTrackballCamera requires 1 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  vtk_pointer->Pan();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:Dolly__1 vtkInteractorStyleTrackballCameraDolly__1Function
//input a0 
//output none
ArrayVector vtkInteractorStyleTrackballCameraDolly__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Dolly (); */
  if (arg.size() < 1) 
    throw Exception("Function Dolly__1 for class vtkInteractorStyleTrackballCamera requires 1 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  vtk_pointer->Dolly();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:SetMotionFactor vtkInteractorStyleTrackballCameraSetMotionFactorFunction
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleTrackballCameraSetMotionFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMotionFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMotionFactor for class vtkInteractorStyleTrackballCamera requires 2 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMotionFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:GetMotionFactor vtkInteractorStyleTrackballCameraGetMotionFactorFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleTrackballCameraGetMotionFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMotionFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMotionFactor for class vtkInteractorStyleTrackballCamera requires 1 argument(s)");
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMotionFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:Dolly vtkInteractorStyleTrackballCameraDollyFunction
//input varargin
//output varargout
ArrayVector vtkInteractorStyleTrackballCameraDollyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkInteractorStyleTrackballCameraDolly__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInteractorStyleTrackballCameraDolly");
}

//@@Signature
//sfunction @vtkInteractorStyleTrackballCamera:display vtkInteractorStyleTrackballCameraDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInteractorStyleTrackballCameraDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInteractorStyleTrackballCamera* vtk_pointer = GetVTKPointer<vtkInteractorStyleTrackballCamera>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInteractorStyleTrackballCamera:delete vtkInteractorStyleTrackballCameraDeleteFunction
//input varargin
//output none
ArrayVector vtkInteractorStyleTrackballCameraDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInteractorStyleTrackballCamera
//@@Section VTKRendering
//@@Usage
// vtkInteractorStyleTrackballCamera allows the user to interactively
// manipulate (rotate, pan, etc.) the camera, the viewpoint of the scene.  In
// trackball interaction, the magnitude of the mouse motion is proportional
// to the camera motion associated with a particular mouse binding. For
// example, small left-button motions cause small changes in the rotation of
// the camera around its focal point. For a 3-button mouse, the left button
// is for rotation, the right button for zooming, the middle button for
// panning, and ctrl + left button for spinning.  (With fewer mouse buttons,
// ctrl + shift + left button is for zooming, and shift + left button is for
// panning.)
//
//To create an instance of class vtkInteractorStyleTrackballCamera, simply
//invoke its constructor as follows
//@[
//  obj = vtkInteractorStyleTrackballCamera
//@]
//@@Methods
//The class vtkInteractorStyleTrackballCamera has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInteractorStyleTrackballCamera class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInteractorStyleTrackballCamera = obj.NewInstance ()|
// \item @|vtkInteractorStyleTrackballCamera = obj.SafeDownCast (vtkObject o)|
// \item @|obj.OnMouseMove ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnLeftButtonDown ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnLeftButtonUp ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnMiddleButtonDown ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnMiddleButtonUp ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnRightButtonDown ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnRightButtonUp ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnMouseWheelForward ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.OnMouseWheelBackward ()| -  Event bindings controlling the effects of pressing mouse buttons
// or moving the mouse.
//// \item @|obj.Rotate ()|
// \item @|obj.Spin ()|
// \item @|obj.Pan ()|
// \item @|obj.Dolly ()|
// \item @|obj.SetMotionFactor (double )| -  Set the apparent sensitivity of the interactor style to mouse motion.
//// \item @|double = obj.GetMotionFactor ()| -  Set the apparent sensitivity of the interactor style to mouse motion.
////\end{itemize}
//!
