#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInteractorStyleUnicam object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInteractorStyleUnicam.h"

//@@Signature
//sfunction @vtkInteractorStyleUnicam:vtkInteractorStyleUnicam vtkInteractorStyleUnicamConstructorFunction
//input a
//output p
//@@Parents vtkInteractorStyleUnicam vtkInteractorStyle 
ArrayVector vtkInteractorStyleUnicamConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInteractorStyleUnicam::New(),"vtkInteractorStyleUnicam",eval);
  } else if (arg[0].className() == "vtkInteractorStyleUnicam") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInteractorStyleUnicam"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInteractorStyleUnicam");
    vtkInteractorStyleUnicam*q = reinterpret_cast<vtkInteractorStyleUnicam*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInteractorStyleUnicam");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInteractorStyleUnicam:GetClassName vtkInteractorStyleUnicamGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleUnicamGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInteractorStyleUnicam requires 1 argument(s)");
  vtkInteractorStyleUnicam* vtk_pointer = GetVTKPointer<vtkInteractorStyleUnicam>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUnicam:IsA vtkInteractorStyleUnicamIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleUnicamIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInteractorStyleUnicam requires 2 argument(s)");
  vtkInteractorStyleUnicam* vtk_pointer = GetVTKPointer<vtkInteractorStyleUnicam>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUnicam:NewInstance vtkInteractorStyleUnicamNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleUnicamNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyleUnicam *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInteractorStyleUnicam requires 1 argument(s)");
  vtkInteractorStyleUnicam* vtk_pointer = GetVTKPointer<vtkInteractorStyleUnicam>(arg[0]);
  Array retval;
  vtkInteractorStyleUnicam  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyleUnicam",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUnicam:SafeDownCast vtkInteractorStyleUnicamSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleUnicamSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyleUnicam *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInteractorStyleUnicam requires 2 argument(s)");
  vtkInteractorStyleUnicam* vtk_pointer = GetVTKPointer<vtkInteractorStyleUnicam>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInteractorStyleUnicam  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyleUnicam",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUnicam:SetWorldUpVector__1 vtkInteractorStyleUnicamSetWorldUpVector__1Function
//input a0 a1 
//output none
ArrayVector vtkInteractorStyleUnicamSetWorldUpVector__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWorldUpVector (double a[3]);this SetWorldUpVector a a a  */
  if (arg.size() < 2) 
    throw Exception("Function SetWorldUpVector__1 for class vtkInteractorStyleUnicam requires 2 argument(s)");
  vtkInteractorStyleUnicam* vtk_pointer = GetVTKPointer<vtkInteractorStyleUnicam>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetWorldUpVector(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUnicam:SetWorldUpVector__2 vtkInteractorStyleUnicamSetWorldUpVector__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkInteractorStyleUnicamSetWorldUpVector__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWorldUpVector (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetWorldUpVector__2 for class vtkInteractorStyleUnicam requires 4 argument(s)");
  vtkInteractorStyleUnicam* vtk_pointer = GetVTKPointer<vtkInteractorStyleUnicam>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetWorldUpVector(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUnicam:GetWorldUpVector vtkInteractorStyleUnicamGetWorldUpVectorFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleUnicamGetWorldUpVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetWorldUpVector (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWorldUpVector for class vtkInteractorStyleUnicam requires 1 argument(s)");
  vtkInteractorStyleUnicam* vtk_pointer = GetVTKPointer<vtkInteractorStyleUnicam>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetWorldUpVector();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUnicam:OnMouseMove vtkInteractorStyleUnicamOnMouseMoveFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUnicamOnMouseMoveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMouseMove (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMouseMove for class vtkInteractorStyleUnicam requires 1 argument(s)");
  vtkInteractorStyleUnicam* vtk_pointer = GetVTKPointer<vtkInteractorStyleUnicam>(arg[0]);
  Array retval;
  vtk_pointer->OnMouseMove();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUnicam:OnLeftButtonDown vtkInteractorStyleUnicamOnLeftButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUnicamOnLeftButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeftButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeftButtonDown for class vtkInteractorStyleUnicam requires 1 argument(s)");
  vtkInteractorStyleUnicam* vtk_pointer = GetVTKPointer<vtkInteractorStyleUnicam>(arg[0]);
  Array retval;
  vtk_pointer->OnLeftButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUnicam:OnLeftButtonUp vtkInteractorStyleUnicamOnLeftButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUnicamOnLeftButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeftButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeftButtonUp for class vtkInteractorStyleUnicam requires 1 argument(s)");
  vtkInteractorStyleUnicam* vtk_pointer = GetVTKPointer<vtkInteractorStyleUnicam>(arg[0]);
  Array retval;
  vtk_pointer->OnLeftButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUnicam:OnLeftButtonMove vtkInteractorStyleUnicamOnLeftButtonMoveFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUnicamOnLeftButtonMoveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeftButtonMove (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeftButtonMove for class vtkInteractorStyleUnicam requires 1 argument(s)");
  vtkInteractorStyleUnicam* vtk_pointer = GetVTKPointer<vtkInteractorStyleUnicam>(arg[0]);
  Array retval;
  vtk_pointer->OnLeftButtonMove();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUnicam:OnTimer vtkInteractorStyleUnicamOnTimerFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUnicamOnTimerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnTimer (); */
  if (arg.size() < 1) 
    throw Exception("Function OnTimer for class vtkInteractorStyleUnicam requires 1 argument(s)");
  vtkInteractorStyleUnicam* vtk_pointer = GetVTKPointer<vtkInteractorStyleUnicam>(arg[0]);
  Array retval;
  vtk_pointer->OnTimer();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUnicam:SetWorldUpVector vtkInteractorStyleUnicamSetWorldUpVectorFunction
//input varargin
//output varargout
ArrayVector vtkInteractorStyleUnicamSetWorldUpVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkInteractorStyleUnicamSetWorldUpVector__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkInteractorStyleUnicamSetWorldUpVector__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInteractorStyleUnicamSetWorldUpVector");
}

//@@Signature
//sfunction @vtkInteractorStyleUnicam:display vtkInteractorStyleUnicamDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInteractorStyleUnicamDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInteractorStyleUnicam* vtk_pointer = GetVTKPointer<vtkInteractorStyleUnicam>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInteractorStyleUnicam:delete vtkInteractorStyleUnicamDeleteFunction
//input varargin
//output none
ArrayVector vtkInteractorStyleUnicamDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInteractorStyleUnicam
//@@Section VTKRendering
//@@Usage
// UniCam is a camera interactor.  Here, just the primary features of the
// UniCam technique are implemented.  UniCam requires just one mouse button
// and supports context sensitive dollying, panning, and rotation.  (In this
// implementation, it uses the right mouse button, leaving the middle and
// left available for other functions.) For more information, see the paper
// at:
// 
//    ftp://ftp.cs.brown.edu/pub/papers/graphics/research/unicam.pdf
// 
// The following is a brief description of the UniCam Camera Controls.  You
// can perform 3 operations on the camera: rotate, pan, and dolly the camera.
// All operations are reached through the right mouse button & mouse
// movements.
// 
// IMPORTANT: UniCam assumes there is an axis that makes sense as a "up"
// vector for the world.  By default, this axis is defined to be the
// vector <0,0,1>.  You can set it explicitly for the data you are
// viewing with the 'SetWorldUpVector(..)' method in C++, or similarly
// in Tcl/Tk (or other interpreted languages).
// 
// 1. ROTATE:
// 
// Position the cursor over the point you wish to rotate around and press and
// release the left mouse button.  A 'focus dot' appears indicating the
// point that will be the center of rotation.  To rotate, press and hold the
// left mouse button and drag the mouse.. release the button to complete the
// rotation.
// 
// Rotations can be done without placing a focus dot first by moving the
// mouse cursor to within 10% of the window border & pressing and holding the
// left button followed by dragging the mouse.  The last focus dot position
// will be re-used.
// 
// 2. PAN:
// 
// Click and hold the left mouse button, and initially move the mouse left
// or right.  The point under the initial pick will pick correlate w/ the
// mouse tip-- (i.e., direct manipulation).
// 
// 3. DOLLY (+ PAN):
// 
// Click and hold the left mouse button, and initially move the mouse up or
// down.  Moving the mouse down will dolly towards the picked point, and moving
// the mouse up will dolly away from it.  Dollying occurs relative to the
// picked point which simplifies the task of dollying towards a region of
// interest. Left and right mouse movements will pan the camera left and right.
// 
//
//To create an instance of class vtkInteractorStyleUnicam, simply
//invoke its constructor as follows
//@[
//  obj = vtkInteractorStyleUnicam
//@]
//@@Methods
//The class vtkInteractorStyleUnicam has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInteractorStyleUnicam class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInteractorStyleUnicam = obj.NewInstance ()|
// \item @|vtkInteractorStyleUnicam = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetWorldUpVector (double a[3])|
// \item @|obj.SetWorldUpVector (double x, double y, double z)|
// \item @|double = obj. GetWorldUpVector ()|
// \item @|obj.OnMouseMove ()| -  Concrete implementation of event bindings
//// \item @|obj.OnLeftButtonDown ()| -  Concrete implementation of event bindings
//// \item @|obj.OnLeftButtonUp ()| -  Concrete implementation of event bindings
//// \item @|obj.OnLeftButtonMove ()| -  Concrete implementation of event bindings
//// \item @|obj.OnTimer ()| -  OnTimer calls RotateCamera, RotateActor etc which should be overridden by
// style subclasses.
////\end{itemize}
//!
