#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInteractorStyleUser object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInteractorStyleUser.h"

//@@Signature
//sfunction @vtkInteractorStyleUser:vtkInteractorStyleUser vtkInteractorStyleUserConstructorFunction
//input a
//output p
//@@Parents vtkInteractorStyleUser vtkInteractorStyle 
ArrayVector vtkInteractorStyleUserConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInteractorStyleUser::New(),"vtkInteractorStyleUser",eval);
  } else if (arg[0].className() == "vtkInteractorStyleUser") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInteractorStyleUser"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInteractorStyleUser");
    vtkInteractorStyleUser*q = reinterpret_cast<vtkInteractorStyleUser*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInteractorStyleUser");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInteractorStyleUser:GetClassName vtkInteractorStyleUserGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleUserGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:IsA vtkInteractorStyleUserIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleUserIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInteractorStyleUser requires 2 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:NewInstance vtkInteractorStyleUserNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleUserNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyleUser *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  vtkInteractorStyleUser  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyleUser",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:SafeDownCast vtkInteractorStyleUserSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInteractorStyleUserSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorStyleUser *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInteractorStyleUser requires 2 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInteractorStyleUser  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorStyleUser",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:GetLastPos vtkInteractorStyleUserGetLastPosFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleUserGetLastPosFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetLastPos (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastPos for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetLastPos();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:GetOldPos vtkInteractorStyleUserGetOldPosFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleUserGetOldPosFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetOldPos (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOldPos for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetOldPos();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:GetShiftKey vtkInteractorStyleUserGetShiftKeyFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleUserGetShiftKeyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShiftKey (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShiftKey for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShiftKey();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:GetCtrlKey vtkInteractorStyleUserGetCtrlKeyFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleUserGetCtrlKeyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCtrlKey (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCtrlKey for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCtrlKey();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:GetChar vtkInteractorStyleUserGetCharFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleUserGetCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetChar (); */
  if (arg.size() < 1) 
    throw Exception("Function GetChar for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetChar();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:GetKeySym vtkInteractorStyleUserGetKeySymFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleUserGetKeySymFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetKeySym (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeySym for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetKeySym();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:GetButton vtkInteractorStyleUserGetButtonFunction
//input a0 
//output y
ArrayVector vtkInteractorStyleUserGetButtonFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetButton (); */
  if (arg.size() < 1) 
    throw Exception("Function GetButton for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetButton();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:OnMouseMove vtkInteractorStyleUserOnMouseMoveFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUserOnMouseMoveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMouseMove (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMouseMove for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  vtk_pointer->OnMouseMove();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:OnLeftButtonDown vtkInteractorStyleUserOnLeftButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUserOnLeftButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeftButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeftButtonDown for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  vtk_pointer->OnLeftButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:OnLeftButtonUp vtkInteractorStyleUserOnLeftButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUserOnLeftButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeftButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeftButtonUp for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  vtk_pointer->OnLeftButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:OnMiddleButtonDown vtkInteractorStyleUserOnMiddleButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUserOnMiddleButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMiddleButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMiddleButtonDown for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  vtk_pointer->OnMiddleButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:OnMiddleButtonUp vtkInteractorStyleUserOnMiddleButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUserOnMiddleButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnMiddleButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnMiddleButtonUp for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  vtk_pointer->OnMiddleButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:OnRightButtonDown vtkInteractorStyleUserOnRightButtonDownFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUserOnRightButtonDownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnRightButtonDown (); */
  if (arg.size() < 1) 
    throw Exception("Function OnRightButtonDown for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  vtk_pointer->OnRightButtonDown();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:OnRightButtonUp vtkInteractorStyleUserOnRightButtonUpFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUserOnRightButtonUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnRightButtonUp (); */
  if (arg.size() < 1) 
    throw Exception("Function OnRightButtonUp for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  vtk_pointer->OnRightButtonUp();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:OnChar vtkInteractorStyleUserOnCharFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUserOnCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnChar (); */
  if (arg.size() < 1) 
    throw Exception("Function OnChar for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  vtk_pointer->OnChar();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:OnKeyPress vtkInteractorStyleUserOnKeyPressFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUserOnKeyPressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnKeyPress (); */
  if (arg.size() < 1) 
    throw Exception("Function OnKeyPress for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  vtk_pointer->OnKeyPress();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:OnKeyRelease vtkInteractorStyleUserOnKeyReleaseFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUserOnKeyReleaseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnKeyRelease (); */
  if (arg.size() < 1) 
    throw Exception("Function OnKeyRelease for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  vtk_pointer->OnKeyRelease();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:OnExpose vtkInteractorStyleUserOnExposeFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUserOnExposeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnExpose (); */
  if (arg.size() < 1) 
    throw Exception("Function OnExpose for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  vtk_pointer->OnExpose();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:OnConfigure vtkInteractorStyleUserOnConfigureFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUserOnConfigureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnConfigure (); */
  if (arg.size() < 1) 
    throw Exception("Function OnConfigure for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  vtk_pointer->OnConfigure();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:OnEnter vtkInteractorStyleUserOnEnterFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUserOnEnterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnEnter (); */
  if (arg.size() < 1) 
    throw Exception("Function OnEnter for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  vtk_pointer->OnEnter();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:OnLeave vtkInteractorStyleUserOnLeaveFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUserOnLeaveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnLeave (); */
  if (arg.size() < 1) 
    throw Exception("Function OnLeave for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  vtk_pointer->OnLeave();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:OnTimer vtkInteractorStyleUserOnTimerFunction
//input a0 
//output none
ArrayVector vtkInteractorStyleUserOnTimerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OnTimer (); */
  if (arg.size() < 1) 
    throw Exception("Function OnTimer for class vtkInteractorStyleUser requires 1 argument(s)");
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  Array retval;
  vtk_pointer->OnTimer();
  return retval;
}

//@@Signature
//sfunction @vtkInteractorStyleUser:display vtkInteractorStyleUserDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInteractorStyleUserDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInteractorStyleUser* vtk_pointer = GetVTKPointer<vtkInteractorStyleUser>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInteractorStyleUser:delete vtkInteractorStyleUserDeleteFunction
//input varargin
//output none
ArrayVector vtkInteractorStyleUserDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInteractorStyleUser
//@@Section VTKRendering
//@@Usage
// The most common way to customize user interaction is to write a subclass
// of vtkInteractorStyle: vtkInteractorStyleUser allows you to customize
// the interaction to without subclassing vtkInteractorStyle.  This is
// particularly useful for setting up custom interaction modes in
// scripting languages such as Tcl and Python.  This class allows you
// to hook into the MouseMove, ButtonPress/Release, KeyPress/Release,
// etc. events.  If you want to hook into just a single mouse button,
// but leave the interaction modes for the others unchanged, you
// must use e.g. SetMiddleButtonPressMethod() instead of the more
// general SetButtonPressMethod().
//
//To create an instance of class vtkInteractorStyleUser, simply
//invoke its constructor as follows
//@[
//  obj = vtkInteractorStyleUser
//@]
//@@Methods
//The class vtkInteractorStyleUser has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInteractorStyleUser class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInteractorStyleUser = obj.NewInstance ()|
// \item @|vtkInteractorStyleUser = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj. GetLastPos ()| -  Get the most recent mouse position during mouse motion.  
// In your user interaction method, you must use this to track
// the mouse movement.  Do not use GetEventPosition(), which records
// the last position where a mouse button was pressed.
//// \item @|int = obj. GetOldPos ()| -  Get the previous mouse position during mouse motion, or after
// a key press.  This can be used to calculate the relative 
// displacement of the mouse.
//// \item @|int = obj.GetShiftKey ()| -  Test whether modifiers were held down when mouse button or key
// was pressed
//// \item @|int = obj.GetCtrlKey ()| -  Test whether modifiers were held down when mouse button or key
// was pressed
//// \item @|int = obj.GetChar ()| -  Get the character for a Char event.
//// \item @|string = obj.GetKeySym ()| -  Get the KeySym (in the same format as Tk KeySyms) for a 
// KeyPress or KeyRelease method.
//// \item @|int = obj.GetButton ()| -  Get the mouse button that was last pressed inside the window
// (returns zero when the button is released).
//// \item @|obj.OnMouseMove ()| -  Generic event bindings
//// \item @|obj.OnLeftButtonDown ()| -  Generic event bindings
//// \item @|obj.OnLeftButtonUp ()| -  Generic event bindings
//// \item @|obj.OnMiddleButtonDown ()| -  Generic event bindings
//// \item @|obj.OnMiddleButtonUp ()| -  Generic event bindings
//// \item @|obj.OnRightButtonDown ()| -  Generic event bindings
//// \item @|obj.OnRightButtonUp ()| -  Generic event bindings
//// \item @|obj.OnChar ()| -  Keyboard functions
//// \item @|obj.OnKeyPress ()| -  Keyboard functions
//// \item @|obj.OnKeyRelease ()| -  Keyboard functions
//// \item @|obj.OnExpose ()| -  These are more esoteric events, but are useful in some cases.
//// \item @|obj.OnConfigure ()| -  These are more esoteric events, but are useful in some cases.
//// \item @|obj.OnEnter ()| -  These are more esoteric events, but are useful in some cases.
//// \item @|obj.OnLeave ()| -  These are more esoteric events, but are useful in some cases.
//// \item @|obj.OnTimer ()|
//\end{itemize}
//!
