#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLODActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLODActor.h"

//@@Signature
//sfunction @vtkLODActor:vtkLODActor vtkLODActorConstructorFunction
//input a
//output p
//@@Parents vtkLODActor vtkActor 
ArrayVector vtkLODActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLODActor::New(),"vtkLODActor",eval);
  } else if (arg[0].className() == "vtkLODActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLODActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLODActor");
    vtkLODActor*q = reinterpret_cast<vtkLODActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLODActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLODActor:GetClassName vtkLODActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLODActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLODActor requires 1 argument(s)");
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODActor:IsA vtkLODActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLODActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLODActor requires 2 argument(s)");
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODActor:NewInstance vtkLODActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLODActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLODActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLODActor requires 1 argument(s)");
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  Array retval;
  vtkLODActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLODActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLODActor:SafeDownCast vtkLODActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLODActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLODActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLODActor requires 2 argument(s)");
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLODActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLODActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLODActor:Render vtkLODActorRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLODActorRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkRenderer *, vtkMapper *); */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkLODActor requires 3 argument(s)");
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkMapper  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkMapper>(arg[2]);
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLODActor:RenderOpaqueGeometry vtkLODActorRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkLODActorRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkLODActor requires 2 argument(s)");
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODActor:ReleaseGraphicsResources vtkLODActorReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkLODActorReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkLODActor requires 2 argument(s)");
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLODActor:AddLODMapper vtkLODActorAddLODMapperFunction
//input a0 a1 
//output none
ArrayVector vtkLODActorAddLODMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddLODMapper (vtkMapper *mapper); */
  if (arg.size() < 2) 
    throw Exception("Function AddLODMapper for class vtkLODActor requires 2 argument(s)");
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  Array retval;
  vtkMapper  *temp0;
  temp0 = GetVTKPointer<vtkMapper>(arg[1]);
  vtk_pointer->AddLODMapper(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLODActor:SetLowResFilter vtkLODActorSetLowResFilterFunction
//input a0 a1 
//output none
ArrayVector vtkLODActorSetLowResFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLowResFilter (vtkPolyDataAlgorithm *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLowResFilter for class vtkLODActor requires 2 argument(s)");
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  Array retval;
  vtkPolyDataAlgorithm  *temp0;
  temp0 = GetVTKPointer<vtkPolyDataAlgorithm>(arg[1]);
  vtk_pointer->SetLowResFilter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLODActor:SetMediumResFilter vtkLODActorSetMediumResFilterFunction
//input a0 a1 
//output none
ArrayVector vtkLODActorSetMediumResFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetMediumResFilter (vtkPolyDataAlgorithm *); */
  if (arg.size() < 2) 
    throw Exception("Function SetMediumResFilter for class vtkLODActor requires 2 argument(s)");
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  Array retval;
  vtkPolyDataAlgorithm  *temp0;
  temp0 = GetVTKPointer<vtkPolyDataAlgorithm>(arg[1]);
  vtk_pointer->SetMediumResFilter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLODActor:GetLowResFilter vtkLODActorGetLowResFilterFunction
//input a0 
//output y
ArrayVector vtkLODActorGetLowResFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataAlgorithm *GetLowResFilter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLowResFilter for class vtkLODActor requires 1 argument(s)");
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  Array retval;
  vtkPolyDataAlgorithm  *temp20;
  temp20 = (vtk_pointer)->GetLowResFilter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLODActor:GetMediumResFilter vtkLODActorGetMediumResFilterFunction
//input a0 
//output y
ArrayVector vtkLODActorGetMediumResFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataAlgorithm *GetMediumResFilter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMediumResFilter for class vtkLODActor requires 1 argument(s)");
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  Array retval;
  vtkPolyDataAlgorithm  *temp20;
  temp20 = (vtk_pointer)->GetMediumResFilter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLODActor:GetNumberOfCloudPoints vtkLODActorGetNumberOfCloudPointsFunction
//input a0 
//output y
ArrayVector vtkLODActorGetNumberOfCloudPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCloudPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCloudPoints for class vtkLODActor requires 1 argument(s)");
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCloudPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODActor:SetNumberOfCloudPoints vtkLODActorSetNumberOfCloudPointsFunction
//input a0 a1 
//output none
ArrayVector vtkLODActorSetNumberOfCloudPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfCloudPoints (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfCloudPoints for class vtkLODActor requires 2 argument(s)");
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfCloudPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLODActor:GetLODMappers vtkLODActorGetLODMappersFunction
//input a0 
//output y
ArrayVector vtkLODActorGetLODMappersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMapperCollection *GetLODMappers (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLODMappers for class vtkLODActor requires 1 argument(s)");
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  Array retval;
  vtkMapperCollection  *temp20;
  temp20 = (vtk_pointer)->GetLODMappers();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMapperCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLODActor:Modified vtkLODActorModifiedFunction
//input a0 
//output none
ArrayVector vtkLODActorModifiedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Modified (); */
  if (arg.size() < 1) 
    throw Exception("Function Modified for class vtkLODActor requires 1 argument(s)");
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  Array retval;
  vtk_pointer->Modified();
  return retval;
}

//@@Signature
//sfunction @vtkLODActor:ShallowCopy vtkLODActorShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkLODActorShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkLODActor requires 2 argument(s)");
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLODActor:display vtkLODActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLODActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLODActor* vtk_pointer = GetVTKPointer<vtkLODActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLODActor:delete vtkLODActorDeleteFunction
//input varargin
//output none
ArrayVector vtkLODActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLODActor
//@@Section VTKRendering
//@@Usage
// vtkLODActor is an actor that stores multiple levels of detail (LOD) and
// can automatically switch between them. It selects which level of detail to
// use based on how much time it has been allocated to render.  Currently a
// very simple method of TotalTime/NumberOfActors is used.  (In the future
// this should be modified to dynamically allocate the rendering time between
// different actors based on their needs.)
//
// There are three levels of detail by default. The top level is just the
// normal data.  The lowest level of detail is a simple bounding box outline
// of the actor. The middle level of detail is a point cloud of a fixed
// number of points that have been randomly sampled from the mapper's input
// data.  Point attributes are copied over to the point cloud.  These two
// lower levels of detail are accomplished by creating instances of a
// vtkOutlineFilter (low-res) and vtkMaskPoints (medium-res). Additional
// levels of detail can be add using the AddLODMapper() method.
//
// To control the frame rate, you typically set the vtkRenderWindowInteractor
// DesiredUpdateRate and StillUpdateRate. This then will cause vtkLODActor
// to adjust its LOD to fulfill the requested update rate.
//
// For greater control on levels of detail, see also vtkLODProp3D. That
// class allows arbitrary definition of each LOD.
//
//To create an instance of class vtkLODActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkLODActor
//@]
//@@Methods
//The class vtkLODActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLODActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLODActor = obj.NewInstance ()|
// \item @|vtkLODActor = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Render (vtkRenderer , vtkMapper )| -  This causes the actor to be rendered. It, in turn, will render the actor's
// property and then mapper.  
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  This method is used internally by the rendering process. We overide 
// the superclass method to properly set the estimated render time.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|obj.AddLODMapper (vtkMapper mapper)| -  Add another level of detail.  They do not have to be in any order
// of complexity.
//// \item @|obj.SetLowResFilter (vtkPolyDataAlgorithm )| -  You may plug in your own filters to decimate/subsample the input. The
// default is to use a vtkOutlineFilter (low-res) and vtkMaskPoints 
// (medium-res).
//// \item @|obj.SetMediumResFilter (vtkPolyDataAlgorithm )| -  You may plug in your own filters to decimate/subsample the input. The
// default is to use a vtkOutlineFilter (low-res) and vtkMaskPoints 
// (medium-res).
//// \item @|vtkPolyDataAlgorithm = obj.GetLowResFilter ()| -  You may plug in your own filters to decimate/subsample the input. The
// default is to use a vtkOutlineFilter (low-res) and vtkMaskPoints 
// (medium-res).
//// \item @|vtkPolyDataAlgorithm = obj.GetMediumResFilter ()| -  You may plug in your own filters to decimate/subsample the input. The
// default is to use a vtkOutlineFilter (low-res) and vtkMaskPoints 
// (medium-res).
//// \item @|int = obj.GetNumberOfCloudPoints ()| -  Set/Get the number of random points for the point cloud.
//// \item @|obj.SetNumberOfCloudPoints (int )| -  Set/Get the number of random points for the point cloud.
//// \item @|vtkMapperCollection = obj.GetLODMappers ()| -  All the mappers for different LODs are stored here.
// The order is not important.
//// \item @|obj.Modified ()| -  When this objects gets modified, this method also modifies the object.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of an LOD actor. Overloads the virtual vtkProp method.
////\end{itemize}
//!
