#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLODProp3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLODProp3D.h"

//@@Signature
//sfunction @vtkLODProp3D:vtkLODProp3D vtkLODProp3DConstructorFunction
//input a
//output p
//@@Parents vtkLODProp3D vtkProp3D 
ArrayVector vtkLODProp3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLODProp3D::New(),"vtkLODProp3D",eval);
  } else if (arg[0].className() == "vtkLODProp3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLODProp3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLODProp3D");
    vtkLODProp3D*q = reinterpret_cast<vtkLODProp3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLODProp3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLODProp3D:GetClassName vtkLODProp3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLODProp3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:IsA vtkLODProp3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLODProp3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:NewInstance vtkLODProp3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLODProp3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLODProp3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  vtkLODProp3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLODProp3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:SafeDownCast vtkLODProp3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLODProp3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLODProp3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLODProp3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLODProp3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetBounds__1 vtkLODProp3DGetBounds__1Function
//input a0 
//output y
ArrayVector vtkLODProp3DGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__1 for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetBounds__2 vtkLODProp3DGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkLODProp3DGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[6]);this vtkProp3D GetBounds bounds  */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:AddLOD__1 vtkLODProp3DAddLOD__1Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkLODProp3DAddLOD__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddLOD (vtkMapper *m, vtkProperty *p, vtkProperty *back, vtkTexture *t, double time); */
  if (arg.size() < 6) 
    throw Exception("Function AddLOD__1 for class vtkLODProp3D requires 6 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  vtkMapper  *temp0;
  vtkProperty  *temp1;
  vtkProperty  *temp2;
  vtkTexture  *temp3;
  double   temp4;
  int      temp20;
  temp0 = GetVTKPointer<vtkMapper>(arg[1]);
  temp1 = GetVTKPointer<vtkProperty>(arg[2]);
  temp2 = GetVTKPointer<vtkProperty>(arg[3]);
  temp3 = GetVTKPointer<vtkTexture>(arg[4]);
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  temp20 = (vtk_pointer)->AddLOD(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:AddLOD__2 vtkLODProp3DAddLOD__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkLODProp3DAddLOD__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddLOD (vtkMapper *m, vtkProperty *p, vtkTexture *t, double time); */
  if (arg.size() < 5) 
    throw Exception("Function AddLOD__2 for class vtkLODProp3D requires 5 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  vtkMapper  *temp0;
  vtkProperty  *temp1;
  vtkTexture  *temp2;
  double   temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkMapper>(arg[1]);
  temp1 = GetVTKPointer<vtkProperty>(arg[2]);
  temp2 = GetVTKPointer<vtkTexture>(arg[3]);
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->AddLOD(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:AddLOD__3 vtkLODProp3DAddLOD__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkLODProp3DAddLOD__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddLOD (vtkMapper *m, vtkProperty *p, vtkProperty *back, double time); */
  if (arg.size() < 5) 
    throw Exception("Function AddLOD__3 for class vtkLODProp3D requires 5 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  vtkMapper  *temp0;
  vtkProperty  *temp1;
  vtkProperty  *temp2;
  double   temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkMapper>(arg[1]);
  temp1 = GetVTKPointer<vtkProperty>(arg[2]);
  temp2 = GetVTKPointer<vtkProperty>(arg[3]);
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->AddLOD(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:AddLOD__4 vtkLODProp3DAddLOD__4Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkLODProp3DAddLOD__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddLOD (vtkMapper *m, vtkProperty *p, double time); */
  if (arg.size() < 4) 
    throw Exception("Function AddLOD__4 for class vtkLODProp3D requires 4 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  vtkMapper  *temp0;
  vtkProperty  *temp1;
  double   temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkMapper>(arg[1]);
  temp1 = GetVTKPointer<vtkProperty>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->AddLOD(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:AddLOD__5 vtkLODProp3DAddLOD__5Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkLODProp3DAddLOD__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddLOD (vtkMapper *m, vtkTexture *t, double time); */
  if (arg.size() < 4) 
    throw Exception("Function AddLOD__5 for class vtkLODProp3D requires 4 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  vtkMapper  *temp0;
  vtkTexture  *temp1;
  double   temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkMapper>(arg[1]);
  temp1 = GetVTKPointer<vtkTexture>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->AddLOD(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:AddLOD__6 vtkLODProp3DAddLOD__6Function
//input a0 a1 a2 
//output y
ArrayVector vtkLODProp3DAddLOD__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddLOD (vtkMapper *m, double time); */
  if (arg.size() < 3) 
    throw Exception("Function AddLOD__6 for class vtkLODProp3D requires 3 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  vtkMapper  *temp0;
  double   temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkMapper>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->AddLOD(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:AddLOD__7 vtkLODProp3DAddLOD__7Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkLODProp3DAddLOD__7Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddLOD (vtkAbstractVolumeMapper *m, vtkVolumeProperty *p, double time); */
  if (arg.size() < 4) 
    throw Exception("Function AddLOD__7 for class vtkLODProp3D requires 4 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  vtkAbstractVolumeMapper  *temp0;
  vtkVolumeProperty  *temp1;
  double   temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkAbstractVolumeMapper>(arg[1]);
  temp1 = GetVTKPointer<vtkVolumeProperty>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->AddLOD(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:AddLOD__8 vtkLODProp3DAddLOD__8Function
//input a0 a1 a2 
//output y
ArrayVector vtkLODProp3DAddLOD__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddLOD (vtkAbstractVolumeMapper *m, double time); */
  if (arg.size() < 3) 
    throw Exception("Function AddLOD__8 for class vtkLODProp3D requires 3 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  vtkAbstractVolumeMapper  *temp0;
  double   temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkAbstractVolumeMapper>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->AddLOD(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetNumberOfLODs vtkLODProp3DGetNumberOfLODsFunction
//input a0 
//output y
ArrayVector vtkLODProp3DGetNumberOfLODsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfLODs (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLODs for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfLODs();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetCurrentIndex vtkLODProp3DGetCurrentIndexFunction
//input a0 
//output y
ArrayVector vtkLODProp3DGetCurrentIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCurrentIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentIndex for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCurrentIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:RemoveLOD vtkLODProp3DRemoveLODFunction
//input a0 a1 
//output none
ArrayVector vtkLODProp3DRemoveLODFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveLOD (int id); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveLOD for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveLOD(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:SetLODProperty__1 vtkLODProp3DSetLODProperty__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLODProp3DSetLODProperty__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLODProperty (int id, vtkProperty *p); */
  if (arg.size() < 3) 
    throw Exception("Function SetLODProperty__1 for class vtkLODProp3D requires 3 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  vtkProperty  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkProperty>(arg[2]);
  vtk_pointer->SetLODProperty(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:SetLODProperty__2 vtkLODProp3DSetLODProperty__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLODProp3DSetLODProperty__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLODProperty (int id, vtkVolumeProperty *p); */
  if (arg.size() < 3) 
    throw Exception("Function SetLODProperty__2 for class vtkLODProp3D requires 3 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  vtkVolumeProperty  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkVolumeProperty>(arg[2]);
  vtk_pointer->SetLODProperty(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:SetLODMapper__1 vtkLODProp3DSetLODMapper__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLODProp3DSetLODMapper__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLODMapper (int id, vtkMapper *m); */
  if (arg.size() < 3) 
    throw Exception("Function SetLODMapper__1 for class vtkLODProp3D requires 3 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  vtkMapper  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkMapper>(arg[2]);
  vtk_pointer->SetLODMapper(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:SetLODMapper__2 vtkLODProp3DSetLODMapper__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLODProp3DSetLODMapper__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLODMapper (int id, vtkAbstractVolumeMapper *m); */
  if (arg.size() < 3) 
    throw Exception("Function SetLODMapper__2 for class vtkLODProp3D requires 3 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  vtkAbstractVolumeMapper  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAbstractVolumeMapper>(arg[2]);
  vtk_pointer->SetLODMapper(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetLODMapper__3 vtkLODProp3DGetLODMapper__3Function
//input a0 a1 
//output y
ArrayVector vtkLODProp3DGetLODMapper__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractMapper3D *GetLODMapper (int id); */
  if (arg.size() < 2) 
    throw Exception("Function GetLODMapper__3 for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  vtkAbstractMapper3D  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetLODMapper(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractMapper3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:SetLODBackfaceProperty vtkLODProp3DSetLODBackfacePropertyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLODProp3DSetLODBackfacePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLODBackfaceProperty (int id, vtkProperty *t); */
  if (arg.size() < 3) 
    throw Exception("Function SetLODBackfaceProperty for class vtkLODProp3D requires 3 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  vtkProperty  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkProperty>(arg[2]);
  vtk_pointer->SetLODBackfaceProperty(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:SetLODTexture vtkLODProp3DSetLODTextureFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLODProp3DSetLODTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLODTexture (int id, vtkTexture *t); */
  if (arg.size() < 3) 
    throw Exception("Function SetLODTexture for class vtkLODProp3D requires 3 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  vtkTexture  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkTexture>(arg[2]);
  vtk_pointer->SetLODTexture(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:EnableLOD vtkLODProp3DEnableLODFunction
//input a0 a1 
//output none
ArrayVector vtkLODProp3DEnableLODFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableLOD (int id); */
  if (arg.size() < 2) 
    throw Exception("Function EnableLOD for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->EnableLOD(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:DisableLOD vtkLODProp3DDisableLODFunction
//input a0 a1 
//output none
ArrayVector vtkLODProp3DDisableLODFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisableLOD (int id); */
  if (arg.size() < 2) 
    throw Exception("Function DisableLOD for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->DisableLOD(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:IsLODEnabled vtkLODProp3DIsLODEnabledFunction
//input a0 a1 
//output y
ArrayVector vtkLODProp3DIsLODEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsLODEnabled (int id); */
  if (arg.size() < 2) 
    throw Exception("Function IsLODEnabled for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsLODEnabled(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:SetLODLevel vtkLODProp3DSetLODLevelFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLODProp3DSetLODLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLODLevel (int id, double level); */
  if (arg.size() < 3) 
    throw Exception("Function SetLODLevel for class vtkLODProp3D requires 3 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetLODLevel(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetLODLevel vtkLODProp3DGetLODLevelFunction
//input a0 a1 
//output y
ArrayVector vtkLODProp3DGetLODLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLODLevel (int id); */
  if (arg.size() < 2) 
    throw Exception("Function GetLODLevel for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetLODLevel(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetLODIndexLevel vtkLODProp3DGetLODIndexLevelFunction
//input a0 a1 
//output y
ArrayVector vtkLODProp3DGetLODIndexLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLODIndexLevel (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetLODIndexLevel for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetLODIndexLevel(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetLODEstimatedRenderTime vtkLODProp3DGetLODEstimatedRenderTimeFunction
//input a0 a1 
//output y
ArrayVector vtkLODProp3DGetLODEstimatedRenderTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLODEstimatedRenderTime (int id); */
  if (arg.size() < 2) 
    throw Exception("Function GetLODEstimatedRenderTime for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetLODEstimatedRenderTime(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetLODIndexEstimatedRenderTime vtkLODProp3DGetLODIndexEstimatedRenderTimeFunction
//input a0 a1 
//output y
ArrayVector vtkLODProp3DGetLODIndexEstimatedRenderTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLODIndexEstimatedRenderTime (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetLODIndexEstimatedRenderTime for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetLODIndexEstimatedRenderTime(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:SetAutomaticLODSelection vtkLODProp3DSetAutomaticLODSelectionFunction
//input a0 a1 
//output none
ArrayVector vtkLODProp3DSetAutomaticLODSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutomaticLODSelection (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutomaticLODSelection for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutomaticLODSelection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetAutomaticLODSelectionMinValue vtkLODProp3DGetAutomaticLODSelectionMinValueFunction
//input a0 
//output y
ArrayVector vtkLODProp3DGetAutomaticLODSelectionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutomaticLODSelectionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutomaticLODSelectionMinValue for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutomaticLODSelectionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetAutomaticLODSelectionMaxValue vtkLODProp3DGetAutomaticLODSelectionMaxValueFunction
//input a0 
//output y
ArrayVector vtkLODProp3DGetAutomaticLODSelectionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutomaticLODSelectionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutomaticLODSelectionMaxValue for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutomaticLODSelectionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetAutomaticLODSelection vtkLODProp3DGetAutomaticLODSelectionFunction
//input a0 
//output y
ArrayVector vtkLODProp3DGetAutomaticLODSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutomaticLODSelection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutomaticLODSelection for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutomaticLODSelection();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:AutomaticLODSelectionOn vtkLODProp3DAutomaticLODSelectionOnFunction
//input a0 
//output none
ArrayVector vtkLODProp3DAutomaticLODSelectionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticLODSelectionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticLODSelectionOn for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticLODSelectionOn();
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:AutomaticLODSelectionOff vtkLODProp3DAutomaticLODSelectionOffFunction
//input a0 
//output none
ArrayVector vtkLODProp3DAutomaticLODSelectionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticLODSelectionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticLODSelectionOff for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticLODSelectionOff();
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:SetSelectedLODID vtkLODProp3DSetSelectedLODIDFunction
//input a0 a1 
//output none
ArrayVector vtkLODProp3DSetSelectedLODIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedLODID (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedLODID for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSelectedLODID(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetSelectedLODID vtkLODProp3DGetSelectedLODIDFunction
//input a0 
//output y
ArrayVector vtkLODProp3DGetSelectedLODIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectedLODID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedLODID for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectedLODID();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetLastRenderedLODID vtkLODProp3DGetLastRenderedLODIDFunction
//input a0 
//output y
ArrayVector vtkLODProp3DGetLastRenderedLODIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLastRenderedLODID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastRenderedLODID for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLastRenderedLODID();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetPickLODID vtkLODProp3DGetPickLODIDFunction
//input a0 
//output y
ArrayVector vtkLODProp3DGetPickLODIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPickLODID (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetPickLODID for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPickLODID();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetActors vtkLODProp3DGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkLODProp3DGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetVolumes vtkLODProp3DGetVolumesFunction
//input a0 a1 
//output none
ArrayVector vtkLODProp3DGetVolumesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetVolumes (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetVolumes for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetVolumes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:SetSelectedPickLODID vtkLODProp3DSetSelectedPickLODIDFunction
//input a0 a1 
//output none
ArrayVector vtkLODProp3DSetSelectedPickLODIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedPickLODID (int id); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedPickLODID for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSelectedPickLODID(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetSelectedPickLODID vtkLODProp3DGetSelectedPickLODIDFunction
//input a0 
//output y
ArrayVector vtkLODProp3DGetSelectedPickLODIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectedPickLODID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedPickLODID for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectedPickLODID();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:SetAutomaticPickLODSelection vtkLODProp3DSetAutomaticPickLODSelectionFunction
//input a0 a1 
//output none
ArrayVector vtkLODProp3DSetAutomaticPickLODSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutomaticPickLODSelection (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutomaticPickLODSelection for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutomaticPickLODSelection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetAutomaticPickLODSelectionMinValue vtkLODProp3DGetAutomaticPickLODSelectionMinValueFunction
//input a0 
//output y
ArrayVector vtkLODProp3DGetAutomaticPickLODSelectionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutomaticPickLODSelectionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutomaticPickLODSelectionMinValue for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutomaticPickLODSelectionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetAutomaticPickLODSelectionMaxValue vtkLODProp3DGetAutomaticPickLODSelectionMaxValueFunction
//input a0 
//output y
ArrayVector vtkLODProp3DGetAutomaticPickLODSelectionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutomaticPickLODSelectionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutomaticPickLODSelectionMaxValue for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutomaticPickLODSelectionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetAutomaticPickLODSelection vtkLODProp3DGetAutomaticPickLODSelectionFunction
//input a0 
//output y
ArrayVector vtkLODProp3DGetAutomaticPickLODSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutomaticPickLODSelection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutomaticPickLODSelection for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutomaticPickLODSelection();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:AutomaticPickLODSelectionOn vtkLODProp3DAutomaticPickLODSelectionOnFunction
//input a0 
//output none
ArrayVector vtkLODProp3DAutomaticPickLODSelectionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticPickLODSelectionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticPickLODSelectionOn for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticPickLODSelectionOn();
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:AutomaticPickLODSelectionOff vtkLODProp3DAutomaticPickLODSelectionOffFunction
//input a0 
//output none
ArrayVector vtkLODProp3DAutomaticPickLODSelectionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticPickLODSelectionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticPickLODSelectionOff for class vtkLODProp3D requires 1 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticPickLODSelectionOff();
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:ShallowCopy vtkLODProp3DShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkLODProp3DShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkLODProp3D requires 2 argument(s)");
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLODProp3D:GetBounds vtkLODProp3DGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkLODProp3DGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkLODProp3DGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLODProp3DGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLODProp3DGetBounds");
}

//@@Signature
//sfunction @vtkLODProp3D:AddLOD vtkLODProp3DAddLODFunction
//input varargin
//output varargout
ArrayVector vtkLODProp3DAddLODFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsClass(arg[1],"vtkMapper") && VTKIsClass(arg[2],"vtkProperty") && VTKIsClass(arg[3],"vtkProperty") && VTKIsClass(arg[4],"vtkTexture") && VTKIsScalarArg(arg[5]))
    return vtkLODProp3DAddLOD__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkMapper") && VTKIsClass(arg[2],"vtkProperty") && VTKIsClass(arg[3],"vtkTexture") && VTKIsScalarArg(arg[4]))
    return vtkLODProp3DAddLOD__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkMapper") && VTKIsClass(arg[2],"vtkProperty") && VTKIsClass(arg[3],"vtkProperty") && VTKIsScalarArg(arg[4]))
    return vtkLODProp3DAddLOD__3Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkMapper") && VTKIsClass(arg[2],"vtkProperty") && VTKIsScalarArg(arg[3]))
    return vtkLODProp3DAddLOD__4Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkMapper") && VTKIsClass(arg[2],"vtkTexture") && VTKIsScalarArg(arg[3]))
    return vtkLODProp3DAddLOD__5Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkMapper") && VTKIsScalarArg(arg[2]))
    return vtkLODProp3DAddLOD__6Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkAbstractVolumeMapper") && VTKIsClass(arg[2],"vtkVolumeProperty") && VTKIsScalarArg(arg[3]))
    return vtkLODProp3DAddLOD__7Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkAbstractVolumeMapper") && VTKIsScalarArg(arg[2]))
    return vtkLODProp3DAddLOD__8Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLODProp3DAddLOD");
}

//@@Signature
//sfunction @vtkLODProp3D:SetLODProperty vtkLODProp3DSetLODPropertyFunction
//input varargin
//output varargout
ArrayVector vtkLODProp3DSetLODPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkProperty"))
    return vtkLODProp3DSetLODProperty__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkVolumeProperty"))
    return vtkLODProp3DSetLODProperty__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLODProp3DSetLODProperty");
}

//@@Signature
//sfunction @vtkLODProp3D:GetLODProperty vtkLODProp3DGetLODPropertyFunction
//input varargin
//output varargout
ArrayVector vtkLODProp3DGetLODPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkLODProp3DGetLODProperty");
}

//@@Signature
//sfunction @vtkLODProp3D:SetLODMapper vtkLODProp3DSetLODMapperFunction
//input varargin
//output varargout
ArrayVector vtkLODProp3DSetLODMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkMapper"))
    return vtkLODProp3DSetLODMapper__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkAbstractVolumeMapper"))
    return vtkLODProp3DSetLODMapper__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLODProp3DSetLODMapper");
}

//@@Signature
//sfunction @vtkLODProp3D:GetLODMapper vtkLODProp3DGetLODMapperFunction
//input varargin
//output varargout
ArrayVector vtkLODProp3DGetLODMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLODProp3DGetLODMapper__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLODProp3DGetLODMapper");
}

//@@Signature
//sfunction @vtkLODProp3D:display vtkLODProp3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLODProp3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLODProp3D* vtk_pointer = GetVTKPointer<vtkLODProp3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLODProp3D:delete vtkLODProp3DDeleteFunction
//input varargin
//output none
ArrayVector vtkLODProp3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLODProp3D
//@@Section VTKRendering
//@@Usage
// vtkLODProp3D is a class to support level of detail rendering for Prop3D.
// Any number of mapper/property/texture items can be added to this object.
// Render time will be measured, and will be used to select a LOD based on
// the AllocatedRenderTime of this Prop3D. Depending on the type of the
// mapper/property, a vtkActor or a vtkVolume will be created behind the
// scenes. 
//
//To create an instance of class vtkLODProp3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkLODProp3D
//@]
//@@Methods
//The class vtkLODProp3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLODProp3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLODProp3D = obj.NewInstance ()|
// \item @|vtkLODProp3D = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.GetBounds ()| -  Standard vtkProp method to get 3D bounds of a 3D prop
//// \item @|obj.GetBounds (double bounds[6])| -  Standard vtkProp method to get 3D bounds of a 3D prop
//// \item @|int = obj.AddLOD (vtkMapper m, vtkProperty p, vtkProperty back, vtkTexture t, double time)| -  Add a level of detail with a given mapper, property, backface property,
// texture, and guess of rendering time.  The property and texture fields
// can be set to NULL (the other methods are included for script access
// where null variables are not allowed). The time field can be set to 0.0
// indicating that no initial guess for rendering time is being supplied.
// The returned integer value is an ID that can be used later to delete
// this LOD, or set it as the selected LOD.
//// \item @|int = obj.AddLOD (vtkMapper m, vtkProperty p, vtkTexture t, double time)| -  Add a level of detail with a given mapper, property, backface property,
// texture, and guess of rendering time.  The property and texture fields
// can be set to NULL (the other methods are included for script access
// where null variables are not allowed). The time field can be set to 0.0
// indicating that no initial guess for rendering time is being supplied.
// The returned integer value is an ID that can be used later to delete
// this LOD, or set it as the selected LOD.
//// \item @|int = obj.AddLOD (vtkMapper m, vtkProperty p, vtkProperty back, double time)| -  Add a level of detail with a given mapper, property, backface property,
// texture, and guess of rendering time.  The property and texture fields
// can be set to NULL (the other methods are included for script access
// where null variables are not allowed). The time field can be set to 0.0
// indicating that no initial guess for rendering time is being supplied.
// The returned integer value is an ID that can be used later to delete
// this LOD, or set it as the selected LOD.
//// \item @|int = obj.AddLOD (vtkMapper m, vtkProperty p, double time)| -  Add a level of detail with a given mapper, property, backface property,
// texture, and guess of rendering time.  The property and texture fields
// can be set to NULL (the other methods are included for script access
// where null variables are not allowed). The time field can be set to 0.0
// indicating that no initial guess for rendering time is being supplied.
// The returned integer value is an ID that can be used later to delete
// this LOD, or set it as the selected LOD.
//// \item @|int = obj.AddLOD (vtkMapper m, vtkTexture t, double time)| -  Add a level of detail with a given mapper, property, backface property,
// texture, and guess of rendering time.  The property and texture fields
// can be set to NULL (the other methods are included for script access
// where null variables are not allowed). The time field can be set to 0.0
// indicating that no initial guess for rendering time is being supplied.
// The returned integer value is an ID that can be used later to delete
// this LOD, or set it as the selected LOD.
//// \item @|int = obj.AddLOD (vtkMapper m, double time)| -  Add a level of detail with a given mapper, property, backface property,
// texture, and guess of rendering time.  The property and texture fields
// can be set to NULL (the other methods are included for script access
// where null variables are not allowed). The time field can be set to 0.0
// indicating that no initial guess for rendering time is being supplied.
// The returned integer value is an ID that can be used later to delete
// this LOD, or set it as the selected LOD.
//// \item @|int = obj.AddLOD (vtkAbstractVolumeMapper m, vtkVolumeProperty p, double time)| -  Add a level of detail with a given mapper, property, backface property,
// texture, and guess of rendering time.  The property and texture fields
// can be set to NULL (the other methods are included for script access
// where null variables are not allowed). The time field can be set to 0.0
// indicating that no initial guess for rendering time is being supplied.
// The returned integer value is an ID that can be used later to delete
// this LOD, or set it as the selected LOD.
//// \item @|int = obj.AddLOD (vtkAbstractVolumeMapper m, double time)| -  Add a level of detail with a given mapper, property, backface property,
// texture, and guess of rendering time.  The property and texture fields
// can be set to NULL (the other methods are included for script access
// where null variables are not allowed). The time field can be set to 0.0
// indicating that no initial guess for rendering time is being supplied.
// The returned integer value is an ID that can be used later to delete
// this LOD, or set it as the selected LOD.
//// \item @|int = obj.GetNumberOfLODs ()| -  Get the current number of LODs.
//// \item @|int = obj.GetCurrentIndex ()| -  Get the current index, used to determine the ID of the next LOD that is
// added.  Useful for guessing what IDs have been used (with NumberOfLODs,
// without depending on the constructor initialization to 1000.
//// \item @|obj.RemoveLOD (int id)| -  Delete a level of detail given an ID. This is the ID returned by the
// AddLOD method
//// \item @|obj.SetLODProperty (int id, vtkProperty p)| -  Methods to set / get the property of an LOD. Since the LOD could be
// a volume or an actor, you have to pass in the pointer to the property
// to get it. The returned property will be NULL if the id is not valid,
// or the property is of the wrong type for the corresponding Prop3D.
//// \item @|obj.SetLODProperty (int id, vtkVolumeProperty p)| -  Methods to set / get the property of an LOD. Since the LOD could be
// a volume or an actor, you have to pass in the pointer to the property
// to get it. The returned property will be NULL if the id is not valid,
// or the property is of the wrong type for the corresponding Prop3D.
//// \item @|obj.SetLODMapper (int id, vtkMapper m)| -  Methods to set / get the mapper of an LOD. Since the LOD could be
// a volume or an actor, you have to pass in the pointer to the mapper
// to get it. The returned mapper will be NULL if the id is not valid,
// or the mapper is of the wrong type for the corresponding Prop3D.
//// \item @|obj.SetLODMapper (int id, vtkAbstractVolumeMapper m)| -  Methods to set / get the mapper of an LOD. Since the LOD could be
// a volume or an actor, you have to pass in the pointer to the mapper
// to get it. The returned mapper will be NULL if the id is not valid,
// or the mapper is of the wrong type for the corresponding Prop3D.
//// \item @|vtkAbstractMapper3D = obj.GetLODMapper (int id)| -  Get the LODMapper as an vtkAbstractMapper3D.  It is the user's
// respondibility to safe down cast this to a vtkMapper or vtkVolumeMapper
// as appropriate.
//// \item @|obj.SetLODBackfaceProperty (int id, vtkProperty t)| -  Methods to set / get the backface property of an LOD. This method is only
// valid for LOD ids that are Actors (not Volumes)
//// \item @|obj.SetLODTexture (int id, vtkTexture t)| -  Methods to set / get the texture of an LOD. This method is only
// valid for LOD ids that are Actors (not Volumes)
//// \item @|obj.EnableLOD (int id)| -  Enable / disable a particular LOD. If it is disabled, it will not
// be used during automatic selection, but can be selected as the
// LOD if automatic LOD selection is off.
//// \item @|obj.DisableLOD (int id)| -  Enable / disable a particular LOD. If it is disabled, it will not
// be used during automatic selection, but can be selected as the
// LOD if automatic LOD selection is off.
//// \item @|int = obj.IsLODEnabled (int id)| -  Enable / disable a particular LOD. If it is disabled, it will not
// be used during automatic selection, but can be selected as the
// LOD if automatic LOD selection is off.
//// \item @|obj.SetLODLevel (int id, double level)| -  Set the level of a particular LOD. When a LOD is selected for
// rendering because it has the largest render time that fits within
// the allocated time, all LOD are then checked to see if any one can
// render faster but has a lower (more resolution/better) level.
// This quantity is a double to ensure that a level can be inserted 
// between 2 and 3.
//// \item @|double = obj.GetLODLevel (int id)| -  Set the level of a particular LOD. When a LOD is selected for
// rendering because it has the largest render time that fits within
// the allocated time, all LOD are then checked to see if any one can
// render faster but has a lower (more resolution/better) level.
// This quantity is a double to ensure that a level can be inserted 
// between 2 and 3.
//// \item @|double = obj.GetLODIndexLevel (int index)| -  Set the level of a particular LOD. When a LOD is selected for
// rendering because it has the largest render time that fits within
// the allocated time, all LOD are then checked to see if any one can
// render faster but has a lower (more resolution/better) level.
// This quantity is a double to ensure that a level can be inserted 
// between 2 and 3.
//// \item @|double = obj.GetLODEstimatedRenderTime (int id)| -  Access method that can be used to find out the estimated render time
// (the thing used to select an LOD) for a given LOD ID or index. 
// Value is returned in seconds.
//// \item @|double = obj.GetLODIndexEstimatedRenderTime (int index)| -  Access method that can be used to find out the estimated render time
// (the thing used to select an LOD) for a given LOD ID or index. 
// Value is returned in seconds.
//// \item @|obj.SetAutomaticLODSelection (int )| -  Turn on / off automatic selection of LOD. 
// This is on by default. If it is off, then the SelectedLODID is 
// rendered regardless of rendering time or desired update rate. 
//// \item @|int = obj.GetAutomaticLODSelectionMinValue ()| -  Turn on / off automatic selection of LOD. 
// This is on by default. If it is off, then the SelectedLODID is 
// rendered regardless of rendering time or desired update rate. 
//// \item @|int = obj.GetAutomaticLODSelectionMaxValue ()| -  Turn on / off automatic selection of LOD. 
// This is on by default. If it is off, then the SelectedLODID is 
// rendered regardless of rendering time or desired update rate. 
//// \item @|int = obj.GetAutomaticLODSelection ()| -  Turn on / off automatic selection of LOD. 
// This is on by default. If it is off, then the SelectedLODID is 
// rendered regardless of rendering time or desired update rate. 
//// \item @|obj.AutomaticLODSelectionOn ()| -  Turn on / off automatic selection of LOD. 
// This is on by default. If it is off, then the SelectedLODID is 
// rendered regardless of rendering time or desired update rate. 
//// \item @|obj.AutomaticLODSelectionOff ()| -  Turn on / off automatic selection of LOD. 
// This is on by default. If it is off, then the SelectedLODID is 
// rendered regardless of rendering time or desired update rate. 
//// \item @|obj.SetSelectedLODID (int )| -  Set the id of the LOD that is to be drawn when automatic LOD selection
// is turned off.
//// \item @|int = obj.GetSelectedLODID ()| -  Set the id of the LOD that is to be drawn when automatic LOD selection
// is turned off.
//// \item @|int = obj.GetLastRenderedLODID ()| -  Get the ID of the previously (during the last render) selected LOD index
//// \item @|int = obj.GetPickLODID (void )| -  Get the ID of the appropriate pick LOD index
//// \item @|obj.GetActors (vtkPropCollection )| -  For some exporters and other other operations we must be
// able to collect all the actors or volumes. These methods
// are used in that process.
//// \item @|obj.GetVolumes (vtkPropCollection )| -  For some exporters and other other operations we must be
// able to collect all the actors or volumes. These methods
// are used in that process.
//// \item @|obj.SetSelectedPickLODID (int id)| -  Set the id of the LOD that is to be used for picking when  automatic 
// LOD pick selection is turned off.
//// \item @|int = obj.GetSelectedPickLODID ()| -  Set the id of the LOD that is to be used for picking when  automatic 
// LOD pick selection is turned off.
//// \item @|obj.SetAutomaticPickLODSelection (int )| -  Turn on / off automatic selection of picking LOD. 
// This is on by default. If it is off, then the SelectedLODID is 
// rendered regardless of rendering time or desired update rate. 
//// \item @|int = obj.GetAutomaticPickLODSelectionMinValue ()| -  Turn on / off automatic selection of picking LOD. 
// This is on by default. If it is off, then the SelectedLODID is 
// rendered regardless of rendering time or desired update rate. 
//// \item @|int = obj.GetAutomaticPickLODSelectionMaxValue ()| -  Turn on / off automatic selection of picking LOD. 
// This is on by default. If it is off, then the SelectedLODID is 
// rendered regardless of rendering time or desired update rate. 
//// \item @|int = obj.GetAutomaticPickLODSelection ()| -  Turn on / off automatic selection of picking LOD. 
// This is on by default. If it is off, then the SelectedLODID is 
// rendered regardless of rendering time or desired update rate. 
//// \item @|obj.AutomaticPickLODSelectionOn ()| -  Turn on / off automatic selection of picking LOD. 
// This is on by default. If it is off, then the SelectedLODID is 
// rendered regardless of rendering time or desired update rate. 
//// \item @|obj.AutomaticPickLODSelectionOff ()| -  Turn on / off automatic selection of picking LOD. 
// This is on by default. If it is off, then the SelectedLODID is 
// rendered regardless of rendering time or desired update rate. 
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of this vtkLODProp3D.
////\end{itemize}
//!
