#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLabelHierarchy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLabelHierarchy.h"

//@@Signature
//sfunction @vtkLabelHierarchy:vtkLabelHierarchy vtkLabelHierarchyConstructorFunction
//input a
//output p
//@@Parents vtkLabelHierarchy vtkPointSet 
ArrayVector vtkLabelHierarchyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLabelHierarchy::New(),"vtkLabelHierarchy",eval);
  } else if (arg[0].className() == "vtkLabelHierarchy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLabelHierarchy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLabelHierarchy");
    vtkLabelHierarchy*q = reinterpret_cast<vtkLabelHierarchy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLabelHierarchy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLabelHierarchy:GetClassName vtkLabelHierarchyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLabelHierarchyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLabelHierarchy requires 1 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:IsA vtkLabelHierarchyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLabelHierarchyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLabelHierarchy requires 2 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:NewInstance vtkLabelHierarchyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLabelHierarchyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabelHierarchy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLabelHierarchy requires 1 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkLabelHierarchy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabelHierarchy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:SafeDownCast vtkLabelHierarchySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLabelHierarchySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabelHierarchy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLabelHierarchy requires 2 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLabelHierarchy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabelHierarchy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:SetPoints vtkLabelHierarchySetPointsFunction
//input a0 a1 
//output none
ArrayVector vtkLabelHierarchySetPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoints (vtkPoints *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoints for class vtkLabelHierarchy requires 2 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->SetPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:ComputeHierarchy vtkLabelHierarchyComputeHierarchyFunction
//input a0 
//output none
ArrayVector vtkLabelHierarchyComputeHierarchyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ComputeHierarchy (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeHierarchy for class vtkLabelHierarchy requires 1 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtk_pointer->ComputeHierarchy();
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:SetTargetLabelCount vtkLabelHierarchySetTargetLabelCountFunction
//input a0 a1 
//output none
ArrayVector vtkLabelHierarchySetTargetLabelCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTargetLabelCount (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTargetLabelCount for class vtkLabelHierarchy requires 2 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTargetLabelCount(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetTargetLabelCount vtkLabelHierarchyGetTargetLabelCountFunction
//input a0 
//output y
ArrayVector vtkLabelHierarchyGetTargetLabelCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTargetLabelCount (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTargetLabelCount for class vtkLabelHierarchy requires 1 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTargetLabelCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:SetMaximumDepth vtkLabelHierarchySetMaximumDepthFunction
//input a0 a1 
//output none
ArrayVector vtkLabelHierarchySetMaximumDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumDepth (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumDepth for class vtkLabelHierarchy requires 2 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumDepth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetMaximumDepth vtkLabelHierarchyGetMaximumDepthFunction
//input a0 
//output y
ArrayVector vtkLabelHierarchyGetMaximumDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumDepth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumDepth for class vtkLabelHierarchy requires 1 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumDepth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:SetTextProperty vtkLabelHierarchySetTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkLabelHierarchySetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTextProperty (vtkTextProperty *tprop); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextProperty for class vtkLabelHierarchy requires 2 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetTextProperty vtkLabelHierarchyGetTextPropertyFunction
//input a0 
//output y
ArrayVector vtkLabelHierarchyGetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextProperty for class vtkLabelHierarchy requires 1 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:SetPriorities vtkLabelHierarchySetPrioritiesFunction
//input a0 a1 
//output none
ArrayVector vtkLabelHierarchySetPrioritiesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPriorities (vtkDataArray *arr); */
  if (arg.size() < 2) 
    throw Exception("Function SetPriorities for class vtkLabelHierarchy requires 2 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->SetPriorities(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetPriorities vtkLabelHierarchyGetPrioritiesFunction
//input a0 
//output y
ArrayVector vtkLabelHierarchyGetPrioritiesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetPriorities (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPriorities for class vtkLabelHierarchy requires 1 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetPriorities();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:SetLabels vtkLabelHierarchySetLabelsFunction
//input a0 a1 
//output none
ArrayVector vtkLabelHierarchySetLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabels (vtkAbstractArray *arr); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabels for class vtkLabelHierarchy requires 2 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  vtk_pointer->SetLabels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetLabels vtkLabelHierarchyGetLabelsFunction
//input a0 
//output y
ArrayVector vtkLabelHierarchyGetLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractArray *GetLabels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabels for class vtkLabelHierarchy requires 1 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp20;
  temp20 = (vtk_pointer)->GetLabels();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:SetOrientations vtkLabelHierarchySetOrientationsFunction
//input a0 a1 
//output none
ArrayVector vtkLabelHierarchySetOrientationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOrientations (vtkDataArray *arr); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrientations for class vtkLabelHierarchy requires 2 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->SetOrientations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetOrientations vtkLabelHierarchyGetOrientationsFunction
//input a0 
//output y
ArrayVector vtkLabelHierarchyGetOrientationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetOrientations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientations for class vtkLabelHierarchy requires 1 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetOrientations();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:SetIconIndices vtkLabelHierarchySetIconIndicesFunction
//input a0 a1 
//output none
ArrayVector vtkLabelHierarchySetIconIndicesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetIconIndices (vtkIntArray *arr); */
  if (arg.size() < 2) 
    throw Exception("Function SetIconIndices for class vtkLabelHierarchy requires 2 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkIntArray  *temp0;
  temp0 = GetVTKPointer<vtkIntArray>(arg[1]);
  vtk_pointer->SetIconIndices(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetIconIndices vtkLabelHierarchyGetIconIndicesFunction
//input a0 
//output y
ArrayVector vtkLabelHierarchyGetIconIndicesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIntArray *GetIconIndices (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIconIndices for class vtkLabelHierarchy requires 1 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkIntArray  *temp20;
  temp20 = (vtk_pointer)->GetIconIndices();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIntArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:SetSizes vtkLabelHierarchySetSizesFunction
//input a0 a1 
//output none
ArrayVector vtkLabelHierarchySetSizesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSizes (vtkDataArray *arr); */
  if (arg.size() < 2) 
    throw Exception("Function SetSizes for class vtkLabelHierarchy requires 2 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->SetSizes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetSizes vtkLabelHierarchyGetSizesFunction
//input a0 
//output y
ArrayVector vtkLabelHierarchyGetSizesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetSizes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSizes for class vtkLabelHierarchy requires 1 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetSizes();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:SetBoundedSizes vtkLabelHierarchySetBoundedSizesFunction
//input a0 a1 
//output none
ArrayVector vtkLabelHierarchySetBoundedSizesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetBoundedSizes (vtkDataArray *arr); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoundedSizes for class vtkLabelHierarchy requires 2 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->SetBoundedSizes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetBoundedSizes vtkLabelHierarchyGetBoundedSizesFunction
//input a0 
//output y
ArrayVector vtkLabelHierarchyGetBoundedSizesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetBoundedSizes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoundedSizes for class vtkLabelHierarchy requires 1 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetBoundedSizes();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetDiscreteNodeCoordinatesFromWorldPoint vtkLabelHierarchyGetDiscreteNodeCoordinatesFromWorldPointFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLabelHierarchyGetDiscreteNodeCoordinatesFromWorldPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetDiscreteNodeCoordinatesFromWorldPoint (int ijk[3], double pt[3], int level); */
  if (arg.size() < 4) 
    throw Exception("Function GetDiscreteNodeCoordinatesFromWorldPoint for class vtkLabelHierarchy requires 4 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  int    temp0[3];
  double temp1[3];
  int      temp2;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[7].asDouble();
  vtk_pointer->GetDiscreteNodeCoordinatesFromWorldPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetPathForNodalCoordinates vtkLabelHierarchyGetPathForNodalCoordinatesFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkLabelHierarchyGetPathForNodalCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static bool GetPathForNodalCoordinates (int *path, int ijk[3], int level); */
  if (arg.size() < 4) 
    throw Exception("Function GetPathForNodalCoordinates for class vtkLabelHierarchy requires 4 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  int     *temp0;
  int    temp1[3];
  int      temp2;
  bool   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->GetPathForNodalCoordinates(temp0,temp1,temp2);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetNumberOfCells vtkLabelHierarchyGetNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkLabelHierarchyGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCells for class vtkLabelHierarchy requires 1 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetCell__1 vtkLabelHierarchyGetCell__1Function
//input a0 a1 
//output y
ArrayVector vtkLabelHierarchyGetCell__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCell *GetCell (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function GetCell__1 for class vtkLabelHierarchy requires 2 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkCell  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCell(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCell",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetCell__2 vtkLabelHierarchyGetCell__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLabelHierarchyGetCell__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCell (vtkIdType , vtkGenericCell *); */
  if (arg.size() < 3) 
    throw Exception("Function GetCell__2 for class vtkLabelHierarchy requires 3 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkGenericCell>(arg[2]);
  vtk_pointer->GetCell(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetCellType vtkLabelHierarchyGetCellTypeFunction
//input a0 a1 
//output y
ArrayVector vtkLabelHierarchyGetCellTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetCellType (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellType for class vtkLabelHierarchy requires 2 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetCellPoints vtkLabelHierarchyGetCellPointsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLabelHierarchyGetCellPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellPoints (vtkIdType , vtkIdList *); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellPoints for class vtkLabelHierarchy requires 3 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetCellPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetPointCells vtkLabelHierarchyGetPointCellsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLabelHierarchyGetPointCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPointCells (vtkIdType , vtkIdList *); */
  if (arg.size() < 3) 
    throw Exception("Function GetPointCells for class vtkLabelHierarchy requires 3 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdList>(arg[2]);
  vtk_pointer->GetPointCells(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetMaxCellSize vtkLabelHierarchyGetMaxCellSizeFunction
//input a0 
//output y
ArrayVector vtkLabelHierarchyGetMaxCellSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetMaxCellSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxCellSize for class vtkLabelHierarchy requires 1 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxCellSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetCenterPts vtkLabelHierarchyGetCenterPtsFunction
//input a0 
//output y
ArrayVector vtkLabelHierarchyGetCenterPtsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetCenterPts (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenterPts for class vtkLabelHierarchy requires 1 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetCenterPts();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetCoincidentPoints vtkLabelHierarchyGetCoincidentPointsFunction
//input a0 
//output y
ArrayVector vtkLabelHierarchyGetCoincidentPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoincidentPoints *GetCoincidentPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoincidentPoints for class vtkLabelHierarchy requires 1 argument(s)");
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  Array retval;
  vtkCoincidentPoints  *temp20;
  temp20 = (vtk_pointer)->GetCoincidentPoints();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoincidentPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchy:GetCell vtkLabelHierarchyGetCellFunction
//input varargin
//output varargout
ArrayVector vtkLabelHierarchyGetCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLabelHierarchyGetCell__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkGenericCell"))
    return vtkLabelHierarchyGetCell__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLabelHierarchyGetCell");
}

//@@Signature
//sfunction @vtkLabelHierarchy:FindCell vtkLabelHierarchyFindCellFunction
//input varargin
//output varargout
ArrayVector vtkLabelHierarchyFindCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkLabelHierarchyFindCell");
}

//@@Signature
//sfunction @vtkLabelHierarchy:display vtkLabelHierarchyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLabelHierarchyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLabelHierarchy* vtk_pointer = GetVTKPointer<vtkLabelHierarchy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLabelHierarchy:delete vtkLabelHierarchyDeleteFunction
//input varargin
//output none
ArrayVector vtkLabelHierarchyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLabelHierarchy
//@@Section VTKRendering
//@@Usage
// This class represents labels in a hierarchy used to denote rendering priority.
// A binary tree of labels is maintained that subdivides the bounds of the
// of the label anchors spatially. Which level of the tree a label occupies
// determines its priority; those at higher levels of the tree will be
// more likely to render than those at lower levels of the tree.
//
// Pass vtkLabelHierarchy objects to a vtkLabelPlacementMapper filter for dynamic,
// non-overlapping, per-frame placement of labels.
//
// Note that if we have a d-dimensional binary tree and we want a fixed
// number \f$n\f$ of labels in each node (all nodes, not just leaves),
// we can compute the depth of tree required assuming a uniform distribution
// of points. Given a total of \f$N\f$ points we know that
// \f$\frac{N}{|T|} = n\f$, where \f$|T|\f$ is the cardinality of the tree (i.e.,
// the number of nodes it contains).
// Because we have a uniform distribution, the tree will be uniformly subdivided
// and thus \f$|T| = 1 + 2^d + \left(2^d\right)^2 + \cdots + \left(2^d\right)^k\f$,
// where \f$d\f$ is the dimensionality of the input points (fixed at 3 for now).
// As \f$k\f$ becomes large, \f$|T|\approx 2 \left(2^d\right)^k\f$.
// Using this approximation, we can solve for \f$k\f$:
// \f[ k = \frac{\log{\frac{N}{2n}}}{\log{2^d}} \f]
// Given a set of \f$N\f$ input label anchors, we'll compute \f$k\f$ and then
// bin the anchors into tree nodes at level \f$k\f$ of the tree. After this,
// all the nodes will be in the leaves of the tree and those leaves will be at
// the \f$k\f$-th level; no anchors will be in levels \f$1, 2, \ldots, k-1\f$.
// To fix that, we'll choose to move some anchors upwards.
// The exact number to move upwards depends on \a TargetLabelCount. We'll
// move as many up as required to have \a TargetLabelCount at each node.
//
// You should avoid situations where \a MaximumDepth does not allow for
// \a TargetLabelCount or fewer entries at each node. The \a MaximumDepth
// is a hard limit while \a TargetLabelCount is a suggested optimum. You will
// end up with many more than \a TargetLabelCount entries per node and things
// will be sloooow.
//
//To create an instance of class vtkLabelHierarchy, simply
//invoke its constructor as follows
//@[
//  obj = vtkLabelHierarchy
//@]
//@@Methods
//The class vtkLabelHierarchy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLabelHierarchy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLabelHierarchy = obj.NewInstance ()|
// \item @|vtkLabelHierarchy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPoints (vtkPoints )| -  Override SetPoints so we can reset the hierarchy when the points change.
//// \item @|obj.ComputeHierarchy ()| -  Fill the hierarchy with the input labels.
//// \item @|obj.SetTargetLabelCount (int )| -  The number of labels that is ideally present at any octree node.
// It is best if this is a multiple of \f$2^d\f$.
//// \item @|int = obj.GetTargetLabelCount ()| -  The number of labels that is ideally present at any octree node.
// It is best if this is a multiple of \f$2^d\f$.
//// \item @|obj.SetMaximumDepth (int )| -  The maximum depth of the octree.
//// \item @|int = obj.GetMaximumDepth ()| -  The maximum depth of the octree.
//// \item @|obj.SetTextProperty (vtkTextProperty tprop)| -  The default text property assigned to labels in this hierarchy.
//// \item @|vtkTextProperty = obj.GetTextProperty ()| -  The default text property assigned to labels in this hierarchy.
//// \item @|obj.SetPriorities (vtkDataArray arr)| -  Set/get the array specifying the importance (priority) of each label.
//// \item @|vtkDataArray = obj.GetPriorities ()| -  Set/get the array specifying the importance (priority) of each label.
//// \item @|obj.SetLabels (vtkAbstractArray arr)| -  Set/get the array specifying the text of each label.
//// \item @|vtkAbstractArray = obj.GetLabels ()| -  Set/get the array specifying the text of each label.
//// \item @|obj.SetOrientations (vtkDataArray arr)| -  Set/get the array specifying the orientation of each label.
//// \item @|vtkDataArray = obj.GetOrientations ()| -  Set/get the array specifying the orientation of each label.
//// \item @|obj.SetIconIndices (vtkIntArray arr)| -  Set/get the array specifying the icon index of each label.
//// \item @|vtkIntArray = obj.GetIconIndices ()| -  Set/get the array specifying the icon index of each label.
//// \item @|obj.SetSizes (vtkDataArray arr)| -  Set/get the array specifying the size of each label.
//// \item @|vtkDataArray = obj.GetSizes ()| -  Set/get the array specifying the size of each label.
//// \item @|obj.SetBoundedSizes (vtkDataArray arr)| -  Set/get the array specifying the maximum width and height in world coordinates of each label.
//// \item @|vtkDataArray = obj.GetBoundedSizes ()| -  Set/get the array specifying the maximum width and height in world coordinates of each label.
//// \item @|obj.GetDiscreteNodeCoordinatesFromWorldPoint (int ijk[3], double pt[3], int level)| -  Given a depth in the hierarchy (\a level) and a point \a pt in world space, compute \a ijk.
// This is used to find other octree nodes at the same \a level that are within the search radius
// for candidate labels to be placed. It is called with \a pt set to the camera eye point and
// pythagorean quadruples increasingly distant from the origin are added to \a ijk to identify
// octree nodes whose labels should be placed.
// @param[out] ijk - discrete coordinates of the octree node at \a level containing \a pt.
// @param[in]  pt - input world point coordinates
// @param[in]  level - input octree level to be considered
//// \item @|vtkIdType = obj.GetNumberOfCells ()| -  Inherited members (from vtkDataSet)
//// \item @|vtkCell = obj.GetCell (vtkIdType )| -  Inherited members (from vtkDataSet)
//// \item @|obj.GetCell (vtkIdType , vtkGenericCell )| -  Inherited members (from vtkDataSet)
//// \item @|int = obj.GetCellType (vtkIdType )| -  Inherited members (from vtkDataSet)
//// \item @|obj.GetCellPoints (vtkIdType , vtkIdList )| -  Inherited members (from vtkDataSet)
//// \item @|obj.GetPointCells (vtkIdType , vtkIdList )| -  Inherited members (from vtkDataSet)
//// \item @|int = obj.GetMaxCellSize ()| -  Inherited members (from vtkDataSet)
//// \item @|vtkPoints = obj.GetCenterPts ()| -  Provide access to original coordinates of sets of coincident points
//// \item @|vtkCoincidentPoints = obj.GetCoincidentPoints ()| -  Provide access to the set of coincident points that have been
// perturbed by the hierarchy in order to render labels for each
// without overlap.
////\end{itemize}
//!
