#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLabelHierarchyAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLabelHierarchyAlgorithm.h"

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:vtkLabelHierarchyAlgorithm vtkLabelHierarchyAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkLabelHierarchyAlgorithm vtkAlgorithm 
ArrayVector vtkLabelHierarchyAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLabelHierarchyAlgorithm::New(),"vtkLabelHierarchyAlgorithm",eval);
  } else if (arg[0].className() == "vtkLabelHierarchyAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLabelHierarchyAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLabelHierarchyAlgorithm");
    vtkLabelHierarchyAlgorithm*q = reinterpret_cast<vtkLabelHierarchyAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLabelHierarchyAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:GetClassName vtkLabelHierarchyAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLabelHierarchyAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLabelHierarchyAlgorithm requires 1 argument(s)");
  vtkLabelHierarchyAlgorithm* vtk_pointer = GetVTKPointer<vtkLabelHierarchyAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:IsA vtkLabelHierarchyAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLabelHierarchyAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLabelHierarchyAlgorithm requires 2 argument(s)");
  vtkLabelHierarchyAlgorithm* vtk_pointer = GetVTKPointer<vtkLabelHierarchyAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:NewInstance vtkLabelHierarchyAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLabelHierarchyAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabelHierarchyAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLabelHierarchyAlgorithm requires 1 argument(s)");
  vtkLabelHierarchyAlgorithm* vtk_pointer = GetVTKPointer<vtkLabelHierarchyAlgorithm>(arg[0]);
  Array retval;
  vtkLabelHierarchyAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabelHierarchyAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:SafeDownCast vtkLabelHierarchyAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLabelHierarchyAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabelHierarchyAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLabelHierarchyAlgorithm requires 2 argument(s)");
  vtkLabelHierarchyAlgorithm* vtk_pointer = GetVTKPointer<vtkLabelHierarchyAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLabelHierarchyAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabelHierarchyAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:GetOutput__1 vtkLabelHierarchyAlgorithmGetOutput__1Function
//input a0 
//output y
ArrayVector vtkLabelHierarchyAlgorithmGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabelHierarchy *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkLabelHierarchyAlgorithm requires 1 argument(s)");
  vtkLabelHierarchyAlgorithm* vtk_pointer = GetVTKPointer<vtkLabelHierarchyAlgorithm>(arg[0]);
  Array retval;
  vtkLabelHierarchy  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabelHierarchy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:GetOutput__2 vtkLabelHierarchyAlgorithmGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkLabelHierarchyAlgorithmGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabelHierarchy *GetOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkLabelHierarchyAlgorithm requires 2 argument(s)");
  vtkLabelHierarchyAlgorithm* vtk_pointer = GetVTKPointer<vtkLabelHierarchyAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkLabelHierarchy  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabelHierarchy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:SetOutput vtkLabelHierarchyAlgorithmSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkLabelHierarchyAlgorithmSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOutput (vtkDataObject *d); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkLabelHierarchyAlgorithm requires 2 argument(s)");
  vtkLabelHierarchyAlgorithm* vtk_pointer = GetVTKPointer<vtkLabelHierarchyAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:GetInput__1 vtkLabelHierarchyAlgorithmGetInput__1Function
//input a0 
//output y
ArrayVector vtkLabelHierarchyAlgorithmGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__1 for class vtkLabelHierarchyAlgorithm requires 1 argument(s)");
  vtkLabelHierarchyAlgorithm* vtk_pointer = GetVTKPointer<vtkLabelHierarchyAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:GetInput__2 vtkLabelHierarchyAlgorithmGetInput__2Function
//input a0 a1 
//output y
ArrayVector vtkLabelHierarchyAlgorithmGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__2 for class vtkLabelHierarchyAlgorithm requires 2 argument(s)");
  vtkLabelHierarchyAlgorithm* vtk_pointer = GetVTKPointer<vtkLabelHierarchyAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:GetLabelHierarchyInput vtkLabelHierarchyAlgorithmGetLabelHierarchyInputFunction
//input a0 a1 
//output y
ArrayVector vtkLabelHierarchyAlgorithmGetLabelHierarchyInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabelHierarchy *GetLabelHierarchyInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetLabelHierarchyInput for class vtkLabelHierarchyAlgorithm requires 2 argument(s)");
  vtkLabelHierarchyAlgorithm* vtk_pointer = GetVTKPointer<vtkLabelHierarchyAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkLabelHierarchy  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetLabelHierarchyInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabelHierarchy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:SetInput__1 vtkLabelHierarchyAlgorithmSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkLabelHierarchyAlgorithmSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkLabelHierarchyAlgorithm requires 2 argument(s)");
  vtkLabelHierarchyAlgorithm* vtk_pointer = GetVTKPointer<vtkLabelHierarchyAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:SetInput__2 vtkLabelHierarchyAlgorithmSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLabelHierarchyAlgorithmSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkLabelHierarchyAlgorithm requires 3 argument(s)");
  vtkLabelHierarchyAlgorithm* vtk_pointer = GetVTKPointer<vtkLabelHierarchyAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:AddInput__1 vtkLabelHierarchyAlgorithmAddInput__1Function
//input a0 a1 
//output none
ArrayVector vtkLabelHierarchyAlgorithmAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__1 for class vtkLabelHierarchyAlgorithm requires 2 argument(s)");
  vtkLabelHierarchyAlgorithm* vtk_pointer = GetVTKPointer<vtkLabelHierarchyAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:AddInput__2 vtkLabelHierarchyAlgorithmAddInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLabelHierarchyAlgorithmAddInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function AddInput__2 for class vtkLabelHierarchyAlgorithm requires 3 argument(s)");
  vtkLabelHierarchyAlgorithm* vtk_pointer = GetVTKPointer<vtkLabelHierarchyAlgorithm>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->AddInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:GetOutput vtkLabelHierarchyAlgorithmGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkLabelHierarchyAlgorithmGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkLabelHierarchyAlgorithmGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLabelHierarchyAlgorithmGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLabelHierarchyAlgorithmGetOutput");
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:GetInput vtkLabelHierarchyAlgorithmGetInputFunction
//input varargin
//output varargout
ArrayVector vtkLabelHierarchyAlgorithmGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkLabelHierarchyAlgorithmGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLabelHierarchyAlgorithmGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLabelHierarchyAlgorithmGetInput");
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:SetInput vtkLabelHierarchyAlgorithmSetInputFunction
//input varargin
//output varargout
ArrayVector vtkLabelHierarchyAlgorithmSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkLabelHierarchyAlgorithmSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkLabelHierarchyAlgorithmSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLabelHierarchyAlgorithmSetInput");
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:AddInput vtkLabelHierarchyAlgorithmAddInputFunction
//input varargin
//output varargout
ArrayVector vtkLabelHierarchyAlgorithmAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkLabelHierarchyAlgorithmAddInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkLabelHierarchyAlgorithmAddInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLabelHierarchyAlgorithmAddInput");
}

//@@Signature
//sfunction @vtkLabelHierarchyAlgorithm:display vtkLabelHierarchyAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLabelHierarchyAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLabelHierarchyAlgorithm* vtk_pointer = GetVTKPointer<vtkLabelHierarchyAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLabelHierarchyAlgorithm:delete vtkLabelHierarchyAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkLabelHierarchyAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLabelHierarchyAlgorithm
//@@Section VTKRendering
//@@Usage
//
// vtkLabelHierarchyAlgorithm is a convenience class to make writing algorithms
// easier. It is also designed to help transition old algorithms to the new
// pipeline architecture. There are some assumptions and defaults made by this
// class you should be aware of. This class defaults such that your filter
// will have one input port and one output port. If that is not the case
// simply change it with SetNumberOfInputPorts etc. See this class
// constructor for the default. This class also provides a FillInputPortInfo
// method that by default says that all inputs will be DataObjects. If that
// isn't the case then please override this method in your subclass. This
// class breaks out the downstream requests into separate functions such as
// RequestData and RequestInformation.  You should
// implement RequestData( request, inputVec, outputVec) in subclasses.
//
//To create an instance of class vtkLabelHierarchyAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkLabelHierarchyAlgorithm
//@]
//@@Methods
//The class vtkLabelHierarchyAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLabelHierarchyAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLabelHierarchyAlgorithm = obj.NewInstance ()|
// \item @|vtkLabelHierarchyAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|vtkLabelHierarchy = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkLabelHierarchy = obj.GetOutput (int )| -  Get the output data object for a port on this algorithm.
//// \item @|obj.SetOutput (vtkDataObject d)| -  Get the output data object for a port on this algorithm.
//// \item @|vtkDataObject = obj.GetInput ()|
// \item @|vtkDataObject = obj.GetInput (int port)|
// \item @|vtkLabelHierarchy = obj.GetLabelHierarchyInput (int port)|
// \item @|obj.SetInput (vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.SetInput (int , vtkDataObject )| -  Set an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline.
// Note that these methods support old-style pipeline connections.
// When writing new code you should use the more general
// vtkAlgorithm::SetInputConnection().  These methods transform the
// input index to the input port index, not an index of a connection
// within a single port.
//// \item @|obj.AddInput (vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
//// \item @|obj.AddInput (int , vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
////\end{itemize}
//!
