#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLabelPlacementMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLabelPlacementMapper.h"

//@@Signature
//sfunction @vtkLabelPlacementMapper:vtkLabelPlacementMapper vtkLabelPlacementMapperConstructorFunction
//input a
//output p
//@@Parents vtkLabelPlacementMapper vtkMapper2D 
ArrayVector vtkLabelPlacementMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLabelPlacementMapper::New(),"vtkLabelPlacementMapper",eval);
  } else if (arg[0].className() == "vtkLabelPlacementMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLabelPlacementMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLabelPlacementMapper");
    vtkLabelPlacementMapper*q = reinterpret_cast<vtkLabelPlacementMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLabelPlacementMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLabelPlacementMapper:GetClassName vtkLabelPlacementMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:IsA vtkLabelPlacementMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLabelPlacementMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLabelPlacementMapper requires 2 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:NewInstance vtkLabelPlacementMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabelPlacementMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtkLabelPlacementMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabelPlacementMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SafeDownCast vtkLabelPlacementMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLabelPlacementMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabelPlacementMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLabelPlacementMapper requires 2 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLabelPlacementMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabelPlacementMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:RenderOverlay vtkLabelPlacementMapperRenderOverlayFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLabelPlacementMapperRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderOverlay (vtkViewport *viewport, vtkActor2D *actor); */
  if (arg.size() < 3) 
    throw Exception("Function RenderOverlay for class vtkLabelPlacementMapper requires 3 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkActor2D>(arg[2]);
  vtk_pointer->RenderOverlay(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetRenderStrategy vtkLabelPlacementMapperSetRenderStrategyFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacementMapperSetRenderStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRenderStrategy (vtkLabelRenderStrategy *s); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderStrategy for class vtkLabelPlacementMapper requires 2 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtkLabelRenderStrategy  *temp0;
  temp0 = GetVTKPointer<vtkLabelRenderStrategy>(arg[1]);
  vtk_pointer->SetRenderStrategy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetRenderStrategy vtkLabelPlacementMapperGetRenderStrategyFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetRenderStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabelRenderStrategy *GetRenderStrategy (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderStrategy for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtkLabelRenderStrategy  *temp20;
  temp20 = (vtk_pointer)->GetRenderStrategy();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabelRenderStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetMaximumLabelFraction vtkLabelPlacementMapperSetMaximumLabelFractionFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacementMapperSetMaximumLabelFractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumLabelFraction (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumLabelFraction for class vtkLabelPlacementMapper requires 2 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumLabelFraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetMaximumLabelFractionMinValue vtkLabelPlacementMapperGetMaximumLabelFractionMinValueFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetMaximumLabelFractionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumLabelFractionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumLabelFractionMinValue for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumLabelFractionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetMaximumLabelFractionMaxValue vtkLabelPlacementMapperGetMaximumLabelFractionMaxValueFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetMaximumLabelFractionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumLabelFractionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumLabelFractionMaxValue for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumLabelFractionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetMaximumLabelFraction vtkLabelPlacementMapperGetMaximumLabelFractionFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetMaximumLabelFractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumLabelFraction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumLabelFraction for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumLabelFraction();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetIteratorType vtkLabelPlacementMapperSetIteratorTypeFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacementMapperSetIteratorTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIteratorType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIteratorType for class vtkLabelPlacementMapper requires 2 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIteratorType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetIteratorType vtkLabelPlacementMapperGetIteratorTypeFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetIteratorTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIteratorType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIteratorType for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIteratorType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetUseUnicodeStrings vtkLabelPlacementMapperSetUseUnicodeStringsFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacementMapperSetUseUnicodeStringsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseUnicodeStrings (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseUnicodeStrings for class vtkLabelPlacementMapper requires 2 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseUnicodeStrings(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetUseUnicodeStrings vtkLabelPlacementMapperGetUseUnicodeStringsFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetUseUnicodeStringsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseUnicodeStrings (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseUnicodeStrings for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseUnicodeStrings();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:UseUnicodeStringsOn vtkLabelPlacementMapperUseUnicodeStringsOnFunction
//input a0 
//output none
ArrayVector vtkLabelPlacementMapperUseUnicodeStringsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseUnicodeStringsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseUnicodeStringsOn for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtk_pointer->UseUnicodeStringsOn();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:UseUnicodeStringsOff vtkLabelPlacementMapperUseUnicodeStringsOffFunction
//input a0 
//output none
ArrayVector vtkLabelPlacementMapperUseUnicodeStringsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseUnicodeStringsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseUnicodeStringsOff for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtk_pointer->UseUnicodeStringsOff();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetPositionsAsNormals vtkLabelPlacementMapperGetPositionsAsNormalsFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetPositionsAsNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetPositionsAsNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPositionsAsNormals for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetPositionsAsNormals();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetPositionsAsNormals vtkLabelPlacementMapperSetPositionsAsNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacementMapperSetPositionsAsNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPositionsAsNormals (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPositionsAsNormals for class vtkLabelPlacementMapper requires 2 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetPositionsAsNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:PositionsAsNormalsOn vtkLabelPlacementMapperPositionsAsNormalsOnFunction
//input a0 
//output none
ArrayVector vtkLabelPlacementMapperPositionsAsNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PositionsAsNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PositionsAsNormalsOn for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtk_pointer->PositionsAsNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:PositionsAsNormalsOff vtkLabelPlacementMapperPositionsAsNormalsOffFunction
//input a0 
//output none
ArrayVector vtkLabelPlacementMapperPositionsAsNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PositionsAsNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PositionsAsNormalsOff for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtk_pointer->PositionsAsNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetGeneratePerturbedLabelSpokes vtkLabelPlacementMapperGetGeneratePerturbedLabelSpokesFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetGeneratePerturbedLabelSpokesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetGeneratePerturbedLabelSpokes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeneratePerturbedLabelSpokes for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetGeneratePerturbedLabelSpokes();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetGeneratePerturbedLabelSpokes vtkLabelPlacementMapperSetGeneratePerturbedLabelSpokesFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacementMapperSetGeneratePerturbedLabelSpokesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeneratePerturbedLabelSpokes (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeneratePerturbedLabelSpokes for class vtkLabelPlacementMapper requires 2 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetGeneratePerturbedLabelSpokes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GeneratePerturbedLabelSpokesOn vtkLabelPlacementMapperGeneratePerturbedLabelSpokesOnFunction
//input a0 
//output none
ArrayVector vtkLabelPlacementMapperGeneratePerturbedLabelSpokesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePerturbedLabelSpokesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePerturbedLabelSpokesOn for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePerturbedLabelSpokesOn();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GeneratePerturbedLabelSpokesOff vtkLabelPlacementMapperGeneratePerturbedLabelSpokesOffFunction
//input a0 
//output none
ArrayVector vtkLabelPlacementMapperGeneratePerturbedLabelSpokesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePerturbedLabelSpokesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePerturbedLabelSpokesOff for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePerturbedLabelSpokesOff();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetUseDepthBuffer vtkLabelPlacementMapperGetUseDepthBufferFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetUseDepthBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseDepthBuffer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseDepthBuffer for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseDepthBuffer();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetUseDepthBuffer vtkLabelPlacementMapperSetUseDepthBufferFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacementMapperSetUseDepthBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseDepthBuffer (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseDepthBuffer for class vtkLabelPlacementMapper requires 2 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseDepthBuffer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:UseDepthBufferOn vtkLabelPlacementMapperUseDepthBufferOnFunction
//input a0 
//output none
ArrayVector vtkLabelPlacementMapperUseDepthBufferOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseDepthBufferOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseDepthBufferOn for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtk_pointer->UseDepthBufferOn();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:UseDepthBufferOff vtkLabelPlacementMapperUseDepthBufferOffFunction
//input a0 
//output none
ArrayVector vtkLabelPlacementMapperUseDepthBufferOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseDepthBufferOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseDepthBufferOff for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtk_pointer->UseDepthBufferOff();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetPlaceAllLabels vtkLabelPlacementMapperSetPlaceAllLabelsFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacementMapperSetPlaceAllLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaceAllLabels (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlaceAllLabels for class vtkLabelPlacementMapper requires 2 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetPlaceAllLabels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetPlaceAllLabels vtkLabelPlacementMapperGetPlaceAllLabelsFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetPlaceAllLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetPlaceAllLabels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlaceAllLabels for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetPlaceAllLabels();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:PlaceAllLabelsOn vtkLabelPlacementMapperPlaceAllLabelsOnFunction
//input a0 
//output none
ArrayVector vtkLabelPlacementMapperPlaceAllLabelsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceAllLabelsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PlaceAllLabelsOn for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtk_pointer->PlaceAllLabelsOn();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:PlaceAllLabelsOff vtkLabelPlacementMapperPlaceAllLabelsOffFunction
//input a0 
//output none
ArrayVector vtkLabelPlacementMapperPlaceAllLabelsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceAllLabelsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PlaceAllLabelsOff for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtk_pointer->PlaceAllLabelsOff();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetOutputTraversedBounds vtkLabelPlacementMapperSetOutputTraversedBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacementMapperSetOutputTraversedBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputTraversedBounds (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputTraversedBounds for class vtkLabelPlacementMapper requires 2 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetOutputTraversedBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetOutputTraversedBounds vtkLabelPlacementMapperGetOutputTraversedBoundsFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetOutputTraversedBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetOutputTraversedBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputTraversedBounds for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetOutputTraversedBounds();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:OutputTraversedBoundsOn vtkLabelPlacementMapperOutputTraversedBoundsOnFunction
//input a0 
//output none
ArrayVector vtkLabelPlacementMapperOutputTraversedBoundsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutputTraversedBoundsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OutputTraversedBoundsOn for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtk_pointer->OutputTraversedBoundsOn();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:OutputTraversedBoundsOff vtkLabelPlacementMapperOutputTraversedBoundsOffFunction
//input a0 
//output none
ArrayVector vtkLabelPlacementMapperOutputTraversedBoundsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutputTraversedBoundsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OutputTraversedBoundsOff for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtk_pointer->OutputTraversedBoundsOff();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetShape vtkLabelPlacementMapperSetShapeFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacementMapperSetShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShape (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShape for class vtkLabelPlacementMapper requires 2 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShape(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetShapeMinValue vtkLabelPlacementMapperGetShapeMinValueFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetShapeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShapeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShapeMinValue for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShapeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetShapeMaxValue vtkLabelPlacementMapperGetShapeMaxValueFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetShapeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShapeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShapeMaxValue for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShapeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetShape vtkLabelPlacementMapperGetShapeFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShape (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShape for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShape();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetShapeToNone vtkLabelPlacementMapperSetShapeToNoneFunction
//input a0 
//output none
ArrayVector vtkLabelPlacementMapperSetShapeToNoneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetShapeToNone ();this SetShape NONE  */
  if (arg.size() < 1) 
    throw Exception("Function SetShapeToNone for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetShapeToNone();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetShapeToRect vtkLabelPlacementMapperSetShapeToRectFunction
//input a0 
//output none
ArrayVector vtkLabelPlacementMapperSetShapeToRectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetShapeToRect ();this SetShape RECT  */
  if (arg.size() < 1) 
    throw Exception("Function SetShapeToRect for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetShapeToRect();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetShapeToRoundedRect vtkLabelPlacementMapperSetShapeToRoundedRectFunction
//input a0 
//output none
ArrayVector vtkLabelPlacementMapperSetShapeToRoundedRectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetShapeToRoundedRect ();this SetShape ROUNDED_RECT  */
  if (arg.size() < 1) 
    throw Exception("Function SetShapeToRoundedRect for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetShapeToRoundedRect();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetStyle vtkLabelPlacementMapperSetStyleFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacementMapperSetStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStyle (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStyle for class vtkLabelPlacementMapper requires 2 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStyle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetStyleMinValue vtkLabelPlacementMapperGetStyleMinValueFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetStyleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStyleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStyleMinValue for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStyleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetStyleMaxValue vtkLabelPlacementMapperGetStyleMaxValueFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetStyleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStyleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStyleMaxValue for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStyleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetStyle vtkLabelPlacementMapperGetStyleFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStyle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStyle for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStyle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetStyleToFilled vtkLabelPlacementMapperSetStyleToFilledFunction
//input a0 
//output none
ArrayVector vtkLabelPlacementMapperSetStyleToFilledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetStyleToFilled ();this SetStyle FILLED  */
  if (arg.size() < 1) 
    throw Exception("Function SetStyleToFilled for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetStyleToFilled();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetStyleToOutline vtkLabelPlacementMapperSetStyleToOutlineFunction
//input a0 
//output none
ArrayVector vtkLabelPlacementMapperSetStyleToOutlineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetStyleToOutline ();this SetStyle OUTLINE  */
  if (arg.size() < 1) 
    throw Exception("Function SetStyleToOutline for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetStyleToOutline();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetMargin vtkLabelPlacementMapperSetMarginFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacementMapperSetMarginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMargin (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMargin for class vtkLabelPlacementMapper requires 2 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMargin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetMargin vtkLabelPlacementMapperGetMarginFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetMarginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMargin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMargin for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMargin();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetBackgroundColor__1 vtkLabelPlacementMapperSetBackgroundColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLabelPlacementMapperSetBackgroundColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackgroundColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetBackgroundColor__1 for class vtkLabelPlacementMapper requires 4 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetBackgroundColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetBackgroundColor__2 vtkLabelPlacementMapperSetBackgroundColor__2Function
//input a0 a1 
//output none
ArrayVector vtkLabelPlacementMapperSetBackgroundColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackgroundColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBackgroundColor__2 for class vtkLabelPlacementMapper requires 2 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBackgroundColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetBackgroundColor vtkLabelPlacementMapperGetBackgroundColorFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetBackgroundColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetBackgroundColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackgroundColor for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBackgroundColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetBackgroundOpacity vtkLabelPlacementMapperSetBackgroundOpacityFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacementMapperSetBackgroundOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackgroundOpacity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBackgroundOpacity for class vtkLabelPlacementMapper requires 2 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetBackgroundOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetBackgroundOpacityMinValue vtkLabelPlacementMapperGetBackgroundOpacityMinValueFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetBackgroundOpacityMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBackgroundOpacityMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackgroundOpacityMinValue for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBackgroundOpacityMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetBackgroundOpacityMaxValue vtkLabelPlacementMapperGetBackgroundOpacityMaxValueFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetBackgroundOpacityMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBackgroundOpacityMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackgroundOpacityMaxValue for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBackgroundOpacityMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetBackgroundOpacity vtkLabelPlacementMapperGetBackgroundOpacityFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetBackgroundOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBackgroundOpacity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackgroundOpacity for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBackgroundOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:GetAnchorTransform vtkLabelPlacementMapperGetAnchorTransformFunction
//input a0 
//output y
ArrayVector vtkLabelPlacementMapperGetAnchorTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoordinate *GetAnchorTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAnchorTransform for class vtkLabelPlacementMapper requires 1 argument(s)");
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetAnchorTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:SetBackgroundColor vtkLabelPlacementMapperSetBackgroundColorFunction
//input varargin
//output varargout
ArrayVector vtkLabelPlacementMapperSetBackgroundColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLabelPlacementMapperSetBackgroundColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLabelPlacementMapperSetBackgroundColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLabelPlacementMapperSetBackgroundColor");
}

//@@Signature
//sfunction @vtkLabelPlacementMapper:display vtkLabelPlacementMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLabelPlacementMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLabelPlacementMapper* vtk_pointer = GetVTKPointer<vtkLabelPlacementMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLabelPlacementMapper:delete vtkLabelPlacementMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkLabelPlacementMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLabelPlacementMapper
//@@Section VTKRendering
//@@Usage
// To use this mapper, first send your data through vtkPointSetToLabelHierarchy,
// which takes a set of points, associates special arrays to the points (label,
// priority, etc.), and produces a prioritized spatial tree of labels.
//
// This mapper then takes that hierarchy (or hierarchies) as input, and every
// frame will decide which labels and/or icons to place in order of priority,
// and will render only those labels/icons. A label render strategy is used to
// render the labels, and can use e.g. FreeType or Qt for rendering.
//
//To create an instance of class vtkLabelPlacementMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkLabelPlacementMapper
//@]
//@@Methods
//The class vtkLabelPlacementMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLabelPlacementMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLabelPlacementMapper = obj.NewInstance ()|
// \item @|vtkLabelPlacementMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.RenderOverlay (vtkViewport viewport, vtkActor2D actor)| -  Draw non-overlapping labels to the screen.
//// \item @|obj.SetRenderStrategy (vtkLabelRenderStrategy s)| -  Set the label rendering strategy.
//// \item @|vtkLabelRenderStrategy = obj.GetRenderStrategy ()| -  Set the label rendering strategy.
//// \item @|obj.SetMaximumLabelFraction (double )| -  The maximum fraction of the screen that the labels may cover.
// Label placement stops when this fraction is reached.
//// \item @|double = obj.GetMaximumLabelFractionMinValue ()| -  The maximum fraction of the screen that the labels may cover.
// Label placement stops when this fraction is reached.
//// \item @|double = obj.GetMaximumLabelFractionMaxValue ()| -  The maximum fraction of the screen that the labels may cover.
// Label placement stops when this fraction is reached.
//// \item @|double = obj.GetMaximumLabelFraction ()| -  The maximum fraction of the screen that the labels may cover.
// Label placement stops when this fraction is reached.
//// \item @|obj.SetIteratorType (int )| -  The type of iterator used when traversing the labels.
// May be vtkLabelHierarchy::FRUSTUM or vtkLabelHierarchy::FULL_SORT
//// \item @|int = obj.GetIteratorType ()| -  The type of iterator used when traversing the labels.
// May be vtkLabelHierarchy::FRUSTUM or vtkLabelHierarchy::FULL_SORT
//// \item @|obj.SetUseUnicodeStrings (bool )| -  Set whether, or not, to use unicode strings.
//// \item @|bool = obj.GetUseUnicodeStrings ()| -  Set whether, or not, to use unicode strings.
//// \item @|obj.UseUnicodeStringsOn ()| -  Set whether, or not, to use unicode strings.
//// \item @|obj.UseUnicodeStringsOff ()| -  Set whether, or not, to use unicode strings.
//// \item @|bool = obj.GetPositionsAsNormals ()| -  Use label anchor point coordinates as normal vectors and eliminate those
// pointing away from the camera. Valid only when points are on a sphere
// centered at the origin (such as a 3D geographic view). Off by default.
//// \item @|obj.SetPositionsAsNormals (bool )| -  Use label anchor point coordinates as normal vectors and eliminate those
// pointing away from the camera. Valid only when points are on a sphere
// centered at the origin (such as a 3D geographic view). Off by default.
//// \item @|obj.PositionsAsNormalsOn ()| -  Use label anchor point coordinates as normal vectors and eliminate those
// pointing away from the camera. Valid only when points are on a sphere
// centered at the origin (such as a 3D geographic view). Off by default.
//// \item @|obj.PositionsAsNormalsOff ()| -  Use label anchor point coordinates as normal vectors and eliminate those
// pointing away from the camera. Valid only when points are on a sphere
// centered at the origin (such as a 3D geographic view). Off by default.
//// \item @|bool = obj.GetGeneratePerturbedLabelSpokes ()| -  Enable drawing spokes (lines) to anchor point coordinates that were perturbed
// for being coincident with other anchor point coordinates.
//// \item @|obj.SetGeneratePerturbedLabelSpokes (bool )| -  Enable drawing spokes (lines) to anchor point coordinates that were perturbed
// for being coincident with other anchor point coordinates.
//// \item @|obj.GeneratePerturbedLabelSpokesOn ()| -  Enable drawing spokes (lines) to anchor point coordinates that were perturbed
// for being coincident with other anchor point coordinates.
//// \item @|obj.GeneratePerturbedLabelSpokesOff ()| -  Enable drawing spokes (lines) to anchor point coordinates that were perturbed
// for being coincident with other anchor point coordinates.
//// \item @|bool = obj.GetUseDepthBuffer ()| -  Use the depth buffer to test each label to see if it should not be displayed if
// it would be occluded by other objects in the scene. Off by default.
//// \item @|obj.SetUseDepthBuffer (bool )| -  Use the depth buffer to test each label to see if it should not be displayed if
// it would be occluded by other objects in the scene. Off by default.
//// \item @|obj.UseDepthBufferOn ()| -  Use the depth buffer to test each label to see if it should not be displayed if
// it would be occluded by other objects in the scene. Off by default.
//// \item @|obj.UseDepthBufferOff ()| -  Use the depth buffer to test each label to see if it should not be displayed if
// it would be occluded by other objects in the scene. Off by default.
//// \item @|obj.SetPlaceAllLabels (bool )| -  Tells the placer to place every label regardless of overlap.
// Off by default.
//// \item @|bool = obj.GetPlaceAllLabels ()| -  Tells the placer to place every label regardless of overlap.
// Off by default.
//// \item @|obj.PlaceAllLabelsOn ()| -  Tells the placer to place every label regardless of overlap.
// Off by default.
//// \item @|obj.PlaceAllLabelsOff ()| -  Tells the placer to place every label regardless of overlap.
// Off by default.
//// \item @|obj.SetOutputTraversedBounds (bool )| -  Whether to render traversed bounds. Off by default.
//// \item @|bool = obj.GetOutputTraversedBounds ()| -  Whether to render traversed bounds. Off by default.
//// \item @|obj.OutputTraversedBoundsOn ()| -  Whether to render traversed bounds. Off by default.
//// \item @|obj.OutputTraversedBoundsOff ()| -  Whether to render traversed bounds. Off by default.
//// \item @|obj.SetShape (int )| -  The shape of the label background, should be one of the
// values in the LabelShape enumeration.
//// \item @|int = obj.GetShapeMinValue ()| -  The shape of the label background, should be one of the
// values in the LabelShape enumeration.
//// \item @|int = obj.GetShapeMaxValue ()| -  The shape of the label background, should be one of the
// values in the LabelShape enumeration.
//// \item @|int = obj.GetShape ()| -  The shape of the label background, should be one of the
// values in the LabelShape enumeration.
//// \item @|obj.SetShapeToNone ()| -  The shape of the label background, should be one of the
// values in the LabelShape enumeration.
//// \item @|obj.SetShapeToRect ()| -  The shape of the label background, should be one of the
// values in the LabelShape enumeration.
//// \item @|obj.SetShapeToRoundedRect ()| -  The style of the label background shape, should be one of the
// values in the LabelStyle enumeration.
//// \item @|obj.SetStyle (int )| -  The style of the label background shape, should be one of the
// values in the LabelStyle enumeration.
//// \item @|int = obj.GetStyleMinValue ()| -  The style of the label background shape, should be one of the
// values in the LabelStyle enumeration.
//// \item @|int = obj.GetStyleMaxValue ()| -  The style of the label background shape, should be one of the
// values in the LabelStyle enumeration.
//// \item @|int = obj.GetStyle ()| -  The style of the label background shape, should be one of the
// values in the LabelStyle enumeration.
//// \item @|obj.SetStyleToFilled ()| -  The style of the label background shape, should be one of the
// values in the LabelStyle enumeration.
//// \item @|obj.SetStyleToOutline ()| -  The size of the margin on the label background shape.
// Default is 5.
//// \item @|obj.SetMargin (double )| -  The size of the margin on the label background shape.
// Default is 5.
//// \item @|double = obj.GetMargin ()| -  The size of the margin on the label background shape.
// Default is 5.
//// \item @|obj.SetBackgroundColor (double , double , double )| -  The color of the background shape.
//// \item @|obj.SetBackgroundColor (double  a[3])| -  The color of the background shape.
//// \item @|double = obj. GetBackgroundColor ()| -  The color of the background shape.
//// \item @|obj.SetBackgroundOpacity (double )| -  The opacity of the background shape.
//// \item @|double = obj.GetBackgroundOpacityMinValue ()| -  The opacity of the background shape.
//// \item @|double = obj.GetBackgroundOpacityMaxValue ()| -  The opacity of the background shape.
//// \item @|double = obj.GetBackgroundOpacity ()| -  The opacity of the background shape.
//// \item @|vtkCoordinate = obj.GetAnchorTransform ()| -  Get the transform for the anchor points.
////\end{itemize}
//!
