#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLabelPlacer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLabelPlacer.h"

//@@Signature
//sfunction @vtkLabelPlacer:vtkLabelPlacer vtkLabelPlacerConstructorFunction
//input a
//output p
//@@Parents vtkLabelPlacer vtkPolyDataAlgorithm 
ArrayVector vtkLabelPlacerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLabelPlacer::New(),"vtkLabelPlacer",eval);
  } else if (arg[0].className() == "vtkLabelPlacer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLabelPlacer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLabelPlacer");
    vtkLabelPlacer*q = reinterpret_cast<vtkLabelPlacer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLabelPlacer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLabelPlacer:GetClassName vtkLabelPlacerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:IsA vtkLabelPlacerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLabelPlacerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLabelPlacer requires 2 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:NewInstance vtkLabelPlacerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabelPlacer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  vtkLabelPlacer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabelPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:SafeDownCast vtkLabelPlacerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLabelPlacerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabelPlacer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLabelPlacer requires 2 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLabelPlacer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabelPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GetRenderer vtkLabelPlacerGetRendererFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerGetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetRenderer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderer for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetRenderer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:SetRenderer vtkLabelPlacerSetRendererFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacerSetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRenderer (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderer for class vtkLabelPlacer requires 2 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GetAnchorTransform vtkLabelPlacerGetAnchorTransformFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerGetAnchorTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoordinate *GetAnchorTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAnchorTransform for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetAnchorTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:SetGravity vtkLabelPlacerSetGravityFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacerSetGravityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGravity (int gravity); */
  if (arg.size() < 2) 
    throw Exception("Function SetGravity for class vtkLabelPlacer requires 2 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGravity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GetGravity vtkLabelPlacerGetGravityFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerGetGravityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGravity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGravity for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGravity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:SetMaximumLabelFraction vtkLabelPlacerSetMaximumLabelFractionFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacerSetMaximumLabelFractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumLabelFraction (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumLabelFraction for class vtkLabelPlacer requires 2 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumLabelFraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GetMaximumLabelFractionMinValue vtkLabelPlacerGetMaximumLabelFractionMinValueFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerGetMaximumLabelFractionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumLabelFractionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumLabelFractionMinValue for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumLabelFractionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GetMaximumLabelFractionMaxValue vtkLabelPlacerGetMaximumLabelFractionMaxValueFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerGetMaximumLabelFractionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumLabelFractionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumLabelFractionMaxValue for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumLabelFractionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GetMaximumLabelFraction vtkLabelPlacerGetMaximumLabelFractionFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerGetMaximumLabelFractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumLabelFraction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumLabelFraction for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumLabelFraction();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:SetIteratorType vtkLabelPlacerSetIteratorTypeFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacerSetIteratorTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIteratorType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIteratorType for class vtkLabelPlacer requires 2 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIteratorType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GetIteratorType vtkLabelPlacerGetIteratorTypeFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerGetIteratorTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIteratorType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIteratorType for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIteratorType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:SetUseUnicodeStrings vtkLabelPlacerSetUseUnicodeStringsFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacerSetUseUnicodeStringsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseUnicodeStrings (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseUnicodeStrings for class vtkLabelPlacer requires 2 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseUnicodeStrings(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GetUseUnicodeStrings vtkLabelPlacerGetUseUnicodeStringsFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerGetUseUnicodeStringsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseUnicodeStrings (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseUnicodeStrings for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseUnicodeStrings();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:UseUnicodeStringsOn vtkLabelPlacerUseUnicodeStringsOnFunction
//input a0 
//output none
ArrayVector vtkLabelPlacerUseUnicodeStringsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseUnicodeStringsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseUnicodeStringsOn for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  vtk_pointer->UseUnicodeStringsOn();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:UseUnicodeStringsOff vtkLabelPlacerUseUnicodeStringsOffFunction
//input a0 
//output none
ArrayVector vtkLabelPlacerUseUnicodeStringsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseUnicodeStringsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseUnicodeStringsOff for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  vtk_pointer->UseUnicodeStringsOff();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GetMTime vtkLabelPlacerGetMTimeFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GetPositionsAsNormals vtkLabelPlacerGetPositionsAsNormalsFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerGetPositionsAsNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetPositionsAsNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPositionsAsNormals for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetPositionsAsNormals();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:SetPositionsAsNormals vtkLabelPlacerSetPositionsAsNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacerSetPositionsAsNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPositionsAsNormals (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPositionsAsNormals for class vtkLabelPlacer requires 2 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetPositionsAsNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:PositionsAsNormalsOn vtkLabelPlacerPositionsAsNormalsOnFunction
//input a0 
//output none
ArrayVector vtkLabelPlacerPositionsAsNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PositionsAsNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PositionsAsNormalsOn for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  vtk_pointer->PositionsAsNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:PositionsAsNormalsOff vtkLabelPlacerPositionsAsNormalsOffFunction
//input a0 
//output none
ArrayVector vtkLabelPlacerPositionsAsNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PositionsAsNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PositionsAsNormalsOff for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  vtk_pointer->PositionsAsNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GetGeneratePerturbedLabelSpokes vtkLabelPlacerGetGeneratePerturbedLabelSpokesFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerGetGeneratePerturbedLabelSpokesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetGeneratePerturbedLabelSpokes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeneratePerturbedLabelSpokes for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetGeneratePerturbedLabelSpokes();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:SetGeneratePerturbedLabelSpokes vtkLabelPlacerSetGeneratePerturbedLabelSpokesFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacerSetGeneratePerturbedLabelSpokesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeneratePerturbedLabelSpokes (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeneratePerturbedLabelSpokes for class vtkLabelPlacer requires 2 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetGeneratePerturbedLabelSpokes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GeneratePerturbedLabelSpokesOn vtkLabelPlacerGeneratePerturbedLabelSpokesOnFunction
//input a0 
//output none
ArrayVector vtkLabelPlacerGeneratePerturbedLabelSpokesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePerturbedLabelSpokesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePerturbedLabelSpokesOn for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePerturbedLabelSpokesOn();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GeneratePerturbedLabelSpokesOff vtkLabelPlacerGeneratePerturbedLabelSpokesOffFunction
//input a0 
//output none
ArrayVector vtkLabelPlacerGeneratePerturbedLabelSpokesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePerturbedLabelSpokesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePerturbedLabelSpokesOff for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePerturbedLabelSpokesOff();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GetUseDepthBuffer vtkLabelPlacerGetUseDepthBufferFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerGetUseDepthBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseDepthBuffer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseDepthBuffer for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseDepthBuffer();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:SetUseDepthBuffer vtkLabelPlacerSetUseDepthBufferFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacerSetUseDepthBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseDepthBuffer (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseDepthBuffer for class vtkLabelPlacer requires 2 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseDepthBuffer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:UseDepthBufferOn vtkLabelPlacerUseDepthBufferOnFunction
//input a0 
//output none
ArrayVector vtkLabelPlacerUseDepthBufferOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseDepthBufferOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseDepthBufferOn for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  vtk_pointer->UseDepthBufferOn();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:UseDepthBufferOff vtkLabelPlacerUseDepthBufferOffFunction
//input a0 
//output none
ArrayVector vtkLabelPlacerUseDepthBufferOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseDepthBufferOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseDepthBufferOff for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  vtk_pointer->UseDepthBufferOff();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GetOutputTraversedBounds vtkLabelPlacerGetOutputTraversedBoundsFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerGetOutputTraversedBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetOutputTraversedBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputTraversedBounds for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetOutputTraversedBounds();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:SetOutputTraversedBounds vtkLabelPlacerSetOutputTraversedBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacerSetOutputTraversedBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputTraversedBounds (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputTraversedBounds for class vtkLabelPlacer requires 2 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetOutputTraversedBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:OutputTraversedBoundsOn vtkLabelPlacerOutputTraversedBoundsOnFunction
//input a0 
//output none
ArrayVector vtkLabelPlacerOutputTraversedBoundsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutputTraversedBoundsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OutputTraversedBoundsOn for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  vtk_pointer->OutputTraversedBoundsOn();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:OutputTraversedBoundsOff vtkLabelPlacerOutputTraversedBoundsOffFunction
//input a0 
//output none
ArrayVector vtkLabelPlacerOutputTraversedBoundsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutputTraversedBoundsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OutputTraversedBoundsOff for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  vtk_pointer->OutputTraversedBoundsOff();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GetOutputCoordinateSystem vtkLabelPlacerGetOutputCoordinateSystemFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerGetOutputCoordinateSystemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputCoordinateSystem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputCoordinateSystem for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputCoordinateSystem();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:SetOutputCoordinateSystem vtkLabelPlacerSetOutputCoordinateSystemFunction
//input a0 a1 
//output none
ArrayVector vtkLabelPlacerSetOutputCoordinateSystemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputCoordinateSystem (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputCoordinateSystem for class vtkLabelPlacer requires 2 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputCoordinateSystem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GetOutputCoordinateSystemMinValue vtkLabelPlacerGetOutputCoordinateSystemMinValueFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerGetOutputCoordinateSystemMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputCoordinateSystemMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputCoordinateSystemMinValue for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputCoordinateSystemMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:GetOutputCoordinateSystemMaxValue vtkLabelPlacerGetOutputCoordinateSystemMaxValueFunction
//input a0 
//output y
ArrayVector vtkLabelPlacerGetOutputCoordinateSystemMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputCoordinateSystemMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputCoordinateSystemMaxValue for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputCoordinateSystemMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:OutputCoordinateSystemWorld vtkLabelPlacerOutputCoordinateSystemWorldFunction
//input a0 
//output none
ArrayVector vtkLabelPlacerOutputCoordinateSystemWorldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutputCoordinateSystemWorld ();this SetOutputCoordinateSystem vtkLabelPlacer WORLD  */
  if (arg.size() < 1) 
    throw Exception("Function OutputCoordinateSystemWorld for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  vtk_pointer->OutputCoordinateSystemWorld();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:OutputCoordinateSystemDisplay vtkLabelPlacerOutputCoordinateSystemDisplayFunction
//input a0 
//output none
ArrayVector vtkLabelPlacerOutputCoordinateSystemDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutputCoordinateSystemDisplay ();this SetOutputCoordinateSystem vtkLabelPlacer DISPLAY  */
  if (arg.size() < 1) 
    throw Exception("Function OutputCoordinateSystemDisplay for class vtkLabelPlacer requires 1 argument(s)");
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  Array retval;
  vtk_pointer->OutputCoordinateSystemDisplay();
  return retval;
}

//@@Signature
//sfunction @vtkLabelPlacer:display vtkLabelPlacerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLabelPlacerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLabelPlacer* vtk_pointer = GetVTKPointer<vtkLabelPlacer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLabelPlacer:delete vtkLabelPlacerDeleteFunction
//input varargin
//output none
ArrayVector vtkLabelPlacerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLabelPlacer
//@@Section VTKRendering
//@@Usage
// <b>This class is deprecated and will be removed from VTK in a future
// release. Use vtkLabelPlacementMapper instead.</b>
//
// This should probably be a mapper unto itself (given that
// the polydata output could be large and will realistically
// always be iterated over exactly once before being tossed
// for the next frame of the render).
//
// In any event, it takes as input one (or more, eventually)
// vtkLabelHierarchies that represent prioritized lists of
// labels sorted by their placement in space. As output, it
// provides vtkPolyData containing only VTK_QUAD cells, each
// representing a single label from the input. Each quadrilateral
// has cell data indicating what label in the input it
// corresponds to (via an array named "LabelId").
//
//To create an instance of class vtkLabelPlacer, simply
//invoke its constructor as follows
//@[
//  obj = vtkLabelPlacer
//@]
//@@Methods
//The class vtkLabelPlacer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLabelPlacer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLabelPlacer = obj.NewInstance ()|
// \item @|vtkLabelPlacer = obj.SafeDownCast (vtkObject o)|
// \item @|vtkRenderer = obj.GetRenderer ()|
// \item @|obj.SetRenderer (vtkRenderer )|
// \item @|vtkCoordinate = obj.GetAnchorTransform ()|
// \item @|obj.SetGravity (int gravity)| -  The placement of the label relative to the anchor point.
//// \item @|int = obj.GetGravity ()| -  The placement of the label relative to the anchor point.
//// \item @|obj.SetMaximumLabelFraction (double )| -  The maximum amount of screen space labels can take up before placement
// terminates.
//// \item @|double = obj.GetMaximumLabelFractionMinValue ()| -  The maximum amount of screen space labels can take up before placement
// terminates.
//// \item @|double = obj.GetMaximumLabelFractionMaxValue ()| -  The maximum amount of screen space labels can take up before placement
// terminates.
//// \item @|double = obj.GetMaximumLabelFraction ()| -  The maximum amount of screen space labels can take up before placement
// terminates.
//// \item @|obj.SetIteratorType (int )| -  The type of iterator used when traversing the labels.
// May be vtkLabelHierarchy::FRUSTUM or vtkLabelHierarchy::FULL_SORT.
//// \item @|int = obj.GetIteratorType ()| -  The type of iterator used when traversing the labels.
// May be vtkLabelHierarchy::FRUSTUM or vtkLabelHierarchy::FULL_SORT.
//// \item @|obj.SetUseUnicodeStrings (bool )| -  Set whether, or not, to use unicode strings.
//// \item @|bool = obj.GetUseUnicodeStrings ()| -  Set whether, or not, to use unicode strings.
//// \item @|obj.UseUnicodeStringsOn ()| -  Set whether, or not, to use unicode strings.
//// \item @|obj.UseUnicodeStringsOff ()| -  Set whether, or not, to use unicode strings.
//// \item @|long = obj.GetMTime ()|
// \item @|bool = obj.GetPositionsAsNormals ()| -  Use label anchor point coordinates as normal vectors and eliminate those
// pointing away from the camera. Valid only when points are on a sphere
// centered at the origin (such as a 3D geographic view). Off by default.
//// \item @|obj.SetPositionsAsNormals (bool )| -  Use label anchor point coordinates as normal vectors and eliminate those
// pointing away from the camera. Valid only when points are on a sphere
// centered at the origin (such as a 3D geographic view). Off by default.
//// \item @|obj.PositionsAsNormalsOn ()| -  Use label anchor point coordinates as normal vectors and eliminate those
// pointing away from the camera. Valid only when points are on a sphere
// centered at the origin (such as a 3D geographic view). Off by default.
//// \item @|obj.PositionsAsNormalsOff ()| -  Use label anchor point coordinates as normal vectors and eliminate those
// pointing away from the camera. Valid only when points are on a sphere
// centered at the origin (such as a 3D geographic view). Off by default.
//// \item @|bool = obj.GetGeneratePerturbedLabelSpokes ()| -  Enable drawing spokes (lines) to anchor point coordinates that were perturbed
// for being coincident with other anchor point coordinates.
//// \item @|obj.SetGeneratePerturbedLabelSpokes (bool )| -  Enable drawing spokes (lines) to anchor point coordinates that were perturbed
// for being coincident with other anchor point coordinates.
//// \item @|obj.GeneratePerturbedLabelSpokesOn ()| -  Enable drawing spokes (lines) to anchor point coordinates that were perturbed
// for being coincident with other anchor point coordinates.
//// \item @|obj.GeneratePerturbedLabelSpokesOff ()| -  Enable drawing spokes (lines) to anchor point coordinates that were perturbed
// for being coincident with other anchor point coordinates.
//// \item @|bool = obj.GetUseDepthBuffer ()| -  Use the depth buffer to test each label to see if it should not be displayed if
// it would be occluded by other objects in the scene. Off by default.
//// \item @|obj.SetUseDepthBuffer (bool )| -  Use the depth buffer to test each label to see if it should not be displayed if
// it would be occluded by other objects in the scene. Off by default.
//// \item @|obj.UseDepthBufferOn ()| -  Use the depth buffer to test each label to see if it should not be displayed if
// it would be occluded by other objects in the scene. Off by default.
//// \item @|obj.UseDepthBufferOff ()| -  Use the depth buffer to test each label to see if it should not be displayed if
// it would be occluded by other objects in the scene. Off by default.
//// \item @|bool = obj.GetOutputTraversedBounds ()| -  In the second output, output the geometry of the traversed octree nodes.
//// \item @|obj.SetOutputTraversedBounds (bool )| -  In the second output, output the geometry of the traversed octree nodes.
//// \item @|obj.OutputTraversedBoundsOn ()| -  In the second output, output the geometry of the traversed octree nodes.
//// \item @|obj.OutputTraversedBoundsOff ()| -  In the second output, output the geometry of the traversed octree nodes.
//// \item @|int = obj.GetOutputCoordinateSystem ()| -  Set/get the coordinate system used for output labels.
// The output datasets may have point coordinates reported in the world space or display space.
//// \item @|obj.SetOutputCoordinateSystem (int )| -  Set/get the coordinate system used for output labels.
// The output datasets may have point coordinates reported in the world space or display space.
//// \item @|int = obj.GetOutputCoordinateSystemMinValue ()| -  Set/get the coordinate system used for output labels.
// The output datasets may have point coordinates reported in the world space or display space.
//// \item @|int = obj.GetOutputCoordinateSystemMaxValue ()| -  Set/get the coordinate system used for output labels.
// The output datasets may have point coordinates reported in the world space or display space.
//// \item @|obj.OutputCoordinateSystemWorld ()| -  Set/get the coordinate system used for output labels.
// The output datasets may have point coordinates reported in the world space or display space.
//// \item @|obj.OutputCoordinateSystemDisplay ()|
//\end{itemize}
//!
