#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLabelSizeCalculator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLabelSizeCalculator.h"

//@@Signature
//sfunction @vtkLabelSizeCalculator:vtkLabelSizeCalculator vtkLabelSizeCalculatorConstructorFunction
//input a
//output p
//@@Parents vtkLabelSizeCalculator vtkPassInputTypeAlgorithm 
ArrayVector vtkLabelSizeCalculatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLabelSizeCalculator::New(),"vtkLabelSizeCalculator",eval);
  } else if (arg[0].className() == "vtkLabelSizeCalculator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLabelSizeCalculator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLabelSizeCalculator");
    vtkLabelSizeCalculator*q = reinterpret_cast<vtkLabelSizeCalculator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLabelSizeCalculator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLabelSizeCalculator:GetClassName vtkLabelSizeCalculatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLabelSizeCalculatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLabelSizeCalculator requires 1 argument(s)");
  vtkLabelSizeCalculator* vtk_pointer = GetVTKPointer<vtkLabelSizeCalculator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelSizeCalculator:IsA vtkLabelSizeCalculatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLabelSizeCalculatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLabelSizeCalculator requires 2 argument(s)");
  vtkLabelSizeCalculator* vtk_pointer = GetVTKPointer<vtkLabelSizeCalculator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelSizeCalculator:NewInstance vtkLabelSizeCalculatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLabelSizeCalculatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabelSizeCalculator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLabelSizeCalculator requires 1 argument(s)");
  vtkLabelSizeCalculator* vtk_pointer = GetVTKPointer<vtkLabelSizeCalculator>(arg[0]);
  Array retval;
  vtkLabelSizeCalculator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabelSizeCalculator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelSizeCalculator:SafeDownCast vtkLabelSizeCalculatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLabelSizeCalculatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabelSizeCalculator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLabelSizeCalculator requires 2 argument(s)");
  vtkLabelSizeCalculator* vtk_pointer = GetVTKPointer<vtkLabelSizeCalculator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLabelSizeCalculator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabelSizeCalculator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelSizeCalculator:SetFontProperty vtkLabelSizeCalculatorSetFontPropertyFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLabelSizeCalculatorSetFontPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFontProperty (vtkTextProperty *fontProp, int type); */
  if (arg.size() < 3) 
    throw Exception("Function SetFontProperty for class vtkLabelSizeCalculator requires 3 argument(s)");
  vtkLabelSizeCalculator* vtk_pointer = GetVTKPointer<vtkLabelSizeCalculator>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetFontProperty(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLabelSizeCalculator:GetFontProperty vtkLabelSizeCalculatorGetFontPropertyFunction
//input a0 a1 
//output y
ArrayVector vtkLabelSizeCalculatorGetFontPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkTextProperty *GetFontProperty (int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetFontProperty for class vtkLabelSizeCalculator requires 2 argument(s)");
  vtkLabelSizeCalculator* vtk_pointer = GetVTKPointer<vtkLabelSizeCalculator>(arg[0]);
  Array retval;
  int      temp0;
  vtkTextProperty  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFontProperty(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabelSizeCalculator:SetLabelSizeArrayName vtkLabelSizeCalculatorSetLabelSizeArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkLabelSizeCalculatorSetLabelSizeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelSizeArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelSizeArrayName for class vtkLabelSizeCalculator requires 2 argument(s)");
  vtkLabelSizeCalculator* vtk_pointer = GetVTKPointer<vtkLabelSizeCalculator>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLabelSizeArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabelSizeCalculator:GetLabelSizeArrayName vtkLabelSizeCalculatorGetLabelSizeArrayNameFunction
//input a0 
//output y
ArrayVector vtkLabelSizeCalculatorGetLabelSizeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLabelSizeArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelSizeArrayName for class vtkLabelSizeCalculator requires 1 argument(s)");
  vtkLabelSizeCalculator* vtk_pointer = GetVTKPointer<vtkLabelSizeCalculator>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLabelSizeArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabelSizeCalculator:display vtkLabelSizeCalculatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLabelSizeCalculatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLabelSizeCalculator* vtk_pointer = GetVTKPointer<vtkLabelSizeCalculator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLabelSizeCalculator:delete vtkLabelSizeCalculatorDeleteFunction
//input varargin
//output none
ArrayVector vtkLabelSizeCalculatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLabelSizeCalculator
//@@Section VTKRendering
//@@Usage
// This filter takes an input dataset, an array to process
// (which must be a string array), and a text property.
// It creates a new output array (named "LabelSize" by default) with
// 4 components per tuple that contain the width, height, horizontal
// offset, and descender height (in that order) of each string in
// the array.
//
// Use the inherited SelectInputArrayToProcess to indicate a string array.
// In no input array is specified, the first of the following that
// is a string array is used: point scalars, cell scalars, field scalars.
//
// The second input array to process is an array specifying the type of
// each label. Different label types may have different font properties.
// This array must be a vtkIntArray.
// Any type that does not map to a font property that was set will
// be set to the type 0's type property.
//
//To create an instance of class vtkLabelSizeCalculator, simply
//invoke its constructor as follows
//@[
//  obj = vtkLabelSizeCalculator
//@]
//@@Methods
//The class vtkLabelSizeCalculator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLabelSizeCalculator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLabelSizeCalculator = obj.NewInstance ()|
// \item @|vtkLabelSizeCalculator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFontProperty (vtkTextProperty fontProp, int type)| -  Get/Set the font used compute label sizes.
// This defaults to "Arial" at 12 points.
// If type is provided, it refers to the type of the text label provided
// in the optional label type array. The default type is type 0.
//// \item @|vtkTextProperty = obj.GetFontProperty (int type)| -  Get/Set the font used compute label sizes.
// This defaults to "Arial" at 12 points.
// If type is provided, it refers to the type of the text label provided
// in the optional label type array. The default type is type 0.
//// \item @|obj.SetLabelSizeArrayName (string )| -  The name of the output array containing text label sizes
// This defaults to "LabelSize"
//// \item @|string = obj.GetLabelSizeArrayName ()| -  The name of the output array containing text label sizes
// This defaults to "LabelSize"
////\end{itemize}
//!
