#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLabeledDataMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLabeledDataMapper.h"

//@@Signature
//sfunction @vtkLabeledDataMapper:vtkLabeledDataMapper vtkLabeledDataMapperConstructorFunction
//input a
//output p
//@@Parents vtkLabeledDataMapper vtkMapper2D 
ArrayVector vtkLabeledDataMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLabeledDataMapper::New(),"vtkLabeledDataMapper",eval);
  } else if (arg[0].className() == "vtkLabeledDataMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLabeledDataMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLabeledDataMapper");
    vtkLabeledDataMapper*q = reinterpret_cast<vtkLabeledDataMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLabeledDataMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLabeledDataMapper:GetClassName vtkLabeledDataMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLabeledDataMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:IsA vtkLabeledDataMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLabeledDataMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLabeledDataMapper requires 2 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:NewInstance vtkLabeledDataMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLabeledDataMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabeledDataMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtkLabeledDataMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabeledDataMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SafeDownCast vtkLabeledDataMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLabeledDataMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabeledDataMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLabeledDataMapper requires 2 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLabeledDataMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabeledDataMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetLabelFormat vtkLabeledDataMapperSetLabelFormatFunction
//input a0 a1 
//output none
ArrayVector vtkLabeledDataMapperSetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelFormat (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelFormat for class vtkLabeledDataMapper requires 2 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLabelFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:GetLabelFormat vtkLabeledDataMapperGetLabelFormatFunction
//input a0 
//output y
ArrayVector vtkLabeledDataMapperGetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLabelFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelFormat for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLabelFormat();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetLabeledComponent vtkLabeledDataMapperSetLabeledComponentFunction
//input a0 a1 
//output none
ArrayVector vtkLabeledDataMapperSetLabeledComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabeledComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabeledComponent for class vtkLabeledDataMapper requires 2 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLabeledComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:GetLabeledComponent vtkLabeledDataMapperGetLabeledComponentFunction
//input a0 
//output y
ArrayVector vtkLabeledDataMapperGetLabeledComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLabeledComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabeledComponent for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLabeledComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetFieldDataArray vtkLabeledDataMapperSetFieldDataArrayFunction
//input a0 a1 
//output none
ArrayVector vtkLabeledDataMapperSetFieldDataArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldDataArray (int arrayIndex); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldDataArray for class vtkLabeledDataMapper requires 2 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFieldDataArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:GetFieldDataArray vtkLabeledDataMapperGetFieldDataArrayFunction
//input a0 
//output y
ArrayVector vtkLabeledDataMapperGetFieldDataArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldDataArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldDataArray for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldDataArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetFieldDataName vtkLabeledDataMapperSetFieldDataNameFunction
//input a0 a1 
//output none
ArrayVector vtkLabeledDataMapperSetFieldDataNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldDataName (const char *arrayName); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldDataName for class vtkLabeledDataMapper requires 2 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFieldDataName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:GetFieldDataName vtkLabeledDataMapperGetFieldDataNameFunction
//input a0 
//output y
ArrayVector vtkLabeledDataMapperGetFieldDataNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFieldDataName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldDataName for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFieldDataName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetInput vtkLabeledDataMapperSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkLabeledDataMapperSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkLabeledDataMapper requires 2 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:GetInput vtkLabeledDataMapperGetInputFunction
//input a0 
//output y
ArrayVector vtkLabeledDataMapperGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetLabelMode vtkLabeledDataMapperSetLabelModeFunction
//input a0 a1 
//output none
ArrayVector vtkLabeledDataMapperSetLabelModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelMode for class vtkLabeledDataMapper requires 2 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLabelMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:GetLabelMode vtkLabeledDataMapperGetLabelModeFunction
//input a0 
//output y
ArrayVector vtkLabeledDataMapperGetLabelModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLabelMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelMode for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLabelMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetLabelModeToLabelIds vtkLabeledDataMapperSetLabelModeToLabelIdsFunction
//input a0 
//output none
ArrayVector vtkLabeledDataMapperSetLabelModeToLabelIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelModeToLabelIds ();this SetLabelMode VTK_LABEL_IDS  */
  if (arg.size() < 1) 
    throw Exception("Function SetLabelModeToLabelIds for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetLabelModeToLabelIds();
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetLabelModeToLabelScalars vtkLabeledDataMapperSetLabelModeToLabelScalarsFunction
//input a0 
//output none
ArrayVector vtkLabeledDataMapperSetLabelModeToLabelScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelModeToLabelScalars ();this SetLabelMode VTK_LABEL_SCALARS  */
  if (arg.size() < 1) 
    throw Exception("Function SetLabelModeToLabelScalars for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetLabelModeToLabelScalars();
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetLabelModeToLabelVectors vtkLabeledDataMapperSetLabelModeToLabelVectorsFunction
//input a0 
//output none
ArrayVector vtkLabeledDataMapperSetLabelModeToLabelVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelModeToLabelVectors ();this SetLabelMode VTK_LABEL_VECTORS  */
  if (arg.size() < 1) 
    throw Exception("Function SetLabelModeToLabelVectors for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetLabelModeToLabelVectors();
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetLabelModeToLabelNormals vtkLabeledDataMapperSetLabelModeToLabelNormalsFunction
//input a0 
//output none
ArrayVector vtkLabeledDataMapperSetLabelModeToLabelNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelModeToLabelNormals ();this SetLabelMode VTK_LABEL_NORMALS  */
  if (arg.size() < 1) 
    throw Exception("Function SetLabelModeToLabelNormals for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetLabelModeToLabelNormals();
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetLabelModeToLabelTCoords vtkLabeledDataMapperSetLabelModeToLabelTCoordsFunction
//input a0 
//output none
ArrayVector vtkLabeledDataMapperSetLabelModeToLabelTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelModeToLabelTCoords ();this SetLabelMode VTK_LABEL_TCOORDS  */
  if (arg.size() < 1) 
    throw Exception("Function SetLabelModeToLabelTCoords for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetLabelModeToLabelTCoords();
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetLabelModeToLabelTensors vtkLabeledDataMapperSetLabelModeToLabelTensorsFunction
//input a0 
//output none
ArrayVector vtkLabeledDataMapperSetLabelModeToLabelTensorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelModeToLabelTensors ();this SetLabelMode VTK_LABEL_TENSORS  */
  if (arg.size() < 1) 
    throw Exception("Function SetLabelModeToLabelTensors for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetLabelModeToLabelTensors();
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetLabelModeToLabelFieldData vtkLabeledDataMapperSetLabelModeToLabelFieldDataFunction
//input a0 
//output none
ArrayVector vtkLabeledDataMapperSetLabelModeToLabelFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelModeToLabelFieldData ();this SetLabelMode VTK_LABEL_FIELD_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetLabelModeToLabelFieldData for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetLabelModeToLabelFieldData();
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetLabelTextProperty__1 vtkLabeledDataMapperSetLabelTextProperty__1Function
//input a0 a1 
//output none
ArrayVector vtkLabeledDataMapperSetLabelTextProperty__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelTextProperty (vtkTextProperty *p);this SetLabelTextProperty p  */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelTextProperty__1 for class vtkLabeledDataMapper requires 2 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetLabelTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:GetLabelTextProperty__1 vtkLabeledDataMapperGetLabelTextProperty__1Function
//input a0 
//output y
ArrayVector vtkLabeledDataMapperGetLabelTextProperty__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkTextProperty *GetLabelTextProperty ();return this GetLabelTextProperty  */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelTextProperty__1 for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetLabelTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetLabelTextProperty__2 vtkLabeledDataMapperSetLabelTextProperty__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLabeledDataMapperSetLabelTextProperty__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelTextProperty (vtkTextProperty *p, int type); */
  if (arg.size() < 3) 
    throw Exception("Function SetLabelTextProperty__2 for class vtkLabeledDataMapper requires 3 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetLabelTextProperty(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:GetLabelTextProperty__2 vtkLabeledDataMapperGetLabelTextProperty__2Function
//input a0 a1 
//output y
ArrayVector vtkLabeledDataMapperGetLabelTextProperty__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkTextProperty *GetLabelTextProperty (int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetLabelTextProperty__2 for class vtkLabeledDataMapper requires 2 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  int      temp0;
  vtkTextProperty  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetLabelTextProperty(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:RenderOpaqueGeometry vtkLabeledDataMapperRenderOpaqueGeometryFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLabeledDataMapperRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderOpaqueGeometry (vtkViewport *viewport, vtkActor2D *actor); */
  if (arg.size() < 3) 
    throw Exception("Function RenderOpaqueGeometry for class vtkLabeledDataMapper requires 3 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkActor2D>(arg[2]);
  vtk_pointer->RenderOpaqueGeometry(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:RenderOverlay vtkLabeledDataMapperRenderOverlayFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLabeledDataMapperRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderOverlay (vtkViewport *viewport, vtkActor2D *actor); */
  if (arg.size() < 3) 
    throw Exception("Function RenderOverlay for class vtkLabeledDataMapper requires 3 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkActor2D>(arg[2]);
  vtk_pointer->RenderOverlay(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:ReleaseGraphicsResources vtkLabeledDataMapperReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkLabeledDataMapperReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkLabeledDataMapper requires 2 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:GetTransform vtkLabeledDataMapperGetTransformFunction
//input a0 
//output y
ArrayVector vtkLabeledDataMapperGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransform *GetTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransform for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtkTransform  *temp20;
  temp20 = (vtk_pointer)->GetTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetTransform vtkLabeledDataMapperSetTransformFunction
//input a0 a1 
//output none
ArrayVector vtkLabeledDataMapperSetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTransform (vtkTransform *t); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransform for class vtkLabeledDataMapper requires 2 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtkTransform  *temp0;
  temp0 = GetVTKPointer<vtkTransform>(arg[1]);
  vtk_pointer->SetTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:GetCoordinateSystem vtkLabeledDataMapperGetCoordinateSystemFunction
//input a0 
//output y
ArrayVector vtkLabeledDataMapperGetCoordinateSystemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCoordinateSystem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoordinateSystem for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCoordinateSystem();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetCoordinateSystem vtkLabeledDataMapperSetCoordinateSystemFunction
//input a0 a1 
//output none
ArrayVector vtkLabeledDataMapperSetCoordinateSystemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoordinateSystem (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCoordinateSystem for class vtkLabeledDataMapper requires 2 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCoordinateSystem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:GetCoordinateSystemMinValue vtkLabeledDataMapperGetCoordinateSystemMinValueFunction
//input a0 
//output y
ArrayVector vtkLabeledDataMapperGetCoordinateSystemMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCoordinateSystemMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoordinateSystemMinValue for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCoordinateSystemMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:GetCoordinateSystemMaxValue vtkLabeledDataMapperGetCoordinateSystemMaxValueFunction
//input a0 
//output y
ArrayVector vtkLabeledDataMapperGetCoordinateSystemMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCoordinateSystemMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoordinateSystemMaxValue for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCoordinateSystemMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:CoordinateSystemWorld vtkLabeledDataMapperCoordinateSystemWorldFunction
//input a0 
//output none
ArrayVector vtkLabeledDataMapperCoordinateSystemWorldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CoordinateSystemWorld ();this SetCoordinateSystem vtkLabeledDataMapper WORLD  */
  if (arg.size() < 1) 
    throw Exception("Function CoordinateSystemWorld for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtk_pointer->CoordinateSystemWorld();
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:CoordinateSystemDisplay vtkLabeledDataMapperCoordinateSystemDisplayFunction
//input a0 
//output none
ArrayVector vtkLabeledDataMapperCoordinateSystemDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CoordinateSystemDisplay ();this SetCoordinateSystem vtkLabeledDataMapper DISPLAY  */
  if (arg.size() < 1) 
    throw Exception("Function CoordinateSystemDisplay for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  vtk_pointer->CoordinateSystemDisplay();
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:GetMTime vtkLabeledDataMapperGetMTimeFunction
//input a0 
//output y
ArrayVector vtkLabeledDataMapperGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkLabeledDataMapper requires 1 argument(s)");
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabeledDataMapper:SetLabelTextProperty vtkLabeledDataMapperSetLabelTextPropertyFunction
//input varargin
//output varargout
ArrayVector vtkLabeledDataMapperSetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkTextProperty"))
    return vtkLabeledDataMapperSetLabelTextProperty__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkTextProperty") && VTKIsScalarArg(arg[2]))
    return vtkLabeledDataMapperSetLabelTextProperty__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLabeledDataMapperSetLabelTextProperty");
}

//@@Signature
//sfunction @vtkLabeledDataMapper:GetLabelTextProperty vtkLabeledDataMapperGetLabelTextPropertyFunction
//input varargin
//output varargout
ArrayVector vtkLabeledDataMapperGetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkLabeledDataMapperGetLabelTextProperty__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLabeledDataMapperGetLabelTextProperty__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLabeledDataMapperGetLabelTextProperty");
}

//@@Signature
//sfunction @vtkLabeledDataMapper:display vtkLabeledDataMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLabeledDataMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLabeledDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledDataMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLabeledDataMapper:delete vtkLabeledDataMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkLabeledDataMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLabeledDataMapper
//@@Section VTKRendering
//@@Usage
// vtkLabeledDataMapper is a mapper that renders text at dataset
// points. Various items can be labeled including point ids, scalars,
// vectors, normals, texture coordinates, tensors, and field data components.
//
// The format with which the label is drawn is specified using a
// printf style format string. The font attributes of the text can
// be set through the vtkTextProperty associated to this mapper. 
//
// By default, all the components of multi-component data such as
// vectors, normals, texture coordinates, tensors, and multi-component
// scalars are labeled. However, you can specify a single component if
// you prefer. (Note: the label format specifies the format to use for
// a single component. The label is creating by looping over all components
// and using the label format to render each component.)
//
//To create an instance of class vtkLabeledDataMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkLabeledDataMapper
//@]
//@@Methods
//The class vtkLabeledDataMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLabeledDataMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLabeledDataMapper = obj.NewInstance ()|
// \item @|vtkLabeledDataMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLabelFormat (string )| -  Set/Get the format with which to print the labels.  This should
// be a printf-style format string.
//
// By default, the mapper will try to print each component of the
// tuple using a sane format: %d for integers, %f for floats, %g for
// doubles, %ld for longs, et cetera.  If you need a different
// format, set it here.  You can do things like limit the number of
// significant digits, add prefixes/suffixes, basically anything
// that printf can do.  If you only want to print one component of a
// vector, see the ivar LabeledComponent.
//// \item @|string = obj.GetLabelFormat ()| -  Set/Get the format with which to print the labels.  This should
// be a printf-style format string.
//
// By default, the mapper will try to print each component of the
// tuple using a sane format: %d for integers, %f for floats, %g for
// doubles, %ld for longs, et cetera.  If you need a different
// format, set it here.  You can do things like limit the number of
// significant digits, add prefixes/suffixes, basically anything
// that printf can do.  If you only want to print one component of a
// vector, see the ivar LabeledComponent.
//// \item @|obj.SetLabeledComponent (int )| -  Set/Get the component number to label if the data to print has
// more than one component. For example, all the components of
// scalars, vectors, normals, etc. are labeled by default
// (LabeledComponent=(-1)). However, if this ivar is nonnegative,
// then only the one component specified is labeled.
//// \item @|int = obj.GetLabeledComponent ()| -  Set/Get the component number to label if the data to print has
// more than one component. For example, all the components of
// scalars, vectors, normals, etc. are labeled by default
// (LabeledComponent=(-1)). However, if this ivar is nonnegative,
// then only the one component specified is labeled.
//// \item @|obj.SetFieldDataArray (int arrayIndex)| -  Set/Get the field data array to label. This instance variable is
// only applicable if field data is labeled.  This will clear
// FieldDataName when set.
//// \item @|int = obj.GetFieldDataArray ()| -  Set/Get the field data array to label. This instance variable is
// only applicable if field data is labeled.  This will clear
// FieldDataName when set.
//// \item @|obj.SetFieldDataName (string arrayName)| -  Set/Get the name of the field data array to label.  This instance
// variable is only applicable if field data is labeled.  This will
// override FieldDataArray when set.
//// \item @|string = obj.GetFieldDataName ()| -  Set/Get the name of the field data array to label.  This instance
// variable is only applicable if field data is labeled.  This will
// override FieldDataArray when set.
//// \item @|obj.SetInput (vtkDataObject )| -  Set the input dataset to the mapper. This mapper handles any type of data.
//// \item @|vtkDataSet = obj.GetInput ()| -  Use GetInputDataObject() to get the input data object for composite
// datasets.
//// \item @|obj.SetLabelMode (int )| -  Specify which data to plot: IDs, scalars, vectors, normals, texture coords,
// tensors, or field data. If the data has more than one component, use
// the method SetLabeledComponent to control which components to plot.
// The default is VTK_LABEL_IDS.
//// \item @|int = obj.GetLabelMode ()| -  Specify which data to plot: IDs, scalars, vectors, normals, texture coords,
// tensors, or field data. If the data has more than one component, use
// the method SetLabeledComponent to control which components to plot.
// The default is VTK_LABEL_IDS.
//// \item @|obj.SetLabelModeToLabelIds ()| -  Specify which data to plot: IDs, scalars, vectors, normals, texture coords,
// tensors, or field data. If the data has more than one component, use
// the method SetLabeledComponent to control which components to plot.
// The default is VTK_LABEL_IDS.
//// \item @|obj.SetLabelModeToLabelScalars ()| -  Specify which data to plot: IDs, scalars, vectors, normals, texture coords,
// tensors, or field data. If the data has more than one component, use
// the method SetLabeledComponent to control which components to plot.
// The default is VTK_LABEL_IDS.
//// \item @|obj.SetLabelModeToLabelVectors ()| -  Specify which data to plot: IDs, scalars, vectors, normals, texture coords,
// tensors, or field data. If the data has more than one component, use
// the method SetLabeledComponent to control which components to plot.
// The default is VTK_LABEL_IDS.
//// \item @|obj.SetLabelModeToLabelNormals ()| -  Specify which data to plot: IDs, scalars, vectors, normals, texture coords,
// tensors, or field data. If the data has more than one component, use
// the method SetLabeledComponent to control which components to plot.
// The default is VTK_LABEL_IDS.
//// \item @|obj.SetLabelModeToLabelTCoords ()| -  Specify which data to plot: IDs, scalars, vectors, normals, texture coords,
// tensors, or field data. If the data has more than one component, use
// the method SetLabeledComponent to control which components to plot.
// The default is VTK_LABEL_IDS.
//// \item @|obj.SetLabelModeToLabelTensors ()| -  Specify which data to plot: IDs, scalars, vectors, normals, texture coords,
// tensors, or field data. If the data has more than one component, use
// the method SetLabeledComponent to control which components to plot.
// The default is VTK_LABEL_IDS.
//// \item @|obj.SetLabelModeToLabelFieldData ()| -  Specify which data to plot: IDs, scalars, vectors, normals, texture coords,
// tensors, or field data. If the data has more than one component, use
// the method SetLabeledComponent to control which components to plot.
// The default is VTK_LABEL_IDS.
//// \item @|obj.SetLabelTextProperty (vtkTextProperty p)| -  Set/Get the text property.
// If an integer argument is provided, you may provide different text
// properties for different label types. The type is determined by an
// optional type input array.
//// \item @|vtkTextProperty = obj.GetLabelTextProperty ()| -  Set/Get the text property.
// If an integer argument is provided, you may provide different text
// properties for different label types. The type is determined by an
// optional type input array.
//// \item @|obj.SetLabelTextProperty (vtkTextProperty p, int type)| -  Set/Get the text property.
// If an integer argument is provided, you may provide different text
// properties for different label types. The type is determined by an
// optional type input array.
//// \item @|vtkTextProperty = obj.GetLabelTextProperty (int type)| -  Set/Get the text property.
// If an integer argument is provided, you may provide different text
// properties for different label types. The type is determined by an
// optional type input array.
//// \item @|obj.RenderOpaqueGeometry (vtkViewport viewport, vtkActor2D actor)| -  Draw the text to the screen at each input point.
//// \item @|obj.RenderOverlay (vtkViewport viewport, vtkActor2D actor)| -  Draw the text to the screen at each input point.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
//// \item @|vtkTransform = obj.GetTransform ()| -  The transform to apply to the labels before mapping to 2D.
//// \item @|obj.SetTransform (vtkTransform t)| -  The transform to apply to the labels before mapping to 2D.
//// \item @|int = obj.GetCoordinateSystem ()| -  Set/get the coordinate system used for output labels.
// The output datasets may have point coordinates reported in the world space or display space.
//// \item @|obj.SetCoordinateSystem (int )| -  Set/get the coordinate system used for output labels.
// The output datasets may have point coordinates reported in the world space or display space.
//// \item @|int = obj.GetCoordinateSystemMinValue ()| -  Set/get the coordinate system used for output labels.
// The output datasets may have point coordinates reported in the world space or display space.
//// \item @|int = obj.GetCoordinateSystemMaxValue ()| -  Set/get the coordinate system used for output labels.
// The output datasets may have point coordinates reported in the world space or display space.
//// \item @|obj.CoordinateSystemWorld ()| -  Set/get the coordinate system used for output labels.
// The output datasets may have point coordinates reported in the world space or display space.
//// \item @|obj.CoordinateSystemDisplay ()| -  Return the modified time for this object.
//// \item @|long = obj.GetMTime ()| -  Return the modified time for this object.
////\end{itemize}
//!
