#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLabeledTreeMapDataMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLabeledTreeMapDataMapper.h"

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:vtkLabeledTreeMapDataMapper vtkLabeledTreeMapDataMapperConstructorFunction
//input a
//output p
//@@Parents vtkLabeledTreeMapDataMapper vtkLabeledDataMapper 
ArrayVector vtkLabeledTreeMapDataMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLabeledTreeMapDataMapper::New(),"vtkLabeledTreeMapDataMapper",eval);
  } else if (arg[0].className() == "vtkLabeledTreeMapDataMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLabeledTreeMapDataMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLabeledTreeMapDataMapper");
    vtkLabeledTreeMapDataMapper*q = reinterpret_cast<vtkLabeledTreeMapDataMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLabeledTreeMapDataMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:GetClassName vtkLabeledTreeMapDataMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLabeledTreeMapDataMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLabeledTreeMapDataMapper requires 1 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:IsA vtkLabeledTreeMapDataMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLabeledTreeMapDataMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLabeledTreeMapDataMapper requires 2 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:NewInstance vtkLabeledTreeMapDataMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLabeledTreeMapDataMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabeledTreeMapDataMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLabeledTreeMapDataMapper requires 1 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  vtkLabeledTreeMapDataMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabeledTreeMapDataMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:SafeDownCast vtkLabeledTreeMapDataMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLabeledTreeMapDataMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabeledTreeMapDataMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLabeledTreeMapDataMapper requires 2 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLabeledTreeMapDataMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabeledTreeMapDataMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:RenderOpaqueGeometry vtkLabeledTreeMapDataMapperRenderOpaqueGeometryFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLabeledTreeMapDataMapperRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RenderOpaqueGeometry (vtkViewport *viewport, vtkActor2D *actor); */
  if (arg.size() < 3) 
    throw Exception("Function RenderOpaqueGeometry for class vtkLabeledTreeMapDataMapper requires 3 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkActor2D>(arg[2]);
  vtk_pointer->RenderOpaqueGeometry(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:RenderOverlay vtkLabeledTreeMapDataMapperRenderOverlayFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLabeledTreeMapDataMapperRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RenderOverlay (vtkViewport *viewport, vtkActor2D *actor); */
  if (arg.size() < 3) 
    throw Exception("Function RenderOverlay for class vtkLabeledTreeMapDataMapper requires 3 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkActor2D>(arg[2]);
  vtk_pointer->RenderOverlay(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:GetInputTree vtkLabeledTreeMapDataMapperGetInputTreeFunction
//input a0 
//output y
ArrayVector vtkLabeledTreeMapDataMapperGetInputTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkTree *GetInputTree (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputTree for class vtkLabeledTreeMapDataMapper requires 1 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  vtkTree  *temp20;
  temp20 = (vtk_pointer)->GetInputTree();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:SetRectanglesArrayName vtkLabeledTreeMapDataMapperSetRectanglesArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkLabeledTreeMapDataMapperSetRectanglesArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRectanglesArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetRectanglesArrayName for class vtkLabeledTreeMapDataMapper requires 2 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetRectanglesArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:GetClipTextMode vtkLabeledTreeMapDataMapperGetClipTextModeFunction
//input a0 
//output y
ArrayVector vtkLabeledTreeMapDataMapperGetClipTextModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClipTextMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClipTextMode for class vtkLabeledTreeMapDataMapper requires 1 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClipTextMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:SetClipTextMode vtkLabeledTreeMapDataMapperSetClipTextModeFunction
//input a0 a1 
//output none
ArrayVector vtkLabeledTreeMapDataMapperSetClipTextModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClipTextMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetClipTextMode for class vtkLabeledTreeMapDataMapper requires 2 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClipTextMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:GetChildMotion vtkLabeledTreeMapDataMapperGetChildMotionFunction
//input a0 
//output y
ArrayVector vtkLabeledTreeMapDataMapperGetChildMotionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetChildMotion (); */
  if (arg.size() < 1) 
    throw Exception("Function GetChildMotion for class vtkLabeledTreeMapDataMapper requires 1 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetChildMotion();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:SetChildMotion vtkLabeledTreeMapDataMapperSetChildMotionFunction
//input a0 a1 
//output none
ArrayVector vtkLabeledTreeMapDataMapperSetChildMotionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetChildMotion (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetChildMotion for class vtkLabeledTreeMapDataMapper requires 2 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetChildMotion(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:GetDynamicLevel vtkLabeledTreeMapDataMapperGetDynamicLevelFunction
//input a0 
//output y
ArrayVector vtkLabeledTreeMapDataMapperGetDynamicLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDynamicLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDynamicLevel for class vtkLabeledTreeMapDataMapper requires 1 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDynamicLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:SetDynamicLevel vtkLabeledTreeMapDataMapperSetDynamicLevelFunction
//input a0 a1 
//output none
ArrayVector vtkLabeledTreeMapDataMapperSetDynamicLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDynamicLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDynamicLevel for class vtkLabeledTreeMapDataMapper requires 2 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDynamicLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:ReleaseGraphicsResources vtkLabeledTreeMapDataMapperReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkLabeledTreeMapDataMapperReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkLabeledTreeMapDataMapper requires 2 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:SetFontSizeRange vtkLabeledTreeMapDataMapperSetFontSizeRangeFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLabeledTreeMapDataMapperSetFontSizeRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFontSizeRange (int maxSize, int minSize, int delta); */
  if (arg.size() < 4) 
    throw Exception("Function SetFontSizeRange for class vtkLabeledTreeMapDataMapper requires 4 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetFontSizeRange(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:GetFontSizeRange vtkLabeledTreeMapDataMapperGetFontSizeRangeFunction
//input a0 a1 
//output none
ArrayVector vtkLabeledTreeMapDataMapperGetFontSizeRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetFontSizeRange (int range[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetFontSizeRange for class vtkLabeledTreeMapDataMapper requires 2 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->GetFontSizeRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:SetLevelRange vtkLabeledTreeMapDataMapperSetLevelRangeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLabeledTreeMapDataMapperSetLevelRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLevelRange (int startLevel, int endLevel); */
  if (arg.size() < 3) 
    throw Exception("Function SetLevelRange for class vtkLabeledTreeMapDataMapper requires 3 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetLevelRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:GetLevelRange vtkLabeledTreeMapDataMapperGetLevelRangeFunction
//input a0 a1 
//output none
ArrayVector vtkLabeledTreeMapDataMapperGetLevelRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetLevelRange (int range[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetLevelRange for class vtkLabeledTreeMapDataMapper requires 2 argument(s)");
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->GetLevelRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLabeledTreeMapDataMapper:display vtkLabeledTreeMapDataMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLabeledTreeMapDataMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLabeledTreeMapDataMapper* vtk_pointer = GetVTKPointer<vtkLabeledTreeMapDataMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLabeledTreeMapDataMapper:delete vtkLabeledTreeMapDataMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkLabeledTreeMapDataMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLabeledTreeMapDataMapper
//@@Section VTKRendering
//@@Usage
// vtkLabeledTreeMapDataMapper is a mapper that renders text on a tree map.
// A tree map is a vtkTree with an associated 4-tuple array
// used for storing the boundary rectangle for each vertex in the tree.
// The user must specify the array name used for storing the rectangles.
//
// The mapper iterates through the tree and attempts and renders a label
// inside the vertex's rectangle as long as the following conditions hold:
// 1. The vertex level is within the range of levels specified for labeling.
// 2. The label can fully fit inside its box.
// 3. The label does not overlap an ancestor's label.
//
//
//To create an instance of class vtkLabeledTreeMapDataMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkLabeledTreeMapDataMapper
//@]
//@@Methods
//The class vtkLabeledTreeMapDataMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLabeledTreeMapDataMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLabeledTreeMapDataMapper = obj.NewInstance ()|
// \item @|vtkLabeledTreeMapDataMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.RenderOpaqueGeometry (vtkViewport viewport, vtkActor2D actor)| -  Draw the text to the screen at each input point.
//// \item @|obj.RenderOverlay (vtkViewport viewport, vtkActor2D actor)| -  Draw the text to the screen at each input point.
//// \item @|vtkTree = obj.GetInputTree ()| -  The input to this filter.
//// \item @|obj.SetRectanglesArrayName (string name)| -  The name of the 4-tuple array used for
//// \item @|int = obj.GetClipTextMode ()| -  Indicates if the label can be displayed clipped by the Window
// mode = 0 - ok to clip labels
// 1 - auto center labels w/r to the area of the vertex's clipped region
//// \item @|obj.SetClipTextMode (int )| -  Indicates if the label can be displayed clipped by the Window
// mode = 0 - ok to clip labels
// 1 - auto center labels w/r to the area of the vertex's clipped region
//// \item @|int = obj.GetChildMotion ()| -  Indicates if the label can be moved by its ancestors
//// \item @|obj.SetChildMotion (int )| -  Indicates if the label can be moved by its ancestors
//// \item @|int = obj.GetDynamicLevel ()| -  Indicates at which level labeling should be dynamic 
//// \item @|obj.SetDynamicLevel (int )| -  Indicates at which level labeling should be dynamic 
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
//// \item @|obj.SetFontSizeRange (int maxSize, int minSize, int delta)| -  The range of font sizes to use when rendering the labels.
//// \item @|obj.GetFontSizeRange (int range[3])| -  The range of font sizes to use when rendering the labels.
//// \item @|obj.SetLevelRange (int startLevel, int endLevel)| -  The range of levels to attempt to label.
// The level of a vertex is the length of the path to the root
// (the root has level 0).
//// \item @|obj.GetLevelRange (int range[2])| -  The range of levels to attempt to label.
// The level of a vertex is the length of the path to the root
// (the root has level 0).
////\end{itemize}
//!
