#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLeaderActor2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLeaderActor2D.h"

//@@Signature
//sfunction @vtkLeaderActor2D:vtkLeaderActor2D vtkLeaderActor2DConstructorFunction
//input a
//output p
//@@Parents vtkLeaderActor2D vtkActor2D 
ArrayVector vtkLeaderActor2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLeaderActor2D::New(),"vtkLeaderActor2D",eval);
  } else if (arg[0].className() == "vtkLeaderActor2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLeaderActor2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLeaderActor2D");
    vtkLeaderActor2D*q = reinterpret_cast<vtkLeaderActor2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLeaderActor2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLeaderActor2D:GetClassName vtkLeaderActor2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:IsA vtkLeaderActor2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLeaderActor2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:NewInstance vtkLeaderActor2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLeaderActor2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtkLeaderActor2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLeaderActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SafeDownCast vtkLeaderActor2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLeaderActor2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLeaderActor2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLeaderActor2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLeaderActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetRadius vtkLeaderActor2DSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkLeaderActor2DSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetRadius vtkLeaderActor2DGetRadiusFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetLabel vtkLeaderActor2DSetLabelFunction
//input a0 a1 
//output none
ArrayVector vtkLeaderActor2DSetLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabel (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabel for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLabel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetLabel vtkLeaderActor2DGetLabelFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLabel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabel for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLabel();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetLabelTextProperty vtkLeaderActor2DSetLabelTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkLeaderActor2DSetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelTextProperty for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetLabelTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetLabelTextProperty vtkLeaderActor2DGetLabelTextPropertyFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetLabelTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelTextProperty for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetLabelTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetLabelFactor vtkLeaderActor2DSetLabelFactorFunction
//input a0 a1 
//output none
ArrayVector vtkLeaderActor2DSetLabelFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelFactor for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLabelFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetLabelFactorMinValue vtkLeaderActor2DGetLabelFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetLabelFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLabelFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelFactorMinValue for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLabelFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetLabelFactorMaxValue vtkLeaderActor2DGetLabelFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetLabelFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLabelFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelFactorMaxValue for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLabelFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetLabelFactor vtkLeaderActor2DGetLabelFactorFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetLabelFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLabelFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelFactor for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLabelFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetArrowPlacement vtkLeaderActor2DSetArrowPlacementFunction
//input a0 a1 
//output none
ArrayVector vtkLeaderActor2DSetArrowPlacementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrowPlacement (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetArrowPlacement for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetArrowPlacement(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetArrowPlacementMinValue vtkLeaderActor2DGetArrowPlacementMinValueFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetArrowPlacementMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrowPlacementMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrowPlacementMinValue for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrowPlacementMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetArrowPlacementMaxValue vtkLeaderActor2DGetArrowPlacementMaxValueFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetArrowPlacementMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrowPlacementMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrowPlacementMaxValue for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrowPlacementMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetArrowPlacement vtkLeaderActor2DGetArrowPlacementFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetArrowPlacementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrowPlacement (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrowPlacement for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrowPlacement();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetArrowPlacementToNone vtkLeaderActor2DSetArrowPlacementToNoneFunction
//input a0 
//output none
ArrayVector vtkLeaderActor2DSetArrowPlacementToNoneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrowPlacementToNone ();this SetArrowPlacement VTK_ARROW_NONE  */
  if (arg.size() < 1) 
    throw Exception("Function SetArrowPlacementToNone for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtk_pointer->SetArrowPlacementToNone();
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetArrowPlacementToPoint1 vtkLeaderActor2DSetArrowPlacementToPoint1Function
//input a0 
//output none
ArrayVector vtkLeaderActor2DSetArrowPlacementToPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrowPlacementToPoint1 ();this SetArrowPlacement VTK_ARROW_POINT1  */
  if (arg.size() < 1) 
    throw Exception("Function SetArrowPlacementToPoint1 for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtk_pointer->SetArrowPlacementToPoint1();
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetArrowPlacementToPoint2 vtkLeaderActor2DSetArrowPlacementToPoint2Function
//input a0 
//output none
ArrayVector vtkLeaderActor2DSetArrowPlacementToPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrowPlacementToPoint2 ();this SetArrowPlacement VTK_ARROW_POINT2  */
  if (arg.size() < 1) 
    throw Exception("Function SetArrowPlacementToPoint2 for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtk_pointer->SetArrowPlacementToPoint2();
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetArrowPlacementToBoth vtkLeaderActor2DSetArrowPlacementToBothFunction
//input a0 
//output none
ArrayVector vtkLeaderActor2DSetArrowPlacementToBothFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrowPlacementToBoth ();this SetArrowPlacement VTK_ARROW_BOTH  */
  if (arg.size() < 1) 
    throw Exception("Function SetArrowPlacementToBoth for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtk_pointer->SetArrowPlacementToBoth();
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetArrowStyle vtkLeaderActor2DSetArrowStyleFunction
//input a0 a1 
//output none
ArrayVector vtkLeaderActor2DSetArrowStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrowStyle (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetArrowStyle for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetArrowStyle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetArrowStyleMinValue vtkLeaderActor2DGetArrowStyleMinValueFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetArrowStyleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrowStyleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrowStyleMinValue for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrowStyleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetArrowStyleMaxValue vtkLeaderActor2DGetArrowStyleMaxValueFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetArrowStyleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrowStyleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrowStyleMaxValue for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrowStyleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetArrowStyle vtkLeaderActor2DGetArrowStyleFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetArrowStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrowStyle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrowStyle for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrowStyle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetArrowStyleToFilled vtkLeaderActor2DSetArrowStyleToFilledFunction
//input a0 
//output none
ArrayVector vtkLeaderActor2DSetArrowStyleToFilledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrowStyleToFilled ();this SetArrowStyle VTK_ARROW_FILLED  */
  if (arg.size() < 1) 
    throw Exception("Function SetArrowStyleToFilled for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtk_pointer->SetArrowStyleToFilled();
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetArrowStyleToOpen vtkLeaderActor2DSetArrowStyleToOpenFunction
//input a0 
//output none
ArrayVector vtkLeaderActor2DSetArrowStyleToOpenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrowStyleToOpen ();this SetArrowStyle VTK_ARROW_OPEN  */
  if (arg.size() < 1) 
    throw Exception("Function SetArrowStyleToOpen for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtk_pointer->SetArrowStyleToOpen();
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetArrowStyleToHollow vtkLeaderActor2DSetArrowStyleToHollowFunction
//input a0 
//output none
ArrayVector vtkLeaderActor2DSetArrowStyleToHollowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrowStyleToHollow ();this SetArrowStyle VTK_ARROW_HOLLOW  */
  if (arg.size() < 1) 
    throw Exception("Function SetArrowStyleToHollow for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtk_pointer->SetArrowStyleToHollow();
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetArrowLength vtkLeaderActor2DSetArrowLengthFunction
//input a0 a1 
//output none
ArrayVector vtkLeaderActor2DSetArrowLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrowLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetArrowLength for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetArrowLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetArrowLengthMinValue vtkLeaderActor2DGetArrowLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetArrowLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetArrowLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrowLengthMinValue for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetArrowLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetArrowLengthMaxValue vtkLeaderActor2DGetArrowLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetArrowLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetArrowLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrowLengthMaxValue for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetArrowLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetArrowLength vtkLeaderActor2DGetArrowLengthFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetArrowLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetArrowLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrowLength for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetArrowLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetArrowWidth vtkLeaderActor2DSetArrowWidthFunction
//input a0 a1 
//output none
ArrayVector vtkLeaderActor2DSetArrowWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrowWidth (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetArrowWidth for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetArrowWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetArrowWidthMinValue vtkLeaderActor2DGetArrowWidthMinValueFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetArrowWidthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetArrowWidthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrowWidthMinValue for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetArrowWidthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetArrowWidthMaxValue vtkLeaderActor2DGetArrowWidthMaxValueFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetArrowWidthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetArrowWidthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrowWidthMaxValue for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetArrowWidthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetArrowWidth vtkLeaderActor2DGetArrowWidthFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetArrowWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetArrowWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrowWidth for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetArrowWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetMinimumArrowSize vtkLeaderActor2DSetMinimumArrowSizeFunction
//input a0 a1 
//output none
ArrayVector vtkLeaderActor2DSetMinimumArrowSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumArrowSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumArrowSize for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumArrowSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetMinimumArrowSizeMinValue vtkLeaderActor2DGetMinimumArrowSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetMinimumArrowSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumArrowSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumArrowSizeMinValue for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumArrowSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetMinimumArrowSizeMaxValue vtkLeaderActor2DGetMinimumArrowSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetMinimumArrowSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumArrowSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumArrowSizeMaxValue for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumArrowSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetMinimumArrowSize vtkLeaderActor2DGetMinimumArrowSizeFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetMinimumArrowSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumArrowSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumArrowSize for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumArrowSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetMaximumArrowSize vtkLeaderActor2DSetMaximumArrowSizeFunction
//input a0 a1 
//output none
ArrayVector vtkLeaderActor2DSetMaximumArrowSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumArrowSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumArrowSize for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumArrowSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetMaximumArrowSizeMinValue vtkLeaderActor2DGetMaximumArrowSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetMaximumArrowSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumArrowSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumArrowSizeMinValue for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumArrowSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetMaximumArrowSizeMaxValue vtkLeaderActor2DGetMaximumArrowSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetMaximumArrowSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumArrowSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumArrowSizeMaxValue for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumArrowSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetMaximumArrowSize vtkLeaderActor2DGetMaximumArrowSizeFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetMaximumArrowSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumArrowSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumArrowSize for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumArrowSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetAutoLabel vtkLeaderActor2DSetAutoLabelFunction
//input a0 a1 
//output none
ArrayVector vtkLeaderActor2DSetAutoLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutoLabel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutoLabel for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutoLabel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetAutoLabel vtkLeaderActor2DGetAutoLabelFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetAutoLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoLabel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoLabel for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoLabel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:AutoLabelOn vtkLeaderActor2DAutoLabelOnFunction
//input a0 
//output none
ArrayVector vtkLeaderActor2DAutoLabelOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoLabelOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoLabelOn for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtk_pointer->AutoLabelOn();
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:AutoLabelOff vtkLeaderActor2DAutoLabelOffFunction
//input a0 
//output none
ArrayVector vtkLeaderActor2DAutoLabelOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoLabelOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoLabelOff for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtk_pointer->AutoLabelOff();
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:SetLabelFormat vtkLeaderActor2DSetLabelFormatFunction
//input a0 a1 
//output none
ArrayVector vtkLeaderActor2DSetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelFormat (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelFormat for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLabelFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetLabelFormat vtkLeaderActor2DGetLabelFormatFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLabelFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelFormat for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLabelFormat();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetLength vtkLeaderActor2DGetLengthFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLength for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:GetAngle vtkLeaderActor2DGetAngleFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DGetAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngle for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:RenderOverlay vtkLeaderActor2DRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkLeaderActor2DRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:RenderOpaqueGeometry vtkLeaderActor2DRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkLeaderActor2DRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:RenderTranslucentPolygonalGeometry vtkLeaderActor2DRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkLeaderActor2DRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);return  */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:HasTranslucentPolygonalGeometry vtkLeaderActor2DHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkLeaderActor2DHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkLeaderActor2D requires 1 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:ReleaseGraphicsResources vtkLeaderActor2DReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkLeaderActor2DReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:ShallowCopy vtkLeaderActor2DShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkLeaderActor2DShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkLeaderActor2D requires 2 argument(s)");
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLeaderActor2D:display vtkLeaderActor2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLeaderActor2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLeaderActor2D* vtk_pointer = GetVTKPointer<vtkLeaderActor2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLeaderActor2D:delete vtkLeaderActor2DDeleteFunction
//input varargin
//output none
ArrayVector vtkLeaderActor2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLeaderActor2D
//@@Section VTKRendering
//@@Usage
// vtkLeaderActor2D creates a leader with an optional label and arrows. (A
// leader is typically used to indicate distance between points.)
// vtkLeaderActor2D is a type of vtkActor2D; that is, it is drawn on the
// overlay plane and is not occluded by 3D geometry. To use this class, you
// typically specify two points defining the start and end points of the line
// (x-y definition using vtkCoordinate class), whether to place arrows on one
// or both end points, and whether to label the leader. Also, this class has a
// special feature that allows curved leaders to be created by specifying a
// radius.
//
// Use the vtkLeaderActor2D uses its superclass vtkActor2D instance variables
// Position and Position2 vtkCoordinates to place an instance of
// vtkLeaderActor2D (i.e., these two data members represent the start and end
// points of the leader).  Using these vtkCoordinates you can specify the position
// of the leader in a variety of coordinate systems. 
//
// To control the appearance of the actor, use the superclasses
// vtkActor2D::vtkProperty2D and the vtkTextProperty objects associated with
// this actor.
//
//
//To create an instance of class vtkLeaderActor2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkLeaderActor2D
//@]
//@@Methods
//The class vtkLeaderActor2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLeaderActor2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLeaderActor2D = obj.NewInstance ()|
// \item @|vtkLeaderActor2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRadius (double )| -  Set/Get a radius which can be used to curve the leader.  If a radius is
// specified whose absolute value is greater than one half the distance
// between the two points defined by the superclasses' Position and
// Position2 ivars, then the leader will be curved. A positive radius will
// produce a curve such that the center is to the right of the line from
// Position and Position2; a negative radius will produce a curve in the 
// opposite sense. By default, the radius is set to zero and thus there
// is no curvature. Note that the radius is expresses as a multiple of
// the distance between (Position,Position2); this avoids issues relative
// to coordinate system transformations.
//// \item @|double = obj.GetRadius ()| -  Set/Get a radius which can be used to curve the leader.  If a radius is
// specified whose absolute value is greater than one half the distance
// between the two points defined by the superclasses' Position and
// Position2 ivars, then the leader will be curved. A positive radius will
// produce a curve such that the center is to the right of the line from
// Position and Position2; a negative radius will produce a curve in the 
// opposite sense. By default, the radius is set to zero and thus there
// is no curvature. Note that the radius is expresses as a multiple of
// the distance between (Position,Position2); this avoids issues relative
// to coordinate system transformations.
//// \item @|obj.SetLabel (string )| -  Set/Get the label for the leader. If the label is an empty string, then
// it will not be drawn.
//// \item @|string = obj.GetLabel ()| -  Set/Get the label for the leader. If the label is an empty string, then
// it will not be drawn.
//// \item @|obj.SetLabelTextProperty (vtkTextProperty p)| -  Set/Get the text property of the label.
//// \item @|vtkTextProperty = obj.GetLabelTextProperty ()| -  Set/Get the text property of the label.
//// \item @|obj.SetLabelFactor (double )| -  Set/Get the factor that controls the overall size of the fonts used
// to label the leader. 
//// \item @|double = obj.GetLabelFactorMinValue ()| -  Set/Get the factor that controls the overall size of the fonts used
// to label the leader. 
//// \item @|double = obj.GetLabelFactorMaxValue ()| -  Set/Get the factor that controls the overall size of the fonts used
// to label the leader. 
//// \item @|double = obj.GetLabelFactor ()| -  Set/Get the factor that controls the overall size of the fonts used
// to label the leader. 
//// \item @|obj.SetArrowPlacement (int )| -  Control whether arrow heads are drawn on the leader. Arrows may be
// drawn on one end, both ends, or not at all.
//// \item @|int = obj.GetArrowPlacementMinValue ()| -  Control whether arrow heads are drawn on the leader. Arrows may be
// drawn on one end, both ends, or not at all.
//// \item @|int = obj.GetArrowPlacementMaxValue ()| -  Control whether arrow heads are drawn on the leader. Arrows may be
// drawn on one end, both ends, or not at all.
//// \item @|int = obj.GetArrowPlacement ()| -  Control whether arrow heads are drawn on the leader. Arrows may be
// drawn on one end, both ends, or not at all.
//// \item @|obj.SetArrowPlacementToNone ()| -  Control whether arrow heads are drawn on the leader. Arrows may be
// drawn on one end, both ends, or not at all.
//// \item @|obj.SetArrowPlacementToPoint1 ()| -  Control whether arrow heads are drawn on the leader. Arrows may be
// drawn on one end, both ends, or not at all.
//// \item @|obj.SetArrowPlacementToPoint2 ()| -  Control whether arrow heads are drawn on the leader. Arrows may be
// drawn on one end, both ends, or not at all.
//// \item @|obj.SetArrowPlacementToBoth ()| -  Control the appearance of the arrow heads. A solid arrow head is a filled
// triangle; a open arrow looks like a "V"; and a hollow arrow looks like a
// non-filled triangle.
//// \item @|obj.SetArrowStyle (int )| -  Control the appearance of the arrow heads. A solid arrow head is a filled
// triangle; a open arrow looks like a "V"; and a hollow arrow looks like a
// non-filled triangle.
//// \item @|int = obj.GetArrowStyleMinValue ()| -  Control the appearance of the arrow heads. A solid arrow head is a filled
// triangle; a open arrow looks like a "V"; and a hollow arrow looks like a
// non-filled triangle.
//// \item @|int = obj.GetArrowStyleMaxValue ()| -  Control the appearance of the arrow heads. A solid arrow head is a filled
// triangle; a open arrow looks like a "V"; and a hollow arrow looks like a
// non-filled triangle.
//// \item @|int = obj.GetArrowStyle ()| -  Control the appearance of the arrow heads. A solid arrow head is a filled
// triangle; a open arrow looks like a "V"; and a hollow arrow looks like a
// non-filled triangle.
//// \item @|obj.SetArrowStyleToFilled ()| -  Control the appearance of the arrow heads. A solid arrow head is a filled
// triangle; a open arrow looks like a "V"; and a hollow arrow looks like a
// non-filled triangle.
//// \item @|obj.SetArrowStyleToOpen ()| -  Control the appearance of the arrow heads. A solid arrow head is a filled
// triangle; a open arrow looks like a "V"; and a hollow arrow looks like a
// non-filled triangle.
//// \item @|obj.SetArrowStyleToHollow ()| -  Specify the arrow length and base width (in normalized viewport
// coordinates).
//// \item @|obj.SetArrowLength (double )| -  Specify the arrow length and base width (in normalized viewport
// coordinates).
//// \item @|double = obj.GetArrowLengthMinValue ()| -  Specify the arrow length and base width (in normalized viewport
// coordinates).
//// \item @|double = obj.GetArrowLengthMaxValue ()| -  Specify the arrow length and base width (in normalized viewport
// coordinates).
//// \item @|double = obj.GetArrowLength ()| -  Specify the arrow length and base width (in normalized viewport
// coordinates).
//// \item @|obj.SetArrowWidth (double )| -  Specify the arrow length and base width (in normalized viewport
// coordinates).
//// \item @|double = obj.GetArrowWidthMinValue ()| -  Specify the arrow length and base width (in normalized viewport
// coordinates).
//// \item @|double = obj.GetArrowWidthMaxValue ()| -  Specify the arrow length and base width (in normalized viewport
// coordinates).
//// \item @|double = obj.GetArrowWidth ()| -  Specify the arrow length and base width (in normalized viewport
// coordinates).
//// \item @|obj.SetMinimumArrowSize (double )| -  Limit the minimum and maximum size of the arrows. These values are
// expressed in pixels and clamp the minimum/maximum possible size for the
// width/length of the arrow head. (When clamped, the ratio between length
// and width is preserved.)
//// \item @|double = obj.GetMinimumArrowSizeMinValue ()| -  Limit the minimum and maximum size of the arrows. These values are
// expressed in pixels and clamp the minimum/maximum possible size for the
// width/length of the arrow head. (When clamped, the ratio between length
// and width is preserved.)
//// \item @|double = obj.GetMinimumArrowSizeMaxValue ()| -  Limit the minimum and maximum size of the arrows. These values are
// expressed in pixels and clamp the minimum/maximum possible size for the
// width/length of the arrow head. (When clamped, the ratio between length
// and width is preserved.)
//// \item @|double = obj.GetMinimumArrowSize ()| -  Limit the minimum and maximum size of the arrows. These values are
// expressed in pixels and clamp the minimum/maximum possible size for the
// width/length of the arrow head. (When clamped, the ratio between length
// and width is preserved.)
//// \item @|obj.SetMaximumArrowSize (double )| -  Limit the minimum and maximum size of the arrows. These values are
// expressed in pixels and clamp the minimum/maximum possible size for the
// width/length of the arrow head. (When clamped, the ratio between length
// and width is preserved.)
//// \item @|double = obj.GetMaximumArrowSizeMinValue ()| -  Limit the minimum and maximum size of the arrows. These values are
// expressed in pixels and clamp the minimum/maximum possible size for the
// width/length of the arrow head. (When clamped, the ratio between length
// and width is preserved.)
//// \item @|double = obj.GetMaximumArrowSizeMaxValue ()| -  Limit the minimum and maximum size of the arrows. These values are
// expressed in pixels and clamp the minimum/maximum possible size for the
// width/length of the arrow head. (When clamped, the ratio between length
// and width is preserved.)
//// \item @|double = obj.GetMaximumArrowSize ()| -  Limit the minimum and maximum size of the arrows. These values are
// expressed in pixels and clamp the minimum/maximum possible size for the
// width/length of the arrow head. (When clamped, the ratio between length
// and width is preserved.)
//// \item @|obj.SetAutoLabel (int )| -  Enable auto-labelling. In this mode, the label is automatically updated
// based on distance (in world coordinates) between the two end points; or
// if a curved leader is being generated, the angle in degrees between the
// two points.
//// \item @|int = obj.GetAutoLabel ()| -  Enable auto-labelling. In this mode, the label is automatically updated
// based on distance (in world coordinates) between the two end points; or
// if a curved leader is being generated, the angle in degrees between the
// two points.
//// \item @|obj.AutoLabelOn ()| -  Enable auto-labelling. In this mode, the label is automatically updated
// based on distance (in world coordinates) between the two end points; or
// if a curved leader is being generated, the angle in degrees between the
// two points.
//// \item @|obj.AutoLabelOff ()| -  Enable auto-labelling. In this mode, the label is automatically updated
// based on distance (in world coordinates) between the two end points; or
// if a curved leader is being generated, the angle in degrees between the
// two points.
//// \item @|obj.SetLabelFormat (string )| -  Specify the format to use for auto-labelling.
//// \item @|string = obj.GetLabelFormat ()| -  Specify the format to use for auto-labelling.
//// \item @|double = obj.GetLength ()| -  Obtain the length of the leader if the leader is not curved,
// otherwise obtain the angle that the leader circumscribes.
//// \item @|double = obj.GetAngle ()| -  Obtain the length of the leader if the leader is not curved,
// otherwise obtain the angle that the leader circumscribes.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Methods required by vtkProp and vtkActor2D superclasses.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Methods required by vtkProp and vtkActor2D superclasses.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  Does this prop have some translucent polygonal geometry?
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Does this prop have some translucent polygonal geometry?
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )|
// \item @|obj.ShallowCopy (vtkProp prop)|
//\end{itemize}
//!
