#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLight object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLight.h"

//@@Signature
//sfunction @vtkLight:vtkLight vtkLightConstructorFunction
//input a
//output p
//@@Parents vtkLight vtkObject 
ArrayVector vtkLightConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLight::New(),"vtkLight",eval);
  } else if (arg[0].className() == "vtkLight") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLight"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLight");
    vtkLight*q = reinterpret_cast<vtkLight*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLight");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLight:GetClassName vtkLightGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLightGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLight:IsA vtkLightIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLightIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLight:NewInstance vtkLightNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLightNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLight *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  vtkLight  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLight",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SafeDownCast vtkLightSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLightSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLight *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLight  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLight",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLight:ShallowClone vtkLightShallowCloneFunction
//input a0 
//output y
ArrayVector vtkLightShallowCloneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkLight *ShallowClone (); */
  if (arg.size() < 1) 
    throw Exception("Function ShallowClone for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  vtkLight  *temp20;
  temp20 = (vtk_pointer)->ShallowClone();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLight",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLight:Render vtkLightRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLightRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkRenderer *, int ); */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkLight requires 3 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetAmbientColor__1 vtkLightSetAmbientColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLightSetAmbientColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAmbientColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetAmbientColor__1 for class vtkLight requires 4 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetAmbientColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetAmbientColor__2 vtkLightSetAmbientColor__2Function
//input a0 a1 
//output none
ArrayVector vtkLightSetAmbientColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAmbientColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetAmbientColor__2 for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetAmbientColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetAmbientColor vtkLightGetAmbientColorFunction
//input a0 
//output y
ArrayVector vtkLightGetAmbientColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetAmbientColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAmbientColor for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetAmbientColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetDiffuseColor__1 vtkLightSetDiffuseColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLightSetDiffuseColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiffuseColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDiffuseColor__1 for class vtkLight requires 4 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDiffuseColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetDiffuseColor__2 vtkLightSetDiffuseColor__2Function
//input a0 a1 
//output none
ArrayVector vtkLightSetDiffuseColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiffuseColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDiffuseColor__2 for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDiffuseColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetDiffuseColor vtkLightGetDiffuseColorFunction
//input a0 
//output y
ArrayVector vtkLightGetDiffuseColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDiffuseColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiffuseColor for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDiffuseColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetSpecularColor__1 vtkLightSetSpecularColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLightSetSpecularColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpecularColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetSpecularColor__1 for class vtkLight requires 4 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetSpecularColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetSpecularColor__2 vtkLightSetSpecularColor__2Function
//input a0 a1 
//output none
ArrayVector vtkLightSetSpecularColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpecularColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpecularColor__2 for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSpecularColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetSpecularColor vtkLightGetSpecularColorFunction
//input a0 
//output y
ArrayVector vtkLightGetSpecularColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSpecularColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpecularColor for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSpecularColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetColor__1 vtkLightSetColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLightSetColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetColor__1 for class vtkLight requires 4 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetColor__2 vtkLightSetColor__2Function
//input a0 a1 
//output none
ArrayVector vtkLightSetColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (double a[3]);this SetColor a a a  */
  if (arg.size() < 2) 
    throw Exception("Function SetColor__2 for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetColor__1 vtkLightGetColor__1Function
//input a0 a1 
//output none
ArrayVector vtkLightGetColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetColor (double rgb[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetColor__1 for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetColor__2 vtkLightGetColor__2Function
//input a0 
//output y
ArrayVector vtkLightGetColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColor__2 for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetPosition__1 vtkLightSetPosition__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLightSetPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetPosition__1 for class vtkLight requires 4 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetPosition__2 vtkLightSetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkLightSetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPosition__2 for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetPosition vtkLightGetPositionFunction
//input a0 
//output y
ArrayVector vtkLightGetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPosition for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetPosition__3 vtkLightSetPosition__3Function
//input a0 a1 
//output none
ArrayVector vtkLightSetPosition__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (float *a);this SetPosition a a a  */
  if (arg.size() < 2) 
    throw Exception("Function SetPosition__3 for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  float   *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  vtk_pointer->SetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetFocalPoint__1 vtkLightSetFocalPoint__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLightSetFocalPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFocalPoint (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetFocalPoint__1 for class vtkLight requires 4 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetFocalPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetFocalPoint__2 vtkLightSetFocalPoint__2Function
//input a0 a1 
//output none
ArrayVector vtkLightSetFocalPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFocalPoint (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetFocalPoint__2 for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetFocalPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetFocalPoint vtkLightGetFocalPointFunction
//input a0 
//output y
ArrayVector vtkLightGetFocalPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetFocalPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFocalPoint for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetFocalPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetFocalPoint__3 vtkLightSetFocalPoint__3Function
//input a0 a1 
//output none
ArrayVector vtkLightSetFocalPoint__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFocalPoint (float *a);this SetFocalPoint a a a  */
  if (arg.size() < 2) 
    throw Exception("Function SetFocalPoint__3 for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  float   *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  vtk_pointer->SetFocalPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetIntensity vtkLightSetIntensityFunction
//input a0 a1 
//output none
ArrayVector vtkLightSetIntensityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntensity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntensity for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetIntensity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetIntensity vtkLightGetIntensityFunction
//input a0 
//output y
ArrayVector vtkLightGetIntensityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetIntensity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntensity for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetIntensity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetSwitch vtkLightSetSwitchFunction
//input a0 a1 
//output none
ArrayVector vtkLightSetSwitchFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSwitch (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSwitch for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSwitch(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetSwitch vtkLightGetSwitchFunction
//input a0 
//output y
ArrayVector vtkLightGetSwitchFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSwitch (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSwitch for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSwitch();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLight:SwitchOn vtkLightSwitchOnFunction
//input a0 
//output none
ArrayVector vtkLightSwitchOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SwitchOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SwitchOn for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  vtk_pointer->SwitchOn();
  return retval;
}

//@@Signature
//sfunction @vtkLight:SwitchOff vtkLightSwitchOffFunction
//input a0 
//output none
ArrayVector vtkLightSwitchOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SwitchOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SwitchOff for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  vtk_pointer->SwitchOff();
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetPositional vtkLightSetPositionalFunction
//input a0 a1 
//output none
ArrayVector vtkLightSetPositionalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPositional (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPositional for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPositional(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetPositional vtkLightGetPositionalFunction
//input a0 
//output y
ArrayVector vtkLightGetPositionalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPositional (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPositional for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPositional();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLight:PositionalOn vtkLightPositionalOnFunction
//input a0 
//output none
ArrayVector vtkLightPositionalOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PositionalOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PositionalOn for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  vtk_pointer->PositionalOn();
  return retval;
}

//@@Signature
//sfunction @vtkLight:PositionalOff vtkLightPositionalOffFunction
//input a0 
//output none
ArrayVector vtkLightPositionalOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PositionalOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PositionalOff for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  vtk_pointer->PositionalOff();
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetExponent vtkLightSetExponentFunction
//input a0 a1 
//output none
ArrayVector vtkLightSetExponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExponent (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExponent for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetExponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetExponentMinValue vtkLightGetExponentMinValueFunction
//input a0 
//output y
ArrayVector vtkLightGetExponentMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetExponentMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExponentMinValue for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetExponentMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetExponentMaxValue vtkLightGetExponentMaxValueFunction
//input a0 
//output y
ArrayVector vtkLightGetExponentMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetExponentMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExponentMaxValue for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetExponentMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetExponent vtkLightGetExponentFunction
//input a0 
//output y
ArrayVector vtkLightGetExponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetExponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExponent for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetExponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetConeAngle vtkLightSetConeAngleFunction
//input a0 a1 
//output none
ArrayVector vtkLightSetConeAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConeAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConeAngle for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetConeAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetConeAngle vtkLightGetConeAngleFunction
//input a0 
//output y
ArrayVector vtkLightGetConeAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetConeAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConeAngle for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetConeAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetAttenuationValues__1 vtkLightSetAttenuationValues__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLightSetAttenuationValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttenuationValues (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetAttenuationValues__1 for class vtkLight requires 4 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetAttenuationValues(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetAttenuationValues__2 vtkLightSetAttenuationValues__2Function
//input a0 a1 
//output none
ArrayVector vtkLightSetAttenuationValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttenuationValues (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetAttenuationValues__2 for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetAttenuationValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetAttenuationValues vtkLightGetAttenuationValuesFunction
//input a0 
//output y
ArrayVector vtkLightGetAttenuationValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetAttenuationValues (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttenuationValues for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetAttenuationValues();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetTransformMatrix vtkLightSetTransformMatrixFunction
//input a0 a1 
//output none
ArrayVector vtkLightSetTransformMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTransformMatrix (vtkMatrix4x4 *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransformMatrix for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->SetTransformMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetTransformMatrix vtkLightGetTransformMatrixFunction
//input a0 
//output y
ArrayVector vtkLightGetTransformMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrix4x4 *GetTransformMatrix (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransformMatrix for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp20;
  temp20 = (vtk_pointer)->GetTransformMatrix();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetTransformedPosition__2 vtkLightGetTransformedPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkLightGetTransformedPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetTransformedPosition (double a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetTransformedPosition__2 for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetTransformedPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetTransformedPosition__3 vtkLightGetTransformedPosition__3Function
//input a0 
//output y
ArrayVector vtkLightGetTransformedPosition__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetTransformedPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransformedPosition__3 for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetTransformedPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetTransformedFocalPoint__2 vtkLightGetTransformedFocalPoint__2Function
//input a0 a1 
//output none
ArrayVector vtkLightGetTransformedFocalPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetTransformedFocalPoint (double a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetTransformedFocalPoint__2 for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetTransformedFocalPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetTransformedFocalPoint__3 vtkLightGetTransformedFocalPoint__3Function
//input a0 
//output y
ArrayVector vtkLightGetTransformedFocalPoint__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetTransformedFocalPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransformedFocalPoint__3 for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetTransformedFocalPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetDirectionAngle__1 vtkLightSetDirectionAngle__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLightSetDirectionAngle__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectionAngle (double elevation, double azimuth); */
  if (arg.size() < 3) 
    throw Exception("Function SetDirectionAngle__1 for class vtkLight requires 3 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetDirectionAngle(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetDirectionAngle__2 vtkLightSetDirectionAngle__2Function
//input a0 a1 
//output none
ArrayVector vtkLightSetDirectionAngle__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectionAngle (double ang[2]);this SetDirectionAngle ang ang  */
  if (arg.size() < 2) 
    throw Exception("Function SetDirectionAngle__2 for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDirectionAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:DeepCopy vtkLightDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkLightDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkLight *light); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  vtkLight  *temp0;
  temp0 = GetVTKPointer<vtkLight>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetLightType vtkLightSetLightTypeFunction
//input a0 a1 
//output none
ArrayVector vtkLightSetLightTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLightType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLightType for class vtkLight requires 2 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLightType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLight:GetLightType vtkLightGetLightTypeFunction
//input a0 
//output y
ArrayVector vtkLightGetLightTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLightType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLightType for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLightType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetLightTypeToHeadlight vtkLightSetLightTypeToHeadlightFunction
//input a0 
//output none
ArrayVector vtkLightSetLightTypeToHeadlightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLightTypeToHeadlight ();this SetLightType VTK_LIGHT_TYPE_HEADLIGHT  */
  if (arg.size() < 1) 
    throw Exception("Function SetLightTypeToHeadlight for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  vtk_pointer->SetLightTypeToHeadlight();
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetLightTypeToSceneLight vtkLightSetLightTypeToSceneLightFunction
//input a0 
//output none
ArrayVector vtkLightSetLightTypeToSceneLightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLightTypeToSceneLight ();this SetTransformMatrix NULL this SetLightType VTK_LIGHT_TYPE_SCENE_LIGHT  */
  if (arg.size() < 1) 
    throw Exception("Function SetLightTypeToSceneLight for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  vtk_pointer->SetLightTypeToSceneLight();
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetLightTypeToCameraLight vtkLightSetLightTypeToCameraLightFunction
//input a0 
//output none
ArrayVector vtkLightSetLightTypeToCameraLightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLightTypeToCameraLight ();this SetLightType VTK_LIGHT_TYPE_CAMERA_LIGHT  */
  if (arg.size() < 1) 
    throw Exception("Function SetLightTypeToCameraLight for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  vtk_pointer->SetLightTypeToCameraLight();
  return retval;
}

//@@Signature
//sfunction @vtkLight:LightTypeIsHeadlight vtkLightLightTypeIsHeadlightFunction
//input a0 
//output y
ArrayVector vtkLightLightTypeIsHeadlightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int LightTypeIsHeadlight (); */
  if (arg.size() < 1) 
    throw Exception("Function LightTypeIsHeadlight for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->LightTypeIsHeadlight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLight:LightTypeIsSceneLight vtkLightLightTypeIsSceneLightFunction
//input a0 
//output y
ArrayVector vtkLightLightTypeIsSceneLightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int LightTypeIsSceneLight (); */
  if (arg.size() < 1) 
    throw Exception("Function LightTypeIsSceneLight for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->LightTypeIsSceneLight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLight:LightTypeIsCameraLight vtkLightLightTypeIsCameraLightFunction
//input a0 
//output y
ArrayVector vtkLightLightTypeIsCameraLightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int LightTypeIsCameraLight (); */
  if (arg.size() < 1) 
    throw Exception("Function LightTypeIsCameraLight for class vtkLight requires 1 argument(s)");
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->LightTypeIsCameraLight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLight:SetAmbientColor vtkLightSetAmbientColorFunction
//input varargin
//output varargout
ArrayVector vtkLightSetAmbientColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLightSetAmbientColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLightSetAmbientColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLightSetAmbientColor");
}

//@@Signature
//sfunction @vtkLight:SetDiffuseColor vtkLightSetDiffuseColorFunction
//input varargin
//output varargout
ArrayVector vtkLightSetDiffuseColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLightSetDiffuseColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLightSetDiffuseColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLightSetDiffuseColor");
}

//@@Signature
//sfunction @vtkLight:SetSpecularColor vtkLightSetSpecularColorFunction
//input varargin
//output varargout
ArrayVector vtkLightSetSpecularColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLightSetSpecularColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLightSetSpecularColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLightSetSpecularColor");
}

//@@Signature
//sfunction @vtkLight:SetColor vtkLightSetColorFunction
//input varargin
//output varargout
ArrayVector vtkLightSetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLightSetColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLightSetColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLightSetColor");
}

//@@Signature
//sfunction @vtkLight:GetColor vtkLightGetColorFunction
//input varargin
//output varargout
ArrayVector vtkLightGetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLightGetColor__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkLightGetColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLightGetColor");
}

//@@Signature
//sfunction @vtkLight:SetPosition vtkLightSetPositionFunction
//input varargin
//output varargout
ArrayVector vtkLightSetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLightSetPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLightSetPosition__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLightSetPosition__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLightSetPosition");
}

//@@Signature
//sfunction @vtkLight:SetFocalPoint vtkLightSetFocalPointFunction
//input varargin
//output varargout
ArrayVector vtkLightSetFocalPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLightSetFocalPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLightSetFocalPoint__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLightSetFocalPoint__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLightSetFocalPoint");
}

//@@Signature
//sfunction @vtkLight:SetAttenuationValues vtkLightSetAttenuationValuesFunction
//input varargin
//output varargout
ArrayVector vtkLightSetAttenuationValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLightSetAttenuationValues__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLightSetAttenuationValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLightSetAttenuationValues");
}

//@@Signature
//sfunction @vtkLight:GetTransformedPosition vtkLightGetTransformedPositionFunction
//input varargin
//output varargout
ArrayVector vtkLightGetTransformedPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLightGetTransformedPosition__2Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkLightGetTransformedPosition__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLightGetTransformedPosition");
}

//@@Signature
//sfunction @vtkLight:GetTransformedFocalPoint vtkLightGetTransformedFocalPointFunction
//input varargin
//output varargout
ArrayVector vtkLightGetTransformedFocalPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLightGetTransformedFocalPoint__2Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkLightGetTransformedFocalPoint__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLightGetTransformedFocalPoint");
}

//@@Signature
//sfunction @vtkLight:SetDirectionAngle vtkLightSetDirectionAngleFunction
//input varargin
//output varargout
ArrayVector vtkLightSetDirectionAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLightSetDirectionAngle__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLightSetDirectionAngle__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLightSetDirectionAngle");
}

//@@Signature
//sfunction @vtkLight:display vtkLightDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLightDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLight* vtk_pointer = GetVTKPointer<vtkLight>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLight:delete vtkLightDeleteFunction
//input varargin
//output none
ArrayVector vtkLightDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLight
//@@Section VTKRendering
//@@Usage
// vtkLight is a virtual light for 3D rendering. It provides methods to locate
// and point the light, turn it on and off, and set its brightness and color.
// In addition to the basic infinite distance point light source attributes,
// you also can specify the light attenuation values and cone angle.
// These attributes are only used if the light is a positional light.
// The default is a directional light (e.g. infinite point light source).
//
// Lights have a type that describes how the light should move with respect
// to the camera.  A Headlight is always located at the current camera position
// and shines on the camera's focal point.  A CameraLight also moves with
// the camera, but may not be coincident to it.  CameraLights are defined
// in a normalized coordinate space where the camera is located at (0, 0, 1),
// the camera is looking at (0, 0, 0), and up is (0, 1, 0).  Finally, a 
// SceneLight is part of the scene itself and does not move with the camera.
// (Renderers are responsible for moving the light based on its type.)
//
// Lights have a transformation matrix that describes the space in which
// they are positioned.  A light's world space position and focal point
// are defined by their local position and focal point, transformed by
// their transformation matrix (if it exists).
//
//To create an instance of class vtkLight, simply
//invoke its constructor as follows
//@[
//  obj = vtkLight
//@]
//@@Methods
//The class vtkLight has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLight class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLight = obj.NewInstance ()|
// \item @|vtkLight = obj.SafeDownCast (vtkObject o)|
// \item @|vtkLight = obj.ShallowClone ()| -  Create a new light object with the same light parameters than the current
// object (any ivar from the superclasses (vtkObject and vtkObjectBase),
// like reference counting, timestamp and observers are not copied).
// This is a shallow clone (TransformMatrix is referenced)
//// \item @|obj.Render (vtkRenderer , int )| -  Abstract interface to renderer. Each concrete subclass of vtkLight
// will load its data into the graphics system in response to this method
// invocation. The actual loading is performed by a vtkLightDevice
// subclass, which will get created automatically.
//// \item @|obj.SetAmbientColor (double , double , double )| -  Set/Get the color of the light. It is possible to set the ambient,
// diffuse and specular colors separately. The SetColor() method sets
// the diffuse and specular colors to the same color (this is a feature
// to preserve backward compatbility.)
//// \item @|obj.SetAmbientColor (double  a[3])| -  Set/Get the color of the light. It is possible to set the ambient,
// diffuse and specular colors separately. The SetColor() method sets
// the diffuse and specular colors to the same color (this is a feature
// to preserve backward compatbility.)
//// \item @|double = obj. GetAmbientColor ()| -  Set/Get the color of the light. It is possible to set the ambient,
// diffuse and specular colors separately. The SetColor() method sets
// the diffuse and specular colors to the same color (this is a feature
// to preserve backward compatbility.)
//// \item @|obj.SetDiffuseColor (double , double , double )| -  Set/Get the color of the light. It is possible to set the ambient,
// diffuse and specular colors separately. The SetColor() method sets
// the diffuse and specular colors to the same color (this is a feature
// to preserve backward compatbility.)
//// \item @|obj.SetDiffuseColor (double  a[3])| -  Set/Get the color of the light. It is possible to set the ambient,
// diffuse and specular colors separately. The SetColor() method sets
// the diffuse and specular colors to the same color (this is a feature
// to preserve backward compatbility.)
//// \item @|double = obj. GetDiffuseColor ()| -  Set/Get the color of the light. It is possible to set the ambient,
// diffuse and specular colors separately. The SetColor() method sets
// the diffuse and specular colors to the same color (this is a feature
// to preserve backward compatbility.)
//// \item @|obj.SetSpecularColor (double , double , double )| -  Set/Get the color of the light. It is possible to set the ambient,
// diffuse and specular colors separately. The SetColor() method sets
// the diffuse and specular colors to the same color (this is a feature
// to preserve backward compatbility.)
//// \item @|obj.SetSpecularColor (double  a[3])| -  Set/Get the color of the light. It is possible to set the ambient,
// diffuse and specular colors separately. The SetColor() method sets
// the diffuse and specular colors to the same color (this is a feature
// to preserve backward compatbility.)
//// \item @|double = obj. GetSpecularColor ()| -  Set/Get the color of the light. It is possible to set the ambient,
// diffuse and specular colors separately. The SetColor() method sets
// the diffuse and specular colors to the same color (this is a feature
// to preserve backward compatbility.)
//// \item @|obj.SetColor (double , double , double )| -  Set/Get the color of the light. It is possible to set the ambient,
// diffuse and specular colors separately. The SetColor() method sets
// the diffuse and specular colors to the same color (this is a feature
// to preserve backward compatbility.)
//// \item @|obj.SetColor (double a[3])| -  Set/Get the color of the light. It is possible to set the ambient,
// diffuse and specular colors separately. The SetColor() method sets
// the diffuse and specular colors to the same color (this is a feature
// to preserve backward compatbility.)
//// \item @|obj.GetColor (double rgb[3])| -  Set/Get the color of the light. It is possible to set the ambient,
// diffuse and specular colors separately. The SetColor() method sets
// the diffuse and specular colors to the same color (this is a feature
// to preserve backward compatbility.)
//// \item @|double = obj.GetColor ()| -  Set/Get the color of the light. It is possible to set the ambient,
// diffuse and specular colors separately. The SetColor() method sets
// the diffuse and specular colors to the same color (this is a feature
// to preserve backward compatbility.)
//// \item @|obj.SetPosition (double , double , double )| -  Set/Get the position of the light.
// Note: The position of the light is defined in the coordinate
// space indicated by its transformation matrix (if it exists).
// Thus, to get the light's world space position, use 
// vtkGetTransformedPosition() instead of vtkGetPosition().
//// \item @|obj.SetPosition (double  a[3])| -  Set/Get the position of the light.
// Note: The position of the light is defined in the coordinate
// space indicated by its transformation matrix (if it exists).
// Thus, to get the light's world space position, use 
// vtkGetTransformedPosition() instead of vtkGetPosition().
//// \item @|double = obj. GetPosition ()| -  Set/Get the position of the light.
// Note: The position of the light is defined in the coordinate
// space indicated by its transformation matrix (if it exists).
// Thus, to get the light's world space position, use 
// vtkGetTransformedPosition() instead of vtkGetPosition().
//// \item @|obj.SetPosition (float a)| -  Set/Get the position of the light.
// Note: The position of the light is defined in the coordinate
// space indicated by its transformation matrix (if it exists).
// Thus, to get the light's world space position, use 
// vtkGetTransformedPosition() instead of vtkGetPosition().
//// \item @|obj.SetFocalPoint (double , double , double )| -  Set/Get the point at which the light is shining.
// Note: The focal point of the light is defined in the coordinate
// space indicated by its transformation matrix (if it exists).
// Thus, to get the light's world space focal point, use 
// vtkGetTransformedFocalPoint() instead of vtkGetFocalPoint().
//// \item @|obj.SetFocalPoint (double  a[3])| -  Set/Get the point at which the light is shining.
// Note: The focal point of the light is defined in the coordinate
// space indicated by its transformation matrix (if it exists).
// Thus, to get the light's world space focal point, use 
// vtkGetTransformedFocalPoint() instead of vtkGetFocalPoint().
//// \item @|double = obj. GetFocalPoint ()| -  Set/Get the point at which the light is shining.
// Note: The focal point of the light is defined in the coordinate
// space indicated by its transformation matrix (if it exists).
// Thus, to get the light's world space focal point, use 
// vtkGetTransformedFocalPoint() instead of vtkGetFocalPoint().
//// \item @|obj.SetFocalPoint (float a)| -  Set/Get the point at which the light is shining.
// Note: The focal point of the light is defined in the coordinate
// space indicated by its transformation matrix (if it exists).
// Thus, to get the light's world space focal point, use 
// vtkGetTransformedFocalPoint() instead of vtkGetFocalPoint().
//// \item @|obj.SetIntensity (double )| -  Set/Get the brightness of the light (from one to zero).
//// \item @|double = obj.GetIntensity ()| -  Set/Get the brightness of the light (from one to zero).
//// \item @|obj.SetSwitch (int )| -  Turn the light on or off.
//// \item @|int = obj.GetSwitch ()| -  Turn the light on or off.
//// \item @|obj.SwitchOn ()| -  Turn the light on or off.
//// \item @|obj.SwitchOff ()| -  Turn the light on or off.
//// \item @|obj.SetPositional (int )| -  Turn positional lighting on or off.
//// \item @|int = obj.GetPositional ()| -  Turn positional lighting on or off.
//// \item @|obj.PositionalOn ()| -  Turn positional lighting on or off.
//// \item @|obj.PositionalOff ()| -  Turn positional lighting on or off.
//// \item @|obj.SetExponent (double )| -  Set/Get the exponent of the cosine used in positional lighting.
//// \item @|double = obj.GetExponentMinValue ()| -  Set/Get the exponent of the cosine used in positional lighting.
//// \item @|double = obj.GetExponentMaxValue ()| -  Set/Get the exponent of the cosine used in positional lighting.
//// \item @|double = obj.GetExponent ()| -  Set/Get the exponent of the cosine used in positional lighting.
//// \item @|obj.SetConeAngle (double )| -  Set/Get the lighting cone angle of a positional light in degrees.
// This is the angle between the axis of the cone and a ray along the edge of
// the cone.
// A value of 180 indicates that you want no spot lighting effects
// just a positional light.
//// \item @|double = obj.GetConeAngle ()| -  Set/Get the lighting cone angle of a positional light in degrees.
// This is the angle between the axis of the cone and a ray along the edge of
// the cone.
// A value of 180 indicates that you want no spot lighting effects
// just a positional light.
//// \item @|obj.SetAttenuationValues (double , double , double )| -  Set/Get the quadratic attenuation constants. They are specified as
// constant, linear, and quadratic, in that order.
//// \item @|obj.SetAttenuationValues (double  a[3])| -  Set/Get the quadratic attenuation constants. They are specified as
// constant, linear, and quadratic, in that order.
//// \item @|double = obj. GetAttenuationValues ()| -  Set/Get the quadratic attenuation constants. They are specified as
// constant, linear, and quadratic, in that order.
//// \item @|obj.SetTransformMatrix (vtkMatrix4x4 )| -  Set/Get the light's transformation matrix.  If a matrix is set for
// a light, the light's parameters (position and focal point) are 
// transformed by the matrix before being rendered.
//// \item @|vtkMatrix4x4 = obj.GetTransformMatrix ()| -  Set/Get the light's transformation matrix.  If a matrix is set for
// a light, the light's parameters (position and focal point) are 
// transformed by the matrix before being rendered.
//// \item @|obj.GetTransformedPosition (double a[3])| -  Get the position of the light, modified by the transformation matrix
// (if it exists).
//// \item @|double = obj.GetTransformedPosition ()| -  Get the position of the light, modified by the transformation matrix
// (if it exists).
//// \item @|obj.GetTransformedFocalPoint (double a[3])| -  Get the focal point of the light, modified by the transformation matrix
// (if it exists).
//// \item @|double = obj.GetTransformedFocalPoint ()| -  Get the focal point of the light, modified by the transformation matrix
// (if it exists).
//// \item @|obj.SetDirectionAngle (double elevation, double azimuth)| -  Set the position and focal point of a light based on elevation and
// azimuth.  The light is moved so it is shining from the given angle.
// Angles are given in degrees.  If the light is a
// positional light, it is made directional instead.
//// \item @|obj.SetDirectionAngle (double ang[2])| -  Set the position and focal point of a light based on elevation and
// azimuth.  The light is moved so it is shining from the given angle.
// Angles are given in degrees.  If the light is a
// positional light, it is made directional instead.
//// \item @|obj.DeepCopy (vtkLight light)| -  Perform deep copy of this light.
//// \item @|obj.SetLightType (int )| -  Set/Get the type of the light.
// A SceneLight is a light located in the world coordinate space.  A light
// is initially created as a scene light.
//
// A Headlight is always located at the camera and is pointed at the 
// camera's focal point.  The renderer is free to modify the position and
// focal point of the camera at any time.
//
// A CameraLight is also attached to the camera, but is not necessarily
// located at the camera's position.  CameraLights are defined in a 
// coordinate space where the camera is located at (0, 0, 1), looking
// towards (0, 0, 0) at a distance of 1, with up being (0, 1, 0).
//
// Note: Use SetLightTypeToSceneLight, rather than SetLightType(3), since
// the former clears the light's transform matrix.
//// \item @|int = obj.GetLightType ()| -  Set/Get the type of the light.
// A SceneLight is a light located in the world coordinate space.  A light
// is initially created as a scene light.
//
// A Headlight is always located at the camera and is pointed at the 
// camera's focal point.  The renderer is free to modify the position and
// focal point of the camera at any time.
//
// A CameraLight is also attached to the camera, but is not necessarily
// located at the camera's position.  CameraLights are defined in a 
// coordinate space where the camera is located at (0, 0, 1), looking
// towards (0, 0, 0) at a distance of 1, with up being (0, 1, 0).
//
// Note: Use SetLightTypeToSceneLight, rather than SetLightType(3), since
// the former clears the light's transform matrix.
//// \item @|obj.SetLightTypeToHeadlight ()| -  Set/Get the type of the light.
// A SceneLight is a light located in the world coordinate space.  A light
// is initially created as a scene light.
//
// A Headlight is always located at the camera and is pointed at the 
// camera's focal point.  The renderer is free to modify the position and
// focal point of the camera at any time.
//
// A CameraLight is also attached to the camera, but is not necessarily
// located at the camera's position.  CameraLights are defined in a 
// coordinate space where the camera is located at (0, 0, 1), looking
// towards (0, 0, 0) at a distance of 1, with up being (0, 1, 0).
//
// Note: Use SetLightTypeToSceneLight, rather than SetLightType(3), since
// the former clears the light's transform matrix.
//// \item @|obj.SetLightTypeToSceneLight ()| -  Set/Get the type of the light.
// A SceneLight is a light located in the world coordinate space.  A light
// is initially created as a scene light.
//
// A Headlight is always located at the camera and is pointed at the 
// camera's focal point.  The renderer is free to modify the position and
// focal point of the camera at any time.
//
// A CameraLight is also attached to the camera, but is not necessarily
// located at the camera's position.  CameraLights are defined in a 
// coordinate space where the camera is located at (0, 0, 1), looking
// towards (0, 0, 0) at a distance of 1, with up being (0, 1, 0).
//
// Note: Use SetLightTypeToSceneLight, rather than SetLightType(3), since
// the former clears the light's transform matrix.
//// \item @|obj.SetLightTypeToCameraLight ()| -  Query the type of the light.
//// \item @|int = obj.LightTypeIsHeadlight ()| -  Query the type of the light.
//// \item @|int = obj.LightTypeIsSceneLight ()| -  Query the type of the light.
//// \item @|int = obj.LightTypeIsCameraLight ()| -  Query the type of the light.
////\end{itemize}
//!
