#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLightActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLightActor.h"

//@@Signature
//sfunction @vtkLightActor:vtkLightActor vtkLightActorConstructorFunction
//input a
//output p
//@@Parents vtkLightActor vtkProp3D 
ArrayVector vtkLightActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLightActor::New(),"vtkLightActor",eval);
  } else if (arg[0].className() == "vtkLightActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLightActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLightActor");
    vtkLightActor*q = reinterpret_cast<vtkLightActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLightActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLightActor:GetClassName vtkLightActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLightActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLightActor requires 1 argument(s)");
  vtkLightActor* vtk_pointer = GetVTKPointer<vtkLightActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightActor:IsA vtkLightActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLightActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLightActor requires 2 argument(s)");
  vtkLightActor* vtk_pointer = GetVTKPointer<vtkLightActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightActor:NewInstance vtkLightActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLightActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLightActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLightActor requires 1 argument(s)");
  vtkLightActor* vtk_pointer = GetVTKPointer<vtkLightActor>(arg[0]);
  Array retval;
  vtkLightActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLightActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLightActor:SafeDownCast vtkLightActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLightActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLightActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLightActor requires 2 argument(s)");
  vtkLightActor* vtk_pointer = GetVTKPointer<vtkLightActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLightActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLightActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLightActor:SetLight vtkLightActorSetLightFunction
//input a0 a1 
//output none
ArrayVector vtkLightActorSetLightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLight (vtkLight *light); */
  if (arg.size() < 2) 
    throw Exception("Function SetLight for class vtkLightActor requires 2 argument(s)");
  vtkLightActor* vtk_pointer = GetVTKPointer<vtkLightActor>(arg[0]);
  Array retval;
  vtkLight  *temp0;
  temp0 = GetVTKPointer<vtkLight>(arg[1]);
  vtk_pointer->SetLight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightActor:GetLight vtkLightActorGetLightFunction
//input a0 
//output y
ArrayVector vtkLightActorGetLightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLight *GetLight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLight for class vtkLightActor requires 1 argument(s)");
  vtkLightActor* vtk_pointer = GetVTKPointer<vtkLightActor>(arg[0]);
  Array retval;
  vtkLight  *temp20;
  temp20 = (vtk_pointer)->GetLight();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLight",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLightActor:SetClippingRange__1 vtkLightActorSetClippingRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLightActorSetClippingRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClippingRange (double dNear, double dFar); */
  if (arg.size() < 3) 
    throw Exception("Function SetClippingRange__1 for class vtkLightActor requires 3 argument(s)");
  vtkLightActor* vtk_pointer = GetVTKPointer<vtkLightActor>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetClippingRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLightActor:SetClippingRange__2 vtkLightActorSetClippingRange__2Function
//input a0 a1 
//output none
ArrayVector vtkLightActorSetClippingRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClippingRange (const double a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetClippingRange__2 for class vtkLightActor requires 2 argument(s)");
  vtkLightActor* vtk_pointer = GetVTKPointer<vtkLightActor>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetClippingRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightActor:GetClippingRange vtkLightActorGetClippingRangeFunction
//input a0 
//output y
ArrayVector vtkLightActorGetClippingRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetClippingRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClippingRange for class vtkLightActor requires 1 argument(s)");
  vtkLightActor* vtk_pointer = GetVTKPointer<vtkLightActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetClippingRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLightActor:RenderOpaqueGeometry vtkLightActorRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkLightActorRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkLightActor requires 2 argument(s)");
  vtkLightActor* vtk_pointer = GetVTKPointer<vtkLightActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightActor:HasTranslucentPolygonalGeometry vtkLightActorHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkLightActorHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkLightActor requires 1 argument(s)");
  vtkLightActor* vtk_pointer = GetVTKPointer<vtkLightActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightActor:ReleaseGraphicsResources vtkLightActorReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkLightActorReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkLightActor requires 2 argument(s)");
  vtkLightActor* vtk_pointer = GetVTKPointer<vtkLightActor>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightActor:GetMTime vtkLightActorGetMTimeFunction
//input a0 
//output y
ArrayVector vtkLightActorGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkLightActor requires 1 argument(s)");
  vtkLightActor* vtk_pointer = GetVTKPointer<vtkLightActor>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightActor:SetClippingRange vtkLightActorSetClippingRangeFunction
//input varargin
//output varargout
ArrayVector vtkLightActorSetClippingRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLightActorSetClippingRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLightActorSetClippingRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLightActorSetClippingRange");
}

//@@Signature
//sfunction @vtkLightActor:display vtkLightActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLightActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLightActor* vtk_pointer = GetVTKPointer<vtkLightActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLightActor:delete vtkLightActorDeleteFunction
//input varargin
//output none
ArrayVector vtkLightActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLightActor
//@@Section VTKRendering
//@@Usage
// vtkLightActor is a composite actor used to represent a spotlight. The cone
// angle is equal to the spotlight angle, the cone apex is at the position of
// the light, the direction of the light goes from the cone apex to the center
// of the base of the cone. The square frustum position is the light position,
// the frustum focal point is in the direction of the light direction. The
// frustum vertical view angle (aperture) (this is also the horizontal view
// angle as the frustum is square) is equal to twice the cone angle. The
// clipping range of the frustum is arbitrary set by the user
// (initially at 0.5,11.0).
//
//To create an instance of class vtkLightActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkLightActor
//@]
//@@Methods
//The class vtkLightActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLightActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLightActor = obj.NewInstance ()|
// \item @|vtkLightActor = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLight (vtkLight light)| -  The spotlight to represent. Initial value is NULL.
//// \item @|vtkLight = obj.GetLight ()| -  The spotlight to represent. Initial value is NULL.
//// \item @|obj.SetClippingRange (double dNear, double dFar)| -  Set/Get the location of the near and far clipping planes along the
// direction of projection.  Both of these values must be positive.
// Initial values are  (0.5,11.0)
//// \item @|obj.SetClippingRange (double a[2])| -  Set/Get the location of the near and far clipping planes along the
// direction of projection.  Both of these values must be positive.
// Initial values are  (0.5,11.0)
//// \item @|double = obj. GetClippingRange ()| -  Set/Get the location of the near and far clipping planes along the
// direction of projection.  Both of these values must be positive.
// Initial values are  (0.5,11.0)
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Support the standard render methods.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Does this prop have some translucent polygonal geometry? No.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|long = obj.GetMTime ()| -  Get the actors mtime plus consider its properties and texture if set.
////\end{itemize}
//!
