#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLightCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLightCollection.h"

//@@Signature
//sfunction @vtkLightCollection:vtkLightCollection vtkLightCollectionConstructorFunction
//input a
//output p
//@@Parents vtkLightCollection vtkCollection 
ArrayVector vtkLightCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLightCollection::New(),"vtkLightCollection",eval);
  } else if (arg[0].className() == "vtkLightCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLightCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLightCollection");
    vtkLightCollection*q = reinterpret_cast<vtkLightCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLightCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLightCollection:GetClassName vtkLightCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLightCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLightCollection requires 1 argument(s)");
  vtkLightCollection* vtk_pointer = GetVTKPointer<vtkLightCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightCollection:IsA vtkLightCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLightCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLightCollection requires 2 argument(s)");
  vtkLightCollection* vtk_pointer = GetVTKPointer<vtkLightCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightCollection:NewInstance vtkLightCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLightCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLightCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLightCollection requires 1 argument(s)");
  vtkLightCollection* vtk_pointer = GetVTKPointer<vtkLightCollection>(arg[0]);
  Array retval;
  vtkLightCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLightCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLightCollection:SafeDownCast vtkLightCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLightCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLightCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLightCollection requires 2 argument(s)");
  vtkLightCollection* vtk_pointer = GetVTKPointer<vtkLightCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLightCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLightCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLightCollection:AddItem__1 vtkLightCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkLightCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkLight *a); */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkLightCollection requires 2 argument(s)");
  vtkLightCollection* vtk_pointer = GetVTKPointer<vtkLightCollection>(arg[0]);
  Array retval;
  vtkLight  *temp0;
  temp0 = GetVTKPointer<vtkLight>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightCollection:GetNextItem vtkLightCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkLightCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLight *GetNextItem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkLightCollection requires 1 argument(s)");
  vtkLightCollection* vtk_pointer = GetVTKPointer<vtkLightCollection>(arg[0]);
  Array retval;
  vtkLight  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLight",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLightCollection:AddItem vtkLightCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkLightCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkLight"))
    return vtkLightCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLightCollectionAddItem");
}

//@@Signature
//sfunction @vtkLightCollection:display vtkLightCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLightCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLightCollection* vtk_pointer = GetVTKPointer<vtkLightCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLightCollection:delete vtkLightCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkLightCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLightCollection
//@@Section VTKRendering
//@@Usage
// vtkLightCollection represents and provides methods to manipulate a list of
// lights (i.e., vtkLight and subclasses). The list is unsorted and duplicate
// entries are not prevented.
//
//To create an instance of class vtkLightCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkLightCollection
//@]
//@@Methods
//The class vtkLightCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLightCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLightCollection = obj.NewInstance ()|
// \item @|vtkLightCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkLight a)| -  Add a light to the list.
//// \item @|vtkLight = obj.GetNextItem ()| -  Get the next light in the list. NULL is returned when the collection is 
// exhausted.
////\end{itemize}
//!
