#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLightKit object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLightKit.h"

//@@Signature
//sfunction @vtkLightKit:vtkLightKit vtkLightKitConstructorFunction
//input a
//output p
//@@Parents vtkLightKit vtkObject 
ArrayVector vtkLightKitConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLightKit::New(),"vtkLightKit",eval);
  } else if (arg[0].className() == "vtkLightKit") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLightKit"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLightKit");
    vtkLightKit*q = reinterpret_cast<vtkLightKit*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLightKit");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLightKit:GetClassName vtkLightKitGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLightKitGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:IsA vtkLightKitIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLightKitIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:NewInstance vtkLightKitNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLightKitNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLightKit *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  vtkLightKit  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLightKit",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SafeDownCast vtkLightKitSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLightKitSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLightKit *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLightKit  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLightKit",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetKeyLightIntensity vtkLightKitSetKeyLightIntensityFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitSetKeyLightIntensityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKeyLightIntensity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetKeyLightIntensity for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetKeyLightIntensity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetKeyLightIntensity vtkLightKitGetKeyLightIntensityFunction
//input a0 
//output y
ArrayVector vtkLightKitGetKeyLightIntensityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetKeyLightIntensity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyLightIntensity for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetKeyLightIntensity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetKeyToFillRatio vtkLightKitSetKeyToFillRatioFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitSetKeyToFillRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKeyToFillRatio (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetKeyToFillRatio for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetKeyToFillRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetKeyToFillRatioMinValue vtkLightKitGetKeyToFillRatioMinValueFunction
//input a0 
//output y
ArrayVector vtkLightKitGetKeyToFillRatioMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetKeyToFillRatioMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyToFillRatioMinValue for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetKeyToFillRatioMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetKeyToFillRatioMaxValue vtkLightKitGetKeyToFillRatioMaxValueFunction
//input a0 
//output y
ArrayVector vtkLightKitGetKeyToFillRatioMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetKeyToFillRatioMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyToFillRatioMaxValue for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetKeyToFillRatioMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetKeyToFillRatio vtkLightKitGetKeyToFillRatioFunction
//input a0 
//output y
ArrayVector vtkLightKitGetKeyToFillRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetKeyToFillRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyToFillRatio for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetKeyToFillRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetKeyToHeadRatio vtkLightKitSetKeyToHeadRatioFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitSetKeyToHeadRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKeyToHeadRatio (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetKeyToHeadRatio for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetKeyToHeadRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetKeyToHeadRatioMinValue vtkLightKitGetKeyToHeadRatioMinValueFunction
//input a0 
//output y
ArrayVector vtkLightKitGetKeyToHeadRatioMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetKeyToHeadRatioMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyToHeadRatioMinValue for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetKeyToHeadRatioMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetKeyToHeadRatioMaxValue vtkLightKitGetKeyToHeadRatioMaxValueFunction
//input a0 
//output y
ArrayVector vtkLightKitGetKeyToHeadRatioMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetKeyToHeadRatioMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyToHeadRatioMaxValue for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetKeyToHeadRatioMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetKeyToHeadRatio vtkLightKitGetKeyToHeadRatioFunction
//input a0 
//output y
ArrayVector vtkLightKitGetKeyToHeadRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetKeyToHeadRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyToHeadRatio for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetKeyToHeadRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetKeyToBackRatio vtkLightKitSetKeyToBackRatioFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitSetKeyToBackRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKeyToBackRatio (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetKeyToBackRatio for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetKeyToBackRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetKeyToBackRatioMinValue vtkLightKitGetKeyToBackRatioMinValueFunction
//input a0 
//output y
ArrayVector vtkLightKitGetKeyToBackRatioMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetKeyToBackRatioMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyToBackRatioMinValue for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetKeyToBackRatioMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetKeyToBackRatioMaxValue vtkLightKitGetKeyToBackRatioMaxValueFunction
//input a0 
//output y
ArrayVector vtkLightKitGetKeyToBackRatioMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetKeyToBackRatioMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyToBackRatioMaxValue for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetKeyToBackRatioMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetKeyToBackRatio vtkLightKitGetKeyToBackRatioFunction
//input a0 
//output y
ArrayVector vtkLightKitGetKeyToBackRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetKeyToBackRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyToBackRatio for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetKeyToBackRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetKeyLightWarmth vtkLightKitSetKeyLightWarmthFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitSetKeyLightWarmthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKeyLightWarmth (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetKeyLightWarmth for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetKeyLightWarmth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetKeyLightWarmth vtkLightKitGetKeyLightWarmthFunction
//input a0 
//output y
ArrayVector vtkLightKitGetKeyLightWarmthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetKeyLightWarmth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyLightWarmth for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetKeyLightWarmth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetFillLightWarmth vtkLightKitSetFillLightWarmthFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitSetFillLightWarmthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFillLightWarmth (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFillLightWarmth for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFillLightWarmth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetFillLightWarmth vtkLightKitGetFillLightWarmthFunction
//input a0 
//output y
ArrayVector vtkLightKitGetFillLightWarmthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFillLightWarmth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFillLightWarmth for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFillLightWarmth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetHeadLightWarmth vtkLightKitSetHeadLightWarmthFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitSetHeadLightWarmthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHeadLightWarmth (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHeadLightWarmth for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHeadLightWarmth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetHeadLightWarmth vtkLightKitGetHeadLightWarmthFunction
//input a0 
//output y
ArrayVector vtkLightKitGetHeadLightWarmthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeadLightWarmth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeadLightWarmth for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeadLightWarmth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetBackLightWarmth vtkLightKitSetBackLightWarmthFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitSetBackLightWarmthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackLightWarmth (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBackLightWarmth for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetBackLightWarmth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetBackLightWarmth vtkLightKitGetBackLightWarmthFunction
//input a0 
//output y
ArrayVector vtkLightKitGetBackLightWarmthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBackLightWarmth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackLightWarmth for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBackLightWarmth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetKeyLightColor vtkLightKitGetKeyLightColorFunction
//input a0 
//output y
ArrayVector vtkLightKitGetKeyLightColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetKeyLightColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyLightColor for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetKeyLightColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetFillLightColor vtkLightKitGetFillLightColorFunction
//input a0 
//output y
ArrayVector vtkLightKitGetFillLightColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetFillLightColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFillLightColor for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetFillLightColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetHeadLightColor vtkLightKitGetHeadLightColorFunction
//input a0 
//output y
ArrayVector vtkLightKitGetHeadLightColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetHeadLightColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeadLightColor for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetHeadLightColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetBackLightColor vtkLightKitGetBackLightColorFunction
//input a0 
//output y
ArrayVector vtkLightKitGetBackLightColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetBackLightColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackLightColor for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBackLightColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetHeadlightWarmth vtkLightKitSetHeadlightWarmthFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitSetHeadlightWarmthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHeadlightWarmth (double v); */
  if (arg.size() < 2) 
    throw Exception("Function SetHeadlightWarmth for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHeadlightWarmth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetHeadlightWarmth vtkLightKitGetHeadlightWarmthFunction
//input a0 
//output y
ArrayVector vtkLightKitGetHeadlightWarmthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeadlightWarmth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeadlightWarmth for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeadlightWarmth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetHeadlightColor vtkLightKitGetHeadlightColorFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitGetHeadlightColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetHeadlightColor (double *color); */
  if (arg.size() < 2) 
    throw Exception("Function GetHeadlightColor for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetHeadlightColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:MaintainLuminanceOn vtkLightKitMaintainLuminanceOnFunction
//input a0 
//output none
ArrayVector vtkLightKitMaintainLuminanceOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MaintainLuminanceOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MaintainLuminanceOn for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  vtk_pointer->MaintainLuminanceOn();
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:MaintainLuminanceOff vtkLightKitMaintainLuminanceOffFunction
//input a0 
//output none
ArrayVector vtkLightKitMaintainLuminanceOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MaintainLuminanceOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MaintainLuminanceOff for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  vtk_pointer->MaintainLuminanceOff();
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetMaintainLuminance vtkLightKitGetMaintainLuminanceFunction
//input a0 
//output y
ArrayVector vtkLightKitGetMaintainLuminanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaintainLuminance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaintainLuminance for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaintainLuminance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetMaintainLuminance vtkLightKitSetMaintainLuminanceFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitSetMaintainLuminanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaintainLuminance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaintainLuminance for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaintainLuminance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetKeyLightAngle__1 vtkLightKitSetKeyLightAngle__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLightKitSetKeyLightAngle__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKeyLightAngle (double elevation, double azimuth); */
  if (arg.size() < 3) 
    throw Exception("Function SetKeyLightAngle__1 for class vtkLightKit requires 3 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetKeyLightAngle(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetKeyLightAngle__2 vtkLightKitSetKeyLightAngle__2Function
//input a0 a1 
//output none
ArrayVector vtkLightKitSetKeyLightAngle__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKeyLightAngle (double angle[2]);this SetKeyLightAngle angle angle  */
  if (arg.size() < 2) 
    throw Exception("Function SetKeyLightAngle__2 for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetKeyLightAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetKeyLightElevation vtkLightKitSetKeyLightElevationFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitSetKeyLightElevationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKeyLightElevation (double x);this SetKeyLightAngle x this KeyLightAngle  */
  if (arg.size() < 2) 
    throw Exception("Function SetKeyLightElevation for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetKeyLightElevation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetKeyLightAzimuth vtkLightKitSetKeyLightAzimuthFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitSetKeyLightAzimuthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKeyLightAzimuth (double x);this SetKeyLightAngle this KeyLightAngle x  */
  if (arg.size() < 2) 
    throw Exception("Function SetKeyLightAzimuth for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetKeyLightAzimuth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetKeyLightAngle vtkLightKitGetKeyLightAngleFunction
//input a0 
//output y
ArrayVector vtkLightKitGetKeyLightAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetKeyLightAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyLightAngle for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetKeyLightAngle();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetKeyLightElevation vtkLightKitGetKeyLightElevationFunction
//input a0 
//output y
ArrayVector vtkLightKitGetKeyLightElevationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetKeyLightElevation ();double ang this GetKeyLightAngle ang return ang  */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyLightElevation for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetKeyLightElevation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetKeyLightAzimuth vtkLightKitGetKeyLightAzimuthFunction
//input a0 
//output y
ArrayVector vtkLightKitGetKeyLightAzimuthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetKeyLightAzimuth ();double ang this GetKeyLightAngle ang return ang  */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyLightAzimuth for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetKeyLightAzimuth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetFillLightAngle__1 vtkLightKitSetFillLightAngle__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLightKitSetFillLightAngle__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFillLightAngle (double elevation, double azimuth); */
  if (arg.size() < 3) 
    throw Exception("Function SetFillLightAngle__1 for class vtkLightKit requires 3 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetFillLightAngle(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetFillLightAngle__2 vtkLightKitSetFillLightAngle__2Function
//input a0 a1 
//output none
ArrayVector vtkLightKitSetFillLightAngle__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFillLightAngle (double angle[2]);this SetFillLightAngle angle angle  */
  if (arg.size() < 2) 
    throw Exception("Function SetFillLightAngle__2 for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetFillLightAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetFillLightElevation vtkLightKitSetFillLightElevationFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitSetFillLightElevationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFillLightElevation (double x);this SetFillLightAngle x this FillLightAngle  */
  if (arg.size() < 2) 
    throw Exception("Function SetFillLightElevation for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFillLightElevation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetFillLightAzimuth vtkLightKitSetFillLightAzimuthFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitSetFillLightAzimuthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFillLightAzimuth (double x);this SetFillLightAngle this FillLightAngle x  */
  if (arg.size() < 2) 
    throw Exception("Function SetFillLightAzimuth for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFillLightAzimuth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetFillLightAngle vtkLightKitGetFillLightAngleFunction
//input a0 
//output y
ArrayVector vtkLightKitGetFillLightAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetFillLightAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFillLightAngle for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetFillLightAngle();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetFillLightElevation vtkLightKitGetFillLightElevationFunction
//input a0 
//output y
ArrayVector vtkLightKitGetFillLightElevationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFillLightElevation ();double ang this GetFillLightAngle ang return ang  */
  if (arg.size() < 1) 
    throw Exception("Function GetFillLightElevation for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFillLightElevation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetFillLightAzimuth vtkLightKitGetFillLightAzimuthFunction
//input a0 
//output y
ArrayVector vtkLightKitGetFillLightAzimuthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFillLightAzimuth ();double ang this GetFillLightAngle ang return ang  */
  if (arg.size() < 1) 
    throw Exception("Function GetFillLightAzimuth for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFillLightAzimuth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetBackLightAngle__1 vtkLightKitSetBackLightAngle__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLightKitSetBackLightAngle__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackLightAngle (double elevation, double azimuth); */
  if (arg.size() < 3) 
    throw Exception("Function SetBackLightAngle__1 for class vtkLightKit requires 3 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetBackLightAngle(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetBackLightAngle__2 vtkLightKitSetBackLightAngle__2Function
//input a0 a1 
//output none
ArrayVector vtkLightKitSetBackLightAngle__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackLightAngle (double angle[2]);this SetBackLightAngle angle angle  */
  if (arg.size() < 2) 
    throw Exception("Function SetBackLightAngle__2 for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBackLightAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetBackLightElevation vtkLightKitSetBackLightElevationFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitSetBackLightElevationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackLightElevation (double x);this SetBackLightAngle x this BackLightAngle  */
  if (arg.size() < 2) 
    throw Exception("Function SetBackLightElevation for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetBackLightElevation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetBackLightAzimuth vtkLightKitSetBackLightAzimuthFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitSetBackLightAzimuthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackLightAzimuth (double x);this SetBackLightAngle this BackLightAngle x  */
  if (arg.size() < 2) 
    throw Exception("Function SetBackLightAzimuth for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetBackLightAzimuth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetBackLightAngle vtkLightKitGetBackLightAngleFunction
//input a0 
//output y
ArrayVector vtkLightKitGetBackLightAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetBackLightAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackLightAngle for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBackLightAngle();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetBackLightElevation vtkLightKitGetBackLightElevationFunction
//input a0 
//output y
ArrayVector vtkLightKitGetBackLightElevationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBackLightElevation ();double ang this GetBackLightAngle ang return ang  */
  if (arg.size() < 1) 
    throw Exception("Function GetBackLightElevation for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBackLightElevation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetBackLightAzimuth vtkLightKitGetBackLightAzimuthFunction
//input a0 
//output y
ArrayVector vtkLightKitGetBackLightAzimuthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBackLightAzimuth ();double ang this GetBackLightAngle ang return ang  */
  if (arg.size() < 1) 
    throw Exception("Function GetBackLightAzimuth for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBackLightAzimuth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:AddLightsToRenderer vtkLightKitAddLightsToRendererFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitAddLightsToRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddLightsToRenderer (vtkRenderer *renderer); */
  if (arg.size() < 2) 
    throw Exception("Function AddLightsToRenderer for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->AddLightsToRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:RemoveLightsFromRenderer vtkLightKitRemoveLightsFromRendererFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitRemoveLightsFromRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveLightsFromRenderer (vtkRenderer *renderer); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveLightsFromRenderer for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->RemoveLightsFromRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:DeepCopy vtkLightKitDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkLightKitDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkLightKit *kit); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  vtkLightKit  *temp0;
  temp0 = GetVTKPointer<vtkLightKit>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:Modified vtkLightKitModifiedFunction
//input a0 
//output none
ArrayVector vtkLightKitModifiedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Modified (); */
  if (arg.size() < 1) 
    throw Exception("Function Modified for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  vtk_pointer->Modified();
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:Update vtkLightKitUpdateFunction
//input a0 
//output none
ArrayVector vtkLightKitUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkLightKit requires 1 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetStringFromType vtkLightKitGetStringFromTypeFunction
//input a0 a1 
//output y
ArrayVector vtkLightKitGetStringFromTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetStringFromType (int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetStringFromType for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetStringFromType(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetStringFromSubType vtkLightKitGetStringFromSubTypeFunction
//input a0 a1 
//output y
ArrayVector vtkLightKitGetStringFromSubTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetStringFromSubType (int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetStringFromSubType for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetStringFromSubType(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:GetShortStringFromSubType vtkLightKitGetShortStringFromSubTypeFunction
//input a0 a1 
//output y
ArrayVector vtkLightKitGetShortStringFromSubTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetShortStringFromSubType (int subtype); */
  if (arg.size() < 2) 
    throw Exception("Function GetShortStringFromSubType for class vtkLightKit requires 2 argument(s)");
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetShortStringFromSubType(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightKit:SetKeyLightAngle vtkLightKitSetKeyLightAngleFunction
//input varargin
//output varargout
ArrayVector vtkLightKitSetKeyLightAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLightKitSetKeyLightAngle__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLightKitSetKeyLightAngle__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLightKitSetKeyLightAngle");
}

//@@Signature
//sfunction @vtkLightKit:SetFillLightAngle vtkLightKitSetFillLightAngleFunction
//input varargin
//output varargout
ArrayVector vtkLightKitSetFillLightAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLightKitSetFillLightAngle__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLightKitSetFillLightAngle__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLightKitSetFillLightAngle");
}

//@@Signature
//sfunction @vtkLightKit:SetBackLightAngle vtkLightKitSetBackLightAngleFunction
//input varargin
//output varargout
ArrayVector vtkLightKitSetBackLightAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLightKitSetBackLightAngle__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLightKitSetBackLightAngle__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLightKitSetBackLightAngle");
}

//@@Signature
//sfunction @vtkLightKit:display vtkLightKitDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLightKitDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLightKit* vtk_pointer = GetVTKPointer<vtkLightKit>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLightKit:delete vtkLightKitDeleteFunction
//input varargin
//output none
ArrayVector vtkLightKitDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLightKit
//@@Section VTKRendering
//@@Usage
// vtkLightKit is designed to make general purpose lighting of vtk
// scenes simple, flexible, and attractive (or at least not horribly
// ugly without significant effort).  Use a LightKit when you want
// more control over your lighting than you can get with the default
// vtk light, which is a headlight located at the camera. (HeadLights
// are very simple to use, but they don't show the shape of objects very 
// well, don't give a good sense of "up" and "down", and don't evenly
// light the object.)
//
// A LightKit consists of three lights, a key light, a fill light, and
// a headlight.  The main light is the key light.  It is usually
// positioned so that it appears like an overhead light (like the sun,
// or a ceiling light).  It is generally positioned to shine down on the
// scene from about a 45 degree angle vertically and at least a little
// offset side to side.  The key light usually at least about twice as 
// bright as the total of all other lights in the scene to provide good
// modeling of object features.
// 
// The other lights in the kit (the fill light, headlight, and a pair of
// back lights) are weaker sources that provide extra
// illumination to fill in the spots that the key light misses.  The
// fill light is usually positioned across from or opposite from the
// key light (though still on the same side of the object as the
// camera) in order to simulate diffuse reflections from other objects
// in the scene.  The headlight, always located at the position of the
// camera, reduces the contrast between areas lit by the key and fill
// light. The two back lights, one on the left of the object as seen
// from the observer and one on the right, fill on the high-contrast
// areas behind the object.  To enforce the relationship between the
// different lights, the intensity of the fill, back and headlights
// are set as a ratio to the key light brightness.  Thus, the
// brightness of all the lights in the scene can be changed by
// changing the key light intensity.
//
// All lights are directional lights (infinitely far away with no
// falloff).  Lights move with the camera.
//
// For simplicity, the position of lights in the LightKit can only be
// specified using angles: the elevation (latitude) and azimuth
// (longitude) of each light with respect to the camera, expressed in
// degrees.  (Lights always shine on the camera's lookat point.) For
// example, a light at (elevation=0, azimuth=0) is located at the
// camera (a headlight).  A light at (elevation=90, azimuth=0) is
// above the lookat point, shining down.  Negative azimuth values move
// the lights clockwise as seen above, positive values
// counter-clockwise.  So, a light at (elevation=45, azimuth=-20) is
// above and in front of the object and shining slightly from the left
// side.
//
// vtkLightKit limits the colors that can be assigned to any light to
// those of incandescent sources such as light bulbs and sunlight.  It
// defines a special color spectrum called "warmth" from which light
// colors can be chosen, where 0 is cold blue, 0.5 is neutral white,
// and 1 is deep sunset red.  Colors close to 0.5 are "cool whites" and
// "warm whites," respectively. 
//
// Since colors far from white on the warmth scale appear less bright,
// key-to-fill and key-to-headlight ratios are skewed by 
// key, fill, and headlight colors.  If the flag MaintainLuminance
// is set, vtkLightKit will attempt to compensate for these perceptual
// differences by increasing the brightness of more saturated colors.
//
// A LightKit is not explicitly part of the vtk pipeline.  Rather, it
// is a composite object that controls the behavior of lights using a
// unified user interface.  Every time a parameter of vtkLightKit is
// adjusted, the properties of its lights are modified.
//
// .SECTION Credits
// vtkLightKit was originally written and contributed to vtk by
// Michael Halle (mhalle@bwh.harvard.edu) at the Surgical Planning
// Lab, Brigham and Women's Hospital.
//
//To create an instance of class vtkLightKit, simply
//invoke its constructor as follows
//@[
//  obj = vtkLightKit
//@]
//@@Methods
//The class vtkLightKit has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLightKit class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLightKit = obj.NewInstance ()|
// \item @|vtkLightKit = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetKeyLightIntensity (double )| -  Set/Get the intensity of the key light.  The key light is the
// brightest light in the scene.  The intensities of the other two
// lights are ratios of the key light's intensity.  
//// \item @|double = obj.GetKeyLightIntensity ()| -  Set/Get the intensity of the key light.  The key light is the
// brightest light in the scene.  The intensities of the other two
// lights are ratios of the key light's intensity.  
//// \item @|obj.SetKeyToFillRatio (double )| -  Set/Get the key-to-fill ratio.  This ratio controls
// how bright the fill light is compared to the key light: larger
// values correspond to a dimmer fill light.  The purpose of the
// fill light is to light parts of the object not lit by the key
// light, while still maintaining constrast.  This type of lighting
// may correspond to indirect illumination from the key light, bounced
// off a wall, floor, or other object.  The fill light should never
// be brighter than the key light:  a good range for the key-to-fill
// ratio is between 2 and 10.
//// \item @|double = obj.GetKeyToFillRatioMinValue ()| -  Set/Get the key-to-fill ratio.  This ratio controls
// how bright the fill light is compared to the key light: larger
// values correspond to a dimmer fill light.  The purpose of the
// fill light is to light parts of the object not lit by the key
// light, while still maintaining constrast.  This type of lighting
// may correspond to indirect illumination from the key light, bounced
// off a wall, floor, or other object.  The fill light should never
// be brighter than the key light:  a good range for the key-to-fill
// ratio is between 2 and 10.
//// \item @|double = obj.GetKeyToFillRatioMaxValue ()| -  Set/Get the key-to-fill ratio.  This ratio controls
// how bright the fill light is compared to the key light: larger
// values correspond to a dimmer fill light.  The purpose of the
// fill light is to light parts of the object not lit by the key
// light, while still maintaining constrast.  This type of lighting
// may correspond to indirect illumination from the key light, bounced
// off a wall, floor, or other object.  The fill light should never
// be brighter than the key light:  a good range for the key-to-fill
// ratio is between 2 and 10.
//// \item @|double = obj.GetKeyToFillRatio ()| -  Set/Get the key-to-fill ratio.  This ratio controls
// how bright the fill light is compared to the key light: larger
// values correspond to a dimmer fill light.  The purpose of the
// fill light is to light parts of the object not lit by the key
// light, while still maintaining constrast.  This type of lighting
// may correspond to indirect illumination from the key light, bounced
// off a wall, floor, or other object.  The fill light should never
// be brighter than the key light:  a good range for the key-to-fill
// ratio is between 2 and 10.
//// \item @|obj.SetKeyToHeadRatio (double )| -  Set/Get the key-to-headlight ratio.  Similar to the key-to-fill
// ratio, this ratio controls how bright the headlight light is
// compared to the key light: larger values correspond to a dimmer
// headlight light.  The headlight is special kind of fill light,
// lighting only the parts of the object that the camera can see.
// As such, a headlight tends to reduce the contrast of a scene.  It
// can be used to fill in "shadows" of the object missed by the key
// and fill lights.  The headlight should always be significantly
// dimmer than the key light:  ratios of 2 to 15 are typical.
//// \item @|double = obj.GetKeyToHeadRatioMinValue ()| -  Set/Get the key-to-headlight ratio.  Similar to the key-to-fill
// ratio, this ratio controls how bright the headlight light is
// compared to the key light: larger values correspond to a dimmer
// headlight light.  The headlight is special kind of fill light,
// lighting only the parts of the object that the camera can see.
// As such, a headlight tends to reduce the contrast of a scene.  It
// can be used to fill in "shadows" of the object missed by the key
// and fill lights.  The headlight should always be significantly
// dimmer than the key light:  ratios of 2 to 15 are typical.
//// \item @|double = obj.GetKeyToHeadRatioMaxValue ()| -  Set/Get the key-to-headlight ratio.  Similar to the key-to-fill
// ratio, this ratio controls how bright the headlight light is
// compared to the key light: larger values correspond to a dimmer
// headlight light.  The headlight is special kind of fill light,
// lighting only the parts of the object that the camera can see.
// As such, a headlight tends to reduce the contrast of a scene.  It
// can be used to fill in "shadows" of the object missed by the key
// and fill lights.  The headlight should always be significantly
// dimmer than the key light:  ratios of 2 to 15 are typical.
//// \item @|double = obj.GetKeyToHeadRatio ()| -  Set/Get the key-to-headlight ratio.  Similar to the key-to-fill
// ratio, this ratio controls how bright the headlight light is
// compared to the key light: larger values correspond to a dimmer
// headlight light.  The headlight is special kind of fill light,
// lighting only the parts of the object that the camera can see.
// As such, a headlight tends to reduce the contrast of a scene.  It
// can be used to fill in "shadows" of the object missed by the key
// and fill lights.  The headlight should always be significantly
// dimmer than the key light:  ratios of 2 to 15 are typical.
//// \item @|obj.SetKeyToBackRatio (double )| -  Set/Get the key-to-back light ratio.  This ratio controls
// how bright the back lights are compared to the key light: larger
// values correspond to dimmer back lights.  The back lights fill
// in the remaining high-contrast regions behind the object.
// Values between 2 and 10 are good.
//// \item @|double = obj.GetKeyToBackRatioMinValue ()| -  Set/Get the key-to-back light ratio.  This ratio controls
// how bright the back lights are compared to the key light: larger
// values correspond to dimmer back lights.  The back lights fill
// in the remaining high-contrast regions behind the object.
// Values between 2 and 10 are good.
//// \item @|double = obj.GetKeyToBackRatioMaxValue ()| -  Set/Get the key-to-back light ratio.  This ratio controls
// how bright the back lights are compared to the key light: larger
// values correspond to dimmer back lights.  The back lights fill
// in the remaining high-contrast regions behind the object.
// Values between 2 and 10 are good.
//// \item @|double = obj.GetKeyToBackRatio ()| -  Set/Get the key-to-back light ratio.  This ratio controls
// how bright the back lights are compared to the key light: larger
// values correspond to dimmer back lights.  The back lights fill
// in the remaining high-contrast regions behind the object.
// Values between 2 and 10 are good.
//// \item @|obj.SetKeyLightWarmth (double )| -  Set the warmth of each the lights.  Warmth is a parameter that
// varies from 0 to 1, where 0 is "cold" (looks icy or lit by a very
// blue sky), 1 is "warm" (the red of a very red sunset, or the
// embers of a campfire), and 0.5 is a neutral white.  The warmth
// scale is non-linear. Warmth values close to 0.5 are subtly
// "warmer" or "cooler," much like a warmer tungsten incandescent
// bulb, a cooler halogen, or daylight (cooler still).  Moving
// further away from 0.5, colors become more quickly varying towards
// blues and reds.  With regards to aesthetics, extremes of warmth
// should be used sparingly.
//// \item @|double = obj.GetKeyLightWarmth ()| -  Set the warmth of each the lights.  Warmth is a parameter that
// varies from 0 to 1, where 0 is "cold" (looks icy or lit by a very
// blue sky), 1 is "warm" (the red of a very red sunset, or the
// embers of a campfire), and 0.5 is a neutral white.  The warmth
// scale is non-linear. Warmth values close to 0.5 are subtly
// "warmer" or "cooler," much like a warmer tungsten incandescent
// bulb, a cooler halogen, or daylight (cooler still).  Moving
// further away from 0.5, colors become more quickly varying towards
// blues and reds.  With regards to aesthetics, extremes of warmth
// should be used sparingly.
//// \item @|obj.SetFillLightWarmth (double )|
// \item @|double = obj.GetFillLightWarmth ()|
// \item @|obj.SetHeadLightWarmth (double )|
// \item @|double = obj.GetHeadLightWarmth ()|
// \item @|obj.SetBackLightWarmth (double )|
// \item @|double = obj.GetBackLightWarmth ()|
// \item @|double = obj. GetKeyLightColor ()| -  Returns the floating-point RGB values of each of the light's color.
//// \item @|double = obj. GetFillLightColor ()| -  Returns the floating-point RGB values of each of the light's color.
//// \item @|double = obj. GetHeadLightColor ()| -  Returns the floating-point RGB values of each of the light's color.
//// \item @|double = obj. GetBackLightColor ()| -  Returns the floating-point RGB values of each of the light's color.
//// \item @|obj.SetHeadlightWarmth (double v)| -  To maintain a deprecation API:
//// \item @|double = obj.GetHeadlightWarmth ()| -  To maintain a deprecation API:
//// \item @|obj.GetHeadlightColor (double color)| -  To maintain a deprecation API:
//// \item @|obj.MaintainLuminanceOn ()| -  If MaintainLuminance is set, the LightKit will attempt to maintain
// the apparent intensity of lights based on their perceptual brightnesses.
// By default, MaintainLuminance is off.
//// \item @|obj.MaintainLuminanceOff ()| -  If MaintainLuminance is set, the LightKit will attempt to maintain
// the apparent intensity of lights based on their perceptual brightnesses.
// By default, MaintainLuminance is off.
//// \item @|int = obj.GetMaintainLuminance ()| -  If MaintainLuminance is set, the LightKit will attempt to maintain
// the apparent intensity of lights based on their perceptual brightnesses.
// By default, MaintainLuminance is off.
//// \item @|obj.SetMaintainLuminance (int )| -  If MaintainLuminance is set, the LightKit will attempt to maintain
// the apparent intensity of lights based on their perceptual brightnesses.
// By default, MaintainLuminance is off.
//// \item @|obj.SetKeyLightAngle (double elevation, double azimuth)| -  Get/Set the position of the key, fill, and back lights
// using angular methods.  Elevation corresponds to latitude,
// azimuth to longitude.  It is recommended that the key light
// always be on the viewer's side of the object and above the
// object, while the fill light generally lights the part of the object
// not lit by the fill light.  The headlight, which is always located
// at the viewer, can then be used to reduce the contrast in the image.
// There are a pair of back lights.  They are located at the same
// elevation and at opposing azimuths (ie, one to the left, and one to
// the right).  They are generally set at the equator (elevation = 0),
// and at approximately 120 degrees (lighting from each side and behind).
//// \item @|obj.SetKeyLightAngle (double angle[2])| -  Get/Set the position of the key, fill, and back lights
// using angular methods.  Elevation corresponds to latitude,
// azimuth to longitude.  It is recommended that the key light
// always be on the viewer's side of the object and above the
// object, while the fill light generally lights the part of the object
// not lit by the fill light.  The headlight, which is always located
// at the viewer, can then be used to reduce the contrast in the image.
// There are a pair of back lights.  They are located at the same
// elevation and at opposing azimuths (ie, one to the left, and one to
// the right).  They are generally set at the equator (elevation = 0),
// and at approximately 120 degrees (lighting from each side and behind).
//// \item @|obj.SetKeyLightElevation (double x)|
// \item @|obj.SetKeyLightAzimuth (double x)|
// \item @|double = obj. GetKeyLightAngle ()|
// \item @|double = obj.GetKeyLightElevation ()|
// \item @|double = obj.GetKeyLightAzimuth ()|
// \item @|obj.SetFillLightAngle (double elevation, double azimuth)|
// \item @|obj.SetFillLightAngle (double angle[2])|
// \item @|obj.SetFillLightElevation (double x)|
// \item @|obj.SetFillLightAzimuth (double x)|
// \item @|double = obj. GetFillLightAngle ()|
// \item @|double = obj.GetFillLightElevation ()|
// \item @|double = obj.GetFillLightAzimuth ()|
// \item @|obj.SetBackLightAngle (double elevation, double azimuth)|
// \item @|obj.SetBackLightAngle (double angle[2])|
// \item @|obj.SetBackLightElevation (double x)|
// \item @|obj.SetBackLightAzimuth (double x)|
// \item @|double = obj. GetBackLightAngle ()|
// \item @|double = obj.GetBackLightElevation ()|
// \item @|double = obj.GetBackLightAzimuth ()|
// \item @|obj.AddLightsToRenderer (vtkRenderer renderer)| -  Add lights to, or remove lights from, a renderer.  
// Lights may be added to more than one renderer, if desired.
//// \item @|obj.RemoveLightsFromRenderer (vtkRenderer renderer)| -  Add lights to, or remove lights from, a renderer.  
// Lights may be added to more than one renderer, if desired.
//// \item @|obj.DeepCopy (vtkLightKit kit)|
// \item @|obj.Modified ()|
// \item @|obj.Update ()|
//\end{itemize}
//!
