#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLightingPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLightingPainter.h"

//@@Signature
//sfunction @vtkLightingPainter:vtkLightingPainter vtkLightingPainterConstructorFunction
//input a
//output p
//@@Parents vtkLightingPainter vtkPolyDataPainter 
ArrayVector vtkLightingPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLightingPainter::New(),"vtkLightingPainter",eval);
  } else if (arg[0].className() == "vtkLightingPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLightingPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLightingPainter");
    vtkLightingPainter*q = reinterpret_cast<vtkLightingPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLightingPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLightingPainter:GetClassName vtkLightingPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLightingPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLightingPainter requires 1 argument(s)");
  vtkLightingPainter* vtk_pointer = GetVTKPointer<vtkLightingPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightingPainter:IsA vtkLightingPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLightingPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLightingPainter requires 2 argument(s)");
  vtkLightingPainter* vtk_pointer = GetVTKPointer<vtkLightingPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightingPainter:NewInstance vtkLightingPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLightingPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLightingPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLightingPainter requires 1 argument(s)");
  vtkLightingPainter* vtk_pointer = GetVTKPointer<vtkLightingPainter>(arg[0]);
  Array retval;
  vtkLightingPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLightingPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLightingPainter:SafeDownCast vtkLightingPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLightingPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLightingPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLightingPainter requires 2 argument(s)");
  vtkLightingPainter* vtk_pointer = GetVTKPointer<vtkLightingPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLightingPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLightingPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLightingPainter:display vtkLightingPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLightingPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLightingPainter* vtk_pointer = GetVTKPointer<vtkLightingPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLightingPainter:delete vtkLightingPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkLightingPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
