#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLightsPass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLightsPass.h"

//@@Signature
//sfunction @vtkLightsPass:vtkLightsPass vtkLightsPassConstructorFunction
//input a
//output p
//@@Parents vtkLightsPass vtkRenderPass 
ArrayVector vtkLightsPassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLightsPass::New(),"vtkLightsPass",eval);
  } else if (arg[0].className() == "vtkLightsPass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLightsPass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLightsPass");
    vtkLightsPass*q = reinterpret_cast<vtkLightsPass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLightsPass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLightsPass:GetClassName vtkLightsPassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLightsPassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLightsPass requires 1 argument(s)");
  vtkLightsPass* vtk_pointer = GetVTKPointer<vtkLightsPass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightsPass:IsA vtkLightsPassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLightsPassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLightsPass requires 2 argument(s)");
  vtkLightsPass* vtk_pointer = GetVTKPointer<vtkLightsPass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLightsPass:NewInstance vtkLightsPassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLightsPassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLightsPass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLightsPass requires 1 argument(s)");
  vtkLightsPass* vtk_pointer = GetVTKPointer<vtkLightsPass>(arg[0]);
  Array retval;
  vtkLightsPass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLightsPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLightsPass:SafeDownCast vtkLightsPassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLightsPassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLightsPass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLightsPass requires 2 argument(s)");
  vtkLightsPass* vtk_pointer = GetVTKPointer<vtkLightsPass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLightsPass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLightsPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLightsPass:display vtkLightsPassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLightsPassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLightsPass* vtk_pointer = GetVTKPointer<vtkLightsPass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLightsPass:delete vtkLightsPassDeleteFunction
//input varargin
//output none
ArrayVector vtkLightsPassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLightsPass
//@@Section VTKRendering
//@@Usage
// Render the lights.
//
// This pass expects an initialized camera.
// It disables all the lights, apply transformations for lights following the
// camera, and turn on the enables lights.
// 
//
//To create an instance of class vtkLightsPass, simply
//invoke its constructor as follows
//@[
//  obj = vtkLightsPass
//@]
//@@Methods
//The class vtkLightsPass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLightsPass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLightsPass = obj.NewInstance ()|
// \item @|vtkLightsPass = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
