#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLineIntegralConvolution2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLineIntegralConvolution2D.h"

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:vtkLineIntegralConvolution2D vtkLineIntegralConvolution2DConstructorFunction
//input a
//output p
//@@Parents vtkLineIntegralConvolution2D vtkObject 
ArrayVector vtkLineIntegralConvolution2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLineIntegralConvolution2D::New(),"vtkLineIntegralConvolution2D",eval);
  } else if (arg[0].className() == "vtkLineIntegralConvolution2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLineIntegralConvolution2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLineIntegralConvolution2D");
    vtkLineIntegralConvolution2D*q = reinterpret_cast<vtkLineIntegralConvolution2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLineIntegralConvolution2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetClassName vtkLineIntegralConvolution2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:IsA vtkLineIntegralConvolution2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLineIntegralConvolution2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLineIntegralConvolution2D requires 2 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:NewInstance vtkLineIntegralConvolution2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLineIntegralConvolution2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  vtkLineIntegralConvolution2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLineIntegralConvolution2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:SafeDownCast vtkLineIntegralConvolution2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLineIntegralConvolution2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLineIntegralConvolution2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLineIntegralConvolution2D requires 2 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLineIntegralConvolution2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLineIntegralConvolution2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:SetEnhancedLIC vtkLineIntegralConvolution2DSetEnhancedLICFunction
//input a0 a1 
//output none
ArrayVector vtkLineIntegralConvolution2DSetEnhancedLICFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnhancedLIC (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnhancedLIC for class vtkLineIntegralConvolution2D requires 2 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnhancedLIC(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetEnhancedLIC vtkLineIntegralConvolution2DGetEnhancedLICFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetEnhancedLICFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEnhancedLIC (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnhancedLIC for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEnhancedLIC();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:EnhancedLICOn vtkLineIntegralConvolution2DEnhancedLICOnFunction
//input a0 
//output none
ArrayVector vtkLineIntegralConvolution2DEnhancedLICOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnhancedLICOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EnhancedLICOn for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  vtk_pointer->EnhancedLICOn();
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:EnhancedLICOff vtkLineIntegralConvolution2DEnhancedLICOffFunction
//input a0 
//output none
ArrayVector vtkLineIntegralConvolution2DEnhancedLICOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnhancedLICOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EnhancedLICOff for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  vtk_pointer->EnhancedLICOff();
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:SetLICForSurface vtkLineIntegralConvolution2DSetLICForSurfaceFunction
//input a0 a1 
//output none
ArrayVector vtkLineIntegralConvolution2DSetLICForSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLICForSurface (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLICForSurface for class vtkLineIntegralConvolution2D requires 2 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLICForSurface(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetLICForSurface vtkLineIntegralConvolution2DGetLICForSurfaceFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetLICForSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLICForSurface (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLICForSurface for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLICForSurface();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:LICForSurfaceOn vtkLineIntegralConvolution2DLICForSurfaceOnFunction
//input a0 
//output none
ArrayVector vtkLineIntegralConvolution2DLICForSurfaceOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LICForSurfaceOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LICForSurfaceOn for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  vtk_pointer->LICForSurfaceOn();
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:LICForSurfaceOff vtkLineIntegralConvolution2DLICForSurfaceOffFunction
//input a0 
//output none
ArrayVector vtkLineIntegralConvolution2DLICForSurfaceOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LICForSurfaceOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LICForSurfaceOff for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  vtk_pointer->LICForSurfaceOff();
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:SetNumberOfSteps vtkLineIntegralConvolution2DSetNumberOfStepsFunction
//input a0 a1 
//output none
ArrayVector vtkLineIntegralConvolution2DSetNumberOfStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfSteps (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfSteps for class vtkLineIntegralConvolution2D requires 2 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfSteps(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetNumberOfSteps vtkLineIntegralConvolution2DGetNumberOfStepsFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetNumberOfStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSteps for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:SetLICStepSize vtkLineIntegralConvolution2DSetLICStepSizeFunction
//input a0 a1 
//output none
ArrayVector vtkLineIntegralConvolution2DSetLICStepSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLICStepSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLICStepSize for class vtkLineIntegralConvolution2D requires 2 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLICStepSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetLICStepSizeMinValue vtkLineIntegralConvolution2DGetLICStepSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetLICStepSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLICStepSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLICStepSizeMinValue for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLICStepSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetLICStepSizeMaxValue vtkLineIntegralConvolution2DGetLICStepSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetLICStepSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLICStepSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLICStepSizeMaxValue for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLICStepSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetLICStepSize vtkLineIntegralConvolution2DGetLICStepSizeFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetLICStepSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLICStepSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLICStepSize for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLICStepSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:SetNoise vtkLineIntegralConvolution2DSetNoiseFunction
//input a0 a1 
//output none
ArrayVector vtkLineIntegralConvolution2DSetNoiseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNoise (vtkTextureObject *noise); */
  if (arg.size() < 2) 
    throw Exception("Function SetNoise for class vtkLineIntegralConvolution2D requires 2 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  vtkTextureObject  *temp0;
  temp0 = GetVTKPointer<vtkTextureObject>(arg[1]);
  vtk_pointer->SetNoise(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetNoise vtkLineIntegralConvolution2DGetNoiseFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetNoiseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextureObject *GetNoise (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNoise for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  vtkTextureObject  *temp20;
  temp20 = (vtk_pointer)->GetNoise();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextureObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:SetVectorField vtkLineIntegralConvolution2DSetVectorFieldFunction
//input a0 a1 
//output none
ArrayVector vtkLineIntegralConvolution2DSetVectorFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorField (vtkTextureObject *vectorField); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorField for class vtkLineIntegralConvolution2D requires 2 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  vtkTextureObject  *temp0;
  temp0 = GetVTKPointer<vtkTextureObject>(arg[1]);
  vtk_pointer->SetVectorField(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetVectorField vtkLineIntegralConvolution2DGetVectorFieldFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetVectorFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextureObject *GetVectorField (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorField for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  vtkTextureObject  *temp20;
  temp20 = (vtk_pointer)->GetVectorField();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextureObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:SetComponentIds__1 vtkLineIntegralConvolution2DSetComponentIds__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLineIntegralConvolution2DSetComponentIds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponentIds (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetComponentIds__1 for class vtkLineIntegralConvolution2D requires 3 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetComponentIds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:SetComponentIds__2 vtkLineIntegralConvolution2DSetComponentIds__2Function
//input a0 a1 
//output none
ArrayVector vtkLineIntegralConvolution2DSetComponentIds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponentIds (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetComponentIds__2 for class vtkLineIntegralConvolution2D requires 2 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetComponentIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetComponentIds vtkLineIntegralConvolution2DGetComponentIdsFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetComponentIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetComponentIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComponentIds for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetComponentIds();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:SetGridSpacings__1 vtkLineIntegralConvolution2DSetGridSpacings__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLineIntegralConvolution2DSetGridSpacings__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridSpacings (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetGridSpacings__1 for class vtkLineIntegralConvolution2D requires 3 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetGridSpacings(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:SetGridSpacings__2 vtkLineIntegralConvolution2DSetGridSpacings__2Function
//input a0 a1 
//output none
ArrayVector vtkLineIntegralConvolution2DSetGridSpacings__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridSpacings (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetGridSpacings__2 for class vtkLineIntegralConvolution2D requires 2 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetGridSpacings(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetGridSpacings vtkLineIntegralConvolution2DGetGridSpacingsFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetGridSpacingsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetGridSpacings (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGridSpacings for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetGridSpacings();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:SetTransformVectors vtkLineIntegralConvolution2DSetTransformVectorsFunction
//input a0 a1 
//output none
ArrayVector vtkLineIntegralConvolution2DSetTransformVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTransformVectors (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransformVectors for class vtkLineIntegralConvolution2D requires 2 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTransformVectors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetTransformVectorsMinValue vtkLineIntegralConvolution2DGetTransformVectorsMinValueFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetTransformVectorsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTransformVectorsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransformVectorsMinValue for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTransformVectorsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetTransformVectorsMaxValue vtkLineIntegralConvolution2DGetTransformVectorsMaxValueFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetTransformVectorsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTransformVectorsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransformVectorsMaxValue for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTransformVectorsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:TransformVectorsOn vtkLineIntegralConvolution2DTransformVectorsOnFunction
//input a0 
//output none
ArrayVector vtkLineIntegralConvolution2DTransformVectorsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformVectorsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TransformVectorsOn for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  vtk_pointer->TransformVectorsOn();
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:TransformVectorsOff vtkLineIntegralConvolution2DTransformVectorsOffFunction
//input a0 
//output none
ArrayVector vtkLineIntegralConvolution2DTransformVectorsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformVectorsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TransformVectorsOff for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  vtk_pointer->TransformVectorsOff();
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetTransformVectors vtkLineIntegralConvolution2DGetTransformVectorsFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetTransformVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTransformVectors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransformVectors for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTransformVectors();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:SetMagnification vtkLineIntegralConvolution2DSetMagnificationFunction
//input a0 a1 
//output none
ArrayVector vtkLineIntegralConvolution2DSetMagnificationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMagnification (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMagnification for class vtkLineIntegralConvolution2D requires 2 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMagnification(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetMagnificationMinValue vtkLineIntegralConvolution2DGetMagnificationMinValueFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetMagnificationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMagnificationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMagnificationMinValue for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMagnificationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetMagnificationMaxValue vtkLineIntegralConvolution2DGetMagnificationMaxValueFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetMagnificationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMagnificationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMagnificationMaxValue for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMagnificationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetMagnification vtkLineIntegralConvolution2DGetMagnificationFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetMagnificationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMagnification (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMagnification for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMagnification();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:SetVectorShiftScale vtkLineIntegralConvolution2DSetVectorShiftScaleFunction
//input a0 a1 a2 
//output none
ArrayVector vtkLineIntegralConvolution2DSetVectorShiftScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorShiftScale (double shift, double scale);this VectorShift shift this VectorScale scale this Modified  */
  if (arg.size() < 3) 
    throw Exception("Function SetVectorShiftScale for class vtkLineIntegralConvolution2D requires 3 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetVectorShiftScale(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:IsSupported vtkLineIntegralConvolution2DIsSupportedFunction
//input a0 a1 
//output y
ArrayVector vtkLineIntegralConvolution2DIsSupportedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static bool IsSupported (vtkRenderWindow *renWin); */
  if (arg.size() < 2) 
    throw Exception("Function IsSupported for class vtkLineIntegralConvolution2D requires 2 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  temp20 = (vtk_pointer)->IsSupported(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:Execute__1 vtkLineIntegralConvolution2DExecute__1Function
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DExecute__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Execute (); */
  if (arg.size() < 1) 
    throw Exception("Function Execute__1 for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->Execute();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:Execute__2 vtkLineIntegralConvolution2DExecute__2Function
//input a0 a1 
//output y
ArrayVector vtkLineIntegralConvolution2DExecute__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Execute (unsigned int extent[4]); */
  if (arg.size() < 2) 
    throw Exception("Function Execute__2 for class vtkLineIntegralConvolution2D requires 2 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  unsigned int    temp0[4];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned int)data[k+1];
  }
  temp20 = (vtk_pointer)->Execute(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:Execute__3 vtkLineIntegralConvolution2DExecute__3Function
//input a0 a1 
//output y
ArrayVector vtkLineIntegralConvolution2DExecute__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Execute (int extent[4]); */
  if (arg.size() < 2) 
    throw Exception("Function Execute__3 for class vtkLineIntegralConvolution2D requires 2 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  int    temp0[4];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->Execute(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:SetLIC vtkLineIntegralConvolution2DSetLICFunction
//input a0 a1 
//output none
ArrayVector vtkLineIntegralConvolution2DSetLICFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLIC (vtkTextureObject *lic); */
  if (arg.size() < 2) 
    throw Exception("Function SetLIC for class vtkLineIntegralConvolution2D requires 2 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  vtkTextureObject  *temp0;
  temp0 = GetVTKPointer<vtkTextureObject>(arg[1]);
  vtk_pointer->SetLIC(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:GetLIC vtkLineIntegralConvolution2DGetLICFunction
//input a0 
//output y
ArrayVector vtkLineIntegralConvolution2DGetLICFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextureObject *GetLIC (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLIC for class vtkLineIntegralConvolution2D requires 1 argument(s)");
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  Array retval;
  vtkTextureObject  *temp20;
  temp20 = (vtk_pointer)->GetLIC();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextureObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:SetComponentIds vtkLineIntegralConvolution2DSetComponentIdsFunction
//input varargin
//output varargout
ArrayVector vtkLineIntegralConvolution2DSetComponentIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLineIntegralConvolution2DSetComponentIds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLineIntegralConvolution2DSetComponentIds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLineIntegralConvolution2DSetComponentIds");
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:SetGridSpacings vtkLineIntegralConvolution2DSetGridSpacingsFunction
//input varargin
//output varargout
ArrayVector vtkLineIntegralConvolution2DSetGridSpacingsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLineIntegralConvolution2DSetGridSpacings__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLineIntegralConvolution2DSetGridSpacings__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLineIntegralConvolution2DSetGridSpacings");
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:Execute vtkLineIntegralConvolution2DExecuteFunction
//input varargin
//output varargout
ArrayVector vtkLineIntegralConvolution2DExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkLineIntegralConvolution2DExecute__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLineIntegralConvolution2DExecute__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLineIntegralConvolution2DExecute__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLineIntegralConvolution2DExecute");
}

//@@Signature
//sfunction @vtkLineIntegralConvolution2D:display vtkLineIntegralConvolution2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLineIntegralConvolution2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLineIntegralConvolution2D* vtk_pointer = GetVTKPointer<vtkLineIntegralConvolution2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLineIntegralConvolution2D:delete vtkLineIntegralConvolution2DDeleteFunction
//input varargin
//output none
ArrayVector vtkLineIntegralConvolution2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLineIntegralConvolution2D
//@@Section VTKRendering
//@@Usage
//  This class resorts to GLSL to implement GPU-based Line Integral Convolution 
//  (LIC) for visualizing a 2D vector field that may be obtained by projecting
//  an original 3D vector field onto a surface (such that the resulting 2D 
//  vector at each grid point on the surface is tangential to the local normal,
//  as done in vtkSurfaceLICPainter). 
//  
//  As an image-based technique, 2D LIC works by (1) integrating a bidirectional
//  streamline from the center of each pixel (of the LIC output image), (2)
//  locating the pixels along / hit by this streamline as the correlated pixels
//  of the starting pixel (seed point / pixel), (3) indexing a (usually white) 
//  noise texture (another input to LIC, in addition to the 2D vector field, 
//  usually with the same size as that of the 2D vetor field) to determine the
//  values (colors) of these pixels (the starting and the correlated pixels), 
//  typically through bi-linear interpolation, and (4) performing convolution
//  (weighted averaging) on these values, by adopting a low-pass filter (such 
//  as box, ramp, and Hanning kernels), to obtain the result value (color) that
//  is then assigned to the seed pixel.
//
//  The GLSL-based GPU implementation herein maps the aforementioned pipeline to
//  fragment shaders and a box kernel is employed. Both the white noise and the
//  vector field are provided to the GPU as texture objects (supported by the 
//  multi-texturing capability). In addition, there are four texture objects 
//  (color buffers) allocated to constitute two pairs that work in a ping-pong
//  fashion, with one as the read buffers and the other as the write / render 
//  targets. Maintained by a frame buffer object (GL_EXT_framebuffer_object),
//  each pair employs one buffer to store the current (dynamically updated)
//  position (by means of the texture coordinate that keeps being warped by the
//  underlying vector) of the (virtual) particle initially released from each 
//  fragment while using the bother buffer to store the current (dynamically
//  updated too) accumulated texture value that each seed fragment (before the
//  'mesh' is warped) collects. Given NumberOfSteps integration steps in each
//  direction, there are a total of (2 * NumberOfSteps + 1) fragments (including
//  the seed fragment) are convolved and each contributes 1 / (2 * NumberOfSteps
//  + 1) of the associated texture value to fulfill the box filter.
//  
//  One pass of LIC (basic LIC) tends to produce low-contrast / blurred images and
//  vtkLineIntegralConvolution2D provides an option for creating enhanced LIC
//  images. Enhanced LIC improves image quality by increasing inter-streamline
//  contrast while suppressing artifacts. It performs two passes of LIC, with a
//  3x3 Laplacian high-pass filter in between that processes the output of pass
//  #1 LIC and forwards the result as the input 'noise' to pass #2 LIC. Enhanced
//  LIC automatically degenerates to basic LIC during user interaction.
//
//  vtkLineIntegralConvolution2D applies masking to zero-vector fragments so
//  that un-filtered white noise areas are made totally transparent by class
//  vtkSurfaceLICPainter to show the underlying geometry surface.
//
// .SECTION Required OpenGL Extensins
//  GL_ARB_texture_non_power_of_two
//  GL_VERSION_2_0
//  GL_ARB_texture_float
//  GL_ARB_draw_buffers
//  GL_EXT_framebuffer_object
//
//
//To create an instance of class vtkLineIntegralConvolution2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkLineIntegralConvolution2D
//@]
//@@Methods
//The class vtkLineIntegralConvolution2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLineIntegralConvolution2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLineIntegralConvolution2D = obj.NewInstance ()|
// \item @|vtkLineIntegralConvolution2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetEnhancedLIC (int )| -  Enable/Disable enhanced LIC that improves image quality by increasing
// inter-streamline contrast while suppressing artifacts. Enhanced LIC
// performs two passes of LIC, with a 3x3 Laplacian high-pass filter in
// between that processes the output of pass #1 LIC and forwards the result
// as the input 'noise' to pass #2 LIC. This flag is automatically turned
// off during user interaction.
//// \item @|int = obj.GetEnhancedLIC ()| -  Enable/Disable enhanced LIC that improves image quality by increasing
// inter-streamline contrast while suppressing artifacts. Enhanced LIC
// performs two passes of LIC, with a 3x3 Laplacian high-pass filter in
// between that processes the output of pass #1 LIC and forwards the result
// as the input 'noise' to pass #2 LIC. This flag is automatically turned
// off during user interaction.
//// \item @|obj.EnhancedLICOn ()| -  Enable/Disable enhanced LIC that improves image quality by increasing
// inter-streamline contrast while suppressing artifacts. Enhanced LIC
// performs two passes of LIC, with a 3x3 Laplacian high-pass filter in
// between that processes the output of pass #1 LIC and forwards the result
// as the input 'noise' to pass #2 LIC. This flag is automatically turned
// off during user interaction.
//// \item @|obj.EnhancedLICOff ()| -  Enable/Disable enhanced LIC that improves image quality by increasing
// inter-streamline contrast while suppressing artifacts. Enhanced LIC
// performs two passes of LIC, with a 3x3 Laplacian high-pass filter in
// between that processes the output of pass #1 LIC and forwards the result
// as the input 'noise' to pass #2 LIC. This flag is automatically turned
// off during user interaction.
//// \item @|obj.SetLICForSurface (int )|
// \item @|int = obj.GetLICForSurface ()|
// \item @|obj.LICForSurfaceOn ()|
// \item @|obj.LICForSurfaceOff ()|
// \item @|obj.SetNumberOfSteps (int )| -  Number of streamline integration steps (initial value is 1).
// In term of visual quality, the greater (within some range) the better.
//// \item @|int = obj.GetNumberOfSteps ()| -  Number of streamline integration steps (initial value is 1).
// In term of visual quality, the greater (within some range) the better.
//// \item @|obj.SetLICStepSize (double )| -  Get/Set the streamline integration step size (0.01 by default). This is 
// the length of each step in normalized image space i.e. in range [0, 1].
// In term of visual quality, the smaller the better. The type for the 
// interface is double as VTK interface is, but GPU only supports float.
// Thus it will be converted to float in the execution of the algorithm.
//// \item @|double = obj.GetLICStepSizeMinValue ()| -  Get/Set the streamline integration step size (0.01 by default). This is 
// the length of each step in normalized image space i.e. in range [0, 1].
// In term of visual quality, the smaller the better. The type for the 
// interface is double as VTK interface is, but GPU only supports float.
// Thus it will be converted to float in the execution of the algorithm.
//// \item @|double = obj.GetLICStepSizeMaxValue ()| -  Get/Set the streamline integration step size (0.01 by default). This is 
// the length of each step in normalized image space i.e. in range [0, 1].
// In term of visual quality, the smaller the better. The type for the 
// interface is double as VTK interface is, but GPU only supports float.
// Thus it will be converted to float in the execution of the algorithm.
//// \item @|double = obj.GetLICStepSize ()| -  Get/Set the streamline integration step size (0.01 by default). This is 
// the length of each step in normalized image space i.e. in range [0, 1].
// In term of visual quality, the smaller the better. The type for the 
// interface is double as VTK interface is, but GPU only supports float.
// Thus it will be converted to float in the execution of the algorithm.
//// \item @|obj.SetNoise (vtkTextureObject noise)| -  Set/Get the input white noise texture (initial value is NULL).
//// \item @|vtkTextureObject = obj.GetNoise ()| -  Set/Get the input white noise texture (initial value is NULL).
//// \item @|obj.SetVectorField (vtkTextureObject vectorField)| -  Set/Get the vector field (initial value is NULL).
//// \item @|vtkTextureObject = obj.GetVectorField ()| -  Set/Get the vector field (initial value is NULL).
//// \item @|obj.SetComponentIds (int , int )| -  If VectorField has >= 3 components, we must choose which 2 components 
// form the (X, Y) components for the vector field. Must be in the range 
// [0, 3].
//// \item @|obj.SetComponentIds (int  a[2])| -  If VectorField has >= 3 components, we must choose which 2 components 
// form the (X, Y) components for the vector field. Must be in the range 
// [0, 3].
//// \item @|int = obj. GetComponentIds ()| -  If VectorField has >= 3 components, we must choose which 2 components 
// form the (X, Y) components for the vector field. Must be in the range 
// [0, 3].
//// \item @|obj.SetGridSpacings (double , double )| -  Set/Get the spacing in each dimension of the plane on which the vector 
// field is defined. This class performs LIC in the normalized image space
// and hence generally it needs to transform the input vector field (given 
// in physical space) to the normalized image space. The Spacing is needed
// to determine the tranform. Default is (1.0, 1.0). It is possible to 
// disable vector transformation by setting TransformVectors to 0.
//// \item @|obj.SetGridSpacings (double  a[2])| -  Set/Get the spacing in each dimension of the plane on which the vector 
// field is defined. This class performs LIC in the normalized image space
// and hence generally it needs to transform the input vector field (given 
// in physical space) to the normalized image space. The Spacing is needed
// to determine the tranform. Default is (1.0, 1.0). It is possible to 
// disable vector transformation by setting TransformVectors to 0.
//// \item @|double = obj. GetGridSpacings ()| -  Set/Get the spacing in each dimension of the plane on which the vector 
// field is defined. This class performs LIC in the normalized image space
// and hence generally it needs to transform the input vector field (given 
// in physical space) to the normalized image space. The Spacing is needed
// to determine the tranform. Default is (1.0, 1.0). It is possible to 
// disable vector transformation by setting TransformVectors to 0.
//// \item @|obj.SetTransformVectors (int )| -  This class performs LIC in the normalized image space. Hence, by default
// it transforms the input vectors to the normalized image space (using the
// GridSpacings and input vector field dimensions). Set this to 0 to disable
// tranformation if the vectors are already tranformed.
//// \item @|int = obj.GetTransformVectorsMinValue ()| -  This class performs LIC in the normalized image space. Hence, by default
// it transforms the input vectors to the normalized image space (using the
// GridSpacings and input vector field dimensions). Set this to 0 to disable
// tranformation if the vectors are already tranformed.
//// \item @|int = obj.GetTransformVectorsMaxValue ()| -  This class performs LIC in the normalized image space. Hence, by default
// it transforms the input vectors to the normalized image space (using the
// GridSpacings and input vector field dimensions). Set this to 0 to disable
// tranformation if the vectors are already tranformed.
//// \item @|obj.TransformVectorsOn ()| -  This class performs LIC in the normalized image space. Hence, by default
// it transforms the input vectors to the normalized image space (using the
// GridSpacings and input vector field dimensions). Set this to 0 to disable
// tranformation if the vectors are already tranformed.
//// \item @|obj.TransformVectorsOff ()| -  This class performs LIC in the normalized image space. Hence, by default
// it transforms the input vectors to the normalized image space (using the
// GridSpacings and input vector field dimensions). Set this to 0 to disable
// tranformation if the vectors are already tranformed.
//// \item @|int = obj.GetTransformVectors ()| -  This class performs LIC in the normalized image space. Hence, by default
// it transforms the input vectors to the normalized image space (using the
// GridSpacings and input vector field dimensions). Set this to 0 to disable
// tranformation if the vectors are already tranformed.
//// \item @|obj.SetMagnification (int )| -  The the magnification factor (default is 1.0).
//// \item @|int = obj.GetMagnificationMinValue ()| -  The the magnification factor (default is 1.0).
//// \item @|int = obj.GetMagnificationMaxValue ()| -  The the magnification factor (default is 1.0).
//// \item @|int = obj.GetMagnification ()| -  The the magnification factor (default is 1.0).
//// \item @|obj.SetVectorShiftScale (double shift, double scale)| -  Returns if the context supports the required extensions.
//// \item @|int = obj.Execute ()| -  Perform the LIC and obtain the LIC texture. Return 1 if no error.
//// \item @|int = obj.Execute (int extent[4])| -  Same as Execute() except that the LIC operation is performed only on a
// window (given by the \c extent) in the input VectorField. The \c extent
// is relative to the input VectorField. The output LIC image will be of 
// the size specified by extent.
//// \item @|int = obj.Execute (int extent[4])| -  Same as Execute() except that the LIC operation is performed only on a
// window (given by the \c extent) in the input VectorField. The \c extent
// is relative to the input VectorField. The output LIC image will be of 
// the size specified by extent.
//// \item @|obj.SetLIC (vtkTextureObject lic)| -  LIC texture (initial value is NULL) set by Execute().
//// \item @|vtkTextureObject = obj.GetLIC ()| -  LIC texture (initial value is NULL) set by Execute().
////\end{itemize}
//!
