#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLinesPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLinesPainter.h"

//@@Signature
//sfunction @vtkLinesPainter:vtkLinesPainter vtkLinesPainterConstructorFunction
//input a
//output p
//@@Parents vtkLinesPainter vtkPrimitivePainter 
ArrayVector vtkLinesPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLinesPainter::New(),"vtkLinesPainter",eval);
  } else if (arg[0].className() == "vtkLinesPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLinesPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLinesPainter");
    vtkLinesPainter*q = reinterpret_cast<vtkLinesPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLinesPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLinesPainter:GetClassName vtkLinesPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLinesPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLinesPainter requires 1 argument(s)");
  vtkLinesPainter* vtk_pointer = GetVTKPointer<vtkLinesPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinesPainter:IsA vtkLinesPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLinesPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLinesPainter requires 2 argument(s)");
  vtkLinesPainter* vtk_pointer = GetVTKPointer<vtkLinesPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinesPainter:NewInstance vtkLinesPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLinesPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLinesPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLinesPainter requires 1 argument(s)");
  vtkLinesPainter* vtk_pointer = GetVTKPointer<vtkLinesPainter>(arg[0]);
  Array retval;
  vtkLinesPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLinesPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLinesPainter:SafeDownCast vtkLinesPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLinesPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLinesPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLinesPainter requires 2 argument(s)");
  vtkLinesPainter* vtk_pointer = GetVTKPointer<vtkLinesPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLinesPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLinesPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLinesPainter:display vtkLinesPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLinesPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLinesPainter* vtk_pointer = GetVTKPointer<vtkLinesPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLinesPainter:delete vtkLinesPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkLinesPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLinesPainter
//@@Section VTKRendering
//@@Usage
// This painter tries to paint lines efficiently. Request to Render
// any other primitive are ignored and not passed to the delegate painter, 
// if any. This painter cannot handle cell colors/normals. If they are 
// present the request is passed on to the Delegate painter. If this 
// class is able to render the primitive, the render request is not
// propagated to the delegate painter.
// 
//
//To create an instance of class vtkLinesPainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkLinesPainter
//@]
//@@Methods
//The class vtkLinesPainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLinesPainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLinesPainter = obj.NewInstance ()|
// \item @|vtkLinesPainter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
