#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMapArrayValues object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMapArrayValues.h"

//@@Signature
//sfunction @vtkMapArrayValues:vtkMapArrayValues vtkMapArrayValuesConstructorFunction
//input a
//output p
//@@Parents vtkMapArrayValues vtkPassInputTypeAlgorithm 
ArrayVector vtkMapArrayValuesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMapArrayValues::New(),"vtkMapArrayValues",eval);
  } else if (arg[0].className() == "vtkMapArrayValues") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMapArrayValues"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMapArrayValues");
    vtkMapArrayValues*q = reinterpret_cast<vtkMapArrayValues*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMapArrayValues");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMapArrayValues:GetClassName vtkMapArrayValuesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMapArrayValuesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMapArrayValues requires 1 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:IsA vtkMapArrayValuesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMapArrayValuesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMapArrayValues requires 2 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:NewInstance vtkMapArrayValuesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMapArrayValuesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMapArrayValues *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMapArrayValues requires 1 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  vtkMapArrayValues  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMapArrayValues",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:SafeDownCast vtkMapArrayValuesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMapArrayValuesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMapArrayValues *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMapArrayValues requires 2 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMapArrayValues  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMapArrayValues",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:SetFieldType vtkMapArrayValuesSetFieldTypeFunction
//input a0 a1 
//output none
ArrayVector vtkMapArrayValuesSetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldType for class vtkMapArrayValues requires 2 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFieldType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:GetFieldType vtkMapArrayValuesGetFieldTypeFunction
//input a0 
//output y
ArrayVector vtkMapArrayValuesGetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldType for class vtkMapArrayValues requires 1 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:SetPassArray vtkMapArrayValuesSetPassArrayFunction
//input a0 a1 
//output none
ArrayVector vtkMapArrayValuesSetPassArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassArray (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassArray for class vtkMapArrayValues requires 2 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:GetPassArray vtkMapArrayValuesGetPassArrayFunction
//input a0 
//output y
ArrayVector vtkMapArrayValuesGetPassArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassArray for class vtkMapArrayValues requires 1 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:PassArrayOn vtkMapArrayValuesPassArrayOnFunction
//input a0 
//output none
ArrayVector vtkMapArrayValuesPassArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassArrayOn for class vtkMapArrayValues requires 1 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  vtk_pointer->PassArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:PassArrayOff vtkMapArrayValuesPassArrayOffFunction
//input a0 
//output none
ArrayVector vtkMapArrayValuesPassArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassArrayOff for class vtkMapArrayValues requires 1 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  vtk_pointer->PassArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:SetFillValue vtkMapArrayValuesSetFillValueFunction
//input a0 a1 
//output none
ArrayVector vtkMapArrayValuesSetFillValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFillValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFillValue for class vtkMapArrayValues requires 2 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFillValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:GetFillValue vtkMapArrayValuesGetFillValueFunction
//input a0 
//output y
ArrayVector vtkMapArrayValuesGetFillValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFillValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFillValue for class vtkMapArrayValues requires 1 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFillValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:SetInputArrayName vtkMapArrayValuesSetInputArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkMapArrayValuesSetInputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputArrayName for class vtkMapArrayValues requires 2 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetInputArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:GetInputArrayName vtkMapArrayValuesGetInputArrayNameFunction
//input a0 
//output y
ArrayVector vtkMapArrayValuesGetInputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetInputArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputArrayName for class vtkMapArrayValues requires 1 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetInputArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:SetOutputArrayName vtkMapArrayValuesSetOutputArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkMapArrayValuesSetOutputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputArrayName for class vtkMapArrayValues requires 2 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetOutputArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:GetOutputArrayName vtkMapArrayValuesGetOutputArrayNameFunction
//input a0 
//output y
ArrayVector vtkMapArrayValuesGetOutputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetOutputArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputArrayName for class vtkMapArrayValues requires 1 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetOutputArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:GetOutputArrayType vtkMapArrayValuesGetOutputArrayTypeFunction
//input a0 
//output y
ArrayVector vtkMapArrayValuesGetOutputArrayTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputArrayType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputArrayType for class vtkMapArrayValues requires 1 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputArrayType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:SetOutputArrayType vtkMapArrayValuesSetOutputArrayTypeFunction
//input a0 a1 
//output none
ArrayVector vtkMapArrayValuesSetOutputArrayTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputArrayType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputArrayType for class vtkMapArrayValues requires 2 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputArrayType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:AddToMap__1 vtkMapArrayValuesAddToMap__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMapArrayValuesAddToMap__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddToMap (int from, int to); */
  if (arg.size() < 3) 
    throw Exception("Function AddToMap__1 for class vtkMapArrayValues requires 3 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->AddToMap(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:AddToMap__2 vtkMapArrayValuesAddToMap__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkMapArrayValuesAddToMap__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddToMap (int from, char *to); */
  if (arg.size() < 3) 
    throw Exception("Function AddToMap__2 for class vtkMapArrayValues requires 3 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->AddToMap(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:AddToMap__3 vtkMapArrayValuesAddToMap__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkMapArrayValuesAddToMap__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddToMap (char *from, int to); */
  if (arg.size() < 3) 
    throw Exception("Function AddToMap__3 for class vtkMapArrayValues requires 3 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->AddToMap(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:AddToMap__4 vtkMapArrayValuesAddToMap__4Function
//input a0 a1 a2 
//output none
ArrayVector vtkMapArrayValuesAddToMap__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddToMap (char *from, char *to); */
  if (arg.size() < 3) 
    throw Exception("Function AddToMap__4 for class vtkMapArrayValues requires 3 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->AddToMap(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:ClearMap vtkMapArrayValuesClearMapFunction
//input a0 
//output none
ArrayVector vtkMapArrayValuesClearMapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearMap (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearMap for class vtkMapArrayValues requires 1 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  vtk_pointer->ClearMap();
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:GetMapSize vtkMapArrayValuesGetMapSizeFunction
//input a0 
//output y
ArrayVector vtkMapArrayValuesGetMapSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMapSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMapSize for class vtkMapArrayValues requires 1 argument(s)");
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMapSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapArrayValues:AddToMap vtkMapArrayValuesAddToMapFunction
//input varargin
//output varargout
ArrayVector vtkMapArrayValuesAddToMapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkMapArrayValuesAddToMap__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]))
    return vtkMapArrayValuesAddToMap__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkMapArrayValuesAddToMap__3Function(nargout,arg,eval);
  if ((arg.size() == 3))
    return vtkMapArrayValuesAddToMap__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMapArrayValuesAddToMap");
}

//@@Signature
//sfunction @vtkMapArrayValues:display vtkMapArrayValuesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMapArrayValuesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMapArrayValues* vtk_pointer = GetVTKPointer<vtkMapArrayValues>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMapArrayValues:delete vtkMapArrayValuesDeleteFunction
//input varargin
//output none
ArrayVector vtkMapArrayValuesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMapArrayValues
//@@Section VTKRendering
//@@Usage
// vtkMapArrayValues allows you to associate certain values of an attribute array
// (on either a vertex, edge, point, or cell) with different values in a
// newly created attribute array. 
//
// vtkMapArrayValues manages an internal STL map of vtkVariants that can be added to
// or cleared. When this filter executes, each "key" is searched for in the
// input array and the indices of the output array at which there were matches
// the set to the mapped "value".
//
// You can control whether the input array values are passed to the output
// before the mapping occurs (using PassArray) or, if not, what value to set 
// the unmapped indices to (using FillValue). 
//
// One application of this filter is to help address the dirty data problem.
// For example, using vtkMapArrayValues you could associate the vertex values 
// "Foo, John", "Foo, John.", and "John Foo" with a single entity.
//
//To create an instance of class vtkMapArrayValues, simply
//invoke its constructor as follows
//@[
//  obj = vtkMapArrayValues
//@]
//@@Methods
//The class vtkMapArrayValues has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMapArrayValues class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMapArrayValues = obj.NewInstance ()|
// \item @|vtkMapArrayValues = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFieldType (int )| -  Set/Get where the data is located that is being mapped.
// See FieldType enumeration for possible values.
// Default is POINT_DATA.
//// \item @|int = obj.GetFieldType ()| -  Set/Get where the data is located that is being mapped.
// See FieldType enumeration for possible values.
// Default is POINT_DATA.
//// \item @|obj.SetPassArray (int )| -  Set/Get whether to copy the data from the input array to the output array
// before the mapping occurs. If turned off, FillValue is used to initialize
// any unmapped array indices. Default is off.
//// \item @|int = obj.GetPassArray ()| -  Set/Get whether to copy the data from the input array to the output array
// before the mapping occurs. If turned off, FillValue is used to initialize
// any unmapped array indices. Default is off.
//// \item @|obj.PassArrayOn ()| -  Set/Get whether to copy the data from the input array to the output array
// before the mapping occurs. If turned off, FillValue is used to initialize
// any unmapped array indices. Default is off.
//// \item @|obj.PassArrayOff ()| -  Set/Get whether to copy the data from the input array to the output array
// before the mapping occurs. If turned off, FillValue is used to initialize
// any unmapped array indices. Default is off.
//// \item @|obj.SetFillValue (double )| -  Set/Get whether to copy the data from the input array to the output array
// before the mapping occurs. If turned off, FillValue is used to initialize
// any unmapped array indices. Default is -1.
//// \item @|double = obj.GetFillValue ()| -  Set/Get whether to copy the data from the input array to the output array
// before the mapping occurs. If turned off, FillValue is used to initialize
// any unmapped array indices. Default is -1.
//// \item @|obj.SetInputArrayName (string )| -  Set/Get the name of the input array. This must be set prior to execution.
//// \item @|string = obj.GetInputArrayName ()| -  Set/Get the name of the input array. This must be set prior to execution.
//// \item @|obj.SetOutputArrayName (string )| -  Set/Get the name of the output array. Default is "ArrayMap".
//// \item @|string = obj.GetOutputArrayName ()| -  Set/Get the name of the output array. Default is "ArrayMap".
//// \item @|int = obj.GetOutputArrayType ()| -  Set/Get the type of the output array. See vtkSetGet.h for possible values. 
// Default is VTK_INT.
//// \item @|obj.SetOutputArrayType (int )| -  Set/Get the type of the output array. See vtkSetGet.h for possible values. 
// Default is VTK_INT.
//// \item @|obj.AddToMap (int from, int to)| -  Add to the internal STL map. "from" should be a value in the input array and
// "to" should be the new value it gets assigned in the output array. 
//// \item @|obj.AddToMap (int from, string to)| -  Add to the internal STL map. "from" should be a value in the input array and
// "to" should be the new value it gets assigned in the output array. 
//// \item @|obj.AddToMap (string from, int to)| -  Add to the internal STL map. "from" should be a value in the input array and
// "to" should be the new value it gets assigned in the output array. 
//// \item @|obj.AddToMap (string from, string to)| -  Add to the internal STL map. "from" should be a value in the input array and
// "to" should be the new value it gets assigned in the output array. 
//// \item @|obj.ClearMap ()| -  Clear the internal map.
//// \item @|int = obj.GetMapSize ()| -  Get the size of the internal map.
////\end{itemize}
//!
