#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMapper.h"

//@@Signature
//sfunction @vtkMapper:vtkMapper vtkMapperConstructorFunction
//input a
//output p
//@@Parents vtkMapper vtkAbstractMapper3D 
ArrayVector vtkMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMapper::New(),"vtkMapper",eval);
  } else if (arg[0].className() == "vtkMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMapper");
    vtkMapper*q = reinterpret_cast<vtkMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMapper:GetClassName vtkMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:IsA vtkMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:NewInstance vtkMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtkMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SafeDownCast vtkMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:ShallowCopy vtkMapperShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkMapperShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkAbstractMapper *m); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtkAbstractMapper  *temp0;
  temp0 = GetVTKPointer<vtkAbstractMapper>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetMTime vtkMapperGetMTimeFunction
//input a0 
//output y
ArrayVector vtkMapperGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:Render vtkMapperRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMapperRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkRenderer *ren, vtkActor *a) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkMapper requires 3 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkActor>(arg[2]);
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:ReleaseGraphicsResources vtkMapperReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkMapperReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetLookupTable vtkMapperSetLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkMapperSetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLookupTable (vtkScalarsToColors *lut); */
  if (arg.size() < 2) 
    throw Exception("Function SetLookupTable for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp0;
  temp0 = GetVTKPointer<vtkScalarsToColors>(arg[1]);
  vtk_pointer->SetLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetLookupTable vtkMapperGetLookupTableFunction
//input a0 
//output y
ArrayVector vtkMapperGetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarsToColors *GetLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLookupTable for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp20;
  temp20 = (vtk_pointer)->GetLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarsToColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:CreateDefaultLookupTable vtkMapperCreateDefaultLookupTableFunction
//input a0 
//output none
ArrayVector vtkMapperCreateDefaultLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CreateDefaultLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLookupTable for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLookupTable();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetScalarVisibility vtkMapperSetScalarVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkMapperSetScalarVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarVisibility for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetScalarVisibility vtkMapperGetScalarVisibilityFunction
//input a0 
//output y
ArrayVector vtkMapperGetScalarVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarVisibility for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:ScalarVisibilityOn vtkMapperScalarVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkMapperScalarVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalarVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalarVisibilityOn for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->ScalarVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:ScalarVisibilityOff vtkMapperScalarVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkMapperScalarVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalarVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalarVisibilityOff for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->ScalarVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetStatic vtkMapperSetStaticFunction
//input a0 a1 
//output none
ArrayVector vtkMapperSetStaticFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStatic (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStatic for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStatic(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetStatic vtkMapperGetStaticFunction
//input a0 
//output y
ArrayVector vtkMapperGetStaticFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStatic (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStatic for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStatic();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:StaticOn vtkMapperStaticOnFunction
//input a0 
//output none
ArrayVector vtkMapperStaticOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StaticOn (); */
  if (arg.size() < 1) 
    throw Exception("Function StaticOn for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->StaticOn();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:StaticOff vtkMapperStaticOffFunction
//input a0 
//output none
ArrayVector vtkMapperStaticOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StaticOff (); */
  if (arg.size() < 1) 
    throw Exception("Function StaticOff for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->StaticOff();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetColorMode vtkMapperSetColorModeFunction
//input a0 a1 
//output none
ArrayVector vtkMapperSetColorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorMode for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetColorMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetColorMode vtkMapperGetColorModeFunction
//input a0 
//output y
ArrayVector vtkMapperGetColorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorMode for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetColorModeToDefault vtkMapperSetColorModeToDefaultFunction
//input a0 
//output none
ArrayVector vtkMapperSetColorModeToDefaultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToDefault ();this SetColorMode VTK_COLOR_MODE_DEFAULT  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToDefault for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToDefault();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetColorModeToMapScalars vtkMapperSetColorModeToMapScalarsFunction
//input a0 
//output none
ArrayVector vtkMapperSetColorModeToMapScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToMapScalars ();this SetColorMode VTK_COLOR_MODE_MAP_SCALARS  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToMapScalars for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToMapScalars();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetColorModeAsString vtkMapperGetColorModeAsStringFunction
//input a0 
//output y
ArrayVector vtkMapperGetColorModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetColorModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorModeAsString for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetColorModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetInterpolateScalarsBeforeMapping vtkMapperSetInterpolateScalarsBeforeMappingFunction
//input a0 a1 
//output none
ArrayVector vtkMapperSetInterpolateScalarsBeforeMappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolateScalarsBeforeMapping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInterpolateScalarsBeforeMapping for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInterpolateScalarsBeforeMapping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetInterpolateScalarsBeforeMapping vtkMapperGetInterpolateScalarsBeforeMappingFunction
//input a0 
//output y
ArrayVector vtkMapperGetInterpolateScalarsBeforeMappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolateScalarsBeforeMapping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolateScalarsBeforeMapping for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolateScalarsBeforeMapping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:InterpolateScalarsBeforeMappingOn vtkMapperInterpolateScalarsBeforeMappingOnFunction
//input a0 
//output none
ArrayVector vtkMapperInterpolateScalarsBeforeMappingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateScalarsBeforeMappingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InterpolateScalarsBeforeMappingOn for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->InterpolateScalarsBeforeMappingOn();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:InterpolateScalarsBeforeMappingOff vtkMapperInterpolateScalarsBeforeMappingOffFunction
//input a0 
//output none
ArrayVector vtkMapperInterpolateScalarsBeforeMappingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateScalarsBeforeMappingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InterpolateScalarsBeforeMappingOff for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->InterpolateScalarsBeforeMappingOff();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetUseLookupTableScalarRange vtkMapperSetUseLookupTableScalarRangeFunction
//input a0 a1 
//output none
ArrayVector vtkMapperSetUseLookupTableScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseLookupTableScalarRange (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseLookupTableScalarRange for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseLookupTableScalarRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetUseLookupTableScalarRange vtkMapperGetUseLookupTableScalarRangeFunction
//input a0 
//output y
ArrayVector vtkMapperGetUseLookupTableScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseLookupTableScalarRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseLookupTableScalarRange for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseLookupTableScalarRange();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:UseLookupTableScalarRangeOn vtkMapperUseLookupTableScalarRangeOnFunction
//input a0 
//output none
ArrayVector vtkMapperUseLookupTableScalarRangeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseLookupTableScalarRangeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseLookupTableScalarRangeOn for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->UseLookupTableScalarRangeOn();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:UseLookupTableScalarRangeOff vtkMapperUseLookupTableScalarRangeOffFunction
//input a0 
//output none
ArrayVector vtkMapperUseLookupTableScalarRangeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseLookupTableScalarRangeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseLookupTableScalarRangeOff for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->UseLookupTableScalarRangeOff();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetScalarRange__1 vtkMapperSetScalarRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMapperSetScalarRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetScalarRange__1 for class vtkMapper requires 3 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetScalarRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetScalarRange__2 vtkMapperSetScalarRange__2Function
//input a0 a1 
//output none
ArrayVector vtkMapperSetScalarRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarRange__2 for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetScalarRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetScalarRange vtkMapperGetScalarRangeFunction
//input a0 
//output y
ArrayVector vtkMapperGetScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetScalarRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarRange for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetScalarRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetImmediateModeRendering vtkMapperSetImmediateModeRenderingFunction
//input a0 a1 
//output none
ArrayVector vtkMapperSetImmediateModeRenderingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImmediateModeRendering (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetImmediateModeRendering for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetImmediateModeRendering(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetImmediateModeRendering vtkMapperGetImmediateModeRenderingFunction
//input a0 
//output y
ArrayVector vtkMapperGetImmediateModeRenderingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetImmediateModeRendering (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImmediateModeRendering for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetImmediateModeRendering();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:ImmediateModeRenderingOn vtkMapperImmediateModeRenderingOnFunction
//input a0 
//output none
ArrayVector vtkMapperImmediateModeRenderingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ImmediateModeRenderingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ImmediateModeRenderingOn for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->ImmediateModeRenderingOn();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:ImmediateModeRenderingOff vtkMapperImmediateModeRenderingOffFunction
//input a0 
//output none
ArrayVector vtkMapperImmediateModeRenderingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ImmediateModeRenderingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ImmediateModeRenderingOff for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->ImmediateModeRenderingOff();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetGlobalImmediateModeRendering vtkMapperSetGlobalImmediateModeRenderingFunction
//input a0 a1 
//output none
ArrayVector vtkMapperSetGlobalImmediateModeRenderingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetGlobalImmediateModeRendering (int val); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobalImmediateModeRendering for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGlobalImmediateModeRendering(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GlobalImmediateModeRenderingOn vtkMapperGlobalImmediateModeRenderingOnFunction
//input a0 
//output none
ArrayVector vtkMapperGlobalImmediateModeRenderingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GlobalImmediateModeRenderingOn ();vtkMapper SetGlobalImmediateModeRendering  */
  if (arg.size() < 1) 
    throw Exception("Function GlobalImmediateModeRenderingOn for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->GlobalImmediateModeRenderingOn();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GlobalImmediateModeRenderingOff vtkMapperGlobalImmediateModeRenderingOffFunction
//input a0 
//output none
ArrayVector vtkMapperGlobalImmediateModeRenderingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GlobalImmediateModeRenderingOff ();vtkMapper SetGlobalImmediateModeRendering  */
  if (arg.size() < 1) 
    throw Exception("Function GlobalImmediateModeRenderingOff for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->GlobalImmediateModeRenderingOff();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetGlobalImmediateModeRendering vtkMapperGetGlobalImmediateModeRenderingFunction
//input a0 
//output y
ArrayVector vtkMapperGetGlobalImmediateModeRenderingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalImmediateModeRendering (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalImmediateModeRendering for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGlobalImmediateModeRendering();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetScalarMode vtkMapperSetScalarModeFunction
//input a0 a1 
//output none
ArrayVector vtkMapperSetScalarModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarMode for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetScalarMode vtkMapperGetScalarModeFunction
//input a0 
//output y
ArrayVector vtkMapperGetScalarModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarMode for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetScalarModeToDefault vtkMapperSetScalarModeToDefaultFunction
//input a0 
//output none
ArrayVector vtkMapperSetScalarModeToDefaultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToDefault ();this SetScalarMode VTK_SCALAR_MODE_DEFAULT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToDefault for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToDefault();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetScalarModeToUsePointData vtkMapperSetScalarModeToUsePointDataFunction
//input a0 
//output none
ArrayVector vtkMapperSetScalarModeToUsePointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToUsePointData ();this SetScalarMode VTK_SCALAR_MODE_USE_POINT_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToUsePointData for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToUsePointData();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetScalarModeToUseCellData vtkMapperSetScalarModeToUseCellDataFunction
//input a0 
//output none
ArrayVector vtkMapperSetScalarModeToUseCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToUseCellData ();this SetScalarMode VTK_SCALAR_MODE_USE_CELL_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToUseCellData for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToUseCellData();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetScalarModeToUsePointFieldData vtkMapperSetScalarModeToUsePointFieldDataFunction
//input a0 
//output none
ArrayVector vtkMapperSetScalarModeToUsePointFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToUsePointFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_POINT_FIELD_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToUsePointFieldData for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToUsePointFieldData();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetScalarModeToUseCellFieldData vtkMapperSetScalarModeToUseCellFieldDataFunction
//input a0 
//output none
ArrayVector vtkMapperSetScalarModeToUseCellFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToUseCellFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_CELL_FIELD_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToUseCellFieldData for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToUseCellFieldData();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetScalarModeToUseFieldData vtkMapperSetScalarModeToUseFieldDataFunction
//input a0 
//output none
ArrayVector vtkMapperSetScalarModeToUseFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToUseFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_FIELD_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToUseFieldData for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToUseFieldData();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SelectColorArray__1 vtkMapperSelectColorArray__1Function
//input a0 a1 
//output none
ArrayVector vtkMapperSelectColorArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SelectColorArray (int arrayNum); */
  if (arg.size() < 2) 
    throw Exception("Function SelectColorArray__1 for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SelectColorArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SelectColorArray__2 vtkMapperSelectColorArray__2Function
//input a0 a1 
//output none
ArrayVector vtkMapperSelectColorArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SelectColorArray (const char *arrayName); */
  if (arg.size() < 2) 
    throw Exception("Function SelectColorArray__2 for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SelectColorArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:ColorByArrayComponent__1 vtkMapperColorByArrayComponent__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMapperColorByArrayComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorByArrayComponent (int arrayNum, int component); */
  if (arg.size() < 3) 
    throw Exception("Function ColorByArrayComponent__1 for class vtkMapper requires 3 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->ColorByArrayComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:ColorByArrayComponent__2 vtkMapperColorByArrayComponent__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkMapperColorByArrayComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorByArrayComponent (const char *arrayName, int component); */
  if (arg.size() < 3) 
    throw Exception("Function ColorByArrayComponent__2 for class vtkMapper requires 3 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->ColorByArrayComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetArrayName vtkMapperGetArrayNameFunction
//input a0 
//output y
ArrayVector vtkMapperGetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetArrayName ();return this ArrayName  */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayName for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetArrayId vtkMapperGetArrayIdFunction
//input a0 
//output y
ArrayVector vtkMapperGetArrayIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrayId ();return this ArrayId  */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayId for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrayId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetArrayAccessMode vtkMapperGetArrayAccessModeFunction
//input a0 
//output y
ArrayVector vtkMapperGetArrayAccessModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrayAccessMode ();return this ArrayAccessMode  */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayAccessMode for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrayAccessMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetArrayComponent vtkMapperGetArrayComponentFunction
//input a0 
//output y
ArrayVector vtkMapperGetArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrayComponent ();return this ArrayComponent  */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayComponent for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrayComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetScalarModeAsString vtkMapperGetScalarModeAsStringFunction
//input a0 
//output y
ArrayVector vtkMapperGetScalarModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetScalarModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarModeAsString for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetScalarModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetResolveCoincidentTopology vtkMapperSetResolveCoincidentTopologyFunction
//input a0 a1 
//output none
ArrayVector vtkMapperSetResolveCoincidentTopologyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetResolveCoincidentTopology (int val); */
  if (arg.size() < 2) 
    throw Exception("Function SetResolveCoincidentTopology for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetResolveCoincidentTopology(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetResolveCoincidentTopology vtkMapperGetResolveCoincidentTopologyFunction
//input a0 
//output y
ArrayVector vtkMapperGetResolveCoincidentTopologyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetResolveCoincidentTopology (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolveCoincidentTopology for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolveCoincidentTopology();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetResolveCoincidentTopologyToDefault vtkMapperSetResolveCoincidentTopologyToDefaultFunction
//input a0 
//output none
ArrayVector vtkMapperSetResolveCoincidentTopologyToDefaultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetResolveCoincidentTopologyToDefault (); */
  if (arg.size() < 1) 
    throw Exception("Function SetResolveCoincidentTopologyToDefault for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetResolveCoincidentTopologyToDefault();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetResolveCoincidentTopologyToOff vtkMapperSetResolveCoincidentTopologyToOffFunction
//input a0 
//output none
ArrayVector vtkMapperSetResolveCoincidentTopologyToOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetResolveCoincidentTopologyToOff ();SetResolveCoincidentTopology VTK_RESOLVE_OFF  */
  if (arg.size() < 1) 
    throw Exception("Function SetResolveCoincidentTopologyToOff for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetResolveCoincidentTopologyToOff();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetResolveCoincidentTopologyToPolygonOffset vtkMapperSetResolveCoincidentTopologyToPolygonOffsetFunction
//input a0 
//output none
ArrayVector vtkMapperSetResolveCoincidentTopologyToPolygonOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetResolveCoincidentTopologyToPolygonOffset ();SetResolveCoincidentTopology VTK_RESOLVE_POLYGON_OFFSET  */
  if (arg.size() < 1) 
    throw Exception("Function SetResolveCoincidentTopologyToPolygonOffset for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetResolveCoincidentTopologyToPolygonOffset();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetResolveCoincidentTopologyToShiftZBuffer vtkMapperSetResolveCoincidentTopologyToShiftZBufferFunction
//input a0 
//output none
ArrayVector vtkMapperSetResolveCoincidentTopologyToShiftZBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetResolveCoincidentTopologyToShiftZBuffer ();SetResolveCoincidentTopology VTK_RESOLVE_SHIFT_ZBUFFER  */
  if (arg.size() < 1) 
    throw Exception("Function SetResolveCoincidentTopologyToShiftZBuffer for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetResolveCoincidentTopologyToShiftZBuffer();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetResolveCoincidentTopologyPolygonOffsetParameters vtkMapperSetResolveCoincidentTopologyPolygonOffsetParametersFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMapperSetResolveCoincidentTopologyPolygonOffsetParametersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetResolveCoincidentTopologyPolygonOffsetParameters (double factor, double units); */
  if (arg.size() < 3) 
    throw Exception("Function SetResolveCoincidentTopologyPolygonOffsetParameters for class vtkMapper requires 3 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetResolveCoincidentTopologyPolygonOffsetParameters(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetResolveCoincidentTopologyPolygonOffsetFaces vtkMapperSetResolveCoincidentTopologyPolygonOffsetFacesFunction
//input a0 a1 
//output none
ArrayVector vtkMapperSetResolveCoincidentTopologyPolygonOffsetFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetResolveCoincidentTopologyPolygonOffsetFaces (int faces); */
  if (arg.size() < 2) 
    throw Exception("Function SetResolveCoincidentTopologyPolygonOffsetFaces for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetResolveCoincidentTopologyPolygonOffsetFaces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetResolveCoincidentTopologyPolygonOffsetFaces vtkMapperGetResolveCoincidentTopologyPolygonOffsetFacesFunction
//input a0 
//output y
ArrayVector vtkMapperGetResolveCoincidentTopologyPolygonOffsetFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetResolveCoincidentTopologyPolygonOffsetFaces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolveCoincidentTopologyPolygonOffsetFaces for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolveCoincidentTopologyPolygonOffsetFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetResolveCoincidentTopologyZShift vtkMapperSetResolveCoincidentTopologyZShiftFunction
//input a0 a1 
//output none
ArrayVector vtkMapperSetResolveCoincidentTopologyZShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetResolveCoincidentTopologyZShift (double val); */
  if (arg.size() < 2) 
    throw Exception("Function SetResolveCoincidentTopologyZShift for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetResolveCoincidentTopologyZShift(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetResolveCoincidentTopologyZShift vtkMapperGetResolveCoincidentTopologyZShiftFunction
//input a0 
//output y
ArrayVector vtkMapperGetResolveCoincidentTopologyZShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double GetResolveCoincidentTopologyZShift (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolveCoincidentTopologyZShift for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetResolveCoincidentTopologyZShift();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetBounds__1 vtkMapperGetBounds__1Function
//input a0 
//output y
ArrayVector vtkMapperGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__1 for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetBounds__2 vtkMapperGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkMapperGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetBounds (double bounds[6]);this vtkAbstractMapper3D GetBounds bounds  */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetRenderTime vtkMapperSetRenderTimeFunction
//input a0 a1 
//output none
ArrayVector vtkMapperSetRenderTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRenderTime (double time);this RenderTime time  */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderTime for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRenderTime(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetRenderTime vtkMapperGetRenderTimeFunction
//input a0 
//output y
ArrayVector vtkMapperGetRenderTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRenderTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderTime for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRenderTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetInputAsDataSet vtkMapperGetInputAsDataSetFunction
//input a0 
//output y
ArrayVector vtkMapperGetInputAsDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetInputAsDataSet ();return this GetInput  */
  if (arg.size() < 1) 
    throw Exception("Function GetInputAsDataSet for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetInputAsDataSet();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:MapScalars vtkMapperMapScalarsFunction
//input a0 a1 
//output y
ArrayVector vtkMapperMapScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnsignedCharArray *MapScalars (double alpha); */
  if (arg.size() < 2) 
    throw Exception("Function MapScalars for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  double   temp0;
  vtkUnsignedCharArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->MapScalars(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetScalarMaterialMode vtkMapperSetScalarMaterialModeFunction
//input a0 a1 
//output none
ArrayVector vtkMapperSetScalarMaterialModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarMaterialMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarMaterialMode for class vtkMapper requires 2 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarMaterialMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetScalarMaterialMode vtkMapperGetScalarMaterialModeFunction
//input a0 
//output y
ArrayVector vtkMapperGetScalarMaterialModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarMaterialMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarMaterialMode for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarMaterialMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetScalarMaterialModeToDefault vtkMapperSetScalarMaterialModeToDefaultFunction
//input a0 
//output none
ArrayVector vtkMapperSetScalarMaterialModeToDefaultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarMaterialModeToDefault ();this SetScalarMaterialMode VTK_MATERIALMODE_DEFAULT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarMaterialModeToDefault for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarMaterialModeToDefault();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetScalarMaterialModeToAmbient vtkMapperSetScalarMaterialModeToAmbientFunction
//input a0 
//output none
ArrayVector vtkMapperSetScalarMaterialModeToAmbientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarMaterialModeToAmbient ();this SetScalarMaterialMode VTK_MATERIALMODE_AMBIENT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarMaterialModeToAmbient for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarMaterialModeToAmbient();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetScalarMaterialModeToDiffuse vtkMapperSetScalarMaterialModeToDiffuseFunction
//input a0 
//output none
ArrayVector vtkMapperSetScalarMaterialModeToDiffuseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarMaterialModeToDiffuse ();this SetScalarMaterialMode VTK_MATERIALMODE_DIFFUSE  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarMaterialModeToDiffuse for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarMaterialModeToDiffuse();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetScalarMaterialModeToAmbientAndDiffuse vtkMapperSetScalarMaterialModeToAmbientAndDiffuseFunction
//input a0 
//output none
ArrayVector vtkMapperSetScalarMaterialModeToAmbientAndDiffuseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarMaterialModeToAmbientAndDiffuse ();this SetScalarMaterialMode VTK_MATERIALMODE_AMBIENT_AND_DIFFUSE  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarMaterialModeToAmbientAndDiffuse for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarMaterialModeToAmbientAndDiffuse();
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetScalarMaterialModeAsString vtkMapperGetScalarMaterialModeAsStringFunction
//input a0 
//output y
ArrayVector vtkMapperGetScalarMaterialModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetScalarMaterialModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarMaterialModeAsString for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetScalarMaterialModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:GetSupportsSelection vtkMapperGetSupportsSelectionFunction
//input a0 
//output y
ArrayVector vtkMapperGetSupportsSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetSupportsSelection ();return false  */
  if (arg.size() < 1) 
    throw Exception("Function GetSupportsSelection for class vtkMapper requires 1 argument(s)");
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetSupportsSelection();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkMapper:SetScalarRange vtkMapperSetScalarRangeFunction
//input varargin
//output varargout
ArrayVector vtkMapperSetScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkMapperSetScalarRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMapperSetScalarRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMapperSetScalarRange");
}

//@@Signature
//sfunction @vtkMapper:SelectColorArray vtkMapperSelectColorArrayFunction
//input varargin
//output varargout
ArrayVector vtkMapperSelectColorArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkMapperSelectColorArray__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkMapperSelectColorArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMapperSelectColorArray");
}

//@@Signature
//sfunction @vtkMapper:ColorByArrayComponent vtkMapperColorByArrayComponentFunction
//input varargin
//output varargout
ArrayVector vtkMapperColorByArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkMapperColorByArrayComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkMapperColorByArrayComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMapperColorByArrayComponent");
}

//@@Signature
//sfunction @vtkMapper:GetBounds vtkMapperGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkMapperGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkMapperGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMapperGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMapperGetBounds");
}

//@@Signature
//sfunction @vtkMapper:display vtkMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMapper* vtk_pointer = GetVTKPointer<vtkMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMapper:delete vtkMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMapper
//@@Section VTKRendering
//@@Usage
// vtkMapper is an abstract class to specify interface between data and 
// graphics primitives. Subclasses of vtkMapper map data through a 
// lookuptable and control the creation of rendering primitives that
// interface to the graphics library. The mapping can be controlled by 
// supplying a lookup table and specifying a scalar range to map data
// through.
//
// There are several important control mechanisms affecting the behavior of
// this object. The ScalarVisibility flag controls whether scalar data (if
// any) controls the color of the associated actor(s) that refer to the
// mapper. The ScalarMode ivar is used to determine whether scalar point data
// or cell data is used to color the object. By default, point data scalars
// are used unless there are none, in which cell scalars are used. Or you can
// explicitly control whether to use point or cell scalar data. Finally, the
// mapping of scalars through the lookup table varies depending on the
// setting of the ColorMode flag. See the documentation for the appropriate
// methods for an explanation.
//
// Another important feature of this class is whether to use immediate mode
// rendering (ImmediateModeRenderingOn) or display list rendering
// (ImmediateModeRenderingOff). If display lists are used, a data structure
// is constructed (generally in the rendering library) which can then be
// rapidly traversed and rendered by the rendering library. The disadvantage
// of display lists is that they require additionally memory which may affect
// the performance of the system.
//
// Another important feature of the mapper is the ability to shift the
// z-buffer to resolve coincident topology. For example, if you'd like to
// draw a mesh with some edges a different color, and the edges lie on the
// mesh, this feature can be useful to get nice looking lines. (See the
// ResolveCoincidentTopology-related methods.)
//
//To create an instance of class vtkMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkMapper
//@]
//@@Methods
//The class vtkMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMapper = obj.NewInstance ()|
// \item @|vtkMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ShallowCopy (vtkAbstractMapper m)| -  Make a shallow copy of this mapper.
//// \item @|long = obj.GetMTime ()| -  Overload standard modified time function. If lookup table is modified,
// then this object is modified as well.
//// \item @|obj.Render (vtkRenderer ren, vtkActor a)| -  Method initiates the mapping process. Generally sent by the actor 
// as each frame is rendered.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this mapper.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|obj.SetLookupTable (vtkScalarsToColors lut)| -  Specify a lookup table for the mapper to use.
//// \item @|vtkScalarsToColors = obj.GetLookupTable ()| -  Specify a lookup table for the mapper to use.
//// \item @|obj.CreateDefaultLookupTable ()| -  Create default lookup table. Generally used to create one when none
// is available with the scalar data.
//// \item @|obj.SetScalarVisibility (int )| -  Turn on/off flag to control whether scalar data is used to color objects.
//// \item @|int = obj.GetScalarVisibility ()| -  Turn on/off flag to control whether scalar data is used to color objects.
//// \item @|obj.ScalarVisibilityOn ()| -  Turn on/off flag to control whether scalar data is used to color objects.
//// \item @|obj.ScalarVisibilityOff ()| -  Turn on/off flag to control whether scalar data is used to color objects.
//// \item @|obj.SetStatic (int )| -  Turn on/off flag to control whether the mapper's data is static. Static data
// means that the mapper does not propagate updates down the pipeline, greatly
// decreasing the time it takes to update many mappers. This should only be
// used if the data never changes.
//// \item @|int = obj.GetStatic ()| -  Turn on/off flag to control whether the mapper's data is static. Static data
// means that the mapper does not propagate updates down the pipeline, greatly
// decreasing the time it takes to update many mappers. This should only be
// used if the data never changes.
//// \item @|obj.StaticOn ()| -  Turn on/off flag to control whether the mapper's data is static. Static data
// means that the mapper does not propagate updates down the pipeline, greatly
// decreasing the time it takes to update many mappers. This should only be
// used if the data never changes.
//// \item @|obj.StaticOff ()| -  Turn on/off flag to control whether the mapper's data is static. Static data
// means that the mapper does not propagate updates down the pipeline, greatly
// decreasing the time it takes to update many mappers. This should only be
// used if the data never changes.
//// \item @|obj.SetColorMode (int )| -  Control how the scalar data is mapped to colors.  By default
// (ColorModeToDefault), unsigned char scalars are treated as colors, and
// NOT mapped through the lookup table, while everything else is. Setting
// ColorModeToMapScalars means that all scalar data will be mapped through
// the lookup table.  (Note that for multi-component scalars, the
// particular component to use for mapping can be specified using the
// SelectColorArray() method.)
//// \item @|int = obj.GetColorMode ()| -  Control how the scalar data is mapped to colors.  By default
// (ColorModeToDefault), unsigned char scalars are treated as colors, and
// NOT mapped through the lookup table, while everything else is. Setting
// ColorModeToMapScalars means that all scalar data will be mapped through
// the lookup table.  (Note that for multi-component scalars, the
// particular component to use for mapping can be specified using the
// SelectColorArray() method.)
//// \item @|obj.SetColorModeToDefault ()| -  Control how the scalar data is mapped to colors.  By default
// (ColorModeToDefault), unsigned char scalars are treated as colors, and
// NOT mapped through the lookup table, while everything else is. Setting
// ColorModeToMapScalars means that all scalar data will be mapped through
// the lookup table.  (Note that for multi-component scalars, the
// particular component to use for mapping can be specified using the
// SelectColorArray() method.)
//// \item @|obj.SetColorModeToMapScalars ()| -  Control how the scalar data is mapped to colors.  By default
// (ColorModeToDefault), unsigned char scalars are treated as colors, and
// NOT mapped through the lookup table, while everything else is. Setting
// ColorModeToMapScalars means that all scalar data will be mapped through
// the lookup table.  (Note that for multi-component scalars, the
// particular component to use for mapping can be specified using the
// SelectColorArray() method.)
//// \item @|string = obj.GetColorModeAsString ()| -  Return the method of coloring scalar data.
//// \item @|obj.SetInterpolateScalarsBeforeMapping (int )| -  By default, vertex color is used to map colors to a surface.
// Colors are interpolated after being mapped.
// This option avoids color interpolation by using a one dimensional
// texture map for the colors.
//// \item @|int = obj.GetInterpolateScalarsBeforeMapping ()| -  By default, vertex color is used to map colors to a surface.
// Colors are interpolated after being mapped.
// This option avoids color interpolation by using a one dimensional
// texture map for the colors.
//// \item @|obj.InterpolateScalarsBeforeMappingOn ()| -  By default, vertex color is used to map colors to a surface.
// Colors are interpolated after being mapped.
// This option avoids color interpolation by using a one dimensional
// texture map for the colors.
//// \item @|obj.InterpolateScalarsBeforeMappingOff ()| -  By default, vertex color is used to map colors to a surface.
// Colors are interpolated after being mapped.
// This option avoids color interpolation by using a one dimensional
// texture map for the colors.
//// \item @|obj.SetUseLookupTableScalarRange (int )| -  Control whether the mapper sets the lookuptable range based on its
// own ScalarRange, or whether it will use the LookupTable ScalarRange
// regardless of it's own setting. By default the Mapper is allowed to set
// the LookupTable range, but users who are sharing LookupTables between
// mappers/actors will probably wish to force the mapper to use the
// LookupTable unchanged.
//// \item @|int = obj.GetUseLookupTableScalarRange ()| -  Control whether the mapper sets the lookuptable range based on its
// own ScalarRange, or whether it will use the LookupTable ScalarRange
// regardless of it's own setting. By default the Mapper is allowed to set
// the LookupTable range, but users who are sharing LookupTables between
// mappers/actors will probably wish to force the mapper to use the
// LookupTable unchanged.
//// \item @|obj.UseLookupTableScalarRangeOn ()| -  Control whether the mapper sets the lookuptable range based on its
// own ScalarRange, or whether it will use the LookupTable ScalarRange
// regardless of it's own setting. By default the Mapper is allowed to set
// the LookupTable range, but users who are sharing LookupTables between
// mappers/actors will probably wish to force the mapper to use the
// LookupTable unchanged.
//// \item @|obj.UseLookupTableScalarRangeOff ()| -  Control whether the mapper sets the lookuptable range based on its
// own ScalarRange, or whether it will use the LookupTable ScalarRange
// regardless of it's own setting. By default the Mapper is allowed to set
// the LookupTable range, but users who are sharing LookupTables between
// mappers/actors will probably wish to force the mapper to use the
// LookupTable unchanged.
//// \item @|obj.SetScalarRange (double , double )| -  Specify range in terms of scalar minimum and maximum (smin,smax). These
// values are used to map scalars into lookup table. Has no effect when
// UseLookupTableScalarRange is true.
//// \item @|obj.SetScalarRange (double  a[2])| -  Specify range in terms of scalar minimum and maximum (smin,smax). These
// values are used to map scalars into lookup table. Has no effect when
// UseLookupTableScalarRange is true.
//// \item @|double = obj. GetScalarRange ()| -  Specify range in terms of scalar minimum and maximum (smin,smax). These
// values are used to map scalars into lookup table. Has no effect when
// UseLookupTableScalarRange is true.
//// \item @|obj.SetImmediateModeRendering (int )| -  Turn on/off flag to control whether data is rendered using
// immediate mode or note. Immediate mode rendering
// tends to be slower but it can handle larger datasets.
// The default value is immediate mode off. If you are
// having problems rendering a large dataset you might
// want to consider using immediate more rendering.
//// \item @|int = obj.GetImmediateModeRendering ()| -  Turn on/off flag to control whether data is rendered using
// immediate mode or note. Immediate mode rendering
// tends to be slower but it can handle larger datasets.
// The default value is immediate mode off. If you are
// having problems rendering a large dataset you might
// want to consider using immediate more rendering.
//// \item @|obj.ImmediateModeRenderingOn ()| -  Turn on/off flag to control whether data is rendered using
// immediate mode or note. Immediate mode rendering
// tends to be slower but it can handle larger datasets.
// The default value is immediate mode off. If you are
// having problems rendering a large dataset you might
// want to consider using immediate more rendering.
//// \item @|obj.ImmediateModeRenderingOff ()| -  Turn on/off flag to control whether data is rendered using
// immediate mode or note. Immediate mode rendering
// tends to be slower but it can handle larger datasets.
// The default value is immediate mode off. If you are
// having problems rendering a large dataset you might
// want to consider using immediate more rendering.
//// \item @|obj.SetScalarMode (int )| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the filter will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the filter to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call SelectColorArray before you call
// GetColors.
// When ScalarMode is set to use Field Data (ScalarModeToFieldData), you 
// must call SelectColorArray to choose the field data array to be used to
// color cells. In this mode, if the poly data has triangle strips, 
// the field data is treated as the celldata for each mini-cell formed by
// a triangle in the strip rather than the entire strip.
//// \item @|int = obj.GetScalarMode ()| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the filter will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the filter to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call SelectColorArray before you call
// GetColors.
// When ScalarMode is set to use Field Data (ScalarModeToFieldData), you 
// must call SelectColorArray to choose the field data array to be used to
// color cells. In this mode, if the poly data has triangle strips, 
// the field data is treated as the celldata for each mini-cell formed by
// a triangle in the strip rather than the entire strip.
//// \item @|obj.SetScalarModeToDefault ()| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the filter will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the filter to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call SelectColorArray before you call
// GetColors.
// When ScalarMode is set to use Field Data (ScalarModeToFieldData), you 
// must call SelectColorArray to choose the field data array to be used to
// color cells. In this mode, if the poly data has triangle strips, 
// the field data is treated as the celldata for each mini-cell formed by
// a triangle in the strip rather than the entire strip.
//// \item @|obj.SetScalarModeToUsePointData ()| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the filter will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the filter to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call SelectColorArray before you call
// GetColors.
// When ScalarMode is set to use Field Data (ScalarModeToFieldData), you 
// must call SelectColorArray to choose the field data array to be used to
// color cells. In this mode, if the poly data has triangle strips, 
// the field data is treated as the celldata for each mini-cell formed by
// a triangle in the strip rather than the entire strip.
//// \item @|obj.SetScalarModeToUseCellData ()| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the filter will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the filter to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call SelectColorArray before you call
// GetColors.
// When ScalarMode is set to use Field Data (ScalarModeToFieldData), you 
// must call SelectColorArray to choose the field data array to be used to
// color cells. In this mode, if the poly data has triangle strips, 
// the field data is treated as the celldata for each mini-cell formed by
// a triangle in the strip rather than the entire strip.
//// \item @|obj.SetScalarModeToUsePointFieldData ()| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the filter will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the filter to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call SelectColorArray before you call
// GetColors.
// When ScalarMode is set to use Field Data (ScalarModeToFieldData), you 
// must call SelectColorArray to choose the field data array to be used to
// color cells. In this mode, if the poly data has triangle strips, 
// the field data is treated as the celldata for each mini-cell formed by
// a triangle in the strip rather than the entire strip.
//// \item @|obj.SetScalarModeToUseCellFieldData ()| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the filter will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the filter to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call SelectColorArray before you call
// GetColors.
// When ScalarMode is set to use Field Data (ScalarModeToFieldData), you 
// must call SelectColorArray to choose the field data array to be used to
// color cells. In this mode, if the poly data has triangle strips, 
// the field data is treated as the celldata for each mini-cell formed by
// a triangle in the strip rather than the entire strip.
//// \item @|obj.SetScalarModeToUseFieldData ()| -  When ScalarMode is set to UsePointFieldData or UseCellFieldData,
// you can specify which array to use for coloring using these methods.
// The lookup table will decide how to convert vectors to colors.
//// \item @|obj.SelectColorArray (int arrayNum)| -  When ScalarMode is set to UsePointFieldData or UseCellFieldData,
// you can specify which array to use for coloring using these methods.
// The lookup table will decide how to convert vectors to colors.
//// \item @|obj.SelectColorArray (string arrayName)| -  When ScalarMode is set to UsePointFieldData or UseCellFieldData,
// you can specify which array to use for coloring using these methods.
// The lookup table will decide how to convert vectors to colors.
//// \item @|obj.ColorByArrayComponent (int arrayNum, int component)| -  Legacy:
// These methods used to be used to specify the array component.
// It is better to do this in the lookup table.
//// \item @|obj.ColorByArrayComponent (string arrayName, int component)| -  Legacy:
// These methods used to be used to specify the array component.
// It is better to do this in the lookup table.
//// \item @|string = obj.GetArrayName ()| -  Get the array name or number and component to color by.
//// \item @|int = obj.GetArrayId ()| -  Get the array name or number and component to color by.
//// \item @|int = obj.GetArrayAccessMode ()| -  Get the array name or number and component to color by.
//// \item @|int = obj.GetArrayComponent ()| -  Return the method for obtaining scalar data.
//// \item @|string = obj.GetScalarModeAsString ()| -  Return the method for obtaining scalar data.
//// \item @|double = obj.GetBounds ()| -  Return bounding box (array of six doubles) of data expressed as
// (xmin,xmax, ymin,ymax, zmin,zmax).
//// \item @|obj.GetBounds (double bounds[6])| -  Return bounding box (array of six doubles) of data expressed as
// (xmin,xmax, ymin,ymax, zmin,zmax).
//// \item @|obj.SetRenderTime (double time)| -  This instance variable is used by vtkLODActor to determine which
// mapper to use.  It is an estimate of the time necessary to render.
// Setting the render time does not modify the mapper.
//// \item @|double = obj.GetRenderTime ()| -  This instance variable is used by vtkLODActor to determine which
// mapper to use.  It is an estimate of the time necessary to render.
// Setting the render time does not modify the mapper.
//// \item @|vtkDataSet = obj.GetInputAsDataSet ()| -  Map the scalars (if there are any scalars and ScalarVisibility is on)
// through the lookup table, returning an unsigned char RGBA array. This is
// typically done as part of the rendering process. The alpha parameter 
// allows the blending of the scalars with an additional alpha (typically
// which comes from a vtkActor, etc.)
//// \item @|vtkUnsignedCharArray = obj.MapScalars (double alpha)| -  Map the scalars (if there are any scalars and ScalarVisibility is on)
// through the lookup table, returning an unsigned char RGBA array. This is
// typically done as part of the rendering process. The alpha parameter 
// allows the blending of the scalars with an additional alpha (typically
// which comes from a vtkActor, etc.)
//// \item @|obj.SetScalarMaterialMode (int )| -  Set/Get the light-model color mode. 
//// \item @|int = obj.GetScalarMaterialMode ()| -  Set/Get the light-model color mode. 
//// \item @|obj.SetScalarMaterialModeToDefault ()| -  Set/Get the light-model color mode. 
//// \item @|obj.SetScalarMaterialModeToAmbient ()| -  Set/Get the light-model color mode. 
//// \item @|obj.SetScalarMaterialModeToDiffuse ()| -  Set/Get the light-model color mode. 
//// \item @|obj.SetScalarMaterialModeToAmbientAndDiffuse ()| -  Set/Get the light-model color mode. 
//// \item @|string = obj.GetScalarMaterialModeAsString ()| -  Return the light-model color mode.
//// \item @|bool = obj.GetSupportsSelection ()| -  WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE
// DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS
// Used by vtkHardwareSelector to determine if the prop supports hardware
// selection.
////\end{itemize}
//!
