#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMapperCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMapperCollection.h"

//@@Signature
//sfunction @vtkMapperCollection:vtkMapperCollection vtkMapperCollectionConstructorFunction
//input a
//output p
//@@Parents vtkMapperCollection vtkCollection 
ArrayVector vtkMapperCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMapperCollection::New(),"vtkMapperCollection",eval);
  } else if (arg[0].className() == "vtkMapperCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMapperCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMapperCollection");
    vtkMapperCollection*q = reinterpret_cast<vtkMapperCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMapperCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMapperCollection:GetClassName vtkMapperCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMapperCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMapperCollection requires 1 argument(s)");
  vtkMapperCollection* vtk_pointer = GetVTKPointer<vtkMapperCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapperCollection:IsA vtkMapperCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMapperCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMapperCollection requires 2 argument(s)");
  vtkMapperCollection* vtk_pointer = GetVTKPointer<vtkMapperCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMapperCollection:NewInstance vtkMapperCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMapperCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMapperCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMapperCollection requires 1 argument(s)");
  vtkMapperCollection* vtk_pointer = GetVTKPointer<vtkMapperCollection>(arg[0]);
  Array retval;
  vtkMapperCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMapperCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMapperCollection:SafeDownCast vtkMapperCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMapperCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMapperCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMapperCollection requires 2 argument(s)");
  vtkMapperCollection* vtk_pointer = GetVTKPointer<vtkMapperCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMapperCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMapperCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMapperCollection:AddItem__1 vtkMapperCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkMapperCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkMapper *a);this vtkCollection AddItem static_cast vtkObject a  */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkMapperCollection requires 2 argument(s)");
  vtkMapperCollection* vtk_pointer = GetVTKPointer<vtkMapperCollection>(arg[0]);
  Array retval;
  vtkMapper  *temp0;
  temp0 = GetVTKPointer<vtkMapper>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMapperCollection:GetNextItem vtkMapperCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkMapperCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMapper *GetNextItem ();return static_cast vtkMapper this GetNextItemAsObject  */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkMapperCollection requires 1 argument(s)");
  vtkMapperCollection* vtk_pointer = GetVTKPointer<vtkMapperCollection>(arg[0]);
  Array retval;
  vtkMapper  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMapperCollection:GetLastItem vtkMapperCollectionGetLastItemFunction
//input a0 
//output y
ArrayVector vtkMapperCollectionGetLastItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMapper *GetLastItem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastItem for class vtkMapperCollection requires 1 argument(s)");
  vtkMapperCollection* vtk_pointer = GetVTKPointer<vtkMapperCollection>(arg[0]);
  Array retval;
  vtkMapper  *temp20;
  temp20 = (vtk_pointer)->GetLastItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMapperCollection:AddItem vtkMapperCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkMapperCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkMapper"))
    return vtkMapperCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMapperCollectionAddItem");
}

//@@Signature
//sfunction @vtkMapperCollection:display vtkMapperCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMapperCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMapperCollection* vtk_pointer = GetVTKPointer<vtkMapperCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMapperCollection:delete vtkMapperCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkMapperCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMapperCollection
//@@Section VTKRendering
//@@Usage
// vtkMapperCollection represents and provides methods to manipulate a list of
// mappers (i.e., vtkMapper and subclasses). The list is unsorted and duplicate
// entries are not prevented.
//
//To create an instance of class vtkMapperCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkMapperCollection
//@]
//@@Methods
//The class vtkMapperCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMapperCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMapperCollection = obj.NewInstance ()|
// \item @|vtkMapperCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkMapper a)| -  Add an mapper to the list.
//// \item @|vtkMapper = obj.GetNextItem ()| -  Get the next mapper in the list.
//// \item @|vtkMapper = obj.GetLastItem ()| -  Get the last mapper in the list.
////\end{itemize}
//!
