#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOBJExporter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOBJExporter.h"

//@@Signature
//sfunction @vtkOBJExporter:vtkOBJExporter vtkOBJExporterConstructorFunction
//input a
//output p
//@@Parents vtkOBJExporter vtkExporter 
ArrayVector vtkOBJExporterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOBJExporter::New(),"vtkOBJExporter",eval);
  } else if (arg[0].className() == "vtkOBJExporter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOBJExporter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOBJExporter");
    vtkOBJExporter*q = reinterpret_cast<vtkOBJExporter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOBJExporter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOBJExporter:GetClassName vtkOBJExporterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOBJExporterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOBJExporter requires 1 argument(s)");
  vtkOBJExporter* vtk_pointer = GetVTKPointer<vtkOBJExporter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOBJExporter:IsA vtkOBJExporterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOBJExporterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOBJExporter requires 2 argument(s)");
  vtkOBJExporter* vtk_pointer = GetVTKPointer<vtkOBJExporter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOBJExporter:NewInstance vtkOBJExporterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOBJExporterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOBJExporter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOBJExporter requires 1 argument(s)");
  vtkOBJExporter* vtk_pointer = GetVTKPointer<vtkOBJExporter>(arg[0]);
  Array retval;
  vtkOBJExporter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOBJExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOBJExporter:SafeDownCast vtkOBJExporterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOBJExporterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOBJExporter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOBJExporter requires 2 argument(s)");
  vtkOBJExporter* vtk_pointer = GetVTKPointer<vtkOBJExporter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOBJExporter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOBJExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOBJExporter:SetFilePrefix vtkOBJExporterSetFilePrefixFunction
//input a0 a1 
//output none
ArrayVector vtkOBJExporterSetFilePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilePrefix (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFilePrefix for class vtkOBJExporter requires 2 argument(s)");
  vtkOBJExporter* vtk_pointer = GetVTKPointer<vtkOBJExporter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFilePrefix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOBJExporter:GetFilePrefix vtkOBJExporterGetFilePrefixFunction
//input a0 
//output y
ArrayVector vtkOBJExporterGetFilePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFilePrefix (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFilePrefix for class vtkOBJExporter requires 1 argument(s)");
  vtkOBJExporter* vtk_pointer = GetVTKPointer<vtkOBJExporter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFilePrefix();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOBJExporter:display vtkOBJExporterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOBJExporterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOBJExporter* vtk_pointer = GetVTKPointer<vtkOBJExporter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOBJExporter:delete vtkOBJExporterDeleteFunction
//input varargin
//output none
ArrayVector vtkOBJExporterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOBJExporter
//@@Section VTKRendering
//@@Usage
// vtkOBJExporter is a concrete subclass of vtkExporter that writes wavefront
// .OBJ files in ASCII form. It also writes out a mtl file that contains the
// material properties. The filenames are derived by appending the .obj and
// .mtl suffix onto the user specified FilePrefix.
//
//
//To create an instance of class vtkOBJExporter, simply
//invoke its constructor as follows
//@[
//  obj = vtkOBJExporter
//@]
//@@Methods
//The class vtkOBJExporter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOBJExporter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOBJExporter = obj.NewInstance ()|
// \item @|vtkOBJExporter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFilePrefix (string )| -  Specify the prefix of the files to write out. The resulting filenames
// will have .obj and .mtl appended to them.
//// \item @|string = obj.GetFilePrefix ()| -  Specify the prefix of the files to write out. The resulting filenames
// will have .obj and .mtl appended to them.
////\end{itemize}
//!
