#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOOGLExporter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOOGLExporter.h"

//@@Signature
//sfunction @vtkOOGLExporter:vtkOOGLExporter vtkOOGLExporterConstructorFunction
//input a
//output p
//@@Parents vtkOOGLExporter vtkExporter 
ArrayVector vtkOOGLExporterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOOGLExporter::New(),"vtkOOGLExporter",eval);
  } else if (arg[0].className() == "vtkOOGLExporter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOOGLExporter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOOGLExporter");
    vtkOOGLExporter*q = reinterpret_cast<vtkOOGLExporter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOOGLExporter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOOGLExporter:GetClassName vtkOOGLExporterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOOGLExporterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOOGLExporter requires 1 argument(s)");
  vtkOOGLExporter* vtk_pointer = GetVTKPointer<vtkOOGLExporter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOOGLExporter:IsA vtkOOGLExporterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOOGLExporterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOOGLExporter requires 2 argument(s)");
  vtkOOGLExporter* vtk_pointer = GetVTKPointer<vtkOOGLExporter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOOGLExporter:NewInstance vtkOOGLExporterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOOGLExporterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOOGLExporter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOOGLExporter requires 1 argument(s)");
  vtkOOGLExporter* vtk_pointer = GetVTKPointer<vtkOOGLExporter>(arg[0]);
  Array retval;
  vtkOOGLExporter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOOGLExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOOGLExporter:SafeDownCast vtkOOGLExporterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOOGLExporterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOOGLExporter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOOGLExporter requires 2 argument(s)");
  vtkOOGLExporter* vtk_pointer = GetVTKPointer<vtkOOGLExporter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOOGLExporter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOOGLExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOOGLExporter:SetFileName vtkOOGLExporterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkOOGLExporterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkOOGLExporter requires 2 argument(s)");
  vtkOOGLExporter* vtk_pointer = GetVTKPointer<vtkOOGLExporter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOOGLExporter:GetFileName vtkOOGLExporterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkOOGLExporterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkOOGLExporter requires 1 argument(s)");
  vtkOOGLExporter* vtk_pointer = GetVTKPointer<vtkOOGLExporter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOOGLExporter:display vtkOOGLExporterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOOGLExporterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOOGLExporter* vtk_pointer = GetVTKPointer<vtkOOGLExporter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOOGLExporter:delete vtkOOGLExporterDeleteFunction
//input varargin
//output none
ArrayVector vtkOOGLExporterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOOGLExporter
//@@Section VTKRendering
//@@Usage
// vtkOOGLExporter is a concrete subclass of vtkExporter that writes
// Geomview OOGL files.
//
//
//To create an instance of class vtkOOGLExporter, simply
//invoke its constructor as follows
//@[
//  obj = vtkOOGLExporter
//@]
//@@Methods
//The class vtkOOGLExporter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOOGLExporter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOOGLExporter = obj.NewInstance ()|
// \item @|vtkOOGLExporter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify the name of the Geomview file to write.
//// \item @|string = obj.GetFileName ()| -  Specify the name of the Geomview file to write.
////\end{itemize}
//!
