#include "VTKWrap.hpp"

// FreeMat wrapper for vtkObserverMediator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkObserverMediator.h"

//@@Signature
//sfunction @vtkObserverMediator:vtkObserverMediator vtkObserverMediatorConstructorFunction
//input a
//output p
//@@Parents vtkObserverMediator vtkObject 
ArrayVector vtkObserverMediatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkObserverMediator::New(),"vtkObserverMediator",eval);
  } else if (arg[0].className() == "vtkObserverMediator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkObserverMediator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkObserverMediator");
    vtkObserverMediator*q = reinterpret_cast<vtkObserverMediator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkObserverMediator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkObserverMediator:GetClassName vtkObserverMediatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkObserverMediatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkObserverMediator requires 1 argument(s)");
  vtkObserverMediator* vtk_pointer = GetVTKPointer<vtkObserverMediator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObserverMediator:IsA vtkObserverMediatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkObserverMediatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkObserverMediator requires 2 argument(s)");
  vtkObserverMediator* vtk_pointer = GetVTKPointer<vtkObserverMediator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObserverMediator:NewInstance vtkObserverMediatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkObserverMediatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkObserverMediator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkObserverMediator requires 1 argument(s)");
  vtkObserverMediator* vtk_pointer = GetVTKPointer<vtkObserverMediator>(arg[0]);
  Array retval;
  vtkObserverMediator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObserverMediator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkObserverMediator:SafeDownCast vtkObserverMediatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkObserverMediatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkObserverMediator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkObserverMediator requires 2 argument(s)");
  vtkObserverMediator* vtk_pointer = GetVTKPointer<vtkObserverMediator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkObserverMediator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObserverMediator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkObserverMediator:SetInteractor vtkObserverMediatorSetInteractorFunction
//input a0 a1 
//output none
ArrayVector vtkObserverMediatorSetInteractorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInteractor (vtkRenderWindowInteractor *iren); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractor for class vtkObserverMediator requires 2 argument(s)");
  vtkObserverMediator* vtk_pointer = GetVTKPointer<vtkObserverMediator>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindowInteractor>(arg[1]);
  vtk_pointer->SetInteractor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkObserverMediator:GetInteractor vtkObserverMediatorGetInteractorFunction
//input a0 
//output y
ArrayVector vtkObserverMediatorGetInteractorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindowInteractor *GetInteractor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteractor for class vtkObserverMediator requires 1 argument(s)");
  vtkObserverMediator* vtk_pointer = GetVTKPointer<vtkObserverMediator>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp20;
  temp20 = (vtk_pointer)->GetInteractor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindowInteractor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkObserverMediator:RequestCursorShape vtkObserverMediatorRequestCursorShapeFunction
//input a0 a1 a2 
//output y
ArrayVector vtkObserverMediatorRequestCursorShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RequestCursorShape (vtkInteractorObserver *, int cursorShape); */
  if (arg.size() < 3) 
    throw Exception("Function RequestCursorShape for class vtkObserverMediator requires 3 argument(s)");
  vtkObserverMediator* vtk_pointer = GetVTKPointer<vtkObserverMediator>(arg[0]);
  Array retval;
  vtkInteractorObserver  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkInteractorObserver>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->RequestCursorShape(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkObserverMediator:RemoveAllCursorShapeRequests vtkObserverMediatorRemoveAllCursorShapeRequestsFunction
//input a0 a1 
//output none
ArrayVector vtkObserverMediatorRemoveAllCursorShapeRequestsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllCursorShapeRequests (vtkInteractorObserver *); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveAllCursorShapeRequests for class vtkObserverMediator requires 2 argument(s)");
  vtkObserverMediator* vtk_pointer = GetVTKPointer<vtkObserverMediator>(arg[0]);
  Array retval;
  vtkInteractorObserver  *temp0;
  temp0 = GetVTKPointer<vtkInteractorObserver>(arg[1]);
  vtk_pointer->RemoveAllCursorShapeRequests(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkObserverMediator:display vtkObserverMediatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkObserverMediatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkObserverMediator* vtk_pointer = GetVTKPointer<vtkObserverMediator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkObserverMediator:delete vtkObserverMediatorDeleteFunction
//input varargin
//output none
ArrayVector vtkObserverMediatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkObserverMediator
//@@Section VTKRendering
//@@Usage
// The vtkObserverMediator is a helper class that manages requests for
// cursor changes from multiple interactor observers (e.g. widgets). It keeps
// a list of widgets (and their priorities) and their current requests for
// cursor shape. It then satisfies requests based on widget priority and the
// relative importance of the request (e.g., a lower priority widget
// requesting a particular cursor shape will overrule a higher priority
// widget requesting a default shape).
//
//To create an instance of class vtkObserverMediator, simply
//invoke its constructor as follows
//@[
//  obj = vtkObserverMediator
//@]
//@@Methods
//The class vtkObserverMediator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkObserverMediator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard macros.
//// \item @|int = obj.IsA (string name)| -  Standard macros.
//// \item @|vtkObserverMediator = obj.NewInstance ()| -  Standard macros.
//// \item @|vtkObserverMediator = obj.SafeDownCast (vtkObject o)| -  Standard macros.
//// \item @|obj.SetInteractor (vtkRenderWindowInteractor iren)| -  Specify the instance of vtkRenderWindow whose cursor shape is
// to be managed.
//// \item @|vtkRenderWindowInteractor = obj.GetInteractor ()| -  Specify the instance of vtkRenderWindow whose cursor shape is
// to be managed.
//// \item @|int = obj.RequestCursorShape (vtkInteractorObserver , int cursorShape)| -  Method used to request a cursor shape. Note that the shape is specified
// using one of the integral values determined in vtkRenderWindow.h. The 
// method returns a non-zero value if the shape was successfully changed.
//// \item @|obj.RemoveAllCursorShapeRequests (vtkInteractorObserver )| -  Remove all requests for cursor shape from a given interactor.
////\end{itemize}
//!
