#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpaquePass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpaquePass.h"

//@@Signature
//sfunction @vtkOpaquePass:vtkOpaquePass vtkOpaquePassConstructorFunction
//input a
//output p
//@@Parents vtkOpaquePass vtkDefaultPass 
ArrayVector vtkOpaquePassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpaquePass::New(),"vtkOpaquePass",eval);
  } else if (arg[0].className() == "vtkOpaquePass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpaquePass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpaquePass");
    vtkOpaquePass*q = reinterpret_cast<vtkOpaquePass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpaquePass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpaquePass:GetClassName vtkOpaquePassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpaquePassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpaquePass requires 1 argument(s)");
  vtkOpaquePass* vtk_pointer = GetVTKPointer<vtkOpaquePass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpaquePass:IsA vtkOpaquePassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpaquePassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpaquePass requires 2 argument(s)");
  vtkOpaquePass* vtk_pointer = GetVTKPointer<vtkOpaquePass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpaquePass:NewInstance vtkOpaquePassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpaquePassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpaquePass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpaquePass requires 1 argument(s)");
  vtkOpaquePass* vtk_pointer = GetVTKPointer<vtkOpaquePass>(arg[0]);
  Array retval;
  vtkOpaquePass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpaquePass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpaquePass:SafeDownCast vtkOpaquePassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpaquePassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpaquePass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpaquePass requires 2 argument(s)");
  vtkOpaquePass* vtk_pointer = GetVTKPointer<vtkOpaquePass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpaquePass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpaquePass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpaquePass:display vtkOpaquePassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpaquePassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpaquePass* vtk_pointer = GetVTKPointer<vtkOpaquePass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpaquePass:delete vtkOpaquePassDeleteFunction
//input varargin
//output none
ArrayVector vtkOpaquePassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpaquePass
//@@Section VTKRendering
//@@Usage
// vtkOpaquePass renders the opaque geometry of all the props that have the
// keys contained in vtkRenderState.
//
// This pass expects an initialized depth buffer and color buffer.
// Initialized buffers means they have been cleared with farest z-value and
// background color/gradient/transparent color.
// 
//
//To create an instance of class vtkOpaquePass, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpaquePass
//@]
//@@Methods
//The class vtkOpaquePass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpaquePass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpaquePass = obj.NewInstance ()|
// \item @|vtkOpaquePass = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
