#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLActor.h"

//@@Signature
//sfunction @vtkOpenGLActor:vtkOpenGLActor vtkOpenGLActorConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLActor vtkActor 
ArrayVector vtkOpenGLActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLActor::New(),"vtkOpenGLActor",eval);
  } else if (arg[0].className() == "vtkOpenGLActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLActor");
    vtkOpenGLActor*q = reinterpret_cast<vtkOpenGLActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLActor:GetClassName vtkOpenGLActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLActor requires 1 argument(s)");
  vtkOpenGLActor* vtk_pointer = GetVTKPointer<vtkOpenGLActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLActor:IsA vtkOpenGLActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLActor requires 2 argument(s)");
  vtkOpenGLActor* vtk_pointer = GetVTKPointer<vtkOpenGLActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLActor:NewInstance vtkOpenGLActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLActor requires 1 argument(s)");
  vtkOpenGLActor* vtk_pointer = GetVTKPointer<vtkOpenGLActor>(arg[0]);
  Array retval;
  vtkOpenGLActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLActor:SafeDownCast vtkOpenGLActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLActor requires 2 argument(s)");
  vtkOpenGLActor* vtk_pointer = GetVTKPointer<vtkOpenGLActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLActor:Render vtkOpenGLActorRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOpenGLActorRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Render (vtkRenderer *ren, vtkMapper *mapper); */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkOpenGLActor requires 3 argument(s)");
  vtkOpenGLActor* vtk_pointer = GetVTKPointer<vtkOpenGLActor>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkMapper  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkMapper>(arg[2]);
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLActor:display vtkOpenGLActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLActor* vtk_pointer = GetVTKPointer<vtkOpenGLActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLActor:delete vtkOpenGLActorDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLActor
//@@Section VTKRendering
//@@Usage
// vtkOpenGLActor is a concrete implementation of the abstract class vtkActor.
// vtkOpenGLActor interfaces to the OpenGL rendering library.
//
//To create an instance of class vtkOpenGLActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLActor
//@]
//@@Methods
//The class vtkOpenGLActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLActor = obj.NewInstance ()|
// \item @|vtkOpenGLActor = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Render (vtkRenderer ren, vtkMapper mapper)| -  Actual actor render method.
////\end{itemize}
//!
