#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLCamera object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLCamera.h"

//@@Signature
//sfunction @vtkOpenGLCamera:vtkOpenGLCamera vtkOpenGLCameraConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLCamera vtkCamera 
ArrayVector vtkOpenGLCameraConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLCamera::New(),"vtkOpenGLCamera",eval);
  } else if (arg[0].className() == "vtkOpenGLCamera") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLCamera"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLCamera");
    vtkOpenGLCamera*q = reinterpret_cast<vtkOpenGLCamera*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLCamera");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLCamera:GetClassName vtkOpenGLCameraGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLCameraGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLCamera requires 1 argument(s)");
  vtkOpenGLCamera* vtk_pointer = GetVTKPointer<vtkOpenGLCamera>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLCamera:IsA vtkOpenGLCameraIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLCameraIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLCamera requires 2 argument(s)");
  vtkOpenGLCamera* vtk_pointer = GetVTKPointer<vtkOpenGLCamera>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLCamera:NewInstance vtkOpenGLCameraNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLCameraNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLCamera *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLCamera requires 1 argument(s)");
  vtkOpenGLCamera* vtk_pointer = GetVTKPointer<vtkOpenGLCamera>(arg[0]);
  Array retval;
  vtkOpenGLCamera  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLCamera:SafeDownCast vtkOpenGLCameraSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLCameraSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLCamera *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLCamera requires 2 argument(s)");
  vtkOpenGLCamera* vtk_pointer = GetVTKPointer<vtkOpenGLCamera>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLCamera  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLCamera:Render vtkOpenGLCameraRenderFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLCameraRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Render (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function Render for class vtkOpenGLCamera requires 2 argument(s)");
  vtkOpenGLCamera* vtk_pointer = GetVTKPointer<vtkOpenGLCamera>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->Render(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLCamera:UpdateViewport vtkOpenGLCameraUpdateViewportFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLCameraUpdateViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UpdateViewport (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function UpdateViewport for class vtkOpenGLCamera requires 2 argument(s)");
  vtkOpenGLCamera* vtk_pointer = GetVTKPointer<vtkOpenGLCamera>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->UpdateViewport(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLCamera:display vtkOpenGLCameraDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLCameraDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLCamera* vtk_pointer = GetVTKPointer<vtkOpenGLCamera>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLCamera:delete vtkOpenGLCameraDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLCameraDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLCamera
//@@Section VTKRendering
//@@Usage
// vtkOpenGLCamera is a concrete implementation of the abstract class
// vtkCamera.  vtkOpenGLCamera interfaces to the OpenGL rendering library.
//
//To create an instance of class vtkOpenGLCamera, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLCamera
//@]
//@@Methods
//The class vtkOpenGLCamera has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLCamera class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLCamera = obj.NewInstance ()|
// \item @|vtkOpenGLCamera = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Render (vtkRenderer ren)| -  Implement base class method.
//// \item @|obj.UpdateViewport (vtkRenderer ren)|
//\end{itemize}
//!
