#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLClipPlanesPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLClipPlanesPainter.h"

//@@Signature
//sfunction @vtkOpenGLClipPlanesPainter:vtkOpenGLClipPlanesPainter vtkOpenGLClipPlanesPainterConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLClipPlanesPainter vtkClipPlanesPainter 
ArrayVector vtkOpenGLClipPlanesPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLClipPlanesPainter::New(),"vtkOpenGLClipPlanesPainter",eval);
  } else if (arg[0].className() == "vtkOpenGLClipPlanesPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLClipPlanesPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLClipPlanesPainter");
    vtkOpenGLClipPlanesPainter*q = reinterpret_cast<vtkOpenGLClipPlanesPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLClipPlanesPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLClipPlanesPainter:GetClassName vtkOpenGLClipPlanesPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLClipPlanesPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLClipPlanesPainter requires 1 argument(s)");
  vtkOpenGLClipPlanesPainter* vtk_pointer = GetVTKPointer<vtkOpenGLClipPlanesPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLClipPlanesPainter:IsA vtkOpenGLClipPlanesPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLClipPlanesPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLClipPlanesPainter requires 2 argument(s)");
  vtkOpenGLClipPlanesPainter* vtk_pointer = GetVTKPointer<vtkOpenGLClipPlanesPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLClipPlanesPainter:NewInstance vtkOpenGLClipPlanesPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLClipPlanesPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLClipPlanesPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLClipPlanesPainter requires 1 argument(s)");
  vtkOpenGLClipPlanesPainter* vtk_pointer = GetVTKPointer<vtkOpenGLClipPlanesPainter>(arg[0]);
  Array retval;
  vtkOpenGLClipPlanesPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLClipPlanesPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLClipPlanesPainter:SafeDownCast vtkOpenGLClipPlanesPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLClipPlanesPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLClipPlanesPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLClipPlanesPainter requires 2 argument(s)");
  vtkOpenGLClipPlanesPainter* vtk_pointer = GetVTKPointer<vtkOpenGLClipPlanesPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLClipPlanesPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLClipPlanesPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLClipPlanesPainter:display vtkOpenGLClipPlanesPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLClipPlanesPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLClipPlanesPainter* vtk_pointer = GetVTKPointer<vtkOpenGLClipPlanesPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLClipPlanesPainter:delete vtkOpenGLClipPlanesPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLClipPlanesPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLClipPlanesPainter
//@@Section VTKRendering
//@@Usage
// This painter is an openGL specific painter which handles clipplanes.
// This painter must typically be placed before the painter that 
// do the primitive rendering.
//
//To create an instance of class vtkOpenGLClipPlanesPainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLClipPlanesPainter
//@]
//@@Methods
//The class vtkOpenGLClipPlanesPainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLClipPlanesPainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLClipPlanesPainter = obj.NewInstance ()|
// \item @|vtkOpenGLClipPlanesPainter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
