#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLDisplayListPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLDisplayListPainter.h"

//@@Signature
//sfunction @vtkOpenGLDisplayListPainter:vtkOpenGLDisplayListPainter vtkOpenGLDisplayListPainterConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLDisplayListPainter vtkDisplayListPainter 
ArrayVector vtkOpenGLDisplayListPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLDisplayListPainter::New(),"vtkOpenGLDisplayListPainter",eval);
  } else if (arg[0].className() == "vtkOpenGLDisplayListPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLDisplayListPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLDisplayListPainter");
    vtkOpenGLDisplayListPainter*q = reinterpret_cast<vtkOpenGLDisplayListPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLDisplayListPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLDisplayListPainter:GetClassName vtkOpenGLDisplayListPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLDisplayListPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLDisplayListPainter requires 1 argument(s)");
  vtkOpenGLDisplayListPainter* vtk_pointer = GetVTKPointer<vtkOpenGLDisplayListPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLDisplayListPainter:IsA vtkOpenGLDisplayListPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLDisplayListPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLDisplayListPainter requires 2 argument(s)");
  vtkOpenGLDisplayListPainter* vtk_pointer = GetVTKPointer<vtkOpenGLDisplayListPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLDisplayListPainter:NewInstance vtkOpenGLDisplayListPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLDisplayListPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLDisplayListPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLDisplayListPainter requires 1 argument(s)");
  vtkOpenGLDisplayListPainter* vtk_pointer = GetVTKPointer<vtkOpenGLDisplayListPainter>(arg[0]);
  Array retval;
  vtkOpenGLDisplayListPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLDisplayListPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLDisplayListPainter:SafeDownCast vtkOpenGLDisplayListPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLDisplayListPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLDisplayListPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLDisplayListPainter requires 2 argument(s)");
  vtkOpenGLDisplayListPainter* vtk_pointer = GetVTKPointer<vtkOpenGLDisplayListPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLDisplayListPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLDisplayListPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLDisplayListPainter:ReleaseGraphicsResources vtkOpenGLDisplayListPainterReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLDisplayListPainterReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkOpenGLDisplayListPainter requires 2 argument(s)");
  vtkOpenGLDisplayListPainter* vtk_pointer = GetVTKPointer<vtkOpenGLDisplayListPainter>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLDisplayListPainter:display vtkOpenGLDisplayListPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLDisplayListPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLDisplayListPainter* vtk_pointer = GetVTKPointer<vtkOpenGLDisplayListPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLDisplayListPainter:delete vtkOpenGLDisplayListPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLDisplayListPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLDisplayListPainter
//@@Section VTKRendering
//@@Usage
// vtkOpenGLDisplayListPainter creates an OpenGL display list for rendering.
// This painter creates a different display list for every render request with a
// different set of typeflags. If any of the data or inputs change, then all
// display lists are discarded.
//
//To create an instance of class vtkOpenGLDisplayListPainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLDisplayListPainter
//@]
//@@Methods
//The class vtkOpenGLDisplayListPainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLDisplayListPainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLDisplayListPainter = obj.NewInstance ()|
// \item @|vtkOpenGLDisplayListPainter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this mapper.
// The parameter window could be used to determine which graphic
// resources to release. In this case, releases the display lists.
////\end{itemize}
//!
