#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLExtensionManager object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLExtensionManager.h"

//@@Signature
//sfunction @vtkOpenGLExtensionManager:vtkOpenGLExtensionManager vtkOpenGLExtensionManagerConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLExtensionManager vtkObject 
ArrayVector vtkOpenGLExtensionManagerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLExtensionManager::New(),"vtkOpenGLExtensionManager",eval);
  } else if (arg[0].className() == "vtkOpenGLExtensionManager") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLExtensionManager"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLExtensionManager");
    vtkOpenGLExtensionManager*q = reinterpret_cast<vtkOpenGLExtensionManager*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLExtensionManager");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLExtensionManager:GetClassName vtkOpenGLExtensionManagerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLExtensionManagerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLExtensionManager requires 1 argument(s)");
  vtkOpenGLExtensionManager* vtk_pointer = GetVTKPointer<vtkOpenGLExtensionManager>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLExtensionManager:IsA vtkOpenGLExtensionManagerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLExtensionManagerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLExtensionManager requires 2 argument(s)");
  vtkOpenGLExtensionManager* vtk_pointer = GetVTKPointer<vtkOpenGLExtensionManager>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLExtensionManager:NewInstance vtkOpenGLExtensionManagerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLExtensionManagerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLExtensionManager *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLExtensionManager requires 1 argument(s)");
  vtkOpenGLExtensionManager* vtk_pointer = GetVTKPointer<vtkOpenGLExtensionManager>(arg[0]);
  Array retval;
  vtkOpenGLExtensionManager  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLExtensionManager",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLExtensionManager:SafeDownCast vtkOpenGLExtensionManagerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLExtensionManagerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLExtensionManager *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLExtensionManager requires 2 argument(s)");
  vtkOpenGLExtensionManager* vtk_pointer = GetVTKPointer<vtkOpenGLExtensionManager>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLExtensionManager  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLExtensionManager",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLExtensionManager:GetRenderWindow vtkOpenGLExtensionManagerGetRenderWindowFunction
//input a0 
//output y
ArrayVector vtkOpenGLExtensionManagerGetRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *GetRenderWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderWindow for class vtkOpenGLExtensionManager requires 1 argument(s)");
  vtkOpenGLExtensionManager* vtk_pointer = GetVTKPointer<vtkOpenGLExtensionManager>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->GetRenderWindow();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLExtensionManager:SetRenderWindow vtkOpenGLExtensionManagerSetRenderWindowFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLExtensionManagerSetRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRenderWindow (vtkRenderWindow *renwin); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderWindow for class vtkOpenGLExtensionManager requires 2 argument(s)");
  vtkOpenGLExtensionManager* vtk_pointer = GetVTKPointer<vtkOpenGLExtensionManager>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  vtk_pointer->SetRenderWindow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLExtensionManager:Update vtkOpenGLExtensionManagerUpdateFunction
//input a0 
//output none
ArrayVector vtkOpenGLExtensionManagerUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkOpenGLExtensionManager requires 1 argument(s)");
  vtkOpenGLExtensionManager* vtk_pointer = GetVTKPointer<vtkOpenGLExtensionManager>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLExtensionManager:GetExtensionsString vtkOpenGLExtensionManagerGetExtensionsStringFunction
//input a0 
//output y
ArrayVector vtkOpenGLExtensionManagerGetExtensionsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetExtensionsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtensionsString for class vtkOpenGLExtensionManager requires 1 argument(s)");
  vtkOpenGLExtensionManager* vtk_pointer = GetVTKPointer<vtkOpenGLExtensionManager>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetExtensionsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLExtensionManager:ExtensionSupported vtkOpenGLExtensionManagerExtensionSupportedFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLExtensionManagerExtensionSupportedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ExtensionSupported (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function ExtensionSupported for class vtkOpenGLExtensionManager requires 2 argument(s)");
  vtkOpenGLExtensionManager* vtk_pointer = GetVTKPointer<vtkOpenGLExtensionManager>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->ExtensionSupported(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLExtensionManager:LoadExtension vtkOpenGLExtensionManagerLoadExtensionFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLExtensionManagerLoadExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void LoadExtension (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function LoadExtension for class vtkOpenGLExtensionManager requires 2 argument(s)");
  vtkOpenGLExtensionManager* vtk_pointer = GetVTKPointer<vtkOpenGLExtensionManager>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->LoadExtension(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLExtensionManager:LoadSupportedExtension vtkOpenGLExtensionManagerLoadSupportedExtensionFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLExtensionManagerLoadSupportedExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int LoadSupportedExtension (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function LoadSupportedExtension for class vtkOpenGLExtensionManager requires 2 argument(s)");
  vtkOpenGLExtensionManager* vtk_pointer = GetVTKPointer<vtkOpenGLExtensionManager>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->LoadSupportedExtension(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLExtensionManager:LoadCorePromotedExtension vtkOpenGLExtensionManagerLoadCorePromotedExtensionFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLExtensionManagerLoadCorePromotedExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void LoadCorePromotedExtension (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function LoadCorePromotedExtension for class vtkOpenGLExtensionManager requires 2 argument(s)");
  vtkOpenGLExtensionManager* vtk_pointer = GetVTKPointer<vtkOpenGLExtensionManager>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->LoadCorePromotedExtension(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLExtensionManager:display vtkOpenGLExtensionManagerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLExtensionManagerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLExtensionManager* vtk_pointer = GetVTKPointer<vtkOpenGLExtensionManager>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLExtensionManager:delete vtkOpenGLExtensionManagerDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLExtensionManagerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLExtensionManager
//@@Section VTKRendering
//@@Usage
//
// vtkOpenGLExtensionManager acts as an interface to OpenGL extensions.  It
// provides methods to query OpenGL extensions on the current or a given
// render window and to load extension function pointers.  Currently does
// not support GLU extensions since the GLU library is not linked to VTK.
//
// Before using vtkOpenGLExtensionManager, an OpenGL context must be created.
// This is generally done with a vtkRenderWindow.  Note that simply creating
// the vtkRenderWindow is not sufficient.  Usually you have to call Render
// before the actual OpenGL context is created.  You can specify the
// RenderWindow with the SetRenderWindow method.
// \begin{verbatim}
// vtkOpenGLExtensionManager *extensions = vtkOpenGLExtensionManager::New();
// extensions->SetRenderWindow(renwin);
// \end{verbatim}
// If no vtkRenderWindow is specified, the current OpenGL context (if any)
// is used.
//
// Generally speaking, when using OpenGL extensions, you will need an
// vtkOpenGLExtensionManager and the prototypes defined in vtkgl.h.
// \begin{verbatim}
// #include "vtkOpenGLExtensionManager.h"
// #include "vtkgl.h"
// \end{verbatim}
// The vtkgl.h include file contains all the constants and function
// pointers required for using OpenGL extensions in a portable and
// namespace safe way.  vtkgl.h is built from parsed glext.h, glxext.h, and
// wglext.h files.  Snapshots of these files are distributed with VTK,
// but you can also set CMake options to use other files.
//
// To use an OpenGL extension, you first need to make an instance of
// vtkOpenGLExtensionManager and give it a vtkRenderWindow.  You can then
// query the vtkOpenGLExtensionManager to see if the extension is supported
// with the ExtensionSupported method.  Valid names for extensions are
// given in the OpenGL extension registry at
// http://www.opengl.org/registry/ .
// You can also grep vtkgl.h (which will be in the binary build directory
// if VTK is not installed) for appropriate names.  There are also
// special extensions GL_VERSION_X_X (where X_X is replaced with a major
// and minor version, respectively) which contain all the constants and
// functions for OpenGL versions for which the gl.h header file is of an
// older version than the driver.
//
// \begin{verbatim}
// if (   !extensions->ExtensionSupported("GL_VERSION_1_2")
//     || !extensions->ExtensionSupported("GL_ARB_multitexture") ) {
//   {
//   vtkErrorMacro("Required extensions not supported!");
//   }
// \end{verbatim}
//
// Once you have verified that the extensions you want exist, before you
// use them you have to load them with the LoadExtension method.
//
// \begin{verbatim}
// extensions->LoadExtension("GL_VERSION_1_2");
// extensions->LoadExtension("GL_ARB_multitexture");
// \end{verbatim}
//
// Alternatively, you can use the LoadSupportedExtension method, which checks
// whether the requested extension is supported and, if so, loads it. The
// LoadSupportedExtension method will not raise any errors or warnings if it
// fails, so it is important for callers to pay attention to the return value.
//
// \begin{verbatim}
// if (   extensions->LoadSupportedExtension("GL_VERSION_1_2")
//     && extensions->LoadSupportedExtension("GL_ARB_multitexture") ) {
//   {
//   vtkgl::ActiveTexture(vtkgl::TEXTURE0_ARB);
//   }
// else
//   {
//   vtkErrorMacro("Required extensions could not be loaded!");
//   }
// \end{verbatim}
//
// Once you have queried and loaded all of the extensions you need, you can
// delete the vtkOpenGLExtensionManager.  To use a constant of an extension,
// simply replace the "GL_" prefix with "vtkgl::".  Likewise, replace the
// "gl" prefix of functions with "vtkgl::".  In rare cases, an extension will
// add a type. In this case, add vtkgl:: to the type (i.e. vtkgl::GLchar).
//
// \begin{verbatim}
// extensions->Delete();
// ...
// vtkgl::ActiveTexture(vtkgl::TEXTURE0_ARB);
// \end{verbatim}
//
// For wgl extensions, replace the "WGL_" and "wgl" prefixes with
// "vtkwgl::".  For glX extensions, replace the "GLX_" and "glX" prefixes
// with "vtkglX::".
//
//
//To create an instance of class vtkOpenGLExtensionManager, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLExtensionManager
//@]
//@@Methods
//The class vtkOpenGLExtensionManager has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLExtensionManager class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLExtensionManager = obj.NewInstance ()|
// \item @|vtkOpenGLExtensionManager = obj.SafeDownCast (vtkObject o)|
// \item @|vtkRenderWindow = obj.GetRenderWindow ()| -  Set/Get the render window to query extensions on.  If set to null,
// justs queries the current render window.
//// \item @|obj.SetRenderWindow (vtkRenderWindow renwin)| -  Set/Get the render window to query extensions on.  If set to null,
// justs queries the current render window.
//// \item @|obj.Update ()| -  Updates the extensions string.
//// \item @|string = obj.GetExtensionsString ()| -  Returns a string listing all available extensions.  Call Update first
// to validate this string.
//// \item @|int = obj.ExtensionSupported (string name)| -  Returns true if the extension is supported, false otherwise.
//// \item @|obj.LoadExtension (string name)| -  Loads all the functions associated with the given extension into the
// appropriate static members of vtkgl. This method emits a warning if the
// requested extension is not supported. It emits an error if the extension
// does not load successfully.
//// \item @|int = obj.LoadSupportedExtension (string name)| -  Returns true if the extension is supported and loaded successfully,
// false otherwise. This method will "fail silently/gracefully" if the
// extension is not supported or does not load properly. It emits neither
// warnings nor errors. It is up to the caller to determine if the
// extension loaded properly by paying attention to the return value.
//// \item @|obj.LoadCorePromotedExtension (string name)| -  Loads all the functions associated with the given core-promoted extension
// into the appropriate static members of vtkgl associated with the OpenGL
// version that promoted the extension as a core feature. This method emits a
// warning if the requested extension is not supported. It emits an error if
// the extension does not load successfully.
//
// For instance, extension GL_ARB_multitexture was promoted as a core
// feature into OpenGL 1.3. An implementation that uses this
// feature has to (IN THIS ORDER), check if OpenGL 1.3 is supported
// with ExtensionSupported("GL_VERSION_1_3"), if true, load the extension
// with LoadExtension("GL_VERSION_1_3"). If false, test for the extension
// with ExtensionSupported("GL_ARB_multitexture"),if true load the extension
// with this method LoadCorePromotedExtension("GL_ARB_multitexture").
// If any of those loading stage succeeded, use vtgl::ActiveTexture() in
// any case, NOT vtgl::ActiveTextureARB().
// This method avoids the use of if statements everywhere in implementations
// using core-promoted extensions.
// Without this method, the implementation code should look like:
// \begin{verbatim}
// int opengl_1_3=extensions->ExtensionSupported("GL_VERSION_1_3");
// if(opengl_1_3)
// {
//   extensions->LoadExtension("GL_VERSION_1_3");
// }
// else
// {
//  if(extensions->ExtensionSupported("GL_ARB_multitexture"))
//  {
//   extensions->LoadCorePromotedExtension("GL_ARB_multitexture");
//  }
//  else
//  {
//   vtkErrorMacro("Required multitexture feature is not supported!");
//  }
// }
// ...
// if(opengl_1_3)
// {
//  vtkgl::ActiveTexture(vtkgl::TEXTURE0)
// }
// else
// {
//  vtkgl::ActiveTextureARB(vtkgl::TEXTURE0_ARB)
// }
// \end{verbatim}
// Thanks to this method, the code looks like:
// \begin{verbatim}
// int opengl_1_3=extensions->ExtensionSupported("GL_VERSION_1_3");
// if(opengl_1_3)
// {
//   extensions->LoadExtension("GL_VERSION_1_3");
// }
// else
// {
//  if(extensions->ExtensionSupported("GL_ARB_multitexture"))
//  {
//   extensions->LoadCorePromotedExtension("GL_ARB_multitexture");
//  }
//  else
//  {
//   vtkErrorMacro("Required multitexture feature is not supported!");
//  }
// }
// ...
// vtkgl::ActiveTexture(vtkgl::TEXTURE0);
// \end{verbatim}
////\end{itemize}
//!
