#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLFreeTypeTextMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLFreeTypeTextMapper.h"

//@@Signature
//sfunction @vtkOpenGLFreeTypeTextMapper:vtkOpenGLFreeTypeTextMapper vtkOpenGLFreeTypeTextMapperConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLFreeTypeTextMapper vtkTextMapper 
ArrayVector vtkOpenGLFreeTypeTextMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLFreeTypeTextMapper::New(),"vtkOpenGLFreeTypeTextMapper",eval);
  } else if (arg[0].className() == "vtkOpenGLFreeTypeTextMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLFreeTypeTextMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLFreeTypeTextMapper");
    vtkOpenGLFreeTypeTextMapper*q = reinterpret_cast<vtkOpenGLFreeTypeTextMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLFreeTypeTextMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLFreeTypeTextMapper:GetClassName vtkOpenGLFreeTypeTextMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLFreeTypeTextMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLFreeTypeTextMapper requires 1 argument(s)");
  vtkOpenGLFreeTypeTextMapper* vtk_pointer = GetVTKPointer<vtkOpenGLFreeTypeTextMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLFreeTypeTextMapper:IsA vtkOpenGLFreeTypeTextMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLFreeTypeTextMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLFreeTypeTextMapper requires 2 argument(s)");
  vtkOpenGLFreeTypeTextMapper* vtk_pointer = GetVTKPointer<vtkOpenGLFreeTypeTextMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLFreeTypeTextMapper:NewInstance vtkOpenGLFreeTypeTextMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLFreeTypeTextMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLFreeTypeTextMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLFreeTypeTextMapper requires 1 argument(s)");
  vtkOpenGLFreeTypeTextMapper* vtk_pointer = GetVTKPointer<vtkOpenGLFreeTypeTextMapper>(arg[0]);
  Array retval;
  vtkOpenGLFreeTypeTextMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLFreeTypeTextMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLFreeTypeTextMapper:SafeDownCast vtkOpenGLFreeTypeTextMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLFreeTypeTextMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLFreeTypeTextMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLFreeTypeTextMapper requires 2 argument(s)");
  vtkOpenGLFreeTypeTextMapper* vtk_pointer = GetVTKPointer<vtkOpenGLFreeTypeTextMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLFreeTypeTextMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLFreeTypeTextMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLFreeTypeTextMapper:RenderOverlay vtkOpenGLFreeTypeTextMapperRenderOverlayFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOpenGLFreeTypeTextMapperRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderOverlay (vtkViewport *viewport, vtkActor2D *actor); */
  if (arg.size() < 3) 
    throw Exception("Function RenderOverlay for class vtkOpenGLFreeTypeTextMapper requires 3 argument(s)");
  vtkOpenGLFreeTypeTextMapper* vtk_pointer = GetVTKPointer<vtkOpenGLFreeTypeTextMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkActor2D>(arg[2]);
  vtk_pointer->RenderOverlay(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLFreeTypeTextMapper:ReleaseGraphicsResources vtkOpenGLFreeTypeTextMapperReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLFreeTypeTextMapperReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkOpenGLFreeTypeTextMapper requires 2 argument(s)");
  vtkOpenGLFreeTypeTextMapper* vtk_pointer = GetVTKPointer<vtkOpenGLFreeTypeTextMapper>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLFreeTypeTextMapper:GetSize vtkOpenGLFreeTypeTextMapperGetSizeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOpenGLFreeTypeTextMapperGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetSize (vtkViewport *viewport, int size[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GetSize for class vtkOpenGLFreeTypeTextMapper requires 3 argument(s)");
  vtkOpenGLFreeTypeTextMapper* vtk_pointer = GetVTKPointer<vtkOpenGLFreeTypeTextMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int    temp1[2];
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  vtk_pointer->GetSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLFreeTypeTextMapper:display vtkOpenGLFreeTypeTextMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLFreeTypeTextMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLFreeTypeTextMapper* vtk_pointer = GetVTKPointer<vtkOpenGLFreeTypeTextMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLFreeTypeTextMapper:delete vtkOpenGLFreeTypeTextMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLFreeTypeTextMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLFreeTypeTextMapper
//@@Section VTKRendering
//@@Usage
// vtkOpenGLFreeTypeTextMapper provides 2D text annotation support for VTK
// using the FreeType and FTGL libraries. Normally the user should use 
// vtktextMapper which in turn will use this class.
//
//To create an instance of class vtkOpenGLFreeTypeTextMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLFreeTypeTextMapper
//@]
//@@Methods
//The class vtkOpenGLFreeTypeTextMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLFreeTypeTextMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLFreeTypeTextMapper = obj.NewInstance ()|
// \item @|vtkOpenGLFreeTypeTextMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.RenderOverlay (vtkViewport viewport, vtkActor2D actor)| -  Actally draw the text.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|obj.GetSize (vtkViewport viewport, int size[2])| -  What is the size of the rectangle required to draw this
// mapper ?
////\end{itemize}
//!
