#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLImageActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLImageActor.h"

//@@Signature
//sfunction @vtkOpenGLImageActor:vtkOpenGLImageActor vtkOpenGLImageActorConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLImageActor vtkImageActor 
ArrayVector vtkOpenGLImageActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLImageActor::New(),"vtkOpenGLImageActor",eval);
  } else if (arg[0].className() == "vtkOpenGLImageActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLImageActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLImageActor");
    vtkOpenGLImageActor*q = reinterpret_cast<vtkOpenGLImageActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLImageActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLImageActor:GetClassName vtkOpenGLImageActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLImageActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLImageActor requires 1 argument(s)");
  vtkOpenGLImageActor* vtk_pointer = GetVTKPointer<vtkOpenGLImageActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLImageActor:IsA vtkOpenGLImageActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLImageActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLImageActor requires 2 argument(s)");
  vtkOpenGLImageActor* vtk_pointer = GetVTKPointer<vtkOpenGLImageActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLImageActor:NewInstance vtkOpenGLImageActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLImageActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLImageActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLImageActor requires 1 argument(s)");
  vtkOpenGLImageActor* vtk_pointer = GetVTKPointer<vtkOpenGLImageActor>(arg[0]);
  Array retval;
  vtkOpenGLImageActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLImageActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLImageActor:SafeDownCast vtkOpenGLImageActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLImageActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLImageActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLImageActor requires 2 argument(s)");
  vtkOpenGLImageActor* vtk_pointer = GetVTKPointer<vtkOpenGLImageActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLImageActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLImageActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLImageActor:Load vtkOpenGLImageActorLoadFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLImageActorLoadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Load (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function Load for class vtkOpenGLImageActor requires 2 argument(s)");
  vtkOpenGLImageActor* vtk_pointer = GetVTKPointer<vtkOpenGLImageActor>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->Load(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLImageActor:Render vtkOpenGLImageActorRenderFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLImageActorRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Render (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function Render for class vtkOpenGLImageActor requires 2 argument(s)");
  vtkOpenGLImageActor* vtk_pointer = GetVTKPointer<vtkOpenGLImageActor>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->Render(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLImageActor:ReleaseGraphicsResources vtkOpenGLImageActorReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLImageActorReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkOpenGLImageActor requires 2 argument(s)");
  vtkOpenGLImageActor* vtk_pointer = GetVTKPointer<vtkOpenGLImageActor>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLImageActor:display vtkOpenGLImageActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLImageActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLImageActor* vtk_pointer = GetVTKPointer<vtkOpenGLImageActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLImageActor:delete vtkOpenGLImageActorDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLImageActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLImageActor
//@@Section VTKRendering
//@@Usage
// vtkOpenGLImageActor is a concrete implementation of the abstract class 
// vtkImageActor. vtkOpenGLImageActor interfaces to the OpenGL rendering library.
//
//To create an instance of class vtkOpenGLImageActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLImageActor
//@]
//@@Methods
//The class vtkOpenGLImageActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLImageActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLImageActor = obj.NewInstance ()|
// \item @|vtkOpenGLImageActor = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Load (vtkRenderer ren)| -  Implement base class method.
//// \item @|obj.Render (vtkRenderer ren)| -  Implement base class method.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this texture.
// The parameter window could be used to determine which graphic
// resources to release. Using the same texture object in multiple
// render windows is NOT currently supported. 
////\end{itemize}
//!
