#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLImageMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLImageMapper.h"

//@@Signature
//sfunction @vtkOpenGLImageMapper:vtkOpenGLImageMapper vtkOpenGLImageMapperConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLImageMapper vtkImageMapper 
ArrayVector vtkOpenGLImageMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLImageMapper::New(),"vtkOpenGLImageMapper",eval);
  } else if (arg[0].className() == "vtkOpenGLImageMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLImageMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLImageMapper");
    vtkOpenGLImageMapper*q = reinterpret_cast<vtkOpenGLImageMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLImageMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLImageMapper:GetClassName vtkOpenGLImageMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLImageMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLImageMapper requires 1 argument(s)");
  vtkOpenGLImageMapper* vtk_pointer = GetVTKPointer<vtkOpenGLImageMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLImageMapper:IsA vtkOpenGLImageMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLImageMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLImageMapper requires 2 argument(s)");
  vtkOpenGLImageMapper* vtk_pointer = GetVTKPointer<vtkOpenGLImageMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLImageMapper:NewInstance vtkOpenGLImageMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLImageMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLImageMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLImageMapper requires 1 argument(s)");
  vtkOpenGLImageMapper* vtk_pointer = GetVTKPointer<vtkOpenGLImageMapper>(arg[0]);
  Array retval;
  vtkOpenGLImageMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLImageMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLImageMapper:SafeDownCast vtkOpenGLImageMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLImageMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLImageMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLImageMapper requires 2 argument(s)");
  vtkOpenGLImageMapper* vtk_pointer = GetVTKPointer<vtkOpenGLImageMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLImageMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLImageMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLImageMapper:RenderOverlay vtkOpenGLImageMapperRenderOverlayFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOpenGLImageMapperRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderOverlay (vtkViewport *viewport, vtkActor2D *actor);this RenderStart viewport actor  */
  if (arg.size() < 3) 
    throw Exception("Function RenderOverlay for class vtkOpenGLImageMapper requires 3 argument(s)");
  vtkOpenGLImageMapper* vtk_pointer = GetVTKPointer<vtkOpenGLImageMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkActor2D>(arg[2]);
  vtk_pointer->RenderOverlay(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLImageMapper:RenderData vtkOpenGLImageMapperRenderDataFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkOpenGLImageMapperRenderDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderData (vtkViewport *viewport, vtkImageData *data, vtkActor2D *actor); */
  if (arg.size() < 4) 
    throw Exception("Function RenderData for class vtkOpenGLImageMapper requires 4 argument(s)");
  vtkOpenGLImageMapper* vtk_pointer = GetVTKPointer<vtkOpenGLImageMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkImageData  *temp1;
  vtkActor2D  *temp2;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkImageData>(arg[2]);
  temp2 = GetVTKPointer<vtkActor2D>(arg[3]);
  vtk_pointer->RenderData(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLImageMapper:display vtkOpenGLImageMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLImageMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLImageMapper* vtk_pointer = GetVTKPointer<vtkOpenGLImageMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLImageMapper:delete vtkOpenGLImageMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLImageMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLImageMapper
//@@Section VTKRendering
//@@Usage
// vtkOpenGLImageMapper is a concrete subclass of vtkImageMapper that
// renders images under OpenGL
//
//To create an instance of class vtkOpenGLImageMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLImageMapper
//@]
//@@Methods
//The class vtkOpenGLImageMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLImageMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLImageMapper = obj.NewInstance ()|
// \item @|vtkOpenGLImageMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.RenderOverlay (vtkViewport viewport, vtkActor2D actor)| -  Called by the Render function in vtkImageMapper.  Actually draws
// the image to the screen.
//// \item @|obj.RenderData (vtkViewport viewport, vtkImageData data, vtkActor2D actor)| -  Called by the Render function in vtkImageMapper.  Actually draws
// the image to the screen.
////\end{itemize}
//!
