#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLLight object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLLight.h"

//@@Signature
//sfunction @vtkOpenGLLight:vtkOpenGLLight vtkOpenGLLightConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLLight vtkLight 
ArrayVector vtkOpenGLLightConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLLight::New(),"vtkOpenGLLight",eval);
  } else if (arg[0].className() == "vtkOpenGLLight") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLLight"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLLight");
    vtkOpenGLLight*q = reinterpret_cast<vtkOpenGLLight*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLLight");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLLight:GetClassName vtkOpenGLLightGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLLightGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLLight requires 1 argument(s)");
  vtkOpenGLLight* vtk_pointer = GetVTKPointer<vtkOpenGLLight>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLLight:IsA vtkOpenGLLightIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLLightIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLLight requires 2 argument(s)");
  vtkOpenGLLight* vtk_pointer = GetVTKPointer<vtkOpenGLLight>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLLight:NewInstance vtkOpenGLLightNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLLightNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLLight *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLLight requires 1 argument(s)");
  vtkOpenGLLight* vtk_pointer = GetVTKPointer<vtkOpenGLLight>(arg[0]);
  Array retval;
  vtkOpenGLLight  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLLight",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLLight:SafeDownCast vtkOpenGLLightSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLLightSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLLight *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLLight requires 2 argument(s)");
  vtkOpenGLLight* vtk_pointer = GetVTKPointer<vtkOpenGLLight>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLLight  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLLight",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLLight:Render vtkOpenGLLightRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOpenGLLightRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Render (vtkRenderer *ren, int light_index); */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkOpenGLLight requires 3 argument(s)");
  vtkOpenGLLight* vtk_pointer = GetVTKPointer<vtkOpenGLLight>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLLight:display vtkOpenGLLightDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLLightDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLLight* vtk_pointer = GetVTKPointer<vtkOpenGLLight>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLLight:delete vtkOpenGLLightDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLLightDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLLight
//@@Section VTKRendering
//@@Usage
// vtkOpenGLLight is a concrete implementation of the abstract class vtkLight.
// vtkOpenGLLight interfaces to the OpenGL rendering library.
//
//To create an instance of class vtkOpenGLLight, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLLight
//@]
//@@Methods
//The class vtkOpenGLLight has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLLight class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLLight = obj.NewInstance ()|
// \item @|vtkOpenGLLight = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Render (vtkRenderer ren, int light_index)| -  Implement base class method.
////\end{itemize}
//!
