#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLLightingPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLLightingPainter.h"

//@@Signature
//sfunction @vtkOpenGLLightingPainter:vtkOpenGLLightingPainter vtkOpenGLLightingPainterConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLLightingPainter vtkLightingPainter 
ArrayVector vtkOpenGLLightingPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLLightingPainter::New(),"vtkOpenGLLightingPainter",eval);
  } else if (arg[0].className() == "vtkOpenGLLightingPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLLightingPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLLightingPainter");
    vtkOpenGLLightingPainter*q = reinterpret_cast<vtkOpenGLLightingPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLLightingPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLLightingPainter:GetClassName vtkOpenGLLightingPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLLightingPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLLightingPainter requires 1 argument(s)");
  vtkOpenGLLightingPainter* vtk_pointer = GetVTKPointer<vtkOpenGLLightingPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLLightingPainter:IsA vtkOpenGLLightingPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLLightingPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLLightingPainter requires 2 argument(s)");
  vtkOpenGLLightingPainter* vtk_pointer = GetVTKPointer<vtkOpenGLLightingPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLLightingPainter:NewInstance vtkOpenGLLightingPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLLightingPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLLightingPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLLightingPainter requires 1 argument(s)");
  vtkOpenGLLightingPainter* vtk_pointer = GetVTKPointer<vtkOpenGLLightingPainter>(arg[0]);
  Array retval;
  vtkOpenGLLightingPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLLightingPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLLightingPainter:SafeDownCast vtkOpenGLLightingPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLLightingPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLLightingPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLLightingPainter requires 2 argument(s)");
  vtkOpenGLLightingPainter* vtk_pointer = GetVTKPointer<vtkOpenGLLightingPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLLightingPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLLightingPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLLightingPainter:GetTimeToDraw vtkOpenGLLightingPainterGetTimeToDrawFunction
//input a0 
//output y
ArrayVector vtkOpenGLLightingPainterGetTimeToDrawFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetTimeToDraw ();return this TimeToDraw  */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeToDraw for class vtkOpenGLLightingPainter requires 1 argument(s)");
  vtkOpenGLLightingPainter* vtk_pointer = GetVTKPointer<vtkOpenGLLightingPainter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTimeToDraw();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLLightingPainter:display vtkOpenGLLightingPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLLightingPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLLightingPainter* vtk_pointer = GetVTKPointer<vtkOpenGLLightingPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLLightingPainter:delete vtkOpenGLLightingPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLLightingPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLLightingPainter
//@@Section VTKRendering
//@@Usage
// This painter manages lighting.
// Ligting is disabled when rendering points/lines and no normals are present
// or rendering Polygons/TStrips and representation is points and no normals 
// are present.
//
//To create an instance of class vtkOpenGLLightingPainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLLightingPainter
//@]
//@@Methods
//The class vtkOpenGLLightingPainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLLightingPainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLLightingPainter = obj.NewInstance ()|
// \item @|vtkOpenGLLightingPainter = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.GetTimeToDraw ()| -  This painter overrides GetTimeToDraw() to never pass the request to the
// delegate. This is done since this class may propagate a single render
// request multiple times to the delegate. In that case the time accumulation
// responsibility is borne by the painter causing the multiple rendering
// requests i.e. this painter itself.
////\end{itemize}
//!
