#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLPainterDeviceAdapter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLPainterDeviceAdapter.h"

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:vtkOpenGLPainterDeviceAdapter vtkOpenGLPainterDeviceAdapterConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLPainterDeviceAdapter vtkPainterDeviceAdapter 
ArrayVector vtkOpenGLPainterDeviceAdapterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLPainterDeviceAdapter::New(),"vtkOpenGLPainterDeviceAdapter",eval);
  } else if (arg[0].className() == "vtkOpenGLPainterDeviceAdapter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLPainterDeviceAdapter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLPainterDeviceAdapter");
    vtkOpenGLPainterDeviceAdapter*q = reinterpret_cast<vtkOpenGLPainterDeviceAdapter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLPainterDeviceAdapter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:GetClassName vtkOpenGLPainterDeviceAdapterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLPainterDeviceAdapterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLPainterDeviceAdapter requires 1 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:IsA vtkOpenGLPainterDeviceAdapterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLPainterDeviceAdapterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLPainterDeviceAdapter requires 2 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:NewInstance vtkOpenGLPainterDeviceAdapterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLPainterDeviceAdapterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLPainterDeviceAdapter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLPainterDeviceAdapter requires 1 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  vtkOpenGLPainterDeviceAdapter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLPainterDeviceAdapter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:SafeDownCast vtkOpenGLPainterDeviceAdapterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLPainterDeviceAdapterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLPainterDeviceAdapter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLPainterDeviceAdapter requires 2 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLPainterDeviceAdapter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLPainterDeviceAdapter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:BeginPrimitive vtkOpenGLPainterDeviceAdapterBeginPrimitiveFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLPainterDeviceAdapterBeginPrimitiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BeginPrimitive (int mode); */
  if (arg.size() < 2) 
    throw Exception("Function BeginPrimitive for class vtkOpenGLPainterDeviceAdapter requires 2 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->BeginPrimitive(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:EndPrimitive vtkOpenGLPainterDeviceAdapterEndPrimitiveFunction
//input a0 
//output none
ArrayVector vtkOpenGLPainterDeviceAdapterEndPrimitiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndPrimitive (); */
  if (arg.size() < 1) 
    throw Exception("Function EndPrimitive for class vtkOpenGLPainterDeviceAdapter requires 1 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  vtk_pointer->EndPrimitive();
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:IsAttributesSupported vtkOpenGLPainterDeviceAdapterIsAttributesSupportedFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLPainterDeviceAdapterIsAttributesSupportedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsAttributesSupported (int attribute); */
  if (arg.size() < 2) 
    throw Exception("Function IsAttributesSupported for class vtkOpenGLPainterDeviceAdapter requires 2 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsAttributesSupported(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:EnableAttributeArray vtkOpenGLPainterDeviceAdapterEnableAttributeArrayFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLPainterDeviceAdapterEnableAttributeArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EnableAttributeArray (int index); */
  if (arg.size() < 2) 
    throw Exception("Function EnableAttributeArray for class vtkOpenGLPainterDeviceAdapter requires 2 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->EnableAttributeArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:DisableAttributeArray vtkOpenGLPainterDeviceAdapterDisableAttributeArrayFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLPainterDeviceAdapterDisableAttributeArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisableAttributeArray (int index); */
  if (arg.size() < 2) 
    throw Exception("Function DisableAttributeArray for class vtkOpenGLPainterDeviceAdapter requires 2 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->DisableAttributeArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:DrawArrays vtkOpenGLPainterDeviceAdapterDrawArraysFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkOpenGLPainterDeviceAdapterDrawArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DrawArrays (int mode, vtkIdType first, vtkIdType count); */
  if (arg.size() < 4) 
    throw Exception("Function DrawArrays for class vtkOpenGLPainterDeviceAdapter requires 4 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->DrawArrays(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:Compatible vtkOpenGLPainterDeviceAdapterCompatibleFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLPainterDeviceAdapterCompatibleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Compatible (vtkRenderer *renderer); */
  if (arg.size() < 2) 
    throw Exception("Function Compatible for class vtkOpenGLPainterDeviceAdapter requires 2 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp20 = (vtk_pointer)->Compatible(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:MakeLighting vtkOpenGLPainterDeviceAdapterMakeLightingFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLPainterDeviceAdapterMakeLightingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MakeLighting (int mode); */
  if (arg.size() < 2) 
    throw Exception("Function MakeLighting for class vtkOpenGLPainterDeviceAdapter requires 2 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->MakeLighting(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:QueryLighting vtkOpenGLPainterDeviceAdapterQueryLightingFunction
//input a0 
//output y
ArrayVector vtkOpenGLPainterDeviceAdapterQueryLightingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int QueryLighting (); */
  if (arg.size() < 1) 
    throw Exception("Function QueryLighting for class vtkOpenGLPainterDeviceAdapter requires 1 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->QueryLighting();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:MakeMultisampling vtkOpenGLPainterDeviceAdapterMakeMultisamplingFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLPainterDeviceAdapterMakeMultisamplingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MakeMultisampling (int mode); */
  if (arg.size() < 2) 
    throw Exception("Function MakeMultisampling for class vtkOpenGLPainterDeviceAdapter requires 2 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->MakeMultisampling(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:QueryMultisampling vtkOpenGLPainterDeviceAdapterQueryMultisamplingFunction
//input a0 
//output y
ArrayVector vtkOpenGLPainterDeviceAdapterQueryMultisamplingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int QueryMultisampling (); */
  if (arg.size() < 1) 
    throw Exception("Function QueryMultisampling for class vtkOpenGLPainterDeviceAdapter requires 1 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->QueryMultisampling();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:MakeBlending vtkOpenGLPainterDeviceAdapterMakeBlendingFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLPainterDeviceAdapterMakeBlendingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MakeBlending (int mode); */
  if (arg.size() < 2) 
    throw Exception("Function MakeBlending for class vtkOpenGLPainterDeviceAdapter requires 2 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->MakeBlending(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:QueryBlending vtkOpenGLPainterDeviceAdapterQueryBlendingFunction
//input a0 
//output y
ArrayVector vtkOpenGLPainterDeviceAdapterQueryBlendingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int QueryBlending (); */
  if (arg.size() < 1) 
    throw Exception("Function QueryBlending for class vtkOpenGLPainterDeviceAdapter requires 1 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->QueryBlending();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:MakeVertexEmphasis vtkOpenGLPainterDeviceAdapterMakeVertexEmphasisFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLPainterDeviceAdapterMakeVertexEmphasisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MakeVertexEmphasis (bool mode); */
  if (arg.size() < 2) 
    throw Exception("Function MakeVertexEmphasis for class vtkOpenGLPainterDeviceAdapter requires 2 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->MakeVertexEmphasis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:MakeVertexEmphasisWithStencilCheck vtkOpenGLPainterDeviceAdapterMakeVertexEmphasisWithStencilCheckFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLPainterDeviceAdapterMakeVertexEmphasisWithStencilCheckFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MakeVertexEmphasisWithStencilCheck (int mode); */
  if (arg.size() < 2) 
    throw Exception("Function MakeVertexEmphasisWithStencilCheck for class vtkOpenGLPainterDeviceAdapter requires 2 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->MakeVertexEmphasisWithStencilCheck(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:Stencil vtkOpenGLPainterDeviceAdapterStencilFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLPainterDeviceAdapterStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Stencil (int on); */
  if (arg.size() < 2) 
    throw Exception("Function Stencil for class vtkOpenGLPainterDeviceAdapter requires 2 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->Stencil(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:WriteStencil vtkOpenGLPainterDeviceAdapterWriteStencilFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLPainterDeviceAdapterWriteStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WriteStencil (vtkIdType value); */
  if (arg.size() < 2) 
    throw Exception("Function WriteStencil for class vtkOpenGLPainterDeviceAdapter requires 2 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->WriteStencil(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:TestStencil vtkOpenGLPainterDeviceAdapterTestStencilFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLPainterDeviceAdapterTestStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void TestStencil (vtkIdType value); */
  if (arg.size() < 2) 
    throw Exception("Function TestStencil for class vtkOpenGLPainterDeviceAdapter requires 2 argument(s)");
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->TestStencil(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPainterDeviceAdapter:display vtkOpenGLPainterDeviceAdapterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLPainterDeviceAdapterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkOpenGLPainterDeviceAdapter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLPainterDeviceAdapter:delete vtkOpenGLPainterDeviceAdapterDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLPainterDeviceAdapterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLPainterDeviceAdapter
//@@Section VTKRendering
//@@Usage
//
// An adapter between vtkPainter and the OpenGL rendering system.  Only a
// handful of attributes with special meaning are supported.  The OpenGL
// attribute used for each attribute is given below.
//
// \verbatim
// vtkDataSetAttributes::NORMALS          glNormal
// vtkDataSetAttributes:::SCALARS         glColor
// vtkDataSetAttributes::TCOORDS          glTexCoord
// vtkDataSetAttributes::NUM_ATTRIBUTES   glVertex
// \endverbatim
//
//
//To create an instance of class vtkOpenGLPainterDeviceAdapter, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLPainterDeviceAdapter
//@]
//@@Methods
//The class vtkOpenGLPainterDeviceAdapter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLPainterDeviceAdapter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLPainterDeviceAdapter = obj.NewInstance ()|
// \item @|vtkOpenGLPainterDeviceAdapter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.BeginPrimitive (int mode)| -  Converts mode from VTK_* to GL_* and calls glBegin.
//// \item @|obj.EndPrimitive ()| -  Calls glEnd.
//// \item @|int = obj.IsAttributesSupported (int attribute)| -  Returns if the given attribute type is supported by the device.
// Returns 1 is supported, 0 otherwise.
//// \item @|obj.EnableAttributeArray (int index)| -  Calls glEnableClientState or glDisableClientState.
//// \item @|obj.DisableAttributeArray (int index)| -  Calls glEnableClientState or glDisableClientState.
//// \item @|obj.DrawArrays (int mode, vtkIdType first, vtkIdType count)| -  Calls glDrawArrays.  Mode is converted from VTK_* to GL_*.
//// \item @|int = obj.Compatible (vtkRenderer renderer)| -  Returns true if renderer is a vtkOpenGLRenderer.
//// \item @|obj.MakeLighting (int mode)| -  Turns lighting on and off.
//// \item @|int = obj.QueryLighting ()| -  Returns current lighting setting.
//// \item @|obj.MakeMultisampling (int mode)| -  Turns antialiasing on and off.
//// \item @|int = obj.QueryMultisampling ()| -  Returns current antialiasing setting.
//// \item @|obj.MakeBlending (int mode)| -  Turns blending on and off.
//// \item @|int = obj.QueryBlending ()| -  Returns current blending setting.
//// \item @|obj.MakeVertexEmphasis (bool mode)| -  Turns emphasis of vertices on or off for vertex selection.
// When emphasized verts are drawn nearer to the camera and are drawn 
// larger than normal to make selection of them more reliable.
//// \item @|obj.MakeVertexEmphasisWithStencilCheck (int mode)| -  @deprecated
//// \item @|obj.Stencil (int on)| -  Control use of the stencil buffer (for vertex selection).
//// \item @|obj.WriteStencil (vtkIdType value)| -  Control use of the stencil buffer (for vertex selection).
//// \item @|obj.TestStencil (vtkIdType value)| -  Control use of the stencil buffer (for vertex selection).
////\end{itemize}
//!
