#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLPolyDataMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLPolyDataMapper.h"

//@@Signature
//sfunction @vtkOpenGLPolyDataMapper:vtkOpenGLPolyDataMapper vtkOpenGLPolyDataMapperConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLPolyDataMapper vtkPolyDataMapper 
ArrayVector vtkOpenGLPolyDataMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLPolyDataMapper::New(),"vtkOpenGLPolyDataMapper",eval);
  } else if (arg[0].className() == "vtkOpenGLPolyDataMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLPolyDataMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLPolyDataMapper");
    vtkOpenGLPolyDataMapper*q = reinterpret_cast<vtkOpenGLPolyDataMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLPolyDataMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLPolyDataMapper:GetClassName vtkOpenGLPolyDataMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLPolyDataMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLPolyDataMapper requires 1 argument(s)");
  vtkOpenGLPolyDataMapper* vtk_pointer = GetVTKPointer<vtkOpenGLPolyDataMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPolyDataMapper:IsA vtkOpenGLPolyDataMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLPolyDataMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLPolyDataMapper requires 2 argument(s)");
  vtkOpenGLPolyDataMapper* vtk_pointer = GetVTKPointer<vtkOpenGLPolyDataMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPolyDataMapper:NewInstance vtkOpenGLPolyDataMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLPolyDataMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLPolyDataMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLPolyDataMapper requires 1 argument(s)");
  vtkOpenGLPolyDataMapper* vtk_pointer = GetVTKPointer<vtkOpenGLPolyDataMapper>(arg[0]);
  Array retval;
  vtkOpenGLPolyDataMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLPolyDataMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPolyDataMapper:SafeDownCast vtkOpenGLPolyDataMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLPolyDataMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLPolyDataMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLPolyDataMapper requires 2 argument(s)");
  vtkOpenGLPolyDataMapper* vtk_pointer = GetVTKPointer<vtkOpenGLPolyDataMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLPolyDataMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLPolyDataMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPolyDataMapper:RenderPiece vtkOpenGLPolyDataMapperRenderPieceFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOpenGLPolyDataMapperRenderPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RenderPiece (vtkRenderer *ren, vtkActor *a); */
  if (arg.size() < 3) 
    throw Exception("Function RenderPiece for class vtkOpenGLPolyDataMapper requires 3 argument(s)");
  vtkOpenGLPolyDataMapper* vtk_pointer = GetVTKPointer<vtkOpenGLPolyDataMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkActor>(arg[2]);
  vtk_pointer->RenderPiece(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPolyDataMapper:ReleaseGraphicsResources vtkOpenGLPolyDataMapperReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLPolyDataMapperReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkOpenGLPolyDataMapper requires 2 argument(s)");
  vtkOpenGLPolyDataMapper* vtk_pointer = GetVTKPointer<vtkOpenGLPolyDataMapper>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPolyDataMapper:Draw vtkOpenGLPolyDataMapperDrawFunction
//input a0 a1 a2 
//output y
ArrayVector vtkOpenGLPolyDataMapperDrawFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Draw (vtkRenderer *ren, vtkActor *a); */
  if (arg.size() < 3) 
    throw Exception("Function Draw for class vtkOpenGLPolyDataMapper requires 3 argument(s)");
  vtkOpenGLPolyDataMapper* vtk_pointer = GetVTKPointer<vtkOpenGLPolyDataMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkActor>(arg[2]);
  temp20 = (vtk_pointer)->Draw(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPolyDataMapper:display vtkOpenGLPolyDataMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLPolyDataMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLPolyDataMapper* vtk_pointer = GetVTKPointer<vtkOpenGLPolyDataMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLPolyDataMapper:delete vtkOpenGLPolyDataMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLPolyDataMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLPolyDataMapper
//@@Section VTKRendering
//@@Usage
// vtkOpenGLPolyDataMapper is a subclass of vtkPolyDataMapper.
// vtkOpenGLPolyDataMapper is a geometric PolyDataMapper for the OpenGL 
// rendering library.
//
//To create an instance of class vtkOpenGLPolyDataMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLPolyDataMapper
//@]
//@@Methods
//The class vtkOpenGLPolyDataMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLPolyDataMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLPolyDataMapper = obj.NewInstance ()|
// \item @|vtkOpenGLPolyDataMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.RenderPiece (vtkRenderer ren, vtkActor a)| -  Implement superclass render method.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this mapper.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|int = obj.Draw (vtkRenderer ren, vtkActor a)| -  Draw method for OpenGL.
////\end{itemize}
//!
