#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLPolyDataMapper2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLPolyDataMapper2D.h"

//@@Signature
//sfunction @vtkOpenGLPolyDataMapper2D:vtkOpenGLPolyDataMapper2D vtkOpenGLPolyDataMapper2DConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLPolyDataMapper2D vtkPolyDataMapper2D 
ArrayVector vtkOpenGLPolyDataMapper2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLPolyDataMapper2D::New(),"vtkOpenGLPolyDataMapper2D",eval);
  } else if (arg[0].className() == "vtkOpenGLPolyDataMapper2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLPolyDataMapper2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLPolyDataMapper2D");
    vtkOpenGLPolyDataMapper2D*q = reinterpret_cast<vtkOpenGLPolyDataMapper2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLPolyDataMapper2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLPolyDataMapper2D:GetClassName vtkOpenGLPolyDataMapper2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLPolyDataMapper2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLPolyDataMapper2D requires 1 argument(s)");
  vtkOpenGLPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkOpenGLPolyDataMapper2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPolyDataMapper2D:IsA vtkOpenGLPolyDataMapper2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLPolyDataMapper2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLPolyDataMapper2D requires 2 argument(s)");
  vtkOpenGLPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkOpenGLPolyDataMapper2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPolyDataMapper2D:NewInstance vtkOpenGLPolyDataMapper2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLPolyDataMapper2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLPolyDataMapper2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLPolyDataMapper2D requires 1 argument(s)");
  vtkOpenGLPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkOpenGLPolyDataMapper2D>(arg[0]);
  Array retval;
  vtkOpenGLPolyDataMapper2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLPolyDataMapper2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPolyDataMapper2D:SafeDownCast vtkOpenGLPolyDataMapper2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLPolyDataMapper2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLPolyDataMapper2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLPolyDataMapper2D requires 2 argument(s)");
  vtkOpenGLPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkOpenGLPolyDataMapper2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLPolyDataMapper2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLPolyDataMapper2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPolyDataMapper2D:RenderOverlay vtkOpenGLPolyDataMapper2DRenderOverlayFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOpenGLPolyDataMapper2DRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderOverlay (vtkViewport *viewport, vtkActor2D *actor); */
  if (arg.size() < 3) 
    throw Exception("Function RenderOverlay for class vtkOpenGLPolyDataMapper2D requires 3 argument(s)");
  vtkOpenGLPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkOpenGLPolyDataMapper2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkActor2D>(arg[2]);
  vtk_pointer->RenderOverlay(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLPolyDataMapper2D:display vtkOpenGLPolyDataMapper2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLPolyDataMapper2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkOpenGLPolyDataMapper2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLPolyDataMapper2D:delete vtkOpenGLPolyDataMapper2DDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLPolyDataMapper2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLPolyDataMapper2D
//@@Section VTKRendering
//@@Usage
// vtkOpenGLPolyDataMapper2D provides 2D PolyData annotation support for 
// vtk under OpenGL.  Normally the user should use vtkPolyDataMapper2D 
// which in turn will use this class.
//
//To create an instance of class vtkOpenGLPolyDataMapper2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLPolyDataMapper2D
//@]
//@@Methods
//The class vtkOpenGLPolyDataMapper2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLPolyDataMapper2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLPolyDataMapper2D = obj.NewInstance ()|
// \item @|vtkOpenGLPolyDataMapper2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.RenderOverlay (vtkViewport viewport, vtkActor2D actor)| -  Actually draw the poly data.
////\end{itemize}
//!
