#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLProperty object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLProperty.h"

//@@Signature
//sfunction @vtkOpenGLProperty:vtkOpenGLProperty vtkOpenGLPropertyConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLProperty vtkProperty 
ArrayVector vtkOpenGLPropertyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLProperty::New(),"vtkOpenGLProperty",eval);
  } else if (arg[0].className() == "vtkOpenGLProperty") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLProperty"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLProperty");
    vtkOpenGLProperty*q = reinterpret_cast<vtkOpenGLProperty*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLProperty");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLProperty:GetClassName vtkOpenGLPropertyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLPropertyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLProperty requires 1 argument(s)");
  vtkOpenGLProperty* vtk_pointer = GetVTKPointer<vtkOpenGLProperty>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLProperty:IsA vtkOpenGLPropertyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLPropertyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLProperty requires 2 argument(s)");
  vtkOpenGLProperty* vtk_pointer = GetVTKPointer<vtkOpenGLProperty>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLProperty:NewInstance vtkOpenGLPropertyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLPropertyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLProperty *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLProperty requires 1 argument(s)");
  vtkOpenGLProperty* vtk_pointer = GetVTKPointer<vtkOpenGLProperty>(arg[0]);
  Array retval;
  vtkOpenGLProperty  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLProperty:SafeDownCast vtkOpenGLPropertySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLPropertySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLProperty *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLProperty requires 2 argument(s)");
  vtkOpenGLProperty* vtk_pointer = GetVTKPointer<vtkOpenGLProperty>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLProperty  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLProperty:Render vtkOpenGLPropertyRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOpenGLPropertyRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Render (vtkActor *a, vtkRenderer *ren); */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkOpenGLProperty requires 3 argument(s)");
  vtkOpenGLProperty* vtk_pointer = GetVTKPointer<vtkOpenGLProperty>(arg[0]);
  Array retval;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = GetVTKPointer<vtkActor>(arg[1]);
  temp1 = GetVTKPointer<vtkRenderer>(arg[2]);
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLProperty:BackfaceRender vtkOpenGLPropertyBackfaceRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOpenGLPropertyBackfaceRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BackfaceRender (vtkActor *a, vtkRenderer *ren); */
  if (arg.size() < 3) 
    throw Exception("Function BackfaceRender for class vtkOpenGLProperty requires 3 argument(s)");
  vtkOpenGLProperty* vtk_pointer = GetVTKPointer<vtkOpenGLProperty>(arg[0]);
  Array retval;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = GetVTKPointer<vtkActor>(arg[1]);
  temp1 = GetVTKPointer<vtkRenderer>(arg[2]);
  vtk_pointer->BackfaceRender(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLProperty:AddShaderVariable__1 vtkOpenGLPropertyAddShaderVariable__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkOpenGLPropertyAddShaderVariable__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddShaderVariable (const char *name, int numVars, int *x); */
  if (arg.size() < 4) 
    throw Exception("Function AddShaderVariable__1 for class vtkOpenGLProperty requires 4 argument(s)");
  vtkOpenGLProperty* vtk_pointer = GetVTKPointer<vtkOpenGLProperty>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int     *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLProperty:AddShaderVariable__2 vtkOpenGLPropertyAddShaderVariable__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkOpenGLPropertyAddShaderVariable__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddShaderVariable (const char *name, int numVars, float *x); */
  if (arg.size() < 4) 
    throw Exception("Function AddShaderVariable__2 for class vtkOpenGLProperty requires 4 argument(s)");
  vtkOpenGLProperty* vtk_pointer = GetVTKPointer<vtkOpenGLProperty>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  float   *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new float[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
      }
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLProperty:AddShaderVariable__3 vtkOpenGLPropertyAddShaderVariable__3Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkOpenGLPropertyAddShaderVariable__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddShaderVariable (const char *name, int numVars, double *x); */
  if (arg.size() < 4) 
    throw Exception("Function AddShaderVariable__3 for class vtkOpenGLProperty requires 4 argument(s)");
  vtkOpenGLProperty* vtk_pointer = GetVTKPointer<vtkOpenGLProperty>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  double  *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLProperty:AddShaderVariable vtkOpenGLPropertyAddShaderVariableFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLPropertyAddShaderVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkOpenGLPropertyAddShaderVariable__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkOpenGLPropertyAddShaderVariable__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkOpenGLPropertyAddShaderVariable__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOpenGLPropertyAddShaderVariable");
}

//@@Signature
//sfunction @vtkOpenGLProperty:display vtkOpenGLPropertyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLPropertyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLProperty* vtk_pointer = GetVTKPointer<vtkOpenGLProperty>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLProperty:delete vtkOpenGLPropertyDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLPropertyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLProperty
//@@Section VTKRendering
//@@Usage
// vtkOpenGLProperty is a concrete implementation of the abstract class 
// vtkProperty. vtkOpenGLProperty interfaces to the OpenGL rendering library.
//
//To create an instance of class vtkOpenGLProperty, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLProperty
//@]
//@@Methods
//The class vtkOpenGLProperty has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLProperty class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLProperty = obj.NewInstance ()|
// \item @|vtkOpenGLProperty = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Render (vtkActor a, vtkRenderer ren)| -  Implement base class method.
//// \item @|obj.BackfaceRender (vtkActor a, vtkRenderer ren)| -  Implement base class method.
//// \item @|obj.AddShaderVariable (string name, int numVars, int x)| -  Provide values to initialize shader variables.
// Useful to initialize shader variables that change over time
// (animation, GUI widgets inputs, etc. )
// - \p name - hardware name of the uniform variable
// - \p numVars - number of variables being set
// - \p x - values
//// \item @|obj.AddShaderVariable (string name, int numVars, float x)| -  Provide values to initialize shader variables.
// Useful to initialize shader variables that change over time
// (animation, GUI widgets inputs, etc. )
// - \p name - hardware name of the uniform variable
// - \p numVars - number of variables being set
// - \p x - values
//// \item @|obj.AddShaderVariable (string name, int numVars, double x)| -  Provide values to initialize shader variables.
// Useful to initialize shader variables that change over time
// (animation, GUI widgets inputs, etc. )
// - \p name - hardware name of the uniform variable
// - \p numVars - number of variables being set
// - \p x - values
////\end{itemize}
//!
