#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLRenderWindow object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLRenderWindow.h"

//@@Signature
//sfunction @vtkOpenGLRenderWindow:vtkOpenGLRenderWindow vtkOpenGLRenderWindowConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLRenderWindow vtkRenderWindow 
ArrayVector vtkOpenGLRenderWindowConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLRenderWindow::New(),"vtkOpenGLRenderWindow",eval);
  } else if (arg[0].className() == "vtkOpenGLRenderWindow") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLRenderWindow"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLRenderWindow");
    vtkOpenGLRenderWindow*q = reinterpret_cast<vtkOpenGLRenderWindow*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLRenderWindow");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetClassName vtkOpenGLRenderWindowGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLRenderWindowGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:IsA vtkOpenGLRenderWindowIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLRenderWindowIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLRenderWindow requires 2 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:NewInstance vtkOpenGLRenderWindowNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLRenderWindowNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLRenderWindow *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtkOpenGLRenderWindow  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:SafeDownCast vtkOpenGLRenderWindowSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLRenderWindowSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLRenderWindow *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLRenderWindow requires 2 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLRenderWindow  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:SetGlobalMaximumNumberOfMultiSamples vtkOpenGLRenderWindowSetGlobalMaximumNumberOfMultiSamplesFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLRenderWindowSetGlobalMaximumNumberOfMultiSamplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void SetGlobalMaximumNumberOfMultiSamples (int val); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobalMaximumNumberOfMultiSamples for class vtkOpenGLRenderWindow requires 2 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGlobalMaximumNumberOfMultiSamples(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetGlobalMaximumNumberOfMultiSamples vtkOpenGLRenderWindowGetGlobalMaximumNumberOfMultiSamplesFunction
//input a0 
//output y
ArrayVector vtkOpenGLRenderWindowGetGlobalMaximumNumberOfMultiSamplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalMaximumNumberOfMultiSamples (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalMaximumNumberOfMultiSamples for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGlobalMaximumNumberOfMultiSamples();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:StereoUpdate vtkOpenGLRenderWindowStereoUpdateFunction
//input a0 
//output none
ArrayVector vtkOpenGLRenderWindowStereoUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StereoUpdate (); */
  if (arg.size() < 1) 
    throw Exception("Function StereoUpdate for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->StereoUpdate();
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetPixelData__2 vtkOpenGLRenderWindowGetPixelData__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkOpenGLRenderWindowGetPixelData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data); */
  if (arg.size() < 7) 
    throw Exception("Function GetPixelData__2 for class vtkOpenGLRenderWindow requires 7 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkUnsignedCharArray  *temp5;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp5 = GetVTKPointer<vtkUnsignedCharArray>(arg[6]);
  temp20 = (vtk_pointer)->GetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:SetPixelData__1 vtkOpenGLRenderWindowSetPixelData__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkOpenGLRenderWindowSetPixelData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetPixelData (int x, int y, int x2, int y2, unsigned char *data, int front); */
  if (arg.size() < 7) 
    throw Exception("Function SetPixelData__1 for class vtkOpenGLRenderWindow requires 7 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  unsigned char    *temp4;
  int      temp5;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (unsigned char)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  temp20 = (vtk_pointer)->SetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:SetPixelData__2 vtkOpenGLRenderWindowSetPixelData__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkOpenGLRenderWindowSetPixelData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray *data, int front); */
  if (arg.size() < 7) 
    throw Exception("Function SetPixelData__2 for class vtkOpenGLRenderWindow requires 7 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  int      temp5;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkUnsignedCharArray>(arg[5]);
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  temp20 = (vtk_pointer)->SetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetRGBAPixelData__2 vtkOpenGLRenderWindowGetRGBAPixelData__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkOpenGLRenderWindowGetRGBAPixelData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetRGBAPixelData (int x, int y, int x2, int y2, int front, vtkFloatArray *data); */
  if (arg.size() < 7) 
    throw Exception("Function GetRGBAPixelData__2 for class vtkOpenGLRenderWindow requires 7 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkFloatArray  *temp5;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp5 = GetVTKPointer<vtkFloatArray>(arg[6]);
  temp20 = (vtk_pointer)->GetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:SetRGBAPixelData__1 vtkOpenGLRenderWindowSetRGBAPixelData__1Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkOpenGLRenderWindowSetRGBAPixelData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetRGBAPixelData (int x, int y, int x2, int y2, float *data, int front, int blend); */
  if (arg.size() < 8) 
    throw Exception("Function SetRGBAPixelData__1 for class vtkOpenGLRenderWindow requires 8 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  float   *temp4;
  int      temp5;
  int      temp6;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new float[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (float)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  temp20 = (vtk_pointer)->SetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:SetRGBAPixelData__2 vtkOpenGLRenderWindowSetRGBAPixelData__2Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkOpenGLRenderWindowSetRGBAPixelData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetRGBAPixelData (int x, int y, int x2, int y2, vtkFloatArray *data, int front, int blend); */
  if (arg.size() < 8) 
    throw Exception("Function SetRGBAPixelData__2 for class vtkOpenGLRenderWindow requires 8 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  int      temp5;
  int      temp6;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkFloatArray>(arg[5]);
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  temp20 = (vtk_pointer)->SetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:ReleaseRGBAPixelData vtkOpenGLRenderWindowReleaseRGBAPixelDataFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLRenderWindowReleaseRGBAPixelDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseRGBAPixelData (float *data); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseRGBAPixelData for class vtkOpenGLRenderWindow requires 2 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  float   *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  vtk_pointer->ReleaseRGBAPixelData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetRGBACharPixelData__2 vtkOpenGLRenderWindowGetRGBACharPixelData__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkOpenGLRenderWindowGetRGBACharPixelData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetRGBACharPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data); */
  if (arg.size() < 7) 
    throw Exception("Function GetRGBACharPixelData__2 for class vtkOpenGLRenderWindow requires 7 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkUnsignedCharArray  *temp5;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp5 = GetVTKPointer<vtkUnsignedCharArray>(arg[6]);
  temp20 = (vtk_pointer)->GetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:SetRGBACharPixelData__1 vtkOpenGLRenderWindowSetRGBACharPixelData__1Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkOpenGLRenderWindowSetRGBACharPixelData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetRGBACharPixelData (int x, int y, int x2, int y2, unsigned char *data, int front, int blend); */
  if (arg.size() < 8) 
    throw Exception("Function SetRGBACharPixelData__1 for class vtkOpenGLRenderWindow requires 8 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  unsigned char    *temp4;
  int      temp5;
  int      temp6;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (unsigned char)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  temp20 = (vtk_pointer)->SetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:SetRGBACharPixelData__2 vtkOpenGLRenderWindowSetRGBACharPixelData__2Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkOpenGLRenderWindowSetRGBACharPixelData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetRGBACharPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray *data, int front, int blend); */
  if (arg.size() < 8) 
    throw Exception("Function SetRGBACharPixelData__2 for class vtkOpenGLRenderWindow requires 8 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  int      temp5;
  int      temp6;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkUnsignedCharArray>(arg[5]);
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  temp20 = (vtk_pointer)->SetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetZbufferData__2 vtkOpenGLRenderWindowGetZbufferData__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkOpenGLRenderWindowGetZbufferData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetZbufferData (int x1, int y1, int x2, int y2, float *z); */
  if (arg.size() < 6) 
    throw Exception("Function GetZbufferData__2 for class vtkOpenGLRenderWindow requires 6 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  float   *temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new float[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (float)data[k+1];
      }
  temp20 = (vtk_pointer)->GetZbufferData(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetZbufferData__3 vtkOpenGLRenderWindowGetZbufferData__3Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkOpenGLRenderWindowGetZbufferData__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetZbufferData (int x1, int y1, int x2, int y2, vtkFloatArray *z); */
  if (arg.size() < 6) 
    throw Exception("Function GetZbufferData__3 for class vtkOpenGLRenderWindow requires 6 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkFloatArray>(arg[5]);
  temp20 = (vtk_pointer)->GetZbufferData(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:SetZbufferData__1 vtkOpenGLRenderWindowSetZbufferData__1Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkOpenGLRenderWindowSetZbufferData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetZbufferData (int x1, int y1, int x2, int y2, float *buffer); */
  if (arg.size() < 6) 
    throw Exception("Function SetZbufferData__1 for class vtkOpenGLRenderWindow requires 6 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  float   *temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new float[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (float)data[k+1];
      }
  temp20 = (vtk_pointer)->SetZbufferData(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:SetZbufferData__2 vtkOpenGLRenderWindowSetZbufferData__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkOpenGLRenderWindowSetZbufferData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetZbufferData (int x1, int y1, int x2, int y2, vtkFloatArray *buffer); */
  if (arg.size() < 6) 
    throw Exception("Function SetZbufferData__2 for class vtkOpenGLRenderWindow requires 6 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkFloatArray>(arg[5]);
  temp20 = (vtk_pointer)->SetZbufferData(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetDepthBufferSize vtkOpenGLRenderWindowGetDepthBufferSizeFunction
//input a0 
//output y
ArrayVector vtkOpenGLRenderWindowGetDepthBufferSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDepthBufferSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepthBufferSize for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDepthBufferSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetColorBufferSizes vtkOpenGLRenderWindowGetColorBufferSizesFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLRenderWindowGetColorBufferSizesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorBufferSizes (int *rgba); */
  if (arg.size() < 2) 
    throw Exception("Function GetColorBufferSizes for class vtkOpenGLRenderWindow requires 2 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int     *temp0;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->GetColorBufferSizes(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:OpenGLInit vtkOpenGLRenderWindowOpenGLInitFunction
//input a0 
//output none
ArrayVector vtkOpenGLRenderWindowOpenGLInitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OpenGLInit (); */
  if (arg.size() < 1) 
    throw Exception("Function OpenGLInit for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->OpenGLInit();
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetBackLeftBuffer vtkOpenGLRenderWindowGetBackLeftBufferFunction
//input a0 
//output y
ArrayVector vtkOpenGLRenderWindowGetBackLeftBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetBackLeftBuffer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackLeftBuffer for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetBackLeftBuffer();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetBackRightBuffer vtkOpenGLRenderWindowGetBackRightBufferFunction
//input a0 
//output y
ArrayVector vtkOpenGLRenderWindowGetBackRightBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetBackRightBuffer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackRightBuffer for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetBackRightBuffer();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetFrontLeftBuffer vtkOpenGLRenderWindowGetFrontLeftBufferFunction
//input a0 
//output y
ArrayVector vtkOpenGLRenderWindowGetFrontLeftBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetFrontLeftBuffer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFrontLeftBuffer for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetFrontLeftBuffer();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetFrontRightBuffer vtkOpenGLRenderWindowGetFrontRightBufferFunction
//input a0 
//output y
ArrayVector vtkOpenGLRenderWindowGetFrontRightBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetFrontRightBuffer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFrontRightBuffer for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetFrontRightBuffer();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetBackBuffer vtkOpenGLRenderWindowGetBackBufferFunction
//input a0 
//output y
ArrayVector vtkOpenGLRenderWindowGetBackBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetBackBuffer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackBuffer for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetBackBuffer();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetFrontBuffer vtkOpenGLRenderWindowGetFrontBufferFunction
//input a0 
//output y
ArrayVector vtkOpenGLRenderWindowGetFrontBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetFrontBuffer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFrontBuffer for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetFrontBuffer();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:CheckGraphicError vtkOpenGLRenderWindowCheckGraphicErrorFunction
//input a0 
//output none
ArrayVector vtkOpenGLRenderWindowCheckGraphicErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CheckGraphicError (); */
  if (arg.size() < 1) 
    throw Exception("Function CheckGraphicError for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->CheckGraphicError();
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:HasGraphicError vtkOpenGLRenderWindowHasGraphicErrorFunction
//input a0 
//output y
ArrayVector vtkOpenGLRenderWindowHasGraphicErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasGraphicError (); */
  if (arg.size() < 1) 
    throw Exception("Function HasGraphicError for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasGraphicError();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetLastGraphicErrorString vtkOpenGLRenderWindowGetLastGraphicErrorStringFunction
//input a0 
//output y
ArrayVector vtkOpenGLRenderWindowGetLastGraphicErrorStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetLastGraphicErrorString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastGraphicErrorString for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetLastGraphicErrorString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetExtensionManager vtkOpenGLRenderWindowGetExtensionManagerFunction
//input a0 
//output y
ArrayVector vtkOpenGLRenderWindowGetExtensionManagerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLExtensionManager *GetExtensionManager (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtensionManager for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtkOpenGLExtensionManager  *temp20;
  temp20 = (vtk_pointer)->GetExtensionManager();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLExtensionManager",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetHardwareSupport vtkOpenGLRenderWindowGetHardwareSupportFunction
//input a0 
//output y
ArrayVector vtkOpenGLRenderWindowGetHardwareSupportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLHardwareSupport *GetHardwareSupport (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHardwareSupport for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtkOpenGLHardwareSupport  *temp20;
  temp20 = (vtk_pointer)->GetHardwareSupport();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLHardwareSupport",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:WaitForCompletion vtkOpenGLRenderWindowWaitForCompletionFunction
//input a0 
//output none
ArrayVector vtkOpenGLRenderWindowWaitForCompletionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WaitForCompletion (); */
  if (arg.size() < 1) 
    throw Exception("Function WaitForCompletion for class vtkOpenGLRenderWindow requires 1 argument(s)");
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->WaitForCompletion();
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetPixelData vtkOpenGLRenderWindowGetPixelDataFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLRenderWindowGetPixelDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsClass(arg[6],"vtkUnsignedCharArray"))
    return vtkOpenGLRenderWindowGetPixelData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOpenGLRenderWindowGetPixelData");
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:SetPixelData vtkOpenGLRenderWindowSetPixelDataFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLRenderWindowSetPixelDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[6]))
    return vtkOpenGLRenderWindowSetPixelData__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkUnsignedCharArray") && VTKIsScalarArg(arg[6]))
    return vtkOpenGLRenderWindowSetPixelData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOpenGLRenderWindowSetPixelData");
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetRGBAPixelData vtkOpenGLRenderWindowGetRGBAPixelDataFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLRenderWindowGetRGBAPixelDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsClass(arg[6],"vtkFloatArray"))
    return vtkOpenGLRenderWindowGetRGBAPixelData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOpenGLRenderWindowGetRGBAPixelData");
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:SetRGBAPixelData vtkOpenGLRenderWindowSetRGBAPixelDataFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLRenderWindowSetRGBAPixelDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 8) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkOpenGLRenderWindowSetRGBAPixelData__1Function(nargout,arg,eval);
  if ((arg.size() == 8) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkFloatArray") && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkOpenGLRenderWindowSetRGBAPixelData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOpenGLRenderWindowSetRGBAPixelData");
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetRGBACharPixelData vtkOpenGLRenderWindowGetRGBACharPixelDataFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLRenderWindowGetRGBACharPixelDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsClass(arg[6],"vtkUnsignedCharArray"))
    return vtkOpenGLRenderWindowGetRGBACharPixelData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOpenGLRenderWindowGetRGBACharPixelData");
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:SetRGBACharPixelData vtkOpenGLRenderWindowSetRGBACharPixelDataFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLRenderWindowSetRGBACharPixelDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 8) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkOpenGLRenderWindowSetRGBACharPixelData__1Function(nargout,arg,eval);
  if ((arg.size() == 8) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkUnsignedCharArray") && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkOpenGLRenderWindowSetRGBACharPixelData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOpenGLRenderWindowSetRGBACharPixelData");
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:GetZbufferData vtkOpenGLRenderWindowGetZbufferDataFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLRenderWindowGetZbufferDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsVectorArg(arg[5]))
    return vtkOpenGLRenderWindowGetZbufferData__2Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkFloatArray"))
    return vtkOpenGLRenderWindowGetZbufferData__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOpenGLRenderWindowGetZbufferData");
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:SetZbufferData vtkOpenGLRenderWindowSetZbufferDataFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLRenderWindowSetZbufferDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsVectorArg(arg[5]))
    return vtkOpenGLRenderWindowSetZbufferData__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkFloatArray"))
    return vtkOpenGLRenderWindowSetZbufferData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOpenGLRenderWindowSetZbufferData");
}

//@@Signature
//sfunction @vtkOpenGLRenderWindow:display vtkOpenGLRenderWindowDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLRenderWindowDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkOpenGLRenderWindow>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLRenderWindow:delete vtkOpenGLRenderWindowDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLRenderWindowDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLRenderWindow
//@@Section VTKRendering
//@@Usage
// vtkOpenGLRenderWindow is a concrete implementation of the abstract class
// vtkRenderWindow. vtkOpenGLRenderer interfaces to the OpenGL graphics
// library. Application programmers should normally use vtkRenderWindow
// instead of the OpenGL specific version.
//
//To create an instance of class vtkOpenGLRenderWindow, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLRenderWindow
//@]
//@@Methods
//The class vtkOpenGLRenderWindow has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLRenderWindow class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLRenderWindow = obj.NewInstance ()|
// \item @|vtkOpenGLRenderWindow = obj.SafeDownCast (vtkObject o)|
// \item @|obj.StereoUpdate ()| -  Update system if needed due to stereo rendering.
//// \item @|int = obj.GetPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray data)| -  Set/Get the pixel data of an image, transmitted as RGBRGB...
//// \item @|int = obj.SetPixelData (int x, int y, int x2, int y2, string data, int front)| -  Set/Get the pixel data of an image, transmitted as RGBRGB...
//// \item @|int = obj.SetPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray data, int front)| -  Set/Get the pixel data of an image, transmitted as RGBRGB...
//// \item @|int = obj.GetRGBAPixelData (int x, int y, int x2, int y2, int front, vtkFloatArray data)| -  Set/Get the pixel data of an image, transmitted as RGBARGBA...
//// \item @|int = obj.SetRGBAPixelData (int x, int y, int x2, int y2, float data, int front, int blend)| -  Set/Get the pixel data of an image, transmitted as RGBARGBA...
//// \item @|int = obj.SetRGBAPixelData (int x, int y, int x2, int y2, vtkFloatArray data, int front, int blend)| -  Set/Get the pixel data of an image, transmitted as RGBARGBA...
//// \item @|obj.ReleaseRGBAPixelData (float data)| -  Set/Get the pixel data of an image, transmitted as RGBARGBA...
//// \item @|int = obj.GetRGBACharPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray data)| -  Set/Get the pixel data of an image, transmitted as RGBARGBA...
//// \item @|int = obj.SetRGBACharPixelData (int x, int y, int x2, int y2, string data, int front, int blend)| -  Set/Get the pixel data of an image, transmitted as RGBARGBA...
//// \item @|int = obj.SetRGBACharPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray data, int front, int blend)| -  Set/Get the pixel data of an image, transmitted as RGBARGBA...
//// \item @|int = obj.GetZbufferData (int x1, int y1, int x2, int y2, float z)| -  Set/Get the zbuffer data from an image
//// \item @|int = obj.GetZbufferData (int x1, int y1, int x2, int y2, vtkFloatArray z)| -  Set/Get the zbuffer data from an image
//// \item @|int = obj.SetZbufferData (int x1, int y1, int x2, int y2, float buffer)| -  Set/Get the zbuffer data from an image
//// \item @|int = obj.SetZbufferData (int x1, int y1, int x2, int y2, vtkFloatArray buffer)| -  Set/Get the zbuffer data from an image
//// \item @|int = obj.GetDepthBufferSize ()| -  Get the size of the depth buffer.
//// \item @|int = obj.GetColorBufferSizes (int rgba)| -  Get the size of the color buffer.
// Returns 0 if not able to determine otherwise sets R G B and A into buffer.
//// \item @|obj.OpenGLInit ()| -  Initialize OpenGL for this window.
//// \item @|int = obj.GetBackLeftBuffer ()| -  Return the OpenGL name of the back left buffer.
// It is GL_BACK_LEFT if GL is bound to the window-system-provided
// framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT if GL is bound to an
// application-created framebuffer object (GPU-based offscreen rendering)
// It is used by vtkOpenGLCamera.
//// \item @|int = obj.GetBackRightBuffer ()| -  Return the OpenGL name of the back right buffer.
// It is GL_BACK_RIGHT if GL is bound to the window-system-provided
// framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT+1 if GL is bound to an
// application-created framebuffer object (GPU-based offscreen rendering)
// It is used by vtkOpenGLCamera.
//// \item @|int = obj.GetFrontLeftBuffer ()| -  Return the OpenGL name of the front left buffer.
// It is GL_FRONT_LEFT if GL is bound to the window-system-provided
// framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT if GL is bound to an
// application-created framebuffer object (GPU-based offscreen rendering)
// It is used by vtkOpenGLCamera.
//// \item @|int = obj.GetFrontRightBuffer ()| -  Return the OpenGL name of the front right buffer.
// It is GL_FRONT_RIGHT if GL is bound to the window-system-provided
// framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT+1 if GL is bound to an
// application-created framebuffer object (GPU-based offscreen rendering)
// It is used by vtkOpenGLCamera.
//// \item @|int = obj.GetBackBuffer ()| -  Return the OpenGL name of the back left buffer.
// It is GL_BACK if GL is bound to the window-system-provided
// framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT if GL is bound to an
// application-created framebuffer object (GPU-based offscreen rendering)
// It is used by vtkOpenGLCamera.
//// \item @|int = obj.GetFrontBuffer ()| -  Return the OpenGL name of the front left buffer.
// It is GL_FRONT if GL is bound to the window-system-provided
// framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT if GL is bound to an
// application-created framebuffer object (GPU-based offscreen rendering)
// It is used by vtkOpenGLCamera.
//// \item @|obj.CheckGraphicError ()| -  Update graphic error status, regardless of ReportGraphicErrors flag.
// It means this method can be used in any context and is not restricted to
// debug mode.
//// \item @|int = obj.HasGraphicError ()| -  Return the last graphic error status. Initial value is false.
//// \item @|string = obj.GetLastGraphicErrorString ()| -  Return a string matching the last graphic error status.
//// \item @|vtkOpenGLExtensionManager = obj.GetExtensionManager ()| -  Returns the extension manager. A new one will be created if one hasn't
// already been set up.
//// \item @|vtkOpenGLHardwareSupport = obj.GetHardwareSupport ()| -  Returns an Hardware Support object. A new one will be created if one
// hasn't already been set up.
//// \item @|obj.WaitForCompletion ()| -  Block the thread until the actual rendering is finished().
// Useful for measurement only.
////\end{itemize}
//!
