#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLRenderer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLRenderer.h"

//@@Signature
//sfunction @vtkOpenGLRenderer:vtkOpenGLRenderer vtkOpenGLRendererConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLRenderer vtkRenderer 
ArrayVector vtkOpenGLRendererConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLRenderer::New(),"vtkOpenGLRenderer",eval);
  } else if (arg[0].className() == "vtkOpenGLRenderer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLRenderer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLRenderer");
    vtkOpenGLRenderer*q = reinterpret_cast<vtkOpenGLRenderer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLRenderer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLRenderer:GetClassName vtkOpenGLRendererGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLRendererGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLRenderer requires 1 argument(s)");
  vtkOpenGLRenderer* vtk_pointer = GetVTKPointer<vtkOpenGLRenderer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderer:IsA vtkOpenGLRendererIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLRendererIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLRenderer requires 2 argument(s)");
  vtkOpenGLRenderer* vtk_pointer = GetVTKPointer<vtkOpenGLRenderer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderer:NewInstance vtkOpenGLRendererNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLRendererNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLRenderer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLRenderer requires 1 argument(s)");
  vtkOpenGLRenderer* vtk_pointer = GetVTKPointer<vtkOpenGLRenderer>(arg[0]);
  Array retval;
  vtkOpenGLRenderer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderer:SafeDownCast vtkOpenGLRendererSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLRendererSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLRenderer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLRenderer requires 2 argument(s)");
  vtkOpenGLRenderer* vtk_pointer = GetVTKPointer<vtkOpenGLRenderer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLRenderer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderer:DeviceRender vtkOpenGLRendererDeviceRenderFunction
//input a0 
//output none
ArrayVector vtkOpenGLRendererDeviceRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeviceRender (void ); */
  if (arg.size() < 1) 
    throw Exception("Function DeviceRender for class vtkOpenGLRenderer requires 1 argument(s)");
  vtkOpenGLRenderer* vtk_pointer = GetVTKPointer<vtkOpenGLRenderer>(arg[0]);
  Array retval;
  vtk_pointer->DeviceRender();
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderer:DeviceRenderTranslucentPolygonalGeometry vtkOpenGLRendererDeviceRenderTranslucentPolygonalGeometryFunction
//input a0 
//output none
ArrayVector vtkOpenGLRendererDeviceRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeviceRenderTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function DeviceRenderTranslucentPolygonalGeometry for class vtkOpenGLRenderer requires 1 argument(s)");
  vtkOpenGLRenderer* vtk_pointer = GetVTKPointer<vtkOpenGLRenderer>(arg[0]);
  Array retval;
  vtk_pointer->DeviceRenderTranslucentPolygonalGeometry();
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderer:ClearLights vtkOpenGLRendererClearLightsFunction
//input a0 
//output none
ArrayVector vtkOpenGLRendererClearLightsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearLights (void ); */
  if (arg.size() < 1) 
    throw Exception("Function ClearLights for class vtkOpenGLRenderer requires 1 argument(s)");
  vtkOpenGLRenderer* vtk_pointer = GetVTKPointer<vtkOpenGLRenderer>(arg[0]);
  Array retval;
  vtk_pointer->ClearLights();
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderer:Clear vtkOpenGLRendererClearFunction
//input a0 
//output none
ArrayVector vtkOpenGLRendererClearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Clear (void ); */
  if (arg.size() < 1) 
    throw Exception("Function Clear for class vtkOpenGLRenderer requires 1 argument(s)");
  vtkOpenGLRenderer* vtk_pointer = GetVTKPointer<vtkOpenGLRenderer>(arg[0]);
  Array retval;
  vtk_pointer->Clear();
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderer:UpdateLights vtkOpenGLRendererUpdateLightsFunction
//input a0 
//output y
ArrayVector vtkOpenGLRendererUpdateLightsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int UpdateLights (void ); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateLights for class vtkOpenGLRenderer requires 1 argument(s)");
  vtkOpenGLRenderer* vtk_pointer = GetVTKPointer<vtkOpenGLRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->UpdateLights();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderer:GetDepthPeelingHigherLayer vtkOpenGLRendererGetDepthPeelingHigherLayerFunction
//input a0 
//output y
ArrayVector vtkOpenGLRendererGetDepthPeelingHigherLayerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDepthPeelingHigherLayer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepthPeelingHigherLayer for class vtkOpenGLRenderer requires 1 argument(s)");
  vtkOpenGLRenderer* vtk_pointer = GetVTKPointer<vtkOpenGLRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDepthPeelingHigherLayer();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRenderer:display vtkOpenGLRendererDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLRendererDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLRenderer* vtk_pointer = GetVTKPointer<vtkOpenGLRenderer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLRenderer:delete vtkOpenGLRendererDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLRendererDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLRenderer
//@@Section VTKRendering
//@@Usage
// vtkOpenGLRenderer is a concrete implementation of the abstract class
// vtkRenderer. vtkOpenGLRenderer interfaces to the OpenGL graphics library.
//
//To create an instance of class vtkOpenGLRenderer, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLRenderer
//@]
//@@Methods
//The class vtkOpenGLRenderer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLRenderer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLRenderer = obj.NewInstance ()|
// \item @|vtkOpenGLRenderer = obj.SafeDownCast (vtkObject o)|
// \item @|obj.DeviceRender (void )| -  Concrete open gl render method.
//// \item @|obj.DeviceRenderTranslucentPolygonalGeometry ()| -  Render translucent polygonal geometry. Default implementation just call
// UpdateTranslucentPolygonalGeometry().
// Subclasses of vtkRenderer that can deal with depth peeling must
// override this method.
//// \item @|obj.ClearLights (void )| -  Internal method temporarily removes lights before reloading them
// into graphics pipeline.
//// \item @|obj.Clear (void )|
// \item @|int = obj.UpdateLights (void )| -  Ask lights to load themselves into graphics pipeline.
//// \item @|int = obj.GetDepthPeelingHigherLayer ()| -  Is rendering at translucent geometry stage using depth peeling and
// rendering a layer other than the first one? (Boolean value)
// If so, the uniform variables UseTexture and Texture can be set.
// (Used by vtkOpenGLProperty or vtkOpenGLTexture)
////\end{itemize}
//!
