#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLRepresentationPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLRepresentationPainter.h"

//@@Signature
//sfunction @vtkOpenGLRepresentationPainter:vtkOpenGLRepresentationPainter vtkOpenGLRepresentationPainterConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLRepresentationPainter vtkRepresentationPainter 
ArrayVector vtkOpenGLRepresentationPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLRepresentationPainter::New(),"vtkOpenGLRepresentationPainter",eval);
  } else if (arg[0].className() == "vtkOpenGLRepresentationPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLRepresentationPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLRepresentationPainter");
    vtkOpenGLRepresentationPainter*q = reinterpret_cast<vtkOpenGLRepresentationPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLRepresentationPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLRepresentationPainter:GetClassName vtkOpenGLRepresentationPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLRepresentationPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLRepresentationPainter requires 1 argument(s)");
  vtkOpenGLRepresentationPainter* vtk_pointer = GetVTKPointer<vtkOpenGLRepresentationPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRepresentationPainter:IsA vtkOpenGLRepresentationPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLRepresentationPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLRepresentationPainter requires 2 argument(s)");
  vtkOpenGLRepresentationPainter* vtk_pointer = GetVTKPointer<vtkOpenGLRepresentationPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRepresentationPainter:NewInstance vtkOpenGLRepresentationPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLRepresentationPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLRepresentationPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLRepresentationPainter requires 1 argument(s)");
  vtkOpenGLRepresentationPainter* vtk_pointer = GetVTKPointer<vtkOpenGLRepresentationPainter>(arg[0]);
  Array retval;
  vtkOpenGLRepresentationPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLRepresentationPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRepresentationPainter:SafeDownCast vtkOpenGLRepresentationPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLRepresentationPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLRepresentationPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLRepresentationPainter requires 2 argument(s)");
  vtkOpenGLRepresentationPainter* vtk_pointer = GetVTKPointer<vtkOpenGLRepresentationPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLRepresentationPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLRepresentationPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRepresentationPainter:GetTimeToDraw vtkOpenGLRepresentationPainterGetTimeToDrawFunction
//input a0 
//output y
ArrayVector vtkOpenGLRepresentationPainterGetTimeToDrawFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetTimeToDraw ();return this TimeToDraw  */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeToDraw for class vtkOpenGLRepresentationPainter requires 1 argument(s)");
  vtkOpenGLRepresentationPainter* vtk_pointer = GetVTKPointer<vtkOpenGLRepresentationPainter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTimeToDraw();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLRepresentationPainter:display vtkOpenGLRepresentationPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLRepresentationPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLRepresentationPainter* vtk_pointer = GetVTKPointer<vtkOpenGLRepresentationPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLRepresentationPainter:delete vtkOpenGLRepresentationPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLRepresentationPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLRepresentationPainter
//@@Section VTKRendering
//@@Usage
// This is OpenGL implementation of a painter handling representation 
// i.e. Points, Wireframe, Surface.
//
//To create an instance of class vtkOpenGLRepresentationPainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLRepresentationPainter
//@]
//@@Methods
//The class vtkOpenGLRepresentationPainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLRepresentationPainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLRepresentationPainter = obj.NewInstance ()|
// \item @|vtkOpenGLRepresentationPainter = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.GetTimeToDraw ()|
//\end{itemize}
//!
