#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLTexture object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLTexture.h"

//@@Signature
//sfunction @vtkOpenGLTexture:vtkOpenGLTexture vtkOpenGLTextureConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLTexture vtkTexture 
ArrayVector vtkOpenGLTextureConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLTexture::New(),"vtkOpenGLTexture",eval);
  } else if (arg[0].className() == "vtkOpenGLTexture") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLTexture"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLTexture");
    vtkOpenGLTexture*q = reinterpret_cast<vtkOpenGLTexture*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLTexture");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLTexture:GetClassName vtkOpenGLTextureGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLTextureGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLTexture requires 1 argument(s)");
  vtkOpenGLTexture* vtk_pointer = GetVTKPointer<vtkOpenGLTexture>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLTexture:IsA vtkOpenGLTextureIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLTextureIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLTexture requires 2 argument(s)");
  vtkOpenGLTexture* vtk_pointer = GetVTKPointer<vtkOpenGLTexture>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLTexture:NewInstance vtkOpenGLTextureNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLTextureNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLTexture *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLTexture requires 1 argument(s)");
  vtkOpenGLTexture* vtk_pointer = GetVTKPointer<vtkOpenGLTexture>(arg[0]);
  Array retval;
  vtkOpenGLTexture  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLTexture:SafeDownCast vtkOpenGLTextureSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLTextureSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLTexture *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLTexture requires 2 argument(s)");
  vtkOpenGLTexture* vtk_pointer = GetVTKPointer<vtkOpenGLTexture>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLTexture  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLTexture:Load vtkOpenGLTextureLoadFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLTextureLoadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Load (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function Load for class vtkOpenGLTexture requires 2 argument(s)");
  vtkOpenGLTexture* vtk_pointer = GetVTKPointer<vtkOpenGLTexture>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->Load(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLTexture:PostRender vtkOpenGLTexturePostRenderFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLTexturePostRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PostRender (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function PostRender for class vtkOpenGLTexture requires 2 argument(s)");
  vtkOpenGLTexture* vtk_pointer = GetVTKPointer<vtkOpenGLTexture>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->PostRender(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLTexture:ReleaseGraphicsResources vtkOpenGLTextureReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLTextureReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkOpenGLTexture requires 2 argument(s)");
  vtkOpenGLTexture* vtk_pointer = GetVTKPointer<vtkOpenGLTexture>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLTexture:GetIndex vtkOpenGLTextureGetIndexFunction
//input a0 
//output y
ArrayVector vtkOpenGLTextureGetIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long GetIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIndex for class vtkOpenGLTexture requires 1 argument(s)");
  vtkOpenGLTexture* vtk_pointer = GetVTKPointer<vtkOpenGLTexture>(arg[0]);
  Array retval;
  long     temp20;
  temp20 = (vtk_pointer)->GetIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLTexture:display vtkOpenGLTextureDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLTextureDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLTexture* vtk_pointer = GetVTKPointer<vtkOpenGLTexture>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLTexture:delete vtkOpenGLTextureDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLTextureDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLTexture
//@@Section VTKRendering
//@@Usage
// vtkOpenGLTexture is a concrete implementation of the abstract class 
// vtkTexture. vtkOpenGLTexture interfaces to the OpenGL rendering library.
//
//To create an instance of class vtkOpenGLTexture, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLTexture
//@]
//@@Methods
//The class vtkOpenGLTexture has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLTexture class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLTexture = obj.NewInstance ()|
// \item @|vtkOpenGLTexture = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Load (vtkRenderer ren)| -  Implement base class method.
//// \item @|obj.PostRender (vtkRenderer ren)|
// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this texture.
// The parameter window could be used to determine which graphic
// resources to release. Using the same texture object in multiple
// render windows is NOT currently supported. 
//// \item @|long = obj.GetIndex ()| -  Get the openGL texture name to which this texture is bound.
// This is available only if GL version >= 1.1
////\end{itemize}
//!
