#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOverlayPass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOverlayPass.h"

//@@Signature
//sfunction @vtkOverlayPass:vtkOverlayPass vtkOverlayPassConstructorFunction
//input a
//output p
//@@Parents vtkOverlayPass vtkDefaultPass 
ArrayVector vtkOverlayPassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOverlayPass::New(),"vtkOverlayPass",eval);
  } else if (arg[0].className() == "vtkOverlayPass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOverlayPass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOverlayPass");
    vtkOverlayPass*q = reinterpret_cast<vtkOverlayPass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOverlayPass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOverlayPass:GetClassName vtkOverlayPassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOverlayPassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOverlayPass requires 1 argument(s)");
  vtkOverlayPass* vtk_pointer = GetVTKPointer<vtkOverlayPass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOverlayPass:IsA vtkOverlayPassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOverlayPassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOverlayPass requires 2 argument(s)");
  vtkOverlayPass* vtk_pointer = GetVTKPointer<vtkOverlayPass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOverlayPass:NewInstance vtkOverlayPassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOverlayPassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOverlayPass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOverlayPass requires 1 argument(s)");
  vtkOverlayPass* vtk_pointer = GetVTKPointer<vtkOverlayPass>(arg[0]);
  Array retval;
  vtkOverlayPass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOverlayPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOverlayPass:SafeDownCast vtkOverlayPassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOverlayPassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOverlayPass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOverlayPass requires 2 argument(s)");
  vtkOverlayPass* vtk_pointer = GetVTKPointer<vtkOverlayPass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOverlayPass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOverlayPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOverlayPass:display vtkOverlayPassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOverlayPassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOverlayPass* vtk_pointer = GetVTKPointer<vtkOverlayPass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOverlayPass:delete vtkOverlayPassDeleteFunction
//input varargin
//output none
ArrayVector vtkOverlayPassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOverlayPass
//@@Section VTKRendering
//@@Usage
// vtkOverlayPass renders the overlay geometry of all the props that have the
// keys contained in vtkRenderState.
//
// This pass expects an initialized depth buffer and color buffer.
// Initialized buffers means they have been cleared with farest z-value and
// background color/gradient/transparent color.
// 
//
//To create an instance of class vtkOverlayPass, simply
//invoke its constructor as follows
//@[
//  obj = vtkOverlayPass
//@]
//@@Methods
//The class vtkOverlayPass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOverlayPass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOverlayPass = obj.NewInstance ()|
// \item @|vtkOverlayPass = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
