#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPOVExporter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPOVExporter.h"

//@@Signature
//sfunction @vtkPOVExporter:vtkPOVExporter vtkPOVExporterConstructorFunction
//input a
//output p
//@@Parents vtkPOVExporter vtkExporter 
ArrayVector vtkPOVExporterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPOVExporter::New(),"vtkPOVExporter",eval);
  } else if (arg[0].className() == "vtkPOVExporter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPOVExporter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPOVExporter");
    vtkPOVExporter*q = reinterpret_cast<vtkPOVExporter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPOVExporter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPOVExporter:GetClassName vtkPOVExporterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPOVExporterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPOVExporter requires 1 argument(s)");
  vtkPOVExporter* vtk_pointer = GetVTKPointer<vtkPOVExporter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOVExporter:IsA vtkPOVExporterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPOVExporterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPOVExporter requires 2 argument(s)");
  vtkPOVExporter* vtk_pointer = GetVTKPointer<vtkPOVExporter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOVExporter:NewInstance vtkPOVExporterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPOVExporterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPOVExporter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPOVExporter requires 1 argument(s)");
  vtkPOVExporter* vtk_pointer = GetVTKPointer<vtkPOVExporter>(arg[0]);
  Array retval;
  vtkPOVExporter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPOVExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPOVExporter:SafeDownCast vtkPOVExporterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPOVExporterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPOVExporter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPOVExporter requires 2 argument(s)");
  vtkPOVExporter* vtk_pointer = GetVTKPointer<vtkPOVExporter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPOVExporter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPOVExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPOVExporter:SetFileName vtkPOVExporterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkPOVExporterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkPOVExporter requires 2 argument(s)");
  vtkPOVExporter* vtk_pointer = GetVTKPointer<vtkPOVExporter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPOVExporter:GetFileName vtkPOVExporterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkPOVExporterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkPOVExporter requires 1 argument(s)");
  vtkPOVExporter* vtk_pointer = GetVTKPointer<vtkPOVExporter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPOVExporter:display vtkPOVExporterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPOVExporterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPOVExporter* vtk_pointer = GetVTKPointer<vtkPOVExporter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPOVExporter:delete vtkPOVExporterDeleteFunction
//input varargin
//output none
ArrayVector vtkPOVExporterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPOVExporter
//@@Section VTKRendering
//@@Usage
// This Exporter can be attached to a render window in order to generate 
// scene description files for the Persistance of Vision Raytracer
// www.povray.org.
//
// .SECTION Thanks
// Li-Ta Lo (ollie@lanl.gov) and Jim Ahrens (ahrens@lanl.gov)
// Los Alamos National Laboratory
//
//To create an instance of class vtkPOVExporter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPOVExporter
//@]
//@@Methods
//The class vtkPOVExporter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPOVExporter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPOVExporter = obj.NewInstance ()|
// \item @|vtkPOVExporter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )|
// \item @|string = obj.GetFileName ()|
//\end{itemize}
//!
