#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPainter.h"

//@@Signature
//sfunction @vtkPainter:vtkPainter vtkPainterConstructorFunction
//input a
//output p
//@@Parents vtkPainter vtkObject 
ArrayVector vtkPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPainter::New(),"vtkPainter",eval);
  } else if (arg[0].className() == "vtkPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPainter");
    vtkPainter*q = reinterpret_cast<vtkPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPainter:GetClassName vtkPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPainter requires 1 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPainter:IsA vtkPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPainter requires 2 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPainter:NewInstance vtkPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPainter requires 1 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  vtkPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:SafeDownCast vtkPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPainter requires 2 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:STATIC_DATA vtkPainterSTATIC_DATAFunction
//input a0 
//output y
ArrayVector vtkPainterSTATIC_DATAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *STATIC_DATA (); */
  if (arg.size() < 1) 
    throw Exception("Function STATIC_DATA for class vtkPainter requires 1 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->STATIC_DATA();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:CONSERVE_MEMORY vtkPainterCONSERVE_MEMORYFunction
//input a0 
//output y
ArrayVector vtkPainterCONSERVE_MEMORYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *CONSERVE_MEMORY (); */
  if (arg.size() < 1) 
    throw Exception("Function CONSERVE_MEMORY for class vtkPainter requires 1 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->CONSERVE_MEMORY();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:HIGH_QUALITY vtkPainterHIGH_QUALITYFunction
//input a0 
//output y
ArrayVector vtkPainterHIGH_QUALITYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *HIGH_QUALITY (); */
  if (arg.size() < 1) 
    throw Exception("Function HIGH_QUALITY for class vtkPainter requires 1 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->HIGH_QUALITY();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:GetInformation vtkPainterGetInformationFunction
//input a0 
//output y
ArrayVector vtkPainterGetInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInformation *GetInformation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInformation for class vtkPainter requires 1 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  vtkInformation  *temp20;
  temp20 = (vtk_pointer)->GetInformation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:SetInformation vtkPainterSetInformationFunction
//input a0 a1 
//output none
ArrayVector vtkPainterSetInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInformation (vtkInformation *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInformation for class vtkPainter requires 2 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  vtk_pointer->SetInformation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:GetDelegatePainter vtkPainterGetDelegatePainterFunction
//input a0 
//output y
ArrayVector vtkPainterGetDelegatePainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPainter *GetDelegatePainter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDelegatePainter for class vtkPainter requires 1 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  vtkPainter  *temp20;
  temp20 = (vtk_pointer)->GetDelegatePainter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:SetDelegatePainter vtkPainterSetDelegatePainterFunction
//input a0 a1 
//output none
ArrayVector vtkPainterSetDelegatePainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDelegatePainter (vtkPainter *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDelegatePainter for class vtkPainter requires 2 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  vtkPainter  *temp0;
  temp0 = GetVTKPointer<vtkPainter>(arg[1]);
  vtk_pointer->SetDelegatePainter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:Register vtkPainterRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkPainterRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Register (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function Register for class vtkPainter requires 2 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->Register(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:UnRegister vtkPainterUnRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkPainterUnRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UnRegister (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function UnRegister for class vtkPainter requires 2 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->UnRegister(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:Render vtkPainterRenderFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPainterRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkRenderer *renderer, vtkActor *actor, unsigned long typeflags, bool forceCompileOnly); */
  if (arg.size() < 5) 
    throw Exception("Function Render for class vtkPainter requires 5 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  unsigned long     temp2;
  bool   temp3;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkActor>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (unsigned long) arg[3].asDouble();
  vtk_pointer->Render(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:ReleaseGraphicsResources vtkPainterReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkPainterReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkPainter requires 2 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:SetProgress vtkPainterSetProgressFunction
//input a0 a1 
//output none
ArrayVector vtkPainterSetProgressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProgress (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProgress for class vtkPainter requires 2 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetProgress(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:GetProgressMinValue vtkPainterGetProgressMinValueFunction
//input a0 
//output y
ArrayVector vtkPainterGetProgressMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetProgressMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProgressMinValue for class vtkPainter requires 1 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetProgressMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPainter:GetProgressMaxValue vtkPainterGetProgressMaxValueFunction
//input a0 
//output y
ArrayVector vtkPainterGetProgressMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetProgressMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProgressMaxValue for class vtkPainter requires 1 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetProgressMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPainter:GetProgress vtkPainterGetProgressFunction
//input a0 
//output y
ArrayVector vtkPainterGetProgressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetProgress (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProgress for class vtkPainter requires 1 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetProgress();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPainter:GetTimeToDraw vtkPainterGetTimeToDrawFunction
//input a0 
//output y
ArrayVector vtkPainterGetTimeToDrawFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetTimeToDraw (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeToDraw for class vtkPainter requires 1 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTimeToDraw();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPainter:UpdateBounds vtkPainterUpdateBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkPainterUpdateBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function UpdateBounds for class vtkPainter requires 2 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->UpdateBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:SetInput vtkPainterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkPainterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkPainter requires 2 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:GetInput vtkPainterGetInputFunction
//input a0 
//output y
ArrayVector vtkPainterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkPainter requires 1 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:GetOutput vtkPainterGetOutputFunction
//input a0 
//output y
ArrayVector vtkPainterGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkDataObject *GetOutput ();return this Input  */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput for class vtkPainter requires 1 argument(s)");
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPainter:display vtkPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPainter* vtk_pointer = GetVTKPointer<vtkPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPainter:delete vtkPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPainter
//@@Section VTKRendering
//@@Usage
// This defines the interface for a Painter. Painters are helpers used
// by Mapper to perform the rendering. The mapper sets up a chain of painters
// and passes the render request to the painter. Every painter may have a 
// delegate painter to which the render request is forwarded. The Painter may
// modify the request or data before passing it to the delegate painter. 
// All the information to control the rendering must be passed to the painter
// using the vtkInformation object. A concrete painter may read special keys
// from the vtkInformation object and affect the rendering.
//
//
//To create an instance of class vtkPainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPainter
//@]
//@@Methods
//The class vtkPainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPainter = obj.NewInstance ()|
// \item @|vtkPainter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkInformation = obj.GetInformation ()| -  Get/Set the information object associated with this painter.
//// \item @|obj.SetInformation (vtkInformation )| -  Get/Set the information object associated with this painter.
//// \item @|vtkPainter = obj.GetDelegatePainter ()| -  Set/Get the painter to which this painter should propagare its draw calls.
//// \item @|obj.SetDelegatePainter (vtkPainter )| -  Set/Get the painter to which this painter should propagare its draw calls.
//// \item @|obj.Register (vtkObjectBase o)| -  Take part in garbage collection.
//// \item @|obj.UnRegister (vtkObjectBase o)| -  Take part in garbage collection.
//// \item @|obj.Render (vtkRenderer renderer, vtkActor actor, long typeflags, bool forceCompileOnly)| -  Generates rendering primitives of appropriate type(s). Multiple types 
// of primitives can be requested by or-ring the primitive flags. 
// Default implementation calls UpdateDelegatePainter() to update the 
// deletagate painter and then calls RenderInternal().
// forceCompileOnly is passed to the display list painters.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this painter.
// The parameter window could be used to determine which graphic
// resources to release. 
// The call is propagated to the delegate painter, if any.
//// \item @|obj.SetProgress (double )| -  Set/Get the execution progress of a process object.
//// \item @|double = obj.GetProgressMinValue ()| -  Set/Get the execution progress of a process object.
//// \item @|double = obj.GetProgressMaxValue ()| -  Set/Get the execution progress of a process object.
//// \item @|double = obj.GetProgress ()| -  Set/Get the execution progress of a process object.
//// \item @|double = obj.GetTimeToDraw ()| -  Get the time required to draw the geometry last time it was rendered.
// Default implementation adds the current TimeToDraw with that of the
// delegate painter.
//// \item @|obj.UpdateBounds (double bounds[6])| -  Expand or shrink the estimated bounds of the object based on the
// geometric transformations performed in the painter. If the painter
// does not modify the geometry, the bounds are passed through.
//// \item @|obj.SetInput (vtkDataObject )| -  Set the data object to paint. Currently we only support one data object per
// painter chain.
//// \item @|vtkDataObject = obj.GetInput ()| -  Set the data object to paint. Currently we only support one data object per
// painter chain.
//// \item @|vtkDataObject = obj.GetOutput ()|
//\end{itemize}
//!
