#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPainterDeviceAdapter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPainterDeviceAdapter.h"

//@@Signature
//sfunction @vtkPainterDeviceAdapter:vtkPainterDeviceAdapter vtkPainterDeviceAdapterConstructorFunction
//input a
//output p
//@@Parents vtkPainterDeviceAdapter vtkObject 
ArrayVector vtkPainterDeviceAdapterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPainterDeviceAdapter::New(),"vtkPainterDeviceAdapter",eval);
  } else if (arg[0].className() == "vtkPainterDeviceAdapter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPainterDeviceAdapter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPainterDeviceAdapter");
    vtkPainterDeviceAdapter*q = reinterpret_cast<vtkPainterDeviceAdapter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPainterDeviceAdapter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPainterDeviceAdapter:GetClassName vtkPainterDeviceAdapterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPainterDeviceAdapterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPainterDeviceAdapter requires 1 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:IsA vtkPainterDeviceAdapterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPainterDeviceAdapterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPainterDeviceAdapter requires 2 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:NewInstance vtkPainterDeviceAdapterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPainterDeviceAdapterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPainterDeviceAdapter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPainterDeviceAdapter requires 1 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  vtkPainterDeviceAdapter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPainterDeviceAdapter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:SafeDownCast vtkPainterDeviceAdapterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPainterDeviceAdapterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPainterDeviceAdapter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPainterDeviceAdapter requires 2 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPainterDeviceAdapter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPainterDeviceAdapter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:BeginPrimitive vtkPainterDeviceAdapterBeginPrimitiveFunction
//input a0 a1 
//output none
ArrayVector vtkPainterDeviceAdapterBeginPrimitiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BeginPrimitive (int mode) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function BeginPrimitive for class vtkPainterDeviceAdapter requires 2 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->BeginPrimitive(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:EndPrimitive vtkPainterDeviceAdapterEndPrimitiveFunction
//input a0 
//output none
ArrayVector vtkPainterDeviceAdapterEndPrimitiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndPrimitive () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function EndPrimitive for class vtkPainterDeviceAdapter requires 1 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  vtk_pointer->EndPrimitive();
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:IsAttributesSupported vtkPainterDeviceAdapterIsAttributesSupportedFunction
//input a0 a1 
//output y
ArrayVector vtkPainterDeviceAdapterIsAttributesSupportedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsAttributesSupported (int attribute) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function IsAttributesSupported for class vtkPainterDeviceAdapter requires 2 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsAttributesSupported(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:SetAttributePointer__1 vtkPainterDeviceAdapterSetAttributePointer__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkPainterDeviceAdapterSetAttributePointer__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributePointer (int index, vtkDataArray *attributeArray); */
  if (arg.size() < 3) 
    throw Exception("Function SetAttributePointer__1 for class vtkPainterDeviceAdapter requires 3 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataArray  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  vtk_pointer->SetAttributePointer(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:EnableAttributeArray vtkPainterDeviceAdapterEnableAttributeArrayFunction
//input a0 a1 
//output none
ArrayVector vtkPainterDeviceAdapterEnableAttributeArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EnableAttributeArray (int index) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function EnableAttributeArray for class vtkPainterDeviceAdapter requires 2 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->EnableAttributeArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:DisableAttributeArray vtkPainterDeviceAdapterDisableAttributeArrayFunction
//input a0 a1 
//output none
ArrayVector vtkPainterDeviceAdapterDisableAttributeArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisableAttributeArray (int index) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function DisableAttributeArray for class vtkPainterDeviceAdapter requires 2 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->DisableAttributeArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:DrawArrays vtkPainterDeviceAdapterDrawArraysFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPainterDeviceAdapterDrawArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DrawArrays (int mode, vtkIdType first, vtkIdType count) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function DrawArrays for class vtkPainterDeviceAdapter requires 4 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->DrawArrays(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:Compatible vtkPainterDeviceAdapterCompatibleFunction
//input a0 a1 
//output y
ArrayVector vtkPainterDeviceAdapterCompatibleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Compatible (vtkRenderer *renderer) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function Compatible for class vtkPainterDeviceAdapter requires 2 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp20 = (vtk_pointer)->Compatible(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:MakeLighting vtkPainterDeviceAdapterMakeLightingFunction
//input a0 a1 
//output none
ArrayVector vtkPainterDeviceAdapterMakeLightingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MakeLighting (int mode) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function MakeLighting for class vtkPainterDeviceAdapter requires 2 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->MakeLighting(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:QueryLighting vtkPainterDeviceAdapterQueryLightingFunction
//input a0 
//output y
ArrayVector vtkPainterDeviceAdapterQueryLightingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int QueryLighting () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function QueryLighting for class vtkPainterDeviceAdapter requires 1 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->QueryLighting();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:MakeMultisampling vtkPainterDeviceAdapterMakeMultisamplingFunction
//input a0 a1 
//output none
ArrayVector vtkPainterDeviceAdapterMakeMultisamplingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MakeMultisampling (int mode) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function MakeMultisampling for class vtkPainterDeviceAdapter requires 2 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->MakeMultisampling(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:QueryMultisampling vtkPainterDeviceAdapterQueryMultisamplingFunction
//input a0 
//output y
ArrayVector vtkPainterDeviceAdapterQueryMultisamplingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int QueryMultisampling () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function QueryMultisampling for class vtkPainterDeviceAdapter requires 1 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->QueryMultisampling();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:MakeBlending vtkPainterDeviceAdapterMakeBlendingFunction
//input a0 a1 
//output none
ArrayVector vtkPainterDeviceAdapterMakeBlendingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MakeBlending (int mode) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function MakeBlending for class vtkPainterDeviceAdapter requires 2 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->MakeBlending(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:QueryBlending vtkPainterDeviceAdapterQueryBlendingFunction
//input a0 
//output y
ArrayVector vtkPainterDeviceAdapterQueryBlendingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int QueryBlending () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function QueryBlending for class vtkPainterDeviceAdapter requires 1 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->QueryBlending();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:MakeVertexEmphasis vtkPainterDeviceAdapterMakeVertexEmphasisFunction
//input a0 a1 
//output none
ArrayVector vtkPainterDeviceAdapterMakeVertexEmphasisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MakeVertexEmphasis (bool mode) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function MakeVertexEmphasis for class vtkPainterDeviceAdapter requires 2 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->MakeVertexEmphasis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:MakeVertexEmphasisWithStencilCheck vtkPainterDeviceAdapterMakeVertexEmphasisWithStencilCheckFunction
//input a0 a1 
//output none
ArrayVector vtkPainterDeviceAdapterMakeVertexEmphasisWithStencilCheckFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MakeVertexEmphasisWithStencilCheck (int ); */
  if (arg.size() < 2) 
    throw Exception("Function MakeVertexEmphasisWithStencilCheck for class vtkPainterDeviceAdapter requires 2 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->MakeVertexEmphasisWithStencilCheck(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:Stencil vtkPainterDeviceAdapterStencilFunction
//input a0 a1 
//output none
ArrayVector vtkPainterDeviceAdapterStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Stencil (int on) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function Stencil for class vtkPainterDeviceAdapter requires 2 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->Stencil(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:WriteStencil vtkPainterDeviceAdapterWriteStencilFunction
//input a0 a1 
//output none
ArrayVector vtkPainterDeviceAdapterWriteStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WriteStencil (vtkIdType value) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function WriteStencil for class vtkPainterDeviceAdapter requires 2 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->WriteStencil(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:TestStencil vtkPainterDeviceAdapterTestStencilFunction
//input a0 a1 
//output none
ArrayVector vtkPainterDeviceAdapterTestStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void TestStencil (vtkIdType value) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function TestStencil for class vtkPainterDeviceAdapter requires 2 argument(s)");
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->TestStencil(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:SetAttributePointer vtkPainterDeviceAdapterSetAttributePointerFunction
//input varargin
//output varargout
ArrayVector vtkPainterDeviceAdapterSetAttributePointerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataArray"))
    return vtkPainterDeviceAdapterSetAttributePointer__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPainterDeviceAdapterSetAttributePointer");
}

//@@Signature
//sfunction @vtkPainterDeviceAdapter:display vtkPainterDeviceAdapterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPainterDeviceAdapterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPainterDeviceAdapter* vtk_pointer = GetVTKPointer<vtkPainterDeviceAdapter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPainterDeviceAdapter:delete vtkPainterDeviceAdapterDeleteFunction
//input varargin
//output none
ArrayVector vtkPainterDeviceAdapterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPainterDeviceAdapter
//@@Section VTKRendering
//@@Usage
//
// This class is an adapter between a vtkPainter and a rendering device (such
// as an OpenGL machine).  Having an abstract adapter allows vtkPainters
// to be re-used for any rendering system.
//
// Although VTK really only uses OpenGL right now, there are reasons to
// swap out the rendering functions.  Sometimes MESA with mangled names
// is used.  Also, different shader extensions use different functions.
// Furthermore, Cg also has its own interface.
//
// The interface for this class should be familier to anyone experienced
// with OpenGL.
//
//
//To create an instance of class vtkPainterDeviceAdapter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPainterDeviceAdapter
//@]
//@@Methods
//The class vtkPainterDeviceAdapter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPainterDeviceAdapter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPainterDeviceAdapter = obj.NewInstance ()|
// \item @|vtkPainterDeviceAdapter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.BeginPrimitive (int mode)| -  Signals the start of sending a primitive to the graphics card.  The
// mode is one of VTK_VERTEX, VTK_POLY_VERTEX, VTK_LINE, VTK_POLY_LINE,
// VTK_TRIANGLE, VTK_TRIANGLE_STRIP, VTK_POLYGON, or VTK_QUAD.  The
// primitive is defined by the attributes sent between the calls to
// BeginPrimitive and EndPrimitive.  You do not need to call
// EndPrimitive/BeginPrimitive between primitives that have a constant
// number of points (i.e. VTK_VERTEX, VTK_LINE, VTK_TRIANGLE, and
// VTK_QUAD).
//// \item @|obj.EndPrimitive ()| -  Signals the end of sending a primitive to the graphics card.
//// \item @|int = obj.IsAttributesSupported (int attribute)| -  Returns if the given attribute type is supported by the device.
// Returns 1 is supported, 0 otherwise.
//// \item @|obj.SetAttributePointer (int index, vtkDataArray attributeArray)| -  Sets an array of attributes.  This allows you to send all the data for
// a particular attribute with one call, thus greatly reducing function
// call overhead.  Once set, the array is enabled with
// EnableAttributeArray, and the data is sent with a call to DrawArrays
// DrawElements.
//// \item @|obj.EnableAttributeArray (int index)| -  Enable/disable the attribute array set with SetAttributePointer.
//// \item @|obj.DisableAttributeArray (int index)| -  Enable/disable the attribute array set with SetAttributePointer.
//// \item @|obj.DrawArrays (int mode, vtkIdType first, vtkIdType count)| -  Send a section of the enabled attribute pointers to the graphics card
// to define a primitive.  The mode is one of VTK_VERTEX,
// VTK_POLY_VERTEX, VTK_LINE, VTK_POLY_LINE, VTK_TRIANGLE,
// VTK_TRIANGLE_STRIP, VTK_POLYGON, or VTK_QUAD.  It identifies which
// type of primitive the attribute data is defining.  The parameters
// first and count identify what part of the attribute arrays define the
// given primitive.  If mode is a primitive that has a constant number of
// points (i.e. VTK_VERTEX, VTK_LINE, VTK_TRIANGLE, and VTK_QUAD), you
// may draw multiple primitives with one call to DrawArrays.
//// \item @|int = obj.Compatible (vtkRenderer renderer)| -  Returns true if this device adapter is compatable with the given
// vtkRenderer.
//// \item @|obj.MakeLighting (int mode)| -  Turns lighting on and off.
//// \item @|int = obj.QueryLighting ()| -  Returns current lighting setting.
//// \item @|obj.MakeMultisampling (int mode)| -  Turns antialiasing on and off.
//// \item @|int = obj.QueryMultisampling ()| -  Returns current antialiasing setting.
//// \item @|obj.MakeBlending (int mode)| -  Turns blending on and off.
//// \item @|int = obj.QueryBlending ()| -  Returns current blending setting.
//// \item @|obj.MakeVertexEmphasis (bool mode)| -  Turns emphasis of vertices on or off for vertex selection.
//// \item @|obj.MakeVertexEmphasisWithStencilCheck (int )| -  @deprecated
//// \item @|obj.Stencil (int on)| -  Control use of the stencil buffer (for vertex selection).
//// \item @|obj.WriteStencil (vtkIdType value)| -  Control use of the stencil buffer (for vertex selection).
//// \item @|obj.TestStencil (vtkIdType value)| -  Control use of the stencil buffer (for vertex selection).
////\end{itemize}
//!
