#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPainterPolyDataMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPainterPolyDataMapper.h"

//@@Signature
//sfunction @vtkPainterPolyDataMapper:vtkPainterPolyDataMapper vtkPainterPolyDataMapperConstructorFunction
//input a
//output p
//@@Parents vtkPainterPolyDataMapper vtkPolyDataMapper 
ArrayVector vtkPainterPolyDataMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPainterPolyDataMapper::New(),"vtkPainterPolyDataMapper",eval);
  } else if (arg[0].className() == "vtkPainterPolyDataMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPainterPolyDataMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPainterPolyDataMapper");
    vtkPainterPolyDataMapper*q = reinterpret_cast<vtkPainterPolyDataMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPainterPolyDataMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPainterPolyDataMapper:GetClassName vtkPainterPolyDataMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPainterPolyDataMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPainterPolyDataMapper requires 1 argument(s)");
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:IsA vtkPainterPolyDataMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPainterPolyDataMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPainterPolyDataMapper requires 2 argument(s)");
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:NewInstance vtkPainterPolyDataMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPainterPolyDataMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPainterPolyDataMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPainterPolyDataMapper requires 1 argument(s)");
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  Array retval;
  vtkPainterPolyDataMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPainterPolyDataMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:SafeDownCast vtkPainterPolyDataMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPainterPolyDataMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPainterPolyDataMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPainterPolyDataMapper requires 2 argument(s)");
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPainterPolyDataMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPainterPolyDataMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:RenderPiece vtkPainterPolyDataMapperRenderPieceFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPainterPolyDataMapperRenderPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RenderPiece (vtkRenderer *ren, vtkActor *act); */
  if (arg.size() < 3) 
    throw Exception("Function RenderPiece for class vtkPainterPolyDataMapper requires 3 argument(s)");
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkActor>(arg[2]);
  vtk_pointer->RenderPiece(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:GetPainter vtkPainterPolyDataMapperGetPainterFunction
//input a0 
//output y
ArrayVector vtkPainterPolyDataMapperGetPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPainter *GetPainter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPainter for class vtkPainterPolyDataMapper requires 1 argument(s)");
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  Array retval;
  vtkPainter  *temp20;
  temp20 = (vtk_pointer)->GetPainter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:SetPainter vtkPainterPolyDataMapperSetPainterFunction
//input a0 a1 
//output none
ArrayVector vtkPainterPolyDataMapperSetPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPainter (vtkPainter *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPainter for class vtkPainterPolyDataMapper requires 2 argument(s)");
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  Array retval;
  vtkPainter  *temp0;
  temp0 = GetVTKPointer<vtkPainter>(arg[1]);
  vtk_pointer->SetPainter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:ReleaseGraphicsResources vtkPainterPolyDataMapperReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkPainterPolyDataMapperReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkPainterPolyDataMapper requires 2 argument(s)");
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:GetBounds__1 vtkPainterPolyDataMapperGetBounds__1Function
//input a0 a1 
//output none
ArrayVector vtkPainterPolyDataMapperGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetBounds (double bounds[6]);this Superclass GetBounds bounds  */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__1 for class vtkPainterPolyDataMapper requires 2 argument(s)");
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:GetBounds__2 vtkPainterPolyDataMapperGetBounds__2Function
//input a0 
//output y
ArrayVector vtkPainterPolyDataMapperGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__2 for class vtkPainterPolyDataMapper requires 1 argument(s)");
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:MapDataArrayToVertexAttribute vtkPainterPolyDataMapperMapDataArrayToVertexAttributeFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPainterPolyDataMapperMapDataArrayToVertexAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MapDataArrayToVertexAttribute (const char *vertexAttributeName, const char *dataArrayName, int fieldAssociation, int componentno); */
  if (arg.size() < 5) 
    throw Exception("Function MapDataArrayToVertexAttribute for class vtkPainterPolyDataMapper requires 5 argument(s)");
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->MapDataArrayToVertexAttribute(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:MapDataArrayToMultiTextureAttribute vtkPainterPolyDataMapperMapDataArrayToMultiTextureAttributeFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPainterPolyDataMapperMapDataArrayToMultiTextureAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MapDataArrayToMultiTextureAttribute (int unit, const char *dataArrayName, int fieldAssociation, int componentno); */
  if (arg.size() < 5) 
    throw Exception("Function MapDataArrayToMultiTextureAttribute for class vtkPainterPolyDataMapper requires 5 argument(s)");
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->MapDataArrayToMultiTextureAttribute(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:RemoveVertexAttributeMapping vtkPainterPolyDataMapperRemoveVertexAttributeMappingFunction
//input a0 a1 
//output none
ArrayVector vtkPainterPolyDataMapperRemoveVertexAttributeMappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveVertexAttributeMapping (const char *vertexAttributeName); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveVertexAttributeMapping for class vtkPainterPolyDataMapper requires 2 argument(s)");
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->RemoveVertexAttributeMapping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:RemoveAllVertexAttributeMappings vtkPainterPolyDataMapperRemoveAllVertexAttributeMappingsFunction
//input a0 
//output none
ArrayVector vtkPainterPolyDataMapperRemoveAllVertexAttributeMappingsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveAllVertexAttributeMappings (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllVertexAttributeMappings for class vtkPainterPolyDataMapper requires 1 argument(s)");
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllVertexAttributeMappings();
  return retval;
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:GetSelectionPainter vtkPainterPolyDataMapperGetSelectionPainterFunction
//input a0 
//output y
ArrayVector vtkPainterPolyDataMapperGetSelectionPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPainter *GetSelectionPainter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionPainter for class vtkPainterPolyDataMapper requires 1 argument(s)");
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  Array retval;
  vtkPainter  *temp20;
  temp20 = (vtk_pointer)->GetSelectionPainter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:SetSelectionPainter vtkPainterPolyDataMapperSetSelectionPainterFunction
//input a0 a1 
//output none
ArrayVector vtkPainterPolyDataMapperSetSelectionPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionPainter (vtkPainter *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionPainter for class vtkPainterPolyDataMapper requires 2 argument(s)");
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  Array retval;
  vtkPainter  *temp0;
  temp0 = GetVTKPointer<vtkPainter>(arg[1]);
  vtk_pointer->SetSelectionPainter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:GetSupportsSelection vtkPainterPolyDataMapperGetSupportsSelectionFunction
//input a0 
//output y
ArrayVector vtkPainterPolyDataMapperGetSupportsSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetSupportsSelection ();return this SelectionPainter  */
  if (arg.size() < 1) 
    throw Exception("Function GetSupportsSelection for class vtkPainterPolyDataMapper requires 1 argument(s)");
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetSupportsSelection();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:GetBounds vtkPainterPolyDataMapperGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkPainterPolyDataMapperGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPainterPolyDataMapperGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkPainterPolyDataMapperGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPainterPolyDataMapperGetBounds");
}

//@@Signature
//sfunction @vtkPainterPolyDataMapper:display vtkPainterPolyDataMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPainterPolyDataMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPainterPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPainterPolyDataMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPainterPolyDataMapper:delete vtkPainterPolyDataMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkPainterPolyDataMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPainterPolyDataMapper
//@@Section VTKRendering
//@@Usage
// PolyDataMapper that uses painters to do the actual rendering.
// .SECTION Thanks
// Support for generic vertex attributes in VTK was contributed in
// collaboration with Stephane Ploix at EDF.
//
//To create an instance of class vtkPainterPolyDataMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkPainterPolyDataMapper
//@]
//@@Methods
//The class vtkPainterPolyDataMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPainterPolyDataMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPainterPolyDataMapper = obj.NewInstance ()|
// \item @|vtkPainterPolyDataMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.RenderPiece (vtkRenderer ren, vtkActor act)| -  Implemented by sub classes. Actual rendering is done here.
//// \item @|vtkPainter = obj.GetPainter ()| -  Get/Set the painter used to do the actual rendering.
// By default, vtkDefaultPainter is used to build the rendering 
// painter chain for color mapping/clipping etc. followed by 
// a vtkChooserPainter which renders the primitives.
//// \item @|obj.SetPainter (vtkPainter )| -  Get/Set the painter used to do the actual rendering.
// By default, vtkDefaultPainter is used to build the rendering 
// painter chain for color mapping/clipping etc. followed by 
// a vtkChooserPainter which renders the primitives.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this mapper.
// The parameter window could be used to determine which graphic
// resources to release. Merely propagates the call to the painter.
//// \item @|obj.GetBounds (double bounds[6])| -  Re-implement the superclass GetBounds method.
//// \item @|double = obj.GetBounds ()| -  Re-implement the superclass GetBounds method.
//// \item @|obj.MapDataArrayToVertexAttribute (string vertexAttributeName, string dataArrayName, int fieldAssociation, int componentno)| -  Select a data array from the point/cell data
// and map it to a generic vertex attribute. 
// vertexAttributeName is the name of the vertex attribute.
// dataArrayName is the name of the data array.
// fieldAssociation indicates when the data array is a point data array or
// cell data array (vtkDataObject::FIELD_ASSOCIATION_POINTS or
// (vtkDataObject::FIELD_ASSOCIATION_CELLS).
// componentno indicates which component from the data array must be passed as
// the attribute. If -1, then all components are passed.
//// \item @|obj.MapDataArrayToMultiTextureAttribute (int unit, string dataArrayName, int fieldAssociation, int componentno)|
// \item @|obj.RemoveVertexAttributeMapping (string vertexAttributeName)| -  Remove a vertex attribute mapping.
//// \item @|obj.RemoveAllVertexAttributeMappings ()| -  Remove all vertex attributes.
//// \item @|vtkPainter = obj.GetSelectionPainter ()| -  Get/Set the painter used when rendering the selection pass.
//// \item @|obj.SetSelectionPainter (vtkPainter )| -  Get/Set the painter used when rendering the selection pass.
//// \item @|bool = obj.GetSupportsSelection ()|
//\end{itemize}
//!
