#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParallelCoordinatesActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParallelCoordinatesActor.h"

//@@Signature
//sfunction @vtkParallelCoordinatesActor:vtkParallelCoordinatesActor vtkParallelCoordinatesActorConstructorFunction
//input a
//output p
//@@Parents vtkParallelCoordinatesActor vtkActor2D 
ArrayVector vtkParallelCoordinatesActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParallelCoordinatesActor::New(),"vtkParallelCoordinatesActor",eval);
  } else if (arg[0].className() == "vtkParallelCoordinatesActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParallelCoordinatesActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParallelCoordinatesActor");
    vtkParallelCoordinatesActor*q = reinterpret_cast<vtkParallelCoordinatesActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParallelCoordinatesActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParallelCoordinatesActor:GetClassName vtkParallelCoordinatesActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParallelCoordinatesActor requires 1 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:IsA vtkParallelCoordinatesActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParallelCoordinatesActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParallelCoordinatesActor requires 2 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:NewInstance vtkParallelCoordinatesActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParallelCoordinatesActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParallelCoordinatesActor requires 1 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  vtkParallelCoordinatesActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParallelCoordinatesActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:SafeDownCast vtkParallelCoordinatesActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParallelCoordinatesActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParallelCoordinatesActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParallelCoordinatesActor requires 2 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParallelCoordinatesActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParallelCoordinatesActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:SetIndependentVariables vtkParallelCoordinatesActorSetIndependentVariablesFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesActorSetIndependentVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIndependentVariables (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIndependentVariables for class vtkParallelCoordinatesActor requires 2 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIndependentVariables(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:GetIndependentVariablesMinValue vtkParallelCoordinatesActorGetIndependentVariablesMinValueFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesActorGetIndependentVariablesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIndependentVariablesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIndependentVariablesMinValue for class vtkParallelCoordinatesActor requires 1 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIndependentVariablesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:GetIndependentVariablesMaxValue vtkParallelCoordinatesActorGetIndependentVariablesMaxValueFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesActorGetIndependentVariablesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIndependentVariablesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIndependentVariablesMaxValue for class vtkParallelCoordinatesActor requires 1 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIndependentVariablesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:GetIndependentVariables vtkParallelCoordinatesActorGetIndependentVariablesFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesActorGetIndependentVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIndependentVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIndependentVariables for class vtkParallelCoordinatesActor requires 1 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIndependentVariables();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:SetIndependentVariablesToColumns vtkParallelCoordinatesActorSetIndependentVariablesToColumnsFunction
//input a0 
//output none
ArrayVector vtkParallelCoordinatesActorSetIndependentVariablesToColumnsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIndependentVariablesToColumns ();this SetIndependentVariables VTK_IV_COLUMN  */
  if (arg.size() < 1) 
    throw Exception("Function SetIndependentVariablesToColumns for class vtkParallelCoordinatesActor requires 1 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  vtk_pointer->SetIndependentVariablesToColumns();
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:SetIndependentVariablesToRows vtkParallelCoordinatesActorSetIndependentVariablesToRowsFunction
//input a0 
//output none
ArrayVector vtkParallelCoordinatesActorSetIndependentVariablesToRowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIndependentVariablesToRows ();this SetIndependentVariables VTK_IV_ROW  */
  if (arg.size() < 1) 
    throw Exception("Function SetIndependentVariablesToRows for class vtkParallelCoordinatesActor requires 1 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  vtk_pointer->SetIndependentVariablesToRows();
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:SetTitle vtkParallelCoordinatesActorSetTitleFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesActorSetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitle (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitle for class vtkParallelCoordinatesActor requires 2 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTitle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:GetTitle vtkParallelCoordinatesActorGetTitleFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesActorGetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitle for class vtkParallelCoordinatesActor requires 1 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:SetNumberOfLabels vtkParallelCoordinatesActorSetNumberOfLabelsFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesActorSetNumberOfLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfLabels (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfLabels for class vtkParallelCoordinatesActor requires 2 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfLabels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:GetNumberOfLabelsMinValue vtkParallelCoordinatesActorGetNumberOfLabelsMinValueFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesActorGetNumberOfLabelsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfLabelsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLabelsMinValue for class vtkParallelCoordinatesActor requires 1 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfLabelsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:GetNumberOfLabelsMaxValue vtkParallelCoordinatesActorGetNumberOfLabelsMaxValueFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesActorGetNumberOfLabelsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfLabelsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLabelsMaxValue for class vtkParallelCoordinatesActor requires 1 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfLabelsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:GetNumberOfLabels vtkParallelCoordinatesActorGetNumberOfLabelsFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesActorGetNumberOfLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfLabels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLabels for class vtkParallelCoordinatesActor requires 1 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfLabels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:SetLabelFormat vtkParallelCoordinatesActorSetLabelFormatFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesActorSetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelFormat (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelFormat for class vtkParallelCoordinatesActor requires 2 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLabelFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:GetLabelFormat vtkParallelCoordinatesActorGetLabelFormatFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesActorGetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLabelFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelFormat for class vtkParallelCoordinatesActor requires 1 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLabelFormat();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:SetTitleTextProperty vtkParallelCoordinatesActorSetTitleTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesActorSetTitleTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTitleTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitleTextProperty for class vtkParallelCoordinatesActor requires 2 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetTitleTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:GetTitleTextProperty vtkParallelCoordinatesActorGetTitleTextPropertyFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesActorGetTitleTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetTitleTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitleTextProperty for class vtkParallelCoordinatesActor requires 1 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetTitleTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:SetLabelTextProperty vtkParallelCoordinatesActorSetLabelTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesActorSetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelTextProperty for class vtkParallelCoordinatesActor requires 2 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetLabelTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:GetLabelTextProperty vtkParallelCoordinatesActorGetLabelTextPropertyFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesActorGetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetLabelTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelTextProperty for class vtkParallelCoordinatesActor requires 1 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetLabelTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:RenderOpaqueGeometry vtkParallelCoordinatesActorRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkParallelCoordinatesActorRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkParallelCoordinatesActor requires 2 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:RenderOverlay vtkParallelCoordinatesActorRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkParallelCoordinatesActorRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOverlay (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkParallelCoordinatesActor requires 2 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:RenderTranslucentPolygonalGeometry vtkParallelCoordinatesActorRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkParallelCoordinatesActorRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);return  */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkParallelCoordinatesActor requires 2 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:HasTranslucentPolygonalGeometry vtkParallelCoordinatesActorHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesActorHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkParallelCoordinatesActor requires 1 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:SetInput vtkParallelCoordinatesActorSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesActorSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkParallelCoordinatesActor requires 2 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:GetInput vtkParallelCoordinatesActorGetInputFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesActorGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkParallelCoordinatesActor requires 1 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:ReleaseGraphicsResources vtkParallelCoordinatesActorReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesActorReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkParallelCoordinatesActor requires 2 argument(s)");
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesActor:display vtkParallelCoordinatesActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParallelCoordinatesActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParallelCoordinatesActor* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParallelCoordinatesActor:delete vtkParallelCoordinatesActorDeleteFunction
//input varargin
//output none
ArrayVector vtkParallelCoordinatesActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParallelCoordinatesActor
//@@Section VTKRendering
//@@Usage
// vtkParallelCoordinatesActor generates a parallel coordinates plot from an
// input field (i.e., vtkDataObject). Parallel coordinates represent
// N-dimensional data by using a set of N parallel axes (not orthogonal like
// the usual x-y-z Cartesian axes). Each N-dimensional point is plotted as a
// polyline, were each of the N components of the point lie on one of the
// N axes, and the components are connected by straight lines.
//
// To use this class, you must specify an input data object. You'll probably
// also want to specify the position of the plot be setting the Position and
// Position2 instance variables, which define a rectangle in which the plot
// lies. Another important parameter is the IndependentVariables ivar, which
// tells the instance how to interpret the field data (independent variables
// as the rows or columns of the field). There are also many other instance
// variables that control the look of the plot includes its title, 
// attributes, number of ticks on the axes, etc.
//
// Set the text property/attributes of the title and the labels through the 
// vtkTextProperty objects associated to this actor.
//
//To create an instance of class vtkParallelCoordinatesActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkParallelCoordinatesActor
//@]
//@@Methods
//The class vtkParallelCoordinatesActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParallelCoordinatesActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParallelCoordinatesActor = obj.NewInstance ()|
// \item @|vtkParallelCoordinatesActor = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetIndependentVariables (int )| -  Specify whether to use the rows or columns as independent variables.
// If columns, then each row represents a separate point. If rows, then 
// each column represents a separate point.
//// \item @|int = obj.GetIndependentVariablesMinValue ()| -  Specify whether to use the rows or columns as independent variables.
// If columns, then each row represents a separate point. If rows, then 
// each column represents a separate point.
//// \item @|int = obj.GetIndependentVariablesMaxValue ()| -  Specify whether to use the rows or columns as independent variables.
// If columns, then each row represents a separate point. If rows, then 
// each column represents a separate point.
//// \item @|int = obj.GetIndependentVariables ()| -  Specify whether to use the rows or columns as independent variables.
// If columns, then each row represents a separate point. If rows, then 
// each column represents a separate point.
//// \item @|obj.SetIndependentVariablesToColumns ()| -  Specify whether to use the rows or columns as independent variables.
// If columns, then each row represents a separate point. If rows, then 
// each column represents a separate point.
//// \item @|obj.SetIndependentVariablesToRows ()| -  Specify whether to use the rows or columns as independent variables.
// If columns, then each row represents a separate point. If rows, then 
// each column represents a separate point.
//// \item @|obj.SetTitle (string )| -  Set/Get the title of the parallel coordinates plot.
//// \item @|string = obj.GetTitle ()| -  Set/Get the title of the parallel coordinates plot.
//// \item @|obj.SetNumberOfLabels (int )| -  Set/Get the number of annotation labels to show along each axis.
// This values is a suggestion: the number of labels may vary depending
// on the particulars of the data.
//// \item @|int = obj.GetNumberOfLabelsMinValue ()| -  Set/Get the number of annotation labels to show along each axis.
// This values is a suggestion: the number of labels may vary depending
// on the particulars of the data.
//// \item @|int = obj.GetNumberOfLabelsMaxValue ()| -  Set/Get the number of annotation labels to show along each axis.
// This values is a suggestion: the number of labels may vary depending
// on the particulars of the data.
//// \item @|int = obj.GetNumberOfLabels ()| -  Set/Get the number of annotation labels to show along each axis.
// This values is a suggestion: the number of labels may vary depending
// on the particulars of the data.
//// \item @|obj.SetLabelFormat (string )| -  Set/Get the format with which to print the labels on the axes.
//// \item @|string = obj.GetLabelFormat ()| -  Set/Get the format with which to print the labels on the axes.
//// \item @|obj.SetTitleTextProperty (vtkTextProperty p)| -  Set/Get the title text property.
//// \item @|vtkTextProperty = obj.GetTitleTextProperty ()| -  Set/Get the title text property.
//// \item @|obj.SetLabelTextProperty (vtkTextProperty p)| -  Set/Get the labels text property.
//// \item @|vtkTextProperty = obj.GetLabelTextProperty ()| -  Set/Get the labels text property.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  Draw the parallel coordinates plot.
//// \item @|int = obj.RenderOverlay (vtkViewport )| -  Draw the parallel coordinates plot.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  Does this prop have some translucent polygonal geometry?
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Does this prop have some translucent polygonal geometry?
//// \item @|obj.SetInput (vtkDataObject )| -  Set the input to the parallel coordinates actor.
//// \item @|vtkDataObject = obj.GetInput ()| -  Remove a dataset from the list of data to append.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
////\end{itemize}
//!
