#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPicker object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPicker.h"

//@@Signature
//sfunction @vtkPicker:vtkPicker vtkPickerConstructorFunction
//input a
//output p
//@@Parents vtkPicker vtkAbstractPropPicker 
ArrayVector vtkPickerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPicker::New(),"vtkPicker",eval);
  } else if (arg[0].className() == "vtkPicker") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPicker"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPicker");
    vtkPicker*q = reinterpret_cast<vtkPicker*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPicker");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPicker:GetClassName vtkPickerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPickerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPicker requires 1 argument(s)");
  vtkPicker* vtk_pointer = GetVTKPointer<vtkPicker>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPicker:IsA vtkPickerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPickerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPicker requires 2 argument(s)");
  vtkPicker* vtk_pointer = GetVTKPointer<vtkPicker>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPicker:NewInstance vtkPickerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPickerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPicker *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPicker requires 1 argument(s)");
  vtkPicker* vtk_pointer = GetVTKPointer<vtkPicker>(arg[0]);
  Array retval;
  vtkPicker  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPicker:SafeDownCast vtkPickerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPickerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPicker *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPicker requires 2 argument(s)");
  vtkPicker* vtk_pointer = GetVTKPointer<vtkPicker>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPicker  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPicker:SetTolerance vtkPickerSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkPickerSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkPicker requires 2 argument(s)");
  vtkPicker* vtk_pointer = GetVTKPointer<vtkPicker>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPicker:GetTolerance vtkPickerGetToleranceFunction
//input a0 
//output y
ArrayVector vtkPickerGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkPicker requires 1 argument(s)");
  vtkPicker* vtk_pointer = GetVTKPointer<vtkPicker>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPicker:GetMapperPosition vtkPickerGetMapperPositionFunction
//input a0 
//output y
ArrayVector vtkPickerGetMapperPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetMapperPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMapperPosition for class vtkPicker requires 1 argument(s)");
  vtkPicker* vtk_pointer = GetVTKPointer<vtkPicker>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetMapperPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPicker:GetMapper vtkPickerGetMapperFunction
//input a0 
//output y
ArrayVector vtkPickerGetMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractMapper3D *GetMapper (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMapper for class vtkPicker requires 1 argument(s)");
  vtkPicker* vtk_pointer = GetVTKPointer<vtkPicker>(arg[0]);
  Array retval;
  vtkAbstractMapper3D  *temp20;
  temp20 = (vtk_pointer)->GetMapper();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractMapper3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPicker:GetDataSet vtkPickerGetDataSetFunction
//input a0 
//output y
ArrayVector vtkPickerGetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetDataSet (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSet for class vtkPicker requires 1 argument(s)");
  vtkPicker* vtk_pointer = GetVTKPointer<vtkPicker>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetDataSet();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPicker:GetProp3Ds vtkPickerGetProp3DsFunction
//input a0 
//output y
ArrayVector vtkPickerGetProp3DsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp3DCollection *GetProp3Ds ();return this Prop3Ds  */
  if (arg.size() < 1) 
    throw Exception("Function GetProp3Ds for class vtkPicker requires 1 argument(s)");
  vtkPicker* vtk_pointer = GetVTKPointer<vtkPicker>(arg[0]);
  Array retval;
  vtkProp3DCollection  *temp20;
  temp20 = (vtk_pointer)->GetProp3Ds();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp3DCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPicker:GetActors vtkPickerGetActorsFunction
//input a0 
//output y
ArrayVector vtkPickerGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActorCollection *GetActors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActors for class vtkPicker requires 1 argument(s)");
  vtkPicker* vtk_pointer = GetVTKPointer<vtkPicker>(arg[0]);
  Array retval;
  vtkActorCollection  *temp20;
  temp20 = (vtk_pointer)->GetActors();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActorCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPicker:GetPickedPositions vtkPickerGetPickedPositionsFunction
//input a0 
//output y
ArrayVector vtkPickerGetPickedPositionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetPickedPositions ();return this PickedPositions  */
  if (arg.size() < 1) 
    throw Exception("Function GetPickedPositions for class vtkPicker requires 1 argument(s)");
  vtkPicker* vtk_pointer = GetVTKPointer<vtkPicker>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetPickedPositions();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPicker:Pick__1 vtkPickerPick__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPickerPick__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer *renderer); */
  if (arg.size() < 5) 
    throw Exception("Function Pick__1 for class vtkPicker requires 5 argument(s)");
  vtkPicker* vtk_pointer = GetVTKPointer<vtkPicker>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkRenderer  *temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkRenderer>(arg[4]);
  temp20 = (vtk_pointer)->Pick(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPicker:Pick__2 vtkPickerPick__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkPickerPick__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Pick (double selectionPt[3], vtkRenderer *ren);return this Pick selectionPt selectionPt selectionPt ren  */
  if (arg.size() < 3) 
    throw Exception("Function Pick__2 for class vtkPicker requires 3 argument(s)");
  vtkPicker* vtk_pointer = GetVTKPointer<vtkPicker>(arg[0]);
  Array retval;
  double temp0[3];
  vtkRenderer  *temp1;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp1 = GetVTKPointer<vtkRenderer>(arg[4]);
  temp20 = (vtk_pointer)->Pick(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPicker:Pick vtkPickerPickFunction
//input varargin
//output varargout
ArrayVector vtkPickerPickFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsClass(arg[4],"vtkRenderer"))
    return vtkPickerPick__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsClass(arg[2],"vtkRenderer"))
    return vtkPickerPick__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPickerPick");
}

//@@Signature
//sfunction @vtkPicker:display vtkPickerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPickerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPicker* vtk_pointer = GetVTKPointer<vtkPicker>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPicker:delete vtkPickerDeleteFunction
//input varargin
//output none
ArrayVector vtkPickerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPicker
//@@Section VTKRendering
//@@Usage
// vtkPicker is used to select instances of vtkProp3D by shooting a ray 
// into a graphics window and intersecting with the actor's bounding box. 
// The ray is defined from a point defined in window (or pixel) coordinates, 
// and a point located from the camera's position.
//
// vtkPicker may return more than one vtkProp3D, since more than one bounding 
// box may be intersected. vtkPicker returns an unsorted list of props that
// were hit, and a list of the corresponding world points of the hits.
// For the vtkProp3D that is closest to the camera, vtkPicker returns the
// pick coordinates in world and untransformed mapper space, the prop itself,
// the data set, and the mapper.  For vtkPicker the closest prop is the one
// whose center point (i.e., center of bounding box) projected on the view
// ray is closest to the camera.  Subclasses of vtkPicker use other methods
// for computing the pick point.
//
//To create an instance of class vtkPicker, simply
//invoke its constructor as follows
//@[
//  obj = vtkPicker
//@]
//@@Methods
//The class vtkPicker has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPicker class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPicker = obj.NewInstance ()|
// \item @|vtkPicker = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetTolerance (double )| -  Specify tolerance for performing pick operation. Tolerance is specified
// as fraction of rendering window size. (Rendering window size is measured
// across diagonal.)
//// \item @|double = obj.GetTolerance ()| -  Specify tolerance for performing pick operation. Tolerance is specified
// as fraction of rendering window size. (Rendering window size is measured
// across diagonal.)
//// \item @|double = obj. GetMapperPosition ()| -  Return position in mapper (i.e., non-transformed) coordinates of 
// pick point.
//// \item @|vtkAbstractMapper3D = obj.GetMapper ()| -  Return mapper that was picked (if any).
//// \item @|vtkDataSet = obj.GetDataSet ()| -  Get a pointer to the dataset that was picked (if any). If nothing 
// was picked then NULL is returned.
//// \item @|vtkProp3DCollection = obj.GetProp3Ds ()| -  Return a collection of all the prop 3D's that were intersected
// by the pick ray. This collection is not sorted.
//// \item @|vtkActorCollection = obj.GetActors ()| -  Return a collection of all the actors that were intersected.
// This collection is not sorted. (This is a convenience method
// to maintain backward compatibility.)
//// \item @|vtkPoints = obj.GetPickedPositions ()| -  Return a list of the points the the actors returned by GetProp3Ds
// were intersected at. The order of this list will match the order of
// GetProp3Ds.
//// \item @|int = obj.Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer renderer)| -  Perform pick operation with selection point provided. Normally the 
// first two values for the selection point are x-y pixel coordinate, and
// the third value is =0. Return non-zero if something was successfully 
// picked.
//// \item @|int = obj.Pick (double selectionPt[3], vtkRenderer ren)| -  Perform pick operation with selection point provided. Normally the first
// two values for the selection point are x-y pixel coordinate, and the
// third value is =0. Return non-zero if something was successfully picked.
////\end{itemize}
//!
