#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPixelBufferObject object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPixelBufferObject.h"

//@@Signature
//sfunction @vtkPixelBufferObject:vtkPixelBufferObject vtkPixelBufferObjectConstructorFunction
//input a
//output p
//@@Parents vtkPixelBufferObject vtkObject 
ArrayVector vtkPixelBufferObjectConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPixelBufferObject::New(),"vtkPixelBufferObject",eval);
  } else if (arg[0].className() == "vtkPixelBufferObject") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPixelBufferObject"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPixelBufferObject");
    vtkPixelBufferObject*q = reinterpret_cast<vtkPixelBufferObject*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPixelBufferObject");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPixelBufferObject:GetClassName vtkPixelBufferObjectGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPixelBufferObjectGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPixelBufferObject requires 1 argument(s)");
  vtkPixelBufferObject* vtk_pointer = GetVTKPointer<vtkPixelBufferObject>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPixelBufferObject:IsA vtkPixelBufferObjectIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPixelBufferObjectIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPixelBufferObject requires 2 argument(s)");
  vtkPixelBufferObject* vtk_pointer = GetVTKPointer<vtkPixelBufferObject>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPixelBufferObject:NewInstance vtkPixelBufferObjectNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPixelBufferObjectNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPixelBufferObject *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPixelBufferObject requires 1 argument(s)");
  vtkPixelBufferObject* vtk_pointer = GetVTKPointer<vtkPixelBufferObject>(arg[0]);
  Array retval;
  vtkPixelBufferObject  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPixelBufferObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPixelBufferObject:SafeDownCast vtkPixelBufferObjectSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPixelBufferObjectSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPixelBufferObject *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPixelBufferObject requires 2 argument(s)");
  vtkPixelBufferObject* vtk_pointer = GetVTKPointer<vtkPixelBufferObject>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPixelBufferObject  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPixelBufferObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPixelBufferObject:SetContext vtkPixelBufferObjectSetContextFunction
//input a0 a1 
//output none
ArrayVector vtkPixelBufferObjectSetContextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetContext (vtkRenderWindow *context); */
  if (arg.size() < 2) 
    throw Exception("Function SetContext for class vtkPixelBufferObject requires 2 argument(s)");
  vtkPixelBufferObject* vtk_pointer = GetVTKPointer<vtkPixelBufferObject>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  vtk_pointer->SetContext(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPixelBufferObject:GetContext vtkPixelBufferObjectGetContextFunction
//input a0 
//output y
ArrayVector vtkPixelBufferObjectGetContextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *GetContext (); */
  if (arg.size() < 1) 
    throw Exception("Function GetContext for class vtkPixelBufferObject requires 1 argument(s)");
  vtkPixelBufferObject* vtk_pointer = GetVTKPointer<vtkPixelBufferObject>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->GetContext();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPixelBufferObject:GetUsage vtkPixelBufferObjectGetUsageFunction
//input a0 
//output y
ArrayVector vtkPixelBufferObjectGetUsageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUsage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUsage for class vtkPixelBufferObject requires 1 argument(s)");
  vtkPixelBufferObject* vtk_pointer = GetVTKPointer<vtkPixelBufferObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUsage();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPixelBufferObject:SetUsage vtkPixelBufferObjectSetUsageFunction
//input a0 a1 
//output none
ArrayVector vtkPixelBufferObjectSetUsageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUsage (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUsage for class vtkPixelBufferObject requires 2 argument(s)");
  vtkPixelBufferObject* vtk_pointer = GetVTKPointer<vtkPixelBufferObject>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUsage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPixelBufferObject:GetType vtkPixelBufferObjectGetTypeFunction
//input a0 
//output y
ArrayVector vtkPixelBufferObjectGetTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetType for class vtkPixelBufferObject requires 1 argument(s)");
  vtkPixelBufferObject* vtk_pointer = GetVTKPointer<vtkPixelBufferObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPixelBufferObject:GetSize vtkPixelBufferObjectGetSizeFunction
//input a0 
//output y
ArrayVector vtkPixelBufferObjectGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSize for class vtkPixelBufferObject requires 1 argument(s)");
  vtkPixelBufferObject* vtk_pointer = GetVTKPointer<vtkPixelBufferObject>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPixelBufferObject:GetHandle vtkPixelBufferObjectGetHandleFunction
//input a0 
//output y
ArrayVector vtkPixelBufferObjectGetHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetHandle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandle for class vtkPixelBufferObject requires 1 argument(s)");
  vtkPixelBufferObject* vtk_pointer = GetVTKPointer<vtkPixelBufferObject>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetHandle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPixelBufferObject:BindToPackedBuffer vtkPixelBufferObjectBindToPackedBufferFunction
//input a0 
//output none
ArrayVector vtkPixelBufferObjectBindToPackedBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BindToPackedBuffer ();this Bind PACKED_BUFFER  */
  if (arg.size() < 1) 
    throw Exception("Function BindToPackedBuffer for class vtkPixelBufferObject requires 1 argument(s)");
  vtkPixelBufferObject* vtk_pointer = GetVTKPointer<vtkPixelBufferObject>(arg[0]);
  Array retval;
  vtk_pointer->BindToPackedBuffer();
  return retval;
}

//@@Signature
//sfunction @vtkPixelBufferObject:BindToUnPackedBuffer vtkPixelBufferObjectBindToUnPackedBufferFunction
//input a0 
//output none
ArrayVector vtkPixelBufferObjectBindToUnPackedBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BindToUnPackedBuffer ();this Bind UNPACKED_BUFFER  */
  if (arg.size() < 1) 
    throw Exception("Function BindToUnPackedBuffer for class vtkPixelBufferObject requires 1 argument(s)");
  vtkPixelBufferObject* vtk_pointer = GetVTKPointer<vtkPixelBufferObject>(arg[0]);
  Array retval;
  vtk_pointer->BindToUnPackedBuffer();
  return retval;
}

//@@Signature
//sfunction @vtkPixelBufferObject:UnBind vtkPixelBufferObjectUnBindFunction
//input a0 
//output none
ArrayVector vtkPixelBufferObjectUnBindFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UnBind (); */
  if (arg.size() < 1) 
    throw Exception("Function UnBind for class vtkPixelBufferObject requires 1 argument(s)");
  vtkPixelBufferObject* vtk_pointer = GetVTKPointer<vtkPixelBufferObject>(arg[0]);
  Array retval;
  vtk_pointer->UnBind();
  return retval;
}

//@@Signature
//sfunction @vtkPixelBufferObject:display vtkPixelBufferObjectDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPixelBufferObjectDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPixelBufferObject* vtk_pointer = GetVTKPointer<vtkPixelBufferObject>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPixelBufferObject:delete vtkPixelBufferObjectDeleteFunction
//input varargin
//output none
ArrayVector vtkPixelBufferObjectDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPixelBufferObject
//@@Section VTKRendering
//@@Usage
// Provides low-level access to GPU memory. Used to pass raw data to GPU. 
// The data is uploaded into a pixel buffer.
//
//To create an instance of class vtkPixelBufferObject, simply
//invoke its constructor as follows
//@[
//  obj = vtkPixelBufferObject
//@]
//@@Methods
//The class vtkPixelBufferObject has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPixelBufferObject class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPixelBufferObject = obj.NewInstance ()|
// \item @|vtkPixelBufferObject = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetContext (vtkRenderWindow context)| -  Get/Set the context. Context must be a vtkOpenGLRenderWindow. 
// This does not increase the reference count of the 
// context to avoid reference loops.
// SetContext() may raise an error is the OpenGL context does not support the
// required OpenGL extensions.
//// \item @|vtkRenderWindow = obj.GetContext ()| -  Get/Set the context. Context must be a vtkOpenGLRenderWindow. 
// This does not increase the reference count of the 
// context to avoid reference loops.
// SetContext() may raise an error is the OpenGL context does not support the
// required OpenGL extensions.
//// \item @|int = obj.GetUsage ()| -  Usage is a performance hint.
// Valid values are:
// - StreamDraw specified once by A, used few times S
// - StreamRead specified once by R, queried a few times by A
// - StreamCopy specified once by R, used a few times S
// - StaticDraw specified once by A, used many times S
// - StaticRead specificed once by R, queried many times by A
// - StaticCopy specified once by R, used many times S
// - DynamicDraw respecified repeatedly by A, used many times S
// - DynamicRead respecified repeatedly by R, queried many times by A
// - DynamicCopy respecified repeatedly by R, used many times S
// A: the application
// S: as the source for GL drawing and image specification commands.
// R: reading data from the GL
// Initial value is StaticDraw, as in OpenGL spec.
//// \item @|obj.SetUsage (int )| -  Usage is a performance hint.
// Valid values are:
// - StreamDraw specified once by A, used few times S
// - StreamRead specified once by R, queried a few times by A
// - StreamCopy specified once by R, used a few times S
// - StaticDraw specified once by A, used many times S
// - StaticRead specificed once by R, queried many times by A
// - StaticCopy specified once by R, used many times S
// - DynamicDraw respecified repeatedly by A, used many times S
// - DynamicRead respecified repeatedly by R, queried many times by A
// - DynamicCopy respecified repeatedly by R, used many times S
// A: the application
// S: as the source for GL drawing and image specification commands.
// R: reading data from the GL
// Initial value is StaticDraw, as in OpenGL spec.
//// \item @|int = obj.GetType ()| -  Get the type with which the data is loaded into the GPU.
// eg. VTK_FLOAT for float32, VTK_CHAR for byte, VTK_UNSIGNED_CHAR for
// unsigned byte etc.
//// \item @|int = obj.GetSize ()| -  Get the size of the data loaded into the GPU. Size is in the number of
// elements of the uploaded Type.
//// \item @|int = obj.GetHandle ()| -  Get the openGL buffer handle.
//// \item @|obj.BindToPackedBuffer ()|
// \item @|obj.BindToUnPackedBuffer ()| -  Inactivate the buffer.
//// \item @|obj.UnBind ()| -  Inactivate the buffer.
////\end{itemize}
//!
