#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPointSetToLabelHierarchy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPointSetToLabelHierarchy.h"

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:vtkPointSetToLabelHierarchy vtkPointSetToLabelHierarchyConstructorFunction
//input a
//output p
//@@Parents vtkPointSetToLabelHierarchy vtkLabelHierarchyAlgorithm 
ArrayVector vtkPointSetToLabelHierarchyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPointSetToLabelHierarchy::New(),"vtkPointSetToLabelHierarchy",eval);
  } else if (arg[0].className() == "vtkPointSetToLabelHierarchy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPointSetToLabelHierarchy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPointSetToLabelHierarchy");
    vtkPointSetToLabelHierarchy*q = reinterpret_cast<vtkPointSetToLabelHierarchy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPointSetToLabelHierarchy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:GetClassName vtkPointSetToLabelHierarchyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPointSetToLabelHierarchyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPointSetToLabelHierarchy requires 1 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:IsA vtkPointSetToLabelHierarchyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPointSetToLabelHierarchyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPointSetToLabelHierarchy requires 2 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:NewInstance vtkPointSetToLabelHierarchyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPointSetToLabelHierarchyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSetToLabelHierarchy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPointSetToLabelHierarchy requires 1 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  vtkPointSetToLabelHierarchy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSetToLabelHierarchy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:SafeDownCast vtkPointSetToLabelHierarchySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPointSetToLabelHierarchySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSetToLabelHierarchy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPointSetToLabelHierarchy requires 2 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPointSetToLabelHierarchy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSetToLabelHierarchy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:SetTargetLabelCount vtkPointSetToLabelHierarchySetTargetLabelCountFunction
//input a0 a1 
//output none
ArrayVector vtkPointSetToLabelHierarchySetTargetLabelCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTargetLabelCount (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTargetLabelCount for class vtkPointSetToLabelHierarchy requires 2 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTargetLabelCount(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:GetTargetLabelCount vtkPointSetToLabelHierarchyGetTargetLabelCountFunction
//input a0 
//output y
ArrayVector vtkPointSetToLabelHierarchyGetTargetLabelCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTargetLabelCount (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTargetLabelCount for class vtkPointSetToLabelHierarchy requires 1 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTargetLabelCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:SetMaximumDepth vtkPointSetToLabelHierarchySetMaximumDepthFunction
//input a0 a1 
//output none
ArrayVector vtkPointSetToLabelHierarchySetMaximumDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumDepth (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumDepth for class vtkPointSetToLabelHierarchy requires 2 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumDepth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:GetMaximumDepth vtkPointSetToLabelHierarchyGetMaximumDepthFunction
//input a0 
//output y
ArrayVector vtkPointSetToLabelHierarchyGetMaximumDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumDepth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumDepth for class vtkPointSetToLabelHierarchy requires 1 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumDepth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:SetUseUnicodeStrings vtkPointSetToLabelHierarchySetUseUnicodeStringsFunction
//input a0 a1 
//output none
ArrayVector vtkPointSetToLabelHierarchySetUseUnicodeStringsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseUnicodeStrings (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseUnicodeStrings for class vtkPointSetToLabelHierarchy requires 2 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseUnicodeStrings(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:GetUseUnicodeStrings vtkPointSetToLabelHierarchyGetUseUnicodeStringsFunction
//input a0 
//output y
ArrayVector vtkPointSetToLabelHierarchyGetUseUnicodeStringsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseUnicodeStrings (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseUnicodeStrings for class vtkPointSetToLabelHierarchy requires 1 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseUnicodeStrings();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:UseUnicodeStringsOn vtkPointSetToLabelHierarchyUseUnicodeStringsOnFunction
//input a0 
//output none
ArrayVector vtkPointSetToLabelHierarchyUseUnicodeStringsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseUnicodeStringsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseUnicodeStringsOn for class vtkPointSetToLabelHierarchy requires 1 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  vtk_pointer->UseUnicodeStringsOn();
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:UseUnicodeStringsOff vtkPointSetToLabelHierarchyUseUnicodeStringsOffFunction
//input a0 
//output none
ArrayVector vtkPointSetToLabelHierarchyUseUnicodeStringsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseUnicodeStringsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseUnicodeStringsOff for class vtkPointSetToLabelHierarchy requires 1 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  vtk_pointer->UseUnicodeStringsOff();
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:SetLabelArrayName vtkPointSetToLabelHierarchySetLabelArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkPointSetToLabelHierarchySetLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelArrayName for class vtkPointSetToLabelHierarchy requires 2 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLabelArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:GetLabelArrayName vtkPointSetToLabelHierarchyGetLabelArrayNameFunction
//input a0 
//output y
ArrayVector vtkPointSetToLabelHierarchyGetLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetLabelArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelArrayName for class vtkPointSetToLabelHierarchy requires 1 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetLabelArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:SetSizeArrayName vtkPointSetToLabelHierarchySetSizeArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkPointSetToLabelHierarchySetSizeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSizeArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetSizeArrayName for class vtkPointSetToLabelHierarchy requires 2 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetSizeArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:GetSizeArrayName vtkPointSetToLabelHierarchyGetSizeArrayNameFunction
//input a0 
//output y
ArrayVector vtkPointSetToLabelHierarchyGetSizeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetSizeArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSizeArrayName for class vtkPointSetToLabelHierarchy requires 1 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetSizeArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:SetPriorityArrayName vtkPointSetToLabelHierarchySetPriorityArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkPointSetToLabelHierarchySetPriorityArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPriorityArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetPriorityArrayName for class vtkPointSetToLabelHierarchy requires 2 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPriorityArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:GetPriorityArrayName vtkPointSetToLabelHierarchyGetPriorityArrayNameFunction
//input a0 
//output y
ArrayVector vtkPointSetToLabelHierarchyGetPriorityArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetPriorityArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPriorityArrayName for class vtkPointSetToLabelHierarchy requires 1 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetPriorityArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:SetIconIndexArrayName vtkPointSetToLabelHierarchySetIconIndexArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkPointSetToLabelHierarchySetIconIndexArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetIconIndexArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetIconIndexArrayName for class vtkPointSetToLabelHierarchy requires 2 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetIconIndexArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:GetIconIndexArrayName vtkPointSetToLabelHierarchyGetIconIndexArrayNameFunction
//input a0 
//output y
ArrayVector vtkPointSetToLabelHierarchyGetIconIndexArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetIconIndexArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIconIndexArrayName for class vtkPointSetToLabelHierarchy requires 1 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetIconIndexArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:SetOrientationArrayName vtkPointSetToLabelHierarchySetOrientationArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkPointSetToLabelHierarchySetOrientationArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOrientationArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrientationArrayName for class vtkPointSetToLabelHierarchy requires 2 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetOrientationArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:GetOrientationArrayName vtkPointSetToLabelHierarchyGetOrientationArrayNameFunction
//input a0 
//output y
ArrayVector vtkPointSetToLabelHierarchyGetOrientationArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetOrientationArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientationArrayName for class vtkPointSetToLabelHierarchy requires 1 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetOrientationArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:SetBoundedSizeArrayName vtkPointSetToLabelHierarchySetBoundedSizeArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkPointSetToLabelHierarchySetBoundedSizeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetBoundedSizeArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoundedSizeArrayName for class vtkPointSetToLabelHierarchy requires 2 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetBoundedSizeArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:GetBoundedSizeArrayName vtkPointSetToLabelHierarchyGetBoundedSizeArrayNameFunction
//input a0 
//output y
ArrayVector vtkPointSetToLabelHierarchyGetBoundedSizeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetBoundedSizeArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoundedSizeArrayName for class vtkPointSetToLabelHierarchy requires 1 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetBoundedSizeArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:SetTextProperty vtkPointSetToLabelHierarchySetTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkPointSetToLabelHierarchySetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTextProperty (vtkTextProperty *tprop); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextProperty for class vtkPointSetToLabelHierarchy requires 2 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:GetTextProperty vtkPointSetToLabelHierarchyGetTextPropertyFunction
//input a0 
//output y
ArrayVector vtkPointSetToLabelHierarchyGetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextProperty for class vtkPointSetToLabelHierarchy requires 1 argument(s)");
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSetToLabelHierarchy:display vtkPointSetToLabelHierarchyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPointSetToLabelHierarchyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPointSetToLabelHierarchy* vtk_pointer = GetVTKPointer<vtkPointSetToLabelHierarchy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPointSetToLabelHierarchy:delete vtkPointSetToLabelHierarchyDeleteFunction
//input varargin
//output none
ArrayVector vtkPointSetToLabelHierarchyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPointSetToLabelHierarchy
//@@Section VTKRendering
//@@Usage
//
// Every point in the input vtkPoints object is taken to be an
// anchor point for a label. Statistics on the input points
// are used to subdivide an octree referencing the points
// until the points each octree node contains have a variance
// close to the node size and a limited population (< 100).
//
//To create an instance of class vtkPointSetToLabelHierarchy, simply
//invoke its constructor as follows
//@[
//  obj = vtkPointSetToLabelHierarchy
//@]
//@@Methods
//The class vtkPointSetToLabelHierarchy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPointSetToLabelHierarchy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPointSetToLabelHierarchy = obj.NewInstance ()|
// \item @|vtkPointSetToLabelHierarchy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetTargetLabelCount (int )| -  Set/get the "ideal" number of labels to associate with each node in the output hierarchy.
//// \item @|int = obj.GetTargetLabelCount ()| -  Set/get the "ideal" number of labels to associate with each node in the output hierarchy.
//// \item @|obj.SetMaximumDepth (int )| -  Set/get the maximum tree depth in the output hierarchy.
//// \item @|int = obj.GetMaximumDepth ()| -  Set/get the maximum tree depth in the output hierarchy.
//// \item @|obj.SetUseUnicodeStrings (bool )| -  Whether to use unicode strings.
//// \item @|bool = obj.GetUseUnicodeStrings ()| -  Whether to use unicode strings.
//// \item @|obj.UseUnicodeStringsOn ()| -  Whether to use unicode strings.
//// \item @|obj.UseUnicodeStringsOff ()| -  Whether to use unicode strings.
//// \item @|obj.SetLabelArrayName (string name)| -  Set/get the label array name.
//// \item @|string = obj.GetLabelArrayName ()| -  Set/get the label array name.
//// \item @|obj.SetSizeArrayName (string name)| -  Set/get the priority array name.
//// \item @|string = obj.GetSizeArrayName ()| -  Set/get the priority array name.
//// \item @|obj.SetPriorityArrayName (string name)| -  Set/get the priority array name.
//// \item @|string = obj.GetPriorityArrayName ()| -  Set/get the priority array name.
//// \item @|obj.SetIconIndexArrayName (string name)| -  Set/get the icon index array name.
//// \item @|string = obj.GetIconIndexArrayName ()| -  Set/get the icon index array name.
//// \item @|obj.SetOrientationArrayName (string name)| -  Set/get the text orientation array name.
//// \item @|string = obj.GetOrientationArrayName ()| -  Set/get the text orientation array name.
//// \item @|obj.SetBoundedSizeArrayName (string name)| -  Set/get the maximum text width (in world coordinates) array name.
//// \item @|string = obj.GetBoundedSizeArrayName ()| -  Set/get the maximum text width (in world coordinates) array name.
//// \item @|obj.SetTextProperty (vtkTextProperty tprop)| -  Set/get the text property assigned to the hierarchy.
//// \item @|vtkTextProperty = obj.GetTextProperty ()| -  Set/get the text property assigned to the hierarchy.
////\end{itemize}
//!
