#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataMapper.h"

//@@Signature
//sfunction @vtkPolyDataMapper:vtkPolyDataMapper vtkPolyDataMapperConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataMapper vtkMapper 
ArrayVector vtkPolyDataMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataMapper::New(),"vtkPolyDataMapper",eval);
  } else if (arg[0].className() == "vtkPolyDataMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataMapper");
    vtkPolyDataMapper*q = reinterpret_cast<vtkPolyDataMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataMapper:GetClassName vtkPolyDataMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataMapper requires 1 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:IsA vtkPolyDataMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataMapper requires 2 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:NewInstance vtkPolyDataMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataMapper requires 1 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  vtkPolyDataMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:SafeDownCast vtkPolyDataMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataMapper requires 2 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:RenderPiece vtkPolyDataMapperRenderPieceFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPolyDataMapperRenderPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RenderPiece (vtkRenderer *ren, vtkActor *act) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function RenderPiece for class vtkPolyDataMapper requires 3 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkActor>(arg[2]);
  vtk_pointer->RenderPiece(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:Render vtkPolyDataMapperRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPolyDataMapperRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkRenderer *ren, vtkActor *act); */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkPolyDataMapper requires 3 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkActor>(arg[2]);
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:SetInput vtkPolyDataMapperSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataMapperSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkPolyData *in); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkPolyDataMapper requires 2 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:GetInput vtkPolyDataMapperGetInputFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapperGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkPolyDataMapper requires 1 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:Update vtkPolyDataMapperUpdateFunction
//input a0 
//output none
ArrayVector vtkPolyDataMapperUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkPolyDataMapper requires 1 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:SetPiece vtkPolyDataMapperSetPieceFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataMapperSetPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPiece (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPiece for class vtkPolyDataMapper requires 2 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPiece(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:GetPiece vtkPolyDataMapperGetPieceFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapperGetPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPiece (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPiece for class vtkPolyDataMapper requires 1 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPiece();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:SetNumberOfPieces vtkPolyDataMapperSetNumberOfPiecesFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataMapperSetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPieces (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPieces for class vtkPolyDataMapper requires 2 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPieces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:GetNumberOfPieces vtkPolyDataMapperGetNumberOfPiecesFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapperGetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPieces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPieces for class vtkPolyDataMapper requires 1 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPieces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:SetNumberOfSubPieces vtkPolyDataMapperSetNumberOfSubPiecesFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataMapperSetNumberOfSubPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfSubPieces (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfSubPieces for class vtkPolyDataMapper requires 2 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfSubPieces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:GetNumberOfSubPieces vtkPolyDataMapperGetNumberOfSubPiecesFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapperGetNumberOfSubPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSubPieces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSubPieces for class vtkPolyDataMapper requires 1 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSubPieces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:SetGhostLevel vtkPolyDataMapperSetGhostLevelFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataMapperSetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGhostLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGhostLevel for class vtkPolyDataMapper requires 2 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGhostLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:GetGhostLevel vtkPolyDataMapperGetGhostLevelFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapperGetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGhostLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGhostLevel for class vtkPolyDataMapper requires 1 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGhostLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:GetBounds__1 vtkPolyDataMapperGetBounds__1Function
//input a0 
//output y
ArrayVector vtkPolyDataMapperGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__1 for class vtkPolyDataMapper requires 1 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:GetBounds__2 vtkPolyDataMapperGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkPolyDataMapperGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetBounds (double bounds[6]);this Superclass GetBounds bounds  */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkPolyDataMapper requires 2 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:ShallowCopy vtkPolyDataMapperShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataMapperShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkAbstractMapper *m); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkPolyDataMapper requires 2 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  vtkAbstractMapper  *temp0;
  temp0 = GetVTKPointer<vtkAbstractMapper>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:MapDataArrayToVertexAttribute vtkPolyDataMapperMapDataArrayToVertexAttributeFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPolyDataMapperMapDataArrayToVertexAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MapDataArrayToVertexAttribute (const char *vertexAttributeName, const char *dataArrayName, int fieldAssociation, int componentno); */
  if (arg.size() < 5) 
    throw Exception("Function MapDataArrayToVertexAttribute for class vtkPolyDataMapper requires 5 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->MapDataArrayToVertexAttribute(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:MapDataArrayToMultiTextureAttribute vtkPolyDataMapperMapDataArrayToMultiTextureAttributeFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPolyDataMapperMapDataArrayToMultiTextureAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MapDataArrayToMultiTextureAttribute (int unit, const char *dataArrayName, int fieldAssociation, int componentno); */
  if (arg.size() < 5) 
    throw Exception("Function MapDataArrayToMultiTextureAttribute for class vtkPolyDataMapper requires 5 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->MapDataArrayToMultiTextureAttribute(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:RemoveVertexAttributeMapping vtkPolyDataMapperRemoveVertexAttributeMappingFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataMapperRemoveVertexAttributeMappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveVertexAttributeMapping (const char *vertexAttributeName); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveVertexAttributeMapping for class vtkPolyDataMapper requires 2 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->RemoveVertexAttributeMapping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:RemoveAllVertexAttributeMappings vtkPolyDataMapperRemoveAllVertexAttributeMappingsFunction
//input a0 
//output none
ArrayVector vtkPolyDataMapperRemoveAllVertexAttributeMappingsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveAllVertexAttributeMappings (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllVertexAttributeMappings for class vtkPolyDataMapper requires 1 argument(s)");
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllVertexAttributeMappings();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper:GetBounds vtkPolyDataMapperGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataMapperGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPolyDataMapperGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPolyDataMapperGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataMapperGetBounds");
}

//@@Signature
//sfunction @vtkPolyDataMapper:display vtkPolyDataMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataMapper* vtk_pointer = GetVTKPointer<vtkPolyDataMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataMapper:delete vtkPolyDataMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataMapper
//@@Section VTKRendering
//@@Usage
// vtkPolyDataMapper is a class that maps polygonal data (i.e., vtkPolyData)
// to graphics primitives. vtkPolyDataMapper serves as a superclass for
// device-specific poly data mappers, that actually do the mapping to the
// rendering/graphics hardware/software.
//
//To create an instance of class vtkPolyDataMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataMapper
//@]
//@@Methods
//The class vtkPolyDataMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolyDataMapper = obj.NewInstance ()|
// \item @|vtkPolyDataMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.RenderPiece (vtkRenderer ren, vtkActor act)| -  Implemented by sub classes. Actual rendering is done here.
//// \item @|obj.Render (vtkRenderer ren, vtkActor act)| -  This calls RenderPiece (in a for loop is streaming is necessary).
//// \item @|obj.SetInput (vtkPolyData in)| -  Specify the input data to map.
//// \item @|vtkPolyData = obj.GetInput ()| -  Specify the input data to map.
//// \item @|obj.Update ()| -  Update that sets the update piece first.
//// \item @|obj.SetPiece (int )| -  If you want only a part of the data, specify by setting the piece.
//// \item @|int = obj.GetPiece ()| -  If you want only a part of the data, specify by setting the piece.
//// \item @|obj.SetNumberOfPieces (int )| -  If you want only a part of the data, specify by setting the piece.
//// \item @|int = obj.GetNumberOfPieces ()| -  If you want only a part of the data, specify by setting the piece.
//// \item @|obj.SetNumberOfSubPieces (int )| -  If you want only a part of the data, specify by setting the piece.
//// \item @|int = obj.GetNumberOfSubPieces ()| -  If you want only a part of the data, specify by setting the piece.
//// \item @|obj.SetGhostLevel (int )| -  Set the number of ghost cells to return.
//// \item @|int = obj.GetGhostLevel ()| -  Set the number of ghost cells to return.
//// \item @|double = obj.GetBounds ()| -  Return bounding box (array of six doubles) of data expressed as
// (xmin,xmax, ymin,ymax, zmin,zmax).
//// \item @|obj.GetBounds (double bounds[6])| -  Return bounding box (array of six doubles) of data expressed as
// (xmin,xmax, ymin,ymax, zmin,zmax).
//// \item @|obj.ShallowCopy (vtkAbstractMapper m)| -  Make a shallow copy of this mapper.
//// \item @|obj.MapDataArrayToVertexAttribute (string vertexAttributeName, string dataArrayName, int fieldAssociation, int componentno)| -  Select a data array from the point/cell data
// and map it to a generic vertex attribute. 
// vertexAttributeName is the name of the vertex attribute.
// dataArrayName is the name of the data array.
// fieldAssociation indicates when the data array is a point data array or
// cell data array (vtkDataObject::FIELD_ASSOCIATION_POINTS or
// (vtkDataObject::FIELD_ASSOCIATION_CELLS).
// componentno indicates which component from the data array must be passed as
// the attribute. If -1, then all components are passed.
//// \item @|obj.MapDataArrayToMultiTextureAttribute (int unit, string dataArrayName, int fieldAssociation, int componentno)|
// \item @|obj.RemoveVertexAttributeMapping (string vertexAttributeName)| -  Remove a vertex attribute mapping.
//// \item @|obj.RemoveAllVertexAttributeMappings ()| -  Remove all vertex attributes.
////\end{itemize}
//!
