#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataMapper2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataMapper2D.h"

//@@Signature
//sfunction @vtkPolyDataMapper2D:vtkPolyDataMapper2D vtkPolyDataMapper2DConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataMapper2D vtkMapper2D 
ArrayVector vtkPolyDataMapper2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataMapper2D::New(),"vtkPolyDataMapper2D",eval);
  } else if (arg[0].className() == "vtkPolyDataMapper2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataMapper2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataMapper2D");
    vtkPolyDataMapper2D*q = reinterpret_cast<vtkPolyDataMapper2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataMapper2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataMapper2D:GetClassName vtkPolyDataMapper2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapper2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:IsA vtkPolyDataMapper2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataMapper2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataMapper2D requires 2 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:NewInstance vtkPolyDataMapper2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapper2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataMapper2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtkPolyDataMapper2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataMapper2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SafeDownCast vtkPolyDataMapper2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataMapper2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataMapper2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataMapper2D requires 2 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataMapper2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataMapper2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SetInput vtkPolyDataMapper2DSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataMapper2DSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkPolyData *in); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkPolyDataMapper2D requires 2 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:GetInput vtkPolyDataMapper2DGetInputFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapper2DGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SetLookupTable vtkPolyDataMapper2DSetLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataMapper2DSetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLookupTable (vtkScalarsToColors *lut); */
  if (arg.size() < 2) 
    throw Exception("Function SetLookupTable for class vtkPolyDataMapper2D requires 2 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp0;
  temp0 = GetVTKPointer<vtkScalarsToColors>(arg[1]);
  vtk_pointer->SetLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:GetLookupTable vtkPolyDataMapper2DGetLookupTableFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapper2DGetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarsToColors *GetLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLookupTable for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp20;
  temp20 = (vtk_pointer)->GetLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarsToColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:CreateDefaultLookupTable vtkPolyDataMapper2DCreateDefaultLookupTableFunction
//input a0 
//output none
ArrayVector vtkPolyDataMapper2DCreateDefaultLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CreateDefaultLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLookupTable for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLookupTable();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SetScalarVisibility vtkPolyDataMapper2DSetScalarVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataMapper2DSetScalarVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarVisibility for class vtkPolyDataMapper2D requires 2 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:GetScalarVisibility vtkPolyDataMapper2DGetScalarVisibilityFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapper2DGetScalarVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarVisibility for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:ScalarVisibilityOn vtkPolyDataMapper2DScalarVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataMapper2DScalarVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalarVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalarVisibilityOn for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtk_pointer->ScalarVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:ScalarVisibilityOff vtkPolyDataMapper2DScalarVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataMapper2DScalarVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalarVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalarVisibilityOff for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtk_pointer->ScalarVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SetColorMode vtkPolyDataMapper2DSetColorModeFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataMapper2DSetColorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorMode for class vtkPolyDataMapper2D requires 2 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetColorMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:GetColorMode vtkPolyDataMapper2DGetColorModeFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapper2DGetColorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorMode for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SetColorModeToDefault vtkPolyDataMapper2DSetColorModeToDefaultFunction
//input a0 
//output none
ArrayVector vtkPolyDataMapper2DSetColorModeToDefaultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToDefault (); */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToDefault for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToDefault();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SetColorModeToMapScalars vtkPolyDataMapper2DSetColorModeToMapScalarsFunction
//input a0 
//output none
ArrayVector vtkPolyDataMapper2DSetColorModeToMapScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToMapScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToMapScalars for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToMapScalars();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:GetColorModeAsString vtkPolyDataMapper2DGetColorModeAsStringFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapper2DGetColorModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetColorModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorModeAsString for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetColorModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SetUseLookupTableScalarRange vtkPolyDataMapper2DSetUseLookupTableScalarRangeFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataMapper2DSetUseLookupTableScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseLookupTableScalarRange (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseLookupTableScalarRange for class vtkPolyDataMapper2D requires 2 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseLookupTableScalarRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:GetUseLookupTableScalarRange vtkPolyDataMapper2DGetUseLookupTableScalarRangeFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapper2DGetUseLookupTableScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseLookupTableScalarRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseLookupTableScalarRange for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseLookupTableScalarRange();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:UseLookupTableScalarRangeOn vtkPolyDataMapper2DUseLookupTableScalarRangeOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataMapper2DUseLookupTableScalarRangeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseLookupTableScalarRangeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseLookupTableScalarRangeOn for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtk_pointer->UseLookupTableScalarRangeOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:UseLookupTableScalarRangeOff vtkPolyDataMapper2DUseLookupTableScalarRangeOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataMapper2DUseLookupTableScalarRangeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseLookupTableScalarRangeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseLookupTableScalarRangeOff for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtk_pointer->UseLookupTableScalarRangeOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SetScalarRange__1 vtkPolyDataMapper2DSetScalarRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkPolyDataMapper2DSetScalarRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetScalarRange__1 for class vtkPolyDataMapper2D requires 3 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetScalarRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SetScalarRange__2 vtkPolyDataMapper2DSetScalarRange__2Function
//input a0 a1 
//output none
ArrayVector vtkPolyDataMapper2DSetScalarRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarRange__2 for class vtkPolyDataMapper2D requires 2 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetScalarRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:GetScalarRange vtkPolyDataMapper2DGetScalarRangeFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapper2DGetScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetScalarRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarRange for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetScalarRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SetScalarMode vtkPolyDataMapper2DSetScalarModeFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataMapper2DSetScalarModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarMode for class vtkPolyDataMapper2D requires 2 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:GetScalarMode vtkPolyDataMapper2DGetScalarModeFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapper2DGetScalarModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarMode for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SetScalarModeToDefault vtkPolyDataMapper2DSetScalarModeToDefaultFunction
//input a0 
//output none
ArrayVector vtkPolyDataMapper2DSetScalarModeToDefaultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToDefault ();this SetScalarMode VTK_SCALAR_MODE_DEFAULT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToDefault for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToDefault();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SetScalarModeToUsePointData vtkPolyDataMapper2DSetScalarModeToUsePointDataFunction
//input a0 
//output none
ArrayVector vtkPolyDataMapper2DSetScalarModeToUsePointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToUsePointData ();this SetScalarMode VTK_SCALAR_MODE_USE_POINT_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToUsePointData for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToUsePointData();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SetScalarModeToUseCellData vtkPolyDataMapper2DSetScalarModeToUseCellDataFunction
//input a0 
//output none
ArrayVector vtkPolyDataMapper2DSetScalarModeToUseCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToUseCellData ();this SetScalarMode VTK_SCALAR_MODE_USE_CELL_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToUseCellData for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToUseCellData();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SetScalarModeToUsePointFieldData vtkPolyDataMapper2DSetScalarModeToUsePointFieldDataFunction
//input a0 
//output none
ArrayVector vtkPolyDataMapper2DSetScalarModeToUsePointFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToUsePointFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_POINT_FIELD_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToUsePointFieldData for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToUsePointFieldData();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SetScalarModeToUseCellFieldData vtkPolyDataMapper2DSetScalarModeToUseCellFieldDataFunction
//input a0 
//output none
ArrayVector vtkPolyDataMapper2DSetScalarModeToUseCellFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToUseCellFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_CELL_FIELD_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToUseCellFieldData for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToUseCellFieldData();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:ColorByArrayComponent__1 vtkPolyDataMapper2DColorByArrayComponent__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkPolyDataMapper2DColorByArrayComponent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorByArrayComponent (int arrayNum, int component); */
  if (arg.size() < 3) 
    throw Exception("Function ColorByArrayComponent__1 for class vtkPolyDataMapper2D requires 3 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->ColorByArrayComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:ColorByArrayComponent__2 vtkPolyDataMapper2DColorByArrayComponent__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPolyDataMapper2DColorByArrayComponent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorByArrayComponent (char *arrayName, int component); */
  if (arg.size() < 3) 
    throw Exception("Function ColorByArrayComponent__2 for class vtkPolyDataMapper2D requires 3 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->ColorByArrayComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:GetArrayName vtkPolyDataMapper2DGetArrayNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapper2DGetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetArrayName ();return this ArrayName  */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayName for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:GetArrayId vtkPolyDataMapper2DGetArrayIdFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapper2DGetArrayIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrayId ();return this ArrayId  */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayId for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrayId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:GetArrayAccessMode vtkPolyDataMapper2DGetArrayAccessModeFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapper2DGetArrayAccessModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrayAccessMode ();return this ArrayAccessMode  */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayAccessMode for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrayAccessMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:GetArrayComponent vtkPolyDataMapper2DGetArrayComponentFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapper2DGetArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrayComponent ();return this ArrayComponent  */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayComponent for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrayComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:GetMTime vtkPolyDataMapper2DGetMTimeFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapper2DGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SetTransformCoordinate vtkPolyDataMapper2DSetTransformCoordinateFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataMapper2DSetTransformCoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTransformCoordinate (vtkCoordinate *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransformCoordinate for class vtkPolyDataMapper2D requires 2 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtkCoordinate  *temp0;
  temp0 = GetVTKPointer<vtkCoordinate>(arg[1]);
  vtk_pointer->SetTransformCoordinate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:GetTransformCoordinate vtkPolyDataMapper2DGetTransformCoordinateFunction
//input a0 
//output y
ArrayVector vtkPolyDataMapper2DGetTransformCoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoordinate *GetTransformCoordinate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransformCoordinate for class vtkPolyDataMapper2D requires 1 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetTransformCoordinate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:MapScalars vtkPolyDataMapper2DMapScalarsFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataMapper2DMapScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnsignedCharArray *MapScalars (double alpha); */
  if (arg.size() < 2) 
    throw Exception("Function MapScalars for class vtkPolyDataMapper2D requires 2 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  double   temp0;
  vtkUnsignedCharArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->MapScalars(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:ShallowCopy vtkPolyDataMapper2DShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataMapper2DShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkAbstractMapper *m); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkPolyDataMapper2D requires 2 argument(s)");
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  Array retval;
  vtkAbstractMapper  *temp0;
  temp0 = GetVTKPointer<vtkAbstractMapper>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:SetScalarRange vtkPolyDataMapper2DSetScalarRangeFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataMapper2DSetScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkPolyDataMapper2DSetScalarRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPolyDataMapper2DSetScalarRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataMapper2DSetScalarRange");
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:ColorByArrayComponent vtkPolyDataMapper2DColorByArrayComponentFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataMapper2DColorByArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkPolyDataMapper2DColorByArrayComponent__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkPolyDataMapper2DColorByArrayComponent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataMapper2DColorByArrayComponent");
}

//@@Signature
//sfunction @vtkPolyDataMapper2D:display vtkPolyDataMapper2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataMapper2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataMapper2D* vtk_pointer = GetVTKPointer<vtkPolyDataMapper2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataMapper2D:delete vtkPolyDataMapper2DDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataMapper2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataMapper2D
//@@Section VTKRendering
//@@Usage
// vtkPolyDataMapper2D is a mapper that renders 3D polygonal data 
// (vtkPolyData) onto the 2D image plane (i.e., the renderer's viewport).
// By default, the 3D data is transformed into 2D data by ignoring the 
// z-coordinate of the 3D points in vtkPolyData, and taking the x-y values 
// as local display values (i.e., pixel coordinates). Alternatively, you
// can provide a vtkCoordinate object that will transform the data into
// local display coordinates (use the vtkCoordinate::SetCoordinateSystem()
// methods to indicate which coordinate system you are transforming the
// data from).
//
//To create an instance of class vtkPolyDataMapper2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataMapper2D
//@]
//@@Methods
//The class vtkPolyDataMapper2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataMapper2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolyDataMapper2D = obj.NewInstance ()|
// \item @|vtkPolyDataMapper2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkPolyData in)| -  Set the input to the mapper.  
//// \item @|vtkPolyData = obj.GetInput ()| -  Set the input to the mapper.  
//// \item @|obj.SetLookupTable (vtkScalarsToColors lut)| -  Specify a lookup table for the mapper to use.
//// \item @|vtkScalarsToColors = obj.GetLookupTable ()| -  Specify a lookup table for the mapper to use.
//// \item @|obj.CreateDefaultLookupTable ()| -  Create default lookup table. Generally used to create one when none
// is available with the scalar data.
//// \item @|obj.SetScalarVisibility (int )| -  Turn on/off flag to control whether scalar data is used to color objects.
//// \item @|int = obj.GetScalarVisibility ()| -  Turn on/off flag to control whether scalar data is used to color objects.
//// \item @|obj.ScalarVisibilityOn ()| -  Turn on/off flag to control whether scalar data is used to color objects.
//// \item @|obj.ScalarVisibilityOff ()| -  Turn on/off flag to control whether scalar data is used to color objects.
//// \item @|obj.SetColorMode (int )| -  Control how the scalar data is mapped to colors.  By default
// (ColorModeToDefault), unsigned char scalars are treated as colors, and
// NOT mapped through the lookup table, while everything else is. Setting
// ColorModeToMapScalars means that all scalar data will be mapped through
// the lookup table.  (Note that for multi-component scalars, the
// particular component to use for mapping can be specified using the
// ColorByArrayComponent() method.)
//// \item @|int = obj.GetColorMode ()| -  Control how the scalar data is mapped to colors.  By default
// (ColorModeToDefault), unsigned char scalars are treated as colors, and
// NOT mapped through the lookup table, while everything else is. Setting
// ColorModeToMapScalars means that all scalar data will be mapped through
// the lookup table.  (Note that for multi-component scalars, the
// particular component to use for mapping can be specified using the
// ColorByArrayComponent() method.)
//// \item @|obj.SetColorModeToDefault ()| -  Control how the scalar data is mapped to colors.  By default
// (ColorModeToDefault), unsigned char scalars are treated as colors, and
// NOT mapped through the lookup table, while everything else is. Setting
// ColorModeToMapScalars means that all scalar data will be mapped through
// the lookup table.  (Note that for multi-component scalars, the
// particular component to use for mapping can be specified using the
// ColorByArrayComponent() method.)
//// \item @|obj.SetColorModeToMapScalars ()| -  Control how the scalar data is mapped to colors.  By default
// (ColorModeToDefault), unsigned char scalars are treated as colors, and
// NOT mapped through the lookup table, while everything else is. Setting
// ColorModeToMapScalars means that all scalar data will be mapped through
// the lookup table.  (Note that for multi-component scalars, the
// particular component to use for mapping can be specified using the
// ColorByArrayComponent() method.)
//// \item @|string = obj.GetColorModeAsString ()| -  Return the method of coloring scalar data.
//// \item @|obj.SetUseLookupTableScalarRange (int )| -  Control whether the mapper sets the lookuptable range based on its
// own ScalarRange, or whether it will use the LookupTable ScalarRange
// regardless of it's own setting. By default the Mapper is allowed to set
// the LookupTable range, but users who are sharing LookupTables between
// mappers/actors will probably wish to force the mapper to use the
// LookupTable unchanged.
//// \item @|int = obj.GetUseLookupTableScalarRange ()| -  Control whether the mapper sets the lookuptable range based on its
// own ScalarRange, or whether it will use the LookupTable ScalarRange
// regardless of it's own setting. By default the Mapper is allowed to set
// the LookupTable range, but users who are sharing LookupTables between
// mappers/actors will probably wish to force the mapper to use the
// LookupTable unchanged.
//// \item @|obj.UseLookupTableScalarRangeOn ()| -  Control whether the mapper sets the lookuptable range based on its
// own ScalarRange, or whether it will use the LookupTable ScalarRange
// regardless of it's own setting. By default the Mapper is allowed to set
// the LookupTable range, but users who are sharing LookupTables between
// mappers/actors will probably wish to force the mapper to use the
// LookupTable unchanged.
//// \item @|obj.UseLookupTableScalarRangeOff ()| -  Control whether the mapper sets the lookuptable range based on its
// own ScalarRange, or whether it will use the LookupTable ScalarRange
// regardless of it's own setting. By default the Mapper is allowed to set
// the LookupTable range, but users who are sharing LookupTables between
// mappers/actors will probably wish to force the mapper to use the
// LookupTable unchanged.
//// \item @|obj.SetScalarRange (double , double )| -  Specify range in terms of scalar minimum and maximum (smin,smax). These
// values are used to map scalars into lookup table. Has no effect when
// UseLookupTableScalarRange is true.
//// \item @|obj.SetScalarRange (double  a[2])| -  Specify range in terms of scalar minimum and maximum (smin,smax). These
// values are used to map scalars into lookup table. Has no effect when
// UseLookupTableScalarRange is true.
//// \item @|double = obj. GetScalarRange ()| -  Specify range in terms of scalar minimum and maximum (smin,smax). These
// values are used to map scalars into lookup table. Has no effect when
// UseLookupTableScalarRange is true.
//// \item @|obj.SetScalarMode (int )| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the filter will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the filter to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call ColorByArrayComponent before you call
// GetColors.
//// \item @|int = obj.GetScalarMode ()| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the filter will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the filter to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call ColorByArrayComponent before you call
// GetColors.
//// \item @|obj.SetScalarModeToDefault ()| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the filter will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the filter to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call ColorByArrayComponent before you call
// GetColors.
//// \item @|obj.SetScalarModeToUsePointData ()| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the filter will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the filter to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call ColorByArrayComponent before you call
// GetColors.
//// \item @|obj.SetScalarModeToUseCellData ()| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the filter will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the filter to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call ColorByArrayComponent before you call
// GetColors.
//// \item @|obj.SetScalarModeToUsePointFieldData ()| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the filter will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the filter to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call ColorByArrayComponent before you call
// GetColors.
//// \item @|obj.SetScalarModeToUseCellFieldData ()| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (ScalarModeToDefault), the filter will use point data,
// and if no point data is available, then cell data is used. Alternatively
// you can explicitly set the filter to use point data
// (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).
// You can also choose to get the scalars from an array in point field
// data (ScalarModeToUsePointFieldData) or cell field data
// (ScalarModeToUseCellFieldData).  If scalars are coming from a field
// data array, you must call ColorByArrayComponent before you call
// GetColors.
//// \item @|obj.ColorByArrayComponent (int arrayNum, int component)| -  Choose which component of which field data array to color by.
//// \item @|obj.ColorByArrayComponent (string arrayName, int component)| -  Choose which component of which field data array to color by.
//// \item @|string = obj.GetArrayName ()| -  Get the array name or number and component to color by.
//// \item @|int = obj.GetArrayId ()| -  Get the array name or number and component to color by.
//// \item @|int = obj.GetArrayAccessMode ()| -  Get the array name or number and component to color by.
//// \item @|int = obj.GetArrayComponent ()| -  Overload standard modified time function. If lookup table is modified,
// then this object is modified as well.
//// \item @|long = obj.GetMTime ()| -  Overload standard modified time function. If lookup table is modified,
// then this object is modified as well.
//// \item @|obj.SetTransformCoordinate (vtkCoordinate )| -  Specify a vtkCoordinate object to be used to transform the vtkPolyData
// point coordinates. By default (no vtkCoordinate specified), the point 
// coordinates are taken as local display coordinates.
//// \item @|vtkCoordinate = obj.GetTransformCoordinate ()| -  Specify a vtkCoordinate object to be used to transform the vtkPolyData
// point coordinates. By default (no vtkCoordinate specified), the point 
// coordinates are taken as local display coordinates.
//// \item @|vtkUnsignedCharArray = obj.MapScalars (double alpha)| -  Map the scalars (if there are any scalars and ScalarVisibility is on)
// through the lookup table, returning an unsigned char RGBA array. This is
// typically done as part of the rendering process. The alpha parameter 
// allows the blending of the scalars with an additional alpha (typically
// which comes from a vtkActor, etc.)
//// \item @|obj.ShallowCopy (vtkAbstractMapper m)| -  Make a shallow copy of this mapper.
////\end{itemize}
//!
