#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataPainter.h"

//@@Signature
//sfunction @vtkPolyDataPainter:vtkPolyDataPainter vtkPolyDataPainterConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataPainter vtkPainter 
ArrayVector vtkPolyDataPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataPainter::New(),"vtkPolyDataPainter",eval);
  } else if (arg[0].className() == "vtkPolyDataPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataPainter");
    vtkPolyDataPainter*q = reinterpret_cast<vtkPolyDataPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataPainter:GetClassName vtkPolyDataPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataPainter requires 1 argument(s)");
  vtkPolyDataPainter* vtk_pointer = GetVTKPointer<vtkPolyDataPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPainter:IsA vtkPolyDataPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataPainter requires 2 argument(s)");
  vtkPolyDataPainter* vtk_pointer = GetVTKPointer<vtkPolyDataPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPainter:NewInstance vtkPolyDataPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataPainter requires 1 argument(s)");
  vtkPolyDataPainter* vtk_pointer = GetVTKPointer<vtkPolyDataPainter>(arg[0]);
  Array retval;
  vtkPolyDataPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPainter:SafeDownCast vtkPolyDataPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataPainter requires 2 argument(s)");
  vtkPolyDataPainter* vtk_pointer = GetVTKPointer<vtkPolyDataPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPainter:GetInputAsPolyData vtkPolyDataPainterGetInputAsPolyDataFunction
//input a0 
//output y
ArrayVector vtkPolyDataPainterGetInputAsPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetInputAsPolyData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputAsPolyData for class vtkPolyDataPainter requires 1 argument(s)");
  vtkPolyDataPainter* vtk_pointer = GetVTKPointer<vtkPolyDataPainter>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetInputAsPolyData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPainter:GetOutputAsPolyData vtkPolyDataPainterGetOutputAsPolyDataFunction
//input a0 
//output y
ArrayVector vtkPolyDataPainterGetOutputAsPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetOutputAsPolyData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputAsPolyData for class vtkPolyDataPainter requires 1 argument(s)");
  vtkPolyDataPainter* vtk_pointer = GetVTKPointer<vtkPolyDataPainter>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetOutputAsPolyData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPainter:BUILD_NORMALS vtkPolyDataPainterBUILD_NORMALSFunction
//input a0 
//output y
ArrayVector vtkPolyDataPainterBUILD_NORMALSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *BUILD_NORMALS (); */
  if (arg.size() < 1) 
    throw Exception("Function BUILD_NORMALS for class vtkPolyDataPainter requires 1 argument(s)");
  vtkPolyDataPainter* vtk_pointer = GetVTKPointer<vtkPolyDataPainter>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->BUILD_NORMALS();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPainter:DISABLE_SCALAR_COLOR vtkPolyDataPainterDISABLE_SCALAR_COLORFunction
//input a0 
//output y
ArrayVector vtkPolyDataPainterDISABLE_SCALAR_COLORFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *DISABLE_SCALAR_COLOR (); */
  if (arg.size() < 1) 
    throw Exception("Function DISABLE_SCALAR_COLOR for class vtkPolyDataPainter requires 1 argument(s)");
  vtkPolyDataPainter* vtk_pointer = GetVTKPointer<vtkPolyDataPainter>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->DISABLE_SCALAR_COLOR();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPainter:DATA_ARRAY_TO_VERTEX_ATTRIBUTE vtkPolyDataPainterDATA_ARRAY_TO_VERTEX_ATTRIBUTEFunction
//input a0 
//output y
ArrayVector vtkPolyDataPainterDATA_ARRAY_TO_VERTEX_ATTRIBUTEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationObjectBaseKey *DATA_ARRAY_TO_VERTEX_ATTRIBUTE (); */
  if (arg.size() < 1) 
    throw Exception("Function DATA_ARRAY_TO_VERTEX_ATTRIBUTE for class vtkPolyDataPainter requires 1 argument(s)");
  vtkPolyDataPainter* vtk_pointer = GetVTKPointer<vtkPolyDataPainter>(arg[0]);
  Array retval;
  vtkInformationObjectBaseKey  *temp20;
  temp20 = (vtk_pointer)->DATA_ARRAY_TO_VERTEX_ATTRIBUTE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationObjectBaseKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPainter:Render vtkPolyDataPainterRenderFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPolyDataPainterRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkRenderer *renderer, vtkActor *actor, unsigned long typeflags, bool forceCompileOnly); */
  if (arg.size() < 5) 
    throw Exception("Function Render for class vtkPolyDataPainter requires 5 argument(s)");
  vtkPolyDataPainter* vtk_pointer = GetVTKPointer<vtkPolyDataPainter>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  unsigned long     temp2;
  bool   temp3;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkActor>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (unsigned long) arg[3].asDouble();
  vtk_pointer->Render(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPainter:display vtkPolyDataPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataPainter* vtk_pointer = GetVTKPointer<vtkPolyDataPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataPainter:delete vtkPolyDataPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataPainter
//@@Section VTKRendering
//@@Usage
// vtkPolyDataPainter encapsulates a method of drawing poly data.  This is a subset
// of what a mapper does.  The painter does no maintenance of the rendering
// state (camera, lights, etc.).  It is solely responsible for issuing
// rendering commands that build graphics primitives.
//
// To simplify coding, an implementation of vtkPolyDataPainter is allowed to support
// only certain types of poly data or certain types of primitives. 
//
//
//To create an instance of class vtkPolyDataPainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataPainter
//@]
//@@Methods
//The class vtkPolyDataPainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataPainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolyDataPainter = obj.NewInstance ()|
// \item @|vtkPolyDataPainter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkPolyData = obj.GetInputAsPolyData ()| -  Get/set the poly data to render.
//// \item @|vtkPolyData = obj.GetOutputAsPolyData ()| -  Get the output polydata from this Painter. The default 
// implementation forwards the input polydata as the output.
//// \item @|obj.Render (vtkRenderer renderer, vtkActor actor, long typeflags, bool forceCompileOnly)| -  Overridden to stop the render call if input polydata is not set,
// since PolyDataPainter cannot paint without any polydata input.
////\end{itemize}
//!
