#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolygonsPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolygonsPainter.h"

//@@Signature
//sfunction @vtkPolygonsPainter:vtkPolygonsPainter vtkPolygonsPainterConstructorFunction
//input a
//output p
//@@Parents vtkPolygonsPainter vtkPrimitivePainter 
ArrayVector vtkPolygonsPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolygonsPainter::New(),"vtkPolygonsPainter",eval);
  } else if (arg[0].className() == "vtkPolygonsPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolygonsPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolygonsPainter");
    vtkPolygonsPainter*q = reinterpret_cast<vtkPolygonsPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolygonsPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolygonsPainter:GetClassName vtkPolygonsPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolygonsPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolygonsPainter requires 1 argument(s)");
  vtkPolygonsPainter* vtk_pointer = GetVTKPointer<vtkPolygonsPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygonsPainter:IsA vtkPolygonsPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolygonsPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolygonsPainter requires 2 argument(s)");
  vtkPolygonsPainter* vtk_pointer = GetVTKPointer<vtkPolygonsPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygonsPainter:NewInstance vtkPolygonsPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolygonsPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolygonsPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolygonsPainter requires 1 argument(s)");
  vtkPolygonsPainter* vtk_pointer = GetVTKPointer<vtkPolygonsPainter>(arg[0]);
  Array retval;
  vtkPolygonsPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolygonsPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolygonsPainter:SafeDownCast vtkPolygonsPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolygonsPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolygonsPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolygonsPainter requires 2 argument(s)");
  vtkPolygonsPainter* vtk_pointer = GetVTKPointer<vtkPolygonsPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolygonsPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolygonsPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolygonsPainter:display vtkPolygonsPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolygonsPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolygonsPainter* vtk_pointer = GetVTKPointer<vtkPolygonsPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolygonsPainter:delete vtkPolygonsPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkPolygonsPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolygonsPainter
//@@Section VTKRendering
//@@Usage
// This painter renders Polys in vtkPolyData. It can render the polys
// in any representation (VTK_POINTS, VTK_WIREFRAME, VTK_SURFACE).
//
//To create an instance of class vtkPolygonsPainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolygonsPainter
//@]
//@@Methods
//The class vtkPolygonsPainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolygonsPainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolygonsPainter = obj.NewInstance ()|
// \item @|vtkPolygonsPainter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
