#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPrimitivePainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPrimitivePainter.h"

//@@Signature
//sfunction @vtkPrimitivePainter:vtkPrimitivePainter vtkPrimitivePainterConstructorFunction
//input a
//output p
//@@Parents vtkPrimitivePainter vtkPolyDataPainter 
ArrayVector vtkPrimitivePainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPrimitivePainter::New(),"vtkPrimitivePainter",eval);
  } else if (arg[0].className() == "vtkPrimitivePainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPrimitivePainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPrimitivePainter");
    vtkPrimitivePainter*q = reinterpret_cast<vtkPrimitivePainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPrimitivePainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPrimitivePainter:GetClassName vtkPrimitivePainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPrimitivePainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPrimitivePainter requires 1 argument(s)");
  vtkPrimitivePainter* vtk_pointer = GetVTKPointer<vtkPrimitivePainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPrimitivePainter:IsA vtkPrimitivePainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPrimitivePainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPrimitivePainter requires 2 argument(s)");
  vtkPrimitivePainter* vtk_pointer = GetVTKPointer<vtkPrimitivePainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPrimitivePainter:NewInstance vtkPrimitivePainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPrimitivePainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPrimitivePainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPrimitivePainter requires 1 argument(s)");
  vtkPrimitivePainter* vtk_pointer = GetVTKPointer<vtkPrimitivePainter>(arg[0]);
  Array retval;
  vtkPrimitivePainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPrimitivePainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPrimitivePainter:SafeDownCast vtkPrimitivePainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPrimitivePainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPrimitivePainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPrimitivePainter requires 2 argument(s)");
  vtkPrimitivePainter* vtk_pointer = GetVTKPointer<vtkPrimitivePainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPrimitivePainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPrimitivePainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPrimitivePainter:GetSupportedPrimitive vtkPrimitivePainterGetSupportedPrimitiveFunction
//input a0 
//output y
ArrayVector vtkPrimitivePainterGetSupportedPrimitiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSupportedPrimitive (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSupportedPrimitive for class vtkPrimitivePainter requires 1 argument(s)");
  vtkPrimitivePainter* vtk_pointer = GetVTKPointer<vtkPrimitivePainter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSupportedPrimitive();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPrimitivePainter:display vtkPrimitivePainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPrimitivePainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPrimitivePainter* vtk_pointer = GetVTKPointer<vtkPrimitivePainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPrimitivePainter:delete vtkPrimitivePainterDeleteFunction
//input varargin
//output none
ArrayVector vtkPrimitivePainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPrimitivePainter
//@@Section VTKRendering
//@@Usage
// This is the abstract superclass for classes that handle single type
// of primitive i.e. verts, lines, polys or tstrips. 
// Concrete subclasses will pass a Render() call to the delegate painter,
// if any, only if it could not render.
// .SECTION Thanks
// Support for generic vertex attributes in VTK was contributed in
// collaboration with Stephane Ploix at EDF.
//
//To create an instance of class vtkPrimitivePainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPrimitivePainter
//@]
//@@Methods
//The class vtkPrimitivePainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPrimitivePainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPrimitivePainter = obj.NewInstance ()|
// \item @|vtkPrimitivePainter = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetSupportedPrimitive ()| -  Get the type of primitive supported by this painter.
// This must be set by concrete subclasses.
////\end{itemize}
//!
