#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProp3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProp3D.h"

//@@Signature
//sfunction @vtkProp3D:vtkProp3D vtkProp3DConstructorFunction
//input a
//output p
//@@Parents vtkProp3D vtkProp 
ArrayVector vtkProp3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProp3D::New(),"vtkProp3D",eval);
  } else if (arg[0].className() == "vtkProp3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProp3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProp3D");
    vtkProp3D*q = reinterpret_cast<vtkProp3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProp3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProp3D:GetClassName vtkProp3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProp3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:IsA vtkProp3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProp3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:NewInstance vtkProp3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProp3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  vtkProp3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:SafeDownCast vtkProp3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProp3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProp3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:ShallowCopy vtkProp3DShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkProp3DShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:SetPosition__1 vtkProp3DSetPosition__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkProp3DSetPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPosition (double _arg1, double _arg2, double _arg3);vtkDebugMacro this GetClassName this _arg1 _arg2 _arg3 if this Position _arg1 this Position _arg2 this Position _arg3 this Position _arg1 this Position _arg2 this Position _arg3 this Modified this IsIdentity  */
  if (arg.size() < 4) 
    throw Exception("Function SetPosition__1 for class vtkProp3D requires 4 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:SetPosition__2 vtkProp3DSetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkProp3DSetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPosition (double _arg[3]);this SetPosition _arg _arg _arg  */
  if (arg.size() < 2) 
    throw Exception("Function SetPosition__2 for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetPosition vtkProp3DGetPositionFunction
//input a0 
//output y
ArrayVector vtkProp3DGetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPosition for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:AddPosition__1 vtkProp3DAddPosition__1Function
//input a0 a1 
//output none
ArrayVector vtkProp3DAddPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddPosition (double deltaPosition[3]); */
  if (arg.size() < 2) 
    throw Exception("Function AddPosition__1 for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->AddPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:AddPosition__2 vtkProp3DAddPosition__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkProp3DAddPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddPosition (double deltaX, double deltaY, double deltaZ); */
  if (arg.size() < 4) 
    throw Exception("Function AddPosition__2 for class vtkProp3D requires 4 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->AddPosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:SetOrigin__1 vtkProp3DSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkProp3DSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOrigin (double _arg1, double _arg2, double _arg3);vtkDebugMacro this GetClassName this _arg1 _arg2 _arg3 if this Origin _arg1 this Origin _arg2 this Origin _arg3 this Origin _arg1 this Origin _arg2 this Origin _arg3 this Modified this IsIdentity  */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkProp3D requires 4 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:SetOrigin__2 vtkProp3DSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkProp3DSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOrigin (double _arg[3]);this SetOrigin _arg _arg _arg  */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetOrigin vtkProp3DGetOriginFunction
//input a0 
//output y
ArrayVector vtkProp3DGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:SetScale__1 vtkProp3DSetScale__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkProp3DSetScale__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetScale (double _arg1, double _arg2, double _arg3);vtkDebugMacro this GetClassName this _arg1 _arg2 _arg3 if this Scale _arg1 this Scale _arg2 this Scale _arg3 this Scale _arg1 this Scale _arg2 this Scale _arg3 this Modified this IsIdentity  */
  if (arg.size() < 4) 
    throw Exception("Function SetScale__1 for class vtkProp3D requires 4 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetScale(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:SetScale__2 vtkProp3DSetScale__2Function
//input a0 a1 
//output none
ArrayVector vtkProp3DSetScale__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetScale (double _arg[3]);this SetScale _arg _arg _arg  */
  if (arg.size() < 2) 
    throw Exception("Function SetScale__2 for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetScale vtkProp3DGetScaleFunction
//input a0 
//output y
ArrayVector vtkProp3DGetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScale for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetScale();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:SetScale__3 vtkProp3DSetScale__3Function
//input a0 a1 
//output none
ArrayVector vtkProp3DSetScale__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScale (double s);this SetScale s s s  */
  if (arg.size() < 2) 
    throw Exception("Function SetScale__3 for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:SetUserTransform vtkProp3DSetUserTransformFunction
//input a0 a1 
//output none
ArrayVector vtkProp3DSetUserTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUserTransform (vtkLinearTransform *transform); */
  if (arg.size() < 2) 
    throw Exception("Function SetUserTransform for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  vtkLinearTransform  *temp0;
  temp0 = GetVTKPointer<vtkLinearTransform>(arg[1]);
  vtk_pointer->SetUserTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetUserTransform vtkProp3DGetUserTransformFunction
//input a0 
//output y
ArrayVector vtkProp3DGetUserTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLinearTransform *GetUserTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUserTransform for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  vtkLinearTransform  *temp20;
  temp20 = (vtk_pointer)->GetUserTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLinearTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:SetUserMatrix vtkProp3DSetUserMatrixFunction
//input a0 a1 
//output none
ArrayVector vtkProp3DSetUserMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUserMatrix (vtkMatrix4x4 *matrix); */
  if (arg.size() < 2) 
    throw Exception("Function SetUserMatrix for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->SetUserMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetUserMatrix vtkProp3DGetUserMatrixFunction
//input a0 
//output y
ArrayVector vtkProp3DGetUserMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrix4x4 *GetUserMatrix (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUserMatrix for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp20;
  temp20 = (vtk_pointer)->GetUserMatrix();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetMatrix__1 vtkProp3DGetMatrix__1Function
//input a0 a1 
//output none
ArrayVector vtkProp3DGetMatrix__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetMatrix (vtkMatrix4x4 *m); */
  if (arg.size() < 2) 
    throw Exception("Function GetMatrix__1 for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->GetMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetMatrix__2 vtkProp3DGetMatrix__2Function
//input a0 a1 
//output none
ArrayVector vtkProp3DGetMatrix__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetMatrix (double m[16]); */
  if (arg.size() < 2) 
    throw Exception("Function GetMatrix__2 for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double temp0[16];
  if ( !(arg[1].isVector() && arg[1].length() == 16) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetBounds__1 vtkProp3DGetBounds__1Function
//input a0 a1 
//output none
ArrayVector vtkProp3DGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__1 for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetBounds__2 vtkProp3DGetBounds__2Function
//input a0 
//output y
ArrayVector vtkProp3DGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__2 for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetCenter vtkProp3DGetCenterFunction
//input a0 
//output y
ArrayVector vtkProp3DGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetXRange vtkProp3DGetXRangeFunction
//input a0 
//output y
ArrayVector vtkProp3DGetXRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetXRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXRange for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetXRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetYRange vtkProp3DGetYRangeFunction
//input a0 
//output y
ArrayVector vtkProp3DGetYRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetYRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYRange for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetYRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetZRange vtkProp3DGetZRangeFunction
//input a0 
//output y
ArrayVector vtkProp3DGetZRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetZRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZRange for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetZRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetLength vtkProp3DGetLengthFunction
//input a0 
//output y
ArrayVector vtkProp3DGetLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLength for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:RotateX vtkProp3DRotateXFunction
//input a0 a1 
//output none
ArrayVector vtkProp3DRotateXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateX (double ); */
  if (arg.size() < 2) 
    throw Exception("Function RotateX for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->RotateX(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:RotateY vtkProp3DRotateYFunction
//input a0 a1 
//output none
ArrayVector vtkProp3DRotateYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateY (double ); */
  if (arg.size() < 2) 
    throw Exception("Function RotateY for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->RotateY(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:RotateZ vtkProp3DRotateZFunction
//input a0 a1 
//output none
ArrayVector vtkProp3DRotateZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateZ (double ); */
  if (arg.size() < 2) 
    throw Exception("Function RotateZ for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->RotateZ(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:RotateWXYZ vtkProp3DRotateWXYZFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkProp3DRotateWXYZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotateWXYZ (double , double , double , double ); */
  if (arg.size() < 5) 
    throw Exception("Function RotateWXYZ for class vtkProp3D requires 5 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->RotateWXYZ(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:SetOrientation__1 vtkProp3DSetOrientation__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkProp3DSetOrientation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrientation (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrientation__1 for class vtkProp3D requires 4 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrientation(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:SetOrientation__2 vtkProp3DSetOrientation__2Function
//input a0 a1 
//output none
ArrayVector vtkProp3DSetOrientation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrientation (double a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrientation__2 for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrientation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetOrientation__1 vtkProp3DGetOrientation__1Function
//input a0 
//output y
ArrayVector vtkProp3DGetOrientation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetOrientation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientation__1 for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrientation();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetOrientation__2 vtkProp3DGetOrientation__2Function
//input a0 a1 
//output none
ArrayVector vtkProp3DGetOrientation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetOrientation (double o[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetOrientation__2 for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetOrientation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetOrientationWXYZ vtkProp3DGetOrientationWXYZFunction
//input a0 
//output y
ArrayVector vtkProp3DGetOrientationWXYZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetOrientationWXYZ (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientationWXYZ for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrientationWXYZ();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:AddOrientation__1 vtkProp3DAddOrientation__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkProp3DAddOrientation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddOrientation (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function AddOrientation__1 for class vtkProp3D requires 4 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->AddOrientation(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:AddOrientation__2 vtkProp3DAddOrientation__2Function
//input a0 a1 
//output none
ArrayVector vtkProp3DAddOrientation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddOrientation (double a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function AddOrientation__2 for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->AddOrientation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:PokeMatrix vtkProp3DPokeMatrixFunction
//input a0 a1 
//output none
ArrayVector vtkProp3DPokeMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PokeMatrix (vtkMatrix4x4 *matrix); */
  if (arg.size() < 2) 
    throw Exception("Function PokeMatrix for class vtkProp3D requires 2 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->PokeMatrix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:InitPathTraversal vtkProp3DInitPathTraversalFunction
//input a0 
//output none
ArrayVector vtkProp3DInitPathTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitPathTraversal (); */
  if (arg.size() < 1) 
    throw Exception("Function InitPathTraversal for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  vtk_pointer->InitPathTraversal();
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetMTime vtkProp3DGetMTimeFunction
//input a0 
//output y
ArrayVector vtkProp3DGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetUserTransformMatrixMTime vtkProp3DGetUserTransformMatrixMTimeFunction
//input a0 
//output y
ArrayVector vtkProp3DGetUserTransformMatrixMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetUserTransformMatrixMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUserTransformMatrixMTime for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetUserTransformMatrixMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:ComputeMatrix vtkProp3DComputeMatrixFunction
//input a0 
//output none
ArrayVector vtkProp3DComputeMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ComputeMatrix (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeMatrix for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  vtk_pointer->ComputeMatrix();
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetMatrix__3 vtkProp3DGetMatrix__3Function
//input a0 
//output y
ArrayVector vtkProp3DGetMatrix__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrix4x4 *GetMatrix ();this ComputeMatrix return this Matrix  */
  if (arg.size() < 1) 
    throw Exception("Function GetMatrix__3 for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp20;
  temp20 = (vtk_pointer)->GetMatrix();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:GetIsIdentity vtkProp3DGetIsIdentityFunction
//input a0 
//output y
ArrayVector vtkProp3DGetIsIdentityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIsIdentity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIsIdentity for class vtkProp3D requires 1 argument(s)");
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIsIdentity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProp3D:SetPosition vtkProp3DSetPositionFunction
//input varargin
//output varargout
ArrayVector vtkProp3DSetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkProp3DSetPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkProp3DSetPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProp3DSetPosition");
}

//@@Signature
//sfunction @vtkProp3D:AddPosition vtkProp3DAddPositionFunction
//input varargin
//output varargout
ArrayVector vtkProp3DAddPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkProp3DAddPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkProp3DAddPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProp3DAddPosition");
}

//@@Signature
//sfunction @vtkProp3D:SetOrigin vtkProp3DSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkProp3DSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkProp3DSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkProp3DSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProp3DSetOrigin");
}

//@@Signature
//sfunction @vtkProp3D:SetScale vtkProp3DSetScaleFunction
//input varargin
//output varargout
ArrayVector vtkProp3DSetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkProp3DSetScale__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkProp3DSetScale__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkProp3DSetScale__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProp3DSetScale");
}

//@@Signature
//sfunction @vtkProp3D:GetMatrix vtkProp3DGetMatrixFunction
//input varargin
//output varargout
ArrayVector vtkProp3DGetMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkMatrix4x4"))
    return vtkProp3DGetMatrix__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkProp3DGetMatrix__2Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkProp3DGetMatrix__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProp3DGetMatrix");
}

//@@Signature
//sfunction @vtkProp3D:GetBounds vtkProp3DGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkProp3DGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkProp3DGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkProp3DGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProp3DGetBounds");
}

//@@Signature
//sfunction @vtkProp3D:SetOrientation vtkProp3DSetOrientationFunction
//input varargin
//output varargout
ArrayVector vtkProp3DSetOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkProp3DSetOrientation__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkProp3DSetOrientation__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProp3DSetOrientation");
}

//@@Signature
//sfunction @vtkProp3D:GetOrientation vtkProp3DGetOrientationFunction
//input varargin
//output varargout
ArrayVector vtkProp3DGetOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkProp3DGetOrientation__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkProp3DGetOrientation__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProp3DGetOrientation");
}

//@@Signature
//sfunction @vtkProp3D:AddOrientation vtkProp3DAddOrientationFunction
//input varargin
//output varargout
ArrayVector vtkProp3DAddOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkProp3DAddOrientation__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkProp3DAddOrientation__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProp3DAddOrientation");
}

//@@Signature
//sfunction @vtkProp3D:display vtkProp3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProp3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProp3D* vtk_pointer = GetVTKPointer<vtkProp3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProp3D:delete vtkProp3DDeleteFunction
//input varargin
//output none
ArrayVector vtkProp3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProp3D
//@@Section VTKRendering
//@@Usage
// vtkProp3D is an abstract class used to represent an entity in a rendering
// scene (i.e., vtkProp3D is a vtkProp with an associated transformation
// matrix).  It handles functions related to the position, orientation and
// scaling. It combines these instance variables into one 4x4 transformation
// matrix as follows: [x y z 1] = [x y z 1] Translate(-origin) Scale(scale)
// Rot(y) Rot(x) Rot (z) Trans(origin) Trans(position). Both vtkActor and
// vtkVolume are specializations of class vtkProp.  The constructor defaults
// to: origin(0,0,0) position=(0,0,0) orientation=(0,0,0), no user defined 
// matrix or transform, and no texture map.
//
//To create an instance of class vtkProp3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkProp3D
//@]
//@@Methods
//The class vtkProp3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProp3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProp3D = obj.NewInstance ()|
// \item @|vtkProp3D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of this vtkProp3D.
//// \item @|obj.SetPosition (double _arg1, double _arg2, double _arg3)| -  Set/Get/Add the position of the Prop3D in world coordinates.
//// \item @|obj.SetPosition (double _arg[3])| -  Set/Get/Add the position of the Prop3D in world coordinates.
//// \item @|double = obj. GetPosition ()| -  Set/Get/Add the position of the Prop3D in world coordinates.
//// \item @|obj.AddPosition (double deltaPosition[3])| -  Set/Get/Add the position of the Prop3D in world coordinates.
//// \item @|obj.AddPosition (double deltaX, double deltaY, double deltaZ)| -  Set/Get/Add the position of the Prop3D in world coordinates.
//// \item @|obj.SetOrigin (double _arg1, double _arg2, double _arg3)| -  Set/Get the origin of the Prop3D. This is the point about which all 
// rotations take place.
//// \item @|obj.SetOrigin (double _arg[3])| -  Set/Get the origin of the Prop3D. This is the point about which all 
// rotations take place.
//// \item @|double = obj. GetOrigin ()| -  Set/Get the origin of the Prop3D. This is the point about which all 
// rotations take place.
//// \item @|obj.SetScale (double _arg1, double _arg2, double _arg3)| -  Set/Get the scale of the actor. Scaling in performed independently on the
// X, Y and Z axis. A scale of zero is illegal and will be replaced with one.
//// \item @|obj.SetScale (double _arg[3])| -  Set/Get the scale of the actor. Scaling in performed independently on the
// X, Y and Z axis. A scale of zero is illegal and will be replaced with one.
//// \item @|double = obj. GetScale ()| -  Set/Get the scale of the actor. Scaling in performed independently on the
// X, Y and Z axis. A scale of zero is illegal and will be replaced with one.
//// \item @|obj.SetScale (double s)| -  Method to set the scale isotropically
//// \item @|obj.SetUserTransform (vtkLinearTransform transform)| -  In addition to the instance variables such as position and orientation,
// you can add an additional transformation for your own use.  This
// transformation is concatenated with the actor's internal transformation,
// which you implicitly create through the use of SetPosition(),
// SetOrigin() and SetOrientation().
// <p>If the internal transformation
// is identity (i.e. if you don't set the Position, Origin, or
// Orientation) then the actors final transformation will be the
// UserTransform, concatenated with the UserMatrix if the UserMatrix
// is present.
//// \item @|vtkLinearTransform = obj.GetUserTransform ()| -  In addition to the instance variables such as position and orientation,
// you can add an additional transformation for your own use.  This
// transformation is concatenated with the actor's internal transformation,
// which you implicitly create through the use of SetPosition(),
// SetOrigin() and SetOrientation().
// <p>If the internal transformation
// is identity (i.e. if you don't set the Position, Origin, or
// Orientation) then the actors final transformation will be the
// UserTransform, concatenated with the UserMatrix if the UserMatrix
// is present.
//// \item @|obj.SetUserMatrix (vtkMatrix4x4 matrix)| -  The UserMatrix can be used in place of UserTransform.
//// \item @|vtkMatrix4x4 = obj.GetUserMatrix ()| -  The UserMatrix can be used in place of UserTransform.
//// \item @|obj.GetMatrix (vtkMatrix4x4 m)| -  Return a reference to the Prop3D's 4x4 composite matrix.
// Get the matrix from the position, origin, scale and orientation This
// matrix is cached, so multiple GetMatrix() calls will be efficient.
//// \item @|obj.GetMatrix (double m[16])| -  Return a reference to the Prop3D's 4x4 composite matrix.
// Get the matrix from the position, origin, scale and orientation This
// matrix is cached, so multiple GetMatrix() calls will be efficient.
//// \item @|obj.GetBounds (double bounds[6])| -  Get the bounds for this Prop3D as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).
//// \item @|double = obj.GetBounds ()| -  Get the bounds for this Prop3D as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).
//// \item @|double = obj.GetCenter ()| -  Get the center of the bounding box in world coordinates.
//// \item @|double = obj.GetXRange ()| -  Get the Prop3D's x range in world coordinates.
//// \item @|double = obj.GetYRange ()| -  Get the Prop3D's y range in world coordinates.
//// \item @|double = obj.GetZRange ()| -  Get the Prop3D's z range in world coordinates.
//// \item @|double = obj.GetLength ()| -  Get the length of the diagonal of the bounding box.
//// \item @|obj.RotateX (double )| -  Rotate the Prop3D in degrees about the X axis using the right hand
// rule. The axis is the Prop3D's X axis, which can change as other
// rotations are performed.  To rotate about the world X axis use
// RotateWXYZ (angle, 1, 0, 0). This rotation is applied before all
// others in the current transformation matrix.
//// \item @|obj.RotateY (double )| -  Rotate the Prop3D in degrees about the Y axis using the right hand
// rule. The axis is the Prop3D's Y axis, which can change as other
// rotations are performed.  To rotate about the world Y axis use
// RotateWXYZ (angle, 0, 1, 0). This rotation is applied before all
// others in the current transformation matrix.
//// \item @|obj.RotateZ (double )| -  Rotate the Prop3D in degrees about the Z axis using the right hand
// rule. The axis is the Prop3D's Z axis, which can change as other
// rotations are performed.  To rotate about the world Z axis use
// RotateWXYZ (angle, 0, 0, 1). This rotation is applied before all
// others in the current transformation matrix.
//// \item @|obj.RotateWXYZ (double , double , double , double )| -  Rotate the Prop3D in degrees about an arbitrary axis specified by
// the last three arguments. The axis is specified in world
// coordinates. To rotate an about its model axes, use RotateX,
// RotateY, RotateZ.
//// \item @|obj.SetOrientation (double , double , double )| -  Sets the orientation of the Prop3D.  Orientation is specified as
// X,Y and Z rotations in that order, but they are performed as
// RotateZ, RotateX, and finally RotateY.
//// \item @|obj.SetOrientation (double a[3])| -  Sets the orientation of the Prop3D.  Orientation is specified as
// X,Y and Z rotations in that order, but they are performed as
// RotateZ, RotateX, and finally RotateY.
//// \item @|double = obj.GetOrientation ()| -  Returns the orientation of the Prop3D as s vector of X,Y and Z rotation.
// The ordering in which these rotations must be done to generate the 
// same matrix is RotateZ, RotateX, and finally RotateY. See also 
// SetOrientation.
//// \item @|obj.GetOrientation (double o[3])| -  Returns the orientation of the Prop3D as s vector of X,Y and Z rotation.
// The ordering in which these rotations must be done to generate the 
// same matrix is RotateZ, RotateX, and finally RotateY. See also 
// SetOrientation.
//// \item @|double = obj.GetOrientationWXYZ ()| -  Returns the WXYZ orientation of the Prop3D. 
//// \item @|obj.AddOrientation (double , double , double )| -  Add to the current orientation. See SetOrientation and
// GetOrientation for more details. This basically does a
// GetOrientation, adds the passed in arguments, and then calls
// SetOrientation.
//// \item @|obj.AddOrientation (double a[3])| -  Add to the current orientation. See SetOrientation and
// GetOrientation for more details. This basically does a
// GetOrientation, adds the passed in arguments, and then calls
// SetOrientation.
//// \item @|obj.PokeMatrix (vtkMatrix4x4 matrix)| -  This method modifies the vtkProp3D so that its transformation
// state is set to the matrix specified. The method does this by
// setting appropriate transformation-related ivars to initial
// values (i.e., not transformed), and placing the user-supplied
// matrix into the UserMatrix of this vtkProp3D. If the method is
// called again with a NULL matrix, then the original state of the
// vtkProp3D will be restored. This method is used to support
// picking and assembly structures.
//// \item @|obj.InitPathTraversal ()| -  Overload vtkProp's method for setting up assembly paths. See
// the documentation for vtkProp.
//// \item @|long = obj.GetMTime ()| -  Get the vtkProp3D's mtime 
//// \item @|long = obj.GetUserTransformMatrixMTime ()| -  Get the modified time of the user matrix or user transform.
//// \item @|obj.ComputeMatrix ()| -  Generate the matrix based on ivars
//// \item @|vtkMatrix4x4 = obj.GetMatrix ()| -  Is the matrix for this actor identity
//// \item @|int = obj.GetIsIdentity ()| -  Is the matrix for this actor identity
////\end{itemize}
//!
