#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProp3DCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProp3DCollection.h"

//@@Signature
//sfunction @vtkProp3DCollection:vtkProp3DCollection vtkProp3DCollectionConstructorFunction
//input a
//output p
//@@Parents vtkProp3DCollection vtkPropCollection 
ArrayVector vtkProp3DCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProp3DCollection::New(),"vtkProp3DCollection",eval);
  } else if (arg[0].className() == "vtkProp3DCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProp3DCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProp3DCollection");
    vtkProp3DCollection*q = reinterpret_cast<vtkProp3DCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProp3DCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProp3DCollection:GetClassName vtkProp3DCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProp3DCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProp3DCollection requires 1 argument(s)");
  vtkProp3DCollection* vtk_pointer = GetVTKPointer<vtkProp3DCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProp3DCollection:IsA vtkProp3DCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProp3DCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProp3DCollection requires 2 argument(s)");
  vtkProp3DCollection* vtk_pointer = GetVTKPointer<vtkProp3DCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProp3DCollection:NewInstance vtkProp3DCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProp3DCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp3DCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProp3DCollection requires 1 argument(s)");
  vtkProp3DCollection* vtk_pointer = GetVTKPointer<vtkProp3DCollection>(arg[0]);
  Array retval;
  vtkProp3DCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp3DCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProp3DCollection:SafeDownCast vtkProp3DCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProp3DCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp3DCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProp3DCollection requires 2 argument(s)");
  vtkProp3DCollection* vtk_pointer = GetVTKPointer<vtkProp3DCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProp3DCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp3DCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProp3DCollection:AddItem__1 vtkProp3DCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkProp3DCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkProp3D *p); */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkProp3DCollection requires 2 argument(s)");
  vtkProp3DCollection* vtk_pointer = GetVTKPointer<vtkProp3DCollection>(arg[0]);
  Array retval;
  vtkProp3D  *temp0;
  temp0 = GetVTKPointer<vtkProp3D>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProp3DCollection:GetNextProp3D vtkProp3DCollectionGetNextProp3DFunction
//input a0 
//output y
ArrayVector vtkProp3DCollectionGetNextProp3DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp3D *GetNextProp3D (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextProp3D for class vtkProp3DCollection requires 1 argument(s)");
  vtkProp3DCollection* vtk_pointer = GetVTKPointer<vtkProp3DCollection>(arg[0]);
  Array retval;
  vtkProp3D  *temp20;
  temp20 = (vtk_pointer)->GetNextProp3D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProp3DCollection:GetLastProp3D vtkProp3DCollectionGetLastProp3DFunction
//input a0 
//output y
ArrayVector vtkProp3DCollectionGetLastProp3DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp3D *GetLastProp3D (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastProp3D for class vtkProp3DCollection requires 1 argument(s)");
  vtkProp3DCollection* vtk_pointer = GetVTKPointer<vtkProp3DCollection>(arg[0]);
  Array retval;
  vtkProp3D  *temp20;
  temp20 = (vtk_pointer)->GetLastProp3D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProp3DCollection:AddItem vtkProp3DCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkProp3DCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkProp3D"))
    return vtkProp3DCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProp3DCollectionAddItem");
}

//@@Signature
//sfunction @vtkProp3DCollection:display vtkProp3DCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProp3DCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProp3DCollection* vtk_pointer = GetVTKPointer<vtkProp3DCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProp3DCollection:delete vtkProp3DCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkProp3DCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProp3DCollection
//@@Section VTKRendering
//@@Usage
// vtkProp3DCollection represents and provides methods to manipulate a list of
// 3D props (i.e., vtkProp3D and subclasses). The list is unsorted and 
// duplicate entries are not prevented.
//
//To create an instance of class vtkProp3DCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkProp3DCollection
//@]
//@@Methods
//The class vtkProp3DCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProp3DCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProp3DCollection = obj.NewInstance ()|
// \item @|vtkProp3DCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkProp3D p)| -  Add an actor to the list.
//// \item @|vtkProp3D = obj.GetNextProp3D ()| -  Get the next actor in the list.
//// \item @|vtkProp3D = obj.GetLastProp3D ()| -  Get the last actor in the list.
////\end{itemize}
//!
