#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPropPicker object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPropPicker.h"

//@@Signature
//sfunction @vtkPropPicker:vtkPropPicker vtkPropPickerConstructorFunction
//input a
//output p
//@@Parents vtkPropPicker vtkAbstractPropPicker 
ArrayVector vtkPropPickerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPropPicker::New(),"vtkPropPicker",eval);
  } else if (arg[0].className() == "vtkPropPicker") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPropPicker"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPropPicker");
    vtkPropPicker*q = reinterpret_cast<vtkPropPicker*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPropPicker");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPropPicker:GetClassName vtkPropPickerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPropPickerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPropPicker requires 1 argument(s)");
  vtkPropPicker* vtk_pointer = GetVTKPointer<vtkPropPicker>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropPicker:IsA vtkPropPickerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPropPickerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPropPicker requires 2 argument(s)");
  vtkPropPicker* vtk_pointer = GetVTKPointer<vtkPropPicker>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropPicker:NewInstance vtkPropPickerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPropPickerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPropPicker *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPropPicker requires 1 argument(s)");
  vtkPropPicker* vtk_pointer = GetVTKPointer<vtkPropPicker>(arg[0]);
  Array retval;
  vtkPropPicker  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPropPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPropPicker:SafeDownCast vtkPropPickerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPropPickerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPropPicker *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPropPicker requires 2 argument(s)");
  vtkPropPicker* vtk_pointer = GetVTKPointer<vtkPropPicker>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPropPicker  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPropPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPropPicker:PickProp__1 vtkPropPickerPickProp__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPropPickerPickProp__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int PickProp (double selectionX, double selectionY, vtkRenderer *renderer); */
  if (arg.size() < 4) 
    throw Exception("Function PickProp__1 for class vtkPropPicker requires 4 argument(s)");
  vtkPropPicker* vtk_pointer = GetVTKPointer<vtkPropPicker>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  vtkRenderer  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkRenderer>(arg[3]);
  temp20 = (vtk_pointer)->PickProp(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropPicker:PickProp__2 vtkPropPickerPickProp__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPropPickerPickProp__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int PickProp (double selectionX, double selectionY, vtkRenderer *renderer, vtkPropCollection *pickfrom); */
  if (arg.size() < 5) 
    throw Exception("Function PickProp__2 for class vtkPropPicker requires 5 argument(s)");
  vtkPropPicker* vtk_pointer = GetVTKPointer<vtkPropPicker>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  vtkRenderer  *temp2;
  vtkPropCollection  *temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkRenderer>(arg[3]);
  temp3 = GetVTKPointer<vtkPropCollection>(arg[4]);
  temp20 = (vtk_pointer)->PickProp(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropPicker:Pick__1 vtkPropPickerPick__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPropPickerPick__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer *renderer); */
  if (arg.size() < 5) 
    throw Exception("Function Pick__1 for class vtkPropPicker requires 5 argument(s)");
  vtkPropPicker* vtk_pointer = GetVTKPointer<vtkPropPicker>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkRenderer  *temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkRenderer>(arg[4]);
  temp20 = (vtk_pointer)->Pick(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropPicker:Pick__2 vtkPropPickerPick__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkPropPickerPick__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Pick (double selectionPt[3], vtkRenderer *renderer);return this Pick selectionPt selectionPt selectionPt renderer  */
  if (arg.size() < 3) 
    throw Exception("Function Pick__2 for class vtkPropPicker requires 3 argument(s)");
  vtkPropPicker* vtk_pointer = GetVTKPointer<vtkPropPicker>(arg[0]);
  Array retval;
  double temp0[3];
  vtkRenderer  *temp1;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp1 = GetVTKPointer<vtkRenderer>(arg[4]);
  temp20 = (vtk_pointer)->Pick(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPropPicker:PickProp vtkPropPickerPickPropFunction
//input varargin
//output varargout
ArrayVector vtkPropPickerPickPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkRenderer"))
    return vtkPropPickerPickProp__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkRenderer") && VTKIsClass(arg[4],"vtkPropCollection"))
    return vtkPropPickerPickProp__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPropPickerPickProp");
}

//@@Signature
//sfunction @vtkPropPicker:Pick vtkPropPickerPickFunction
//input varargin
//output varargout
ArrayVector vtkPropPickerPickFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsClass(arg[4],"vtkRenderer"))
    return vtkPropPickerPick__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsClass(arg[2],"vtkRenderer"))
    return vtkPropPickerPick__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPropPickerPick");
}

//@@Signature
//sfunction @vtkPropPicker:display vtkPropPickerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPropPickerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPropPicker* vtk_pointer = GetVTKPointer<vtkPropPicker>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPropPicker:delete vtkPropPickerDeleteFunction
//input varargin
//output none
ArrayVector vtkPropPickerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPropPicker
//@@Section VTKRendering
//@@Usage
// vtkPropPicker is used to pick an actor/prop given a selection
// point (in display coordinates) and a renderer. This class uses
// graphics hardware/rendering system to pick rapidly (as compared
// to using ray casting as does vtkCellPicker and vtkPointPicker).
// This class determines the actor/prop and pick position in world
// coordinates; point and cell ids are not determined.
//
//To create an instance of class vtkPropPicker, simply
//invoke its constructor as follows
//@[
//  obj = vtkPropPicker
//@]
//@@Methods
//The class vtkPropPicker has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPropPicker class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPropPicker = obj.NewInstance ()|
// \item @|vtkPropPicker = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.PickProp (double selectionX, double selectionY, vtkRenderer renderer)| -  Perform the pick and set the PickedProp ivar. If something is picked, a
// 1 is returned, otherwise 0 is returned.  Use the GetViewProp() method
// to get the instance of vtkProp that was picked.  Props are picked from
// the renderers list of pickable Props.
//// \item @|int = obj.PickProp (double selectionX, double selectionY, vtkRenderer renderer, vtkPropCollection pickfrom)| -  Perform a pick from the user-provided list of vtkProps and not from the
// list of vtkProps that the render maintains.
//// \item @|int = obj.Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer renderer)| -  Overide superclasses' Pick() method.
//// \item @|int = obj.Pick (double selectionPt[3], vtkRenderer renderer)| -  Overide superclasses' Pick() method.
////\end{itemize}
//!
