#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProperty object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProperty.h"

//@@Signature
//sfunction @vtkProperty:vtkProperty vtkPropertyConstructorFunction
//input a
//output p
//@@Parents vtkProperty vtkObject 
ArrayVector vtkPropertyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProperty::New(),"vtkProperty",eval);
  } else if (arg[0].className() == "vtkProperty") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProperty"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProperty");
    vtkProperty*q = reinterpret_cast<vtkProperty*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProperty");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProperty:GetClassName vtkPropertyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPropertyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:IsA vtkPropertyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPropertyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:NewInstance vtkPropertyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPropertyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SafeDownCast vtkPropertySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPropertySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProperty  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:DeepCopy vtkPropertyDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPropertyDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:Render vtkPropertyRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPropertyRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkActor *, vtkRenderer *); */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkProperty requires 3 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = GetVTKPointer<vtkActor>(arg[1]);
  temp1 = GetVTKPointer<vtkRenderer>(arg[2]);
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:BackfaceRender vtkPropertyBackfaceRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPropertyBackfaceRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BackfaceRender (vtkActor *, vtkRenderer *); */
  if (arg.size() < 3) 
    throw Exception("Function BackfaceRender for class vtkProperty requires 3 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = GetVTKPointer<vtkActor>(arg[1]);
  temp1 = GetVTKPointer<vtkRenderer>(arg[2]);
  vtk_pointer->BackfaceRender(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetLighting vtkPropertyGetLightingFunction
//input a0 
//output y
ArrayVector vtkPropertyGetLightingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetLighting (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLighting for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetLighting();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetLighting vtkPropertySetLightingFunction
//input a0 a1 
//output none
ArrayVector vtkPropertySetLightingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLighting (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLighting for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetLighting(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:LightingOn vtkPropertyLightingOnFunction
//input a0 
//output none
ArrayVector vtkPropertyLightingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LightingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LightingOn for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtk_pointer->LightingOn();
  return retval;
}

//@@Signature
//sfunction @vtkProperty:LightingOff vtkPropertyLightingOffFunction
//input a0 
//output none
ArrayVector vtkPropertyLightingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LightingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LightingOff for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtk_pointer->LightingOff();
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetInterpolation vtkPropertySetInterpolationFunction
//input a0 a1 
//output none
ArrayVector vtkPropertySetInterpolationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInterpolation for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInterpolation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetInterpolationMinValue vtkPropertyGetInterpolationMinValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetInterpolationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationMinValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetInterpolationMaxValue vtkPropertyGetInterpolationMaxValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetInterpolationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationMaxValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetInterpolation vtkPropertyGetInterpolationFunction
//input a0 
//output y
ArrayVector vtkPropertyGetInterpolationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolation for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetInterpolationToFlat vtkPropertySetInterpolationToFlatFunction
//input a0 
//output none
ArrayVector vtkPropertySetInterpolationToFlatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationToFlat ();this SetInterpolation VTK_FLAT  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationToFlat for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationToFlat();
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetInterpolationToGouraud vtkPropertySetInterpolationToGouraudFunction
//input a0 
//output none
ArrayVector vtkPropertySetInterpolationToGouraudFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationToGouraud ();this SetInterpolation VTK_GOURAUD  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationToGouraud for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationToGouraud();
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetInterpolationToPhong vtkPropertySetInterpolationToPhongFunction
//input a0 
//output none
ArrayVector vtkPropertySetInterpolationToPhongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationToPhong ();this SetInterpolation VTK_PHONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationToPhong for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationToPhong();
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetInterpolationAsString vtkPropertyGetInterpolationAsStringFunction
//input a0 
//output y
ArrayVector vtkPropertyGetInterpolationAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetInterpolationAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationAsString for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetInterpolationAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetRepresentation vtkPropertySetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkPropertySetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetRepresentationMinValue vtkPropertyGetRepresentationMinValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetRepresentationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepresentationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepresentationMinValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepresentationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetRepresentationMaxValue vtkPropertyGetRepresentationMaxValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetRepresentationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepresentationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepresentationMaxValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepresentationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetRepresentation vtkPropertyGetRepresentationFunction
//input a0 
//output y
ArrayVector vtkPropertyGetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepresentation for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepresentation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetRepresentationToPoints vtkPropertySetRepresentationToPointsFunction
//input a0 
//output none
ArrayVector vtkPropertySetRepresentationToPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentationToPoints ();this SetRepresentation VTK_POINTS  */
  if (arg.size() < 1) 
    throw Exception("Function SetRepresentationToPoints for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtk_pointer->SetRepresentationToPoints();
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetRepresentationToWireframe vtkPropertySetRepresentationToWireframeFunction
//input a0 
//output none
ArrayVector vtkPropertySetRepresentationToWireframeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentationToWireframe ();this SetRepresentation VTK_WIREFRAME  */
  if (arg.size() < 1) 
    throw Exception("Function SetRepresentationToWireframe for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtk_pointer->SetRepresentationToWireframe();
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetRepresentationToSurface vtkPropertySetRepresentationToSurfaceFunction
//input a0 
//output none
ArrayVector vtkPropertySetRepresentationToSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentationToSurface ();this SetRepresentation VTK_SURFACE  */
  if (arg.size() < 1) 
    throw Exception("Function SetRepresentationToSurface for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtk_pointer->SetRepresentationToSurface();
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetRepresentationAsString vtkPropertyGetRepresentationAsStringFunction
//input a0 
//output y
ArrayVector vtkPropertyGetRepresentationAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetRepresentationAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepresentationAsString for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetRepresentationAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetColor__1 vtkPropertySetColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPropertySetColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (double r, double g, double b); */
  if (arg.size() < 4) 
    throw Exception("Function SetColor__1 for class vtkProperty requires 4 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetColor__2 vtkPropertySetColor__2Function
//input a0 a1 
//output none
ArrayVector vtkPropertySetColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (double a[3]);this SetColor a a a  */
  if (arg.size() < 2) 
    throw Exception("Function SetColor__2 for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetColor__1 vtkPropertyGetColor__1Function
//input a0 
//output y
ArrayVector vtkPropertyGetColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColor__1 for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetColor__2 vtkPropertyGetColor__2Function
//input a0 a1 
//output none
ArrayVector vtkPropertyGetColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetColor (double rgb[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetColor__2 for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetAmbient vtkPropertySetAmbientFunction
//input a0 a1 
//output none
ArrayVector vtkPropertySetAmbientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAmbient (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAmbient for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAmbient(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetAmbientMinValue vtkPropertyGetAmbientMinValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetAmbientMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAmbientMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAmbientMinValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAmbientMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetAmbientMaxValue vtkPropertyGetAmbientMaxValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetAmbientMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAmbientMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAmbientMaxValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAmbientMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetAmbient vtkPropertyGetAmbientFunction
//input a0 
//output y
ArrayVector vtkPropertyGetAmbientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAmbient (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAmbient for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAmbient();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetDiffuse vtkPropertySetDiffuseFunction
//input a0 a1 
//output none
ArrayVector vtkPropertySetDiffuseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiffuse (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDiffuse for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDiffuse(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetDiffuseMinValue vtkPropertyGetDiffuseMinValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetDiffuseMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDiffuseMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiffuseMinValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDiffuseMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetDiffuseMaxValue vtkPropertyGetDiffuseMaxValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetDiffuseMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDiffuseMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiffuseMaxValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDiffuseMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetDiffuse vtkPropertyGetDiffuseFunction
//input a0 
//output y
ArrayVector vtkPropertyGetDiffuseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDiffuse (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiffuse for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDiffuse();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetSpecular vtkPropertySetSpecularFunction
//input a0 a1 
//output none
ArrayVector vtkPropertySetSpecularFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpecular (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpecular for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSpecular(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetSpecularMinValue vtkPropertyGetSpecularMinValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetSpecularMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSpecularMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpecularMinValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSpecularMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetSpecularMaxValue vtkPropertyGetSpecularMaxValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetSpecularMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSpecularMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpecularMaxValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSpecularMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetSpecular vtkPropertyGetSpecularFunction
//input a0 
//output y
ArrayVector vtkPropertyGetSpecularFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSpecular (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpecular for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSpecular();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetSpecularPower vtkPropertySetSpecularPowerFunction
//input a0 a1 
//output none
ArrayVector vtkPropertySetSpecularPowerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpecularPower (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpecularPower for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSpecularPower(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetSpecularPowerMinValue vtkPropertyGetSpecularPowerMinValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetSpecularPowerMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSpecularPowerMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpecularPowerMinValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSpecularPowerMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetSpecularPowerMaxValue vtkPropertyGetSpecularPowerMaxValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetSpecularPowerMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSpecularPowerMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpecularPowerMaxValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSpecularPowerMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetSpecularPower vtkPropertyGetSpecularPowerFunction
//input a0 
//output y
ArrayVector vtkPropertyGetSpecularPowerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSpecularPower (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpecularPower for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSpecularPower();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetOpacity vtkPropertySetOpacityFunction
//input a0 a1 
//output none
ArrayVector vtkPropertySetOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOpacity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOpacity for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetOpacityMinValue vtkPropertyGetOpacityMinValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetOpacityMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOpacityMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOpacityMinValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOpacityMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetOpacityMaxValue vtkPropertyGetOpacityMaxValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetOpacityMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOpacityMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOpacityMaxValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOpacityMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetOpacity vtkPropertyGetOpacityFunction
//input a0 
//output y
ArrayVector vtkPropertyGetOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOpacity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOpacity for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetAmbientColor__1 vtkPropertySetAmbientColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPropertySetAmbientColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAmbientColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetAmbientColor__1 for class vtkProperty requires 4 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetAmbientColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetAmbientColor__2 vtkPropertySetAmbientColor__2Function
//input a0 a1 
//output none
ArrayVector vtkPropertySetAmbientColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAmbientColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetAmbientColor__2 for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetAmbientColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetAmbientColor vtkPropertyGetAmbientColorFunction
//input a0 
//output y
ArrayVector vtkPropertyGetAmbientColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetAmbientColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAmbientColor for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetAmbientColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetDiffuseColor__1 vtkPropertySetDiffuseColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPropertySetDiffuseColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiffuseColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDiffuseColor__1 for class vtkProperty requires 4 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDiffuseColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetDiffuseColor__2 vtkPropertySetDiffuseColor__2Function
//input a0 a1 
//output none
ArrayVector vtkPropertySetDiffuseColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiffuseColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDiffuseColor__2 for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDiffuseColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetDiffuseColor vtkPropertyGetDiffuseColorFunction
//input a0 
//output y
ArrayVector vtkPropertyGetDiffuseColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDiffuseColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiffuseColor for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDiffuseColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetSpecularColor__1 vtkPropertySetSpecularColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPropertySetSpecularColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpecularColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetSpecularColor__1 for class vtkProperty requires 4 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetSpecularColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetSpecularColor__2 vtkPropertySetSpecularColor__2Function
//input a0 a1 
//output none
ArrayVector vtkPropertySetSpecularColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpecularColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpecularColor__2 for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSpecularColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetSpecularColor vtkPropertyGetSpecularColorFunction
//input a0 
//output y
ArrayVector vtkPropertyGetSpecularColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSpecularColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpecularColor for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSpecularColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetEdgeVisibility vtkPropertyGetEdgeVisibilityFunction
//input a0 
//output y
ArrayVector vtkPropertyGetEdgeVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEdgeVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeVisibility for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEdgeVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetEdgeVisibility vtkPropertySetEdgeVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkPropertySetEdgeVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeVisibility for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEdgeVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:EdgeVisibilityOn vtkPropertyEdgeVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkPropertyEdgeVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeVisibilityOn for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtk_pointer->EdgeVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkProperty:EdgeVisibilityOff vtkPropertyEdgeVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkPropertyEdgeVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeVisibilityOff for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtk_pointer->EdgeVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetEdgeColor__1 vtkPropertySetEdgeColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPropertySetEdgeColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetEdgeColor__1 for class vtkProperty requires 4 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetEdgeColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetEdgeColor__2 vtkPropertySetEdgeColor__2Function
//input a0 a1 
//output none
ArrayVector vtkPropertySetEdgeColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeColor__2 for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetEdgeColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetEdgeColor vtkPropertyGetEdgeColorFunction
//input a0 
//output y
ArrayVector vtkPropertyGetEdgeColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetEdgeColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeColor for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetEdgeColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetLineWidth vtkPropertySetLineWidthFunction
//input a0 a1 
//output none
ArrayVector vtkPropertySetLineWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineWidth (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLineWidth for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLineWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetLineWidthMinValue vtkPropertyGetLineWidthMinValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetLineWidthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetLineWidthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineWidthMinValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetLineWidthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetLineWidthMaxValue vtkPropertyGetLineWidthMaxValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetLineWidthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetLineWidthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineWidthMaxValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetLineWidthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetLineWidth vtkPropertyGetLineWidthFunction
//input a0 
//output y
ArrayVector vtkPropertyGetLineWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetLineWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineWidth for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetLineWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetLineStipplePattern vtkPropertySetLineStipplePatternFunction
//input a0 a1 
//output none
ArrayVector vtkPropertySetLineStipplePatternFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineStipplePattern (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLineStipplePattern for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLineStipplePattern(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetLineStipplePattern vtkPropertyGetLineStipplePatternFunction
//input a0 
//output y
ArrayVector vtkPropertyGetLineStipplePatternFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLineStipplePattern (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineStipplePattern for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLineStipplePattern();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetLineStippleRepeatFactor vtkPropertySetLineStippleRepeatFactorFunction
//input a0 a1 
//output none
ArrayVector vtkPropertySetLineStippleRepeatFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineStippleRepeatFactor (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLineStippleRepeatFactor for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLineStippleRepeatFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetLineStippleRepeatFactorMinValue vtkPropertyGetLineStippleRepeatFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetLineStippleRepeatFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLineStippleRepeatFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineStippleRepeatFactorMinValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLineStippleRepeatFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetLineStippleRepeatFactorMaxValue vtkPropertyGetLineStippleRepeatFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetLineStippleRepeatFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLineStippleRepeatFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineStippleRepeatFactorMaxValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLineStippleRepeatFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetLineStippleRepeatFactor vtkPropertyGetLineStippleRepeatFactorFunction
//input a0 
//output y
ArrayVector vtkPropertyGetLineStippleRepeatFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLineStippleRepeatFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineStippleRepeatFactor for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLineStippleRepeatFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetPointSize vtkPropertySetPointSizeFunction
//input a0 a1 
//output none
ArrayVector vtkPropertySetPointSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointSize (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointSize for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPointSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetPointSizeMinValue vtkPropertyGetPointSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetPointSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetPointSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointSizeMinValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetPointSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetPointSizeMaxValue vtkPropertyGetPointSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkPropertyGetPointSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetPointSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointSizeMaxValue for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetPointSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetPointSize vtkPropertyGetPointSizeFunction
//input a0 
//output y
ArrayVector vtkPropertyGetPointSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetPointSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointSize for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetPointSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetBackfaceCulling vtkPropertyGetBackfaceCullingFunction
//input a0 
//output y
ArrayVector vtkPropertyGetBackfaceCullingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBackfaceCulling (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackfaceCulling for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBackfaceCulling();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetBackfaceCulling vtkPropertySetBackfaceCullingFunction
//input a0 a1 
//output none
ArrayVector vtkPropertySetBackfaceCullingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackfaceCulling (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBackfaceCulling for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBackfaceCulling(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:BackfaceCullingOn vtkPropertyBackfaceCullingOnFunction
//input a0 
//output none
ArrayVector vtkPropertyBackfaceCullingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BackfaceCullingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BackfaceCullingOn for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtk_pointer->BackfaceCullingOn();
  return retval;
}

//@@Signature
//sfunction @vtkProperty:BackfaceCullingOff vtkPropertyBackfaceCullingOffFunction
//input a0 
//output none
ArrayVector vtkPropertyBackfaceCullingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BackfaceCullingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BackfaceCullingOff for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtk_pointer->BackfaceCullingOff();
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetFrontfaceCulling vtkPropertyGetFrontfaceCullingFunction
//input a0 
//output y
ArrayVector vtkPropertyGetFrontfaceCullingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFrontfaceCulling (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFrontfaceCulling for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFrontfaceCulling();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetFrontfaceCulling vtkPropertySetFrontfaceCullingFunction
//input a0 a1 
//output none
ArrayVector vtkPropertySetFrontfaceCullingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFrontfaceCulling (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFrontfaceCulling for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFrontfaceCulling(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:FrontfaceCullingOn vtkPropertyFrontfaceCullingOnFunction
//input a0 
//output none
ArrayVector vtkPropertyFrontfaceCullingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FrontfaceCullingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FrontfaceCullingOn for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtk_pointer->FrontfaceCullingOn();
  return retval;
}

//@@Signature
//sfunction @vtkProperty:FrontfaceCullingOff vtkPropertyFrontfaceCullingOffFunction
//input a0 
//output none
ArrayVector vtkPropertyFrontfaceCullingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FrontfaceCullingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FrontfaceCullingOff for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtk_pointer->FrontfaceCullingOff();
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetMaterial vtkPropertyGetMaterialFunction
//input a0 
//output y
ArrayVector vtkPropertyGetMaterialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLMaterial *GetMaterial (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaterial for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtkXMLMaterial  *temp20;
  temp20 = (vtk_pointer)->GetMaterial();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLMaterial",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetMaterialName vtkPropertyGetMaterialNameFunction
//input a0 
//output y
ArrayVector vtkPropertyGetMaterialNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetMaterialName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaterialName for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetMaterialName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:LoadMaterial__1 vtkPropertyLoadMaterial__1Function
//input a0 a1 
//output none
ArrayVector vtkPropertyLoadMaterial__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LoadMaterial (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function LoadMaterial__1 for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->LoadMaterial(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:LoadMaterialFromString vtkPropertyLoadMaterialFromStringFunction
//input a0 a1 
//output none
ArrayVector vtkPropertyLoadMaterialFromStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LoadMaterialFromString (const char *materialxml); */
  if (arg.size() < 2) 
    throw Exception("Function LoadMaterialFromString for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->LoadMaterialFromString(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:LoadMaterial__2 vtkPropertyLoadMaterial__2Function
//input a0 a1 
//output none
ArrayVector vtkPropertyLoadMaterial__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LoadMaterial (vtkXMLMaterial *); */
  if (arg.size() < 2) 
    throw Exception("Function LoadMaterial__2 for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtkXMLMaterial  *temp0;
  temp0 = GetVTKPointer<vtkXMLMaterial>(arg[1]);
  vtk_pointer->LoadMaterial(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetShading vtkPropertySetShadingFunction
//input a0 a1 
//output none
ArrayVector vtkPropertySetShadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShading (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShading for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShading(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetShading vtkPropertyGetShadingFunction
//input a0 
//output y
ArrayVector vtkPropertyGetShadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShading (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShading for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShading();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:ShadingOn vtkPropertyShadingOnFunction
//input a0 
//output none
ArrayVector vtkPropertyShadingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShadingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ShadingOn for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtk_pointer->ShadingOn();
  return retval;
}

//@@Signature
//sfunction @vtkProperty:ShadingOff vtkPropertyShadingOffFunction
//input a0 
//output none
ArrayVector vtkPropertyShadingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShadingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ShadingOff for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtk_pointer->ShadingOff();
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetShaderProgram vtkPropertyGetShaderProgramFunction
//input a0 
//output y
ArrayVector vtkPropertyGetShaderProgramFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShaderProgram *GetShaderProgram (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShaderProgram for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtkShaderProgram  *temp20;
  temp20 = (vtk_pointer)->GetShaderProgram();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShaderProgram",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:AddShaderVariable__1 vtkPropertyAddShaderVariable__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPropertyAddShaderVariable__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddShaderVariable (const char *name, int numVars, int *x); */
  if (arg.size() < 4) 
    throw Exception("Function AddShaderVariable__1 for class vtkProperty requires 4 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int     *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:AddShaderVariable__2 vtkPropertyAddShaderVariable__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPropertyAddShaderVariable__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddShaderVariable (const char *name, int numVars, float *x); */
  if (arg.size() < 4) 
    throw Exception("Function AddShaderVariable__2 for class vtkProperty requires 4 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  float   *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new float[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
      }
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:AddShaderVariable__3 vtkPropertyAddShaderVariable__3Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPropertyAddShaderVariable__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddShaderVariable (const char *name, int numVars, double *x); */
  if (arg.size() < 4) 
    throw Exception("Function AddShaderVariable__3 for class vtkProperty requires 4 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  double  *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:AddShaderVariable__4 vtkPropertyAddShaderVariable__4Function
//input a0 a1 a2 
//output none
ArrayVector vtkPropertyAddShaderVariable__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddShaderVariable (const char *name, int v);this AddShaderVariable name v  */
  if (arg.size() < 3) 
    throw Exception("Function AddShaderVariable__4 for class vtkProperty requires 3 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->AddShaderVariable(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:AddShaderVariable__5 vtkPropertyAddShaderVariable__5Function
//input a0 a1 a2 
//output none
ArrayVector vtkPropertyAddShaderVariable__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddShaderVariable (const char *name, float v);this AddShaderVariable name v  */
  if (arg.size() < 3) 
    throw Exception("Function AddShaderVariable__5 for class vtkProperty requires 3 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  float    temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->AddShaderVariable(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:AddShaderVariable__6 vtkPropertyAddShaderVariable__6Function
//input a0 a1 a2 
//output none
ArrayVector vtkPropertyAddShaderVariable__6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddShaderVariable (const char *name, double v);this AddShaderVariable name v  */
  if (arg.size() < 3) 
    throw Exception("Function AddShaderVariable__6 for class vtkProperty requires 3 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  double   temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->AddShaderVariable(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:AddShaderVariable__7 vtkPropertyAddShaderVariable__7Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPropertyAddShaderVariable__7Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddShaderVariable (const char *name, int v1, int v2);int v v v1 v v2 this AddShaderVariable name v  */
  if (arg.size() < 4) 
    throw Exception("Function AddShaderVariable__7 for class vtkProperty requires 4 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:AddShaderVariable__8 vtkPropertyAddShaderVariable__8Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPropertyAddShaderVariable__8Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddShaderVariable (const char *name, float v1, float v2);float v v v1 v v2 this AddShaderVariable name v  */
  if (arg.size() < 4) 
    throw Exception("Function AddShaderVariable__8 for class vtkProperty requires 4 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  float    temp1;
  float    temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:AddShaderVariable__9 vtkPropertyAddShaderVariable__9Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPropertyAddShaderVariable__9Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddShaderVariable (const char *name, double v1, double v2);double v v v1 v v2 this AddShaderVariable name v  */
  if (arg.size() < 4) 
    throw Exception("Function AddShaderVariable__9 for class vtkProperty requires 4 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  double   temp1;
  double   temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:AddShaderVariable__10 vtkPropertyAddShaderVariable__10Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPropertyAddShaderVariable__10Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddShaderVariable (const char *name, int v1, int v2, int v3);int v v v1 v v2 v v3 this AddShaderVariable name v  */
  if (arg.size() < 5) 
    throw Exception("Function AddShaderVariable__10 for class vtkProperty requires 5 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:AddShaderVariable__11 vtkPropertyAddShaderVariable__11Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPropertyAddShaderVariable__11Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddShaderVariable (const char *name, float v1, float v2, float v3);float v v v1 v v2 v v3 this AddShaderVariable name v  */
  if (arg.size() < 5) 
    throw Exception("Function AddShaderVariable__11 for class vtkProperty requires 5 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:AddShaderVariable__12 vtkPropertyAddShaderVariable__12Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPropertyAddShaderVariable__12Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddShaderVariable (const char *name, double v1, double v2, double v3);double v v v1 v v2 v v3 this AddShaderVariable name v  */
  if (arg.size() < 5) 
    throw Exception("Function AddShaderVariable__12 for class vtkProperty requires 5 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetTexture__1 vtkPropertySetTexture__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkPropertySetTexture__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTexture (const char *name, vtkTexture *texture); */
  if (arg.size() < 3) 
    throw Exception("Function SetTexture__1 for class vtkProperty requires 3 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  vtkTexture  *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp1 = GetVTKPointer<vtkTexture>(arg[2]);
  vtk_pointer->SetTexture(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetTexture__1 vtkPropertyGetTexture__1Function
//input a0 a1 
//output y
ArrayVector vtkPropertyGetTexture__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTexture *GetTexture (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetTexture__1 for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  vtkTexture  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetTexture(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetTexture__2 vtkPropertySetTexture__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPropertySetTexture__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTexture (int unit, vtkTexture *texture); */
  if (arg.size() < 3) 
    throw Exception("Function SetTexture__2 for class vtkProperty requires 3 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp0;
  vtkTexture  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkTexture>(arg[2]);
  vtk_pointer->SetTexture(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetTexture__2 vtkPropertyGetTexture__2Function
//input a0 a1 
//output y
ArrayVector vtkPropertyGetTexture__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTexture *GetTexture (int unit); */
  if (arg.size() < 2) 
    throw Exception("Function GetTexture__2 for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp0;
  vtkTexture  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTexture(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:RemoveTexture__1 vtkPropertyRemoveTexture__1Function
//input a0 a1 
//output none
ArrayVector vtkPropertyRemoveTexture__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveTexture (int unit); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveTexture__1 for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveTexture(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:RemoveTexture__2 vtkPropertyRemoveTexture__2Function
//input a0 a1 
//output none
ArrayVector vtkPropertyRemoveTexture__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveTexture (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveTexture__2 for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->RemoveTexture(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:RemoveAllTextures vtkPropertyRemoveAllTexturesFunction
//input a0 
//output none
ArrayVector vtkPropertyRemoveAllTexturesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllTextures (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllTextures for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllTextures();
  return retval;
}

//@@Signature
//sfunction @vtkProperty:GetNumberOfTextures vtkPropertyGetNumberOfTexturesFunction
//input a0 
//output y
ArrayVector vtkPropertyGetNumberOfTexturesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTextures (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTextures for class vtkProperty requires 1 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTextures();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProperty:ReleaseGraphicsResources vtkPropertyReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkPropertyReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *win); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkProperty requires 2 argument(s)");
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProperty:SetColor vtkPropertySetColorFunction
//input varargin
//output varargout
ArrayVector vtkPropertySetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPropertySetColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPropertySetColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPropertySetColor");
}

//@@Signature
//sfunction @vtkProperty:GetColor vtkPropertyGetColorFunction
//input varargin
//output varargout
ArrayVector vtkPropertyGetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPropertyGetColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPropertyGetColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPropertyGetColor");
}

//@@Signature
//sfunction @vtkProperty:SetAmbientColor vtkPropertySetAmbientColorFunction
//input varargin
//output varargout
ArrayVector vtkPropertySetAmbientColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPropertySetAmbientColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPropertySetAmbientColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPropertySetAmbientColor");
}

//@@Signature
//sfunction @vtkProperty:SetDiffuseColor vtkPropertySetDiffuseColorFunction
//input varargin
//output varargout
ArrayVector vtkPropertySetDiffuseColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPropertySetDiffuseColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPropertySetDiffuseColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPropertySetDiffuseColor");
}

//@@Signature
//sfunction @vtkProperty:SetSpecularColor vtkPropertySetSpecularColorFunction
//input varargin
//output varargout
ArrayVector vtkPropertySetSpecularColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPropertySetSpecularColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPropertySetSpecularColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPropertySetSpecularColor");
}

//@@Signature
//sfunction @vtkProperty:SetEdgeColor vtkPropertySetEdgeColorFunction
//input varargin
//output varargout
ArrayVector vtkPropertySetEdgeColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPropertySetEdgeColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPropertySetEdgeColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPropertySetEdgeColor");
}

//@@Signature
//sfunction @vtkProperty:LoadMaterial vtkPropertyLoadMaterialFunction
//input varargin
//output varargout
ArrayVector vtkPropertyLoadMaterialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkPropertyLoadMaterial__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkXMLMaterial"))
    return vtkPropertyLoadMaterial__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPropertyLoadMaterial");
}

//@@Signature
//sfunction @vtkProperty:AddShaderVariable vtkPropertyAddShaderVariableFunction
//input varargin
//output varargout
ArrayVector vtkPropertyAddShaderVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkPropertyAddShaderVariable__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkPropertyAddShaderVariable__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkPropertyAddShaderVariable__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkPropertyAddShaderVariable__4Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkPropertyAddShaderVariable__5Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkPropertyAddShaderVariable__6Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPropertyAddShaderVariable__7Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPropertyAddShaderVariable__8Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPropertyAddShaderVariable__9Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkPropertyAddShaderVariable__10Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkPropertyAddShaderVariable__11Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkPropertyAddShaderVariable__12Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPropertyAddShaderVariable");
}

//@@Signature
//sfunction @vtkProperty:SetTexture vtkPropertySetTextureFunction
//input varargin
//output varargout
ArrayVector vtkPropertySetTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[2],"vtkTexture"))
    return vtkPropertySetTexture__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkTexture"))
    return vtkPropertySetTexture__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPropertySetTexture");
}

//@@Signature
//sfunction @vtkProperty:GetTexture vtkPropertyGetTextureFunction
//input varargin
//output varargout
ArrayVector vtkPropertyGetTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkPropertyGetTexture__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPropertyGetTexture__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPropertyGetTexture");
}

//@@Signature
//sfunction @vtkProperty:RemoveTexture vtkPropertyRemoveTextureFunction
//input varargin
//output varargout
ArrayVector vtkPropertyRemoveTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPropertyRemoveTexture__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkPropertyRemoveTexture__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPropertyRemoveTexture");
}

//@@Signature
//sfunction @vtkProperty:display vtkPropertyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPropertyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProperty* vtk_pointer = GetVTKPointer<vtkProperty>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProperty:delete vtkPropertyDeleteFunction
//input varargin
//output none
ArrayVector vtkPropertyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProperty
//@@Section VTKRendering
//@@Usage
// vtkProperty is an object that represents lighting and other surface
// properties of a geometric object. The primary properties that can be 
// set are colors (overall, ambient, diffuse, specular, and edge color);
// specular power; opacity of the object; the representation of the
// object (points, wireframe, or surface); and the shading method to be 
// used (flat, Gouraud, and Phong). Also, some special graphics features
// like backface properties can be set and manipulated with this object.
//
//To create an instance of class vtkProperty, simply
//invoke its constructor as follows
//@[
//  obj = vtkProperty
//@]
//@@Methods
//The class vtkProperty has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProperty class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProperty = obj.NewInstance ()|
// \item @|vtkProperty = obj.SafeDownCast (vtkObject o)|
// \item @|obj.DeepCopy (vtkProperty p)| -  Assign one property to another. 
//// \item @|obj.Render (vtkActor , vtkRenderer )| -  This method causes the property to set up whatever is required for
// its instance variables. This is actually handled by a subclass of
// vtkProperty, which is created automatically. This
// method includes the invoking actor as an argument which can
// be used by property devices that require the actor.
//// \item @|obj.BackfaceRender (vtkActor , vtkRenderer )| -  This method renders the property as a backface property. TwoSidedLighting
// must be turned off to see any backface properties. Note that only
// colors and opacity are used for backface properties. Other properties
// such as Representation, Culling are specified by the Property.
//// \item @|bool = obj.GetLighting ()| -  Set/Get lighting flag for an object. Initial value is true.
//// \item @|obj.SetLighting (bool )| -  Set/Get lighting flag for an object. Initial value is true.
//// \item @|obj.LightingOn ()| -  Set/Get lighting flag for an object. Initial value is true.
//// \item @|obj.LightingOff ()| -  Set/Get lighting flag for an object. Initial value is true.
//// \item @|obj.SetInterpolation (int )| -  Set the shading interpolation method for an object.
//// \item @|int = obj.GetInterpolationMinValue ()| -  Set the shading interpolation method for an object.
//// \item @|int = obj.GetInterpolationMaxValue ()| -  Set the shading interpolation method for an object.
//// \item @|int = obj.GetInterpolation ()| -  Set the shading interpolation method for an object.
//// \item @|obj.SetInterpolationToFlat ()| -  Set the shading interpolation method for an object.
//// \item @|obj.SetInterpolationToGouraud ()| -  Set the shading interpolation method for an object.
//// \item @|obj.SetInterpolationToPhong ()| -  Set the shading interpolation method for an object.
//// \item @|string = obj.GetInterpolationAsString ()| -  Set the shading interpolation method for an object.
//// \item @|obj.SetRepresentation (int )| -  Control the surface geometry representation for the object.
//// \item @|int = obj.GetRepresentationMinValue ()| -  Control the surface geometry representation for the object.
//// \item @|int = obj.GetRepresentationMaxValue ()| -  Control the surface geometry representation for the object.
//// \item @|int = obj.GetRepresentation ()| -  Control the surface geometry representation for the object.
//// \item @|obj.SetRepresentationToPoints ()| -  Control the surface geometry representation for the object.
//// \item @|obj.SetRepresentationToWireframe ()| -  Control the surface geometry representation for the object.
//// \item @|obj.SetRepresentationToSurface ()| -  Control the surface geometry representation for the object.
//// \item @|string = obj.GetRepresentationAsString ()| -  Control the surface geometry representation for the object.
//// \item @|obj.SetColor (double r, double g, double b)| -  Set the color of the object. Has the side effect of setting the
// ambient diffuse and specular colors as well. This is basically
// a quick overall color setting method.
//// \item @|obj.SetColor (double a[3])| -  Set the color of the object. Has the side effect of setting the
// ambient diffuse and specular colors as well. This is basically
// a quick overall color setting method.
//// \item @|double = obj.GetColor ()| -  Set the color of the object. Has the side effect of setting the
// ambient diffuse and specular colors as well. This is basically
// a quick overall color setting method.
//// \item @|obj.GetColor (double rgb[3])| -  Set the color of the object. Has the side effect of setting the
// ambient diffuse and specular colors as well. This is basically
// a quick overall color setting method.
//// \item @|obj.SetAmbient (double )| -  Set/Get the ambient lighting coefficient.
//// \item @|double = obj.GetAmbientMinValue ()| -  Set/Get the ambient lighting coefficient.
//// \item @|double = obj.GetAmbientMaxValue ()| -  Set/Get the ambient lighting coefficient.
//// \item @|double = obj.GetAmbient ()| -  Set/Get the ambient lighting coefficient.
//// \item @|obj.SetDiffuse (double )| -  Set/Get the diffuse lighting coefficient.
//// \item @|double = obj.GetDiffuseMinValue ()| -  Set/Get the diffuse lighting coefficient.
//// \item @|double = obj.GetDiffuseMaxValue ()| -  Set/Get the diffuse lighting coefficient.
//// \item @|double = obj.GetDiffuse ()| -  Set/Get the diffuse lighting coefficient.
//// \item @|obj.SetSpecular (double )| -  Set/Get the specular lighting coefficient.
//// \item @|double = obj.GetSpecularMinValue ()| -  Set/Get the specular lighting coefficient.
//// \item @|double = obj.GetSpecularMaxValue ()| -  Set/Get the specular lighting coefficient.
//// \item @|double = obj.GetSpecular ()| -  Set/Get the specular lighting coefficient.
//// \item @|obj.SetSpecularPower (double )| -  Set/Get the specular power.
//// \item @|double = obj.GetSpecularPowerMinValue ()| -  Set/Get the specular power.
//// \item @|double = obj.GetSpecularPowerMaxValue ()| -  Set/Get the specular power.
//// \item @|double = obj.GetSpecularPower ()| -  Set/Get the specular power.
//// \item @|obj.SetOpacity (double )| -  Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely
// transparent.
//// \item @|double = obj.GetOpacityMinValue ()| -  Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely
// transparent.
//// \item @|double = obj.GetOpacityMaxValue ()| -  Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely
// transparent.
//// \item @|double = obj.GetOpacity ()| -  Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely
// transparent.
//// \item @|obj.SetAmbientColor (double , double , double )| -  Set/Get the ambient surface color. Not all renderers support separate
// ambient and diffuse colors. From a physical standpoint it really
// doesn't make too much sense to have both. For the rendering
// libraries that don't support both, the diffuse color is used.
//// \item @|obj.SetAmbientColor (double  a[3])| -  Set/Get the ambient surface color. Not all renderers support separate
// ambient and diffuse colors. From a physical standpoint it really
// doesn't make too much sense to have both. For the rendering
// libraries that don't support both, the diffuse color is used.
//// \item @|double = obj. GetAmbientColor ()| -  Set/Get the ambient surface color. Not all renderers support separate
// ambient and diffuse colors. From a physical standpoint it really
// doesn't make too much sense to have both. For the rendering
// libraries that don't support both, the diffuse color is used.
//// \item @|obj.SetDiffuseColor (double , double , double )| -  Set/Get the diffuse surface color.
//// \item @|obj.SetDiffuseColor (double  a[3])| -  Set/Get the diffuse surface color.
//// \item @|double = obj. GetDiffuseColor ()| -  Set/Get the diffuse surface color.
//// \item @|obj.SetSpecularColor (double , double , double )| -  Set/Get the specular surface color.
//// \item @|obj.SetSpecularColor (double  a[3])| -  Set/Get the specular surface color.
//// \item @|double = obj. GetSpecularColor ()| -  Set/Get the specular surface color.
//// \item @|int = obj.GetEdgeVisibility ()| -  Turn on/off the visibility of edges. On some renderers it is
// possible to render the edges of geometric primitives separately
// from the interior.
//// \item @|obj.SetEdgeVisibility (int )| -  Turn on/off the visibility of edges. On some renderers it is
// possible to render the edges of geometric primitives separately
// from the interior.
//// \item @|obj.EdgeVisibilityOn ()| -  Turn on/off the visibility of edges. On some renderers it is
// possible to render the edges of geometric primitives separately
// from the interior.
//// \item @|obj.EdgeVisibilityOff ()| -  Turn on/off the visibility of edges. On some renderers it is
// possible to render the edges of geometric primitives separately
// from the interior.
//// \item @|obj.SetEdgeColor (double , double , double )| -  Set/Get the color of primitive edges (if edge visibility is enabled).
//// \item @|obj.SetEdgeColor (double  a[3])| -  Set/Get the color of primitive edges (if edge visibility is enabled).
//// \item @|double = obj. GetEdgeColor ()| -  Set/Get the color of primitive edges (if edge visibility is enabled).
//// \item @|obj.SetLineWidth (float )| -  Set/Get the width of a Line. The width is expressed in screen units.
// This is only implemented for OpenGL. The default is 1.0.
//// \item @|float = obj.GetLineWidthMinValue ()| -  Set/Get the width of a Line. The width is expressed in screen units.
// This is only implemented for OpenGL. The default is 1.0.
//// \item @|float = obj.GetLineWidthMaxValue ()| -  Set/Get the width of a Line. The width is expressed in screen units.
// This is only implemented for OpenGL. The default is 1.0.
//// \item @|float = obj.GetLineWidth ()| -  Set/Get the width of a Line. The width is expressed in screen units.
// This is only implemented for OpenGL. The default is 1.0.
//// \item @|obj.SetLineStipplePattern (int )| -  Set/Get the stippling pattern of a Line, as a 16-bit binary pattern 
// (1 = pixel on, 0 = pixel off).
// This is only implemented for OpenGL. The default is 0xFFFF.
//// \item @|int = obj.GetLineStipplePattern ()| -  Set/Get the stippling pattern of a Line, as a 16-bit binary pattern 
// (1 = pixel on, 0 = pixel off).
// This is only implemented for OpenGL. The default is 0xFFFF.
//// \item @|obj.SetLineStippleRepeatFactor (int )| -  Set/Get the stippling repeat factor of a Line, which specifies how
// many times each bit in the pattern is to be repeated.
// This is only implemented for OpenGL. The default is 1.
//// \item @|int = obj.GetLineStippleRepeatFactorMinValue ()| -  Set/Get the stippling repeat factor of a Line, which specifies how
// many times each bit in the pattern is to be repeated.
// This is only implemented for OpenGL. The default is 1.
//// \item @|int = obj.GetLineStippleRepeatFactorMaxValue ()| -  Set/Get the stippling repeat factor of a Line, which specifies how
// many times each bit in the pattern is to be repeated.
// This is only implemented for OpenGL. The default is 1.
//// \item @|int = obj.GetLineStippleRepeatFactor ()| -  Set/Get the stippling repeat factor of a Line, which specifies how
// many times each bit in the pattern is to be repeated.
// This is only implemented for OpenGL. The default is 1.
//// \item @|obj.SetPointSize (float )| -  Set/Get the diameter of a point. The size is expressed in screen units.
// This is only implemented for OpenGL. The default is 1.0.
//// \item @|float = obj.GetPointSizeMinValue ()| -  Set/Get the diameter of a point. The size is expressed in screen units.
// This is only implemented for OpenGL. The default is 1.0.
//// \item @|float = obj.GetPointSizeMaxValue ()| -  Set/Get the diameter of a point. The size is expressed in screen units.
// This is only implemented for OpenGL. The default is 1.0.
//// \item @|float = obj.GetPointSize ()| -  Set/Get the diameter of a point. The size is expressed in screen units.
// This is only implemented for OpenGL. The default is 1.0.
//// \item @|int = obj.GetBackfaceCulling ()| -  Turn on/off fast culling of polygons based on orientation of normal
// with respect to camera. If backface culling is on, polygons facing
// away from camera are not drawn.
//// \item @|obj.SetBackfaceCulling (int )| -  Turn on/off fast culling of polygons based on orientation of normal
// with respect to camera. If backface culling is on, polygons facing
// away from camera are not drawn.
//// \item @|obj.BackfaceCullingOn ()| -  Turn on/off fast culling of polygons based on orientation of normal
// with respect to camera. If backface culling is on, polygons facing
// away from camera are not drawn.
//// \item @|obj.BackfaceCullingOff ()| -  Turn on/off fast culling of polygons based on orientation of normal
// with respect to camera. If backface culling is on, polygons facing
// away from camera are not drawn.
//// \item @|int = obj.GetFrontfaceCulling ()| -  Turn on/off fast culling of polygons based on orientation of normal
// with respect to camera. If frontface culling is on, polygons facing
// towards camera are not drawn.
//// \item @|obj.SetFrontfaceCulling (int )| -  Turn on/off fast culling of polygons based on orientation of normal
// with respect to camera. If frontface culling is on, polygons facing
// towards camera are not drawn.
//// \item @|obj.FrontfaceCullingOn ()| -  Turn on/off fast culling of polygons based on orientation of normal
// with respect to camera. If frontface culling is on, polygons facing
// towards camera are not drawn.
//// \item @|obj.FrontfaceCullingOff ()| -  Turn on/off fast culling of polygons based on orientation of normal
// with respect to camera. If frontface culling is on, polygons facing
// towards camera are not drawn.
//// \item @|vtkXMLMaterial = obj.GetMaterial ()| -  Get the material representation used for shading. The material will be used
// only when shading is enabled.
//// \item @|string = obj.GetMaterialName ()| -  Returns the name of the material currenly loaded, if any.
//// \item @|obj.LoadMaterial (string name)| -  Load the material. The material can be the name of a
// built-on material or the filename for a VTK material XML description.
//// \item @|obj.LoadMaterialFromString (string materialxml)| -  Load the material given the contents of the material file.
//// \item @|obj.LoadMaterial (vtkXMLMaterial )| -  Load the material given the material representation.
//// \item @|obj.SetShading (int )| -  Enable/Disable shading. When shading is enabled, the
// Material must be set.
//// \item @|int = obj.GetShading ()| -  Enable/Disable shading. When shading is enabled, the
// Material must be set.
//// \item @|obj.ShadingOn ()| -  Enable/Disable shading. When shading is enabled, the
// Material must be set.
//// \item @|obj.ShadingOff ()| -  Enable/Disable shading. When shading is enabled, the
// Material must be set.
//// \item @|vtkShaderProgram = obj.GetShaderProgram ()| -  Get the Shader program. If Material is not set/or not loaded properly,
// this will return null.
//// \item @|obj.AddShaderVariable (string name, int numVars, int x)| -  Provide values to initialize shader variables.
// Useful to initialize shader variables that change over time
// (animation, GUI widgets inputs, etc. )
// - \p name - hardware name of the uniform variable
// - \p numVars - number of variables being set
// - \p x - values
//// \item @|obj.AddShaderVariable (string name, int numVars, float x)| -  Provide values to initialize shader variables.
// Useful to initialize shader variables that change over time
// (animation, GUI widgets inputs, etc. )
// - \p name - hardware name of the uniform variable
// - \p numVars - number of variables being set
// - \p x - values
//// \item @|obj.AddShaderVariable (string name, int numVars, double x)| -  Provide values to initialize shader variables.
// Useful to initialize shader variables that change over time
// (animation, GUI widgets inputs, etc. )
// - \p name - hardware name of the uniform variable
// - \p numVars - number of variables being set
// - \p x - values
//// \item @|obj.AddShaderVariable (string name, int v)| -  Methods to provide to add shader variables from tcl.
//// \item @|obj.AddShaderVariable (string name, float v)| -  Methods to provide to add shader variables from tcl.
//// \item @|obj.AddShaderVariable (string name, double v)| -  Methods to provide to add shader variables from tcl.
//// \item @|obj.AddShaderVariable (string name, int v1, int v2)| -  Methods to provide to add shader variables from tcl.
//// \item @|obj.AddShaderVariable (string name, float v1, float v2)| -  Methods to provide to add shader variables from tcl.
//// \item @|obj.AddShaderVariable (string name, double v1, double v2)| -  Methods to provide to add shader variables from tcl.
//// \item @|obj.AddShaderVariable (string name, int v1, int v2, int v3)| -  Methods to provide to add shader variables from tcl.
//// \item @|obj.AddShaderVariable (string name, float v1, float v2, float v3)| -  Methods to provide to add shader variables from tcl.
//// \item @|obj.AddShaderVariable (string name, double v1, double v2, double v3)| -  Set/Get the texture object to control rendering texture maps.  This will
// be a vtkTexture object. A property does not need to have an associated
// texture map and multiple properties can share one texture. Textures
// must be assigned unique names.
//// \item @|obj.SetTexture (string name, vtkTexture texture)| -  Set/Get the texture object to control rendering texture maps.  This will
// be a vtkTexture object. A property does not need to have an associated
// texture map and multiple properties can share one texture. Textures
// must be assigned unique names.
//// \item @|vtkTexture = obj.GetTexture (string name)| -  Set/Get the texture object to control rendering texture maps.  This will
// be a vtkTexture object. A property does not need to have an associated
// texture map and multiple properties can share one texture. Textures
// must be assigned unique names.
//// \item @|obj.SetTexture (int unit, vtkTexture texture)| -  Set/Get the texture object to control rendering texture maps.  This will
// be a vtkTexture object. A property does not need to have an associated
// texture map and multiple properties can share one texture. Textures
// must be assigned unique names.
//// \item @|vtkTexture = obj.GetTexture (int unit)| -  Set/Get the texture object to control rendering texture maps.  This will
// be a vtkTexture object. A property does not need to have an associated
// texture map and multiple properties can share one texture. Textures
// must be assigned unique names.
//// \item @|obj.RemoveTexture (int unit)| -  Set/Get the texture object to control rendering texture maps.  This will
// be a vtkTexture object. A property does not need to have an associated
// texture map and multiple properties can share one texture. Textures
// must be assigned unique names.
//// \item @|obj.RemoveTexture (string name)| -  Remove a texture from the collection. Note that the
// indices of all the subsquent textures, if any, will change.
//// \item @|obj.RemoveAllTextures ()| -  Remove all the textures.
//// \item @|int = obj.GetNumberOfTextures ()| -  Returns the number of textures in this property.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow win)| -  Release any graphics resources that are being consumed by this
// property. The parameter window could be used to determine which graphic
// resources to release.
////\end{itemize}
//!
