#include "VTKWrap.hpp"

// FreeMat wrapper for vtkQImageToImageSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkQImageToImageSource.h"

//@@Signature
//sfunction @vtkQImageToImageSource:vtkQImageToImageSource vtkQImageToImageSourceConstructorFunction
//input a
//output p
//@@Parents vtkQImageToImageSource vtkImageAlgorithm 
ArrayVector vtkQImageToImageSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkQImageToImageSource::New(),"vtkQImageToImageSource",eval);
  } else if (arg[0].className() == "vtkQImageToImageSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkQImageToImageSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkQImageToImageSource");
    vtkQImageToImageSource*q = reinterpret_cast<vtkQImageToImageSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkQImageToImageSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkQImageToImageSource:GetClassName vtkQImageToImageSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkQImageToImageSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkQImageToImageSource requires 1 argument(s)");
  vtkQImageToImageSource* vtk_pointer = GetVTKPointer<vtkQImageToImageSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQImageToImageSource:IsA vtkQImageToImageSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkQImageToImageSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkQImageToImageSource requires 2 argument(s)");
  vtkQImageToImageSource* vtk_pointer = GetVTKPointer<vtkQImageToImageSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQImageToImageSource:NewInstance vtkQImageToImageSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkQImageToImageSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQImageToImageSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkQImageToImageSource requires 1 argument(s)");
  vtkQImageToImageSource* vtk_pointer = GetVTKPointer<vtkQImageToImageSource>(arg[0]);
  Array retval;
  vtkQImageToImageSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQImageToImageSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQImageToImageSource:SafeDownCast vtkQImageToImageSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkQImageToImageSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQImageToImageSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkQImageToImageSource requires 2 argument(s)");
  vtkQImageToImageSource* vtk_pointer = GetVTKPointer<vtkQImageToImageSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkQImageToImageSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQImageToImageSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQImageToImageSource:display vtkQImageToImageSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkQImageToImageSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkQImageToImageSource* vtk_pointer = GetVTKPointer<vtkQImageToImageSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkQImageToImageSource:delete vtkQImageToImageSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkQImageToImageSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkQImageToImageSource
//@@Section VTKRendering
//@@Usage
// vtkQImageToImageSource produces image data from a QImage.
//
//To create an instance of class vtkQImageToImageSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkQImageToImageSource
//@]
//@@Methods
//The class vtkQImageToImageSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkQImageToImageSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkQImageToImageSource = obj.NewInstance ()|
// \item @|vtkQImageToImageSource = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
