#include "VTKWrap.hpp"

// FreeMat wrapper for vtkQtInitialization object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkQtInitialization.h"

//@@Signature
//sfunction @vtkQtInitialization:vtkQtInitialization vtkQtInitializationConstructorFunction
//input a
//output p
//@@Parents vtkQtInitialization vtkObject 
ArrayVector vtkQtInitializationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkQtInitialization::New(),"vtkQtInitialization",eval);
  } else if (arg[0].className() == "vtkQtInitialization") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkQtInitialization"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkQtInitialization");
    vtkQtInitialization*q = reinterpret_cast<vtkQtInitialization*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkQtInitialization");
    return ret;
  }
}
//@@Signature
//sfunction @vtkQtInitialization:GetClassName vtkQtInitializationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkQtInitializationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkQtInitialization requires 1 argument(s)");
  vtkQtInitialization* vtk_pointer = GetVTKPointer<vtkQtInitialization>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQtInitialization:IsA vtkQtInitializationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkQtInitializationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkQtInitialization requires 2 argument(s)");
  vtkQtInitialization* vtk_pointer = GetVTKPointer<vtkQtInitialization>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQtInitialization:NewInstance vtkQtInitializationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkQtInitializationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQtInitialization *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkQtInitialization requires 1 argument(s)");
  vtkQtInitialization* vtk_pointer = GetVTKPointer<vtkQtInitialization>(arg[0]);
  Array retval;
  vtkQtInitialization  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQtInitialization",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQtInitialization:SafeDownCast vtkQtInitializationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkQtInitializationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQtInitialization *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkQtInitialization requires 2 argument(s)");
  vtkQtInitialization* vtk_pointer = GetVTKPointer<vtkQtInitialization>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkQtInitialization  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQtInitialization",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQtInitialization:display vtkQtInitializationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkQtInitializationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkQtInitialization* vtk_pointer = GetVTKPointer<vtkQtInitialization>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkQtInitialization:delete vtkQtInitializationDeleteFunction
//input varargin
//output none
ArrayVector vtkQtInitializationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkQtInitialization
//@@Section VTKRendering
//@@Usage
// Utility class that initializes Qt by creating an instance of 
// QApplication in its ctor, if one doesn't already exist.
// This is mainly of use in ParaView with filters that use Qt in
// their implementation - create an instance of vtkQtInitialization
// prior to instantiating any filters that require Qt.
//
//To create an instance of class vtkQtInitialization, simply
//invoke its constructor as follows
//@[
//  obj = vtkQtInitialization
//@]
//@@Methods
//The class vtkQtInitialization has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkQtInitialization class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkQtInitialization = obj.NewInstance ()|
// \item @|vtkQtInitialization = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
