#include "VTKWrap.hpp"

// FreeMat wrapper for vtkQtTreeRingLabelMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkQtTreeRingLabelMapper.h"

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:vtkQtTreeRingLabelMapper vtkQtTreeRingLabelMapperConstructorFunction
//input a
//output p
//@@Parents vtkQtTreeRingLabelMapper vtkLabeledDataMapper 
ArrayVector vtkQtTreeRingLabelMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkQtTreeRingLabelMapper::New(),"vtkQtTreeRingLabelMapper",eval);
  } else if (arg[0].className() == "vtkQtTreeRingLabelMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkQtTreeRingLabelMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkQtTreeRingLabelMapper");
    vtkQtTreeRingLabelMapper*q = reinterpret_cast<vtkQtTreeRingLabelMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkQtTreeRingLabelMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:GetClassName vtkQtTreeRingLabelMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkQtTreeRingLabelMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkQtTreeRingLabelMapper requires 1 argument(s)");
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:IsA vtkQtTreeRingLabelMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkQtTreeRingLabelMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkQtTreeRingLabelMapper requires 2 argument(s)");
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:NewInstance vtkQtTreeRingLabelMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkQtTreeRingLabelMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQtTreeRingLabelMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkQtTreeRingLabelMapper requires 1 argument(s)");
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  Array retval;
  vtkQtTreeRingLabelMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQtTreeRingLabelMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:SafeDownCast vtkQtTreeRingLabelMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkQtTreeRingLabelMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQtTreeRingLabelMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkQtTreeRingLabelMapper requires 2 argument(s)");
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkQtTreeRingLabelMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQtTreeRingLabelMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:RenderOpaqueGeometry vtkQtTreeRingLabelMapperRenderOpaqueGeometryFunction
//input a0 a1 a2 
//output none
ArrayVector vtkQtTreeRingLabelMapperRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RenderOpaqueGeometry (vtkViewport *viewport, vtkActor2D *actor); */
  if (arg.size() < 3) 
    throw Exception("Function RenderOpaqueGeometry for class vtkQtTreeRingLabelMapper requires 3 argument(s)");
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkActor2D>(arg[2]);
  vtk_pointer->RenderOpaqueGeometry(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:RenderOverlay vtkQtTreeRingLabelMapperRenderOverlayFunction
//input a0 a1 a2 
//output none
ArrayVector vtkQtTreeRingLabelMapperRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RenderOverlay (vtkViewport *viewport, vtkActor2D *actor); */
  if (arg.size() < 3) 
    throw Exception("Function RenderOverlay for class vtkQtTreeRingLabelMapper requires 3 argument(s)");
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp1 = GetVTKPointer<vtkActor2D>(arg[2]);
  vtk_pointer->RenderOverlay(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:GetInputTree vtkQtTreeRingLabelMapperGetInputTreeFunction
//input a0 
//output y
ArrayVector vtkQtTreeRingLabelMapperGetInputTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkTree *GetInputTree (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputTree for class vtkQtTreeRingLabelMapper requires 1 argument(s)");
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  Array retval;
  vtkTree  *temp20;
  temp20 = (vtk_pointer)->GetInputTree();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:SetSectorsArrayName vtkQtTreeRingLabelMapperSetSectorsArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkQtTreeRingLabelMapperSetSectorsArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSectorsArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetSectorsArrayName for class vtkQtTreeRingLabelMapper requires 2 argument(s)");
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetSectorsArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:SetLabelTextProperty__1 vtkQtTreeRingLabelMapperSetLabelTextProperty__1Function
//input a0 a1 
//output none
ArrayVector vtkQtTreeRingLabelMapperSetLabelTextProperty__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelTextProperty__1 for class vtkQtTreeRingLabelMapper requires 2 argument(s)");
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetLabelTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:GetLabelTextProperty__1 vtkQtTreeRingLabelMapperGetLabelTextProperty__1Function
//input a0 
//output y
ArrayVector vtkQtTreeRingLabelMapperGetLabelTextProperty__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetLabelTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelTextProperty__1 for class vtkQtTreeRingLabelMapper requires 1 argument(s)");
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetLabelTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:SetLabelTextProperty__2 vtkQtTreeRingLabelMapperSetLabelTextProperty__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkQtTreeRingLabelMapperSetLabelTextProperty__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelTextProperty (vtkTextProperty *p, int type);this Superclass SetLabelTextProperty p type  */
  if (arg.size() < 3) 
    throw Exception("Function SetLabelTextProperty__2 for class vtkQtTreeRingLabelMapper requires 3 argument(s)");
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetLabelTextProperty(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:GetLabelTextProperty__2 vtkQtTreeRingLabelMapperGetLabelTextProperty__2Function
//input a0 a1 
//output y
ArrayVector vtkQtTreeRingLabelMapperGetLabelTextProperty__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkTextProperty *GetLabelTextProperty (int type);return this Superclass GetLabelTextProperty type  */
  if (arg.size() < 2) 
    throw Exception("Function GetLabelTextProperty__2 for class vtkQtTreeRingLabelMapper requires 2 argument(s)");
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  Array retval;
  int      temp0;
  vtkTextProperty  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetLabelTextProperty(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:SetTextRotationArrayName vtkQtTreeRingLabelMapperSetTextRotationArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkQtTreeRingLabelMapperSetTextRotationArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextRotationArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextRotationArrayName for class vtkQtTreeRingLabelMapper requires 2 argument(s)");
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTextRotationArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:GetTextRotationArrayName vtkQtTreeRingLabelMapperGetTextRotationArrayNameFunction
//input a0 
//output y
ArrayVector vtkQtTreeRingLabelMapperGetTextRotationArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTextRotationArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextRotationArrayName for class vtkQtTreeRingLabelMapper requires 1 argument(s)");
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTextRotationArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:GetMTime vtkQtTreeRingLabelMapperGetMTimeFunction
//input a0 
//output y
ArrayVector vtkQtTreeRingLabelMapperGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkQtTreeRingLabelMapper requires 1 argument(s)");
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:SetRenderer vtkQtTreeRingLabelMapperSetRendererFunction
//input a0 a1 
//output none
ArrayVector vtkQtTreeRingLabelMapperSetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRenderer (vtkRenderer *ren);if this Renderer ren this Renderer ren this Modified  */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderer for class vtkQtTreeRingLabelMapper requires 2 argument(s)");
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:GetRenderer vtkQtTreeRingLabelMapperGetRendererFunction
//input a0 
//output y
ArrayVector vtkQtTreeRingLabelMapperGetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetRenderer ();return this Renderer  */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderer for class vtkQtTreeRingLabelMapper requires 1 argument(s)");
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetRenderer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:SetLabelTextProperty vtkQtTreeRingLabelMapperSetLabelTextPropertyFunction
//input varargin
//output varargout
ArrayVector vtkQtTreeRingLabelMapperSetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkTextProperty"))
    return vtkQtTreeRingLabelMapperSetLabelTextProperty__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkTextProperty") && VTKIsScalarArg(arg[2]))
    return vtkQtTreeRingLabelMapperSetLabelTextProperty__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkQtTreeRingLabelMapperSetLabelTextProperty");
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:GetLabelTextProperty vtkQtTreeRingLabelMapperGetLabelTextPropertyFunction
//input varargin
//output varargout
ArrayVector vtkQtTreeRingLabelMapperGetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkQtTreeRingLabelMapperGetLabelTextProperty__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkQtTreeRingLabelMapperGetLabelTextProperty__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkQtTreeRingLabelMapperGetLabelTextProperty");
}

//@@Signature
//sfunction @vtkQtTreeRingLabelMapper:display vtkQtTreeRingLabelMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkQtTreeRingLabelMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkQtTreeRingLabelMapper* vtk_pointer = GetVTKPointer<vtkQtTreeRingLabelMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkQtTreeRingLabelMapper:delete vtkQtTreeRingLabelMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkQtTreeRingLabelMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkQtTreeRingLabelMapper
//@@Section VTKRendering
//@@Usage
// vtkQtTreeRingLabelMapper is a mapper that renders text on a tree map.
// A tree map is a vtkTree with an associated 4-tuple array
// used for storing the boundary rectangle for each vertex in the tree.
// The user must specify the array name used for storing the rectangles.
//
// The mapper iterates through the tree and attempts and renders a label
// inside the vertex's rectangle as long as the following conditions hold:
// 1. The vertex level is within the range of levels specified for labeling.
// 2. The label can fully fit inside its box.
// 3. The label does not overlap an ancestor's label.
//
//
//To create an instance of class vtkQtTreeRingLabelMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkQtTreeRingLabelMapper
//@]
//@@Methods
//The class vtkQtTreeRingLabelMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkQtTreeRingLabelMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkQtTreeRingLabelMapper = obj.NewInstance ()|
// \item @|vtkQtTreeRingLabelMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.RenderOpaqueGeometry (vtkViewport viewport, vtkActor2D actor)| -  Draw the text to the screen at each input point.
//// \item @|obj.RenderOverlay (vtkViewport viewport, vtkActor2D actor)| -  Draw the text to the screen at each input point.
//// \item @|vtkTree = obj.GetInputTree ()| -  The input to this filter.
//// \item @|obj.SetSectorsArrayName (string name)| -  The name of the 4-tuple array used for
//// \item @|obj.SetLabelTextProperty (vtkTextProperty p)| -  Set/Get the text property. Note that multiple type text properties
// (set with a second integer parameter) are not currently supported,
// but are provided to avoid compiler warnings.
//// \item @|vtkTextProperty = obj.GetLabelTextProperty ()| -  Set/Get the text property. Note that multiple type text properties
// (set with a second integer parameter) are not currently supported,
// but are provided to avoid compiler warnings.
//// \item @|obj.SetLabelTextProperty (vtkTextProperty p, int type)| -  Set/Get the text property. Note that multiple type text properties
// (set with a second integer parameter) are not currently supported,
// but are provided to avoid compiler warnings.
//// \item @|vtkTextProperty = obj.GetLabelTextProperty (int type)| -  Set/Get the name of the text rotation array.
//// \item @|obj.SetTextRotationArrayName (string )| -  Set/Get the name of the text rotation array.
//// \item @|string = obj.GetTextRotationArrayName ()| -  Set/Get the name of the text rotation array.
//// \item @|long = obj.GetMTime ()| -  Return the object's MTime. This is overridden to include 
// the timestamp of its internal class.
//// \item @|obj.SetRenderer (vtkRenderer ren)|
// \item @|vtkRenderer = obj.GetRenderer ()|
//\end{itemize}
//!
