#include "VTKWrap.hpp"

// FreeMat wrapper for vtkQuadricLODActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkQuadricLODActor.h"

//@@Signature
//sfunction @vtkQuadricLODActor:vtkQuadricLODActor vtkQuadricLODActorConstructorFunction
//input a
//output p
//@@Parents vtkQuadricLODActor vtkActor 
ArrayVector vtkQuadricLODActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkQuadricLODActor::New(),"vtkQuadricLODActor",eval);
  } else if (arg[0].className() == "vtkQuadricLODActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkQuadricLODActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkQuadricLODActor");
    vtkQuadricLODActor*q = reinterpret_cast<vtkQuadricLODActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkQuadricLODActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkQuadricLODActor:GetClassName vtkQuadricLODActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:IsA vtkQuadricLODActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkQuadricLODActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkQuadricLODActor requires 2 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:NewInstance vtkQuadricLODActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuadricLODActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtkQuadricLODActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuadricLODActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SafeDownCast vtkQuadricLODActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkQuadricLODActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuadricLODActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkQuadricLODActor requires 2 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkQuadricLODActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuadricLODActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetDeferLODConstruction vtkQuadricLODActorSetDeferLODConstructionFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricLODActorSetDeferLODConstructionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDeferLODConstruction (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDeferLODConstruction for class vtkQuadricLODActor requires 2 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDeferLODConstruction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:GetDeferLODConstruction vtkQuadricLODActorGetDeferLODConstructionFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorGetDeferLODConstructionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDeferLODConstruction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDeferLODConstruction for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDeferLODConstruction();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:DeferLODConstructionOn vtkQuadricLODActorDeferLODConstructionOnFunction
//input a0 
//output none
ArrayVector vtkQuadricLODActorDeferLODConstructionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeferLODConstructionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DeferLODConstructionOn for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtk_pointer->DeferLODConstructionOn();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:DeferLODConstructionOff vtkQuadricLODActorDeferLODConstructionOffFunction
//input a0 
//output none
ArrayVector vtkQuadricLODActorDeferLODConstructionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeferLODConstructionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DeferLODConstructionOff for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtk_pointer->DeferLODConstructionOff();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetStatic vtkQuadricLODActorSetStaticFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricLODActorSetStaticFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStatic (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStatic for class vtkQuadricLODActor requires 2 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStatic(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:GetStatic vtkQuadricLODActorGetStaticFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorGetStaticFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStatic (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStatic for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStatic();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:StaticOn vtkQuadricLODActorStaticOnFunction
//input a0 
//output none
ArrayVector vtkQuadricLODActorStaticOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StaticOn (); */
  if (arg.size() < 1) 
    throw Exception("Function StaticOn for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtk_pointer->StaticOn();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:StaticOff vtkQuadricLODActorStaticOffFunction
//input a0 
//output none
ArrayVector vtkQuadricLODActorStaticOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StaticOff (); */
  if (arg.size() < 1) 
    throw Exception("Function StaticOff for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtk_pointer->StaticOff();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetDataConfiguration vtkQuadricLODActorSetDataConfigurationFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricLODActorSetDataConfigurationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataConfiguration (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataConfiguration for class vtkQuadricLODActor requires 2 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDataConfiguration(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:GetDataConfigurationMinValue vtkQuadricLODActorGetDataConfigurationMinValueFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorGetDataConfigurationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataConfigurationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataConfigurationMinValue for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataConfigurationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:GetDataConfigurationMaxValue vtkQuadricLODActorGetDataConfigurationMaxValueFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorGetDataConfigurationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataConfigurationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataConfigurationMaxValue for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataConfigurationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:GetDataConfiguration vtkQuadricLODActorGetDataConfigurationFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorGetDataConfigurationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataConfiguration (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataConfiguration for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataConfiguration();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetDataConfigurationToUnknown vtkQuadricLODActorSetDataConfigurationToUnknownFunction
//input a0 
//output none
ArrayVector vtkQuadricLODActorSetDataConfigurationToUnknownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataConfigurationToUnknown ();this SetDataConfiguration UNKNOWN  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataConfigurationToUnknown for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtk_pointer->SetDataConfigurationToUnknown();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetDataConfigurationToXLine vtkQuadricLODActorSetDataConfigurationToXLineFunction
//input a0 
//output none
ArrayVector vtkQuadricLODActorSetDataConfigurationToXLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataConfigurationToXLine ();this SetDataConfiguration XLINE  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataConfigurationToXLine for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtk_pointer->SetDataConfigurationToXLine();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetDataConfigurationToYLine vtkQuadricLODActorSetDataConfigurationToYLineFunction
//input a0 
//output none
ArrayVector vtkQuadricLODActorSetDataConfigurationToYLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataConfigurationToYLine ();this SetDataConfiguration YLINE  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataConfigurationToYLine for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtk_pointer->SetDataConfigurationToYLine();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetDataConfigurationToZLine vtkQuadricLODActorSetDataConfigurationToZLineFunction
//input a0 
//output none
ArrayVector vtkQuadricLODActorSetDataConfigurationToZLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataConfigurationToZLine ();this SetDataConfiguration ZLINE  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataConfigurationToZLine for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtk_pointer->SetDataConfigurationToZLine();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetDataConfigurationToXYPlane vtkQuadricLODActorSetDataConfigurationToXYPlaneFunction
//input a0 
//output none
ArrayVector vtkQuadricLODActorSetDataConfigurationToXYPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataConfigurationToXYPlane ();this SetDataConfiguration XYPLANE  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataConfigurationToXYPlane for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtk_pointer->SetDataConfigurationToXYPlane();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetDataConfigurationToYZPlane vtkQuadricLODActorSetDataConfigurationToYZPlaneFunction
//input a0 
//output none
ArrayVector vtkQuadricLODActorSetDataConfigurationToYZPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataConfigurationToYZPlane ();this SetDataConfiguration YZPLANE  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataConfigurationToYZPlane for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtk_pointer->SetDataConfigurationToYZPlane();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetDataConfigurationToXZPlane vtkQuadricLODActorSetDataConfigurationToXZPlaneFunction
//input a0 
//output none
ArrayVector vtkQuadricLODActorSetDataConfigurationToXZPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataConfigurationToXZPlane ();this SetDataConfiguration XZPLANE  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataConfigurationToXZPlane for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtk_pointer->SetDataConfigurationToXZPlane();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetDataConfigurationToXYZVolume vtkQuadricLODActorSetDataConfigurationToXYZVolumeFunction
//input a0 
//output none
ArrayVector vtkQuadricLODActorSetDataConfigurationToXYZVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataConfigurationToXYZVolume ();this SetDataConfiguration XYZVOLUME  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataConfigurationToXYZVolume for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtk_pointer->SetDataConfigurationToXYZVolume();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetCollapseDimensionRatio vtkQuadricLODActorSetCollapseDimensionRatioFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricLODActorSetCollapseDimensionRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCollapseDimensionRatio (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCollapseDimensionRatio for class vtkQuadricLODActor requires 2 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCollapseDimensionRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:GetCollapseDimensionRatioMinValue vtkQuadricLODActorGetCollapseDimensionRatioMinValueFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorGetCollapseDimensionRatioMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCollapseDimensionRatioMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCollapseDimensionRatioMinValue for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCollapseDimensionRatioMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:GetCollapseDimensionRatioMaxValue vtkQuadricLODActorGetCollapseDimensionRatioMaxValueFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorGetCollapseDimensionRatioMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCollapseDimensionRatioMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCollapseDimensionRatioMaxValue for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCollapseDimensionRatioMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:GetCollapseDimensionRatio vtkQuadricLODActorGetCollapseDimensionRatioFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorGetCollapseDimensionRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCollapseDimensionRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCollapseDimensionRatio for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCollapseDimensionRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetLODFilter vtkQuadricLODActorSetLODFilterFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricLODActorSetLODFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLODFilter (vtkQuadricClustering *lodFilter); */
  if (arg.size() < 2) 
    throw Exception("Function SetLODFilter for class vtkQuadricLODActor requires 2 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtkQuadricClustering  *temp0;
  temp0 = GetVTKPointer<vtkQuadricClustering>(arg[1]);
  vtk_pointer->SetLODFilter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:GetLODFilter vtkQuadricLODActorGetLODFilterFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorGetLODFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuadricClustering *GetLODFilter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLODFilter for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtkQuadricClustering  *temp20;
  temp20 = (vtk_pointer)->GetLODFilter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuadricClustering",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetMaximumDisplayListSize vtkQuadricLODActorSetMaximumDisplayListSizeFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricLODActorSetMaximumDisplayListSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumDisplayListSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumDisplayListSize for class vtkQuadricLODActor requires 2 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumDisplayListSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:GetMaximumDisplayListSizeMinValue vtkQuadricLODActorGetMaximumDisplayListSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorGetMaximumDisplayListSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumDisplayListSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumDisplayListSizeMinValue for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumDisplayListSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:GetMaximumDisplayListSizeMaxValue vtkQuadricLODActorGetMaximumDisplayListSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorGetMaximumDisplayListSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumDisplayListSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumDisplayListSizeMaxValue for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumDisplayListSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:GetMaximumDisplayListSize vtkQuadricLODActorGetMaximumDisplayListSizeFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorGetMaximumDisplayListSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumDisplayListSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumDisplayListSize for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumDisplayListSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetPropType vtkQuadricLODActorSetPropTypeFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricLODActorSetPropTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPropType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPropType for class vtkQuadricLODActor requires 2 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPropType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:GetPropTypeMinValue vtkQuadricLODActorGetPropTypeMinValueFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorGetPropTypeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPropTypeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPropTypeMinValue for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPropTypeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:GetPropTypeMaxValue vtkQuadricLODActorGetPropTypeMaxValueFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorGetPropTypeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPropTypeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPropTypeMaxValue for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPropTypeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:GetPropType vtkQuadricLODActorGetPropTypeFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorGetPropTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPropType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPropType for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPropType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetPropTypeToFollower vtkQuadricLODActorSetPropTypeToFollowerFunction
//input a0 
//output none
ArrayVector vtkQuadricLODActorSetPropTypeToFollowerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPropTypeToFollower ();this SetPropType FOLLOWER  */
  if (arg.size() < 1) 
    throw Exception("Function SetPropTypeToFollower for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtk_pointer->SetPropTypeToFollower();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetPropTypeToActor vtkQuadricLODActorSetPropTypeToActorFunction
//input a0 
//output none
ArrayVector vtkQuadricLODActorSetPropTypeToActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPropTypeToActor ();this SetPropType ACTOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetPropTypeToActor for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtk_pointer->SetPropTypeToActor();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:SetCamera vtkQuadricLODActorSetCameraFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricLODActorSetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCamera (vtkCamera *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCamera for class vtkQuadricLODActor requires 2 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtkCamera  *temp0;
  temp0 = GetVTKPointer<vtkCamera>(arg[1]);
  vtk_pointer->SetCamera(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:GetCamera vtkQuadricLODActorGetCameraFunction
//input a0 
//output y
ArrayVector vtkQuadricLODActorGetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCamera *GetCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCamera for class vtkQuadricLODActor requires 1 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtkCamera  *temp20;
  temp20 = (vtk_pointer)->GetCamera();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:Render vtkQuadricLODActorRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkQuadricLODActorRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkRenderer *, vtkMapper *); */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkQuadricLODActor requires 3 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkMapper  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkMapper>(arg[2]);
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:RenderOpaqueGeometry vtkQuadricLODActorRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkQuadricLODActorRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkQuadricLODActor requires 2 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:ReleaseGraphicsResources vtkQuadricLODActorReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricLODActorReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkQuadricLODActor requires 2 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:ShallowCopy vtkQuadricLODActorShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricLODActorShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkQuadricLODActor requires 2 argument(s)");
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricLODActor:display vtkQuadricLODActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkQuadricLODActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkQuadricLODActor* vtk_pointer = GetVTKPointer<vtkQuadricLODActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkQuadricLODActor:delete vtkQuadricLODActorDeleteFunction
//input varargin
//output none
ArrayVector vtkQuadricLODActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkQuadricLODActor
//@@Section VTKRendering
//@@Usage
// vtkQuadricLODActor implements a specific strategy for level-of-detail
// using the vtkQuadricClustering decimation algorithm. It supports only two
// levels of detail: full resolution and a decimated version. The decimated
// LOD is generated using a tuned strategy to produce output consistent with
// the requested interactive frame rate (i.e., the
// vtkRenderWindowInteractor's DesiredUpdateRate). It also makes use of
// display lists for performance, and adjusts the vtkQuadricClustering
// algorithm to take into account the dimensionality of the data (e.g., 2D,
// x-y surfaces may be binned into n x n x 1 to reduce extra polygons in the
// z-direction). Finally, the filter may optionally be set in "Static" mode
// (this works with the vtkMapper::SetStatic() method). `Enabling Static results
// in a one time execution of the Mapper's pipeline. After that, the pipeline
// no longer updated (unless manually forced to do so). 
//
//
//To create an instance of class vtkQuadricLODActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkQuadricLODActor
//@]
//@@Methods
//The class vtkQuadricLODActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkQuadricLODActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard class methods.
//// \item @|int = obj.IsA (string name)| -  Standard class methods.
//// \item @|vtkQuadricLODActor = obj.NewInstance ()| -  Standard class methods.
//// \item @|vtkQuadricLODActor = obj.SafeDownCast (vtkObject o)| -  Standard class methods.
//// \item @|obj.SetDeferLODConstruction (int )| -  Specify whether to build the LOD immediately (i.e., on the first render)
// or to wait until the LOD is requested in a subsequent render. By default,
// LOD construction is not deferred (DeferLODConstruction is false).
//// \item @|int = obj.GetDeferLODConstruction ()| -  Specify whether to build the LOD immediately (i.e., on the first render)
// or to wait until the LOD is requested in a subsequent render. By default,
// LOD construction is not deferred (DeferLODConstruction is false).
//// \item @|obj.DeferLODConstructionOn ()| -  Specify whether to build the LOD immediately (i.e., on the first render)
// or to wait until the LOD is requested in a subsequent render. By default,
// LOD construction is not deferred (DeferLODConstruction is false).
//// \item @|obj.DeferLODConstructionOff ()| -  Specify whether to build the LOD immediately (i.e., on the first render)
// or to wait until the LOD is requested in a subsequent render. By default,
// LOD construction is not deferred (DeferLODConstruction is false).
//// \item @|obj.SetStatic (int )| -  Turn on/off a flag to control whether the underlying pipeline is static.
// If static, this means that the data pipeline executes once and then not 
// again until the user manually modifies this class. By default, Static is
// off because trying to debug this is tricky, and you should only use it
// when you know what you are doing.
//// \item @|int = obj.GetStatic ()| -  Turn on/off a flag to control whether the underlying pipeline is static.
// If static, this means that the data pipeline executes once and then not 
// again until the user manually modifies this class. By default, Static is
// off because trying to debug this is tricky, and you should only use it
// when you know what you are doing.
//// \item @|obj.StaticOn ()| -  Turn on/off a flag to control whether the underlying pipeline is static.
// If static, this means that the data pipeline executes once and then not 
// again until the user manually modifies this class. By default, Static is
// off because trying to debug this is tricky, and you should only use it
// when you know what you are doing.
//// \item @|obj.StaticOff ()| -  Turn on/off a flag to control whether the underlying pipeline is static.
// If static, this means that the data pipeline executes once and then not 
// again until the user manually modifies this class. By default, Static is
// off because trying to debug this is tricky, and you should only use it
// when you know what you are doing.
//// \item @|obj.SetDataConfiguration (int )| -  Force the binning of the quadric clustering according to application
// knowledge relative to the dimension of the data. For example, if you
// know your data lies in a 2D x-y plane, the performance of the quadric
// clustering algorithm can be greatly improved by indicating this (i.e.,
// the number of resulting triangles, and the quality of the decimation
// version is better). Setting this parameter forces the binning to be
// configured consistent with the dimnesionality of the data, and the
// collapse dimension ratio is ignored. Specifying the value of
// DataConfiguration to UNKNOWN (the default value) means that the class
// will attempt to figure the dimension of the class automatically using
// the CollapseDimensionRatio ivar.
//// \item @|int = obj.GetDataConfigurationMinValue ()| -  Force the binning of the quadric clustering according to application
// knowledge relative to the dimension of the data. For example, if you
// know your data lies in a 2D x-y plane, the performance of the quadric
// clustering algorithm can be greatly improved by indicating this (i.e.,
// the number of resulting triangles, and the quality of the decimation
// version is better). Setting this parameter forces the binning to be
// configured consistent with the dimnesionality of the data, and the
// collapse dimension ratio is ignored. Specifying the value of
// DataConfiguration to UNKNOWN (the default value) means that the class
// will attempt to figure the dimension of the class automatically using
// the CollapseDimensionRatio ivar.
//// \item @|int = obj.GetDataConfigurationMaxValue ()| -  Force the binning of the quadric clustering according to application
// knowledge relative to the dimension of the data. For example, if you
// know your data lies in a 2D x-y plane, the performance of the quadric
// clustering algorithm can be greatly improved by indicating this (i.e.,
// the number of resulting triangles, and the quality of the decimation
// version is better). Setting this parameter forces the binning to be
// configured consistent with the dimnesionality of the data, and the
// collapse dimension ratio is ignored. Specifying the value of
// DataConfiguration to UNKNOWN (the default value) means that the class
// will attempt to figure the dimension of the class automatically using
// the CollapseDimensionRatio ivar.
//// \item @|int = obj.GetDataConfiguration ()| -  Force the binning of the quadric clustering according to application
// knowledge relative to the dimension of the data. For example, if you
// know your data lies in a 2D x-y plane, the performance of the quadric
// clustering algorithm can be greatly improved by indicating this (i.e.,
// the number of resulting triangles, and the quality of the decimation
// version is better). Setting this parameter forces the binning to be
// configured consistent with the dimnesionality of the data, and the
// collapse dimension ratio is ignored. Specifying the value of
// DataConfiguration to UNKNOWN (the default value) means that the class
// will attempt to figure the dimension of the class automatically using
// the CollapseDimensionRatio ivar.
//// \item @|obj.SetDataConfigurationToUnknown ()| -  Force the binning of the quadric clustering according to application
// knowledge relative to the dimension of the data. For example, if you
// know your data lies in a 2D x-y plane, the performance of the quadric
// clustering algorithm can be greatly improved by indicating this (i.e.,
// the number of resulting triangles, and the quality of the decimation
// version is better). Setting this parameter forces the binning to be
// configured consistent with the dimnesionality of the data, and the
// collapse dimension ratio is ignored. Specifying the value of
// DataConfiguration to UNKNOWN (the default value) means that the class
// will attempt to figure the dimension of the class automatically using
// the CollapseDimensionRatio ivar.
//// \item @|obj.SetDataConfigurationToXLine ()| -  Force the binning of the quadric clustering according to application
// knowledge relative to the dimension of the data. For example, if you
// know your data lies in a 2D x-y plane, the performance of the quadric
// clustering algorithm can be greatly improved by indicating this (i.e.,
// the number of resulting triangles, and the quality of the decimation
// version is better). Setting this parameter forces the binning to be
// configured consistent with the dimnesionality of the data, and the
// collapse dimension ratio is ignored. Specifying the value of
// DataConfiguration to UNKNOWN (the default value) means that the class
// will attempt to figure the dimension of the class automatically using
// the CollapseDimensionRatio ivar.
//// \item @|obj.SetDataConfigurationToYLine ()| -  Force the binning of the quadric clustering according to application
// knowledge relative to the dimension of the data. For example, if you
// know your data lies in a 2D x-y plane, the performance of the quadric
// clustering algorithm can be greatly improved by indicating this (i.e.,
// the number of resulting triangles, and the quality of the decimation
// version is better). Setting this parameter forces the binning to be
// configured consistent with the dimnesionality of the data, and the
// collapse dimension ratio is ignored. Specifying the value of
// DataConfiguration to UNKNOWN (the default value) means that the class
// will attempt to figure the dimension of the class automatically using
// the CollapseDimensionRatio ivar.
//// \item @|obj.SetDataConfigurationToZLine ()| -  Force the binning of the quadric clustering according to application
// knowledge relative to the dimension of the data. For example, if you
// know your data lies in a 2D x-y plane, the performance of the quadric
// clustering algorithm can be greatly improved by indicating this (i.e.,
// the number of resulting triangles, and the quality of the decimation
// version is better). Setting this parameter forces the binning to be
// configured consistent with the dimnesionality of the data, and the
// collapse dimension ratio is ignored. Specifying the value of
// DataConfiguration to UNKNOWN (the default value) means that the class
// will attempt to figure the dimension of the class automatically using
// the CollapseDimensionRatio ivar.
//// \item @|obj.SetDataConfigurationToXYPlane ()| -  Force the binning of the quadric clustering according to application
// knowledge relative to the dimension of the data. For example, if you
// know your data lies in a 2D x-y plane, the performance of the quadric
// clustering algorithm can be greatly improved by indicating this (i.e.,
// the number of resulting triangles, and the quality of the decimation
// version is better). Setting this parameter forces the binning to be
// configured consistent with the dimnesionality of the data, and the
// collapse dimension ratio is ignored. Specifying the value of
// DataConfiguration to UNKNOWN (the default value) means that the class
// will attempt to figure the dimension of the class automatically using
// the CollapseDimensionRatio ivar.
//// \item @|obj.SetDataConfigurationToYZPlane ()| -  Force the binning of the quadric clustering according to application
// knowledge relative to the dimension of the data. For example, if you
// know your data lies in a 2D x-y plane, the performance of the quadric
// clustering algorithm can be greatly improved by indicating this (i.e.,
// the number of resulting triangles, and the quality of the decimation
// version is better). Setting this parameter forces the binning to be
// configured consistent with the dimnesionality of the data, and the
// collapse dimension ratio is ignored. Specifying the value of
// DataConfiguration to UNKNOWN (the default value) means that the class
// will attempt to figure the dimension of the class automatically using
// the CollapseDimensionRatio ivar.
//// \item @|obj.SetDataConfigurationToXZPlane ()| -  Force the binning of the quadric clustering according to application
// knowledge relative to the dimension of the data. For example, if you
// know your data lies in a 2D x-y plane, the performance of the quadric
// clustering algorithm can be greatly improved by indicating this (i.e.,
// the number of resulting triangles, and the quality of the decimation
// version is better). Setting this parameter forces the binning to be
// configured consistent with the dimnesionality of the data, and the
// collapse dimension ratio is ignored. Specifying the value of
// DataConfiguration to UNKNOWN (the default value) means that the class
// will attempt to figure the dimension of the class automatically using
// the CollapseDimensionRatio ivar.
//// \item @|obj.SetDataConfigurationToXYZVolume ()| -  If the data configuration is set to UNKNOWN, this class attempts to
// figure out the dimensionality of the data using CollapseDimensionRatio.
// This ivar is the ratio of short edge of the input bounding box to its
// long edge, which is then used to collapse the data dimension (and set the
// quadric bin size in that direction to one). By default, this value is 0.05.
//// \item @|obj.SetCollapseDimensionRatio (double )| -  If the data configuration is set to UNKNOWN, this class attempts to
// figure out the dimensionality of the data using CollapseDimensionRatio.
// This ivar is the ratio of short edge of the input bounding box to its
// long edge, which is then used to collapse the data dimension (and set the
// quadric bin size in that direction to one). By default, this value is 0.05.
//// \item @|double = obj.GetCollapseDimensionRatioMinValue ()| -  If the data configuration is set to UNKNOWN, this class attempts to
// figure out the dimensionality of the data using CollapseDimensionRatio.
// This ivar is the ratio of short edge of the input bounding box to its
// long edge, which is then used to collapse the data dimension (and set the
// quadric bin size in that direction to one). By default, this value is 0.05.
//// \item @|double = obj.GetCollapseDimensionRatioMaxValue ()| -  If the data configuration is set to UNKNOWN, this class attempts to
// figure out the dimensionality of the data using CollapseDimensionRatio.
// This ivar is the ratio of short edge of the input bounding box to its
// long edge, which is then used to collapse the data dimension (and set the
// quadric bin size in that direction to one). By default, this value is 0.05.
//// \item @|double = obj.GetCollapseDimensionRatio ()| -  If the data configuration is set to UNKNOWN, this class attempts to
// figure out the dimensionality of the data using CollapseDimensionRatio.
// This ivar is the ratio of short edge of the input bounding box to its
// long edge, which is then used to collapse the data dimension (and set the
// quadric bin size in that direction to one). By default, this value is 0.05.
//// \item @|obj.SetLODFilter (vtkQuadricClustering lodFilter)| -  This class will create a vtkQuadricClustering algorithm automatically.
// However, if you would like to specify the filter to use, or to access it
// and configure it, these method provide access to the filter.
//// \item @|vtkQuadricClustering = obj.GetLODFilter ()| -  This class will create a vtkQuadricClustering algorithm automatically.
// However, if you would like to specify the filter to use, or to access it
// and configure it, these method provide access to the filter.
//// \item @|obj.SetMaximumDisplayListSize (int )| -  Specify the maximum display list size. This variable is used to determine
// whether to use display lists (ImmediateModeRenderingOff) or not. 
// Controlling display list size is important to prevent program crashes (i.e.,
// overly large display lists on some graphics hardware will cause faults).
// The display list size is the length of the vtkCellArray representing the
// topology of the input vtkPolyData.
//// \item @|int = obj.GetMaximumDisplayListSizeMinValue ()| -  Specify the maximum display list size. This variable is used to determine
// whether to use display lists (ImmediateModeRenderingOff) or not. 
// Controlling display list size is important to prevent program crashes (i.e.,
// overly large display lists on some graphics hardware will cause faults).
// The display list size is the length of the vtkCellArray representing the
// topology of the input vtkPolyData.
//// \item @|int = obj.GetMaximumDisplayListSizeMaxValue ()| -  Specify the maximum display list size. This variable is used to determine
// whether to use display lists (ImmediateModeRenderingOff) or not. 
// Controlling display list size is important to prevent program crashes (i.e.,
// overly large display lists on some graphics hardware will cause faults).
// The display list size is the length of the vtkCellArray representing the
// topology of the input vtkPolyData.
//// \item @|int = obj.GetMaximumDisplayListSize ()| -  Specify the maximum display list size. This variable is used to determine
// whether to use display lists (ImmediateModeRenderingOff) or not. 
// Controlling display list size is important to prevent program crashes (i.e.,
// overly large display lists on some graphics hardware will cause faults).
// The display list size is the length of the vtkCellArray representing the
// topology of the input vtkPolyData.
//// \item @|obj.SetPropType (int )| -  Indicate that this actor is actually a follower. By default, the prop
// type is a vtkActor.
//// \item @|int = obj.GetPropTypeMinValue ()| -  Indicate that this actor is actually a follower. By default, the prop
// type is a vtkActor.
//// \item @|int = obj.GetPropTypeMaxValue ()| -  Indicate that this actor is actually a follower. By default, the prop
// type is a vtkActor.
//// \item @|int = obj.GetPropType ()| -  Indicate that this actor is actually a follower. By default, the prop
// type is a vtkActor.
//// \item @|obj.SetPropTypeToFollower ()| -  Indicate that this actor is actually a follower. By default, the prop
// type is a vtkActor.
//// \item @|obj.SetPropTypeToActor ()| -  Set/Get the camera to follow. This method is only applicable when the 
// prop type is set to a vtkFollower.
//// \item @|obj.SetCamera (vtkCamera )| -  Set/Get the camera to follow. This method is only applicable when the 
// prop type is set to a vtkFollower.
//// \item @|vtkCamera = obj.GetCamera ()| -  Set/Get the camera to follow. This method is only applicable when the 
// prop type is set to a vtkFollower.
//// \item @|obj.Render (vtkRenderer , vtkMapper )| -  This causes the actor to be rendered. Depending on the frame rate request,
// it will use either a full resolution render or an interactive render (i.e.,
// it will use the decimated geometry).
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  This method is used internally by the rendering process. We overide 
// the superclass method to properly set the estimated render time.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of an LOD actor. Overloads the virtual vtkProp method.
////\end{itemize}
//!
