#include "VTKWrap.hpp"

// FreeMat wrapper for vtkQuaternionInterpolator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkQuaternionInterpolator.h"

//@@Signature
//sfunction @vtkQuaternionInterpolator:vtkQuaternionInterpolator vtkQuaternionInterpolatorConstructorFunction
//input a
//output p
//@@Parents vtkQuaternionInterpolator vtkObject 
ArrayVector vtkQuaternionInterpolatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkQuaternionInterpolator::New(),"vtkQuaternionInterpolator",eval);
  } else if (arg[0].className() == "vtkQuaternionInterpolator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkQuaternionInterpolator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkQuaternionInterpolator");
    vtkQuaternionInterpolator*q = reinterpret_cast<vtkQuaternionInterpolator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkQuaternionInterpolator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkQuaternionInterpolator:GetClassName vtkQuaternionInterpolatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkQuaternionInterpolatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkQuaternionInterpolator requires 1 argument(s)");
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuaternionInterpolator:IsA vtkQuaternionInterpolatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkQuaternionInterpolatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkQuaternionInterpolator requires 2 argument(s)");
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuaternionInterpolator:NewInstance vtkQuaternionInterpolatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkQuaternionInterpolatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuaternionInterpolator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkQuaternionInterpolator requires 1 argument(s)");
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  Array retval;
  vtkQuaternionInterpolator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuaternionInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuaternionInterpolator:SafeDownCast vtkQuaternionInterpolatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkQuaternionInterpolatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuaternionInterpolator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkQuaternionInterpolator requires 2 argument(s)");
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkQuaternionInterpolator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuaternionInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuaternionInterpolator:GetNumberOfQuaternions vtkQuaternionInterpolatorGetNumberOfQuaternionsFunction
//input a0 
//output y
ArrayVector vtkQuaternionInterpolatorGetNumberOfQuaternionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfQuaternions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfQuaternions for class vtkQuaternionInterpolator requires 1 argument(s)");
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfQuaternions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuaternionInterpolator:GetMinimumT vtkQuaternionInterpolatorGetMinimumTFunction
//input a0 
//output y
ArrayVector vtkQuaternionInterpolatorGetMinimumTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumT (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumT for class vtkQuaternionInterpolator requires 1 argument(s)");
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumT();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuaternionInterpolator:GetMaximumT vtkQuaternionInterpolatorGetMaximumTFunction
//input a0 
//output y
ArrayVector vtkQuaternionInterpolatorGetMaximumTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumT (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumT for class vtkQuaternionInterpolator requires 1 argument(s)");
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumT();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuaternionInterpolator:Initialize vtkQuaternionInterpolatorInitializeFunction
//input a0 
//output none
ArrayVector vtkQuaternionInterpolatorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkQuaternionInterpolator requires 1 argument(s)");
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkQuaternionInterpolator:AddQuaternion vtkQuaternionInterpolatorAddQuaternionFunction
//input a0 a1 a2 
//output none
ArrayVector vtkQuaternionInterpolatorAddQuaternionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddQuaternion (double t, double q[4]); */
  if (arg.size() < 3) 
    throw Exception("Function AddQuaternion for class vtkQuaternionInterpolator requires 3 argument(s)");
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[4];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->AddQuaternion(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkQuaternionInterpolator:RemoveQuaternion vtkQuaternionInterpolatorRemoveQuaternionFunction
//input a0 a1 
//output none
ArrayVector vtkQuaternionInterpolatorRemoveQuaternionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveQuaternion (double t); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveQuaternion for class vtkQuaternionInterpolator requires 2 argument(s)");
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->RemoveQuaternion(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuaternionInterpolator:InterpolateQuaternion vtkQuaternionInterpolatorInterpolateQuaternionFunction
//input a0 a1 a2 
//output none
ArrayVector vtkQuaternionInterpolatorInterpolateQuaternionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateQuaternion (double t, double q[4]); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateQuaternion for class vtkQuaternionInterpolator requires 3 argument(s)");
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[4];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->InterpolateQuaternion(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkQuaternionInterpolator:SetInterpolationType vtkQuaternionInterpolatorSetInterpolationTypeFunction
//input a0 a1 
//output none
ArrayVector vtkQuaternionInterpolatorSetInterpolationTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInterpolationType for class vtkQuaternionInterpolator requires 2 argument(s)");
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInterpolationType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuaternionInterpolator:GetInterpolationTypeMinValue vtkQuaternionInterpolatorGetInterpolationTypeMinValueFunction
//input a0 
//output y
ArrayVector vtkQuaternionInterpolatorGetInterpolationTypeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationTypeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationTypeMinValue for class vtkQuaternionInterpolator requires 1 argument(s)");
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationTypeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuaternionInterpolator:GetInterpolationTypeMaxValue vtkQuaternionInterpolatorGetInterpolationTypeMaxValueFunction
//input a0 
//output y
ArrayVector vtkQuaternionInterpolatorGetInterpolationTypeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationTypeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationTypeMaxValue for class vtkQuaternionInterpolator requires 1 argument(s)");
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationTypeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuaternionInterpolator:GetInterpolationType vtkQuaternionInterpolatorGetInterpolationTypeFunction
//input a0 
//output y
ArrayVector vtkQuaternionInterpolatorGetInterpolationTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationType for class vtkQuaternionInterpolator requires 1 argument(s)");
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuaternionInterpolator:SetInterpolationTypeToLinear vtkQuaternionInterpolatorSetInterpolationTypeToLinearFunction
//input a0 
//output none
ArrayVector vtkQuaternionInterpolatorSetInterpolationTypeToLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationTypeToLinear ();this SetInterpolationType INTERPOLATION_TYPE_LINEAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationTypeToLinear for class vtkQuaternionInterpolator requires 1 argument(s)");
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationTypeToLinear();
  return retval;
}

//@@Signature
//sfunction @vtkQuaternionInterpolator:SetInterpolationTypeToSpline vtkQuaternionInterpolatorSetInterpolationTypeToSplineFunction
//input a0 
//output none
ArrayVector vtkQuaternionInterpolatorSetInterpolationTypeToSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationTypeToSpline ();this SetInterpolationType INTERPOLATION_TYPE_SPLINE  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationTypeToSpline for class vtkQuaternionInterpolator requires 1 argument(s)");
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationTypeToSpline();
  return retval;
}

//@@Signature
//sfunction @vtkQuaternionInterpolator:display vtkQuaternionInterpolatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkQuaternionInterpolatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkQuaternionInterpolator* vtk_pointer = GetVTKPointer<vtkQuaternionInterpolator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkQuaternionInterpolator:delete vtkQuaternionInterpolatorDeleteFunction
//input varargin
//output none
ArrayVector vtkQuaternionInterpolatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkQuaternionInterpolator
//@@Section VTKRendering
//@@Usage
// This class is used to interpolate a series of quaternions representing
// the rotations of a 3D object.  The interpolation may be linear in form
// (using spherical linear interpolation SLERP), or via spline interpolation
// (using SQUAD). In either case the interpolation is specialized to
// quaternions since the interpolation occurs on the surface of the unit
// quaternion sphere.
//
// To use this class, specify at least two pairs of (t,q[4]) with the
// AddQuaternion() method.  Next interpolate the tuples with the
// InterpolateQuaternion(t,q[4]) method, where "t" must be in the range of
// (t_min,t_max) parameter values specified by the AddQuaternion() method (t
// is clamped otherwise), and q[4] is filled in by the method. 
//
// There are several important background references. Ken Shoemake described
// the practical application of quaternions for the interpolation of rotation
// (K. Shoemake, "Animating rotation with quaternion curves", Computer
// Graphics (Siggraph '85) 19(3):245--254, 1985). Another fine reference
// (available on-line) is E. B. Dam, M. Koch, and M. Lillholm, Technical
// Report DIKU-TR-98/5, Dept. of Computer Science, University of Copenhagen,
// Denmark.
//
//
//To create an instance of class vtkQuaternionInterpolator, simply
//invoke its constructor as follows
//@[
//  obj = vtkQuaternionInterpolator
//@]
//@@Methods
//The class vtkQuaternionInterpolator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkQuaternionInterpolator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkQuaternionInterpolator = obj.NewInstance ()|
// \item @|vtkQuaternionInterpolator = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetNumberOfQuaternions ()| -  Return the number of quaternions in the list of quaternions to be
// interpolated.
//// \item @|double = obj.GetMinimumT ()| -  Obtain some information about the interpolation range. The numbers
// returned (corresponding to parameter t, usually thought of as time)
// are undefined if the list of transforms is empty. This is a convenience
// method for interpolation.
//// \item @|double = obj.GetMaximumT ()| -  Obtain some information about the interpolation range. The numbers
// returned (corresponding to parameter t, usually thought of as time)
// are undefined if the list of transforms is empty. This is a convenience
// method for interpolation.
//// \item @|obj.Initialize ()| -  Reset the class so that it contains no data; i.e., the array of (t,q[4])
// information is discarded.
//// \item @|obj.AddQuaternion (double t, double q[4])| -  Add another quaternion to the list of quaternions to be interpolated.
// Note that using the same time t value more than once replaces the
// previous quaternion at t.  At least one quaternions must be added to
// define an interpolation functios.
//// \item @|obj.RemoveQuaternion (double t)| -  Delete the quaternion at a particular parameter t. If there is no
// quaternion tuple defined at t, then the method does nothing.
//// \item @|obj.InterpolateQuaternion (double t, double q[4])| -  Interpolate the list of quaternions and determine a new quaternion
// (i.e., fill in the quaternion provided). If t is outside the range of
// (min,max) values, then t is clamped to lie within the range. 
//// \item @|obj.SetInterpolationType (int )| -  Specify which type of function to use for interpolation. By default
// (SetInterpolationFunctionToSpline()), cubic spline interpolation using a
// modifed Kochanek basis is employed. Otherwise, if
// SetInterpolationFunctionToLinear() is invoked, linear spherical interpolation
// is used between each pair of quaternions.
//// \item @|int = obj.GetInterpolationTypeMinValue ()| -  Specify which type of function to use for interpolation. By default
// (SetInterpolationFunctionToSpline()), cubic spline interpolation using a
// modifed Kochanek basis is employed. Otherwise, if
// SetInterpolationFunctionToLinear() is invoked, linear spherical interpolation
// is used between each pair of quaternions.
//// \item @|int = obj.GetInterpolationTypeMaxValue ()| -  Specify which type of function to use for interpolation. By default
// (SetInterpolationFunctionToSpline()), cubic spline interpolation using a
// modifed Kochanek basis is employed. Otherwise, if
// SetInterpolationFunctionToLinear() is invoked, linear spherical interpolation
// is used between each pair of quaternions.
//// \item @|int = obj.GetInterpolationType ()| -  Specify which type of function to use for interpolation. By default
// (SetInterpolationFunctionToSpline()), cubic spline interpolation using a
// modifed Kochanek basis is employed. Otherwise, if
// SetInterpolationFunctionToLinear() is invoked, linear spherical interpolation
// is used between each pair of quaternions.
//// \item @|obj.SetInterpolationTypeToLinear ()| -  Specify which type of function to use for interpolation. By default
// (SetInterpolationFunctionToSpline()), cubic spline interpolation using a
// modifed Kochanek basis is employed. Otherwise, if
// SetInterpolationFunctionToLinear() is invoked, linear spherical interpolation
// is used between each pair of quaternions.
//// \item @|obj.SetInterpolationTypeToSpline ()|
//\end{itemize}
//!
