#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRenderPass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRenderPass.h"

//@@Signature
//sfunction @vtkRenderPass:vtkRenderPass vtkRenderPassConstructorFunction
//input a
//output p
//@@Parents vtkRenderPass vtkObject 
ArrayVector vtkRenderPassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRenderPass::New(),"vtkRenderPass",eval);
  } else if (arg[0].className() == "vtkRenderPass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRenderPass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRenderPass");
    vtkRenderPass*q = reinterpret_cast<vtkRenderPass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRenderPass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRenderPass:GetClassName vtkRenderPassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRenderPassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRenderPass requires 1 argument(s)");
  vtkRenderPass* vtk_pointer = GetVTKPointer<vtkRenderPass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderPass:IsA vtkRenderPassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRenderPassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRenderPass requires 2 argument(s)");
  vtkRenderPass* vtk_pointer = GetVTKPointer<vtkRenderPass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderPass:NewInstance vtkRenderPassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRenderPassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderPass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRenderPass requires 1 argument(s)");
  vtkRenderPass* vtk_pointer = GetVTKPointer<vtkRenderPass>(arg[0]);
  Array retval;
  vtkRenderPass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderPass:SafeDownCast vtkRenderPassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRenderPassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderPass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRenderPass requires 2 argument(s)");
  vtkRenderPass* vtk_pointer = GetVTKPointer<vtkRenderPass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRenderPass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderPass:GetNumberOfRenderedProps vtkRenderPassGetNumberOfRenderedPropsFunction
//input a0 
//output y
ArrayVector vtkRenderPassGetNumberOfRenderedPropsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfRenderedProps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfRenderedProps for class vtkRenderPass requires 1 argument(s)");
  vtkRenderPass* vtk_pointer = GetVTKPointer<vtkRenderPass>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfRenderedProps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderPass:ReleaseGraphicsResources vtkRenderPassReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkRenderPassReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *w); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkRenderPass requires 2 argument(s)");
  vtkRenderPass* vtk_pointer = GetVTKPointer<vtkRenderPass>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderPass:display vtkRenderPassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRenderPassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRenderPass* vtk_pointer = GetVTKPointer<vtkRenderPass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRenderPass:delete vtkRenderPassDeleteFunction
//input varargin
//output none
ArrayVector vtkRenderPassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRenderPass
//@@Section VTKRendering
//@@Usage
// vtkRenderPass is a deferred class with a simple deferred method Render.
// This method performs a rendering pass of the scene described in
// vtkRenderState.
// Subclasses define what really happens during rendering.
//
// Directions to write a subclass of vtkRenderPass:
// It is up to the subclass to decide if it needs to delegate part of its job
// to some other vtkRenderPass objects ("delegates").
// - The subclass has to define ivar to set/get its delegates.
// - The documentation of the subclass has to describe:
//  - what each delegate is supposed to perform
//  - if a delegate is supposed to be used once or multiple times 
//  - what it expects to have in the framebuffer before starting (status
// of colorbuffers, depth buffer, stencil buffer)
//  - what it will change in the framebuffer.
// - A pass cannot modify the vtkRenderState where it will perform but
// it can build a new vtkRenderState (it can change the FrameBuffer, change the
// prop array, changed the required prop properties keys (usually adding some
// to a copy of the existing list) but it has to keep the same vtkRenderer
// object), make it current and pass it to its delegate.
// - at the end of the execution of Render, the pass has to ensure the
// current vtkRenderState is the one it has in argument.
//
//To create an instance of class vtkRenderPass, simply
//invoke its constructor as follows
//@[
//  obj = vtkRenderPass
//@]
//@@Methods
//The class vtkRenderPass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRenderPass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRenderPass = obj.NewInstance ()|
// \item @|vtkRenderPass = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetNumberOfRenderedProps ()| -  Number of props rendered at the last Render call.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow w)| -  Release graphics resources and ask components to release their own
// resources. Default implementation is empty.
// \pre w_exists: w!=0
////\end{itemize}
//!
