#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRenderPassCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRenderPassCollection.h"

//@@Signature
//sfunction @vtkRenderPassCollection:vtkRenderPassCollection vtkRenderPassCollectionConstructorFunction
//input a
//output p
//@@Parents vtkRenderPassCollection vtkCollection 
ArrayVector vtkRenderPassCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRenderPassCollection::New(),"vtkRenderPassCollection",eval);
  } else if (arg[0].className() == "vtkRenderPassCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRenderPassCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRenderPassCollection");
    vtkRenderPassCollection*q = reinterpret_cast<vtkRenderPassCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRenderPassCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRenderPassCollection:GetClassName vtkRenderPassCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRenderPassCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRenderPassCollection requires 1 argument(s)");
  vtkRenderPassCollection* vtk_pointer = GetVTKPointer<vtkRenderPassCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderPassCollection:IsA vtkRenderPassCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRenderPassCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRenderPassCollection requires 2 argument(s)");
  vtkRenderPassCollection* vtk_pointer = GetVTKPointer<vtkRenderPassCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderPassCollection:NewInstance vtkRenderPassCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRenderPassCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderPassCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRenderPassCollection requires 1 argument(s)");
  vtkRenderPassCollection* vtk_pointer = GetVTKPointer<vtkRenderPassCollection>(arg[0]);
  Array retval;
  vtkRenderPassCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderPassCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderPassCollection:SafeDownCast vtkRenderPassCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRenderPassCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderPassCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRenderPassCollection requires 2 argument(s)");
  vtkRenderPassCollection* vtk_pointer = GetVTKPointer<vtkRenderPassCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRenderPassCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderPassCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderPassCollection:AddItem__1 vtkRenderPassCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderPassCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkRenderPass *pass); */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkRenderPassCollection requires 2 argument(s)");
  vtkRenderPassCollection* vtk_pointer = GetVTKPointer<vtkRenderPassCollection>(arg[0]);
  Array retval;
  vtkRenderPass  *temp0;
  temp0 = GetVTKPointer<vtkRenderPass>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderPassCollection:GetNextRenderPass vtkRenderPassCollectionGetNextRenderPassFunction
//input a0 
//output y
ArrayVector vtkRenderPassCollectionGetNextRenderPassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderPass *GetNextRenderPass (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextRenderPass for class vtkRenderPassCollection requires 1 argument(s)");
  vtkRenderPassCollection* vtk_pointer = GetVTKPointer<vtkRenderPassCollection>(arg[0]);
  Array retval;
  vtkRenderPass  *temp20;
  temp20 = (vtk_pointer)->GetNextRenderPass();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderPassCollection:GetLastRenderPass vtkRenderPassCollectionGetLastRenderPassFunction
//input a0 
//output y
ArrayVector vtkRenderPassCollectionGetLastRenderPassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderPass *GetLastRenderPass (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastRenderPass for class vtkRenderPassCollection requires 1 argument(s)");
  vtkRenderPassCollection* vtk_pointer = GetVTKPointer<vtkRenderPassCollection>(arg[0]);
  Array retval;
  vtkRenderPass  *temp20;
  temp20 = (vtk_pointer)->GetLastRenderPass();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderPassCollection:AddItem vtkRenderPassCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkRenderPassCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkRenderPass"))
    return vtkRenderPassCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderPassCollectionAddItem");
}

//@@Signature
//sfunction @vtkRenderPassCollection:display vtkRenderPassCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRenderPassCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRenderPassCollection* vtk_pointer = GetVTKPointer<vtkRenderPassCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRenderPassCollection:delete vtkRenderPassCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkRenderPassCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRenderPassCollection
//@@Section VTKRendering
//@@Usage
// vtkRenderPassCollection represents a list of RenderPasses
// (i.e., vtkRenderPass and subclasses) and provides methods to manipulate the
// list. The list is unsorted and duplicate entries are not prevented.
//
//To create an instance of class vtkRenderPassCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkRenderPassCollection
//@]
//@@Methods
//The class vtkRenderPassCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRenderPassCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRenderPassCollection = obj.NewInstance ()|
// \item @|vtkRenderPassCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkRenderPass pass)| -  Add an RenderPass to the list.
//// \item @|vtkRenderPass = obj.GetNextRenderPass ()| -  Get the next RenderPass in the list.
//// \item @|vtkRenderPass = obj.GetLastRenderPass ()| -  Get the last RenderPass in the list.
////\end{itemize}
//!
