#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRenderWindow object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRenderWindow.h"

//@@Signature
//sfunction @vtkRenderWindow:vtkRenderWindow vtkRenderWindowConstructorFunction
//input a
//output p
//@@Parents vtkRenderWindow vtkWindow 
ArrayVector vtkRenderWindowConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRenderWindow::New(),"vtkRenderWindow",eval);
  } else if (arg[0].className() == "vtkRenderWindow") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRenderWindow"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRenderWindow");
    vtkRenderWindow*q = reinterpret_cast<vtkRenderWindow*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRenderWindow");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRenderWindow:GetClassName vtkRenderWindowGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:IsA vtkRenderWindowIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRenderWindowIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:NewInstance vtkRenderWindowNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRenderWindowNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SafeDownCast vtkRenderWindowSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRenderWindowSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRenderWindow  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:AddRenderer vtkRenderWindowAddRendererFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowAddRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddRenderer (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function AddRenderer for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->AddRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:RemoveRenderer vtkRenderWindowRemoveRendererFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowRemoveRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveRenderer (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveRenderer for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->RemoveRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:HasRenderer vtkRenderWindowHasRendererFunction
//input a0 a1 
//output y
ArrayVector vtkRenderWindowHasRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int HasRenderer (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function HasRenderer for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp20 = (vtk_pointer)->HasRenderer(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetRenderLibrary vtkRenderWindowGetRenderLibraryFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetRenderLibraryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetRenderLibrary (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderLibrary for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetRenderLibrary();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetRenderers vtkRenderWindowGetRenderersFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetRenderersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRendererCollection *GetRenderers ();return this Renderers  */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderers for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtkRendererCollection  *temp20;
  temp20 = (vtk_pointer)->GetRenderers();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRendererCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:Render vtkRenderWindowRenderFunction
//input a0 
//output none
ArrayVector vtkRenderWindowRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (); */
  if (arg.size() < 1) 
    throw Exception("Function Render for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->Render();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:Start vtkRenderWindowStartFunction
//input a0 
//output none
ArrayVector vtkRenderWindowStartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Start () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Start for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->Start();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:Finalize vtkRenderWindowFinalizeFunction
//input a0 
//output none
ArrayVector vtkRenderWindowFinalizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Finalize () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Finalize for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->Finalize();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:Frame vtkRenderWindowFrameFunction
//input a0 
//output none
ArrayVector vtkRenderWindowFrameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Frame () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Frame for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->Frame();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:WaitForCompletion vtkRenderWindowWaitForCompletionFunction
//input a0 
//output none
ArrayVector vtkRenderWindowWaitForCompletionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WaitForCompletion () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function WaitForCompletion for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->WaitForCompletion();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:CopyResultFrame vtkRenderWindowCopyResultFrameFunction
//input a0 
//output none
ArrayVector vtkRenderWindowCopyResultFrameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyResultFrame (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyResultFrame for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->CopyResultFrame();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:MakeRenderWindowInteractor vtkRenderWindowMakeRenderWindowInteractorFunction
//input a0 
//output y
ArrayVector vtkRenderWindowMakeRenderWindowInteractorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkRenderWindowInteractor *MakeRenderWindowInteractor (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeRenderWindowInteractor for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp20;
  temp20 = (vtk_pointer)->MakeRenderWindowInteractor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindowInteractor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:HideCursor vtkRenderWindowHideCursorFunction
//input a0 
//output none
ArrayVector vtkRenderWindowHideCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void HideCursor () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function HideCursor for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->HideCursor();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:ShowCursor vtkRenderWindowShowCursorFunction
//input a0 
//output none
ArrayVector vtkRenderWindowShowCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShowCursor () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function ShowCursor for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->ShowCursor();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetCursorPosition vtkRenderWindowSetCursorPositionFunction
//input a0 a1 a2 
//output none
ArrayVector vtkRenderWindowSetCursorPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCursorPosition (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetCursorPosition for class vtkRenderWindow requires 3 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCursorPosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetCurrentCursor vtkRenderWindowSetCurrentCursorFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetCurrentCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurrentCursor (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCurrentCursor for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCurrentCursor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetCurrentCursor vtkRenderWindowGetCurrentCursorFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetCurrentCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCurrentCursor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentCursor for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCurrentCursor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetFullScreen vtkRenderWindowSetFullScreenFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetFullScreenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFullScreen (int ) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function SetFullScreen for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFullScreen(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetFullScreen vtkRenderWindowGetFullScreenFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetFullScreenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFullScreen (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFullScreen for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFullScreen();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:FullScreenOn vtkRenderWindowFullScreenOnFunction
//input a0 
//output none
ArrayVector vtkRenderWindowFullScreenOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FullScreenOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FullScreenOn for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->FullScreenOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:FullScreenOff vtkRenderWindowFullScreenOffFunction
//input a0 
//output none
ArrayVector vtkRenderWindowFullScreenOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FullScreenOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FullScreenOff for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->FullScreenOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetBorders vtkRenderWindowSetBordersFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetBordersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBorders (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBorders for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBorders(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetBorders vtkRenderWindowGetBordersFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetBordersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBorders (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBorders for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBorders();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:BordersOn vtkRenderWindowBordersOnFunction
//input a0 
//output none
ArrayVector vtkRenderWindowBordersOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BordersOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BordersOn for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->BordersOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:BordersOff vtkRenderWindowBordersOffFunction
//input a0 
//output none
ArrayVector vtkRenderWindowBordersOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BordersOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BordersOff for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->BordersOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetStereoCapableWindow vtkRenderWindowGetStereoCapableWindowFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetStereoCapableWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStereoCapableWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStereoCapableWindow for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStereoCapableWindow();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:StereoCapableWindowOn vtkRenderWindowStereoCapableWindowOnFunction
//input a0 
//output none
ArrayVector vtkRenderWindowStereoCapableWindowOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StereoCapableWindowOn (); */
  if (arg.size() < 1) 
    throw Exception("Function StereoCapableWindowOn for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->StereoCapableWindowOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:StereoCapableWindowOff vtkRenderWindowStereoCapableWindowOffFunction
//input a0 
//output none
ArrayVector vtkRenderWindowStereoCapableWindowOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StereoCapableWindowOff (); */
  if (arg.size() < 1) 
    throw Exception("Function StereoCapableWindowOff for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->StereoCapableWindowOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetStereoCapableWindow vtkRenderWindowSetStereoCapableWindowFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetStereoCapableWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetStereoCapableWindow (int capable); */
  if (arg.size() < 2) 
    throw Exception("Function SetStereoCapableWindow for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStereoCapableWindow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetStereoRender vtkRenderWindowGetStereoRenderFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetStereoRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStereoRender (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStereoRender for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStereoRender();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetStereoRender vtkRenderWindowSetStereoRenderFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetStereoRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStereoRender (int stereo); */
  if (arg.size() < 2) 
    throw Exception("Function SetStereoRender for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStereoRender(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:StereoRenderOn vtkRenderWindowStereoRenderOnFunction
//input a0 
//output none
ArrayVector vtkRenderWindowStereoRenderOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StereoRenderOn (); */
  if (arg.size() < 1) 
    throw Exception("Function StereoRenderOn for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->StereoRenderOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:StereoRenderOff vtkRenderWindowStereoRenderOffFunction
//input a0 
//output none
ArrayVector vtkRenderWindowStereoRenderOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StereoRenderOff (); */
  if (arg.size() < 1) 
    throw Exception("Function StereoRenderOff for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->StereoRenderOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetAlphaBitPlanes vtkRenderWindowSetAlphaBitPlanesFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetAlphaBitPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAlphaBitPlanes (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAlphaBitPlanes for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAlphaBitPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetAlphaBitPlanes vtkRenderWindowGetAlphaBitPlanesFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetAlphaBitPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAlphaBitPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAlphaBitPlanes for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAlphaBitPlanes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:AlphaBitPlanesOn vtkRenderWindowAlphaBitPlanesOnFunction
//input a0 
//output none
ArrayVector vtkRenderWindowAlphaBitPlanesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AlphaBitPlanesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AlphaBitPlanesOn for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->AlphaBitPlanesOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:AlphaBitPlanesOff vtkRenderWindowAlphaBitPlanesOffFunction
//input a0 
//output none
ArrayVector vtkRenderWindowAlphaBitPlanesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AlphaBitPlanesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AlphaBitPlanesOff for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->AlphaBitPlanesOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetPointSmoothing vtkRenderWindowSetPointSmoothingFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetPointSmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointSmoothing (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointSmoothing for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPointSmoothing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetPointSmoothing vtkRenderWindowGetPointSmoothingFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetPointSmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointSmoothing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointSmoothing for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPointSmoothing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:PointSmoothingOn vtkRenderWindowPointSmoothingOnFunction
//input a0 
//output none
ArrayVector vtkRenderWindowPointSmoothingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointSmoothingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PointSmoothingOn for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->PointSmoothingOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:PointSmoothingOff vtkRenderWindowPointSmoothingOffFunction
//input a0 
//output none
ArrayVector vtkRenderWindowPointSmoothingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointSmoothingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PointSmoothingOff for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->PointSmoothingOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetLineSmoothing vtkRenderWindowSetLineSmoothingFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetLineSmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineSmoothing (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLineSmoothing for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLineSmoothing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetLineSmoothing vtkRenderWindowGetLineSmoothingFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetLineSmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLineSmoothing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineSmoothing for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLineSmoothing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:LineSmoothingOn vtkRenderWindowLineSmoothingOnFunction
//input a0 
//output none
ArrayVector vtkRenderWindowLineSmoothingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LineSmoothingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LineSmoothingOn for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->LineSmoothingOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:LineSmoothingOff vtkRenderWindowLineSmoothingOffFunction
//input a0 
//output none
ArrayVector vtkRenderWindowLineSmoothingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LineSmoothingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LineSmoothingOff for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->LineSmoothingOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetPolygonSmoothing vtkRenderWindowSetPolygonSmoothingFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetPolygonSmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPolygonSmoothing (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPolygonSmoothing for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPolygonSmoothing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetPolygonSmoothing vtkRenderWindowGetPolygonSmoothingFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetPolygonSmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPolygonSmoothing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolygonSmoothing for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPolygonSmoothing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:PolygonSmoothingOn vtkRenderWindowPolygonSmoothingOnFunction
//input a0 
//output none
ArrayVector vtkRenderWindowPolygonSmoothingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PolygonSmoothingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PolygonSmoothingOn for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->PolygonSmoothingOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:PolygonSmoothingOff vtkRenderWindowPolygonSmoothingOffFunction
//input a0 
//output none
ArrayVector vtkRenderWindowPolygonSmoothingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PolygonSmoothingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PolygonSmoothingOff for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->PolygonSmoothingOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetStereoType vtkRenderWindowGetStereoTypeFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetStereoTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStereoType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStereoType for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStereoType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetStereoType vtkRenderWindowSetStereoTypeFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetStereoTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStereoType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStereoType for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStereoType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetStereoTypeToCrystalEyes vtkRenderWindowSetStereoTypeToCrystalEyesFunction
//input a0 
//output none
ArrayVector vtkRenderWindowSetStereoTypeToCrystalEyesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStereoTypeToCrystalEyes ();this SetStereoType VTK_STEREO_CRYSTAL_EYES  */
  if (arg.size() < 1) 
    throw Exception("Function SetStereoTypeToCrystalEyes for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->SetStereoTypeToCrystalEyes();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetStereoTypeToRedBlue vtkRenderWindowSetStereoTypeToRedBlueFunction
//input a0 
//output none
ArrayVector vtkRenderWindowSetStereoTypeToRedBlueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStereoTypeToRedBlue ();this SetStereoType VTK_STEREO_RED_BLUE  */
  if (arg.size() < 1) 
    throw Exception("Function SetStereoTypeToRedBlue for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->SetStereoTypeToRedBlue();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetStereoTypeToInterlaced vtkRenderWindowSetStereoTypeToInterlacedFunction
//input a0 
//output none
ArrayVector vtkRenderWindowSetStereoTypeToInterlacedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStereoTypeToInterlaced ();this SetStereoType VTK_STEREO_INTERLACED  */
  if (arg.size() < 1) 
    throw Exception("Function SetStereoTypeToInterlaced for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->SetStereoTypeToInterlaced();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetStereoTypeToLeft vtkRenderWindowSetStereoTypeToLeftFunction
//input a0 
//output none
ArrayVector vtkRenderWindowSetStereoTypeToLeftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStereoTypeToLeft ();this SetStereoType VTK_STEREO_LEFT  */
  if (arg.size() < 1) 
    throw Exception("Function SetStereoTypeToLeft for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->SetStereoTypeToLeft();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetStereoTypeToRight vtkRenderWindowSetStereoTypeToRightFunction
//input a0 
//output none
ArrayVector vtkRenderWindowSetStereoTypeToRightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStereoTypeToRight ();this SetStereoType VTK_STEREO_RIGHT  */
  if (arg.size() < 1) 
    throw Exception("Function SetStereoTypeToRight for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->SetStereoTypeToRight();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetStereoTypeToDresden vtkRenderWindowSetStereoTypeToDresdenFunction
//input a0 
//output none
ArrayVector vtkRenderWindowSetStereoTypeToDresdenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStereoTypeToDresden ();this SetStereoType VTK_STEREO_DRESDEN  */
  if (arg.size() < 1) 
    throw Exception("Function SetStereoTypeToDresden for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->SetStereoTypeToDresden();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetStereoTypeToAnaglyph vtkRenderWindowSetStereoTypeToAnaglyphFunction
//input a0 
//output none
ArrayVector vtkRenderWindowSetStereoTypeToAnaglyphFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStereoTypeToAnaglyph ();this SetStereoType VTK_STEREO_ANAGLYPH  */
  if (arg.size() < 1) 
    throw Exception("Function SetStereoTypeToAnaglyph for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->SetStereoTypeToAnaglyph();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetStereoTypeToCheckerboard vtkRenderWindowSetStereoTypeToCheckerboardFunction
//input a0 
//output none
ArrayVector vtkRenderWindowSetStereoTypeToCheckerboardFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStereoTypeToCheckerboard ();this SetStereoType VTK_STEREO_CHECKERBOARD  */
  if (arg.size() < 1) 
    throw Exception("Function SetStereoTypeToCheckerboard for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->SetStereoTypeToCheckerboard();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetStereoTypeAsString vtkRenderWindowGetStereoTypeAsStringFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetStereoTypeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetStereoTypeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStereoTypeAsString for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetStereoTypeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:StereoUpdate vtkRenderWindowStereoUpdateFunction
//input a0 
//output none
ArrayVector vtkRenderWindowStereoUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StereoUpdate (); */
  if (arg.size() < 1) 
    throw Exception("Function StereoUpdate for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->StereoUpdate();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:StereoMidpoint vtkRenderWindowStereoMidpointFunction
//input a0 
//output none
ArrayVector vtkRenderWindowStereoMidpointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StereoMidpoint (); */
  if (arg.size() < 1) 
    throw Exception("Function StereoMidpoint for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->StereoMidpoint();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:StereoRenderComplete vtkRenderWindowStereoRenderCompleteFunction
//input a0 
//output none
ArrayVector vtkRenderWindowStereoRenderCompleteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StereoRenderComplete (); */
  if (arg.size() < 1) 
    throw Exception("Function StereoRenderComplete for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->StereoRenderComplete();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetAnaglyphColorSaturation vtkRenderWindowSetAnaglyphColorSaturationFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetAnaglyphColorSaturationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAnaglyphColorSaturation (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAnaglyphColorSaturation for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAnaglyphColorSaturation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetAnaglyphColorSaturationMinValue vtkRenderWindowGetAnaglyphColorSaturationMinValueFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetAnaglyphColorSaturationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetAnaglyphColorSaturationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAnaglyphColorSaturationMinValue for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetAnaglyphColorSaturationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetAnaglyphColorSaturationMaxValue vtkRenderWindowGetAnaglyphColorSaturationMaxValueFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetAnaglyphColorSaturationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetAnaglyphColorSaturationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAnaglyphColorSaturationMaxValue for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetAnaglyphColorSaturationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetAnaglyphColorSaturation vtkRenderWindowGetAnaglyphColorSaturationFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetAnaglyphColorSaturationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetAnaglyphColorSaturation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAnaglyphColorSaturation for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetAnaglyphColorSaturation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetAnaglyphColorMask__1 vtkRenderWindowSetAnaglyphColorMask__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderWindowSetAnaglyphColorMask__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAnaglyphColorMask (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetAnaglyphColorMask__1 for class vtkRenderWindow requires 3 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetAnaglyphColorMask(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetAnaglyphColorMask__2 vtkRenderWindowSetAnaglyphColorMask__2Function
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetAnaglyphColorMask__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAnaglyphColorMask (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetAnaglyphColorMask__2 for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetAnaglyphColorMask(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetAnaglyphColorMask vtkRenderWindowGetAnaglyphColorMaskFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetAnaglyphColorMaskFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetAnaglyphColorMask (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAnaglyphColorMask for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetAnaglyphColorMask();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:WindowRemap vtkRenderWindowWindowRemapFunction
//input a0 
//output none
ArrayVector vtkRenderWindowWindowRemapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WindowRemap () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function WindowRemap for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->WindowRemap();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetSwapBuffers vtkRenderWindowSetSwapBuffersFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetSwapBuffersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSwapBuffers (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSwapBuffers for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSwapBuffers(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetSwapBuffers vtkRenderWindowGetSwapBuffersFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetSwapBuffersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSwapBuffers (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSwapBuffers for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSwapBuffers();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SwapBuffersOn vtkRenderWindowSwapBuffersOnFunction
//input a0 
//output none
ArrayVector vtkRenderWindowSwapBuffersOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SwapBuffersOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SwapBuffersOn for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->SwapBuffersOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SwapBuffersOff vtkRenderWindowSwapBuffersOffFunction
//input a0 
//output none
ArrayVector vtkRenderWindowSwapBuffersOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SwapBuffersOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SwapBuffersOff for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->SwapBuffersOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetPixelData__1 vtkRenderWindowSetPixelData__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkRenderWindowSetPixelData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetPixelData (int x, int y, int x2, int y2, unsigned char *data, int front) = 0; */
  if (arg.size() < 7) 
    throw Exception("Function SetPixelData__1 for class vtkRenderWindow requires 7 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  unsigned char    *temp4;
  int      temp5;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (unsigned char)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  temp20 = (vtk_pointer)->SetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetPixelData__2 vtkRenderWindowSetPixelData__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkRenderWindowSetPixelData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray *data, int front) = 0; */
  if (arg.size() < 7) 
    throw Exception("Function SetPixelData__2 for class vtkRenderWindow requires 7 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  int      temp5;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkUnsignedCharArray>(arg[5]);
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  temp20 = (vtk_pointer)->SetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetRGBAPixelData__2 vtkRenderWindowGetRGBAPixelData__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkRenderWindowGetRGBAPixelData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetRGBAPixelData (int x, int y, int x2, int y2, int front, vtkFloatArray *data) = 0; */
  if (arg.size() < 7) 
    throw Exception("Function GetRGBAPixelData__2 for class vtkRenderWindow requires 7 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkFloatArray  *temp5;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp5 = GetVTKPointer<vtkFloatArray>(arg[6]);
  temp20 = (vtk_pointer)->GetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetRGBAPixelData__1 vtkRenderWindowSetRGBAPixelData__1Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkRenderWindowSetRGBAPixelData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetRGBAPixelData (int x, int y, int x2, int y2, float *, int front, int blend) = 0; */
  if (arg.size() < 8) 
    throw Exception("Function SetRGBAPixelData__1 for class vtkRenderWindow requires 8 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  float   *temp4;
  int      temp5;
  int      temp6;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new float[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (float)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  temp20 = (vtk_pointer)->SetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetRGBAPixelData__2 vtkRenderWindowSetRGBAPixelData__2Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkRenderWindowSetRGBAPixelData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetRGBAPixelData (int , int , int , int , vtkFloatArray *, int , int blend) = 0; */
  if (arg.size() < 8) 
    throw Exception("Function SetRGBAPixelData__2 for class vtkRenderWindow requires 8 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  int      temp5;
  int      temp6;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkFloatArray>(arg[5]);
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  temp20 = (vtk_pointer)->SetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:ReleaseRGBAPixelData vtkRenderWindowReleaseRGBAPixelDataFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowReleaseRGBAPixelDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseRGBAPixelData (float *data) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseRGBAPixelData for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  float   *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  vtk_pointer->ReleaseRGBAPixelData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetRGBACharPixelData__2 vtkRenderWindowGetRGBACharPixelData__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkRenderWindowGetRGBACharPixelData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetRGBACharPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data) = 0; */
  if (arg.size() < 7) 
    throw Exception("Function GetRGBACharPixelData__2 for class vtkRenderWindow requires 7 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkUnsignedCharArray  *temp5;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp5 = GetVTKPointer<vtkUnsignedCharArray>(arg[6]);
  temp20 = (vtk_pointer)->GetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetRGBACharPixelData__1 vtkRenderWindowSetRGBACharPixelData__1Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkRenderWindowSetRGBACharPixelData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetRGBACharPixelData (int x, int y, int x2, int y2, unsigned char *data, int front, int blend) = 0; */
  if (arg.size() < 8) 
    throw Exception("Function SetRGBACharPixelData__1 for class vtkRenderWindow requires 8 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  unsigned char    *temp4;
  int      temp5;
  int      temp6;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (unsigned char)data[k+1];
      }
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  temp20 = (vtk_pointer)->SetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetRGBACharPixelData__2 vtkRenderWindowSetRGBACharPixelData__2Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkRenderWindowSetRGBACharPixelData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetRGBACharPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray *data, int front, int blend) = 0; */
  if (arg.size() < 8) 
    throw Exception("Function SetRGBACharPixelData__2 for class vtkRenderWindow requires 8 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  int      temp5;
  int      temp6;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkUnsignedCharArray>(arg[5]);
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  temp20 = (vtk_pointer)->SetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetZbufferData__2 vtkRenderWindowGetZbufferData__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkRenderWindowGetZbufferData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetZbufferData (int x, int y, int x2, int y2, float *z) = 0; */
  if (arg.size() < 6) 
    throw Exception("Function GetZbufferData__2 for class vtkRenderWindow requires 6 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  float   *temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new float[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (float)data[k+1];
      }
  temp20 = (vtk_pointer)->GetZbufferData(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetZbufferData__3 vtkRenderWindowGetZbufferData__3Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkRenderWindowGetZbufferData__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetZbufferData (int x, int y, int x2, int y2, vtkFloatArray *z) = 0; */
  if (arg.size() < 6) 
    throw Exception("Function GetZbufferData__3 for class vtkRenderWindow requires 6 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkFloatArray>(arg[5]);
  temp20 = (vtk_pointer)->GetZbufferData(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetZbufferData__1 vtkRenderWindowSetZbufferData__1Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkRenderWindowSetZbufferData__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetZbufferData (int x, int y, int x2, int y2, float *z) = 0; */
  if (arg.size() < 6) 
    throw Exception("Function SetZbufferData__1 for class vtkRenderWindow requires 6 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  float   *temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new float[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (float)data[k+1];
      }
  temp20 = (vtk_pointer)->SetZbufferData(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetZbufferData__2 vtkRenderWindowSetZbufferData__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkRenderWindowSetZbufferData__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetZbufferData (int x, int y, int x2, int y2, vtkFloatArray *z) = 0; */
  if (arg.size() < 6) 
    throw Exception("Function SetZbufferData__2 for class vtkRenderWindow requires 6 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkFloatArray>(arg[5]);
  temp20 = (vtk_pointer)->SetZbufferData(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetZbufferDataAtPoint vtkRenderWindowGetZbufferDataAtPointFunction
//input a0 a1 a2 
//output y
ArrayVector vtkRenderWindowGetZbufferDataAtPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetZbufferDataAtPoint (int x, int y);float value this GetZbufferData x y x y value return value  */
  if (arg.size() < 3) 
    throw Exception("Function GetZbufferDataAtPoint for class vtkRenderWindow requires 3 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  float    temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetZbufferDataAtPoint(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetAAFrames vtkRenderWindowGetAAFramesFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetAAFramesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAAFrames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAAFrames for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAAFrames();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetAAFrames vtkRenderWindowSetAAFramesFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetAAFramesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAAFrames (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAAFrames for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAAFrames(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetFDFrames vtkRenderWindowGetFDFramesFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetFDFramesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFDFrames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFDFrames for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFDFrames();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetFDFrames vtkRenderWindowSetFDFramesFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetFDFramesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFDFrames (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFDFrames for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFDFrames(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetSubFrames vtkRenderWindowGetSubFramesFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetSubFramesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSubFrames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubFrames for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSubFrames();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetSubFrames vtkRenderWindowSetSubFramesFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetSubFramesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSubFrames (int subFrames); */
  if (arg.size() < 2) 
    throw Exception("Function SetSubFrames for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSubFrames(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetNeverRendered vtkRenderWindowGetNeverRenderedFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetNeverRenderedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNeverRendered (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNeverRendered for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNeverRendered();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetAbortRender vtkRenderWindowGetAbortRenderFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetAbortRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAbortRender (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAbortRender for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAbortRender();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetAbortRender vtkRenderWindowSetAbortRenderFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetAbortRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAbortRender (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAbortRender for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAbortRender(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetInAbortCheck vtkRenderWindowGetInAbortCheckFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetInAbortCheckFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInAbortCheck (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInAbortCheck for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInAbortCheck();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetInAbortCheck vtkRenderWindowSetInAbortCheckFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetInAbortCheckFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInAbortCheck (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInAbortCheck for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInAbortCheck(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:CheckAbortStatus vtkRenderWindowCheckAbortStatusFunction
//input a0 
//output y
ArrayVector vtkRenderWindowCheckAbortStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CheckAbortStatus (); */
  if (arg.size() < 1) 
    throw Exception("Function CheckAbortStatus for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->CheckAbortStatus();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetIsPicking vtkRenderWindowGetIsPickingFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetIsPickingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIsPicking (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIsPicking for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIsPicking();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetIsPicking vtkRenderWindowSetIsPickingFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetIsPickingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIsPicking (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIsPicking for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIsPicking(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:IsPickingOn vtkRenderWindowIsPickingOnFunction
//input a0 
//output none
ArrayVector vtkRenderWindowIsPickingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IsPickingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IsPickingOn for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->IsPickingOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:IsPickingOff vtkRenderWindowIsPickingOffFunction
//input a0 
//output none
ArrayVector vtkRenderWindowIsPickingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IsPickingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IsPickingOff for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->IsPickingOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetEventPending vtkRenderWindowGetEventPendingFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetEventPendingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetEventPending () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetEventPending for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEventPending();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:CheckInRenderStatus vtkRenderWindowCheckInRenderStatusFunction
//input a0 
//output y
ArrayVector vtkRenderWindowCheckInRenderStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CheckInRenderStatus ();return this InRender  */
  if (arg.size() < 1) 
    throw Exception("Function CheckInRenderStatus for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->CheckInRenderStatus();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:ClearInRenderStatus vtkRenderWindowClearInRenderStatusFunction
//input a0 
//output none
ArrayVector vtkRenderWindowClearInRenderStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ClearInRenderStatus ();this InRender  */
  if (arg.size() < 1) 
    throw Exception("Function ClearInRenderStatus for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->ClearInRenderStatus();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetDesiredUpdateRate vtkRenderWindowSetDesiredUpdateRateFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetDesiredUpdateRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDesiredUpdateRate (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDesiredUpdateRate for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDesiredUpdateRate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetDesiredUpdateRate vtkRenderWindowGetDesiredUpdateRateFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetDesiredUpdateRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDesiredUpdateRate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDesiredUpdateRate for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDesiredUpdateRate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetNumberOfLayers vtkRenderWindowGetNumberOfLayersFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetNumberOfLayersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfLayers (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLayers for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfLayers();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetNumberOfLayers vtkRenderWindowSetNumberOfLayersFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetNumberOfLayersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfLayers (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfLayers for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfLayers(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetNumberOfLayersMinValue vtkRenderWindowGetNumberOfLayersMinValueFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetNumberOfLayersMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfLayersMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLayersMinValue for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfLayersMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetNumberOfLayersMaxValue vtkRenderWindowGetNumberOfLayersMaxValueFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetNumberOfLayersMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfLayersMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLayersMaxValue for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfLayersMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetInteractor vtkRenderWindowGetInteractorFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetInteractorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindowInteractor *GetInteractor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteractor for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp20;
  temp20 = (vtk_pointer)->GetInteractor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindowInteractor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetInteractor vtkRenderWindowSetInteractorFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetInteractorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInteractor (vtkRenderWindowInteractor *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractor for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindowInteractor>(arg[1]);
  vtk_pointer->SetInteractor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:UnRegister vtkRenderWindowUnRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowUnRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UnRegister (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function UnRegister for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->UnRegister(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetWindowInfo vtkRenderWindowSetWindowInfoFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetWindowInfoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetWindowInfo (char *) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function SetWindowInfo for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetWindowInfo(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetNextWindowInfo vtkRenderWindowSetNextWindowInfoFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetNextWindowInfoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetNextWindowInfo (char *) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function SetNextWindowInfo for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetNextWindowInfo(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetParentInfo vtkRenderWindowSetParentInfoFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetParentInfoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetParentInfo (char *) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function SetParentInfo for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetParentInfo(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:MakeCurrent vtkRenderWindowMakeCurrentFunction
//input a0 
//output none
ArrayVector vtkRenderWindowMakeCurrentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void MakeCurrent () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function MakeCurrent for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->MakeCurrent();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:IsCurrent vtkRenderWindowIsCurrentFunction
//input a0 
//output y
ArrayVector vtkRenderWindowIsCurrentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool IsCurrent () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function IsCurrent for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->IsCurrent();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetForceMakeCurrent vtkRenderWindowSetForceMakeCurrentFunction
//input a0 
//output none
ArrayVector vtkRenderWindowSetForceMakeCurrentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetForceMakeCurrent (); */
  if (arg.size() < 1) 
    throw Exception("Function SetForceMakeCurrent for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->SetForceMakeCurrent();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:ReportCapabilities vtkRenderWindowReportCapabilitiesFunction
//input a0 
//output y
ArrayVector vtkRenderWindowReportCapabilitiesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *ReportCapabilities ();return  */
  if (arg.size() < 1) 
    throw Exception("Function ReportCapabilities for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->ReportCapabilities();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SupportsOpenGL vtkRenderWindowSupportsOpenGLFunction
//input a0 
//output y
ArrayVector vtkRenderWindowSupportsOpenGLFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SupportsOpenGL ();return  */
  if (arg.size() < 1) 
    throw Exception("Function SupportsOpenGL for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->SupportsOpenGL();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:IsDirect vtkRenderWindowIsDirectFunction
//input a0 
//output y
ArrayVector vtkRenderWindowIsDirectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsDirect ();return  */
  if (arg.size() < 1) 
    throw Exception("Function IsDirect for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsDirect();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetDepthBufferSize vtkRenderWindowGetDepthBufferSizeFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetDepthBufferSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDepthBufferSize () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetDepthBufferSize for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDepthBufferSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetColorBufferSizes vtkRenderWindowGetColorBufferSizesFunction
//input a0 a1 
//output y
ArrayVector vtkRenderWindowGetColorBufferSizesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetColorBufferSizes (int *rgba) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetColorBufferSizes for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int     *temp0;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->GetColorBufferSizes(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetPainterDeviceAdapter vtkRenderWindowGetPainterDeviceAdapterFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetPainterDeviceAdapterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPainterDeviceAdapter *GetPainterDeviceAdapter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPainterDeviceAdapter for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtkPainterDeviceAdapter  *temp20;
  temp20 = (vtk_pointer)->GetPainterDeviceAdapter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPainterDeviceAdapter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetMultiSamples vtkRenderWindowSetMultiSamplesFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetMultiSamplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMultiSamples (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMultiSamples for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMultiSamples(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetMultiSamples vtkRenderWindowGetMultiSamplesFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetMultiSamplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMultiSamples (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMultiSamples for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMultiSamples();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetStencilCapable vtkRenderWindowSetStencilCapableFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetStencilCapableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStencilCapable (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStencilCapable for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStencilCapable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetStencilCapable vtkRenderWindowGetStencilCapableFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetStencilCapableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStencilCapable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStencilCapable for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStencilCapable();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:StencilCapableOn vtkRenderWindowStencilCapableOnFunction
//input a0 
//output none
ArrayVector vtkRenderWindowStencilCapableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StencilCapableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function StencilCapableOn for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->StencilCapableOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:StencilCapableOff vtkRenderWindowStencilCapableOffFunction
//input a0 
//output none
ArrayVector vtkRenderWindowStencilCapableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StencilCapableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function StencilCapableOff for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->StencilCapableOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetReportGraphicErrors vtkRenderWindowSetReportGraphicErrorsFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowSetReportGraphicErrorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReportGraphicErrors (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReportGraphicErrors for class vtkRenderWindow requires 2 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReportGraphicErrors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetReportGraphicErrors vtkRenderWindowGetReportGraphicErrorsFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetReportGraphicErrorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReportGraphicErrors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReportGraphicErrors for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReportGraphicErrors();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:ReportGraphicErrorsOn vtkRenderWindowReportGraphicErrorsOnFunction
//input a0 
//output none
ArrayVector vtkRenderWindowReportGraphicErrorsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReportGraphicErrorsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReportGraphicErrorsOn for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->ReportGraphicErrorsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:ReportGraphicErrorsOff vtkRenderWindowReportGraphicErrorsOffFunction
//input a0 
//output none
ArrayVector vtkRenderWindowReportGraphicErrorsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReportGraphicErrorsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReportGraphicErrorsOff for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->ReportGraphicErrorsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:CheckGraphicError vtkRenderWindowCheckGraphicErrorFunction
//input a0 
//output none
ArrayVector vtkRenderWindowCheckGraphicErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CheckGraphicError () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function CheckGraphicError for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->CheckGraphicError();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:HasGraphicError vtkRenderWindowHasGraphicErrorFunction
//input a0 
//output y
ArrayVector vtkRenderWindowHasGraphicErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasGraphicError () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function HasGraphicError for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasGraphicError();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:GetLastGraphicErrorString vtkRenderWindowGetLastGraphicErrorStringFunction
//input a0 
//output y
ArrayVector vtkRenderWindowGetLastGraphicErrorStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetLastGraphicErrorString () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetLastGraphicErrorString for class vtkRenderWindow requires 1 argument(s)");
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetLastGraphicErrorString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindow:SetAnaglyphColorMask vtkRenderWindowSetAnaglyphColorMaskFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowSetAnaglyphColorMaskFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRenderWindowSetAnaglyphColorMask__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRenderWindowSetAnaglyphColorMask__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowSetAnaglyphColorMask");
}

//@@Signature
//sfunction @vtkRenderWindow:SetPixelData vtkRenderWindowSetPixelDataFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowSetPixelDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[6]))
    return vtkRenderWindowSetPixelData__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkUnsignedCharArray") && VTKIsScalarArg(arg[6]))
    return vtkRenderWindowSetPixelData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowSetPixelData");
}

//@@Signature
//sfunction @vtkRenderWindow:GetRGBAPixelData vtkRenderWindowGetRGBAPixelDataFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowGetRGBAPixelDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsClass(arg[6],"vtkFloatArray"))
    return vtkRenderWindowGetRGBAPixelData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowGetRGBAPixelData");
}

//@@Signature
//sfunction @vtkRenderWindow:SetRGBAPixelData vtkRenderWindowSetRGBAPixelDataFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowSetRGBAPixelDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 8) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkRenderWindowSetRGBAPixelData__1Function(nargout,arg,eval);
  if ((arg.size() == 8) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkFloatArray") && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkRenderWindowSetRGBAPixelData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowSetRGBAPixelData");
}

//@@Signature
//sfunction @vtkRenderWindow:GetRGBACharPixelData vtkRenderWindowGetRGBACharPixelDataFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowGetRGBACharPixelDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsClass(arg[6],"vtkUnsignedCharArray"))
    return vtkRenderWindowGetRGBACharPixelData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowGetRGBACharPixelData");
}

//@@Signature
//sfunction @vtkRenderWindow:SetRGBACharPixelData vtkRenderWindowSetRGBACharPixelDataFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowSetRGBACharPixelDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 8) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkRenderWindowSetRGBACharPixelData__1Function(nargout,arg,eval);
  if ((arg.size() == 8) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkUnsignedCharArray") && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkRenderWindowSetRGBACharPixelData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowSetRGBACharPixelData");
}

//@@Signature
//sfunction @vtkRenderWindow:GetZbufferData vtkRenderWindowGetZbufferDataFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowGetZbufferDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsVectorArg(arg[5]))
    return vtkRenderWindowGetZbufferData__2Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkFloatArray"))
    return vtkRenderWindowGetZbufferData__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowGetZbufferData");
}

//@@Signature
//sfunction @vtkRenderWindow:SetZbufferData vtkRenderWindowSetZbufferDataFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowSetZbufferDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsVectorArg(arg[5]))
    return vtkRenderWindowSetZbufferData__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkFloatArray"))
    return vtkRenderWindowSetZbufferData__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowSetZbufferData");
}

//@@Signature
//sfunction @vtkRenderWindow:display vtkRenderWindowDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRenderWindow* vtk_pointer = GetVTKPointer<vtkRenderWindow>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRenderWindow:delete vtkRenderWindowDeleteFunction
//input varargin
//output none
ArrayVector vtkRenderWindowDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRenderWindow
//@@Section VTKRendering
//@@Usage
// vtkRenderWindow is an abstract object to specify the behavior of a
// rendering window. A rendering window is a window in a graphical user
// interface where renderers draw their images. Methods are provided to
// synchronize the rendering process, set window size, and control double
// buffering.  The window also allows rendering in stereo.  The interlaced
// render stereo type is for output to a VRex stereo projector.  All of the
// odd horizontal lines are from the left eye, and the even lines are from
// the right eye.  The user has to make the render window aligned with the
// VRex projector, or the eye will be swapped.
//
//To create an instance of class vtkRenderWindow, simply
//invoke its constructor as follows
//@[
//  obj = vtkRenderWindow
//@]
//@@Methods
//The class vtkRenderWindow has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRenderWindow class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRenderWindow = obj.NewInstance ()|
// \item @|vtkRenderWindow = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddRenderer (vtkRenderer )| -  Add a renderer to the list of renderers.
//// \item @|obj.RemoveRenderer (vtkRenderer )| -  Remove a renderer from the list of renderers.
//// \item @|int = obj.HasRenderer (vtkRenderer )| -  Query if a renderer is in the list of renderers.
//// \item @|vtkRendererCollection = obj.GetRenderers ()| -  Return the collection of renderers in the render window.
//// \item @|obj.Render ()| -  Ask each renderer owned by this RenderWindow to render its image and
// synchronize this process.
//// \item @|obj.Start ()| -  Initialize the rendering process.
//// \item @|obj.Finalize ()| -  Finalize the rendering process.
//// \item @|obj.Frame ()| -  A termination method performed at the end of the rendering process
// to do things like swapping buffers (if necessary) or similar actions.
//// \item @|obj.WaitForCompletion ()| -  Block the thread until the actual rendering is finished().
// Useful for measurement only.
//// \item @|obj.CopyResultFrame ()| -  Performed at the end of the rendering process to generate image.
// This is typically done right before swapping buffers.
//// \item @|vtkRenderWindowInteractor = obj.MakeRenderWindowInteractor ()| -  Create an interactor to control renderers in this window. We need
// to know what type of interactor to create, because we might be in
// X Windows or MS Windows.
//// \item @|obj.HideCursor ()| -  Hide or Show the mouse cursor, it is nice to be able to hide the
// default cursor if you want VTK to display a 3D cursor instead.
// Set cursor position in window (note that (0,0) is the lower left
// corner).
//// \item @|obj.ShowCursor ()| -  Hide or Show the mouse cursor, it is nice to be able to hide the
// default cursor if you want VTK to display a 3D cursor instead.
// Set cursor position in window (note that (0,0) is the lower left
// corner).
//// \item @|obj.SetCursorPosition (int , int )| -  Hide or Show the mouse cursor, it is nice to be able to hide the
// default cursor if you want VTK to display a 3D cursor instead.
// Set cursor position in window (note that (0,0) is the lower left
// corner).
//// \item @|obj.SetCurrentCursor (int )| -  Change the shape of the cursor.
//// \item @|int = obj.GetCurrentCursor ()| -  Change the shape of the cursor.
//// \item @|obj.SetFullScreen (int )| -  Turn on/off rendering full screen window size.
//// \item @|int = obj.GetFullScreen ()| -  Turn on/off rendering full screen window size.
//// \item @|obj.FullScreenOn ()| -  Turn on/off rendering full screen window size.
//// \item @|obj.FullScreenOff ()| -  Turn on/off rendering full screen window size.
//// \item @|obj.SetBorders (int )| -  Turn on/off window manager borders. Typically, you shouldn't turn the
// borders off, because that bypasses the window manager and can cause
// undesirable behavior.
//// \item @|int = obj.GetBorders ()| -  Turn on/off window manager borders. Typically, you shouldn't turn the
// borders off, because that bypasses the window manager and can cause
// undesirable behavior.
//// \item @|obj.BordersOn ()| -  Turn on/off window manager borders. Typically, you shouldn't turn the
// borders off, because that bypasses the window manager and can cause
// undesirable behavior.
//// \item @|obj.BordersOff ()| -  Turn on/off window manager borders. Typically, you shouldn't turn the
// borders off, because that bypasses the window manager and can cause
// undesirable behavior.
//// \item @|int = obj.GetStereoCapableWindow ()| -  Prescribe that the window be created in a stereo-capable mode. This
// method must be called before the window is realized. Default is off.
//// \item @|obj.StereoCapableWindowOn ()| -  Prescribe that the window be created in a stereo-capable mode. This
// method must be called before the window is realized. Default is off.
//// \item @|obj.StereoCapableWindowOff ()| -  Prescribe that the window be created in a stereo-capable mode. This
// method must be called before the window is realized. Default is off.
//// \item @|obj.SetStereoCapableWindow (int capable)| -  Prescribe that the window be created in a stereo-capable mode. This
// method must be called before the window is realized. Default is off.
//// \item @|int = obj.GetStereoRender ()| -  Turn on/off stereo rendering.
//// \item @|obj.SetStereoRender (int stereo)| -  Turn on/off stereo rendering.
//// \item @|obj.StereoRenderOn ()| -  Turn on/off stereo rendering.
//// \item @|obj.StereoRenderOff ()| -  Turn on/off stereo rendering.
//// \item @|obj.SetAlphaBitPlanes (int )| -  Turn on/off the use of alpha bitplanes.
//// \item @|int = obj.GetAlphaBitPlanes ()| -  Turn on/off the use of alpha bitplanes.
//// \item @|obj.AlphaBitPlanesOn ()| -  Turn on/off the use of alpha bitplanes.
//// \item @|obj.AlphaBitPlanesOff ()| -  Turn on/off the use of alpha bitplanes.
//// \item @|obj.SetPointSmoothing (int )| -  Turn on/off point smoothing. Default is off.
// This must be applied before the first Render.
//// \item @|int = obj.GetPointSmoothing ()| -  Turn on/off point smoothing. Default is off.
// This must be applied before the first Render.
//// \item @|obj.PointSmoothingOn ()| -  Turn on/off point smoothing. Default is off.
// This must be applied before the first Render.
//// \item @|obj.PointSmoothingOff ()| -  Turn on/off point smoothing. Default is off.
// This must be applied before the first Render.
//// \item @|obj.SetLineSmoothing (int )| -  Turn on/off line smoothing. Default is off.
// This must be applied before the first Render.
//// \item @|int = obj.GetLineSmoothing ()| -  Turn on/off line smoothing. Default is off.
// This must be applied before the first Render.
//// \item @|obj.LineSmoothingOn ()| -  Turn on/off line smoothing. Default is off.
// This must be applied before the first Render.
//// \item @|obj.LineSmoothingOff ()| -  Turn on/off line smoothing. Default is off.
// This must be applied before the first Render.
//// \item @|obj.SetPolygonSmoothing (int )| -  Turn on/off polygon smoothing. Default is off.
// This must be applied before the first Render.
//// \item @|int = obj.GetPolygonSmoothing ()| -  Turn on/off polygon smoothing. Default is off.
// This must be applied before the first Render.
//// \item @|obj.PolygonSmoothingOn ()| -  Turn on/off polygon smoothing. Default is off.
// This must be applied before the first Render.
//// \item @|obj.PolygonSmoothingOff ()| -  Turn on/off polygon smoothing. Default is off.
// This must be applied before the first Render.
//// \item @|int = obj.GetStereoType ()| -  Set/Get what type of stereo rendering to use.  CrystalEyes
// mode uses frame-sequential capabilities available in OpenGL
// to drive LCD shutter glasses and stereo projectors.  RedBlue
// mode is a simple type of stereo for use with red-blue glasses.
// Anaglyph mode is a superset of RedBlue mode, but the color
// output channels can be configured using the AnaglyphColorMask
// and the color of the original image can be (somewhat) maintained
// using AnaglyphColorSaturation;  the default colors for Anaglyph
// mode is red-cyan.  Interlaced stereo mode produces a composite
// image where horizontal lines alternate between left and right
// views.  StereoLeft and StereoRight modes choose one or the other
// stereo view.  Dresden mode is yet another stereoscopic
// interleaving.
//// \item @|obj.SetStereoType (int )| -  Set/Get what type of stereo rendering to use.  CrystalEyes
// mode uses frame-sequential capabilities available in OpenGL
// to drive LCD shutter glasses and stereo projectors.  RedBlue
// mode is a simple type of stereo for use with red-blue glasses.
// Anaglyph mode is a superset of RedBlue mode, but the color
// output channels can be configured using the AnaglyphColorMask
// and the color of the original image can be (somewhat) maintained
// using AnaglyphColorSaturation;  the default colors for Anaglyph
// mode is red-cyan.  Interlaced stereo mode produces a composite
// image where horizontal lines alternate between left and right
// views.  StereoLeft and StereoRight modes choose one or the other
// stereo view.  Dresden mode is yet another stereoscopic
// interleaving.
//// \item @|obj.SetStereoTypeToCrystalEyes ()| -  Set/Get what type of stereo rendering to use.  CrystalEyes
// mode uses frame-sequential capabilities available in OpenGL
// to drive LCD shutter glasses and stereo projectors.  RedBlue
// mode is a simple type of stereo for use with red-blue glasses.
// Anaglyph mode is a superset of RedBlue mode, but the color
// output channels can be configured using the AnaglyphColorMask
// and the color of the original image can be (somewhat) maintained
// using AnaglyphColorSaturation;  the default colors for Anaglyph
// mode is red-cyan.  Interlaced stereo mode produces a composite
// image where horizontal lines alternate between left and right
// views.  StereoLeft and StereoRight modes choose one or the other
// stereo view.  Dresden mode is yet another stereoscopic
// interleaving.
//// \item @|obj.SetStereoTypeToRedBlue ()| -  Set/Get what type of stereo rendering to use.  CrystalEyes
// mode uses frame-sequential capabilities available in OpenGL
// to drive LCD shutter glasses and stereo projectors.  RedBlue
// mode is a simple type of stereo for use with red-blue glasses.
// Anaglyph mode is a superset of RedBlue mode, but the color
// output channels can be configured using the AnaglyphColorMask
// and the color of the original image can be (somewhat) maintained
// using AnaglyphColorSaturation;  the default colors for Anaglyph
// mode is red-cyan.  Interlaced stereo mode produces a composite
// image where horizontal lines alternate between left and right
// views.  StereoLeft and StereoRight modes choose one or the other
// stereo view.  Dresden mode is yet another stereoscopic
// interleaving.
//// \item @|obj.SetStereoTypeToInterlaced ()| -  Set/Get what type of stereo rendering to use.  CrystalEyes
// mode uses frame-sequential capabilities available in OpenGL
// to drive LCD shutter glasses and stereo projectors.  RedBlue
// mode is a simple type of stereo for use with red-blue glasses.
// Anaglyph mode is a superset of RedBlue mode, but the color
// output channels can be configured using the AnaglyphColorMask
// and the color of the original image can be (somewhat) maintained
// using AnaglyphColorSaturation;  the default colors for Anaglyph
// mode is red-cyan.  Interlaced stereo mode produces a composite
// image where horizontal lines alternate between left and right
// views.  StereoLeft and StereoRight modes choose one or the other
// stereo view.  Dresden mode is yet another stereoscopic
// interleaving.
//// \item @|obj.SetStereoTypeToLeft ()| -  Set/Get what type of stereo rendering to use.  CrystalEyes
// mode uses frame-sequential capabilities available in OpenGL
// to drive LCD shutter glasses and stereo projectors.  RedBlue
// mode is a simple type of stereo for use with red-blue glasses.
// Anaglyph mode is a superset of RedBlue mode, but the color
// output channels can be configured using the AnaglyphColorMask
// and the color of the original image can be (somewhat) maintained
// using AnaglyphColorSaturation;  the default colors for Anaglyph
// mode is red-cyan.  Interlaced stereo mode produces a composite
// image where horizontal lines alternate between left and right
// views.  StereoLeft and StereoRight modes choose one or the other
// stereo view.  Dresden mode is yet another stereoscopic
// interleaving.
//// \item @|obj.SetStereoTypeToRight ()| -  Set/Get what type of stereo rendering to use.  CrystalEyes
// mode uses frame-sequential capabilities available in OpenGL
// to drive LCD shutter glasses and stereo projectors.  RedBlue
// mode is a simple type of stereo for use with red-blue glasses.
// Anaglyph mode is a superset of RedBlue mode, but the color
// output channels can be configured using the AnaglyphColorMask
// and the color of the original image can be (somewhat) maintained
// using AnaglyphColorSaturation;  the default colors for Anaglyph
// mode is red-cyan.  Interlaced stereo mode produces a composite
// image where horizontal lines alternate between left and right
// views.  StereoLeft and StereoRight modes choose one or the other
// stereo view.  Dresden mode is yet another stereoscopic
// interleaving.
//// \item @|obj.SetStereoTypeToDresden ()| -  Set/Get what type of stereo rendering to use.  CrystalEyes
// mode uses frame-sequential capabilities available in OpenGL
// to drive LCD shutter glasses and stereo projectors.  RedBlue
// mode is a simple type of stereo for use with red-blue glasses.
// Anaglyph mode is a superset of RedBlue mode, but the color
// output channels can be configured using the AnaglyphColorMask
// and the color of the original image can be (somewhat) maintained
// using AnaglyphColorSaturation;  the default colors for Anaglyph
// mode is red-cyan.  Interlaced stereo mode produces a composite
// image where horizontal lines alternate between left and right
// views.  StereoLeft and StereoRight modes choose one or the other
// stereo view.  Dresden mode is yet another stereoscopic
// interleaving.
//// \item @|obj.SetStereoTypeToAnaglyph ()| -  Set/Get what type of stereo rendering to use.  CrystalEyes
// mode uses frame-sequential capabilities available in OpenGL
// to drive LCD shutter glasses and stereo projectors.  RedBlue
// mode is a simple type of stereo for use with red-blue glasses.
// Anaglyph mode is a superset of RedBlue mode, but the color
// output channels can be configured using the AnaglyphColorMask
// and the color of the original image can be (somewhat) maintained
// using AnaglyphColorSaturation;  the default colors for Anaglyph
// mode is red-cyan.  Interlaced stereo mode produces a composite
// image where horizontal lines alternate between left and right
// views.  StereoLeft and StereoRight modes choose one or the other
// stereo view.  Dresden mode is yet another stereoscopic
// interleaving.
//// \item @|obj.SetStereoTypeToCheckerboard ()|
// \item @|string = obj.GetStereoTypeAsString ()|
// \item @|obj.StereoUpdate ()| -  Update the system, if needed, due to stereo rendering. For some stereo
// methods, subclasses might need to switch some hardware settings here.
//// \item @|obj.StereoMidpoint ()| -  Intermediate method performs operations required between the rendering
// of the left and right eye.
//// \item @|obj.StereoRenderComplete ()| -  Handles work required once both views have been rendered when using
// stereo rendering.
//// \item @|obj.SetAnaglyphColorSaturation (float )|
// \item @|float = obj.GetAnaglyphColorSaturationMinValue ()|
// \item @|float = obj.GetAnaglyphColorSaturationMaxValue ()|
// \item @|float = obj.GetAnaglyphColorSaturation ()|
// \item @|obj.SetAnaglyphColorMask (int , int )|
// \item @|obj.SetAnaglyphColorMask (int  a[2])|
// \item @|int = obj. GetAnaglyphColorMask ()|
// \item @|obj.WindowRemap ()| -  Remap the rendering window. This probably only works on UNIX right now.
// It is useful for changing properties that can't normally be changed
// once the window is up.
//// \item @|obj.SetSwapBuffers (int )| -  Turn on/off buffer swapping between images.
//// \item @|int = obj.GetSwapBuffers ()| -  Turn on/off buffer swapping between images.
//// \item @|obj.SwapBuffersOn ()| -  Turn on/off buffer swapping between images.
//// \item @|obj.SwapBuffersOff ()| -  Turn on/off buffer swapping between images.
//// \item @|int = obj.SetPixelData (int x, int y, int x2, int y2, string data, int front)| -  Set/Get the pixel data of an image, transmitted as RGBRGBRGB. The
// front argument indicates if the front buffer should be used or the back
// buffer. It is the caller's responsibility to delete the resulting
// array. It is very important to realize that the memory in this array
// is organized from the bottom of the window to the top. The origin
// of the screen is in the lower left corner. The y axis increases as
// you go up the screen. So the storage of pixels is from left to right
// and from bottom to top.
// (x,y) is any corner of the rectangle. (x2,y2) is its opposite corner on
// the diagonal.
//// \item @|int = obj.SetPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray data, int front)| -  Set/Get the pixel data of an image, transmitted as RGBRGBRGB. The
// front argument indicates if the front buffer should be used or the back
// buffer. It is the caller's responsibility to delete the resulting
// array. It is very important to realize that the memory in this array
// is organized from the bottom of the window to the top. The origin
// of the screen is in the lower left corner. The y axis increases as
// you go up the screen. So the storage of pixels is from left to right
// and from bottom to top.
// (x,y) is any corner of the rectangle. (x2,y2) is its opposite corner on
// the diagonal.
//// \item @|int = obj.GetRGBAPixelData (int x, int y, int x2, int y2, int front, vtkFloatArray data)| -  Same as Get/SetPixelData except that the image also contains an alpha
// component. The image is transmitted as RGBARGBARGBA... each of which is a
// float value. The "blend" parameter controls whether the SetRGBAPixelData
// method blends the data with the previous contents of the frame buffer
// or completely replaces the frame buffer data.
//// \item @|int = obj.SetRGBAPixelData (int x, int y, int x2, int y2, float , int front, int blend)| -  Same as Get/SetPixelData except that the image also contains an alpha
// component. The image is transmitted as RGBARGBARGBA... each of which is a
// float value. The "blend" parameter controls whether the SetRGBAPixelData
// method blends the data with the previous contents of the frame buffer
// or completely replaces the frame buffer data.
//// \item @|int = obj.SetRGBAPixelData (int , int , int , int , vtkFloatArray , int , int blend)| -  Same as Get/SetPixelData except that the image also contains an alpha
// component. The image is transmitted as RGBARGBARGBA... each of which is a
// float value. The "blend" parameter controls whether the SetRGBAPixelData
// method blends the data with the previous contents of the frame buffer
// or completely replaces the frame buffer data.
//// \item @|obj.ReleaseRGBAPixelData (float data)| -  Same as Get/SetPixelData except that the image also contains an alpha
// component. The image is transmitted as RGBARGBARGBA... each of which is a
// float value. The "blend" parameter controls whether the SetRGBAPixelData
// method blends the data with the previous contents of the frame buffer
// or completely replaces the frame buffer data.
//// \item @|int = obj.GetRGBACharPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray data)| -  Same as Get/SetPixelData except that the image also contains an alpha
// component. The image is transmitted as RGBARGBARGBA... each of which is a
// float value. The "blend" parameter controls whether the SetRGBAPixelData
// method blends the data with the previous contents of the frame buffer
// or completely replaces the frame buffer data.
//// \item @|int = obj.SetRGBACharPixelData (int x, int y, int x2, int y2, string data, int front, int blend)| -  Same as Get/SetPixelData except that the image also contains an alpha
// component. The image is transmitted as RGBARGBARGBA... each of which is a
// float value. The "blend" parameter controls whether the SetRGBAPixelData
// method blends the data with the previous contents of the frame buffer
// or completely replaces the frame buffer data.
//// \item @|int = obj.SetRGBACharPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray data, int front, int blend)| -  Same as Get/SetPixelData except that the image also contains an alpha
// component. The image is transmitted as RGBARGBARGBA... each of which is a
// float value. The "blend" parameter controls whether the SetRGBAPixelData
// method blends the data with the previous contents of the frame buffer
// or completely replaces the frame buffer data.
//// \item @|int = obj.GetZbufferData (int x, int y, int x2, int y2, float z)| -  Set/Get the zbuffer data from the frame buffer.
// (x,y) is any corner of the rectangle. (x2,y2) is its opposite corner on
// the diagonal.
//// \item @|int = obj.GetZbufferData (int x, int y, int x2, int y2, vtkFloatArray z)| -  Set/Get the zbuffer data from the frame buffer.
// (x,y) is any corner of the rectangle. (x2,y2) is its opposite corner on
// the diagonal.
//// \item @|int = obj.SetZbufferData (int x, int y, int x2, int y2, float z)| -  Set/Get the zbuffer data from the frame buffer.
// (x,y) is any corner of the rectangle. (x2,y2) is its opposite corner on
// the diagonal.
//// \item @|int = obj.SetZbufferData (int x, int y, int x2, int y2, vtkFloatArray z)| -  Set/Get the zbuffer data from the frame buffer.
// (x,y) is any corner of the rectangle. (x2,y2) is its opposite corner on
// the diagonal.
//// \item @|float = obj.GetZbufferDataAtPoint (int x, int y)| -  Set the number of frames for doing antialiasing. The default is
// zero. Typically five or six will yield reasonable results without
// taking too long.
//// \item @|int = obj.GetAAFrames ()| -  Set the number of frames for doing antialiasing. The default is
// zero. Typically five or six will yield reasonable results without
// taking too long.
//// \item @|obj.SetAAFrames (int )| -  Set the number of frames for doing antialiasing. The default is
// zero. Typically five or six will yield reasonable results without
// taking too long.
//// \item @|int = obj.GetFDFrames ()| -  Set the number of frames for doing focal depth. The default is zero.
// Depending on how your scene is organized you can get away with as
// few as four frames for focal depth or you might need thirty.
// One thing to note is that if you are using focal depth frames,
// then you will not need many (if any) frames for antialiasing.
//// \item @|obj.SetFDFrames (int )| -  Set the number of frames for doing focal depth. The default is zero.
// Depending on how your scene is organized you can get away with as
// few as four frames for focal depth or you might need thirty.
// One thing to note is that if you are using focal depth frames,
// then you will not need many (if any) frames for antialiasing.
//// \item @|int = obj.GetSubFrames ()| -  Set the number of sub frames for doing motion blur. The default is zero.
// Once this is set greater than one, you will no longer see a new frame
// for every Render().  If you set this to five, you will need to do
// five Render() invocations before seeing the result. This isn't
// very impressive unless something is changing between the Renders.
// Changing this value may reset the current subframe count.
//// \item @|obj.SetSubFrames (int subFrames)| -  Set the number of sub frames for doing motion blur. The default is zero.
// Once this is set greater than one, you will no longer see a new frame
// for every Render().  If you set this to five, you will need to do
// five Render() invocations before seeing the result. This isn't
// very impressive unless something is changing between the Renders.
// Changing this value may reset the current subframe count.
//// \item @|int = obj.GetNeverRendered ()| -  This flag is set if the window hasn't rendered since it was created
//// \item @|int = obj.GetAbortRender ()| -  This is a flag that can be set to interrupt a rendering that is in
// progress.
//// \item @|obj.SetAbortRender (int )| -  This is a flag that can be set to interrupt a rendering that is in
// progress.
//// \item @|int = obj.GetInAbortCheck ()| -  This is a flag that can be set to interrupt a rendering that is in
// progress.
//// \item @|obj.SetInAbortCheck (int )| -  This is a flag that can be set to interrupt a rendering that is in
// progress.
//// \item @|int = obj.CheckAbortStatus ()| -  This is a flag that can be set to interrupt a rendering that is in
// progress.
//// \item @|int = obj.GetIsPicking ()|
// \item @|obj.SetIsPicking (int )|
// \item @|obj.IsPickingOn ()|
// \item @|obj.IsPickingOff ()|
// \item @|int = obj.GetEventPending ()| -  Check to see if a mouse button has been pressed.  All other events
// are ignored by this method.  Ideally, you want to abort the render
// on any event which causes the DesiredUpdateRate to switch from
// a high-quality rate to a more interactive rate.
//// \item @|int = obj.CheckInRenderStatus ()| -  Clear status (after an exception was thrown for example)
//// \item @|obj.ClearInRenderStatus ()| -  Set/Get the desired update rate. This is used with
// the vtkLODActor class. When using level of detail actors you
// need to specify what update rate you require. The LODActors then
// will pick the correct resolution to meet your desired update rate
// in frames per second. A value of zero indicates that they can use
// all the time they want to.
//// \item @|obj.SetDesiredUpdateRate (double )| -  Set/Get the desired update rate. This is used with
// the vtkLODActor class. When using level of detail actors you
// need to specify what update rate you require. The LODActors then
// will pick the correct resolution to meet your desired update rate
// in frames per second. A value of zero indicates that they can use
// all the time they want to.
//// \item @|double = obj.GetDesiredUpdateRate ()| -  Set/Get the desired update rate. This is used with
// the vtkLODActor class. When using level of detail actors you
// need to specify what update rate you require. The LODActors then
// will pick the correct resolution to meet your desired update rate
// in frames per second. A value of zero indicates that they can use
// all the time they want to.
//// \item @|int = obj.GetNumberOfLayers ()| -  Get the number of layers for renderers.  Each renderer should have
// its layer set individually.  Some algorithms iterate through all layers,
// so it is not wise to set the number of layers to be exorbitantly large
// (say bigger than 100).
//// \item @|obj.SetNumberOfLayers (int )| -  Get the number of layers for renderers.  Each renderer should have
// its layer set individually.  Some algorithms iterate through all layers,
// so it is not wise to set the number of layers to be exorbitantly large
// (say bigger than 100).
//// \item @|int = obj.GetNumberOfLayersMinValue ()| -  Get the number of layers for renderers.  Each renderer should have
// its layer set individually.  Some algorithms iterate through all layers,
// so it is not wise to set the number of layers to be exorbitantly large
// (say bigger than 100).
//// \item @|int = obj.GetNumberOfLayersMaxValue ()| -  Get the number of layers for renderers.  Each renderer should have
// its layer set individually.  Some algorithms iterate through all layers,
// so it is not wise to set the number of layers to be exorbitantly large
// (say bigger than 100).
//// \item @|vtkRenderWindowInteractor = obj.GetInteractor ()| -  Get the interactor associated with this render window
//// \item @|obj.SetInteractor (vtkRenderWindowInteractor )| -  Set the interactor to the render window
//// \item @|obj.UnRegister (vtkObjectBase o)| -  This Method detects loops of RenderWindow<->Interactor,
// so objects are freed properly.
//// \item @|obj.SetWindowInfo (string )| -  Dummy stubs for vtkWindow API.
//// \item @|obj.SetNextWindowInfo (string )| -  Dummy stubs for vtkWindow API.
//// \item @|obj.SetParentInfo (string )| -  Dummy stubs for vtkWindow API.
//// \item @|obj.MakeCurrent ()| -  Attempt to make this window the current graphics context for the calling
// thread.
//// \item @|bool = obj.IsCurrent ()| -  Tells if this window is the current graphics context for the calling
// thread.
//// \item @|obj.SetForceMakeCurrent ()| -  If called, allow MakeCurrent() to skip cache-check when called.
// MakeCurrent() reverts to original behavior of cache-checking
// on the next render.
//// \item @|string = obj.ReportCapabilities ()| -  Get report of capabilities for the render window
//// \item @|int = obj.SupportsOpenGL ()| -  Does this render window support OpenGL? 0-false, 1-true
//// \item @|int = obj.IsDirect ()| -  Is this render window using hardware acceleration? 0-false, 1-true
//// \item @|int = obj.GetDepthBufferSize ()| -  This method should be defined by the subclass. How many bits of
// precision are there in the zbuffer?
//// \item @|int = obj.GetColorBufferSizes (int rgba)| -  Get the size of the color buffer.
// Returns 0 if not able to determine otherwise sets R G B and A into buffer.
//// \item @|vtkPainterDeviceAdapter = obj.GetPainterDeviceAdapter ()| -  Get the vtkPainterDeviceAdapter which can be used to paint on
// this render window.
//// \item @|obj.SetMultiSamples (int )| -  Set / Get the number of multisamples to use for hardware antialiasing.
//// \item @|int = obj.GetMultiSamples ()| -  Set / Get the number of multisamples to use for hardware antialiasing.
//// \item @|obj.SetStencilCapable (int )| -  Set / Get the availability of the stencil buffer.
//// \item @|int = obj.GetStencilCapable ()| -  Set / Get the availability of the stencil buffer.
//// \item @|obj.StencilCapableOn ()| -  Set / Get the availability of the stencil buffer.
//// \item @|obj.StencilCapableOff ()| -  Set / Get the availability of the stencil buffer.
//// \item @|obj.SetReportGraphicErrors (int )| -  Turn on/off report of graphic errors. Initial value is false (off).
// This flag is used by vtkGraphicErrorMacro.
//// \item @|int = obj.GetReportGraphicErrors ()| -  Turn on/off report of graphic errors. Initial value is false (off).
// This flag is used by vtkGraphicErrorMacro.
//// \item @|obj.ReportGraphicErrorsOn ()| -  Turn on/off report of graphic errors. Initial value is false (off).
// This flag is used by vtkGraphicErrorMacro.
//// \item @|obj.ReportGraphicErrorsOff ()| -  Turn on/off report of graphic errors. Initial value is false (off).
// This flag is used by vtkGraphicErrorMacro.
//// \item @|obj.CheckGraphicError ()| -  Update graphic error status, regardless of ReportGraphicErrors flag.
// It means this method can be used in any context and is not restricted to
// debug mode.
//// \item @|int = obj.HasGraphicError ()| -  Return the last graphic error status. Initial value is false.
//// \item @|string = obj.GetLastGraphicErrorString ()| -  Return a string matching the last graphic error status.
////\end{itemize}
//!
