#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRenderWindowCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRenderWindowCollection.h"

//@@Signature
//sfunction @vtkRenderWindowCollection:vtkRenderWindowCollection vtkRenderWindowCollectionConstructorFunction
//input a
//output p
//@@Parents vtkRenderWindowCollection vtkCollection 
ArrayVector vtkRenderWindowCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRenderWindowCollection::New(),"vtkRenderWindowCollection",eval);
  } else if (arg[0].className() == "vtkRenderWindowCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRenderWindowCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRenderWindowCollection");
    vtkRenderWindowCollection*q = reinterpret_cast<vtkRenderWindowCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRenderWindowCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRenderWindowCollection:GetClassName vtkRenderWindowCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRenderWindowCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRenderWindowCollection requires 1 argument(s)");
  vtkRenderWindowCollection* vtk_pointer = GetVTKPointer<vtkRenderWindowCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowCollection:IsA vtkRenderWindowCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRenderWindowCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRenderWindowCollection requires 2 argument(s)");
  vtkRenderWindowCollection* vtk_pointer = GetVTKPointer<vtkRenderWindowCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowCollection:NewInstance vtkRenderWindowCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRenderWindowCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindowCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRenderWindowCollection requires 1 argument(s)");
  vtkRenderWindowCollection* vtk_pointer = GetVTKPointer<vtkRenderWindowCollection>(arg[0]);
  Array retval;
  vtkRenderWindowCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindowCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowCollection:SafeDownCast vtkRenderWindowCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRenderWindowCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindowCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRenderWindowCollection requires 2 argument(s)");
  vtkRenderWindowCollection* vtk_pointer = GetVTKPointer<vtkRenderWindowCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRenderWindowCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindowCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowCollection:AddItem__1 vtkRenderWindowCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderWindowCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkRenderWindow *a);this vtkCollection AddItem a  */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkRenderWindowCollection requires 2 argument(s)");
  vtkRenderWindowCollection* vtk_pointer = GetVTKPointer<vtkRenderWindowCollection>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowCollection:GetNextItem vtkRenderWindowCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkRenderWindowCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *GetNextItem ();return static_cast vtkRenderWindow this GetNextItemAsObject  */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkRenderWindowCollection requires 1 argument(s)");
  vtkRenderWindowCollection* vtk_pointer = GetVTKPointer<vtkRenderWindowCollection>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowCollection:AddItem vtkRenderWindowCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkRenderWindow"))
    return vtkRenderWindowCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowCollectionAddItem");
}

//@@Signature
//sfunction @vtkRenderWindowCollection:display vtkRenderWindowCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRenderWindowCollection* vtk_pointer = GetVTKPointer<vtkRenderWindowCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRenderWindowCollection:delete vtkRenderWindowCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkRenderWindowCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRenderWindowCollection
//@@Section VTKRendering
//@@Usage
// vtkRenderWindowCollection represents and provides methods to manipulate a 
// list of RenderWindows. The list is unsorted and duplicate entries are 
// not prevented.
//
//To create an instance of class vtkRenderWindowCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkRenderWindowCollection
//@]
//@@Methods
//The class vtkRenderWindowCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRenderWindowCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRenderWindowCollection = obj.NewInstance ()|
// \item @|vtkRenderWindowCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkRenderWindow a)| -  Get the next RenderWindow in the list. Return NULL when at the end of the 
// list.
//// \item @|vtkRenderWindow = obj.GetNextItem ()|
//\end{itemize}
//!
