#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRenderWindowInteractor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRenderWindowInteractor.h"

//@@Signature
//sfunction @vtkRenderWindowInteractor:vtkRenderWindowInteractor vtkRenderWindowInteractorConstructorFunction
//input a
//output p
//@@Parents vtkRenderWindowInteractor vtkObject 
ArrayVector vtkRenderWindowInteractorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRenderWindowInteractor::New(),"vtkRenderWindowInteractor",eval);
  } else if (arg[0].className() == "vtkRenderWindowInteractor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRenderWindowInteractor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRenderWindowInteractor");
    vtkRenderWindowInteractor*q = reinterpret_cast<vtkRenderWindowInteractor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRenderWindowInteractor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRenderWindowInteractor:GetClassName vtkRenderWindowInteractorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:IsA vtkRenderWindowInteractorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRenderWindowInteractorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:NewInstance vtkRenderWindowInteractorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindowInteractor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindowInteractor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SafeDownCast vtkRenderWindowInteractorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRenderWindowInteractorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindowInteractor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRenderWindowInteractor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindowInteractor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:Initialize vtkRenderWindowInteractorInitializeFunction
//input a0 
//output none
ArrayVector vtkRenderWindowInteractorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:ReInitialize vtkRenderWindowInteractorReInitializeFunction
//input a0 
//output none
ArrayVector vtkRenderWindowInteractorReInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReInitialize ();this Initialized this Enabled this Initialize  */
  if (arg.size() < 1) 
    throw Exception("Function ReInitialize for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->ReInitialize();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:UnRegister vtkRenderWindowInteractorUnRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorUnRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UnRegister (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function UnRegister for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->UnRegister(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:Start vtkRenderWindowInteractorStartFunction
//input a0 
//output none
ArrayVector vtkRenderWindowInteractorStartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Start (); */
  if (arg.size() < 1) 
    throw Exception("Function Start for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->Start();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:Enable vtkRenderWindowInteractorEnableFunction
//input a0 
//output none
ArrayVector vtkRenderWindowInteractorEnableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Enable ();this Enabled this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function Enable for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->Enable();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:Disable vtkRenderWindowInteractorDisableFunction
//input a0 
//output none
ArrayVector vtkRenderWindowInteractorDisableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Disable ();this Enabled this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function Disable for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->Disable();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetEnabled vtkRenderWindowInteractorGetEnabledFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEnabled (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnabled for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEnabled();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:EnableRenderOn vtkRenderWindowInteractorEnableRenderOnFunction
//input a0 
//output none
ArrayVector vtkRenderWindowInteractorEnableRenderOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableRenderOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableRenderOn for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->EnableRenderOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:EnableRenderOff vtkRenderWindowInteractorEnableRenderOffFunction
//input a0 
//output none
ArrayVector vtkRenderWindowInteractorEnableRenderOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableRenderOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableRenderOff for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->EnableRenderOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetEnableRender vtkRenderWindowInteractorSetEnableRenderFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetEnableRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnableRender (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnableRender for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEnableRender(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetEnableRender vtkRenderWindowInteractorGetEnableRenderFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetEnableRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetEnableRender (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnableRender for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetEnableRender();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetRenderWindow vtkRenderWindowInteractorSetRenderWindowFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRenderWindow (vtkRenderWindow *aren); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderWindow for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  vtk_pointer->SetRenderWindow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetRenderWindow vtkRenderWindowInteractorGetRenderWindowFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *GetRenderWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderWindow for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->GetRenderWindow();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:UpdateSize vtkRenderWindowInteractorUpdateSizeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkRenderWindowInteractorUpdateSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateSize (int x, int y); */
  if (arg.size() < 3) 
    throw Exception("Function UpdateSize for class vtkRenderWindowInteractor requires 3 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->UpdateSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:CreateTimer vtkRenderWindowInteractorCreateTimerFunction
//input a0 a1 
//output y
ArrayVector vtkRenderWindowInteractorCreateTimerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CreateTimer (int timerType); */
  if (arg.size() < 2) 
    throw Exception("Function CreateTimer for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->CreateTimer(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:DestroyTimer__1 vtkRenderWindowInteractorDestroyTimer__1Function
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorDestroyTimer__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int DestroyTimer (); */
  if (arg.size() < 1) 
    throw Exception("Function DestroyTimer__1 for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->DestroyTimer();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:CreateRepeatingTimer vtkRenderWindowInteractorCreateRepeatingTimerFunction
//input a0 a1 
//output y
ArrayVector vtkRenderWindowInteractorCreateRepeatingTimerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CreateRepeatingTimer (unsigned long duration); */
  if (arg.size() < 2) 
    throw Exception("Function CreateRepeatingTimer for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  unsigned long     temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  temp20 = (vtk_pointer)->CreateRepeatingTimer(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:CreateOneShotTimer vtkRenderWindowInteractorCreateOneShotTimerFunction
//input a0 a1 
//output y
ArrayVector vtkRenderWindowInteractorCreateOneShotTimerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CreateOneShotTimer (unsigned long duration); */
  if (arg.size() < 2) 
    throw Exception("Function CreateOneShotTimer for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  unsigned long     temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  temp20 = (vtk_pointer)->CreateOneShotTimer(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:IsOneShotTimer vtkRenderWindowInteractorIsOneShotTimerFunction
//input a0 a1 
//output y
ArrayVector vtkRenderWindowInteractorIsOneShotTimerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsOneShotTimer (int timerId); */
  if (arg.size() < 2) 
    throw Exception("Function IsOneShotTimer for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsOneShotTimer(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetTimerDuration__1 vtkRenderWindowInteractorGetTimerDuration__1Function
//input a0 a1 
//output y
ArrayVector vtkRenderWindowInteractorGetTimerDuration__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetTimerDuration (int timerId); */
  if (arg.size() < 2) 
    throw Exception("Function GetTimerDuration__1 for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  unsigned long     temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTimerDuration(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:ResetTimer vtkRenderWindowInteractorResetTimerFunction
//input a0 a1 
//output y
ArrayVector vtkRenderWindowInteractorResetTimerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ResetTimer (int timerId); */
  if (arg.size() < 2) 
    throw Exception("Function ResetTimer for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->ResetTimer(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:DestroyTimer__2 vtkRenderWindowInteractorDestroyTimer__2Function
//input a0 a1 
//output y
ArrayVector vtkRenderWindowInteractorDestroyTimer__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int DestroyTimer (int timerId); */
  if (arg.size() < 2) 
    throw Exception("Function DestroyTimer__2 for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->DestroyTimer(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetVTKTimerId vtkRenderWindowInteractorGetVTKTimerIdFunction
//input a0 a1 
//output y
ArrayVector vtkRenderWindowInteractorGetVTKTimerIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetVTKTimerId (int platformTimerId); */
  if (arg.size() < 2) 
    throw Exception("Function GetVTKTimerId for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVTKTimerId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetTimerDuration vtkRenderWindowInteractorSetTimerDurationFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetTimerDurationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimerDuration (unsigned long ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimerDuration for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  unsigned long     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  vtk_pointer->SetTimerDuration(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetTimerDurationMinValue vtkRenderWindowInteractorGetTimerDurationMinValueFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetTimerDurationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned GetTimerDurationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimerDurationMinValue for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetTimerDurationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetTimerDurationMaxValue vtkRenderWindowInteractorGetTimerDurationMaxValueFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetTimerDurationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned GetTimerDurationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimerDurationMaxValue for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetTimerDurationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetTimerDuration__2 vtkRenderWindowInteractorGetTimerDuration__2Function
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetTimerDuration__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long unsigned GetTimerDuration (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimerDuration__2 for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetTimerDuration();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetTimerEventId vtkRenderWindowInteractorSetTimerEventIdFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetTimerEventIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimerEventId (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimerEventId for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimerEventId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetTimerEventId vtkRenderWindowInteractorGetTimerEventIdFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetTimerEventIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimerEventId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimerEventId for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTimerEventId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetTimerEventType vtkRenderWindowInteractorSetTimerEventTypeFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetTimerEventTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimerEventType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimerEventType for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimerEventType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetTimerEventType vtkRenderWindowInteractorGetTimerEventTypeFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetTimerEventTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimerEventType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimerEventType for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTimerEventType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetTimerEventDuration vtkRenderWindowInteractorSetTimerEventDurationFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetTimerEventDurationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimerEventDuration (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimerEventDuration for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimerEventDuration(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetTimerEventDuration vtkRenderWindowInteractorGetTimerEventDurationFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetTimerEventDurationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimerEventDuration (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimerEventDuration for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTimerEventDuration();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetTimerEventPlatformId vtkRenderWindowInteractorSetTimerEventPlatformIdFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetTimerEventPlatformIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimerEventPlatformId (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimerEventPlatformId for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimerEventPlatformId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetTimerEventPlatformId vtkRenderWindowInteractorGetTimerEventPlatformIdFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetTimerEventPlatformIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimerEventPlatformId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimerEventPlatformId for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTimerEventPlatformId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:TerminateApp vtkRenderWindowInteractorTerminateAppFunction
//input a0 
//output none
ArrayVector vtkRenderWindowInteractorTerminateAppFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void TerminateApp (void ); */
  if (arg.size() < 1) 
    throw Exception("Function TerminateApp for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->TerminateApp();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetInteractorStyle vtkRenderWindowInteractorSetInteractorStyleFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetInteractorStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInteractorStyle (vtkInteractorObserver *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractorStyle for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkInteractorObserver  *temp0;
  temp0 = GetVTKPointer<vtkInteractorObserver>(arg[1]);
  vtk_pointer->SetInteractorStyle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetInteractorStyle vtkRenderWindowInteractorGetInteractorStyleFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetInteractorStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInteractorObserver *GetInteractorStyle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteractorStyle for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkInteractorObserver  *temp20;
  temp20 = (vtk_pointer)->GetInteractorStyle();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorObserver",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetLightFollowCamera vtkRenderWindowInteractorSetLightFollowCameraFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetLightFollowCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLightFollowCamera (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLightFollowCamera for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLightFollowCamera(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetLightFollowCamera vtkRenderWindowInteractorGetLightFollowCameraFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetLightFollowCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLightFollowCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLightFollowCamera for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLightFollowCamera();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:LightFollowCameraOn vtkRenderWindowInteractorLightFollowCameraOnFunction
//input a0 
//output none
ArrayVector vtkRenderWindowInteractorLightFollowCameraOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LightFollowCameraOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LightFollowCameraOn for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->LightFollowCameraOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:LightFollowCameraOff vtkRenderWindowInteractorLightFollowCameraOffFunction
//input a0 
//output none
ArrayVector vtkRenderWindowInteractorLightFollowCameraOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LightFollowCameraOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LightFollowCameraOff for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->LightFollowCameraOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetDesiredUpdateRate vtkRenderWindowInteractorSetDesiredUpdateRateFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetDesiredUpdateRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDesiredUpdateRate (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDesiredUpdateRate for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDesiredUpdateRate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetDesiredUpdateRateMinValue vtkRenderWindowInteractorGetDesiredUpdateRateMinValueFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetDesiredUpdateRateMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDesiredUpdateRateMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDesiredUpdateRateMinValue for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDesiredUpdateRateMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetDesiredUpdateRateMaxValue vtkRenderWindowInteractorGetDesiredUpdateRateMaxValueFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetDesiredUpdateRateMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDesiredUpdateRateMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDesiredUpdateRateMaxValue for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDesiredUpdateRateMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetDesiredUpdateRate vtkRenderWindowInteractorGetDesiredUpdateRateFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetDesiredUpdateRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDesiredUpdateRate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDesiredUpdateRate for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDesiredUpdateRate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetStillUpdateRate vtkRenderWindowInteractorSetStillUpdateRateFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetStillUpdateRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStillUpdateRate (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStillUpdateRate for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetStillUpdateRate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetStillUpdateRateMinValue vtkRenderWindowInteractorGetStillUpdateRateMinValueFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetStillUpdateRateMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStillUpdateRateMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStillUpdateRateMinValue for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStillUpdateRateMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetStillUpdateRateMaxValue vtkRenderWindowInteractorGetStillUpdateRateMaxValueFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetStillUpdateRateMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStillUpdateRateMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStillUpdateRateMaxValue for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStillUpdateRateMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetStillUpdateRate vtkRenderWindowInteractorGetStillUpdateRateFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetStillUpdateRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStillUpdateRate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStillUpdateRate for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStillUpdateRate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetInitialized vtkRenderWindowInteractorGetInitializedFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetInitializedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInitialized (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInitialized for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInitialized();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetPicker vtkRenderWindowInteractorSetPickerFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetPickerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPicker (vtkAbstractPicker *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPicker for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkAbstractPicker  *temp0;
  temp0 = GetVTKPointer<vtkAbstractPicker>(arg[1]);
  vtk_pointer->SetPicker(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetPicker vtkRenderWindowInteractorGetPickerFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetPickerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractPicker *GetPicker (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPicker for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkAbstractPicker  *temp20;
  temp20 = (vtk_pointer)->GetPicker();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:CreateDefaultPicker vtkRenderWindowInteractorCreateDefaultPickerFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorCreateDefaultPickerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAbstractPropPicker *CreateDefaultPicker (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultPicker for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkAbstractPropPicker  *temp20;
  temp20 = (vtk_pointer)->CreateDefaultPicker();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractPropPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:ExitCallback vtkRenderWindowInteractorExitCallbackFunction
//input a0 
//output none
ArrayVector vtkRenderWindowInteractorExitCallbackFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ExitCallback (); */
  if (arg.size() < 1) 
    throw Exception("Function ExitCallback for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->ExitCallback();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:UserCallback vtkRenderWindowInteractorUserCallbackFunction
//input a0 
//output none
ArrayVector vtkRenderWindowInteractorUserCallbackFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UserCallback (); */
  if (arg.size() < 1) 
    throw Exception("Function UserCallback for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->UserCallback();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:StartPickCallback vtkRenderWindowInteractorStartPickCallbackFunction
//input a0 
//output none
ArrayVector vtkRenderWindowInteractorStartPickCallbackFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartPickCallback (); */
  if (arg.size() < 1) 
    throw Exception("Function StartPickCallback for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->StartPickCallback();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:EndPickCallback vtkRenderWindowInteractorEndPickCallbackFunction
//input a0 
//output none
ArrayVector vtkRenderWindowInteractorEndPickCallbackFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndPickCallback (); */
  if (arg.size() < 1) 
    throw Exception("Function EndPickCallback for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->EndPickCallback();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetMousePosition vtkRenderWindowInteractorGetMousePositionFunction
//input a0 a1 a2 
//output none
ArrayVector vtkRenderWindowInteractorGetMousePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetMousePosition (int *x, int *y);x y  */
  if (arg.size() < 3) 
    throw Exception("Function GetMousePosition for class vtkRenderWindowInteractor requires 3 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  vtk_pointer->GetMousePosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:HideCursor vtkRenderWindowInteractorHideCursorFunction
//input a0 
//output none
ArrayVector vtkRenderWindowInteractorHideCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HideCursor (); */
  if (arg.size() < 1) 
    throw Exception("Function HideCursor for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->HideCursor();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:ShowCursor vtkRenderWindowInteractorShowCursorFunction
//input a0 
//output none
ArrayVector vtkRenderWindowInteractorShowCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowCursor (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowCursor for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->ShowCursor();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:Render vtkRenderWindowInteractorRenderFunction
//input a0 
//output none
ArrayVector vtkRenderWindowInteractorRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (); */
  if (arg.size() < 1) 
    throw Exception("Function Render for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->Render();
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:FlyTo__1 vtkRenderWindowInteractorFlyTo__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkRenderWindowInteractorFlyTo__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlyTo (vtkRenderer *ren, double x, double y, double z); */
  if (arg.size() < 5) 
    throw Exception("Function FlyTo__1 for class vtkRenderWindowInteractor requires 5 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->FlyTo(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:FlyTo__2 vtkRenderWindowInteractorFlyTo__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderWindowInteractorFlyTo__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlyTo (vtkRenderer *ren, double *x);this FlyTo ren x x x  */
  if (arg.size() < 3) 
    throw Exception("Function FlyTo__2 for class vtkRenderWindowInteractor requires 3 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->FlyTo(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:FlyToImage__1 vtkRenderWindowInteractorFlyToImage__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkRenderWindowInteractorFlyToImage__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlyToImage (vtkRenderer *ren, double x, double y); */
  if (arg.size() < 4) 
    throw Exception("Function FlyToImage__1 for class vtkRenderWindowInteractor requires 4 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double   temp1;
  double   temp2;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->FlyToImage(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:FlyToImage__2 vtkRenderWindowInteractorFlyToImage__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderWindowInteractorFlyToImage__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlyToImage (vtkRenderer *ren, double *x);this FlyToImage ren x x  */
  if (arg.size() < 3) 
    throw Exception("Function FlyToImage__2 for class vtkRenderWindowInteractor requires 3 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->FlyToImage(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetNumberOfFlyFrames vtkRenderWindowInteractorSetNumberOfFlyFramesFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetNumberOfFlyFramesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfFlyFrames (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfFlyFrames for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfFlyFrames(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetNumberOfFlyFramesMinValue vtkRenderWindowInteractorGetNumberOfFlyFramesMinValueFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetNumberOfFlyFramesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFlyFramesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFlyFramesMinValue for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFlyFramesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetNumberOfFlyFramesMaxValue vtkRenderWindowInteractorGetNumberOfFlyFramesMaxValueFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetNumberOfFlyFramesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFlyFramesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFlyFramesMaxValue for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFlyFramesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetNumberOfFlyFrames vtkRenderWindowInteractorGetNumberOfFlyFramesFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetNumberOfFlyFramesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFlyFrames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFlyFrames for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFlyFrames();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetDolly vtkRenderWindowInteractorSetDollyFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetDollyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDolly (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDolly for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDolly(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetDolly vtkRenderWindowInteractorGetDollyFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetDollyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDolly (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDolly for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDolly();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetEventPosition vtkRenderWindowInteractorGetEventPositionFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetEventPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetEventPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEventPosition for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetEventPosition();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetLastEventPosition vtkRenderWindowInteractorGetLastEventPositionFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetLastEventPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetLastEventPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastEventPosition for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetLastEventPosition();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetLastEventPosition__1 vtkRenderWindowInteractorSetLastEventPosition__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderWindowInteractorSetLastEventPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLastEventPosition (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetLastEventPosition__1 for class vtkRenderWindowInteractor requires 3 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetLastEventPosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetLastEventPosition__2 vtkRenderWindowInteractorSetLastEventPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetLastEventPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLastEventPosition (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetLastEventPosition__2 for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetLastEventPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetEventPosition__1 vtkRenderWindowInteractorSetEventPosition__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderWindowInteractorSetEventPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEventPosition (int x, int y);vtkDebugMacro this GetClassName this x y if this EventPosition x this EventPosition y this LastEventPosition x this LastEventPosition y this LastEventPosition this EventPosition this LastEventPosition this EventPosition this EventPosition x this EventPosition y this Modified  */
  if (arg.size() < 3) 
    throw Exception("Function SetEventPosition__1 for class vtkRenderWindowInteractor requires 3 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetEventPosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetEventPosition__2 vtkRenderWindowInteractorSetEventPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetEventPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEventPosition (int pos[2]);this SetEventPosition pos pos  */
  if (arg.size() < 2) 
    throw Exception("Function SetEventPosition__2 for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetEventPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetEventPositionFlipY__1 vtkRenderWindowInteractorSetEventPositionFlipY__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderWindowInteractorSetEventPositionFlipY__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEventPositionFlipY (int x, int y);this SetEventPosition x this Size y  */
  if (arg.size() < 3) 
    throw Exception("Function SetEventPositionFlipY__1 for class vtkRenderWindowInteractor requires 3 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetEventPositionFlipY(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetEventPositionFlipY__2 vtkRenderWindowInteractorSetEventPositionFlipY__2Function
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetEventPositionFlipY__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEventPositionFlipY (int pos[2]);this SetEventPositionFlipY pos pos  */
  if (arg.size() < 2) 
    throw Exception("Function SetEventPositionFlipY__2 for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetEventPositionFlipY(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetAltKey vtkRenderWindowInteractorSetAltKeyFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetAltKeyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAltKey (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAltKey for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAltKey(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetAltKey vtkRenderWindowInteractorGetAltKeyFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetAltKeyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAltKey (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAltKey for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAltKey();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetControlKey vtkRenderWindowInteractorSetControlKeyFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetControlKeyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetControlKey (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetControlKey for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetControlKey(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetControlKey vtkRenderWindowInteractorGetControlKeyFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetControlKeyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetControlKey (); */
  if (arg.size() < 1) 
    throw Exception("Function GetControlKey for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetControlKey();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetShiftKey vtkRenderWindowInteractorSetShiftKeyFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetShiftKeyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShiftKey (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShiftKey for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShiftKey(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetShiftKey vtkRenderWindowInteractorGetShiftKeyFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetShiftKeyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShiftKey (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShiftKey for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShiftKey();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetKeyCode vtkRenderWindowInteractorSetKeyCodeFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetKeyCodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKeyCode (char ); */
  if (arg.size() < 2) 
    throw Exception("Function SetKeyCode for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  char     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (char) arg[1].asDouble();
  vtk_pointer->SetKeyCode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetKeyCode vtkRenderWindowInteractorGetKeyCodeFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetKeyCodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char GetKeyCode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyCode for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  char     temp20;
  temp20 = (vtk_pointer)->GetKeyCode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetRepeatCount vtkRenderWindowInteractorSetRepeatCountFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetRepeatCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepeatCount (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepeatCount for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRepeatCount(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetRepeatCount vtkRenderWindowInteractorGetRepeatCountFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetRepeatCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepeatCount (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepeatCount for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepeatCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetKeySym vtkRenderWindowInteractorSetKeySymFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetKeySymFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKeySym (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetKeySym for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetKeySym(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetKeySym vtkRenderWindowInteractorGetKeySymFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetKeySymFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetKeySym (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeySym for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetKeySym();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetEventInformation vtkRenderWindowInteractorSetEventInformationFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output none
ArrayVector vtkRenderWindowInteractorSetEventInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEventInformation (int x, int y, int ctrl, int shift, char keycode, int repeatcount, const char *keysym);this LastEventPosition this EventPosition this LastEventPosition this EventPosition this EventPosition x this EventPosition y this ControlKey ctrl this ShiftKey shift this KeyCode keycode this RepeatCount repeatcount if keysym this SetKeySym keysym this Modified  */
  if (arg.size() < 8) 
    throw Exception("Function SetEventInformation for class vtkRenderWindowInteractor requires 8 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char     temp4;
  int      temp5;
  char    *temp6;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (char) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  char tmp_string6[1024];
  strcpy(tmp_string6,qPrintable(arg[7].asString())); 
  temp6 = tmp_string6;
  vtk_pointer->SetEventInformation(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetEventInformationFlipY vtkRenderWindowInteractorSetEventInformationFlipYFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output none
ArrayVector vtkRenderWindowInteractorSetEventInformationFlipYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEventInformationFlipY (int x, int y, int ctrl, int shift, char keycode, int repeatcount, const char *keysym);this SetEventInformation x this Size y ctrl shift keycode repeatcount keysym  */
  if (arg.size() < 8) 
    throw Exception("Function SetEventInformationFlipY for class vtkRenderWindowInteractor requires 8 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char     temp4;
  int      temp5;
  char    *temp6;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (char) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  char tmp_string6[1024];
  strcpy(tmp_string6,qPrintable(arg[7].asString())); 
  temp6 = tmp_string6;
  vtk_pointer->SetEventInformationFlipY(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetKeyEventInformation vtkRenderWindowInteractorSetKeyEventInformationFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkRenderWindowInteractorSetKeyEventInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKeyEventInformation (int ctrl, int shift, char keycode, int repeatcount, const char *keysym);this ControlKey ctrl this ShiftKey shift this KeyCode keycode this RepeatCount repeatcount if keysym this SetKeySym keysym this Modified  */
  if (arg.size() < 6) 
    throw Exception("Function SetKeyEventInformation for class vtkRenderWindowInteractor requires 6 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  char     temp2;
  int      temp3;
  char    *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (char) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  char tmp_string4[1024];
  strcpy(tmp_string4,qPrintable(arg[5].asString())); 
  temp4 = tmp_string4;
  vtk_pointer->SetKeyEventInformation(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetSize__1 vtkRenderWindowInteractorSetSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderWindowInteractorSetSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetSize__1 for class vtkRenderWindowInteractor requires 3 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetSize__2 vtkRenderWindowInteractorSetSize__2Function
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSize (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSize__2 for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetSize vtkRenderWindowInteractorGetSizeFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSize for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetEventSize__1 vtkRenderWindowInteractorSetEventSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderWindowInteractorSetEventSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEventSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetEventSize__1 for class vtkRenderWindowInteractor requires 3 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetEventSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetEventSize__2 vtkRenderWindowInteractorSetEventSize__2Function
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetEventSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEventSize (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetEventSize__2 for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetEventSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetEventSize vtkRenderWindowInteractorGetEventSizeFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetEventSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetEventSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEventSize for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetEventSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:FindPokedRenderer vtkRenderWindowInteractorFindPokedRendererFunction
//input a0 a1 a2 
//output y
ArrayVector vtkRenderWindowInteractorFindPokedRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkRenderer *FindPokedRenderer (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function FindPokedRenderer for class vtkRenderWindowInteractor requires 3 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkRenderer  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->FindPokedRenderer(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetObserverMediator vtkRenderWindowInteractorGetObserverMediatorFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetObserverMediatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkObserverMediator *GetObserverMediator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetObserverMediator for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkObserverMediator  *temp20;
  temp20 = (vtk_pointer)->GetObserverMediator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObserverMediator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetUseTDx vtkRenderWindowInteractorSetUseTDxFunction
//input a0 a1 
//output none
ArrayVector vtkRenderWindowInteractorSetUseTDxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseTDx (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseTDx for class vtkRenderWindowInteractor requires 2 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseTDx(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetUseTDx vtkRenderWindowInteractorGetUseTDxFunction
//input a0 
//output y
ArrayVector vtkRenderWindowInteractorGetUseTDxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseTDx (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseTDx for class vtkRenderWindowInteractor requires 1 argument(s)");
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseTDx();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:DestroyTimer vtkRenderWindowInteractorDestroyTimerFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowInteractorDestroyTimerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderWindowInteractorDestroyTimer__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderWindowInteractorDestroyTimer__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowInteractorDestroyTimer");
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:GetTimerDuration vtkRenderWindowInteractorGetTimerDurationFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowInteractorGetTimerDurationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderWindowInteractorGetTimerDuration__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkRenderWindowInteractorGetTimerDuration__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowInteractorGetTimerDuration");
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:FlyTo vtkRenderWindowInteractorFlyToFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowInteractorFlyToFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkRenderWindowInteractorFlyTo__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]))
    return vtkRenderWindowInteractorFlyTo__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowInteractorFlyTo");
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:FlyToImage vtkRenderWindowInteractorFlyToImageFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowInteractorFlyToImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkRenderWindowInteractorFlyToImage__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]))
    return vtkRenderWindowInteractorFlyToImage__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowInteractorFlyToImage");
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetLastEventPosition vtkRenderWindowInteractorSetLastEventPositionFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowInteractorSetLastEventPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRenderWindowInteractorSetLastEventPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRenderWindowInteractorSetLastEventPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowInteractorSetLastEventPosition");
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetEventPosition vtkRenderWindowInteractorSetEventPositionFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowInteractorSetEventPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRenderWindowInteractorSetEventPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRenderWindowInteractorSetEventPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowInteractorSetEventPosition");
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetEventPositionFlipY vtkRenderWindowInteractorSetEventPositionFlipYFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowInteractorSetEventPositionFlipYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRenderWindowInteractorSetEventPositionFlipY__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRenderWindowInteractorSetEventPositionFlipY__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowInteractorSetEventPositionFlipY");
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetSize vtkRenderWindowInteractorSetSizeFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowInteractorSetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRenderWindowInteractorSetSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRenderWindowInteractorSetSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowInteractorSetSize");
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:SetEventSize vtkRenderWindowInteractorSetEventSizeFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowInteractorSetEventSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRenderWindowInteractorSetEventSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRenderWindowInteractorSetEventSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderWindowInteractorSetEventSize");
}

//@@Signature
//sfunction @vtkRenderWindowInteractor:display vtkRenderWindowInteractorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRenderWindowInteractorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkRenderWindowInteractor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRenderWindowInteractor:delete vtkRenderWindowInteractorDeleteFunction
//input varargin
//output none
ArrayVector vtkRenderWindowInteractorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRenderWindowInteractor
//@@Section VTKRendering
//@@Usage
// vtkRenderWindowInteractor provides a platform-independent interaction
// mechanism for mouse/key/time events. It serves as a base class for
// platform-dependent implementations that handle routing of mouse/key/timer
// messages to vtkInteractorObserver and its subclasses. vtkRenderWindowInteractor 
// also provides controls for picking, rendering frame rate, and headlights.
//
// vtkRenderWindowInteractor has changed from previous implementations and
// now serves only as a shell to hold user preferences and route messages to
// vtkInteractorStyle. Callbacks are available for many events.  Platform
// specific subclasses should provide methods for manipulating timers,
// TerminateApp, and an event loop if required via
// Initialize/Start/Enable/Disable.
//
//To create an instance of class vtkRenderWindowInteractor, simply
//invoke its constructor as follows
//@[
//  obj = vtkRenderWindowInteractor
//@]
//@@Methods
//The class vtkRenderWindowInteractor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRenderWindowInteractor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRenderWindowInteractor = obj.NewInstance ()|
// \item @|vtkRenderWindowInteractor = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize ()| -  Prepare for handling events. This must be called before the
// interactor will work.
//// \item @|obj.ReInitialize ()| -  This Method detects loops of RenderWindow-Interactor,
// so objects are freed properly.
//// \item @|obj.UnRegister (vtkObjectBase o)| -  This Method detects loops of RenderWindow-Interactor,
// so objects are freed properly.
//// \item @|obj.Start ()| -  Enable/Disable interactions.  By default interactors are enabled when
// initialized.  Initialize() must be called prior to enabling/disabling
// interaction. These methods are used when a window/widget is being
// shared by multiple renderers and interactors.  This allows a "modal"
// display where one interactor is active when its data is to be displayed
// and all other interactors associated with the widget are disabled
// when their data is not displayed.
//// \item @|obj.Enable ()| -  Enable/Disable interactions.  By default interactors are enabled when
// initialized.  Initialize() must be called prior to enabling/disabling
// interaction. These methods are used when a window/widget is being
// shared by multiple renderers and interactors.  This allows a "modal"
// display where one interactor is active when its data is to be displayed
// and all other interactors associated with the widget are disabled
// when their data is not displayed.
//// \item @|obj.Disable ()| -  Enable/Disable interactions.  By default interactors are enabled when
// initialized.  Initialize() must be called prior to enabling/disabling
// interaction. These methods are used when a window/widget is being
// shared by multiple renderers and interactors.  This allows a "modal"
// display where one interactor is active when its data is to be displayed
// and all other interactors associated with the widget are disabled
// when their data is not displayed.
//// \item @|int = obj.GetEnabled ()| -  Enable/Disable interactions.  By default interactors are enabled when
// initialized.  Initialize() must be called prior to enabling/disabling
// interaction. These methods are used when a window/widget is being
// shared by multiple renderers and interactors.  This allows a "modal"
// display where one interactor is active when its data is to be displayed
// and all other interactors associated with the widget are disabled
// when their data is not displayed.
//// \item @|obj.EnableRenderOn ()| -  Enable/Disable whether vtkRenderWindowInteractor::Render() calls
// this->RenderWindow->Render().
//// \item @|obj.EnableRenderOff ()| -  Enable/Disable whether vtkRenderWindowInteractor::Render() calls
// this->RenderWindow->Render().
//// \item @|obj.SetEnableRender (bool )| -  Enable/Disable whether vtkRenderWindowInteractor::Render() calls
// this->RenderWindow->Render().
//// \item @|bool = obj.GetEnableRender ()| -  Enable/Disable whether vtkRenderWindowInteractor::Render() calls
// this->RenderWindow->Render().
//// \item @|obj.SetRenderWindow (vtkRenderWindow aren)| -  Set/Get the rendering window being controlled by this object.
//// \item @|vtkRenderWindow = obj.GetRenderWindow ()| -  Set/Get the rendering window being controlled by this object.
//// \item @|obj.UpdateSize (int x, int y)| -  Event loop notification member for window size change.
// Window size is measured in pixels.
//// \item @|int = obj.CreateTimer (int timerType)| -  This class provides two groups of methods for manipulating timers.  The
// first group (CreateTimer(timerType) and DestroyTimer()) implicitly use
// an internal timer id (and are present for backward compatibility). The
// second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),
// ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can
// be independently managed. In the first group, the CreateTimer() method
// takes an argument indicating whether the timer is created the first time
// (timerType==VTKI_TIMER_FIRST) or whether it is being reset
// (timerType==VTKI_TIMER_UPDATE). (In initial implementations of VTK this
// was how one shot and repeating timers were managed.) In the second
// group, the create methods take a timer duration argument (in
// milliseconds) and return a timer id. Thus the ResetTimer(timerId) and
// DestroyTimer(timerId) methods take this timer id and operate on the
// timer as appropriate. Methods are also available for determining
//// \item @|int = obj.DestroyTimer ()| -  This class provides two groups of methods for manipulating timers.  The
// first group (CreateTimer(timerType) and DestroyTimer()) implicitly use
// an internal timer id (and are present for backward compatibility). The
// second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),
// ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can
// be independently managed. In the first group, the CreateTimer() method
// takes an argument indicating whether the timer is created the first time
// (timerType==VTKI_TIMER_FIRST) or whether it is being reset
// (timerType==VTKI_TIMER_UPDATE). (In initial implementations of VTK this
// was how one shot and repeating timers were managed.) In the second
// group, the create methods take a timer duration argument (in
// milliseconds) and return a timer id. Thus the ResetTimer(timerId) and
// DestroyTimer(timerId) methods take this timer id and operate on the
// timer as appropriate. Methods are also available for determining
//// \item @|int = obj.CreateRepeatingTimer (long duration)| -  This class provides two groups of methods for manipulating timers.  The
// first group (CreateTimer(timerType) and DestroyTimer()) implicitly use
// an internal timer id (and are present for backward compatibility). The
// second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),
// ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can
// be independently managed. In the first group, the CreateTimer() method
// takes an argument indicating whether the timer is created the first time
// (timerType==VTKI_TIMER_FIRST) or whether it is being reset
// (timerType==VTKI_TIMER_UPDATE). (In initial implementations of VTK this
// was how one shot and repeating timers were managed.) In the second
// group, the create methods take a timer duration argument (in
// milliseconds) and return a timer id. Thus the ResetTimer(timerId) and
// DestroyTimer(timerId) methods take this timer id and operate on the
// timer as appropriate. Methods are also available for determining
//// \item @|int = obj.CreateOneShotTimer (long duration)| -  This class provides two groups of methods for manipulating timers.  The
// first group (CreateTimer(timerType) and DestroyTimer()) implicitly use
// an internal timer id (and are present for backward compatibility). The
// second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),
// ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can
// be independently managed. In the first group, the CreateTimer() method
// takes an argument indicating whether the timer is created the first time
// (timerType==VTKI_TIMER_FIRST) or whether it is being reset
// (timerType==VTKI_TIMER_UPDATE). (In initial implementations of VTK this
// was how one shot and repeating timers were managed.) In the second
// group, the create methods take a timer duration argument (in
// milliseconds) and return a timer id. Thus the ResetTimer(timerId) and
// DestroyTimer(timerId) methods take this timer id and operate on the
// timer as appropriate. Methods are also available for determining
//// \item @|int = obj.IsOneShotTimer (int timerId)| -  This class provides two groups of methods for manipulating timers.  The
// first group (CreateTimer(timerType) and DestroyTimer()) implicitly use
// an internal timer id (and are present for backward compatibility). The
// second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),
// ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can
// be independently managed. In the first group, the CreateTimer() method
// takes an argument indicating whether the timer is created the first time
// (timerType==VTKI_TIMER_FIRST) or whether it is being reset
// (timerType==VTKI_TIMER_UPDATE). (In initial implementations of VTK this
// was how one shot and repeating timers were managed.) In the second
// group, the create methods take a timer duration argument (in
// milliseconds) and return a timer id. Thus the ResetTimer(timerId) and
// DestroyTimer(timerId) methods take this timer id and operate on the
// timer as appropriate. Methods are also available for determining
//// \item @|long = obj.GetTimerDuration (int timerId)| -  This class provides two groups of methods for manipulating timers.  The
// first group (CreateTimer(timerType) and DestroyTimer()) implicitly use
// an internal timer id (and are present for backward compatibility). The
// second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),
// ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can
// be independently managed. In the first group, the CreateTimer() method
// takes an argument indicating whether the timer is created the first time
// (timerType==VTKI_TIMER_FIRST) or whether it is being reset
// (timerType==VTKI_TIMER_UPDATE). (In initial implementations of VTK this
// was how one shot and repeating timers were managed.) In the second
// group, the create methods take a timer duration argument (in
// milliseconds) and return a timer id. Thus the ResetTimer(timerId) and
// DestroyTimer(timerId) methods take this timer id and operate on the
// timer as appropriate. Methods are also available for determining
//// \item @|int = obj.ResetTimer (int timerId)| -  This class provides two groups of methods for manipulating timers.  The
// first group (CreateTimer(timerType) and DestroyTimer()) implicitly use
// an internal timer id (and are present for backward compatibility). The
// second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),
// ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can
// be independently managed. In the first group, the CreateTimer() method
// takes an argument indicating whether the timer is created the first time
// (timerType==VTKI_TIMER_FIRST) or whether it is being reset
// (timerType==VTKI_TIMER_UPDATE). (In initial implementations of VTK this
// was how one shot and repeating timers were managed.) In the second
// group, the create methods take a timer duration argument (in
// milliseconds) and return a timer id. Thus the ResetTimer(timerId) and
// DestroyTimer(timerId) methods take this timer id and operate on the
// timer as appropriate. Methods are also available for determining
//// \item @|int = obj.DestroyTimer (int timerId)| -  This class provides two groups of methods for manipulating timers.  The
// first group (CreateTimer(timerType) and DestroyTimer()) implicitly use
// an internal timer id (and are present for backward compatibility). The
// second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),
// ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can
// be independently managed. In the first group, the CreateTimer() method
// takes an argument indicating whether the timer is created the first time
// (timerType==VTKI_TIMER_FIRST) or whether it is being reset
// (timerType==VTKI_TIMER_UPDATE). (In initial implementations of VTK this
// was how one shot and repeating timers were managed.) In the second
// group, the create methods take a timer duration argument (in
// milliseconds) and return a timer id. Thus the ResetTimer(timerId) and
// DestroyTimer(timerId) methods take this timer id and operate on the
// timer as appropriate. Methods are also available for determining
//// \item @|int = obj.GetVTKTimerId (int platformTimerId)| -  This class provides two groups of methods for manipulating timers.  The
// first group (CreateTimer(timerType) and DestroyTimer()) implicitly use
// an internal timer id (and are present for backward compatibility). The
// second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),
// ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can
// be independently managed. In the first group, the CreateTimer() method
// takes an argument indicating whether the timer is created the first time
// (timerType==VTKI_TIMER_FIRST) or whether it is being reset
// (timerType==VTKI_TIMER_UPDATE). (In initial implementations of VTK this
// was how one shot and repeating timers were managed.) In the second
// group, the create methods take a timer duration argument (in
// milliseconds) and return a timer id. Thus the ResetTimer(timerId) and
// DestroyTimer(timerId) methods take this timer id and operate on the
// timer as appropriate. Methods are also available for determining
//// \item @|obj.SetTimerDuration (long )| -  Specify the default timer interval (in milliseconds). (This is used in
// conjunction with the timer methods described previously, e.g.,
// CreateTimer() uses this value; and CreateRepeatingTimer(duration) and
// CreateOneShotTimer(duration) use the default value if the parameter
// "duration" is less than or equal to zero.) Care must be taken when
// adjusting the timer interval from the default value of 10
// milliseconds--it may adversely affect the interactors.
//// \item @|GetTimerDurationMinValue = obj.()| -  Specify the default timer interval (in milliseconds). (This is used in
// conjunction with the timer methods described previously, e.g.,
// CreateTimer() uses this value; and CreateRepeatingTimer(duration) and
// CreateOneShotTimer(duration) use the default value if the parameter
// "duration" is less than or equal to zero.) Care must be taken when
// adjusting the timer interval from the default value of 10
// milliseconds--it may adversely affect the interactors.
//// \item @|GetTimerDurationMaxValue = obj.()| -  Specify the default timer interval (in milliseconds). (This is used in
// conjunction with the timer methods described previously, e.g.,
// CreateTimer() uses this value; and CreateRepeatingTimer(duration) and
// CreateOneShotTimer(duration) use the default value if the parameter
// "duration" is less than or equal to zero.) Care must be taken when
// adjusting the timer interval from the default value of 10
// milliseconds--it may adversely affect the interactors.
//// \item @|long = obj.GetTimerDuration ()| -  Specify the default timer interval (in milliseconds). (This is used in
// conjunction with the timer methods described previously, e.g.,
// CreateTimer() uses this value; and CreateRepeatingTimer(duration) and
// CreateOneShotTimer(duration) use the default value if the parameter
// "duration" is less than or equal to zero.) Care must be taken when
// adjusting the timer interval from the default value of 10
// milliseconds--it may adversely affect the interactors.
//// \item @|obj.SetTimerEventId (int )| -  These methods are used to communicate information about the currently
// firing CreateTimerEvent or DestroyTimerEvent. The caller of
// CreateTimerEvent sets up TimerEventId, TimerEventType and
// TimerEventDuration. The observer of CreateTimerEvent should set up an
// appropriate platform specific timer based on those values and set the
// TimerEventPlatformId before returning. The caller of DestroyTimerEvent
// sets up TimerEventPlatformId. The observer of DestroyTimerEvent should
// simply destroy the platform specific timer created by CreateTimerEvent.
// See vtkGenericRenderWindowInteractor's InternalCreateTimer and
// InternalDestroyTimer for an example.
//// \item @|int = obj.GetTimerEventId ()| -  These methods are used to communicate information about the currently
// firing CreateTimerEvent or DestroyTimerEvent. The caller of
// CreateTimerEvent sets up TimerEventId, TimerEventType and
// TimerEventDuration. The observer of CreateTimerEvent should set up an
// appropriate platform specific timer based on those values and set the
// TimerEventPlatformId before returning. The caller of DestroyTimerEvent
// sets up TimerEventPlatformId. The observer of DestroyTimerEvent should
// simply destroy the platform specific timer created by CreateTimerEvent.
// See vtkGenericRenderWindowInteractor's InternalCreateTimer and
// InternalDestroyTimer for an example.
//// \item @|obj.SetTimerEventType (int )| -  These methods are used to communicate information about the currently
// firing CreateTimerEvent or DestroyTimerEvent. The caller of
// CreateTimerEvent sets up TimerEventId, TimerEventType and
// TimerEventDuration. The observer of CreateTimerEvent should set up an
// appropriate platform specific timer based on those values and set the
// TimerEventPlatformId before returning. The caller of DestroyTimerEvent
// sets up TimerEventPlatformId. The observer of DestroyTimerEvent should
// simply destroy the platform specific timer created by CreateTimerEvent.
// See vtkGenericRenderWindowInteractor's InternalCreateTimer and
// InternalDestroyTimer for an example.
//// \item @|int = obj.GetTimerEventType ()| -  These methods are used to communicate information about the currently
// firing CreateTimerEvent or DestroyTimerEvent. The caller of
// CreateTimerEvent sets up TimerEventId, TimerEventType and
// TimerEventDuration. The observer of CreateTimerEvent should set up an
// appropriate platform specific timer based on those values and set the
// TimerEventPlatformId before returning. The caller of DestroyTimerEvent
// sets up TimerEventPlatformId. The observer of DestroyTimerEvent should
// simply destroy the platform specific timer created by CreateTimerEvent.
// See vtkGenericRenderWindowInteractor's InternalCreateTimer and
// InternalDestroyTimer for an example.
//// \item @|obj.SetTimerEventDuration (int )| -  These methods are used to communicate information about the currently
// firing CreateTimerEvent or DestroyTimerEvent. The caller of
// CreateTimerEvent sets up TimerEventId, TimerEventType and
// TimerEventDuration. The observer of CreateTimerEvent should set up an
// appropriate platform specific timer based on those values and set the
// TimerEventPlatformId before returning. The caller of DestroyTimerEvent
// sets up TimerEventPlatformId. The observer of DestroyTimerEvent should
// simply destroy the platform specific timer created by CreateTimerEvent.
// See vtkGenericRenderWindowInteractor's InternalCreateTimer and
// InternalDestroyTimer for an example.
//// \item @|int = obj.GetTimerEventDuration ()| -  These methods are used to communicate information about the currently
// firing CreateTimerEvent or DestroyTimerEvent. The caller of
// CreateTimerEvent sets up TimerEventId, TimerEventType and
// TimerEventDuration. The observer of CreateTimerEvent should set up an
// appropriate platform specific timer based on those values and set the
// TimerEventPlatformId before returning. The caller of DestroyTimerEvent
// sets up TimerEventPlatformId. The observer of DestroyTimerEvent should
// simply destroy the platform specific timer created by CreateTimerEvent.
// See vtkGenericRenderWindowInteractor's InternalCreateTimer and
// InternalDestroyTimer for an example.
//// \item @|obj.SetTimerEventPlatformId (int )| -  These methods are used to communicate information about the currently
// firing CreateTimerEvent or DestroyTimerEvent. The caller of
// CreateTimerEvent sets up TimerEventId, TimerEventType and
// TimerEventDuration. The observer of CreateTimerEvent should set up an
// appropriate platform specific timer based on those values and set the
// TimerEventPlatformId before returning. The caller of DestroyTimerEvent
// sets up TimerEventPlatformId. The observer of DestroyTimerEvent should
// simply destroy the platform specific timer created by CreateTimerEvent.
// See vtkGenericRenderWindowInteractor's InternalCreateTimer and
// InternalDestroyTimer for an example.
//// \item @|int = obj.GetTimerEventPlatformId ()| -  These methods are used to communicate information about the currently
// firing CreateTimerEvent or DestroyTimerEvent. The caller of
// CreateTimerEvent sets up TimerEventId, TimerEventType and
// TimerEventDuration. The observer of CreateTimerEvent should set up an
// appropriate platform specific timer based on those values and set the
// TimerEventPlatformId before returning. The caller of DestroyTimerEvent
// sets up TimerEventPlatformId. The observer of DestroyTimerEvent should
// simply destroy the platform specific timer created by CreateTimerEvent.
// See vtkGenericRenderWindowInteractor's InternalCreateTimer and
// InternalDestroyTimer for an example.
//// \item @|obj.TerminateApp (void )| -  External switching between joystick/trackball/new? modes. Initial value
// is a vtkInteractorStyleSwitch object.
//// \item @|obj.SetInteractorStyle (vtkInteractorObserver )| -  External switching between joystick/trackball/new? modes. Initial value
// is a vtkInteractorStyleSwitch object.
//// \item @|vtkInteractorObserver = obj.GetInteractorStyle ()| -  External switching between joystick/trackball/new? modes. Initial value
// is a vtkInteractorStyleSwitch object.
//// \item @|obj.SetLightFollowCamera (int )| -  Turn on/off the automatic repositioning of lights as the camera moves.
// Default is On.
//// \item @|int = obj.GetLightFollowCamera ()| -  Turn on/off the automatic repositioning of lights as the camera moves.
// Default is On.
//// \item @|obj.LightFollowCameraOn ()| -  Turn on/off the automatic repositioning of lights as the camera moves.
// Default is On.
//// \item @|obj.LightFollowCameraOff ()| -  Turn on/off the automatic repositioning of lights as the camera moves.
// Default is On.
//// \item @|obj.SetDesiredUpdateRate (double )| -  Set/Get the desired update rate. This is used by vtkLODActor's to tell
// them how quickly they need to render.  This update is in effect only
// when the camera is being rotated, or zoomed.  When the interactor is
// still, the StillUpdateRate is used instead. 
// The default is 15.
//// \item @|double = obj.GetDesiredUpdateRateMinValue ()| -  Set/Get the desired update rate. This is used by vtkLODActor's to tell
// them how quickly they need to render.  This update is in effect only
// when the camera is being rotated, or zoomed.  When the interactor is
// still, the StillUpdateRate is used instead. 
// The default is 15.
//// \item @|double = obj.GetDesiredUpdateRateMaxValue ()| -  Set/Get the desired update rate. This is used by vtkLODActor's to tell
// them how quickly they need to render.  This update is in effect only
// when the camera is being rotated, or zoomed.  When the interactor is
// still, the StillUpdateRate is used instead. 
// The default is 15.
//// \item @|double = obj.GetDesiredUpdateRate ()| -  Set/Get the desired update rate. This is used by vtkLODActor's to tell
// them how quickly they need to render.  This update is in effect only
// when the camera is being rotated, or zoomed.  When the interactor is
// still, the StillUpdateRate is used instead. 
// The default is 15.
//// \item @|obj.SetStillUpdateRate (double )| -  Set/Get the desired update rate when movement has stopped.
// For the non-still update rate, see the SetDesiredUpdateRate method.
// The default is 0.0001
//// \item @|double = obj.GetStillUpdateRateMinValue ()| -  Set/Get the desired update rate when movement has stopped.
// For the non-still update rate, see the SetDesiredUpdateRate method.
// The default is 0.0001
//// \item @|double = obj.GetStillUpdateRateMaxValue ()| -  Set/Get the desired update rate when movement has stopped.
// For the non-still update rate, see the SetDesiredUpdateRate method.
// The default is 0.0001
//// \item @|double = obj.GetStillUpdateRate ()| -  Set/Get the desired update rate when movement has stopped.
// For the non-still update rate, see the SetDesiredUpdateRate method.
// The default is 0.0001
//// \item @|int = obj.GetInitialized ()| -  See whether interactor has been initialized yet.
// Default is 0.
//// \item @|obj.SetPicker (vtkAbstractPicker )| -  Set/Get the object used to perform pick operations. In order to
// pick instances of vtkProp, the picker must be a subclass of 
// vtkAbstractPropPicker, meaning that it can identify a particular 
// instance of vtkProp.
//// \item @|vtkAbstractPicker = obj.GetPicker ()| -  Set/Get the object used to perform pick operations. In order to
// pick instances of vtkProp, the picker must be a subclass of 
// vtkAbstractPropPicker, meaning that it can identify a particular 
// instance of vtkProp.
//// \item @|vtkAbstractPropPicker = obj.CreateDefaultPicker ()| -  Create default picker. Used to create one when none is specified.
// Default is an instance of vtkPropPicker.
//// \item @|obj.ExitCallback ()| -  These methods correspond to the the Exit, User and Pick
// callbacks. They allow for the Style to invoke them.
//// \item @|obj.UserCallback ()| -  These methods correspond to the the Exit, User and Pick
// callbacks. They allow for the Style to invoke them.
//// \item @|obj.StartPickCallback ()| -  These methods correspond to the the Exit, User and Pick
// callbacks. They allow for the Style to invoke them.
//// \item @|obj.EndPickCallback ()| -  These methods correspond to the the Exit, User and Pick
// callbacks. They allow for the Style to invoke them.
//// \item @|obj.GetMousePosition (int x, int y)| -  Hide or show the mouse cursor, it is nice to be able to hide the
// default cursor if you want VTK to display a 3D cursor instead.
//// \item @|obj.HideCursor ()| -  Hide or show the mouse cursor, it is nice to be able to hide the
// default cursor if you want VTK to display a 3D cursor instead.
//// \item @|obj.ShowCursor ()| -  Hide or show the mouse cursor, it is nice to be able to hide the
// default cursor if you want VTK to display a 3D cursor instead.
//// \item @|obj.Render ()| -  Render the scene. Just pass the render call on to the 
// associated vtkRenderWindow.
//// \item @|obj.FlyTo (vtkRenderer ren, double x, double y, double z)| -  Given a position x, move the current camera's focal point to x.
// The movement is animated over the number of frames specified in
// NumberOfFlyFrames. The LOD desired frame rate is used.
//// \item @|obj.FlyTo (vtkRenderer ren, double x)| -  Given a position x, move the current camera's focal point to x.
// The movement is animated over the number of frames specified in
// NumberOfFlyFrames. The LOD desired frame rate is used.
//// \item @|obj.FlyToImage (vtkRenderer ren, double x, double y)| -  Given a position x, move the current camera's focal point to x.
// The movement is animated over the number of frames specified in
// NumberOfFlyFrames. The LOD desired frame rate is used.
//// \item @|obj.FlyToImage (vtkRenderer ren, double x)| -  Set the number of frames to fly to when FlyTo is invoked.
//// \item @|obj.SetNumberOfFlyFrames (int )| -  Set the number of frames to fly to when FlyTo is invoked.
//// \item @|int = obj.GetNumberOfFlyFramesMinValue ()| -  Set the number of frames to fly to when FlyTo is invoked.
//// \item @|int = obj.GetNumberOfFlyFramesMaxValue ()| -  Set the number of frames to fly to when FlyTo is invoked.
//// \item @|int = obj.GetNumberOfFlyFrames ()| -  Set the number of frames to fly to when FlyTo is invoked.
//// \item @|obj.SetDolly (double )| -  Set the total Dolly value to use when flying to (FlyTo()) a
// specified point. Negative values fly away from the point.
//// \item @|double = obj.GetDolly ()| -  Set the total Dolly value to use when flying to (FlyTo()) a
// specified point. Negative values fly away from the point.
//// \item @|int = obj. GetEventPosition ()| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|int = obj. GetLastEventPosition ()| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|obj.SetLastEventPosition (int , int )| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|obj.SetLastEventPosition (int  a[2])| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|obj.SetEventPosition (int x, int y)| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|obj.SetEventPosition (int pos[2])| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|obj.SetEventPositionFlipY (int x, int y)| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|obj.SetEventPositionFlipY (int pos[2])| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|obj.SetAltKey (int )| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|int = obj.GetAltKey ()| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|obj.SetControlKey (int )| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|int = obj.GetControlKey ()| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|obj.SetShiftKey (int )| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|int = obj.GetShiftKey ()| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|obj.SetKeyCode (char )| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|char = obj.GetKeyCode ()| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|obj.SetRepeatCount (int )| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|int = obj.GetRepeatCount ()| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|obj.SetKeySym (string )| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|string = obj.GetKeySym ()| -  Set/Get information about the current event. 
// The current x,y position is in the EventPosition, and the previous
// event position is in LastEventPosition, updated automatically each
// time EventPosition is set using its Set() method. Mouse positions
// are measured in pixels.
// The other information is about key board input.
//// \item @|obj.SetEventInformation (int x, int y, int ctrl, int shift, char keycode, int repeatcount, string keysym)| -  Calls SetEventInformation, but flips the Y based on the current Size[1] 
// value (i.e. y = this->Size[1] - y - 1).
//// \item @|obj.SetEventInformationFlipY (int x, int y, int ctrl, int shift, char keycode, int repeatcount, string keysym)| -  Set all the keyboard-related event information in one call.
//// \item @|obj.SetKeyEventInformation (int ctrl, int shift, char keycode, int repeatcount, string keysym)| -  This methods sets the Size ivar of the interactor without
// actually changing the size of the window. Normally
// application programmers would use UpdateSize if anything.
// This is useful for letting someone else change the size of
// the rendering window and just letting the interactor
// know about the change.
// The current event width/height (if any) is in EventSize 
// (Expose event, for example).
// Window size is measured in pixels.
//// \item @|obj.SetSize (int , int )| -  This methods sets the Size ivar of the interactor without
// actually changing the size of the window. Normally
// application programmers would use UpdateSize if anything.
// This is useful for letting someone else change the size of
// the rendering window and just letting the interactor
// know about the change.
// The current event width/height (if any) is in EventSize 
// (Expose event, for example).
// Window size is measured in pixels.
//// \item @|obj.SetSize (int  a[2])| -  This methods sets the Size ivar of the interactor without
// actually changing the size of the window. Normally
// application programmers would use UpdateSize if anything.
// This is useful for letting someone else change the size of
// the rendering window and just letting the interactor
// know about the change.
// The current event width/height (if any) is in EventSize 
// (Expose event, for example).
// Window size is measured in pixels.
//// \item @|int = obj. GetSize ()| -  This methods sets the Size ivar of the interactor without
// actually changing the size of the window. Normally
// application programmers would use UpdateSize if anything.
// This is useful for letting someone else change the size of
// the rendering window and just letting the interactor
// know about the change.
// The current event width/height (if any) is in EventSize 
// (Expose event, for example).
// Window size is measured in pixels.
//// \item @|obj.SetEventSize (int , int )| -  This methods sets the Size ivar of the interactor without
// actually changing the size of the window. Normally
// application programmers would use UpdateSize if anything.
// This is useful for letting someone else change the size of
// the rendering window and just letting the interactor
// know about the change.
// The current event width/height (if any) is in EventSize 
// (Expose event, for example).
// Window size is measured in pixels.
//// \item @|obj.SetEventSize (int  a[2])| -  This methods sets the Size ivar of the interactor without
// actually changing the size of the window. Normally
// application programmers would use UpdateSize if anything.
// This is useful for letting someone else change the size of
// the rendering window and just letting the interactor
// know about the change.
// The current event width/height (if any) is in EventSize 
// (Expose event, for example).
// Window size is measured in pixels.
//// \item @|int = obj. GetEventSize ()| -  This methods sets the Size ivar of the interactor without
// actually changing the size of the window. Normally
// application programmers would use UpdateSize if anything.
// This is useful for letting someone else change the size of
// the rendering window and just letting the interactor
// know about the change.
// The current event width/height (if any) is in EventSize 
// (Expose event, for example).
// Window size is measured in pixels.
//// \item @|vtkRenderer = obj.FindPokedRenderer (int , int )| -  When an event occurs, we must determine which Renderer the event
// occurred within, since one RenderWindow may contain multiple
// renderers.
//// \item @|vtkObserverMediator = obj.GetObserverMediator ()| -  Return the object used to mediate between vtkInteractorObservers
// contending for resources. Multiple interactor observers will often
// request different resources (e.g., cursor shape); the mediator uses a
// strategy to provide the resource based on priority of the observer plus
// the particular request (default versus non-default cursor shape).
//// \item @|obj.SetUseTDx (bool )| -  Use a 3DConnexion device. Initial value is false.
// If VTK is not build with the TDx option, this is no-op.
// If VTK is build with the TDx option, and a device is not connected,
// a warning is emitted.
// It is must be called before the first Render to be effective, otherwise
// it is ignored.
//// \item @|bool = obj.GetUseTDx ()| -  Use a 3DConnexion device. Initial value is false.
// If VTK is not build with the TDx option, this is no-op.
// If VTK is build with the TDx option, and a device is not connected,
// a warning is emitted.
// It is must be called before the first Render to be effective, otherwise
// it is ignored.
////\end{itemize}
//!
