#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRenderedAreaPicker object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRenderedAreaPicker.h"

//@@Signature
//sfunction @vtkRenderedAreaPicker:vtkRenderedAreaPicker vtkRenderedAreaPickerConstructorFunction
//input a
//output p
//@@Parents vtkRenderedAreaPicker vtkAreaPicker 
ArrayVector vtkRenderedAreaPickerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRenderedAreaPicker::New(),"vtkRenderedAreaPicker",eval);
  } else if (arg[0].className() == "vtkRenderedAreaPicker") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRenderedAreaPicker"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRenderedAreaPicker");
    vtkRenderedAreaPicker*q = reinterpret_cast<vtkRenderedAreaPicker*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRenderedAreaPicker");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRenderedAreaPicker:GetClassName vtkRenderedAreaPickerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRenderedAreaPickerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRenderedAreaPicker requires 1 argument(s)");
  vtkRenderedAreaPicker* vtk_pointer = GetVTKPointer<vtkRenderedAreaPicker>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedAreaPicker:IsA vtkRenderedAreaPickerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRenderedAreaPickerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRenderedAreaPicker requires 2 argument(s)");
  vtkRenderedAreaPicker* vtk_pointer = GetVTKPointer<vtkRenderedAreaPicker>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedAreaPicker:NewInstance vtkRenderedAreaPickerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRenderedAreaPickerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderedAreaPicker *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRenderedAreaPicker requires 1 argument(s)");
  vtkRenderedAreaPicker* vtk_pointer = GetVTKPointer<vtkRenderedAreaPicker>(arg[0]);
  Array retval;
  vtkRenderedAreaPicker  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderedAreaPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedAreaPicker:SafeDownCast vtkRenderedAreaPickerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRenderedAreaPickerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderedAreaPicker *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRenderedAreaPicker requires 2 argument(s)");
  vtkRenderedAreaPicker* vtk_pointer = GetVTKPointer<vtkRenderedAreaPicker>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRenderedAreaPicker  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderedAreaPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedAreaPicker:AreaPick vtkRenderedAreaPickerAreaPickFunction
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkRenderedAreaPickerAreaPickFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AreaPick (double x0, double y0, double x1, double y1, vtkRenderer *renderer); */
  if (arg.size() < 6) 
    throw Exception("Function AreaPick for class vtkRenderedAreaPicker requires 6 argument(s)");
  vtkRenderedAreaPicker* vtk_pointer = GetVTKPointer<vtkRenderedAreaPicker>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkRenderer  *temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkRenderer>(arg[5]);
  temp20 = (vtk_pointer)->AreaPick(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedAreaPicker:display vtkRenderedAreaPickerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRenderedAreaPickerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRenderedAreaPicker* vtk_pointer = GetVTKPointer<vtkRenderedAreaPicker>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRenderedAreaPicker:delete vtkRenderedAreaPickerDeleteFunction
//input varargin
//output none
ArrayVector vtkRenderedAreaPickerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRenderedAreaPicker
//@@Section VTKRendering
//@@Usage
// Like vtkAreaPicker, this class picks all props within a selection area 
// on the screen. The difference is in implementation. This class uses
// graphics hardware to perform the test where the other uses software 
// bounding box/frustum intersection testing. 
//
// This picker is more conservative than vtkAreaPicker. It will reject 
// some objects that pass the bounding box test of vtkAreaPicker. This 
// will happen, for instance, when picking through a corner of the bounding
// box when the data set does not have any visible geometry in that corner.
//
//To create an instance of class vtkRenderedAreaPicker, simply
//invoke its constructor as follows
//@[
//  obj = vtkRenderedAreaPicker
//@]
//@@Methods
//The class vtkRenderedAreaPicker has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRenderedAreaPicker class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRenderedAreaPicker = obj.NewInstance ()|
// \item @|vtkRenderedAreaPicker = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.AreaPick (double x0, double y0, double x1, double y1, vtkRenderer renderer)| -  Perform pick operation in volume behind the given screen coordinates.
// Props intersecting the selection frustum will be accesible via GetProp3D.
// GetPlanes returns a vtkImplicitFunciton suitable for vtkExtractGeometry.
////\end{itemize}
//!
