#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRenderer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRenderer.h"

//@@Signature
//sfunction @vtkRenderer:vtkRenderer vtkRendererConstructorFunction
//input a
//output p
//@@Parents vtkRenderer vtkViewport 
ArrayVector vtkRendererConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRenderer::New(),"vtkRenderer",eval);
  } else if (arg[0].className() == "vtkRenderer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRenderer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRenderer");
    vtkRenderer*q = reinterpret_cast<vtkRenderer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRenderer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRenderer:GetClassName vtkRendererGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRendererGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:IsA vtkRendererIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRendererIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:NewInstance vtkRendererNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRendererNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SafeDownCast vtkRendererSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRendererSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRenderer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:AddActor vtkRendererAddActorFunction
//input a0 a1 
//output none
ArrayVector vtkRendererAddActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddActor (vtkProp *p); */
  if (arg.size() < 2) 
    throw Exception("Function AddActor for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->AddActor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:AddVolume vtkRendererAddVolumeFunction
//input a0 a1 
//output none
ArrayVector vtkRendererAddVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddVolume (vtkProp *p); */
  if (arg.size() < 2) 
    throw Exception("Function AddVolume for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->AddVolume(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:RemoveActor vtkRendererRemoveActorFunction
//input a0 a1 
//output none
ArrayVector vtkRendererRemoveActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveActor (vtkProp *p); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveActor for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->RemoveActor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:RemoveVolume vtkRendererRemoveVolumeFunction
//input a0 a1 
//output none
ArrayVector vtkRendererRemoveVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveVolume (vtkProp *p); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveVolume for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->RemoveVolume(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:AddLight vtkRendererAddLightFunction
//input a0 a1 
//output none
ArrayVector vtkRendererAddLightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddLight (vtkLight *); */
  if (arg.size() < 2) 
    throw Exception("Function AddLight for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkLight  *temp0;
  temp0 = GetVTKPointer<vtkLight>(arg[1]);
  vtk_pointer->AddLight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:RemoveLight vtkRendererRemoveLightFunction
//input a0 a1 
//output none
ArrayVector vtkRendererRemoveLightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveLight (vtkLight *); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveLight for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkLight  *temp0;
  temp0 = GetVTKPointer<vtkLight>(arg[1]);
  vtk_pointer->RemoveLight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:RemoveAllLights vtkRendererRemoveAllLightsFunction
//input a0 
//output none
ArrayVector vtkRendererRemoveAllLightsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllLights (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllLights for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllLights();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetLights vtkRendererGetLightsFunction
//input a0 
//output y
ArrayVector vtkRendererGetLightsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLightCollection *GetLights (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLights for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkLightCollection  *temp20;
  temp20 = (vtk_pointer)->GetLights();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLightCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetLightCollection vtkRendererSetLightCollectionFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetLightCollectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLightCollection (vtkLightCollection *lights); */
  if (arg.size() < 2) 
    throw Exception("Function SetLightCollection for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkLightCollection  *temp0;
  temp0 = GetVTKPointer<vtkLightCollection>(arg[1]);
  vtk_pointer->SetLightCollection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:CreateLight vtkRendererCreateLightFunction
//input a0 
//output none
ArrayVector vtkRendererCreateLightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateLight (void ); */
  if (arg.size() < 1) 
    throw Exception("Function CreateLight for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->CreateLight();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:MakeLight vtkRendererMakeLightFunction
//input a0 
//output y
ArrayVector vtkRendererMakeLightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkLight *MakeLight (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeLight for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkLight  *temp20;
  temp20 = (vtk_pointer)->MakeLight();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLight",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetTwoSidedLighting vtkRendererGetTwoSidedLightingFunction
//input a0 
//output y
ArrayVector vtkRendererGetTwoSidedLightingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTwoSidedLighting (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTwoSidedLighting for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTwoSidedLighting();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetTwoSidedLighting vtkRendererSetTwoSidedLightingFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetTwoSidedLightingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTwoSidedLighting (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTwoSidedLighting for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTwoSidedLighting(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:TwoSidedLightingOn vtkRendererTwoSidedLightingOnFunction
//input a0 
//output none
ArrayVector vtkRendererTwoSidedLightingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TwoSidedLightingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TwoSidedLightingOn for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->TwoSidedLightingOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:TwoSidedLightingOff vtkRendererTwoSidedLightingOffFunction
//input a0 
//output none
ArrayVector vtkRendererTwoSidedLightingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TwoSidedLightingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TwoSidedLightingOff for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->TwoSidedLightingOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetLightFollowCamera vtkRendererSetLightFollowCameraFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetLightFollowCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLightFollowCamera (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLightFollowCamera for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLightFollowCamera(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetLightFollowCamera vtkRendererGetLightFollowCameraFunction
//input a0 
//output y
ArrayVector vtkRendererGetLightFollowCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLightFollowCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLightFollowCamera for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLightFollowCamera();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:LightFollowCameraOn vtkRendererLightFollowCameraOnFunction
//input a0 
//output none
ArrayVector vtkRendererLightFollowCameraOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LightFollowCameraOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LightFollowCameraOn for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->LightFollowCameraOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:LightFollowCameraOff vtkRendererLightFollowCameraOffFunction
//input a0 
//output none
ArrayVector vtkRendererLightFollowCameraOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LightFollowCameraOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LightFollowCameraOff for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->LightFollowCameraOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetAutomaticLightCreation vtkRendererGetAutomaticLightCreationFunction
//input a0 
//output y
ArrayVector vtkRendererGetAutomaticLightCreationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutomaticLightCreation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutomaticLightCreation for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutomaticLightCreation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetAutomaticLightCreation vtkRendererSetAutomaticLightCreationFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetAutomaticLightCreationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutomaticLightCreation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutomaticLightCreation for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutomaticLightCreation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:AutomaticLightCreationOn vtkRendererAutomaticLightCreationOnFunction
//input a0 
//output none
ArrayVector vtkRendererAutomaticLightCreationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticLightCreationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticLightCreationOn for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticLightCreationOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:AutomaticLightCreationOff vtkRendererAutomaticLightCreationOffFunction
//input a0 
//output none
ArrayVector vtkRendererAutomaticLightCreationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticLightCreationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticLightCreationOff for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticLightCreationOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:UpdateLightsGeometryToFollowCamera vtkRendererUpdateLightsGeometryToFollowCameraFunction
//input a0 
//output y
ArrayVector vtkRendererUpdateLightsGeometryToFollowCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int UpdateLightsGeometryToFollowCamera (void ); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateLightsGeometryToFollowCamera for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->UpdateLightsGeometryToFollowCamera();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetVolumes vtkRendererGetVolumesFunction
//input a0 
//output y
ArrayVector vtkRendererGetVolumesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeCollection *GetVolumes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVolumes for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkVolumeCollection  *temp20;
  temp20 = (vtk_pointer)->GetVolumes();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetActors vtkRendererGetActorsFunction
//input a0 
//output y
ArrayVector vtkRendererGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActorCollection *GetActors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActors for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkActorCollection  *temp20;
  temp20 = (vtk_pointer)->GetActors();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActorCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetActiveCamera vtkRendererSetActiveCameraFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetActiveCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetActiveCamera (vtkCamera *); */
  if (arg.size() < 2) 
    throw Exception("Function SetActiveCamera for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkCamera  *temp0;
  temp0 = GetVTKPointer<vtkCamera>(arg[1]);
  vtk_pointer->SetActiveCamera(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetActiveCamera vtkRendererGetActiveCameraFunction
//input a0 
//output y
ArrayVector vtkRendererGetActiveCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCamera *GetActiveCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActiveCamera for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkCamera  *temp20;
  temp20 = (vtk_pointer)->GetActiveCamera();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:MakeCamera vtkRendererMakeCameraFunction
//input a0 
//output y
ArrayVector vtkRendererMakeCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCamera *MakeCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeCamera for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkCamera  *temp20;
  temp20 = (vtk_pointer)->MakeCamera();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetErase vtkRendererSetEraseFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetEraseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetErase (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetErase for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetErase(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetErase vtkRendererGetEraseFunction
//input a0 
//output y
ArrayVector vtkRendererGetEraseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetErase (); */
  if (arg.size() < 1) 
    throw Exception("Function GetErase for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetErase();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:EraseOn vtkRendererEraseOnFunction
//input a0 
//output none
ArrayVector vtkRendererEraseOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EraseOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EraseOn for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->EraseOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:EraseOff vtkRendererEraseOffFunction
//input a0 
//output none
ArrayVector vtkRendererEraseOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EraseOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EraseOff for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->EraseOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetDraw vtkRendererSetDrawFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetDrawFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDraw (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDraw for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDraw(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetDraw vtkRendererGetDrawFunction
//input a0 
//output y
ArrayVector vtkRendererGetDrawFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDraw (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDraw for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDraw();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:DrawOn vtkRendererDrawOnFunction
//input a0 
//output none
ArrayVector vtkRendererDrawOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DrawOn for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->DrawOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:DrawOff vtkRendererDrawOffFunction
//input a0 
//output none
ArrayVector vtkRendererDrawOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DrawOff for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->DrawOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:AddCuller vtkRendererAddCullerFunction
//input a0 a1 
//output none
ArrayVector vtkRendererAddCullerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddCuller (vtkCuller *); */
  if (arg.size() < 2) 
    throw Exception("Function AddCuller for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkCuller  *temp0;
  temp0 = GetVTKPointer<vtkCuller>(arg[1]);
  vtk_pointer->AddCuller(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:RemoveCuller vtkRendererRemoveCullerFunction
//input a0 a1 
//output none
ArrayVector vtkRendererRemoveCullerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveCuller (vtkCuller *); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveCuller for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkCuller  *temp0;
  temp0 = GetVTKPointer<vtkCuller>(arg[1]);
  vtk_pointer->RemoveCuller(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetCullers vtkRendererGetCullersFunction
//input a0 
//output y
ArrayVector vtkRendererGetCullersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCullerCollection *GetCullers (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCullers for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkCullerCollection  *temp20;
  temp20 = (vtk_pointer)->GetCullers();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCullerCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetAmbient__1 vtkRendererSetAmbient__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkRendererSetAmbient__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAmbient (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetAmbient__1 for class vtkRenderer requires 4 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetAmbient(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetAmbient__2 vtkRendererSetAmbient__2Function
//input a0 a1 
//output none
ArrayVector vtkRendererSetAmbient__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAmbient (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetAmbient__2 for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetAmbient(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetAmbient vtkRendererGetAmbientFunction
//input a0 
//output y
ArrayVector vtkRendererGetAmbientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetAmbient (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAmbient for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetAmbient();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetAllocatedRenderTime vtkRendererSetAllocatedRenderTimeFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetAllocatedRenderTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllocatedRenderTime (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllocatedRenderTime for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAllocatedRenderTime(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetAllocatedRenderTime vtkRendererGetAllocatedRenderTimeFunction
//input a0 
//output y
ArrayVector vtkRendererGetAllocatedRenderTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetAllocatedRenderTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAllocatedRenderTime for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAllocatedRenderTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetTimeFactor vtkRendererGetTimeFactorFunction
//input a0 
//output y
ArrayVector vtkRendererGetTimeFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetTimeFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeFactor for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTimeFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:Render vtkRendererRenderFunction
//input a0 
//output none
ArrayVector vtkRendererRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (); */
  if (arg.size() < 1) 
    throw Exception("Function Render for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->Render();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:DeviceRender vtkRendererDeviceRenderFunction
//input a0 
//output none
ArrayVector vtkRendererDeviceRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeviceRender () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function DeviceRender for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->DeviceRender();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:DeviceRenderTranslucentPolygonalGeometry vtkRendererDeviceRenderTranslucentPolygonalGeometryFunction
//input a0 
//output none
ArrayVector vtkRendererDeviceRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeviceRenderTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function DeviceRenderTranslucentPolygonalGeometry for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->DeviceRenderTranslucentPolygonalGeometry();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:Clear vtkRendererClearFunction
//input a0 
//output none
ArrayVector vtkRendererClearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Clear (); */
  if (arg.size() < 1) 
    throw Exception("Function Clear for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->Clear();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:VisibleActorCount vtkRendererVisibleActorCountFunction
//input a0 
//output y
ArrayVector vtkRendererVisibleActorCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int VisibleActorCount (); */
  if (arg.size() < 1) 
    throw Exception("Function VisibleActorCount for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->VisibleActorCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:VisibleVolumeCount vtkRendererVisibleVolumeCountFunction
//input a0 
//output y
ArrayVector vtkRendererVisibleVolumeCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int VisibleVolumeCount (); */
  if (arg.size() < 1) 
    throw Exception("Function VisibleVolumeCount for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->VisibleVolumeCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:ComputeVisiblePropBounds__1 vtkRendererComputeVisiblePropBounds__1Function
//input a0 a1 
//output none
ArrayVector vtkRendererComputeVisiblePropBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeVisiblePropBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function ComputeVisiblePropBounds__1 for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->ComputeVisiblePropBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:ComputeVisiblePropBounds__2 vtkRendererComputeVisiblePropBounds__2Function
//input a0 
//output y
ArrayVector vtkRendererComputeVisiblePropBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *ComputeVisiblePropBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeVisiblePropBounds__2 for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->ComputeVisiblePropBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:ResetCameraClippingRange__1 vtkRendererResetCameraClippingRange__1Function
//input a0 
//output none
ArrayVector vtkRendererResetCameraClippingRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResetCameraClippingRange (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetCameraClippingRange__1 for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->ResetCameraClippingRange();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:ResetCameraClippingRange__2 vtkRendererResetCameraClippingRange__2Function
//input a0 a1 
//output none
ArrayVector vtkRendererResetCameraClippingRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResetCameraClippingRange (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function ResetCameraClippingRange__2 for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->ResetCameraClippingRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:ResetCameraClippingRange__3 vtkRendererResetCameraClippingRange__3Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkRendererResetCameraClippingRange__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResetCameraClippingRange (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax); */
  if (arg.size() < 7) 
    throw Exception("Function ResetCameraClippingRange__3 for class vtkRenderer requires 7 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->ResetCameraClippingRange(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetNearClippingPlaneTolerance vtkRendererSetNearClippingPlaneToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetNearClippingPlaneToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNearClippingPlaneTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNearClippingPlaneTolerance for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetNearClippingPlaneTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetNearClippingPlaneToleranceMinValue vtkRendererGetNearClippingPlaneToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkRendererGetNearClippingPlaneToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetNearClippingPlaneToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNearClippingPlaneToleranceMinValue for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetNearClippingPlaneToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetNearClippingPlaneToleranceMaxValue vtkRendererGetNearClippingPlaneToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkRendererGetNearClippingPlaneToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetNearClippingPlaneToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNearClippingPlaneToleranceMaxValue for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetNearClippingPlaneToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetNearClippingPlaneTolerance vtkRendererGetNearClippingPlaneToleranceFunction
//input a0 
//output y
ArrayVector vtkRendererGetNearClippingPlaneToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetNearClippingPlaneTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNearClippingPlaneTolerance for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetNearClippingPlaneTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:ResetCamera__1 vtkRendererResetCamera__1Function
//input a0 
//output none
ArrayVector vtkRendererResetCamera__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResetCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetCamera__1 for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->ResetCamera();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:ResetCamera__2 vtkRendererResetCamera__2Function
//input a0 a1 
//output none
ArrayVector vtkRendererResetCamera__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResetCamera (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function ResetCamera__2 for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->ResetCamera(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:ResetCamera__3 vtkRendererResetCamera__3Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkRendererResetCamera__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResetCamera (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax); */
  if (arg.size() < 7) 
    throw Exception("Function ResetCamera__3 for class vtkRenderer requires 7 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->ResetCamera(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetRenderWindow vtkRendererSetRenderWindowFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRenderWindow (vtkRenderWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderWindow for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  vtk_pointer->SetRenderWindow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetRenderWindow vtkRendererGetRenderWindowFunction
//input a0 
//output y
ArrayVector vtkRendererGetRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *GetRenderWindow ();return this RenderWindow  */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderWindow for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->GetRenderWindow();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetVTKWindow vtkRendererGetVTKWindowFunction
//input a0 
//output y
ArrayVector vtkRendererGetVTKWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkWindow *GetVTKWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVTKWindow for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkWindow  *temp20;
  temp20 = (vtk_pointer)->GetVTKWindow();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetBackingStore vtkRendererSetBackingStoreFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetBackingStoreFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackingStore (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBackingStore for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBackingStore(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetBackingStore vtkRendererGetBackingStoreFunction
//input a0 
//output y
ArrayVector vtkRendererGetBackingStoreFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBackingStore (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackingStore for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBackingStore();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:BackingStoreOn vtkRendererBackingStoreOnFunction
//input a0 
//output none
ArrayVector vtkRendererBackingStoreOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BackingStoreOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BackingStoreOn for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->BackingStoreOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:BackingStoreOff vtkRendererBackingStoreOffFunction
//input a0 
//output none
ArrayVector vtkRendererBackingStoreOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BackingStoreOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BackingStoreOff for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->BackingStoreOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetInteractive vtkRendererSetInteractiveFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetInteractiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInteractive (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractive for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInteractive(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetInteractive vtkRendererGetInteractiveFunction
//input a0 
//output y
ArrayVector vtkRendererGetInteractiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInteractive (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteractive for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInteractive();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:InteractiveOn vtkRendererInteractiveOnFunction
//input a0 
//output none
ArrayVector vtkRendererInteractiveOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InteractiveOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InteractiveOn for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->InteractiveOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:InteractiveOff vtkRendererInteractiveOffFunction
//input a0 
//output none
ArrayVector vtkRendererInteractiveOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InteractiveOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InteractiveOff for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->InteractiveOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetLayer vtkRendererSetLayerFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetLayerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayer (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLayer for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLayer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetLayer vtkRendererGetLayerFunction
//input a0 
//output y
ArrayVector vtkRendererGetLayerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLayer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLayer for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLayer();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetPreserveDepthBuffer vtkRendererSetPreserveDepthBufferFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetPreserveDepthBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPreserveDepthBuffer (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPreserveDepthBuffer for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPreserveDepthBuffer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetPreserveDepthBuffer vtkRendererGetPreserveDepthBufferFunction
//input a0 
//output y
ArrayVector vtkRendererGetPreserveDepthBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPreserveDepthBuffer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPreserveDepthBuffer for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPreserveDepthBuffer();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:PreserveDepthBufferOn vtkRendererPreserveDepthBufferOnFunction
//input a0 
//output none
ArrayVector vtkRendererPreserveDepthBufferOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreserveDepthBufferOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PreserveDepthBufferOn for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->PreserveDepthBufferOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:PreserveDepthBufferOff vtkRendererPreserveDepthBufferOffFunction
//input a0 
//output none
ArrayVector vtkRendererPreserveDepthBufferOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreserveDepthBufferOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PreserveDepthBufferOff for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->PreserveDepthBufferOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:Transparent vtkRendererTransparentFunction
//input a0 
//output y
ArrayVector vtkRendererTransparentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Transparent (); */
  if (arg.size() < 1) 
    throw Exception("Function Transparent for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->Transparent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:WorldToView__1 vtkRendererWorldToView__1Function
//input a0 
//output none
ArrayVector vtkRendererWorldToView__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WorldToView (); */
  if (arg.size() < 1) 
    throw Exception("Function WorldToView__1 for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->WorldToView();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:ViewToWorld__1 vtkRendererViewToWorld__1Function
//input a0 
//output none
ArrayVector vtkRendererViewToWorld__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ViewToWorld (); */
  if (arg.size() < 1) 
    throw Exception("Function ViewToWorld__1 for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->ViewToWorld();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetZ vtkRendererGetZFunction
//input a0 a1 a2 
//output y
ArrayVector vtkRendererGetZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZ (int x, int y); */
  if (arg.size() < 3) 
    throw Exception("Function GetZ for class vtkRenderer requires 3 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetZ(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetMTime vtkRendererGetMTimeFunction
//input a0 
//output y
ArrayVector vtkRendererGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetLastRenderTimeInSeconds vtkRendererGetLastRenderTimeInSecondsFunction
//input a0 
//output y
ArrayVector vtkRendererGetLastRenderTimeInSecondsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLastRenderTimeInSeconds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastRenderTimeInSeconds for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLastRenderTimeInSeconds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetNumberOfPropsRendered vtkRendererGetNumberOfPropsRenderedFunction
//input a0 
//output y
ArrayVector vtkRendererGetNumberOfPropsRenderedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPropsRendered (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPropsRendered for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPropsRendered();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:PickProp__1 vtkRendererPickProp__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkRendererPickProp__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssemblyPath *PickProp (double selectionX, double selectionY);return this PickProp selectionX selectionY selectionX selectionY  */
  if (arg.size() < 3) 
    throw Exception("Function PickProp__1 for class vtkRenderer requires 3 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  vtkAssemblyPath  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->PickProp(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:PickProp__2 vtkRendererPickProp__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkRendererPickProp__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssemblyPath *PickProp (double selectionX1, double selectionY1, double selectionX2, double selectionY2); */
  if (arg.size() < 5) 
    throw Exception("Function PickProp__2 for class vtkRenderer requires 5 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkAssemblyPath  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  temp20 = (vtk_pointer)->PickProp(temp0,temp1,temp2,temp3);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssemblyPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:StereoMidpoint vtkRendererStereoMidpointFunction
//input a0 
//output none
ArrayVector vtkRendererStereoMidpointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StereoMidpoint ();return  */
  if (arg.size() < 1) 
    throw Exception("Function StereoMidpoint for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->StereoMidpoint();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetTiledAspectRatio vtkRendererGetTiledAspectRatioFunction
//input a0 
//output y
ArrayVector vtkRendererGetTiledAspectRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTiledAspectRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTiledAspectRatio for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTiledAspectRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:IsActiveCameraCreated vtkRendererIsActiveCameraCreatedFunction
//input a0 
//output y
ArrayVector vtkRendererIsActiveCameraCreatedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsActiveCameraCreated ();return this ActiveCamera NULL  */
  if (arg.size() < 1) 
    throw Exception("Function IsActiveCameraCreated for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsActiveCameraCreated();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetUseDepthPeeling vtkRendererSetUseDepthPeelingFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetUseDepthPeelingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseDepthPeeling (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseDepthPeeling for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseDepthPeeling(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetUseDepthPeeling vtkRendererGetUseDepthPeelingFunction
//input a0 
//output y
ArrayVector vtkRendererGetUseDepthPeelingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseDepthPeeling (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseDepthPeeling for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseDepthPeeling();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:UseDepthPeelingOn vtkRendererUseDepthPeelingOnFunction
//input a0 
//output none
ArrayVector vtkRendererUseDepthPeelingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseDepthPeelingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseDepthPeelingOn for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->UseDepthPeelingOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:UseDepthPeelingOff vtkRendererUseDepthPeelingOffFunction
//input a0 
//output none
ArrayVector vtkRendererUseDepthPeelingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseDepthPeelingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseDepthPeelingOff for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->UseDepthPeelingOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetOcclusionRatio vtkRendererSetOcclusionRatioFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetOcclusionRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOcclusionRatio (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOcclusionRatio for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOcclusionRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetOcclusionRatioMinValue vtkRendererGetOcclusionRatioMinValueFunction
//input a0 
//output y
ArrayVector vtkRendererGetOcclusionRatioMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOcclusionRatioMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOcclusionRatioMinValue for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOcclusionRatioMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetOcclusionRatioMaxValue vtkRendererGetOcclusionRatioMaxValueFunction
//input a0 
//output y
ArrayVector vtkRendererGetOcclusionRatioMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOcclusionRatioMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOcclusionRatioMaxValue for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOcclusionRatioMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetOcclusionRatio vtkRendererGetOcclusionRatioFunction
//input a0 
//output y
ArrayVector vtkRendererGetOcclusionRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOcclusionRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOcclusionRatio for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOcclusionRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetMaximumNumberOfPeels vtkRendererSetMaximumNumberOfPeelsFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetMaximumNumberOfPeelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumNumberOfPeels (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumNumberOfPeels for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumNumberOfPeels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetMaximumNumberOfPeels vtkRendererGetMaximumNumberOfPeelsFunction
//input a0 
//output y
ArrayVector vtkRendererGetMaximumNumberOfPeelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumNumberOfPeels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfPeels for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfPeels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetLastRenderingUsedDepthPeeling vtkRendererGetLastRenderingUsedDepthPeelingFunction
//input a0 
//output y
ArrayVector vtkRendererGetLastRenderingUsedDepthPeelingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLastRenderingUsedDepthPeeling (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastRenderingUsedDepthPeeling for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLastRenderingUsedDepthPeeling();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetDelegate vtkRendererSetDelegateFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetDelegateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDelegate (vtkRendererDelegate *d); */
  if (arg.size() < 2) 
    throw Exception("Function SetDelegate for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkRendererDelegate  *temp0;
  temp0 = GetVTKPointer<vtkRendererDelegate>(arg[1]);
  vtk_pointer->SetDelegate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetDelegate vtkRendererGetDelegateFunction
//input a0 
//output y
ArrayVector vtkRendererGetDelegateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRendererDelegate *GetDelegate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDelegate for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkRendererDelegate  *temp20;
  temp20 = (vtk_pointer)->GetDelegate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRendererDelegate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetPass vtkRendererSetPassFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetPassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPass (vtkRenderPass *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetPass for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkRenderPass  *temp0;
  temp0 = GetVTKPointer<vtkRenderPass>(arg[1]);
  vtk_pointer->SetPass(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetPass vtkRendererGetPassFunction
//input a0 
//output y
ArrayVector vtkRendererGetPassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderPass *GetPass (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPass for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkRenderPass  *temp20;
  temp20 = (vtk_pointer)->GetPass();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetSelector vtkRendererGetSelectorFunction
//input a0 
//output y
ArrayVector vtkRendererGetSelectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHardwareSelector *GetSelector (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelector for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkHardwareSelector  *temp20;
  temp20 = (vtk_pointer)->GetSelector();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHardwareSelector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetBackgroundTexture vtkRendererSetBackgroundTextureFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetBackgroundTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackgroundTexture (vtkTexture *); */
  if (arg.size() < 2) 
    throw Exception("Function SetBackgroundTexture for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkTexture  *temp0;
  temp0 = GetVTKPointer<vtkTexture>(arg[1]);
  vtk_pointer->SetBackgroundTexture(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetBackgroundTexture vtkRendererGetBackgroundTextureFunction
//input a0 
//output y
ArrayVector vtkRendererGetBackgroundTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTexture *GetBackgroundTexture (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackgroundTexture for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtkTexture  *temp20;
  temp20 = (vtk_pointer)->GetBackgroundTexture();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetTexturedBackground vtkRendererSetTexturedBackgroundFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSetTexturedBackgroundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTexturedBackground (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTexturedBackground for class vtkRenderer requires 2 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetTexturedBackground(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:GetTexturedBackground vtkRendererGetTexturedBackgroundFunction
//input a0 
//output y
ArrayVector vtkRendererGetTexturedBackgroundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetTexturedBackground (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTexturedBackground for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetTexturedBackground();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:TexturedBackgroundOn vtkRendererTexturedBackgroundOnFunction
//input a0 
//output none
ArrayVector vtkRendererTexturedBackgroundOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TexturedBackgroundOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TexturedBackgroundOn for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->TexturedBackgroundOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:TexturedBackgroundOff vtkRendererTexturedBackgroundOffFunction
//input a0 
//output none
ArrayVector vtkRendererTexturedBackgroundOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TexturedBackgroundOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TexturedBackgroundOff for class vtkRenderer requires 1 argument(s)");
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  Array retval;
  vtk_pointer->TexturedBackgroundOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderer:SetAmbient vtkRendererSetAmbientFunction
//input varargin
//output varargout
ArrayVector vtkRendererSetAmbientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkRendererSetAmbient__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRendererSetAmbient__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRendererSetAmbient");
}

//@@Signature
//sfunction @vtkRenderer:ComputeVisiblePropBounds vtkRendererComputeVisiblePropBoundsFunction
//input varargin
//output varargout
ArrayVector vtkRendererComputeVisiblePropBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRendererComputeVisiblePropBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkRendererComputeVisiblePropBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRendererComputeVisiblePropBounds");
}

//@@Signature
//sfunction @vtkRenderer:ResetCameraClippingRange vtkRendererResetCameraClippingRangeFunction
//input varargin
//output varargout
ArrayVector vtkRendererResetCameraClippingRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRendererResetCameraClippingRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRendererResetCameraClippingRange__2Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkRendererResetCameraClippingRange__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRendererResetCameraClippingRange");
}

//@@Signature
//sfunction @vtkRenderer:ResetCamera vtkRendererResetCameraFunction
//input varargin
//output varargout
ArrayVector vtkRendererResetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRendererResetCamera__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRendererResetCamera__2Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkRendererResetCamera__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRendererResetCamera");
}

//@@Signature
//sfunction @vtkRenderer:WorldToView vtkRendererWorldToViewFunction
//input varargin
//output varargout
ArrayVector vtkRendererWorldToViewFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRendererWorldToView__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRendererWorldToView");
}

//@@Signature
//sfunction @vtkRenderer:ViewToWorld vtkRendererViewToWorldFunction
//input varargin
//output varargout
ArrayVector vtkRendererViewToWorldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRendererViewToWorld__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRendererViewToWorld");
}

//@@Signature
//sfunction @vtkRenderer:PickProp vtkRendererPickPropFunction
//input varargin
//output varargout
ArrayVector vtkRendererPickPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRendererPickProp__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkRendererPickProp__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRendererPickProp");
}

//@@Signature
//sfunction @vtkRenderer:display vtkRendererDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRendererDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRenderer* vtk_pointer = GetVTKPointer<vtkRenderer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRenderer:delete vtkRendererDeleteFunction
//input varargin
//output none
ArrayVector vtkRendererDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRenderer
//@@Section VTKRendering
//@@Usage
// vtkRenderer provides an abstract specification for renderers. A renderer
// is an object that controls the rendering process for objects. Rendering
// is the process of converting geometry, a specification for lights, and
// a camera view into an image. vtkRenderer also performs coordinate
// transformation between world coordinates, view coordinates (the computer
// graphics rendering coordinate system), and display coordinates (the
// actual screen coordinates on the display device). Certain advanced
// rendering features such as two-sided lighting can also be controlled.
//
//To create an instance of class vtkRenderer, simply
//invoke its constructor as follows
//@[
//  obj = vtkRenderer
//@]
//@@Methods
//The class vtkRenderer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRenderer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRenderer = obj.NewInstance ()|
// \item @|vtkRenderer = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddActor (vtkProp p)| -  Add/Remove different types of props to the renderer.
// These methods are all synonyms to AddViewProp and RemoveViewProp.
// They are here for convenience and backwards compatibility.
//// \item @|obj.AddVolume (vtkProp p)| -  Add/Remove different types of props to the renderer.
// These methods are all synonyms to AddViewProp and RemoveViewProp.
// They are here for convenience and backwards compatibility.
//// \item @|obj.RemoveActor (vtkProp p)| -  Add/Remove different types of props to the renderer.
// These methods are all synonyms to AddViewProp and RemoveViewProp.
// They are here for convenience and backwards compatibility.
//// \item @|obj.RemoveVolume (vtkProp p)| -  Add/Remove different types of props to the renderer.
// These methods are all synonyms to AddViewProp and RemoveViewProp.
// They are here for convenience and backwards compatibility.
//// \item @|obj.AddLight (vtkLight )| -  Add a light to the list of lights.
//// \item @|obj.RemoveLight (vtkLight )| -  Remove a light from the list of lights.
//// \item @|obj.RemoveAllLights ()| -  Remove all lights from the list of lights.
//// \item @|vtkLightCollection = obj.GetLights ()| -  Return the collection of lights.
//// \item @|obj.SetLightCollection (vtkLightCollection lights)| -  Set the collection of lights.
// We cannot name it SetLights because of TestSetGet
// \pre lights_exist: lights!=0
// \post lights_set: lights==this->GetLights()
//// \item @|obj.CreateLight (void )| -  Create and add a light to renderer.
//// \item @|vtkLight = obj.MakeLight ()| -  Create a new Light sutible for use with this type of Renderer.
// For example, a vtkMesaRenderer should create a vtkMesaLight
// in this function.   The default is to just call vtkLight::New.
//// \item @|int = obj.GetTwoSidedLighting ()| -  Turn on/off two-sided lighting of surfaces. If two-sided lighting is
// off, then only the side of the surface facing the light(s) will be lit,
// and the other side dark. If two-sided lighting on, both sides of the
// surface will be lit.
//// \item @|obj.SetTwoSidedLighting (int )| -  Turn on/off two-sided lighting of surfaces. If two-sided lighting is
// off, then only the side of the surface facing the light(s) will be lit,
// and the other side dark. If two-sided lighting on, both sides of the
// surface will be lit.
//// \item @|obj.TwoSidedLightingOn ()| -  Turn on/off two-sided lighting of surfaces. If two-sided lighting is
// off, then only the side of the surface facing the light(s) will be lit,
// and the other side dark. If two-sided lighting on, both sides of the
// surface will be lit.
//// \item @|obj.TwoSidedLightingOff ()| -  Turn on/off two-sided lighting of surfaces. If two-sided lighting is
// off, then only the side of the surface facing the light(s) will be lit,
// and the other side dark. If two-sided lighting on, both sides of the
// surface will be lit.
//// \item @|obj.SetLightFollowCamera (int )| -  Turn on/off the automatic repositioning of lights as the camera moves.
// If LightFollowCamera is on, lights that are designated as Headlights
// or CameraLights will be adjusted to move with this renderer's camera.
// If LightFollowCamera is off, the lights will not be adjusted.
//
// (Note: In previous versions of vtk, this light-tracking
// functionality was part of the interactors, not the renderer. For
// backwards compatibility, the older, more limited interactor
// behavior is enabled by default. To disable this mode, turn the
// interactor's LightFollowCamera flag OFF, and leave the renderer's
// LightFollowCamera flag ON.)
//// \item @|int = obj.GetLightFollowCamera ()| -  Turn on/off the automatic repositioning of lights as the camera moves.
// If LightFollowCamera is on, lights that are designated as Headlights
// or CameraLights will be adjusted to move with this renderer's camera.
// If LightFollowCamera is off, the lights will not be adjusted.
//
// (Note: In previous versions of vtk, this light-tracking
// functionality was part of the interactors, not the renderer. For
// backwards compatibility, the older, more limited interactor
// behavior is enabled by default. To disable this mode, turn the
// interactor's LightFollowCamera flag OFF, and leave the renderer's
// LightFollowCamera flag ON.)
//// \item @|obj.LightFollowCameraOn ()| -  Turn on/off the automatic repositioning of lights as the camera moves.
// If LightFollowCamera is on, lights that are designated as Headlights
// or CameraLights will be adjusted to move with this renderer's camera.
// If LightFollowCamera is off, the lights will not be adjusted.
//
// (Note: In previous versions of vtk, this light-tracking
// functionality was part of the interactors, not the renderer. For
// backwards compatibility, the older, more limited interactor
// behavior is enabled by default. To disable this mode, turn the
// interactor's LightFollowCamera flag OFF, and leave the renderer's
// LightFollowCamera flag ON.)
//// \item @|obj.LightFollowCameraOff ()| -  Turn on/off the automatic repositioning of lights as the camera moves.
// If LightFollowCamera is on, lights that are designated as Headlights
// or CameraLights will be adjusted to move with this renderer's camera.
// If LightFollowCamera is off, the lights will not be adjusted.
//
// (Note: In previous versions of vtk, this light-tracking
// functionality was part of the interactors, not the renderer. For
// backwards compatibility, the older, more limited interactor
// behavior is enabled by default. To disable this mode, turn the
// interactor's LightFollowCamera flag OFF, and leave the renderer's
// LightFollowCamera flag ON.)
//// \item @|int = obj.GetAutomaticLightCreation ()| -  Turn on/off a flag which disables the automatic light creation capability.
// Normally in VTK if no lights are associated with the renderer, then a light
// is automatically created. However, in special circumstances this feature is
// undesirable, so the following boolean is provided to disable automatic
// light creation. (Turn AutomaticLightCreation off if you do not want lights
// to be created.)
//// \item @|obj.SetAutomaticLightCreation (int )| -  Turn on/off a flag which disables the automatic light creation capability.
// Normally in VTK if no lights are associated with the renderer, then a light
// is automatically created. However, in special circumstances this feature is
// undesirable, so the following boolean is provided to disable automatic
// light creation. (Turn AutomaticLightCreation off if you do not want lights
// to be created.)
//// \item @|obj.AutomaticLightCreationOn ()| -  Turn on/off a flag which disables the automatic light creation capability.
// Normally in VTK if no lights are associated with the renderer, then a light
// is automatically created. However, in special circumstances this feature is
// undesirable, so the following boolean is provided to disable automatic
// light creation. (Turn AutomaticLightCreation off if you do not want lights
// to be created.)
//// \item @|obj.AutomaticLightCreationOff ()| -  Turn on/off a flag which disables the automatic light creation capability.
// Normally in VTK if no lights are associated with the renderer, then a light
// is automatically created. However, in special circumstances this feature is
// undesirable, so the following boolean is provided to disable automatic
// light creation. (Turn AutomaticLightCreation off if you do not want lights
// to be created.)
//// \item @|int = obj.UpdateLightsGeometryToFollowCamera (void )| -  Ask the lights in the scene that are not in world space
// (for instance, Headlights or CameraLights that are attached to the
// camera) to update their geometry to match the active camera.
//// \item @|vtkVolumeCollection = obj.GetVolumes ()| -  Return the collection of volumes.
//// \item @|vtkActorCollection = obj.GetActors ()| -  Return any actors in this renderer.
//// \item @|obj.SetActiveCamera (vtkCamera )| -  Specify the camera to use for this renderer.
//// \item @|vtkCamera = obj.GetActiveCamera ()| -  Get the current camera. If there is not camera assigned to the
// renderer already, a new one is created automatically.
// This does *not* reset the camera.
//// \item @|vtkCamera = obj.MakeCamera ()| -  Create a new Camera sutible for use with this type of Renderer.
// For example, a vtkMesaRenderer should create a vtkMesaCamera
// in this function.   The default is to just call vtkCamera::New.
//// \item @|obj.SetErase (int )| -  When this flag is off, the renderer will not erase the background
// or the Zbuffer.  It is used to have overlapping renderers.
// Both the RenderWindow Erase and Render Erase must be on
// for the camera to clear the renderer.  By default, Erase is on.
//// \item @|int = obj.GetErase ()| -  When this flag is off, the renderer will not erase the background
// or the Zbuffer.  It is used to have overlapping renderers.
// Both the RenderWindow Erase and Render Erase must be on
// for the camera to clear the renderer.  By default, Erase is on.
//// \item @|obj.EraseOn ()| -  When this flag is off, the renderer will not erase the background
// or the Zbuffer.  It is used to have overlapping renderers.
// Both the RenderWindow Erase and Render Erase must be on
// for the camera to clear the renderer.  By default, Erase is on.
//// \item @|obj.EraseOff ()| -  When this flag is off, the renderer will not erase the background
// or the Zbuffer.  It is used to have overlapping renderers.
// Both the RenderWindow Erase and Render Erase must be on
// for the camera to clear the renderer.  By default, Erase is on.
//// \item @|obj.SetDraw (int )| -  When this flag is off, render commands are ignored.  It is used to either
// multiplex a vtkRenderWindow or render only part of a vtkRenderWindow.
// By default, Draw is on.
//// \item @|int = obj.GetDraw ()| -  When this flag is off, render commands are ignored.  It is used to either
// multiplex a vtkRenderWindow or render only part of a vtkRenderWindow.
// By default, Draw is on.
//// \item @|obj.DrawOn ()| -  When this flag is off, render commands are ignored.  It is used to either
// multiplex a vtkRenderWindow or render only part of a vtkRenderWindow.
// By default, Draw is on.
//// \item @|obj.DrawOff ()| -  When this flag is off, render commands are ignored.  It is used to either
// multiplex a vtkRenderWindow or render only part of a vtkRenderWindow.
// By default, Draw is on.
//// \item @|obj.AddCuller (vtkCuller )| -  Add an culler to the list of cullers.
//// \item @|obj.RemoveCuller (vtkCuller )| -  Remove an actor from the list of cullers.
//// \item @|vtkCullerCollection = obj.GetCullers ()| -  Return the collection of cullers.
//// \item @|obj.SetAmbient (double , double , double )| -  Set the intensity of ambient lighting.
//// \item @|obj.SetAmbient (double  a[3])| -  Set the intensity of ambient lighting.
//// \item @|double = obj. GetAmbient ()| -  Set the intensity of ambient lighting.
//// \item @|obj.SetAllocatedRenderTime (double )| -  Set/Get the amount of time this renderer is allowed to spend
// rendering its scene. This is used by vtkLODActor's.
//// \item @|double = obj.GetAllocatedRenderTime ()| -  Set/Get the amount of time this renderer is allowed to spend
// rendering its scene. This is used by vtkLODActor's.
//// \item @|double = obj.GetTimeFactor ()| -  Get the ratio between allocated time and actual render time.
// TimeFactor has been taken out of the render process.
// It is still computed in case someone finds it useful.
// It may be taken away in the future.
//// \item @|obj.Render ()| -  CALLED BY vtkRenderWindow ONLY. End-user pass your way and call
// vtkRenderWindow::Render().
// Create an image. This is a superclass method which will in turn
// call the DeviceRender method of Subclasses of vtkRenderer.
//// \item @|obj.DeviceRender ()| -  Create an image. Subclasses of vtkRenderer must implement this method.
//// \item @|obj.DeviceRenderTranslucentPolygonalGeometry ()| -  Render translucent polygonal geometry. Default implementation just call
// UpdateTranslucentPolygonalGeometry().
// Subclasses of vtkRenderer that can deal with depth peeling must
// override this method.
// It updates boolean ivar LastRenderingUsedDepthPeeling.
//// \item @|obj.Clear ()| -  Clear the image to the background color.
//// \item @|int = obj.VisibleActorCount ()| -  Returns the number of visible actors.
//// \item @|int = obj.VisibleVolumeCount ()| -  Returns the number of visible volumes.
//// \item @|obj.ComputeVisiblePropBounds (double bounds[6])| -  Compute the bounding box of all the visible props
// Used in ResetCamera() and ResetCameraClippingRange()
//// \item @|double = obj.ComputeVisiblePropBounds ()| -  Wrapper-friendly version of ComputeVisiblePropBounds
//// \item @|obj.ResetCameraClippingRange ()| -  Reset the camera clipping range based on the bounds of the
// visible actors. This ensures that no props are cut off
//// \item @|obj.ResetCameraClippingRange (double bounds[6])| -  Reset the camera clipping range based on a bounding box.
// This method is called from ResetCameraClippingRange()
//// \item @|obj.ResetCameraClippingRange (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  Reset the camera clipping range based on a bounding box.
// This method is called from ResetCameraClippingRange()
//// \item @|obj.SetNearClippingPlaneTolerance (double )| -  Specify tolerance for near clipping plane distance to the camera as a
// percentage of the far clipping plane distance. By default this will be
// set to 0.01 for 16 bit zbuffers and 0.001 for higher depth z buffers
//// \item @|double = obj.GetNearClippingPlaneToleranceMinValue ()| -  Specify tolerance for near clipping plane distance to the camera as a
// percentage of the far clipping plane distance. By default this will be
// set to 0.01 for 16 bit zbuffers and 0.001 for higher depth z buffers
//// \item @|double = obj.GetNearClippingPlaneToleranceMaxValue ()| -  Specify tolerance for near clipping plane distance to the camera as a
// percentage of the far clipping plane distance. By default this will be
// set to 0.01 for 16 bit zbuffers and 0.001 for higher depth z buffers
//// \item @|double = obj.GetNearClippingPlaneTolerance ()| -  Specify tolerance for near clipping plane distance to the camera as a
// percentage of the far clipping plane distance. By default this will be
// set to 0.01 for 16 bit zbuffers and 0.001 for higher depth z buffers
//// \item @|obj.ResetCamera ()| -  Automatically set up the camera based on the visible actors.
// The camera will reposition itself to view the center point of the actors,
// and move along its initial view plane normal (i.e., vector defined from
// camera position to focal point) so that all of the actors can be seen.
//// \item @|obj.ResetCamera (double bounds[6])| -  Automatically set up the camera based on a specified bounding box
// (xmin,xmax, ymin,ymax, zmin,zmax). Camera will reposition itself so
// that its focal point is the center of the bounding box, and adjust its
// distance and position to preserve its initial view plane normal
// (i.e., vector defined from camera position to focal point). Note: is
// the view plane is parallel to the view up axis, the view up axis will
// be reset to one of the three coordinate axes.
//// \item @|obj.ResetCamera (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  Alternative version of ResetCamera(bounds[6]);
//// \item @|obj.SetRenderWindow (vtkRenderWindow )| -  Specify the rendering window in which to draw. This is automatically set
// when the renderer is created by MakeRenderer.  The user probably
// shouldn't ever need to call this method.
//// \item @|vtkRenderWindow = obj.GetRenderWindow ()| -  Specify the rendering window in which to draw. This is automatically set
// when the renderer is created by MakeRenderer.  The user probably
// shouldn't ever need to call this method.
//// \item @|vtkWindow = obj.GetVTKWindow ()| -  Specify the rendering window in which to draw. This is automatically set
// when the renderer is created by MakeRenderer.  The user probably
// shouldn't ever need to call this method.
//// \item @|obj.SetBackingStore (int )| -  Turn on/off using backing store. This may cause the re-rendering
// time to be slightly slower when the view changes. But it is
// much faster when the image has not changed, such as during an
// expose event.
//// \item @|int = obj.GetBackingStore ()| -  Turn on/off using backing store. This may cause the re-rendering
// time to be slightly slower when the view changes. But it is
// much faster when the image has not changed, such as during an
// expose event.
//// \item @|obj.BackingStoreOn ()| -  Turn on/off using backing store. This may cause the re-rendering
// time to be slightly slower when the view changes. But it is
// much faster when the image has not changed, such as during an
// expose event.
//// \item @|obj.BackingStoreOff ()| -  Turn on/off using backing store. This may cause the re-rendering
// time to be slightly slower when the view changes. But it is
// much faster when the image has not changed, such as during an
// expose event.
//// \item @|obj.SetInteractive (int )| -  Turn on/off interactive status.  An interactive renderer is one that
// can receive events from an interactor.  Should only be set if
// there are multiple renderers in the same section of the viewport.
//// \item @|int = obj.GetInteractive ()| -  Turn on/off interactive status.  An interactive renderer is one that
// can receive events from an interactor.  Should only be set if
// there are multiple renderers in the same section of the viewport.
//// \item @|obj.InteractiveOn ()| -  Turn on/off interactive status.  An interactive renderer is one that
// can receive events from an interactor.  Should only be set if
// there are multiple renderers in the same section of the viewport.
//// \item @|obj.InteractiveOff ()| -  Turn on/off interactive status.  An interactive renderer is one that
// can receive events from an interactor.  Should only be set if
// there are multiple renderers in the same section of the viewport.
//// \item @|obj.SetLayer (int )| -  Set/Get the layer that this renderer belongs to.  This is only used if
// there are layered renderers.
//// \item @|int = obj.GetLayer ()| -  Set/Get the layer that this renderer belongs to.  This is only used if
// there are layered renderers.
//// \item @|obj.SetPreserveDepthBuffer (int )| -  Normally a renderer is treated as transparent if Layer > 0. To treat a
// renderer at Layer 0 as transparent, set this flag to true.
//// \item @|int = obj.GetPreserveDepthBuffer ()| -  Normally a renderer is treated as transparent if Layer > 0. To treat a
// renderer at Layer 0 as transparent, set this flag to true.
//// \item @|obj.PreserveDepthBufferOn ()| -  Normally a renderer is treated as transparent if Layer > 0. To treat a
// renderer at Layer 0 as transparent, set this flag to true.
//// \item @|obj.PreserveDepthBufferOff ()| -  Normally a renderer is treated as transparent if Layer > 0. To treat a
// renderer at Layer 0 as transparent, set this flag to true.
//// \item @|int = obj.Transparent ()| -  Returns a boolean indicating if this renderer is transparent.  It is
// transparent if it is not in the deepest layer of its render window.
//// \item @|obj.WorldToView ()| -  Convert world point coordinates to view coordinates.
//// \item @|obj.ViewToWorld ()| -  Convert view point coordinates to world coordinates.
//// \item @|double = obj.GetZ (int x, int y)| -  Given a pixel location, return the Z value. The z value is
// normalized (0,1) between the front and back clipping planes.
//// \item @|long = obj.GetMTime ()| -  Return the MTime of the renderer also considering its ivars.
//// \item @|double = obj.GetLastRenderTimeInSeconds ()| -  Get the time required, in seconds, for the last Render call.
//// \item @|int = obj.GetNumberOfPropsRendered ()| -  Should be used internally only during a render
// Get the number of props that were rendered using a
// RenderOpaqueGeometry or RenderTranslucentPolygonalGeometry call.
// This is used to know if something is in the frame buffer.
//// \item @|vtkAssemblyPath = obj.PickProp (double selectionX, double selectionY)| -  Return the prop (via a vtkAssemblyPath) that has the highest z value
// at the given x, y position in the viewport.  Basically, the top most
// prop that renders the pixel at selectionX, selectionY will be returned.
// If nothing was picked then NULL is returned.  This method selects from
// the renderers Prop list.
//// \item @|vtkAssemblyPath = obj.PickProp (double selectionX1, double selectionY1, double selectionX2, double selectionY2)| -  Return the prop (via a vtkAssemblyPath) that has the highest z value
// at the given x, y position in the viewport.  Basically, the top most
// prop that renders the pixel at selectionX, selectionY will be returned.
// If nothing was picked then NULL is returned.  This method selects from
// the renderers Prop list.
//// \item @|obj.StereoMidpoint ()| -  Do anything necessary between rendering the left and right viewpoints
// in a stereo render. Doesn't do anything except in the derived
// vtkIceTRenderer in ParaView.
//// \item @|double = obj.GetTiledAspectRatio ()| -  Compute the aspect ratio of this renderer for the current tile. When
// tiled displays are used the aspect ratio of the renderer for a given
// tile may be diferent that the aspect ratio of the renderer when rendered
// in it entirity
//// \item @|int = obj.IsActiveCameraCreated ()| -  Turn on/off rendering of translucent material with depth peeling
// technique. The render window must have alpha bits (ie call
// SetAlphaBitPlanes(1)) and no multisample buffer (ie call
// SetMultiSamples(0) ) to support depth peeling.
// If UseDepthPeeling is on and the GPU supports it, depth peeling is used
// for rendering translucent materials.
// If UseDepthPeeling is off, alpha blending is used.
// Initial value is off.
//// \item @|obj.SetUseDepthPeeling (int )| -  Turn on/off rendering of translucent material with depth peeling
// technique. The render window must have alpha bits (ie call
// SetAlphaBitPlanes(1)) and no multisample buffer (ie call
// SetMultiSamples(0) ) to support depth peeling.
// If UseDepthPeeling is on and the GPU supports it, depth peeling is used
// for rendering translucent materials.
// If UseDepthPeeling is off, alpha blending is used.
// Initial value is off.
//// \item @|int = obj.GetUseDepthPeeling ()| -  Turn on/off rendering of translucent material with depth peeling
// technique. The render window must have alpha bits (ie call
// SetAlphaBitPlanes(1)) and no multisample buffer (ie call
// SetMultiSamples(0) ) to support depth peeling.
// If UseDepthPeeling is on and the GPU supports it, depth peeling is used
// for rendering translucent materials.
// If UseDepthPeeling is off, alpha blending is used.
// Initial value is off.
//// \item @|obj.UseDepthPeelingOn ()| -  Turn on/off rendering of translucent material with depth peeling
// technique. The render window must have alpha bits (ie call
// SetAlphaBitPlanes(1)) and no multisample buffer (ie call
// SetMultiSamples(0) ) to support depth peeling.
// If UseDepthPeeling is on and the GPU supports it, depth peeling is used
// for rendering translucent materials.
// If UseDepthPeeling is off, alpha blending is used.
// Initial value is off.
//// \item @|obj.UseDepthPeelingOff ()| -  Turn on/off rendering of translucent material with depth peeling
// technique. The render window must have alpha bits (ie call
// SetAlphaBitPlanes(1)) and no multisample buffer (ie call
// SetMultiSamples(0) ) to support depth peeling.
// If UseDepthPeeling is on and the GPU supports it, depth peeling is used
// for rendering translucent materials.
// If UseDepthPeeling is off, alpha blending is used.
// Initial value is off.
//// \item @|obj.SetOcclusionRatio (double )| -  In case of use of depth peeling technique for rendering translucent
// material, define the threshold under which the algorithm stops to
// iterate over peel layers. This is the ratio of the number of pixels
// that have been touched by the last layer over the total number of pixels
// of the viewport area.
// Initial value is 0.0, meaning rendering have to be exact. Greater values
// may speed-up the rendering with small impact on the quality.
//// \item @|double = obj.GetOcclusionRatioMinValue ()| -  In case of use of depth peeling technique for rendering translucent
// material, define the threshold under which the algorithm stops to
// iterate over peel layers. This is the ratio of the number of pixels
// that have been touched by the last layer over the total number of pixels
// of the viewport area.
// Initial value is 0.0, meaning rendering have to be exact. Greater values
// may speed-up the rendering with small impact on the quality.
//// \item @|double = obj.GetOcclusionRatioMaxValue ()| -  In case of use of depth peeling technique for rendering translucent
// material, define the threshold under which the algorithm stops to
// iterate over peel layers. This is the ratio of the number of pixels
// that have been touched by the last layer over the total number of pixels
// of the viewport area.
// Initial value is 0.0, meaning rendering have to be exact. Greater values
// may speed-up the rendering with small impact on the quality.
//// \item @|double = obj.GetOcclusionRatio ()| -  In case of use of depth peeling technique for rendering translucent
// material, define the threshold under which the algorithm stops to
// iterate over peel layers. This is the ratio of the number of pixels
// that have been touched by the last layer over the total number of pixels
// of the viewport area.
// Initial value is 0.0, meaning rendering have to be exact. Greater values
// may speed-up the rendering with small impact on the quality.
//// \item @|obj.SetMaximumNumberOfPeels (int )| -  In case of depth peeling, define the maximum number of peeling layers.
// Initial value is 4. A special value of 0 means no maximum limit.
// It has to be a positive value.
//// \item @|int = obj.GetMaximumNumberOfPeels ()| -  In case of depth peeling, define the maximum number of peeling layers.
// Initial value is 4. A special value of 0 means no maximum limit.
// It has to be a positive value.
//// \item @|int = obj.GetLastRenderingUsedDepthPeeling ()| -  Tells if the last call to DeviceRenderTranslucentPolygonalGeometry()
// actually used depth peeling.
// Initial value is false.
//// \item @|obj.SetDelegate (vtkRendererDelegate d)| -  Set/Get a custom Render call. Allows to hook a Render call from an
// external project.It will be used in place of vtkRenderer::Render() if it
// is not NULL and its Used ivar is set to true.
// Initial value is NULL.
//// \item @|vtkRendererDelegate = obj.GetDelegate ()| -  Set/Get a custom Render call. Allows to hook a Render call from an
// external project.It will be used in place of vtkRenderer::Render() if it
// is not NULL and its Used ivar is set to true.
// Initial value is NULL.
//// \item @|obj.SetPass (vtkRenderPass p)| -  Set/Get a custom render pass.
// Initial value is NULL.
//// \item @|vtkRenderPass = obj.GetPass ()| -  Set/Get a custom render pass.
// Initial value is NULL.
//// \item @|vtkHardwareSelector = obj.GetSelector ()| -  Get the current hardware selector. If the Selector is set, it implies the
// current render pass is for selection. Mappers/Properties may choose to
// behave differently when rendering for hardware selection.
//// \item @|obj.SetBackgroundTexture (vtkTexture )| -  Set/Get the texture to be used for the background. If set
// and enabled this gets the priority over the gradient background.
//// \item @|vtkTexture = obj.GetBackgroundTexture ()| -  Set/Get the texture to be used for the background. If set
// and enabled this gets the priority over the gradient background.
//// \item @|obj.SetTexturedBackground (bool )| -  Set/Get whether this viewport should have a textured background.
// Default is off.
//// \item @|bool = obj.GetTexturedBackground ()| -  Set/Get whether this viewport should have a textured background.
// Default is off.
//// \item @|obj.TexturedBackgroundOn ()| -  Set/Get whether this viewport should have a textured background.
// Default is off.
//// \item @|obj.TexturedBackgroundOff ()| -  Set/Get whether this viewport should have a textured background.
// Default is off.
////\end{itemize}
//!
