#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRendererCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRendererCollection.h"

//@@Signature
//sfunction @vtkRendererCollection:vtkRendererCollection vtkRendererCollectionConstructorFunction
//input a
//output p
//@@Parents vtkRendererCollection vtkCollection 
ArrayVector vtkRendererCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRendererCollection::New(),"vtkRendererCollection",eval);
  } else if (arg[0].className() == "vtkRendererCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRendererCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRendererCollection");
    vtkRendererCollection*q = reinterpret_cast<vtkRendererCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRendererCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRendererCollection:GetClassName vtkRendererCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRendererCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRendererCollection requires 1 argument(s)");
  vtkRendererCollection* vtk_pointer = GetVTKPointer<vtkRendererCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRendererCollection:IsA vtkRendererCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRendererCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRendererCollection requires 2 argument(s)");
  vtkRendererCollection* vtk_pointer = GetVTKPointer<vtkRendererCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRendererCollection:NewInstance vtkRendererCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRendererCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRendererCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRendererCollection requires 1 argument(s)");
  vtkRendererCollection* vtk_pointer = GetVTKPointer<vtkRendererCollection>(arg[0]);
  Array retval;
  vtkRendererCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRendererCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRendererCollection:SafeDownCast vtkRendererCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRendererCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRendererCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRendererCollection requires 2 argument(s)");
  vtkRendererCollection* vtk_pointer = GetVTKPointer<vtkRendererCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRendererCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRendererCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRendererCollection:AddItem__1 vtkRendererCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkRendererCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkRenderer *a);this vtkCollection AddItem a  */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkRendererCollection requires 2 argument(s)");
  vtkRendererCollection* vtk_pointer = GetVTKPointer<vtkRendererCollection>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRendererCollection:GetNextItem vtkRendererCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkRendererCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetNextItem ();return static_cast vtkRenderer this GetNextItemAsObject  */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkRendererCollection requires 1 argument(s)");
  vtkRendererCollection* vtk_pointer = GetVTKPointer<vtkRendererCollection>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRendererCollection:Render vtkRendererCollectionRenderFunction
//input a0 
//output none
ArrayVector vtkRendererCollectionRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Render (); */
  if (arg.size() < 1) 
    throw Exception("Function Render for class vtkRendererCollection requires 1 argument(s)");
  vtkRendererCollection* vtk_pointer = GetVTKPointer<vtkRendererCollection>(arg[0]);
  Array retval;
  vtk_pointer->Render();
  return retval;
}

//@@Signature
//sfunction @vtkRendererCollection:GetFirstRenderer vtkRendererCollectionGetFirstRendererFunction
//input a0 
//output y
ArrayVector vtkRendererCollectionGetFirstRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetFirstRenderer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFirstRenderer for class vtkRendererCollection requires 1 argument(s)");
  vtkRendererCollection* vtk_pointer = GetVTKPointer<vtkRendererCollection>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetFirstRenderer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRendererCollection:AddItem vtkRendererCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkRendererCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkRenderer"))
    return vtkRendererCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRendererCollectionAddItem");
}

//@@Signature
//sfunction @vtkRendererCollection:display vtkRendererCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRendererCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRendererCollection* vtk_pointer = GetVTKPointer<vtkRendererCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRendererCollection:delete vtkRendererCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkRendererCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRendererCollection
//@@Section VTKRendering
//@@Usage
// vtkRendererCollection represents and provides methods to manipulate a list 
// of renderers (i.e., vtkRenderer and subclasses). The list is unsorted and 
// duplicate entries are not prevented.
//
//To create an instance of class vtkRendererCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkRendererCollection
//@]
//@@Methods
//The class vtkRendererCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRendererCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRendererCollection = obj.NewInstance ()|
// \item @|vtkRendererCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkRenderer a)| -  Get the next Renderer in the list. Return NULL when at the end of the 
// list.
//// \item @|vtkRenderer = obj.GetNextItem ()| -  Get the next Renderer in the list. Return NULL when at the end of the 
// list.
//// \item @|obj.Render ()| -  Forward the Render() method to each renderer in the list.
//// \item @|vtkRenderer = obj.GetFirstRenderer ()| -  Get the first Renderer in the list. Return NULL when at the end of the 
// list.
////\end{itemize}
//!
