#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRendererDelegate object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRendererDelegate.h"

//@@Signature
//sfunction @vtkRendererDelegate:vtkRendererDelegate vtkRendererDelegateConstructorFunction
//input a
//output p
//@@Parents vtkRendererDelegate vtkObject 
ArrayVector vtkRendererDelegateConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRendererDelegate::New(),"vtkRendererDelegate",eval);
  } else if (arg[0].className() == "vtkRendererDelegate") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRendererDelegate"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRendererDelegate");
    vtkRendererDelegate*q = reinterpret_cast<vtkRendererDelegate*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRendererDelegate");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRendererDelegate:GetClassName vtkRendererDelegateGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRendererDelegateGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRendererDelegate requires 1 argument(s)");
  vtkRendererDelegate* vtk_pointer = GetVTKPointer<vtkRendererDelegate>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRendererDelegate:IsA vtkRendererDelegateIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRendererDelegateIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRendererDelegate requires 2 argument(s)");
  vtkRendererDelegate* vtk_pointer = GetVTKPointer<vtkRendererDelegate>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRendererDelegate:NewInstance vtkRendererDelegateNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRendererDelegateNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRendererDelegate *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRendererDelegate requires 1 argument(s)");
  vtkRendererDelegate* vtk_pointer = GetVTKPointer<vtkRendererDelegate>(arg[0]);
  Array retval;
  vtkRendererDelegate  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRendererDelegate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRendererDelegate:SafeDownCast vtkRendererDelegateSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRendererDelegateSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRendererDelegate *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRendererDelegate requires 2 argument(s)");
  vtkRendererDelegate* vtk_pointer = GetVTKPointer<vtkRendererDelegate>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRendererDelegate  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRendererDelegate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRendererDelegate:Render vtkRendererDelegateRenderFunction
//input a0 a1 
//output none
ArrayVector vtkRendererDelegateRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkRenderer *r) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function Render for class vtkRendererDelegate requires 2 argument(s)");
  vtkRendererDelegate* vtk_pointer = GetVTKPointer<vtkRendererDelegate>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->Render(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRendererDelegate:SetUsed vtkRendererDelegateSetUsedFunction
//input a0 a1 
//output none
ArrayVector vtkRendererDelegateSetUsedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUsed (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUsed for class vtkRendererDelegate requires 2 argument(s)");
  vtkRendererDelegate* vtk_pointer = GetVTKPointer<vtkRendererDelegate>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUsed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRendererDelegate:GetUsed vtkRendererDelegateGetUsedFunction
//input a0 
//output y
ArrayVector vtkRendererDelegateGetUsedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUsed (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUsed for class vtkRendererDelegate requires 1 argument(s)");
  vtkRendererDelegate* vtk_pointer = GetVTKPointer<vtkRendererDelegate>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUsed();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRendererDelegate:UsedOn vtkRendererDelegateUsedOnFunction
//input a0 
//output none
ArrayVector vtkRendererDelegateUsedOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UsedOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UsedOn for class vtkRendererDelegate requires 1 argument(s)");
  vtkRendererDelegate* vtk_pointer = GetVTKPointer<vtkRendererDelegate>(arg[0]);
  Array retval;
  vtk_pointer->UsedOn();
  return retval;
}

//@@Signature
//sfunction @vtkRendererDelegate:UsedOff vtkRendererDelegateUsedOffFunction
//input a0 
//output none
ArrayVector vtkRendererDelegateUsedOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UsedOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UsedOff for class vtkRendererDelegate requires 1 argument(s)");
  vtkRendererDelegate* vtk_pointer = GetVTKPointer<vtkRendererDelegate>(arg[0]);
  Array retval;
  vtk_pointer->UsedOff();
  return retval;
}

//@@Signature
//sfunction @vtkRendererDelegate:display vtkRendererDelegateDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRendererDelegateDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRendererDelegate* vtk_pointer = GetVTKPointer<vtkRendererDelegate>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRendererDelegate:delete vtkRendererDelegateDeleteFunction
//input varargin
//output none
ArrayVector vtkRendererDelegateDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRendererDelegate
//@@Section VTKRendering
//@@Usage
// vtkRendererDelegate is an abstract class with a pure virtual method Render.
// This method replaces the Render method of vtkRenderer to allow custom
// rendering from an external project. A RendererDelegate is connected to
// a vtkRenderer with method SetDelegate(). An external project just
// has to provide a concrete implementation of vtkRendererDelegate.
//
//To create an instance of class vtkRendererDelegate, simply
//invoke its constructor as follows
//@[
//  obj = vtkRendererDelegate
//@]
//@@Methods
//The class vtkRendererDelegate has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRendererDelegate class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRendererDelegate = obj.NewInstance ()|
// \item @|vtkRendererDelegate = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Render (vtkRenderer r)| -  Render the props of vtkRenderer if Used is on.
//// \item @|obj.SetUsed (bool )| -  Tells if the delegate has to be used by the renderer or not.
// Initial value is off.
//// \item @|bool = obj.GetUsed ()| -  Tells if the delegate has to be used by the renderer or not.
// Initial value is off.
//// \item @|obj.UsedOn ()| -  Tells if the delegate has to be used by the renderer or not.
// Initial value is off.
//// \item @|obj.UsedOff ()| -  Tells if the delegate has to be used by the renderer or not.
// Initial value is off.
////\end{itemize}
//!
