#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRendererSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRendererSource.h"

//@@Signature
//sfunction @vtkRendererSource:vtkRendererSource vtkRendererSourceConstructorFunction
//input a
//output p
//@@Parents vtkRendererSource vtkAlgorithm 
ArrayVector vtkRendererSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRendererSource::New(),"vtkRendererSource",eval);
  } else if (arg[0].className() == "vtkRendererSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRendererSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRendererSource");
    vtkRendererSource*q = reinterpret_cast<vtkRendererSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRendererSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRendererSource:GetClassName vtkRendererSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRendererSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRendererSource requires 1 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:IsA vtkRendererSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRendererSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRendererSource requires 2 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:NewInstance vtkRendererSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRendererSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRendererSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRendererSource requires 1 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  vtkRendererSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRendererSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:SafeDownCast vtkRendererSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRendererSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRendererSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRendererSource requires 2 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRendererSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRendererSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:GetMTime vtkRendererSourceGetMTimeFunction
//input a0 
//output y
ArrayVector vtkRendererSourceGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkRendererSource requires 1 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:SetInput vtkRendererSourceSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSourceSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkRendererSource requires 2 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:GetInput vtkRendererSourceGetInputFunction
//input a0 
//output y
ArrayVector vtkRendererSourceGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkRendererSource requires 1 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:SetWholeWindow vtkRendererSourceSetWholeWindowFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSourceSetWholeWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeWindow (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWholeWindow for class vtkRendererSource requires 2 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWholeWindow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:GetWholeWindow vtkRendererSourceGetWholeWindowFunction
//input a0 
//output y
ArrayVector vtkRendererSourceGetWholeWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWholeWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeWindow for class vtkRendererSource requires 1 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWholeWindow();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:WholeWindowOn vtkRendererSourceWholeWindowOnFunction
//input a0 
//output none
ArrayVector vtkRendererSourceWholeWindowOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WholeWindowOn (); */
  if (arg.size() < 1) 
    throw Exception("Function WholeWindowOn for class vtkRendererSource requires 1 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  vtk_pointer->WholeWindowOn();
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:WholeWindowOff vtkRendererSourceWholeWindowOffFunction
//input a0 
//output none
ArrayVector vtkRendererSourceWholeWindowOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WholeWindowOff (); */
  if (arg.size() < 1) 
    throw Exception("Function WholeWindowOff for class vtkRendererSource requires 1 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  vtk_pointer->WholeWindowOff();
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:SetRenderFlag vtkRendererSourceSetRenderFlagFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSourceSetRenderFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRenderFlag (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderFlag for class vtkRendererSource requires 2 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRenderFlag(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:GetRenderFlag vtkRendererSourceGetRenderFlagFunction
//input a0 
//output y
ArrayVector vtkRendererSourceGetRenderFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRenderFlag (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderFlag for class vtkRendererSource requires 1 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRenderFlag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:RenderFlagOn vtkRendererSourceRenderFlagOnFunction
//input a0 
//output none
ArrayVector vtkRendererSourceRenderFlagOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderFlagOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RenderFlagOn for class vtkRendererSource requires 1 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  vtk_pointer->RenderFlagOn();
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:RenderFlagOff vtkRendererSourceRenderFlagOffFunction
//input a0 
//output none
ArrayVector vtkRendererSourceRenderFlagOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderFlagOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RenderFlagOff for class vtkRendererSource requires 1 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  vtk_pointer->RenderFlagOff();
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:SetDepthValues vtkRendererSourceSetDepthValuesFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSourceSetDepthValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDepthValues (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDepthValues for class vtkRendererSource requires 2 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDepthValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:GetDepthValues vtkRendererSourceGetDepthValuesFunction
//input a0 
//output y
ArrayVector vtkRendererSourceGetDepthValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDepthValues (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepthValues for class vtkRendererSource requires 1 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDepthValues();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:DepthValuesOn vtkRendererSourceDepthValuesOnFunction
//input a0 
//output none
ArrayVector vtkRendererSourceDepthValuesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DepthValuesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DepthValuesOn for class vtkRendererSource requires 1 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  vtk_pointer->DepthValuesOn();
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:DepthValuesOff vtkRendererSourceDepthValuesOffFunction
//input a0 
//output none
ArrayVector vtkRendererSourceDepthValuesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DepthValuesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DepthValuesOff for class vtkRendererSource requires 1 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  vtk_pointer->DepthValuesOff();
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:SetDepthValuesInScalars vtkRendererSourceSetDepthValuesInScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkRendererSourceSetDepthValuesInScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDepthValuesInScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDepthValuesInScalars for class vtkRendererSource requires 2 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDepthValuesInScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:GetDepthValuesInScalars vtkRendererSourceGetDepthValuesInScalarsFunction
//input a0 
//output y
ArrayVector vtkRendererSourceGetDepthValuesInScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDepthValuesInScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepthValuesInScalars for class vtkRendererSource requires 1 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDepthValuesInScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:DepthValuesInScalarsOn vtkRendererSourceDepthValuesInScalarsOnFunction
//input a0 
//output none
ArrayVector vtkRendererSourceDepthValuesInScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DepthValuesInScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DepthValuesInScalarsOn for class vtkRendererSource requires 1 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  vtk_pointer->DepthValuesInScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:DepthValuesInScalarsOff vtkRendererSourceDepthValuesInScalarsOffFunction
//input a0 
//output none
ArrayVector vtkRendererSourceDepthValuesInScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DepthValuesInScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DepthValuesInScalarsOff for class vtkRendererSource requires 1 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  vtk_pointer->DepthValuesInScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:GetOutput vtkRendererSourceGetOutputFunction
//input a0 
//output y
ArrayVector vtkRendererSourceGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput for class vtkRendererSource requires 1 argument(s)");
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRendererSource:display vtkRendererSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRendererSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRendererSource* vtk_pointer = GetVTKPointer<vtkRendererSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRendererSource:delete vtkRendererSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkRendererSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRendererSource
//@@Section VTKRendering
//@@Usage
// vtkRendererSource is a source object that gets its input from a 
// renderer and converts it to structured points. This can then be 
// used in a visualization pipeline. You must explicitly send a 
// Modify() to this object to get it to reload its data from the
// renderer. Consider using vtkWindowToImageFilter instead of this
// class.
//
// The data placed into the output is the renderer's image rgb values.
// Optionally, you can also grab the image depth (e.g., z-buffer) values, and
// place then into the output (point) field data.
//
//To create an instance of class vtkRendererSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkRendererSource
//@]
//@@Methods
//The class vtkRendererSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRendererSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRendererSource = obj.NewInstance ()|
// \item @|vtkRendererSource = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMTime ()| -  Return the MTime also considering the Renderer.
//// \item @|obj.SetInput (vtkRenderer )| -  Indicates what renderer to get the pixel data from.
//// \item @|vtkRenderer = obj.GetInput ()| -  Returns which renderer is being used as the source for the pixel data.
//// \item @|obj.SetWholeWindow (int )| -  Use the entire RenderWindow as a data source or just the Renderer.
// The default is zero, just the Renderer.
//// \item @|int = obj.GetWholeWindow ()| -  Use the entire RenderWindow as a data source or just the Renderer.
// The default is zero, just the Renderer.
//// \item @|obj.WholeWindowOn ()| -  Use the entire RenderWindow as a data source or just the Renderer.
// The default is zero, just the Renderer.
//// \item @|obj.WholeWindowOff ()| -  Use the entire RenderWindow as a data source or just the Renderer.
// The default is zero, just the Renderer.
//// \item @|obj.SetRenderFlag (int )| -  If this flag is on, the Executing causes a render first.
//// \item @|int = obj.GetRenderFlag ()| -  If this flag is on, the Executing causes a render first.
//// \item @|obj.RenderFlagOn ()| -  If this flag is on, the Executing causes a render first.
//// \item @|obj.RenderFlagOff ()| -  If this flag is on, the Executing causes a render first.
//// \item @|obj.SetDepthValues (int )| -  A boolean value to control whether to grab z-buffer 
// (i.e., depth values) along with the image data. The z-buffer data
// is placed into a field data attributes named "ZBuffer" .
//// \item @|int = obj.GetDepthValues ()| -  A boolean value to control whether to grab z-buffer 
// (i.e., depth values) along with the image data. The z-buffer data
// is placed into a field data attributes named "ZBuffer" .
//// \item @|obj.DepthValuesOn ()| -  A boolean value to control whether to grab z-buffer 
// (i.e., depth values) along with the image data. The z-buffer data
// is placed into a field data attributes named "ZBuffer" .
//// \item @|obj.DepthValuesOff ()| -  A boolean value to control whether to grab z-buffer 
// (i.e., depth values) along with the image data. The z-buffer data
// is placed into a field data attributes named "ZBuffer" .
//// \item @|obj.SetDepthValuesInScalars (int )| -  A boolean value to control whether to grab z-buffer 
// (i.e., depth values) along with the image data. The z-buffer data
// is placed in the scalars as a fourth Z component (shift and scaled
// to map the full 0..255 range).
//// \item @|int = obj.GetDepthValuesInScalars ()| -  A boolean value to control whether to grab z-buffer 
// (i.e., depth values) along with the image data. The z-buffer data
// is placed in the scalars as a fourth Z component (shift and scaled
// to map the full 0..255 range).
//// \item @|obj.DepthValuesInScalarsOn ()| -  A boolean value to control whether to grab z-buffer 
// (i.e., depth values) along with the image data. The z-buffer data
// is placed in the scalars as a fourth Z component (shift and scaled
// to map the full 0..255 range).
//// \item @|obj.DepthValuesInScalarsOff ()| -  A boolean value to control whether to grab z-buffer 
// (i.e., depth values) along with the image data. The z-buffer data
// is placed in the scalars as a fourth Z component (shift and scaled
// to map the full 0..255 range).
//// \item @|vtkImageData = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
////\end{itemize}
//!
