#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRepresentationPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRepresentationPainter.h"

//@@Signature
//sfunction @vtkRepresentationPainter:vtkRepresentationPainter vtkRepresentationPainterConstructorFunction
//input a
//output p
//@@Parents vtkRepresentationPainter vtkPolyDataPainter 
ArrayVector vtkRepresentationPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRepresentationPainter::New(),"vtkRepresentationPainter",eval);
  } else if (arg[0].className() == "vtkRepresentationPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRepresentationPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRepresentationPainter");
    vtkRepresentationPainter*q = reinterpret_cast<vtkRepresentationPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRepresentationPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRepresentationPainter:GetClassName vtkRepresentationPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRepresentationPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRepresentationPainter requires 1 argument(s)");
  vtkRepresentationPainter* vtk_pointer = GetVTKPointer<vtkRepresentationPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRepresentationPainter:IsA vtkRepresentationPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRepresentationPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRepresentationPainter requires 2 argument(s)");
  vtkRepresentationPainter* vtk_pointer = GetVTKPointer<vtkRepresentationPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRepresentationPainter:NewInstance vtkRepresentationPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRepresentationPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRepresentationPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRepresentationPainter requires 1 argument(s)");
  vtkRepresentationPainter* vtk_pointer = GetVTKPointer<vtkRepresentationPainter>(arg[0]);
  Array retval;
  vtkRepresentationPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRepresentationPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRepresentationPainter:SafeDownCast vtkRepresentationPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRepresentationPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRepresentationPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRepresentationPainter requires 2 argument(s)");
  vtkRepresentationPainter* vtk_pointer = GetVTKPointer<vtkRepresentationPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRepresentationPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRepresentationPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRepresentationPainter:display vtkRepresentationPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRepresentationPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRepresentationPainter* vtk_pointer = GetVTKPointer<vtkRepresentationPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRepresentationPainter:delete vtkRepresentationPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkRepresentationPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRepresentationPainter
//@@Section VTKRendering
//@@Usage
// This painter merely defines the interface. 
// Subclasses will change the polygon rendering mode dependent on 
// the graphics library.
//
//To create an instance of class vtkRepresentationPainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkRepresentationPainter
//@]
//@@Methods
//The class vtkRepresentationPainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRepresentationPainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRepresentationPainter = obj.NewInstance ()|
// \item @|vtkRepresentationPainter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
