#include "VTKWrap.hpp"

// FreeMat wrapper for vtkScalarBarActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkScalarBarActor.h"

//@@Signature
//sfunction @vtkScalarBarActor:vtkScalarBarActor vtkScalarBarActorConstructorFunction
//input a
//output p
//@@Parents vtkScalarBarActor vtkActor2D 
ArrayVector vtkScalarBarActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkScalarBarActor::New(),"vtkScalarBarActor",eval);
  } else if (arg[0].className() == "vtkScalarBarActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkScalarBarActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkScalarBarActor");
    vtkScalarBarActor*q = reinterpret_cast<vtkScalarBarActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkScalarBarActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkScalarBarActor:GetClassName vtkScalarBarActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:IsA vtkScalarBarActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkScalarBarActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:NewInstance vtkScalarBarActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarBarActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtkScalarBarActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarBarActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SafeDownCast vtkScalarBarActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkScalarBarActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarBarActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkScalarBarActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarBarActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:RenderOpaqueGeometry vtkScalarBarActorRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkScalarBarActorRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:RenderTranslucentPolygonalGeometry vtkScalarBarActorRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkScalarBarActorRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);return  */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:RenderOverlay vtkScalarBarActorRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkScalarBarActorRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:HasTranslucentPolygonalGeometry vtkScalarBarActorHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:ReleaseGraphicsResources vtkScalarBarActorReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarActorReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SetLookupTable vtkScalarBarActorSetLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarActorSetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLookupTable (vtkScalarsToColors *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLookupTable for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp0;
  temp0 = GetVTKPointer<vtkScalarsToColors>(arg[1]);
  vtk_pointer->SetLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetLookupTable vtkScalarBarActorGetLookupTableFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarsToColors *GetLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLookupTable for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp20;
  temp20 = (vtk_pointer)->GetLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarsToColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SetUseOpacity vtkScalarBarActorSetUseOpacityFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarActorSetUseOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseOpacity (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseOpacity for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetUseOpacity vtkScalarBarActorGetUseOpacityFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetUseOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseOpacity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseOpacity for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:UseOpacityOn vtkScalarBarActorUseOpacityOnFunction
//input a0 
//output none
ArrayVector vtkScalarBarActorUseOpacityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseOpacityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseOpacityOn for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtk_pointer->UseOpacityOn();
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:UseOpacityOff vtkScalarBarActorUseOpacityOffFunction
//input a0 
//output none
ArrayVector vtkScalarBarActorUseOpacityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseOpacityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseOpacityOff for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtk_pointer->UseOpacityOff();
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SetMaximumNumberOfColors vtkScalarBarActorSetMaximumNumberOfColorsFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarActorSetMaximumNumberOfColorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumNumberOfColors (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumNumberOfColors for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumNumberOfColors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetMaximumNumberOfColorsMinValue vtkScalarBarActorGetMaximumNumberOfColorsMinValueFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetMaximumNumberOfColorsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumNumberOfColorsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfColorsMinValue for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfColorsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetMaximumNumberOfColorsMaxValue vtkScalarBarActorGetMaximumNumberOfColorsMaxValueFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetMaximumNumberOfColorsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumNumberOfColorsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfColorsMaxValue for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfColorsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetMaximumNumberOfColors vtkScalarBarActorGetMaximumNumberOfColorsFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetMaximumNumberOfColorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumNumberOfColors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfColors for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfColors();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SetNumberOfLabels vtkScalarBarActorSetNumberOfLabelsFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarActorSetNumberOfLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfLabels (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfLabels for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfLabels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetNumberOfLabelsMinValue vtkScalarBarActorGetNumberOfLabelsMinValueFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetNumberOfLabelsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfLabelsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLabelsMinValue for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfLabelsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetNumberOfLabelsMaxValue vtkScalarBarActorGetNumberOfLabelsMaxValueFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetNumberOfLabelsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfLabelsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLabelsMaxValue for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfLabelsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetNumberOfLabels vtkScalarBarActorGetNumberOfLabelsFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetNumberOfLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfLabels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLabels for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfLabels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SetOrientation vtkScalarBarActorSetOrientationFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarActorSetOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrientation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrientation for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOrientation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetOrientationMinValue vtkScalarBarActorGetOrientationMinValueFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetOrientationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOrientationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientationMinValue for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOrientationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetOrientationMaxValue vtkScalarBarActorGetOrientationMaxValueFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetOrientationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOrientationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientationMaxValue for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOrientationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetOrientation vtkScalarBarActorGetOrientationFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOrientation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientation for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOrientation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SetOrientationToHorizontal vtkScalarBarActorSetOrientationToHorizontalFunction
//input a0 
//output none
ArrayVector vtkScalarBarActorSetOrientationToHorizontalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrientationToHorizontal ();this SetOrientation VTK_ORIENT_HORIZONTAL  */
  if (arg.size() < 1) 
    throw Exception("Function SetOrientationToHorizontal for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtk_pointer->SetOrientationToHorizontal();
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SetOrientationToVertical vtkScalarBarActorSetOrientationToVerticalFunction
//input a0 
//output none
ArrayVector vtkScalarBarActorSetOrientationToVerticalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrientationToVertical ();this SetOrientation VTK_ORIENT_VERTICAL  */
  if (arg.size() < 1) 
    throw Exception("Function SetOrientationToVertical for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtk_pointer->SetOrientationToVertical();
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SetTitleTextProperty vtkScalarBarActorSetTitleTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarActorSetTitleTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTitleTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitleTextProperty for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetTitleTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetTitleTextProperty vtkScalarBarActorGetTitleTextPropertyFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetTitleTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetTitleTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitleTextProperty for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetTitleTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SetLabelTextProperty vtkScalarBarActorSetLabelTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarActorSetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelTextProperty for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetLabelTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetLabelTextProperty vtkScalarBarActorGetLabelTextPropertyFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetLabelTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelTextProperty for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetLabelTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SetLabelFormat vtkScalarBarActorSetLabelFormatFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarActorSetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelFormat (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelFormat for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLabelFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetLabelFormat vtkScalarBarActorGetLabelFormatFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLabelFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelFormat for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLabelFormat();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SetTitle vtkScalarBarActorSetTitleFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarActorSetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitle (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitle for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTitle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetTitle vtkScalarBarActorGetTitleFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitle for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:ShallowCopy vtkScalarBarActorShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarActorShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SetTextureGridWidth vtkScalarBarActorSetTextureGridWidthFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarActorSetTextureGridWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureGridWidth (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextureGridWidth for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTextureGridWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetTextureGridWidth vtkScalarBarActorGetTextureGridWidthFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetTextureGridWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTextureGridWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureGridWidth for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTextureGridWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetTextureActor vtkScalarBarActorGetTextureActorFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetTextureActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor2D *GetTextureActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureActor for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtkActor2D  *temp20;
  temp20 = (vtk_pointer)->GetTextureActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SetTextPosition vtkScalarBarActorSetTextPositionFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarActorSetTextPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextPosition (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextPosition for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTextPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetTextPositionMinValue vtkScalarBarActorGetTextPositionMinValueFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetTextPositionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextPositionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextPositionMinValue for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextPositionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetTextPositionMaxValue vtkScalarBarActorGetTextPositionMaxValueFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetTextPositionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextPositionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextPositionMaxValue for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextPositionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetTextPosition vtkScalarBarActorGetTextPositionFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetTextPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextPosition for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextPosition();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SetTextPositionToPrecedeScalarBar vtkScalarBarActorSetTextPositionToPrecedeScalarBarFunction
//input a0 
//output none
ArrayVector vtkScalarBarActorSetTextPositionToPrecedeScalarBarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTextPositionToPrecedeScalarBar ();this SetTextPosition vtkScalarBarActor PrecedeScalarBar  */
  if (arg.size() < 1) 
    throw Exception("Function SetTextPositionToPrecedeScalarBar for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtk_pointer->SetTextPositionToPrecedeScalarBar();
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SetTextPositionToSucceedScalarBar vtkScalarBarActorSetTextPositionToSucceedScalarBarFunction
//input a0 
//output none
ArrayVector vtkScalarBarActorSetTextPositionToSucceedScalarBarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTextPositionToSucceedScalarBar ();this SetTextPosition vtkScalarBarActor SucceedScalarBar  */
  if (arg.size() < 1) 
    throw Exception("Function SetTextPositionToSucceedScalarBar for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  vtk_pointer->SetTextPositionToSucceedScalarBar();
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SetMaximumWidthInPixels vtkScalarBarActorSetMaximumWidthInPixelsFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarActorSetMaximumWidthInPixelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumWidthInPixels (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumWidthInPixels for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumWidthInPixels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetMaximumWidthInPixels vtkScalarBarActorGetMaximumWidthInPixelsFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetMaximumWidthInPixelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumWidthInPixels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumWidthInPixels for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumWidthInPixels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:SetMaximumHeightInPixels vtkScalarBarActorSetMaximumHeightInPixelsFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarActorSetMaximumHeightInPixelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumHeightInPixels (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumHeightInPixels for class vtkScalarBarActor requires 2 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumHeightInPixels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:GetMaximumHeightInPixels vtkScalarBarActorGetMaximumHeightInPixelsFunction
//input a0 
//output y
ArrayVector vtkScalarBarActorGetMaximumHeightInPixelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumHeightInPixels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumHeightInPixels for class vtkScalarBarActor requires 1 argument(s)");
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumHeightInPixels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarActor:display vtkScalarBarActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkScalarBarActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkScalarBarActor* vtk_pointer = GetVTKPointer<vtkScalarBarActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkScalarBarActor:delete vtkScalarBarActorDeleteFunction
//input varargin
//output none
ArrayVector vtkScalarBarActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkScalarBarActor
//@@Section VTKRendering
//@@Usage
// vtkScalarBarActor creates a scalar bar with annotation text. A scalar
// bar is a legend that indicates to the viewer the correspondence between
// color value and data value. The legend consists of a rectangular bar 
// made of rectangular pieces each colored a constant value. Since 
// vtkScalarBarActor is a subclass of vtkActor2D, it is drawn in the image 
// plane (i.e., in the renderer's viewport) on top of the 3D graphics window.
//
// To use vtkScalarBarActor you must associate a vtkScalarsToColors (or
// subclass) with it. The lookup table defines the colors and the
// range of scalar values used to map scalar data.  Typically, the
// number of colors shown in the scalar bar is not equal to the number
// of colors in the lookup table, in which case sampling of
// the lookup table is performed. 
//
// Other optional capabilities include specifying the fraction of the
// viewport size (both x and y directions) which will control the size
// of the scalar bar and the number of annotation labels. The actual position
// of the scalar bar on the screen is controlled by using the
// vtkActor2D::SetPosition() method (by default the scalar bar is
// centered in the viewport).  Other features include the ability to
// orient the scalar bar horizontally of vertically and controlling
// the format (printf style) with which to print the labels on the
// scalar bar. Also, the vtkScalarBarActor's property is applied to
// the scalar bar and annotation (including layer, and
// compositing operator).
//
// Set the text property/attributes of the title and the labels through the 
// vtkTextProperty objects associated to this actor.
//
//
//To create an instance of class vtkScalarBarActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkScalarBarActor
//@]
//@@Methods
//The class vtkScalarBarActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkScalarBarActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkScalarBarActor = obj.NewInstance ()|
// \item @|vtkScalarBarActor = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Draw the scalar bar and annotation text to the screen.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  Draw the scalar bar and annotation text to the screen.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Draw the scalar bar and annotation text to the screen.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Does this prop have some translucent polygonal geometry?
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|obj.SetLookupTable (vtkScalarsToColors )| -  Set/Get the vtkLookupTable to use. The lookup table specifies the number
// of colors to use in the table (if not overridden), as well as the scalar
// range.
//// \item @|vtkScalarsToColors = obj.GetLookupTable ()| -  Set/Get the vtkLookupTable to use. The lookup table specifies the number
// of colors to use in the table (if not overridden), as well as the scalar
// range.
//// \item @|obj.SetUseOpacity (int )| -  Should be display the opacity as well. This is displayed by changing
// the opacity of the scalar bar in accordance with the opacity of the
// given color. For clarity, a texture grid is placed in the background
// if Opacity is ON. You might also want to play with SetTextureGridWith
// in that case. [Default: off]
//// \item @|int = obj.GetUseOpacity ()| -  Should be display the opacity as well. This is displayed by changing
// the opacity of the scalar bar in accordance with the opacity of the
// given color. For clarity, a texture grid is placed in the background
// if Opacity is ON. You might also want to play with SetTextureGridWith
// in that case. [Default: off]
//// \item @|obj.UseOpacityOn ()| -  Should be display the opacity as well. This is displayed by changing
// the opacity of the scalar bar in accordance with the opacity of the
// given color. For clarity, a texture grid is placed in the background
// if Opacity is ON. You might also want to play with SetTextureGridWith
// in that case. [Default: off]
//// \item @|obj.UseOpacityOff ()| -  Should be display the opacity as well. This is displayed by changing
// the opacity of the scalar bar in accordance with the opacity of the
// given color. For clarity, a texture grid is placed in the background
// if Opacity is ON. You might also want to play with SetTextureGridWith
// in that case. [Default: off]
//// \item @|obj.SetMaximumNumberOfColors (int )| -  Set/Get the maximum number of scalar bar segments to show. This may
// differ from the number of colors in the lookup table, in which case
// the colors are samples from the lookup table.
//// \item @|int = obj.GetMaximumNumberOfColorsMinValue ()| -  Set/Get the maximum number of scalar bar segments to show. This may
// differ from the number of colors in the lookup table, in which case
// the colors are samples from the lookup table.
//// \item @|int = obj.GetMaximumNumberOfColorsMaxValue ()| -  Set/Get the maximum number of scalar bar segments to show. This may
// differ from the number of colors in the lookup table, in which case
// the colors are samples from the lookup table.
//// \item @|int = obj.GetMaximumNumberOfColors ()| -  Set/Get the maximum number of scalar bar segments to show. This may
// differ from the number of colors in the lookup table, in which case
// the colors are samples from the lookup table.
//// \item @|obj.SetNumberOfLabels (int )| -  Set/Get the number of annotation labels to show.
//// \item @|int = obj.GetNumberOfLabelsMinValue ()| -  Set/Get the number of annotation labels to show.
//// \item @|int = obj.GetNumberOfLabelsMaxValue ()| -  Set/Get the number of annotation labels to show.
//// \item @|int = obj.GetNumberOfLabels ()| -  Set/Get the number of annotation labels to show.
//// \item @|obj.SetOrientation (int )| -  Control the orientation of the scalar bar.
//// \item @|int = obj.GetOrientationMinValue ()| -  Control the orientation of the scalar bar.
//// \item @|int = obj.GetOrientationMaxValue ()| -  Control the orientation of the scalar bar.
//// \item @|int = obj.GetOrientation ()| -  Control the orientation of the scalar bar.
//// \item @|obj.SetOrientationToHorizontal ()| -  Control the orientation of the scalar bar.
//// \item @|obj.SetOrientationToVertical ()| -  Control the orientation of the scalar bar.
//// \item @|obj.SetTitleTextProperty (vtkTextProperty p)| -  Set/Get the title text property.
//// \item @|vtkTextProperty = obj.GetTitleTextProperty ()| -  Set/Get the title text property.
//// \item @|obj.SetLabelTextProperty (vtkTextProperty p)| -  Set/Get the labels text property.
//// \item @|vtkTextProperty = obj.GetLabelTextProperty ()| -  Set/Get the labels text property.
//// \item @|obj.SetLabelFormat (string )| -  Set/Get the format with which to print the labels on the scalar
// bar.
//// \item @|string = obj.GetLabelFormat ()| -  Set/Get the format with which to print the labels on the scalar
// bar.
//// \item @|obj.SetTitle (string )| -  Set/Get the title of the scalar bar actor,
//// \item @|string = obj.GetTitle ()| -  Set/Get the title of the scalar bar actor,
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of a scalar bar actor. Overloads the virtual vtkProp method.
//// \item @|obj.SetTextureGridWidth (double )| -  Set the width of the texture grid. Used only if UseOpacity is ON.
//// \item @|double = obj.GetTextureGridWidth ()| -  Set the width of the texture grid. Used only if UseOpacity is ON.
//// \item @|vtkActor2D = obj.GetTextureActor ()| -  Get the texture actor.. you may want to change some properties on it
//// \item @|obj.SetTextPosition (int )| -  Have the text preceding the scalar bar or suceeding it ?
// Succeed implies the that the text is Above scalar bar if orientation 
// is horizontal or Right of scalar bar if orientation is vertical.
// Precede is the opposite
//// \item @|int = obj.GetTextPositionMinValue ()| -  Have the text preceding the scalar bar or suceeding it ?
// Succeed implies the that the text is Above scalar bar if orientation 
// is horizontal or Right of scalar bar if orientation is vertical.
// Precede is the opposite
//// \item @|int = obj.GetTextPositionMaxValue ()| -  Have the text preceding the scalar bar or suceeding it ?
// Succeed implies the that the text is Above scalar bar if orientation 
// is horizontal or Right of scalar bar if orientation is vertical.
// Precede is the opposite
//// \item @|int = obj.GetTextPosition ()| -  Have the text preceding the scalar bar or suceeding it ?
// Succeed implies the that the text is Above scalar bar if orientation 
// is horizontal or Right of scalar bar if orientation is vertical.
// Precede is the opposite
//// \item @|obj.SetTextPositionToPrecedeScalarBar ()| -  Have the text preceding the scalar bar or suceeding it ?
// Succeed implies the that the text is Above scalar bar if orientation 
// is horizontal or Right of scalar bar if orientation is vertical.
// Precede is the opposite
//// \item @|obj.SetTextPositionToSucceedScalarBar ()| -  Set/Get the maximum width and height in pixels. Specifying the size as
// a relative fraction of the viewport can sometimes undersirably strech 
// the size of the actor too much. These methods allow the user to set 
// bounds on the maximum size of the scalar bar in pixels along any 
// direction. Defaults to unbounded.
//// \item @|obj.SetMaximumWidthInPixels (int )| -  Set/Get the maximum width and height in pixels. Specifying the size as
// a relative fraction of the viewport can sometimes undersirably strech 
// the size of the actor too much. These methods allow the user to set 
// bounds on the maximum size of the scalar bar in pixels along any 
// direction. Defaults to unbounded.
//// \item @|int = obj.GetMaximumWidthInPixels ()| -  Set/Get the maximum width and height in pixels. Specifying the size as
// a relative fraction of the viewport can sometimes undersirably strech 
// the size of the actor too much. These methods allow the user to set 
// bounds on the maximum size of the scalar bar in pixels along any 
// direction. Defaults to unbounded.
//// \item @|obj.SetMaximumHeightInPixels (int )| -  Set/Get the maximum width and height in pixels. Specifying the size as
// a relative fraction of the viewport can sometimes undersirably strech 
// the size of the actor too much. These methods allow the user to set 
// bounds on the maximum size of the scalar bar in pixels along any 
// direction. Defaults to unbounded.
//// \item @|int = obj.GetMaximumHeightInPixels ()| -  Set/Get the maximum width and height in pixels. Specifying the size as
// a relative fraction of the viewport can sometimes undersirably strech 
// the size of the actor too much. These methods allow the user to set 
// bounds on the maximum size of the scalar bar in pixels along any 
// direction. Defaults to unbounded.
////\end{itemize}
//!
