#include "VTKWrap.hpp"

// FreeMat wrapper for vtkScalarsToColorsPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkScalarsToColorsPainter.h"

//@@Signature
//sfunction @vtkScalarsToColorsPainter:vtkScalarsToColorsPainter vtkScalarsToColorsPainterConstructorFunction
//input a
//output p
//@@Parents vtkScalarsToColorsPainter vtkPainter 
ArrayVector vtkScalarsToColorsPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkScalarsToColorsPainter::New(),"vtkScalarsToColorsPainter",eval);
  } else if (arg[0].className() == "vtkScalarsToColorsPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkScalarsToColorsPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkScalarsToColorsPainter");
    vtkScalarsToColorsPainter*q = reinterpret_cast<vtkScalarsToColorsPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkScalarsToColorsPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkScalarsToColorsPainter:GetClassName vtkScalarsToColorsPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkScalarsToColorsPainter requires 1 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:IsA vtkScalarsToColorsPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkScalarsToColorsPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkScalarsToColorsPainter requires 2 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:NewInstance vtkScalarsToColorsPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarsToColorsPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkScalarsToColorsPainter requires 1 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkScalarsToColorsPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarsToColorsPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:SafeDownCast vtkScalarsToColorsPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkScalarsToColorsPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarsToColorsPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkScalarsToColorsPainter requires 2 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkScalarsToColorsPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarsToColorsPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:USE_LOOKUP_TABLE_SCALAR_RANGE vtkScalarsToColorsPainterUSE_LOOKUP_TABLE_SCALAR_RANGEFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsPainterUSE_LOOKUP_TABLE_SCALAR_RANGEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *USE_LOOKUP_TABLE_SCALAR_RANGE (); */
  if (arg.size() < 1) 
    throw Exception("Function USE_LOOKUP_TABLE_SCALAR_RANGE for class vtkScalarsToColorsPainter requires 1 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->USE_LOOKUP_TABLE_SCALAR_RANGE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:SCALAR_RANGE vtkScalarsToColorsPainterSCALAR_RANGEFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsPainterSCALAR_RANGEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationDoubleVectorKey *SCALAR_RANGE (); */
  if (arg.size() < 1) 
    throw Exception("Function SCALAR_RANGE for class vtkScalarsToColorsPainter requires 1 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkInformationDoubleVectorKey  *temp20;
  temp20 = (vtk_pointer)->SCALAR_RANGE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationDoubleVectorKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:SCALAR_MODE vtkScalarsToColorsPainterSCALAR_MODEFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsPainterSCALAR_MODEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *SCALAR_MODE (); */
  if (arg.size() < 1) 
    throw Exception("Function SCALAR_MODE for class vtkScalarsToColorsPainter requires 1 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->SCALAR_MODE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:COLOR_MODE vtkScalarsToColorsPainterCOLOR_MODEFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsPainterCOLOR_MODEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *COLOR_MODE (); */
  if (arg.size() < 1) 
    throw Exception("Function COLOR_MODE for class vtkScalarsToColorsPainter requires 1 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->COLOR_MODE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:INTERPOLATE_SCALARS_BEFORE_MAPPING vtkScalarsToColorsPainterINTERPOLATE_SCALARS_BEFORE_MAPPINGFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsPainterINTERPOLATE_SCALARS_BEFORE_MAPPINGFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *INTERPOLATE_SCALARS_BEFORE_MAPPING (); */
  if (arg.size() < 1) 
    throw Exception("Function INTERPOLATE_SCALARS_BEFORE_MAPPING for class vtkScalarsToColorsPainter requires 1 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->INTERPOLATE_SCALARS_BEFORE_MAPPING();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:LOOKUP_TABLE vtkScalarsToColorsPainterLOOKUP_TABLEFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsPainterLOOKUP_TABLEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationObjectBaseKey *LOOKUP_TABLE (); */
  if (arg.size() < 1) 
    throw Exception("Function LOOKUP_TABLE for class vtkScalarsToColorsPainter requires 1 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkInformationObjectBaseKey  *temp20;
  temp20 = (vtk_pointer)->LOOKUP_TABLE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationObjectBaseKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:SetLookupTable vtkScalarsToColorsPainterSetLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkScalarsToColorsPainterSetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLookupTable (vtkScalarsToColors *lut); */
  if (arg.size() < 2) 
    throw Exception("Function SetLookupTable for class vtkScalarsToColorsPainter requires 2 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp0;
  temp0 = GetVTKPointer<vtkScalarsToColors>(arg[1]);
  vtk_pointer->SetLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:GetLookupTable vtkScalarsToColorsPainterGetLookupTableFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsPainterGetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarsToColors *GetLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLookupTable for class vtkScalarsToColorsPainter requires 1 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp20;
  temp20 = (vtk_pointer)->GetLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarsToColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:CreateDefaultLookupTable vtkScalarsToColorsPainterCreateDefaultLookupTableFunction
//input a0 
//output none
ArrayVector vtkScalarsToColorsPainterCreateDefaultLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CreateDefaultLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLookupTable for class vtkScalarsToColorsPainter requires 1 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLookupTable();
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:SCALAR_VISIBILITY vtkScalarsToColorsPainterSCALAR_VISIBILITYFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsPainterSCALAR_VISIBILITYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *SCALAR_VISIBILITY (); */
  if (arg.size() < 1) 
    throw Exception("Function SCALAR_VISIBILITY for class vtkScalarsToColorsPainter requires 1 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->SCALAR_VISIBILITY();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:ARRAY_ACCESS_MODE vtkScalarsToColorsPainterARRAY_ACCESS_MODEFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsPainterARRAY_ACCESS_MODEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *ARRAY_ACCESS_MODE (); */
  if (arg.size() < 1) 
    throw Exception("Function ARRAY_ACCESS_MODE for class vtkScalarsToColorsPainter requires 1 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->ARRAY_ACCESS_MODE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:ARRAY_ID vtkScalarsToColorsPainterARRAY_IDFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsPainterARRAY_IDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *ARRAY_ID (); */
  if (arg.size() < 1) 
    throw Exception("Function ARRAY_ID for class vtkScalarsToColorsPainter requires 1 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->ARRAY_ID();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:ARRAY_NAME vtkScalarsToColorsPainterARRAY_NAMEFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsPainterARRAY_NAMEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationStringKey *ARRAY_NAME (); */
  if (arg.size() < 1) 
    throw Exception("Function ARRAY_NAME for class vtkScalarsToColorsPainter requires 1 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkInformationStringKey  *temp20;
  temp20 = (vtk_pointer)->ARRAY_NAME();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationStringKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:ARRAY_COMPONENT vtkScalarsToColorsPainterARRAY_COMPONENTFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsPainterARRAY_COMPONENTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *ARRAY_COMPONENT (); */
  if (arg.size() < 1) 
    throw Exception("Function ARRAY_COMPONENT for class vtkScalarsToColorsPainter requires 1 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->ARRAY_COMPONENT();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:SCALAR_MATERIAL_MODE vtkScalarsToColorsPainterSCALAR_MATERIAL_MODEFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsPainterSCALAR_MATERIAL_MODEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *SCALAR_MATERIAL_MODE (); */
  if (arg.size() < 1) 
    throw Exception("Function SCALAR_MATERIAL_MODE for class vtkScalarsToColorsPainter requires 1 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->SCALAR_MATERIAL_MODE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:GetPremultiplyColorsWithAlpha vtkScalarsToColorsPainterGetPremultiplyColorsWithAlphaFunction
//input a0 a1 
//output y
ArrayVector vtkScalarsToColorsPainterGetPremultiplyColorsWithAlphaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetPremultiplyColorsWithAlpha (vtkActor *actor); */
  if (arg.size() < 2) 
    throw Exception("Function GetPremultiplyColorsWithAlpha for class vtkScalarsToColorsPainter requires 2 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkActor  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkActor>(arg[1]);
  temp20 = (vtk_pointer)->GetPremultiplyColorsWithAlpha(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:GetOutput vtkScalarsToColorsPainterGetOutputFunction
//input a0 
//output y
ArrayVector vtkScalarsToColorsPainterGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkDataObject *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput for class vtkScalarsToColorsPainter requires 1 argument(s)");
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarsToColorsPainter:display vtkScalarsToColorsPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkScalarsToColorsPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkScalarsToColorsPainter* vtk_pointer = GetVTKPointer<vtkScalarsToColorsPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkScalarsToColorsPainter:delete vtkScalarsToColorsPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkScalarsToColorsPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkScalarsToColorsPainter
//@@Section VTKRendering
//@@Usage
// This is a painter that converts scalars to 
// colors. It enable/disables coloring state depending on the ScalarMode.
// This painter is composite dataset enabled.
//
//To create an instance of class vtkScalarsToColorsPainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkScalarsToColorsPainter
//@]
//@@Methods
//The class vtkScalarsToColorsPainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkScalarsToColorsPainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkScalarsToColorsPainter = obj.NewInstance ()|
// \item @|vtkScalarsToColorsPainter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLookupTable (vtkScalarsToColors lut)| -  Specify a lookup table for the mapper to use.
//// \item @|vtkScalarsToColors = obj.GetLookupTable ()| -  Specify a lookup table for the mapper to use.
//// \item @|obj.CreateDefaultLookupTable ()| -  Create default lookup table. Generally used to create one when none
// is available with the scalar data.
//// \item @|int = obj.GetPremultiplyColorsWithAlpha (vtkActor actor)| -  For alpha blending, we sometime premultiply the colors
// with alpha and change the alpha blending function.
// This call returns whether we are premultiplying or using
// the default blending function.
// Currently this checks if the actor has a texture, if not
// it returns true. 
// TODO: It is possible to make this decision
// dependent on key passed down from a painter upstream
// that makes a more informed decision for alpha blending
// depending on extensions available, for example.
//// \item @|vtkDataObject = obj.GetOutput ()| -  Subclasses need to override this to return the output of the pipeline.
////\end{itemize}
//!
