#include "VTKWrap.hpp"

// FreeMat wrapper for vtkScaledTextActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkScaledTextActor.h"

//@@Signature
//sfunction @vtkScaledTextActor:vtkScaledTextActor vtkScaledTextActorConstructorFunction
//input a
//output p
//@@Parents vtkScaledTextActor vtkTextActor 
ArrayVector vtkScaledTextActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkScaledTextActor::New(),"vtkScaledTextActor",eval);
  } else if (arg[0].className() == "vtkScaledTextActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkScaledTextActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkScaledTextActor");
    vtkScaledTextActor*q = reinterpret_cast<vtkScaledTextActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkScaledTextActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkScaledTextActor:GetClassName vtkScaledTextActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkScaledTextActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkScaledTextActor requires 1 argument(s)");
  vtkScaledTextActor* vtk_pointer = GetVTKPointer<vtkScaledTextActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScaledTextActor:IsA vtkScaledTextActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkScaledTextActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkScaledTextActor requires 2 argument(s)");
  vtkScaledTextActor* vtk_pointer = GetVTKPointer<vtkScaledTextActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScaledTextActor:NewInstance vtkScaledTextActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkScaledTextActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScaledTextActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkScaledTextActor requires 1 argument(s)");
  vtkScaledTextActor* vtk_pointer = GetVTKPointer<vtkScaledTextActor>(arg[0]);
  Array retval;
  vtkScaledTextActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScaledTextActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScaledTextActor:SafeDownCast vtkScaledTextActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkScaledTextActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScaledTextActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkScaledTextActor requires 2 argument(s)");
  vtkScaledTextActor* vtk_pointer = GetVTKPointer<vtkScaledTextActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkScaledTextActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScaledTextActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScaledTextActor:display vtkScaledTextActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkScaledTextActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkScaledTextActor* vtk_pointer = GetVTKPointer<vtkScaledTextActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkScaledTextActor:delete vtkScaledTextActorDeleteFunction
//input varargin
//output none
ArrayVector vtkScaledTextActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkScaledTextActor
//@@Section VTKRendering
//@@Usage
// vtkScaledTextActor is deprecated. New code should use vtkTextActor with
// the Scaled = true option.
//
//
//To create an instance of class vtkScaledTextActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkScaledTextActor
//@]
//@@Methods
//The class vtkScaledTextActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkScaledTextActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkScaledTextActor = obj.NewInstance ()|
// \item @|vtkScaledTextActor = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
