#include "VTKWrap.hpp"

// FreeMat wrapper for vtkScenePicker object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkScenePicker.h"

//@@Signature
//sfunction @vtkScenePicker:vtkScenePicker vtkScenePickerConstructorFunction
//input a
//output p
//@@Parents vtkScenePicker vtkObject 
ArrayVector vtkScenePickerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkScenePicker::New(),"vtkScenePicker",eval);
  } else if (arg[0].className() == "vtkScenePicker") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkScenePicker"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkScenePicker");
    vtkScenePicker*q = reinterpret_cast<vtkScenePicker*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkScenePicker");
    return ret;
  }
}
//@@Signature
//sfunction @vtkScenePicker:GetClassName vtkScenePickerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkScenePickerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkScenePicker requires 1 argument(s)");
  vtkScenePicker* vtk_pointer = GetVTKPointer<vtkScenePicker>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScenePicker:IsA vtkScenePickerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkScenePickerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkScenePicker requires 2 argument(s)");
  vtkScenePicker* vtk_pointer = GetVTKPointer<vtkScenePicker>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScenePicker:NewInstance vtkScenePickerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkScenePickerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScenePicker *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkScenePicker requires 1 argument(s)");
  vtkScenePicker* vtk_pointer = GetVTKPointer<vtkScenePicker>(arg[0]);
  Array retval;
  vtkScenePicker  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScenePicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScenePicker:SafeDownCast vtkScenePickerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkScenePickerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScenePicker *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkScenePicker requires 2 argument(s)");
  vtkScenePicker* vtk_pointer = GetVTKPointer<vtkScenePicker>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkScenePicker  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScenePicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScenePicker:SetRenderer vtkScenePickerSetRendererFunction
//input a0 a1 
//output none
ArrayVector vtkScenePickerSetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRenderer (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderer for class vtkScenePicker requires 2 argument(s)");
  vtkScenePicker* vtk_pointer = GetVTKPointer<vtkScenePicker>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScenePicker:GetRenderer vtkScenePickerGetRendererFunction
//input a0 
//output y
ArrayVector vtkScenePickerGetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetRenderer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderer for class vtkScenePicker requires 1 argument(s)");
  vtkScenePicker* vtk_pointer = GetVTKPointer<vtkScenePicker>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetRenderer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScenePicker:GetCellId vtkScenePickerGetCellIdFunction
//input a0 a1 
//output y
ArrayVector vtkScenePickerGetCellIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellId (int displayPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellId for class vtkScenePicker requires 2 argument(s)");
  vtkScenePicker* vtk_pointer = GetVTKPointer<vtkScenePicker>(arg[0]);
  Array retval;
  int    temp0[2];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->GetCellId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScenePicker:GetVertexId vtkScenePickerGetVertexIdFunction
//input a0 a1 
//output y
ArrayVector vtkScenePickerGetVertexIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetVertexId (int displayPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetVertexId for class vtkScenePicker requires 2 argument(s)");
  vtkScenePicker* vtk_pointer = GetVTKPointer<vtkScenePicker>(arg[0]);
  Array retval;
  int    temp0[2];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->GetVertexId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScenePicker:GetViewProp vtkScenePickerGetViewPropFunction
//input a0 a1 
//output y
ArrayVector vtkScenePickerGetViewPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp *GetViewProp (int displayPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetViewProp for class vtkScenePicker requires 2 argument(s)");
  vtkScenePicker* vtk_pointer = GetVTKPointer<vtkScenePicker>(arg[0]);
  Array retval;
  int    temp0[2];
  vtkProp  *temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->GetViewProp(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScenePicker:SetEnableVertexPicking vtkScenePickerSetEnableVertexPickingFunction
//input a0 a1 
//output none
ArrayVector vtkScenePickerSetEnableVertexPickingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnableVertexPicking (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnableVertexPicking for class vtkScenePicker requires 2 argument(s)");
  vtkScenePicker* vtk_pointer = GetVTKPointer<vtkScenePicker>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnableVertexPicking(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScenePicker:GetEnableVertexPicking vtkScenePickerGetEnableVertexPickingFunction
//input a0 
//output y
ArrayVector vtkScenePickerGetEnableVertexPickingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEnableVertexPicking (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnableVertexPicking for class vtkScenePicker requires 1 argument(s)");
  vtkScenePicker* vtk_pointer = GetVTKPointer<vtkScenePicker>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEnableVertexPicking();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScenePicker:EnableVertexPickingOn vtkScenePickerEnableVertexPickingOnFunction
//input a0 
//output none
ArrayVector vtkScenePickerEnableVertexPickingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableVertexPickingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableVertexPickingOn for class vtkScenePicker requires 1 argument(s)");
  vtkScenePicker* vtk_pointer = GetVTKPointer<vtkScenePicker>(arg[0]);
  Array retval;
  vtk_pointer->EnableVertexPickingOn();
  return retval;
}

//@@Signature
//sfunction @vtkScenePicker:EnableVertexPickingOff vtkScenePickerEnableVertexPickingOffFunction
//input a0 
//output none
ArrayVector vtkScenePickerEnableVertexPickingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableVertexPickingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableVertexPickingOff for class vtkScenePicker requires 1 argument(s)");
  vtkScenePicker* vtk_pointer = GetVTKPointer<vtkScenePicker>(arg[0]);
  Array retval;
  vtk_pointer->EnableVertexPickingOff();
  return retval;
}

//@@Signature
//sfunction @vtkScenePicker:PickRender vtkScenePickerPickRenderFunction
//input varargin
//output varargout
ArrayVector vtkScenePickerPickRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkScenePickerPickRender");
}

//@@Signature
//sfunction @vtkScenePicker:display vtkScenePickerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkScenePickerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkScenePicker* vtk_pointer = GetVTKPointer<vtkScenePicker>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkScenePicker:delete vtkScenePickerDeleteFunction
//input varargin
//output none
ArrayVector vtkScenePickerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkScenePicker
//@@Section VTKRendering
//@@Usage
// The Scene picker, unline conventional pickers picks an entire viewport at
// one shot and caches the result, which can be retrieved later. 
//    The utility of the class arises during <b>Actor Selection</b>. Let's 
// say you have a couple of polygonal objects in your scene and you wish to 
// have a status bar that indicates the object your mouse is over. Picking
// repeatedly every time your mouse moves would be very slow. The 
// scene picker automatically picks your viewport every time the camera is
// changed and caches the information. Additionally, it observes the 
// vtkRenderWindowInteractor to avoid picking during interaction, so that
// you still maintain your interactivity. In effect, the picker does an
// additional pick-render of your scene every time you stop interacting with
// your scene. As an example, see Rendering/TestScenePicker.
// 
//
//To create an instance of class vtkScenePicker, simply
//invoke its constructor as follows
//@[
//  obj = vtkScenePicker
//@]
//@@Methods
//The class vtkScenePicker has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkScenePicker class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkScenePicker = obj.NewInstance ()|
// \item @|vtkScenePicker = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRenderer (vtkRenderer )| -  Set the renderer. Scene picks are restricted to the viewport.
//// \item @|vtkRenderer = obj.GetRenderer ()| -  Set the renderer. Scene picks are restricted to the viewport.
//// \item @|vtkIdType = obj.GetCellId (int displayPos[2])| -  Get cell id at the pick position. 
// Returns -1 if no cell was picked. 
// Makes sense only after Pick has been called.
//// \item @|vtkIdType = obj.GetVertexId (int displayPos[2])| -  Get cell id at the pick position. 
// Returns -1 if no cell was picked. 
// Makes sense only after Pick has been called.
//// \item @|vtkProp = obj.GetViewProp (int displayPos[2])| -  Get actor at the pick position. 
// Returns NULL if none. 
// Makes sense only after Pick has been called.
//// \item @|obj.SetEnableVertexPicking (int )| -  Vertex picking (using the method GetVertexId()), required 
// additional resources and can slow down still render time by
// 5-10%. Enabled by default.
//// \item @|int = obj.GetEnableVertexPicking ()| -  Vertex picking (using the method GetVertexId()), required 
// additional resources and can slow down still render time by
// 5-10%. Enabled by default.
//// \item @|obj.EnableVertexPickingOn ()| -  Vertex picking (using the method GetVertexId()), required 
// additional resources and can slow down still render time by
// 5-10%. Enabled by default.
//// \item @|obj.EnableVertexPickingOff ()| -  Vertex picking (using the method GetVertexId()), required 
// additional resources and can slow down still render time by
// 5-10%. Enabled by default.
////\end{itemize}
//!
