#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSelectVisiblePoints object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSelectVisiblePoints.h"

//@@Signature
//sfunction @vtkSelectVisiblePoints:vtkSelectVisiblePoints vtkSelectVisiblePointsConstructorFunction
//input a
//output p
//@@Parents vtkSelectVisiblePoints vtkPolyDataAlgorithm 
ArrayVector vtkSelectVisiblePointsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSelectVisiblePoints::New(),"vtkSelectVisiblePoints",eval);
  } else if (arg[0].className() == "vtkSelectVisiblePoints") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSelectVisiblePoints"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSelectVisiblePoints");
    vtkSelectVisiblePoints*q = reinterpret_cast<vtkSelectVisiblePoints*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSelectVisiblePoints");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSelectVisiblePoints:GetClassName vtkSelectVisiblePointsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSelectVisiblePointsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSelectVisiblePoints requires 1 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:IsA vtkSelectVisiblePointsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSelectVisiblePointsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSelectVisiblePoints requires 2 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:NewInstance vtkSelectVisiblePointsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSelectVisiblePointsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelectVisiblePoints *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSelectVisiblePoints requires 1 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  vtkSelectVisiblePoints  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelectVisiblePoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:SafeDownCast vtkSelectVisiblePointsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSelectVisiblePointsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelectVisiblePoints *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSelectVisiblePoints requires 2 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSelectVisiblePoints  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelectVisiblePoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:SetRenderer vtkSelectVisiblePointsSetRendererFunction
//input a0 a1 
//output none
ArrayVector vtkSelectVisiblePointsSetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRenderer (vtkRenderer *ren);if this Renderer ren this Renderer ren this Modified  */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderer for class vtkSelectVisiblePoints requires 2 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:GetRenderer vtkSelectVisiblePointsGetRendererFunction
//input a0 
//output y
ArrayVector vtkSelectVisiblePointsGetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetRenderer ();return this Renderer  */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderer for class vtkSelectVisiblePoints requires 1 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetRenderer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:SetSelectionWindow vtkSelectVisiblePointsSetSelectionWindowFunction
//input a0 a1 
//output none
ArrayVector vtkSelectVisiblePointsSetSelectionWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionWindow (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionWindow for class vtkSelectVisiblePoints requires 2 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSelectionWindow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:GetSelectionWindow vtkSelectVisiblePointsGetSelectionWindowFunction
//input a0 
//output y
ArrayVector vtkSelectVisiblePointsGetSelectionWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectionWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionWindow for class vtkSelectVisiblePoints requires 1 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectionWindow();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:SelectionWindowOn vtkSelectVisiblePointsSelectionWindowOnFunction
//input a0 
//output none
ArrayVector vtkSelectVisiblePointsSelectionWindowOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SelectionWindowOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SelectionWindowOn for class vtkSelectVisiblePoints requires 1 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  vtk_pointer->SelectionWindowOn();
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:SelectionWindowOff vtkSelectVisiblePointsSelectionWindowOffFunction
//input a0 
//output none
ArrayVector vtkSelectVisiblePointsSelectionWindowOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SelectionWindowOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SelectionWindowOff for class vtkSelectVisiblePoints requires 1 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  vtk_pointer->SelectionWindowOff();
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:SetSelection__1 vtkSelectVisiblePointsSetSelection__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkSelectVisiblePointsSetSelection__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelection (int , int , int , int ); */
  if (arg.size() < 5) 
    throw Exception("Function SetSelection__1 for class vtkSelectVisiblePoints requires 5 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetSelection(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:SetSelection__2 vtkSelectVisiblePointsSetSelection__2Function
//input a0 a1 
//output none
ArrayVector vtkSelectVisiblePointsSetSelection__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelection (int  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelection__2 for class vtkSelectVisiblePoints requires 2 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  int    temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetSelection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:GetSelection vtkSelectVisiblePointsGetSelectionFunction
//input a0 
//output y
ArrayVector vtkSelectVisiblePointsGetSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetSelection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelection for class vtkSelectVisiblePoints requires 1 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetSelection();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:SetSelectInvisible vtkSelectVisiblePointsSetSelectInvisibleFunction
//input a0 a1 
//output none
ArrayVector vtkSelectVisiblePointsSetSelectInvisibleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectInvisible (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectInvisible for class vtkSelectVisiblePoints requires 2 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSelectInvisible(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:GetSelectInvisible vtkSelectVisiblePointsGetSelectInvisibleFunction
//input a0 
//output y
ArrayVector vtkSelectVisiblePointsGetSelectInvisibleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectInvisible (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectInvisible for class vtkSelectVisiblePoints requires 1 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectInvisible();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:SelectInvisibleOn vtkSelectVisiblePointsSelectInvisibleOnFunction
//input a0 
//output none
ArrayVector vtkSelectVisiblePointsSelectInvisibleOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SelectInvisibleOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SelectInvisibleOn for class vtkSelectVisiblePoints requires 1 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  vtk_pointer->SelectInvisibleOn();
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:SelectInvisibleOff vtkSelectVisiblePointsSelectInvisibleOffFunction
//input a0 
//output none
ArrayVector vtkSelectVisiblePointsSelectInvisibleOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SelectInvisibleOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SelectInvisibleOff for class vtkSelectVisiblePoints requires 1 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  vtk_pointer->SelectInvisibleOff();
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:SetTolerance vtkSelectVisiblePointsSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkSelectVisiblePointsSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkSelectVisiblePoints requires 2 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:GetToleranceMinValue vtkSelectVisiblePointsGetToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkSelectVisiblePointsGetToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMinValue for class vtkSelectVisiblePoints requires 1 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:GetToleranceMaxValue vtkSelectVisiblePointsGetToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkSelectVisiblePointsGetToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMaxValue for class vtkSelectVisiblePoints requires 1 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:GetTolerance vtkSelectVisiblePointsGetToleranceFunction
//input a0 
//output y
ArrayVector vtkSelectVisiblePointsGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkSelectVisiblePoints requires 1 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:IsPointOccluded vtkSelectVisiblePointsIsPointOccludedFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSelectVisiblePointsIsPointOccludedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool IsPointOccluded (const double x[], float *zPtr); */
  if (arg.size() < 3) 
    throw Exception("Function IsPointOccluded for class vtkSelectVisiblePoints requires 3 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  double  *temp0;
  float   *temp1;
  bool   temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  temp20 = (vtk_pointer)->IsPointOccluded(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:GetMTime vtkSelectVisiblePointsGetMTimeFunction
//input a0 
//output y
ArrayVector vtkSelectVisiblePointsGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkSelectVisiblePoints requires 1 argument(s)");
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:SetSelection vtkSelectVisiblePointsSetSelectionFunction
//input varargin
//output varargout
ArrayVector vtkSelectVisiblePointsSetSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkSelectVisiblePointsSetSelection__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSelectVisiblePointsSetSelection__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSelectVisiblePointsSetSelection");
}

//@@Signature
//sfunction @vtkSelectVisiblePoints:display vtkSelectVisiblePointsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSelectVisiblePointsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSelectVisiblePoints* vtk_pointer = GetVTKPointer<vtkSelectVisiblePoints>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSelectVisiblePoints:delete vtkSelectVisiblePointsDeleteFunction
//input varargin
//output none
ArrayVector vtkSelectVisiblePointsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSelectVisiblePoints
//@@Section VTKRendering
//@@Usage
// vtkSelectVisiblePoints is a filter that selects points based on
// whether they are visible or not. Visibility is determined by
// accessing the z-buffer of a rendering window. (The position of each
// input point is converted into display coordinates, and then the
// z-value at that point is obtained. If within the user-specified
// tolerance, the point is considered visible.)
//
// Points that are visible (or if the ivar SelectInvisible is on,
// invisible points) are passed to the output. Associated data
// attributes are passed to the output as well.
//
// This filter also allows you to specify a rectangular window in display
// (pixel) coordinates in which the visible points must lie. This can be
// used as a sort of local "brushing" operation to select just data within
// a window.
// 
//
//To create an instance of class vtkSelectVisiblePoints, simply
//invoke its constructor as follows
//@[
//  obj = vtkSelectVisiblePoints
//@]
//@@Methods
//The class vtkSelectVisiblePoints has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSelectVisiblePoints class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSelectVisiblePoints = obj.NewInstance ()|
// \item @|vtkSelectVisiblePoints = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRenderer (vtkRenderer ren)| -  Specify the renderer in which the visibility computation is to be
// performed.
//// \item @|vtkRenderer = obj.GetRenderer ()| -  Set/Get the flag which enables selection in a rectangular display
// region.
//// \item @|obj.SetSelectionWindow (int )| -  Set/Get the flag which enables selection in a rectangular display
// region.
//// \item @|int = obj.GetSelectionWindow ()| -  Set/Get the flag which enables selection in a rectangular display
// region.
//// \item @|obj.SelectionWindowOn ()| -  Set/Get the flag which enables selection in a rectangular display
// region.
//// \item @|obj.SelectionWindowOff ()| -  Set/Get the flag which enables selection in a rectangular display
// region.
//// \item @|obj.SetSelection (int , int , int , int )| -  Specify the selection window in display coordinates. You must specify
// a rectangular region using (xmin,xmax,ymin,ymax).
//// \item @|obj.SetSelection (int  a[4])| -  Specify the selection window in display coordinates. You must specify
// a rectangular region using (xmin,xmax,ymin,ymax).
//// \item @|int = obj. GetSelection ()| -  Specify the selection window in display coordinates. You must specify
// a rectangular region using (xmin,xmax,ymin,ymax).
//// \item @|obj.SetSelectInvisible (int )| -  Set/Get the flag which enables inverse selection; i.e., invisible points
// are selected.
//// \item @|int = obj.GetSelectInvisible ()| -  Set/Get the flag which enables inverse selection; i.e., invisible points
// are selected.
//// \item @|obj.SelectInvisibleOn ()| -  Set/Get the flag which enables inverse selection; i.e., invisible points
// are selected.
//// \item @|obj.SelectInvisibleOff ()| -  Set/Get the flag which enables inverse selection; i.e., invisible points
// are selected.
//// \item @|obj.SetTolerance (double )| -  Set/Get a tolerance to use to determine whether a point is visible. A
// tolerance is usually required because the conversion from world space
// to display space during rendering introduces numerical round-off.
//// \item @|double = obj.GetToleranceMinValue ()| -  Set/Get a tolerance to use to determine whether a point is visible. A
// tolerance is usually required because the conversion from world space
// to display space during rendering introduces numerical round-off.
//// \item @|double = obj.GetToleranceMaxValue ()| -  Set/Get a tolerance to use to determine whether a point is visible. A
// tolerance is usually required because the conversion from world space
// to display space during rendering introduces numerical round-off.
//// \item @|double = obj.GetTolerance ()| -  Set/Get a tolerance to use to determine whether a point is visible. A
// tolerance is usually required because the conversion from world space
// to display space during rendering introduces numerical round-off.
//// \item @|bool = obj.IsPointOccluded (double x[], float zPtr)| -  Tests if a point x is being occluded or not against the Z-Buffer array passed in by
// zPtr. Call Initialize before calling this method.
//// \item @|long = obj.GetMTime ()| -  Return MTime also considering the renderer.
////\end{itemize}
//!
