#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSequencePass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSequencePass.h"

//@@Signature
//sfunction @vtkSequencePass:vtkSequencePass vtkSequencePassConstructorFunction
//input a
//output p
//@@Parents vtkSequencePass vtkRenderPass 
ArrayVector vtkSequencePassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSequencePass::New(),"vtkSequencePass",eval);
  } else if (arg[0].className() == "vtkSequencePass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSequencePass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSequencePass");
    vtkSequencePass*q = reinterpret_cast<vtkSequencePass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSequencePass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSequencePass:GetClassName vtkSequencePassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSequencePassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSequencePass requires 1 argument(s)");
  vtkSequencePass* vtk_pointer = GetVTKPointer<vtkSequencePass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSequencePass:IsA vtkSequencePassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSequencePassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSequencePass requires 2 argument(s)");
  vtkSequencePass* vtk_pointer = GetVTKPointer<vtkSequencePass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSequencePass:NewInstance vtkSequencePassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSequencePassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSequencePass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSequencePass requires 1 argument(s)");
  vtkSequencePass* vtk_pointer = GetVTKPointer<vtkSequencePass>(arg[0]);
  Array retval;
  vtkSequencePass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSequencePass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSequencePass:SafeDownCast vtkSequencePassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSequencePassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSequencePass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSequencePass requires 2 argument(s)");
  vtkSequencePass* vtk_pointer = GetVTKPointer<vtkSequencePass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSequencePass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSequencePass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSequencePass:ReleaseGraphicsResources vtkSequencePassReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkSequencePassReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *w); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkSequencePass requires 2 argument(s)");
  vtkSequencePass* vtk_pointer = GetVTKPointer<vtkSequencePass>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSequencePass:GetPasses vtkSequencePassGetPassesFunction
//input a0 
//output y
ArrayVector vtkSequencePassGetPassesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderPassCollection *GetPasses (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPasses for class vtkSequencePass requires 1 argument(s)");
  vtkSequencePass* vtk_pointer = GetVTKPointer<vtkSequencePass>(arg[0]);
  Array retval;
  vtkRenderPassCollection  *temp20;
  temp20 = (vtk_pointer)->GetPasses();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderPassCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSequencePass:SetPasses vtkSequencePassSetPassesFunction
//input a0 a1 
//output none
ArrayVector vtkSequencePassSetPassesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPasses (vtkRenderPassCollection *passes); */
  if (arg.size() < 2) 
    throw Exception("Function SetPasses for class vtkSequencePass requires 2 argument(s)");
  vtkSequencePass* vtk_pointer = GetVTKPointer<vtkSequencePass>(arg[0]);
  Array retval;
  vtkRenderPassCollection  *temp0;
  temp0 = GetVTKPointer<vtkRenderPassCollection>(arg[1]);
  vtk_pointer->SetPasses(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSequencePass:display vtkSequencePassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSequencePassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSequencePass* vtk_pointer = GetVTKPointer<vtkSequencePass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSequencePass:delete vtkSequencePassDeleteFunction
//input varargin
//output none
ArrayVector vtkSequencePassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSequencePass
//@@Section VTKRendering
//@@Usage
// vtkSequencePass executes a list of render passes sequentially.
// This class allows to define a sequence of render passes at run time.
// The other solution to write a sequence of render passes is to write an
// effective subclass of vtkRenderPass.
//
// As vtkSequencePass is a vtkRenderPass itself, it is possible to have a
// hierarchy of render passes built at runtime.
//
//To create an instance of class vtkSequencePass, simply
//invoke its constructor as follows
//@[
//  obj = vtkSequencePass
//@]
//@@Methods
//The class vtkSequencePass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSequencePass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSequencePass = obj.NewInstance ()|
// \item @|vtkSequencePass = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ReleaseGraphicsResources (vtkWindow w)| -  Release graphics resources and ask components to release their own
// resources.
// \pre w_exists: w!=0
//// \item @|vtkRenderPassCollection = obj.GetPasses ()| -  The ordered list of render passes to execute sequentially.
// If the pointer is NULL or the list is empty, it is silently ignored.
// There is no warning.
// Initial value is a NULL pointer.
//// \item @|obj.SetPasses (vtkRenderPassCollection passes)| -  The ordered list of render passes to execute sequentially.
// If the pointer is NULL or the list is empty, it is silently ignored.
// There is no warning.
// Initial value is a NULL pointer.
////\end{itemize}
//!
