#include "VTKWrap.hpp"

// FreeMat wrapper for vtkShader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkShader.h"

//@@Signature
//sfunction @vtkShader:vtkShader vtkShaderConstructorFunction
//input a
//output p
//@@Parents vtkShader vtkObject 
ArrayVector vtkShaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkShader::New(),"vtkShader",eval);
  } else if (arg[0].className() == "vtkShader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkShader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkShader");
    vtkShader*q = reinterpret_cast<vtkShader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkShader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkShader:GetClassName vtkShaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkShaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkShader requires 1 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShader:IsA vtkShaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkShaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkShader requires 2 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShader:NewInstance vtkShaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkShaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkShader requires 1 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  vtkShader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShader:SafeDownCast vtkShaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkShaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkShader requires 2 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkShader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShader:Compile vtkShaderCompileFunction
//input a0 
//output y
ArrayVector vtkShaderCompileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Compile () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Compile for class vtkShader requires 1 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->Compile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShader:PassShaderVariables vtkShaderPassShaderVariablesFunction
//input a0 a1 a2 
//output none
ArrayVector vtkShaderPassShaderVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PassShaderVariables (vtkActor *actor, vtkRenderer *ren); */
  if (arg.size() < 3) 
    throw Exception("Function PassShaderVariables for class vtkShader requires 3 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = GetVTKPointer<vtkActor>(arg[1]);
  temp1 = GetVTKPointer<vtkRenderer>(arg[2]);
  vtk_pointer->PassShaderVariables(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkShader:Bind vtkShaderBindFunction
//input a0 
//output none
ArrayVector vtkShaderBindFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Bind (); */
  if (arg.size() < 1) 
    throw Exception("Function Bind for class vtkShader requires 1 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  vtk_pointer->Bind();
  return retval;
}

//@@Signature
//sfunction @vtkShader:Unbind vtkShaderUnbindFunction
//input a0 
//output none
ArrayVector vtkShaderUnbindFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Unbind (); */
  if (arg.size() < 1) 
    throw Exception("Function Unbind for class vtkShader requires 1 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  vtk_pointer->Unbind();
  return retval;
}

//@@Signature
//sfunction @vtkShader:ReleaseGraphicsResources vtkShaderReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkShaderReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkShader requires 2 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShader:SetXMLShader vtkShaderSetXMLShaderFunction
//input a0 a1 
//output none
ArrayVector vtkShaderSetXMLShaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXMLShader (vtkXMLShader *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXMLShader for class vtkShader requires 2 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  vtkXMLShader  *temp0;
  temp0 = GetVTKPointer<vtkXMLShader>(arg[1]);
  vtk_pointer->SetXMLShader(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShader:GetXMLShader vtkShaderGetXMLShaderFunction
//input a0 
//output y
ArrayVector vtkShaderGetXMLShaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLShader *GetXMLShader (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXMLShader for class vtkShader requires 1 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  vtkXMLShader  *temp20;
  temp20 = (vtk_pointer)->GetXMLShader();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLShader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShader:HasShaderVariable vtkShaderHasShaderVariableFunction
//input a0 a1 
//output y
ArrayVector vtkShaderHasShaderVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int HasShaderVariable (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function HasShaderVariable for class vtkShader requires 2 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->HasShaderVariable(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShader:AddShaderVariable__1 vtkShaderAddShaderVariable__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkShaderAddShaderVariable__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddShaderVariable (const char *name, int num_of_elements, const int *values); */
  if (arg.size() < 4) 
    throw Exception("Function AddShaderVariable__1 for class vtkShader requires 4 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int     *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkShader:AddShaderVariable__2 vtkShaderAddShaderVariable__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkShaderAddShaderVariable__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddShaderVariable (const char *name, int num_of_elements, const float *values); */
  if (arg.size() < 4) 
    throw Exception("Function AddShaderVariable__2 for class vtkShader requires 4 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  float   *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new float[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
      }
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkShader:AddShaderVariable__3 vtkShaderAddShaderVariable__3Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkShaderAddShaderVariable__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddShaderVariable (const char *name, int num_of_elements, const double *values); */
  if (arg.size() < 4) 
    throw Exception("Function AddShaderVariable__3 for class vtkShader requires 4 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  double  *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkShader:GetShaderVariableSize vtkShaderGetShaderVariableSizeFunction
//input a0 a1 
//output y
ArrayVector vtkShaderGetShaderVariableSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShaderVariableSize (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetShaderVariableSize for class vtkShader requires 2 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetShaderVariableSize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShader:GetShaderVariableType vtkShaderGetShaderVariableTypeFunction
//input a0 a1 
//output y
ArrayVector vtkShaderGetShaderVariableTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShaderVariableType (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetShaderVariableType for class vtkShader requires 2 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetShaderVariableType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShader:GetShaderVariable__1 vtkShaderGetShaderVariable__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkShaderGetShaderVariable__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShaderVariable (const char *name, int *values); */
  if (arg.size() < 3) 
    throw Exception("Function GetShaderVariable__1 for class vtkShader requires 3 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  char    *temp0;
  int     *temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->GetShaderVariable(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShader:GetShaderVariable__2 vtkShaderGetShaderVariable__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkShaderGetShaderVariable__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShaderVariable (const char *name, float *values); */
  if (arg.size() < 3) 
    throw Exception("Function GetShaderVariable__2 for class vtkShader requires 3 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  char    *temp0;
  float   *temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  temp20 = (vtk_pointer)->GetShaderVariable(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShader:GetShaderVariable__3 vtkShaderGetShaderVariable__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkShaderGetShaderVariable__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShaderVariable (const char *name, double *values); */
  if (arg.size() < 3) 
    throw Exception("Function GetShaderVariable__3 for class vtkShader requires 3 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  char    *temp0;
  double  *temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->GetShaderVariable(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShader:GetScope vtkShaderGetScopeFunction
//input a0 
//output y
ArrayVector vtkShaderGetScopeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScope (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScope for class vtkShader requires 1 argument(s)");
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScope();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShader:AddShaderVariable vtkShaderAddShaderVariableFunction
//input varargin
//output varargout
ArrayVector vtkShaderAddShaderVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkShaderAddShaderVariable__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkShaderAddShaderVariable__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkShaderAddShaderVariable__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkShaderAddShaderVariable");
}

//@@Signature
//sfunction @vtkShader:GetShaderVariable vtkShaderGetShaderVariableFunction
//input varargin
//output varargout
ArrayVector vtkShaderGetShaderVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[2]))
    return vtkShaderGetShaderVariable__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[2]))
    return vtkShaderGetShaderVariable__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[2]))
    return vtkShaderGetShaderVariable__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkShaderGetShaderVariable");
}

//@@Signature
//sfunction @vtkShader:SetUniformParameter vtkShaderSetUniformParameterFunction
//input varargin
//output varargout
ArrayVector vtkShaderSetUniformParameterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkShaderSetUniformParameter");
}

//@@Signature
//sfunction @vtkShader:SetMatrixParameter vtkShaderSetMatrixParameterFunction
//input varargin
//output varargout
ArrayVector vtkShaderSetMatrixParameterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkShaderSetMatrixParameter");
}

//@@Signature
//sfunction @vtkShader:SetSamplerParameter vtkShaderSetSamplerParameterFunction
//input varargin
//output varargout
ArrayVector vtkShaderSetSamplerParameterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkShaderSetSamplerParameter");
}

//@@Signature
//sfunction @vtkShader:display vtkShaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkShaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkShader* vtk_pointer = GetVTKPointer<vtkShader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkShader:delete vtkShaderDeleteFunction
//input varargin
//output none
ArrayVector vtkShaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkShader
//@@Section VTKRendering
//@@Usage
// vtkShader is a base class for interfacing VTK to hardware shader
// libraries. vtkShader interprets a vtkXMLDataElement that describes a
// particular shader. Descendants of this class inherit this functionality and
// additionally interface to specific shader libraries like NVidia's Cg and
// OpenGL2.0 (GLSL) to perform operations, on individual shaders.
// 
// During each render, the vtkShaderProgram calls Compile(),
// PassShaderVariables(), Bind() and after the actor has been rendered,
// calls Unbind(), in that order.
//
//To create an instance of class vtkShader, simply
//invoke its constructor as follows
//@[
//  obj = vtkShader
//@]
//@@Methods
//The class vtkShader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkShader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkShader = obj.NewInstance ()|
// \item @|vtkShader = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.Compile ()| -  Called to compile the shader code.
// The subclasses must only compile the code in this method.
// Returns if the compile was successful.
// Subclasses should compile the code only if it was not
// already compiled.
//// \item @|obj.PassShaderVariables (vtkActor actor, vtkRenderer ren)| -  Called to pass VTK actor/property/light values and other
// Shader variables over to the shader. This is called by the ShaderProgram
// during each render.
//// \item @|obj.Bind ()| -  Called to unbind the shader. As with Bind(), this is only applicable
// to Cg.
//// \item @|obj.Unbind ()| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Get/Set the XMLShader representation for this shader.
// A shader is not valid without a XMLShader.
//// \item @|obj.SetXMLShader (vtkXMLShader )| -  Get/Set the XMLShader representation for this shader.
// A shader is not valid without a XMLShader.
//// \item @|vtkXMLShader = obj.GetXMLShader ()| -  Get/Set the XMLShader representation for this shader.
// A shader is not valid without a XMLShader.
//// \item @|int = obj.HasShaderVariable (string name)| -  Indicates if a variable by the given name exists.
//// \item @|obj.AddShaderVariable (string name, int num_of_elements, int values)| -  Methods to add shader variables to this shader.
// The shader variable type must match with that declared in
// the Material xml, otherwise, the variable is not made available 
// to the shader.
//// \item @|obj.AddShaderVariable (string name, int num_of_elements, float values)| -  Methods to add shader variables to this shader.
// The shader variable type must match with that declared in
// the Material xml, otherwise, the variable is not made available 
// to the shader.
//// \item @|obj.AddShaderVariable (string name, int num_of_elements, double values)| -  Methods to add shader variables to this shader.
// The shader variable type must match with that declared in
// the Material xml, otherwise, the variable is not made available 
// to the shader.
//// \item @|int = obj.GetShaderVariableSize (string name)| -  Get number of elements in a Shader variable. Return 0 if
// failed to find the shader variable.
//// \item @|int = obj.GetShaderVariableType (string name)| -  Returns the type of a Shader variable with the given name.
// Return 0 on error.
//// \item @|int = obj.GetShaderVariable (string name, int values)| -  Methods to get the value of shader variables with the given name.
// Values must be at least the size of the shader variable (obtained
// by GetShaderVariableSize(). Returns if the operation was successful.
//// \item @|int = obj.GetShaderVariable (string name, float values)| -  Methods to get the value of shader variables with the given name.
// Values must be at least the size of the shader variable (obtained
// by GetShaderVariableSize(). Returns if the operation was successful.
//// \item @|int = obj.GetShaderVariable (string name, double values)| -  Methods to get the value of shader variables with the given name.
// Values must be at least the size of the shader variable (obtained
// by GetShaderVariableSize(). Returns if the operation was successful.
//// \item @|int = obj.GetScope ()| -  Returns the scope of the shader i.e. if it's a vertex or fragment shader.
// (vtkXMLShader::SCOPE_VERTEX or vtkXMLShader::SCOPE_FRAGMENT).
////\end{itemize}
//!
