#include "VTKWrap.hpp"

// FreeMat wrapper for vtkShaderDeviceAdapter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkShaderDeviceAdapter.h"

//@@Signature
//sfunction @vtkShaderDeviceAdapter:vtkShaderDeviceAdapter vtkShaderDeviceAdapterConstructorFunction
//input a
//output p
//@@Parents vtkShaderDeviceAdapter vtkObject 
ArrayVector vtkShaderDeviceAdapterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkShaderDeviceAdapter::New(),"vtkShaderDeviceAdapter",eval);
  } else if (arg[0].className() == "vtkShaderDeviceAdapter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkShaderDeviceAdapter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkShaderDeviceAdapter");
    vtkShaderDeviceAdapter*q = reinterpret_cast<vtkShaderDeviceAdapter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkShaderDeviceAdapter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkShaderDeviceAdapter:GetClassName vtkShaderDeviceAdapterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkShaderDeviceAdapterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkShaderDeviceAdapter requires 1 argument(s)");
  vtkShaderDeviceAdapter* vtk_pointer = GetVTKPointer<vtkShaderDeviceAdapter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShaderDeviceAdapter:IsA vtkShaderDeviceAdapterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkShaderDeviceAdapterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkShaderDeviceAdapter requires 2 argument(s)");
  vtkShaderDeviceAdapter* vtk_pointer = GetVTKPointer<vtkShaderDeviceAdapter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShaderDeviceAdapter:NewInstance vtkShaderDeviceAdapterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkShaderDeviceAdapterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShaderDeviceAdapter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkShaderDeviceAdapter requires 1 argument(s)");
  vtkShaderDeviceAdapter* vtk_pointer = GetVTKPointer<vtkShaderDeviceAdapter>(arg[0]);
  Array retval;
  vtkShaderDeviceAdapter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShaderDeviceAdapter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShaderDeviceAdapter:SafeDownCast vtkShaderDeviceAdapterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkShaderDeviceAdapterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShaderDeviceAdapter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkShaderDeviceAdapter requires 2 argument(s)");
  vtkShaderDeviceAdapter* vtk_pointer = GetVTKPointer<vtkShaderDeviceAdapter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkShaderDeviceAdapter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShaderDeviceAdapter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShaderDeviceAdapter:SetShaderProgram vtkShaderDeviceAdapterSetShaderProgramFunction
//input a0 a1 
//output none
ArrayVector vtkShaderDeviceAdapterSetShaderProgramFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShaderProgram (vtkShaderProgram *pgm);this ShaderProgram pgm  */
  if (arg.size() < 2) 
    throw Exception("Function SetShaderProgram for class vtkShaderDeviceAdapter requires 2 argument(s)");
  vtkShaderDeviceAdapter* vtk_pointer = GetVTKPointer<vtkShaderDeviceAdapter>(arg[0]);
  Array retval;
  vtkShaderProgram  *temp0;
  temp0 = GetVTKPointer<vtkShaderProgram>(arg[1]);
  vtk_pointer->SetShaderProgram(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShaderDeviceAdapter:GetShaderProgram vtkShaderDeviceAdapterGetShaderProgramFunction
//input a0 
//output y
ArrayVector vtkShaderDeviceAdapterGetShaderProgramFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShaderProgram *GetShaderProgram (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShaderProgram for class vtkShaderDeviceAdapter requires 1 argument(s)");
  vtkShaderDeviceAdapter* vtk_pointer = GetVTKPointer<vtkShaderDeviceAdapter>(arg[0]);
  Array retval;
  vtkShaderProgram  *temp20;
  temp20 = (vtk_pointer)->GetShaderProgram();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShaderProgram",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShaderDeviceAdapter:PrepareForRender vtkShaderDeviceAdapterPrepareForRenderFunction
//input a0 
//output none
ArrayVector vtkShaderDeviceAdapterPrepareForRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PrepareForRender () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function PrepareForRender for class vtkShaderDeviceAdapter requires 1 argument(s)");
  vtkShaderDeviceAdapter* vtk_pointer = GetVTKPointer<vtkShaderDeviceAdapter>(arg[0]);
  Array retval;
  vtk_pointer->PrepareForRender();
  return retval;
}

//@@Signature
//sfunction @vtkShaderDeviceAdapter:display vtkShaderDeviceAdapterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkShaderDeviceAdapterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkShaderDeviceAdapter* vtk_pointer = GetVTKPointer<vtkShaderDeviceAdapter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkShaderDeviceAdapter:delete vtkShaderDeviceAdapterDeleteFunction
//input varargin
//output none
ArrayVector vtkShaderDeviceAdapterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
