#include "VTKWrap.hpp"

// FreeMat wrapper for vtkShaderProgram object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkShaderProgram.h"

//@@Signature
//sfunction @vtkShaderProgram:vtkShaderProgram vtkShaderProgramConstructorFunction
//input a
//output p
//@@Parents vtkShaderProgram vtkObject 
ArrayVector vtkShaderProgramConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkShaderProgram::New(),"vtkShaderProgram",eval);
  } else if (arg[0].className() == "vtkShaderProgram") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkShaderProgram"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkShaderProgram");
    vtkShaderProgram*q = reinterpret_cast<vtkShaderProgram*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkShaderProgram");
    return ret;
  }
}
//@@Signature
//sfunction @vtkShaderProgram:GetClassName vtkShaderProgramGetClassNameFunction
//input a0 
//output y
ArrayVector vtkShaderProgramGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkShaderProgram requires 1 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:IsA vtkShaderProgramIsAFunction
//input a0 a1 
//output y
ArrayVector vtkShaderProgramIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkShaderProgram requires 2 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:NewInstance vtkShaderProgramNewInstanceFunction
//input a0 
//output y
ArrayVector vtkShaderProgramNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShaderProgram *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkShaderProgram requires 1 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  vtkShaderProgram  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShaderProgram",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:SafeDownCast vtkShaderProgramSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkShaderProgramSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShaderProgram *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkShaderProgram requires 2 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkShaderProgram  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShaderProgram",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:GetMaterial vtkShaderProgramGetMaterialFunction
//input a0 
//output y
ArrayVector vtkShaderProgramGetMaterialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLMaterial *GetMaterial (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaterial for class vtkShaderProgram requires 1 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  vtkXMLMaterial  *temp20;
  temp20 = (vtk_pointer)->GetMaterial();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLMaterial",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:SetMaterial vtkShaderProgramSetMaterialFunction
//input a0 a1 
//output none
ArrayVector vtkShaderProgramSetMaterialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetMaterial (vtkXMLMaterial *); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaterial for class vtkShaderProgram requires 2 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  vtkXMLMaterial  *temp0;
  temp0 = GetVTKPointer<vtkXMLMaterial>(arg[1]);
  vtk_pointer->SetMaterial(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:AddShader vtkShaderProgramAddShaderFunction
//input a0 a1 
//output y
ArrayVector vtkShaderProgramAddShaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddShader (vtkShader *shader); */
  if (arg.size() < 2) 
    throw Exception("Function AddShader for class vtkShaderProgram requires 2 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  vtkShader  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkShader>(arg[1]);
  temp20 = (vtk_pointer)->AddShader(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:RemoveShader__1 vtkShaderProgramRemoveShader__1Function
//input a0 a1 
//output none
ArrayVector vtkShaderProgramRemoveShader__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveShader (int index); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveShader__1 for class vtkShaderProgram requires 2 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveShader(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:RemoveShader__2 vtkShaderProgramRemoveShader__2Function
//input a0 a1 
//output none
ArrayVector vtkShaderProgramRemoveShader__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveShader (vtkShader *shader); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveShader__2 for class vtkShaderProgram requires 2 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  vtkShader  *temp0;
  temp0 = GetVTKPointer<vtkShader>(arg[1]);
  vtk_pointer->RemoveShader(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:NewShaderIterator vtkShaderProgramNewShaderIteratorFunction
//input a0 
//output y
ArrayVector vtkShaderProgramNewShaderIteratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollectionIterator *NewShaderIterator (); */
  if (arg.size() < 1) 
    throw Exception("Function NewShaderIterator for class vtkShaderProgram requires 1 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  vtkCollectionIterator  *temp20;
  temp20 = (vtk_pointer)->NewShaderIterator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollectionIterator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:GetNumberOfShaders vtkShaderProgramGetNumberOfShadersFunction
//input a0 
//output y
ArrayVector vtkShaderProgramGetNumberOfShadersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfShaders (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfShaders for class vtkShaderProgram requires 1 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfShaders();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:CreateShaderProgram vtkShaderProgramCreateShaderProgramFunction
//input a0 a1 
//output y
ArrayVector vtkShaderProgramCreateShaderProgramFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkShaderProgram *CreateShaderProgram (int type); */
  if (arg.size() < 2) 
    throw Exception("Function CreateShaderProgram for class vtkShaderProgram requires 2 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  int      temp0;
  vtkShaderProgram  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->CreateShaderProgram(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShaderProgram",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:ReadMaterial vtkShaderProgramReadMaterialFunction
//input a0 
//output none
ArrayVector vtkShaderProgramReadMaterialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReadMaterial (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadMaterial for class vtkShaderProgram requires 1 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  vtk_pointer->ReadMaterial();
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:Render vtkShaderProgramRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkShaderProgramRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkActor *, vtkRenderer *) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkShaderProgram requires 3 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = GetVTKPointer<vtkActor>(arg[1]);
  temp1 = GetVTKPointer<vtkRenderer>(arg[2]);
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:AddShaderVariable__1 vtkShaderProgramAddShaderVariable__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkShaderProgramAddShaderVariable__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddShaderVariable (const char *name, int numVars, int *x); */
  if (arg.size() < 4) 
    throw Exception("Function AddShaderVariable__1 for class vtkShaderProgram requires 4 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int     *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:AddShaderVariable__2 vtkShaderProgramAddShaderVariable__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkShaderProgramAddShaderVariable__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddShaderVariable (const char *name, int numVars, float *x); */
  if (arg.size() < 4) 
    throw Exception("Function AddShaderVariable__2 for class vtkShaderProgram requires 4 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  float   *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new float[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
      }
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:AddShaderVariable__3 vtkShaderProgramAddShaderVariable__3Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkShaderProgramAddShaderVariable__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddShaderVariable (const char *name, int numVars, double *x); */
  if (arg.size() < 4) 
    throw Exception("Function AddShaderVariable__3 for class vtkShaderProgram requires 4 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  double  *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  vtk_pointer->AddShaderVariable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:PostRender vtkShaderProgramPostRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkShaderProgramPostRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PostRender (vtkActor *, vtkRenderer *); */
  if (arg.size() < 3) 
    throw Exception("Function PostRender for class vtkShaderProgram requires 3 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = GetVTKPointer<vtkActor>(arg[1]);
  temp1 = GetVTKPointer<vtkRenderer>(arg[2]);
  vtk_pointer->PostRender(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:ReleaseGraphicsResources vtkShaderProgramReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkShaderProgramReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkShaderProgram requires 2 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:GetShaderDeviceAdapter vtkShaderProgramGetShaderDeviceAdapterFunction
//input a0 
//output y
ArrayVector vtkShaderProgramGetShaderDeviceAdapterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShaderDeviceAdapter *GetShaderDeviceAdapter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShaderDeviceAdapter for class vtkShaderProgram requires 1 argument(s)");
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  Array retval;
  vtkShaderDeviceAdapter  *temp20;
  temp20 = (vtk_pointer)->GetShaderDeviceAdapter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShaderDeviceAdapter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShaderProgram:RemoveShader vtkShaderProgramRemoveShaderFunction
//input varargin
//output varargout
ArrayVector vtkShaderProgramRemoveShaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkShaderProgramRemoveShader__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkShader"))
    return vtkShaderProgramRemoveShader__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkShaderProgramRemoveShader");
}

//@@Signature
//sfunction @vtkShaderProgram:AddShaderVariable vtkShaderProgramAddShaderVariableFunction
//input varargin
//output varargout
ArrayVector vtkShaderProgramAddShaderVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkShaderProgramAddShaderVariable__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkShaderProgramAddShaderVariable__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkShaderProgramAddShaderVariable__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkShaderProgramAddShaderVariable");
}

//@@Signature
//sfunction @vtkShaderProgram:display vtkShaderProgramDisplayFunction
//input varargin
//output varargout
ArrayVector vtkShaderProgramDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkShaderProgram* vtk_pointer = GetVTKPointer<vtkShaderProgram>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkShaderProgram:delete vtkShaderProgramDeleteFunction
//input varargin
//output none
ArrayVector vtkShaderProgramDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkShaderProgram
//@@Section VTKRendering
//@@Usage
// vtkShaderProgram is a superclass for managing Hardware Shaders
// defined in the XML Material file and interfacing VTK to those shaders.
// It's concrete descendants are responsible for installing vertex and
// fragment programs to the graphics hardware.
//
// .SECTION Shader Operations are shader library operations that are performed
// on individual shaders, that is, without consideration of the partner shader.
//
// .SECTION Program Operations are shader library operations that treat the 
// vertex and fragment shader as a single unit.
//
// .SECTION Design
// This class is a Strategy pattern for 'Program' operations, which treat
// vertex/fragment shader pairs as a single 'Program', as required by some
// shader libraries (GLSL). Typically, 'Shader' operations are delegated
// to instances of vtkShader (managed by descendants of this class)
// while 'Program' operations are handled by descendants of this class,
// vtkCgShaderProgram, vtkGLSLShaderProgram.
//
//
//To create an instance of class vtkShaderProgram, simply
//invoke its constructor as follows
//@[
//  obj = vtkShaderProgram
//@]
//@@Methods
//The class vtkShaderProgram has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkShaderProgram class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkShaderProgram = obj.NewInstance ()|
// \item @|vtkShaderProgram = obj.SafeDownCast (vtkObject o)|
// \item @|vtkXMLMaterial = obj.GetMaterial ()|
// \item @|obj.SetMaterial (vtkXMLMaterial )|
// \item @|int = obj.AddShader (vtkShader shader)|
// \item @|obj.RemoveShader (int index)| -  Remove a shader at the given index.
//// \item @|obj.RemoveShader (vtkShader shader)| -  Removes the given shader.
//// \item @|vtkCollectionIterator = obj.NewShaderIterator ()| -  Returns a new iterator to iterate over the shaders.
//// \item @|int = obj.GetNumberOfShaders ()| -  Returns the number of shaders available in this
// shader program.
//// \item @|obj.ReadMaterial ()|
// \item @|obj.Render (vtkActor , vtkRenderer )|
// \item @|obj.AddShaderVariable (string name, int numVars, int x)|
// \item @|obj.AddShaderVariable (string name, int numVars, float x)|
// \item @|obj.AddShaderVariable (string name, int numVars, double x)|
// \item @|obj.PostRender (vtkActor , vtkRenderer )| -  Called to unload the shaders after the actor has been rendered.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|vtkShaderDeviceAdapter = obj.GetShaderDeviceAdapter ()| -  Get the vtkShaderDeviceAdapter which can be used to execute this
// shader program.
////\end{itemize}
//!
