#include "VTKWrap.hpp"

// FreeMat wrapper for vtkShadowMapPass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkShadowMapPass.h"

//@@Signature
//sfunction @vtkShadowMapPass:vtkShadowMapPass vtkShadowMapPassConstructorFunction
//input a
//output p
//@@Parents vtkShadowMapPass vtkRenderPass 
ArrayVector vtkShadowMapPassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkShadowMapPass::New(),"vtkShadowMapPass",eval);
  } else if (arg[0].className() == "vtkShadowMapPass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkShadowMapPass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkShadowMapPass");
    vtkShadowMapPass*q = reinterpret_cast<vtkShadowMapPass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkShadowMapPass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkShadowMapPass:GetClassName vtkShadowMapPassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkShadowMapPassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkShadowMapPass requires 1 argument(s)");
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShadowMapPass:IsA vtkShadowMapPassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkShadowMapPassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkShadowMapPass requires 2 argument(s)");
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShadowMapPass:NewInstance vtkShadowMapPassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkShadowMapPassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShadowMapPass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkShadowMapPass requires 1 argument(s)");
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  Array retval;
  vtkShadowMapPass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShadowMapPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShadowMapPass:SafeDownCast vtkShadowMapPassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkShadowMapPassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShadowMapPass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkShadowMapPass requires 2 argument(s)");
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkShadowMapPass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShadowMapPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShadowMapPass:OCCLUDER vtkShadowMapPassOCCLUDERFunction
//input a0 
//output y
ArrayVector vtkShadowMapPassOCCLUDERFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *OCCLUDER (); */
  if (arg.size() < 1) 
    throw Exception("Function OCCLUDER for class vtkShadowMapPass requires 1 argument(s)");
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->OCCLUDER();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShadowMapPass:RECEIVER vtkShadowMapPassRECEIVERFunction
//input a0 
//output y
ArrayVector vtkShadowMapPassRECEIVERFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *RECEIVER (); */
  if (arg.size() < 1) 
    throw Exception("Function RECEIVER for class vtkShadowMapPass requires 1 argument(s)");
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->RECEIVER();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShadowMapPass:ReleaseGraphicsResources vtkShadowMapPassReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkShadowMapPassReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *w); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkShadowMapPass requires 2 argument(s)");
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShadowMapPass:GetOpaquePass vtkShadowMapPassGetOpaquePassFunction
//input a0 
//output y
ArrayVector vtkShadowMapPassGetOpaquePassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderPass *GetOpaquePass (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOpaquePass for class vtkShadowMapPass requires 1 argument(s)");
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  Array retval;
  vtkRenderPass  *temp20;
  temp20 = (vtk_pointer)->GetOpaquePass();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShadowMapPass:SetOpaquePass vtkShadowMapPassSetOpaquePassFunction
//input a0 a1 
//output none
ArrayVector vtkShadowMapPassSetOpaquePassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOpaquePass (vtkRenderPass *opaquePass); */
  if (arg.size() < 2) 
    throw Exception("Function SetOpaquePass for class vtkShadowMapPass requires 2 argument(s)");
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  Array retval;
  vtkRenderPass  *temp0;
  temp0 = GetVTKPointer<vtkRenderPass>(arg[1]);
  vtk_pointer->SetOpaquePass(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShadowMapPass:GetCompositeZPass vtkShadowMapPassGetCompositeZPassFunction
//input a0 
//output y
ArrayVector vtkShadowMapPassGetCompositeZPassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderPass *GetCompositeZPass (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompositeZPass for class vtkShadowMapPass requires 1 argument(s)");
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  Array retval;
  vtkRenderPass  *temp20;
  temp20 = (vtk_pointer)->GetCompositeZPass();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShadowMapPass:SetCompositeZPass vtkShadowMapPassSetCompositeZPassFunction
//input a0 a1 
//output none
ArrayVector vtkShadowMapPassSetCompositeZPassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCompositeZPass (vtkRenderPass *opaquePass); */
  if (arg.size() < 2) 
    throw Exception("Function SetCompositeZPass for class vtkShadowMapPass requires 2 argument(s)");
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  Array retval;
  vtkRenderPass  *temp0;
  temp0 = GetVTKPointer<vtkRenderPass>(arg[1]);
  vtk_pointer->SetCompositeZPass(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShadowMapPass:SetResolution vtkShadowMapPassSetResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkShadowMapPassSetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResolution (unsigned int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetResolution for class vtkShadowMapPass requires 2 argument(s)");
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShadowMapPass:GetResolution vtkShadowMapPassGetResolutionFunction
//input a0 
//output y
ArrayVector vtkShadowMapPassGetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolution for class vtkShadowMapPass requires 1 argument(s)");
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShadowMapPass:SetPolygonOffsetFactor vtkShadowMapPassSetPolygonOffsetFactorFunction
//input a0 a1 
//output none
ArrayVector vtkShadowMapPassSetPolygonOffsetFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPolygonOffsetFactor (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPolygonOffsetFactor for class vtkShadowMapPass requires 2 argument(s)");
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPolygonOffsetFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShadowMapPass:GetPolygonOffsetFactor vtkShadowMapPassGetPolygonOffsetFactorFunction
//input a0 
//output y
ArrayVector vtkShadowMapPassGetPolygonOffsetFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetPolygonOffsetFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolygonOffsetFactor for class vtkShadowMapPass requires 1 argument(s)");
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetPolygonOffsetFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShadowMapPass:SetPolygonOffsetUnits vtkShadowMapPassSetPolygonOffsetUnitsFunction
//input a0 a1 
//output none
ArrayVector vtkShadowMapPassSetPolygonOffsetUnitsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPolygonOffsetUnits (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPolygonOffsetUnits for class vtkShadowMapPass requires 2 argument(s)");
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPolygonOffsetUnits(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShadowMapPass:GetPolygonOffsetUnits vtkShadowMapPassGetPolygonOffsetUnitsFunction
//input a0 
//output y
ArrayVector vtkShadowMapPassGetPolygonOffsetUnitsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetPolygonOffsetUnits (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolygonOffsetUnits for class vtkShadowMapPass requires 1 argument(s)");
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetPolygonOffsetUnits();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShadowMapPass:display vtkShadowMapPassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkShadowMapPassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkShadowMapPass* vtk_pointer = GetVTKPointer<vtkShadowMapPass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkShadowMapPass:delete vtkShadowMapPassDeleteFunction
//input varargin
//output none
ArrayVector vtkShadowMapPassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkShadowMapPass
//@@Section VTKRendering
//@@Usage
// Render the opaque polygonal geometry of a scene with shadow maps (a
// technique to render hard shadows in hardware).
//
// This pass expects an initialized depth buffer and color buffer.
// Initialized buffers means they have been cleared with farest z-value and
// background color/gradient/transparent color.
// An opaque pass may have been performed right after the initialization.
//
//
//
// Its delegate is usually set to a vtkOpaquePass.
//
// .SECTION Implementation
// The first pass of the algorithm is to generate a shadow map per light
// (depth map from the light point of view) by rendering the opaque objects
// with the OCCLUDER property keys.
// The second pass is to render the opaque objects with the RECEIVER keys.
//
//
//To create an instance of class vtkShadowMapPass, simply
//invoke its constructor as follows
//@[
//  obj = vtkShadowMapPass
//@]
//@@Methods
//The class vtkShadowMapPass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkShadowMapPass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkShadowMapPass = obj.NewInstance ()|
// \item @|vtkShadowMapPass = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ReleaseGraphicsResources (vtkWindow w)| -  Release graphics resources and ask components to release their own
// resources.
// \pre w_exists: w!=0
//// \item @|vtkRenderPass = obj.GetOpaquePass ()| -  Delegate for rendering the opaque polygonal geometry.
// If it is NULL, nothing will be rendered and a warning will be emitted.
// It is usually set to a vtkTranslucentPass.
// Initial value is a NULL pointer.
//// \item @|obj.SetOpaquePass (vtkRenderPass opaquePass)| -  Delegate for rendering the opaque polygonal geometry.
// If it is NULL, nothing will be rendered and a warning will be emitted.
// It is usually set to a vtkTranslucentPass.
// Initial value is a NULL pointer.
//// \item @|vtkRenderPass = obj.GetCompositeZPass ()| -  Delegate for rendering the opaque polygonal geometry.
// If it is NULL, nothing will be rendered and a warning will be emitted.
// It is usually set to a vtkTranslucentPass.
// Initial value is a NULL pointer.
//// \item @|obj.SetCompositeZPass (vtkRenderPass opaquePass)| -  Delegate for rendering the opaque polygonal geometry.
// If it is NULL, nothing will be rendered and a warning will be emitted.
// It is usually set to a vtkTranslucentPass.
// Initial value is a NULL pointer.
//// \item @|obj.SetResolution (int )| -  Set/Get the number of pixels in each dimension of the shadow maps
// (shadow maps are square). Initial value is 256. The greater the better.
// Resolution does not have to be a power-of-two value.
//// \item @|int = obj.GetResolution ()| -  Set/Get the number of pixels in each dimension of the shadow maps
// (shadow maps are square). Initial value is 256. The greater the better.
// Resolution does not have to be a power-of-two value.
//// \item @|obj.SetPolygonOffsetFactor (float )| -  Factor used to scale the maximum depth slope of a polygon (definition
// from OpenGL 2.1 spec section 3.5.5 "Depth Offset" page 112). This is
// used during the creation the shadow maps (not during mapping of the
// shadow maps onto the geometry)
// Play with this value and PolygonOffsetUnits to solve self-shadowing.
// Valid values can be either positive or negative.
// Initial value is 1.1f (recommended by the nVidia presentation about
// Shadow Mapping by Cass Everitt). 3.1f works well with the regression test.
//// \item @|float = obj.GetPolygonOffsetFactor ()| -  Factor used to scale the maximum depth slope of a polygon (definition
// from OpenGL 2.1 spec section 3.5.5 "Depth Offset" page 112). This is
// used during the creation the shadow maps (not during mapping of the
// shadow maps onto the geometry)
// Play with this value and PolygonOffsetUnits to solve self-shadowing.
// Valid values can be either positive or negative.
// Initial value is 1.1f (recommended by the nVidia presentation about
// Shadow Mapping by Cass Everitt). 3.1f works well with the regression test.
//// \item @|obj.SetPolygonOffsetUnits (float )| -  Factor used to scale an implementation dependent constant that relates
// to the usable resolution of the depth buffer (definition from OpenGL 2.1
// spec section 3.5.5 "Depth Offset" page 112). This is
// used during the creation the shadow maps (not during mapping of the
// shadow maps onto the geometry)
// Play with this value and PolygonOffsetFactor to solve self-shadowing.
// Valid values can be either positive or negative.
// Initial value is 4.0f (recommended by the nVidia presentation about
// Shadow Mapping by Cass Everitt). 10.0f works well with the regression
// test.
//// \item @|float = obj.GetPolygonOffsetUnits ()| -  Factor used to scale an implementation dependent constant that relates
// to the usable resolution of the depth buffer (definition from OpenGL 2.1
// spec section 3.5.5 "Depth Offset" page 112). This is
// used during the creation the shadow maps (not during mapping of the
// shadow maps onto the geometry)
// Play with this value and PolygonOffsetFactor to solve self-shadowing.
// Valid values can be either positive or negative.
// Initial value is 4.0f (recommended by the nVidia presentation about
// Shadow Mapping by Cass Everitt). 10.0f works well with the regression
// test.
////\end{itemize}
//!
