#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSobelGradientMagnitudePass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSobelGradientMagnitudePass.h"

//@@Signature
//sfunction @vtkSobelGradientMagnitudePass:vtkSobelGradientMagnitudePass vtkSobelGradientMagnitudePassConstructorFunction
//input a
//output p
//@@Parents vtkSobelGradientMagnitudePass vtkImageProcessingPass 
ArrayVector vtkSobelGradientMagnitudePassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSobelGradientMagnitudePass::New(),"vtkSobelGradientMagnitudePass",eval);
  } else if (arg[0].className() == "vtkSobelGradientMagnitudePass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSobelGradientMagnitudePass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSobelGradientMagnitudePass");
    vtkSobelGradientMagnitudePass*q = reinterpret_cast<vtkSobelGradientMagnitudePass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSobelGradientMagnitudePass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSobelGradientMagnitudePass:GetClassName vtkSobelGradientMagnitudePassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSobelGradientMagnitudePassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSobelGradientMagnitudePass requires 1 argument(s)");
  vtkSobelGradientMagnitudePass* vtk_pointer = GetVTKPointer<vtkSobelGradientMagnitudePass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSobelGradientMagnitudePass:IsA vtkSobelGradientMagnitudePassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSobelGradientMagnitudePassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSobelGradientMagnitudePass requires 2 argument(s)");
  vtkSobelGradientMagnitudePass* vtk_pointer = GetVTKPointer<vtkSobelGradientMagnitudePass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSobelGradientMagnitudePass:NewInstance vtkSobelGradientMagnitudePassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSobelGradientMagnitudePassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSobelGradientMagnitudePass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSobelGradientMagnitudePass requires 1 argument(s)");
  vtkSobelGradientMagnitudePass* vtk_pointer = GetVTKPointer<vtkSobelGradientMagnitudePass>(arg[0]);
  Array retval;
  vtkSobelGradientMagnitudePass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSobelGradientMagnitudePass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSobelGradientMagnitudePass:SafeDownCast vtkSobelGradientMagnitudePassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSobelGradientMagnitudePassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSobelGradientMagnitudePass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSobelGradientMagnitudePass requires 2 argument(s)");
  vtkSobelGradientMagnitudePass* vtk_pointer = GetVTKPointer<vtkSobelGradientMagnitudePass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSobelGradientMagnitudePass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSobelGradientMagnitudePass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSobelGradientMagnitudePass:ReleaseGraphicsResources vtkSobelGradientMagnitudePassReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkSobelGradientMagnitudePassReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *w); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkSobelGradientMagnitudePass requires 2 argument(s)");
  vtkSobelGradientMagnitudePass* vtk_pointer = GetVTKPointer<vtkSobelGradientMagnitudePass>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSobelGradientMagnitudePass:display vtkSobelGradientMagnitudePassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSobelGradientMagnitudePassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSobelGradientMagnitudePass* vtk_pointer = GetVTKPointer<vtkSobelGradientMagnitudePass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSobelGradientMagnitudePass:delete vtkSobelGradientMagnitudePassDeleteFunction
//input varargin
//output none
ArrayVector vtkSobelGradientMagnitudePassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSobelGradientMagnitudePass
//@@Section VTKRendering
//@@Usage
// Detect the edges of the image renderered by its delegate. Edge-detection
// uses a Sobel high-pass filter (3x3 kernel).
//
// This pass expects an initialized depth buffer and color buffer.
// Initialized buffers means they have been cleared with farest z-value and
// background color/gradient/transparent color.
// An opaque pass may have been performed right after the initialization.
//
// The delegate is used once.
//
// Its delegate is usually set to a vtkCameraPass or to a post-processing pass.
// 
// This pass requires a OpenGL context that supports texture objects (TO),
// framebuffer objects (FBO) and GLSL. If not, it will emit an error message
// and will render its delegate and return.
//
// .SECTION Implementation
// To compute the gradient magnitude, the x and y components of the gradient
// (Gx and Gy) have to be computed first. Each computation of Gx and Gy uses
// a separable filter.
// The first pass takes the image from the delegate as the single input
// texture.
// The first pass has two outputs, one for the first part of Gx, Gx1, result of
// a convolution with (-1 0 1), one for the first part of Gy, Gy1, result of a
// convolution with (1 2 1).
// The second pass has two inputs, Gx1 and Gy1. Kernel (1 2 1)^T is applied
// to Gx1 and kernel (-1 0 1)^T is applied to Gx2. It gives the values for
// Gx and Gy. Thoses values are then used to compute the magnitude of the
// gradient which is stored in the render target.
// The gradient computation happens per component (R,G,B). A is arbitrarly set
// to 1 (full opacity).
//
// \image html vtkSobelGradientMagnitudePassFigure.png
// \image latex vtkSobelGradientMagnitudePassFigure.eps
//
//To create an instance of class vtkSobelGradientMagnitudePass, simply
//invoke its constructor as follows
//@[
//  obj = vtkSobelGradientMagnitudePass
//@]
//@@Methods
//The class vtkSobelGradientMagnitudePass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSobelGradientMagnitudePass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSobelGradientMagnitudePass = obj.NewInstance ()|
// \item @|vtkSobelGradientMagnitudePass = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ReleaseGraphicsResources (vtkWindow w)| -  Release graphics resources and ask components to release their own
// resources.
// \pre w_exists: w!=0
////\end{itemize}
//!
