#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStandardPolyDataPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStandardPolyDataPainter.h"

//@@Signature
//sfunction @vtkStandardPolyDataPainter:vtkStandardPolyDataPainter vtkStandardPolyDataPainterConstructorFunction
//input a
//output p
//@@Parents vtkStandardPolyDataPainter vtkPolyDataPainter 
ArrayVector vtkStandardPolyDataPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStandardPolyDataPainter::New(),"vtkStandardPolyDataPainter",eval);
  } else if (arg[0].className() == "vtkStandardPolyDataPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStandardPolyDataPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStandardPolyDataPainter");
    vtkStandardPolyDataPainter*q = reinterpret_cast<vtkStandardPolyDataPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStandardPolyDataPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStandardPolyDataPainter:GetClassName vtkStandardPolyDataPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStandardPolyDataPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStandardPolyDataPainter requires 1 argument(s)");
  vtkStandardPolyDataPainter* vtk_pointer = GetVTKPointer<vtkStandardPolyDataPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStandardPolyDataPainter:IsA vtkStandardPolyDataPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStandardPolyDataPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStandardPolyDataPainter requires 2 argument(s)");
  vtkStandardPolyDataPainter* vtk_pointer = GetVTKPointer<vtkStandardPolyDataPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStandardPolyDataPainter:NewInstance vtkStandardPolyDataPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStandardPolyDataPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStandardPolyDataPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStandardPolyDataPainter requires 1 argument(s)");
  vtkStandardPolyDataPainter* vtk_pointer = GetVTKPointer<vtkStandardPolyDataPainter>(arg[0]);
  Array retval;
  vtkStandardPolyDataPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStandardPolyDataPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStandardPolyDataPainter:SafeDownCast vtkStandardPolyDataPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStandardPolyDataPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStandardPolyDataPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStandardPolyDataPainter requires 2 argument(s)");
  vtkStandardPolyDataPainter* vtk_pointer = GetVTKPointer<vtkStandardPolyDataPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStandardPolyDataPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStandardPolyDataPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStandardPolyDataPainter:AddMultiTextureCoordsArray vtkStandardPolyDataPainterAddMultiTextureCoordsArrayFunction
//input a0 a1 
//output none
ArrayVector vtkStandardPolyDataPainterAddMultiTextureCoordsArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddMultiTextureCoordsArray (vtkDataArray *array); */
  if (arg.size() < 2) 
    throw Exception("Function AddMultiTextureCoordsArray for class vtkStandardPolyDataPainter requires 2 argument(s)");
  vtkStandardPolyDataPainter* vtk_pointer = GetVTKPointer<vtkStandardPolyDataPainter>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->AddMultiTextureCoordsArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStandardPolyDataPainter:display vtkStandardPolyDataPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStandardPolyDataPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStandardPolyDataPainter* vtk_pointer = GetVTKPointer<vtkStandardPolyDataPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStandardPolyDataPainter:delete vtkStandardPolyDataPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkStandardPolyDataPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStandardPolyDataPainter
//@@Section VTKRendering
//@@Usage
// vtkStandardPolyDataPainter is a catch-all painter.  It should work with pretty
// much any vtkPolyData, and attributes, and vtkPolyDataPainterDeviceAdapter.  On
// the flip side, the vtkStandardPolyDataPainter will be slower than the more
// special purpose painters.
//
//To create an instance of class vtkStandardPolyDataPainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkStandardPolyDataPainter
//@]
//@@Methods
//The class vtkStandardPolyDataPainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStandardPolyDataPainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStandardPolyDataPainter = obj.NewInstance ()|
// \item @|vtkStandardPolyDataPainter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddMultiTextureCoordsArray (vtkDataArray array)|
//\end{itemize}
//!
