#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSurfaceLICDefaultPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSurfaceLICDefaultPainter.h"

//@@Signature
//sfunction @vtkSurfaceLICDefaultPainter:vtkSurfaceLICDefaultPainter vtkSurfaceLICDefaultPainterConstructorFunction
//input a
//output p
//@@Parents vtkSurfaceLICDefaultPainter vtkDefaultPainter 
ArrayVector vtkSurfaceLICDefaultPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSurfaceLICDefaultPainter::New(),"vtkSurfaceLICDefaultPainter",eval);
  } else if (arg[0].className() == "vtkSurfaceLICDefaultPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSurfaceLICDefaultPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSurfaceLICDefaultPainter");
    vtkSurfaceLICDefaultPainter*q = reinterpret_cast<vtkSurfaceLICDefaultPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSurfaceLICDefaultPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSurfaceLICDefaultPainter:GetClassName vtkSurfaceLICDefaultPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSurfaceLICDefaultPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSurfaceLICDefaultPainter requires 1 argument(s)");
  vtkSurfaceLICDefaultPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICDefaultPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICDefaultPainter:IsA vtkSurfaceLICDefaultPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSurfaceLICDefaultPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSurfaceLICDefaultPainter requires 2 argument(s)");
  vtkSurfaceLICDefaultPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICDefaultPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICDefaultPainter:NewInstance vtkSurfaceLICDefaultPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSurfaceLICDefaultPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSurfaceLICDefaultPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSurfaceLICDefaultPainter requires 1 argument(s)");
  vtkSurfaceLICDefaultPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICDefaultPainter>(arg[0]);
  Array retval;
  vtkSurfaceLICDefaultPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSurfaceLICDefaultPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICDefaultPainter:SafeDownCast vtkSurfaceLICDefaultPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSurfaceLICDefaultPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSurfaceLICDefaultPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSurfaceLICDefaultPainter requires 2 argument(s)");
  vtkSurfaceLICDefaultPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICDefaultPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSurfaceLICDefaultPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSurfaceLICDefaultPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICDefaultPainter:SetSurfaceLICPainter vtkSurfaceLICDefaultPainterSetSurfaceLICPainterFunction
//input a0 a1 
//output none
ArrayVector vtkSurfaceLICDefaultPainterSetSurfaceLICPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSurfaceLICPainter (vtkSurfaceLICPainter *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSurfaceLICPainter for class vtkSurfaceLICDefaultPainter requires 2 argument(s)");
  vtkSurfaceLICDefaultPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICDefaultPainter>(arg[0]);
  Array retval;
  vtkSurfaceLICPainter  *temp0;
  temp0 = GetVTKPointer<vtkSurfaceLICPainter>(arg[1]);
  vtk_pointer->SetSurfaceLICPainter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICDefaultPainter:GetSurfaceLICPainter vtkSurfaceLICDefaultPainterGetSurfaceLICPainterFunction
//input a0 
//output y
ArrayVector vtkSurfaceLICDefaultPainterGetSurfaceLICPainterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSurfaceLICPainter *GetSurfaceLICPainter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSurfaceLICPainter for class vtkSurfaceLICDefaultPainter requires 1 argument(s)");
  vtkSurfaceLICDefaultPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICDefaultPainter>(arg[0]);
  Array retval;
  vtkSurfaceLICPainter  *temp20;
  temp20 = (vtk_pointer)->GetSurfaceLICPainter();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSurfaceLICPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICDefaultPainter:display vtkSurfaceLICDefaultPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSurfaceLICDefaultPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSurfaceLICDefaultPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICDefaultPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSurfaceLICDefaultPainter:delete vtkSurfaceLICDefaultPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkSurfaceLICDefaultPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSurfaceLICDefaultPainter
//@@Section VTKRendering
//@@Usage
//  vtkSurfaceLICDefaultPainter is a vtkDefaultPainter replacement
//  that inserts the vtkSurfaceLICPainter at the correct position in the painter
//  chain.
//
//
//To create an instance of class vtkSurfaceLICDefaultPainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkSurfaceLICDefaultPainter
//@]
//@@Methods
//The class vtkSurfaceLICDefaultPainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSurfaceLICDefaultPainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSurfaceLICDefaultPainter = obj.NewInstance ()|
// \item @|vtkSurfaceLICDefaultPainter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSurfaceLICPainter (vtkSurfaceLICPainter )| -  Get/Set the Surface LIC painter.
//// \item @|vtkSurfaceLICPainter = obj.GetSurfaceLICPainter ()| -  Get/Set the Surface LIC painter.
////\end{itemize}
//!
