#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSurfaceLICPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSurfaceLICPainter.h"

//@@Signature
//sfunction @vtkSurfaceLICPainter:vtkSurfaceLICPainter vtkSurfaceLICPainterConstructorFunction
//input a
//output p
//@@Parents vtkSurfaceLICPainter vtkPolyDataPainter 
ArrayVector vtkSurfaceLICPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSurfaceLICPainter::New(),"vtkSurfaceLICPainter",eval);
  } else if (arg[0].className() == "vtkSurfaceLICPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSurfaceLICPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSurfaceLICPainter");
    vtkSurfaceLICPainter*q = reinterpret_cast<vtkSurfaceLICPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSurfaceLICPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSurfaceLICPainter:GetClassName vtkSurfaceLICPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSurfaceLICPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSurfaceLICPainter requires 1 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:IsA vtkSurfaceLICPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSurfaceLICPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSurfaceLICPainter requires 2 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:NewInstance vtkSurfaceLICPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSurfaceLICPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSurfaceLICPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSurfaceLICPainter requires 1 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  vtkSurfaceLICPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSurfaceLICPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:SafeDownCast vtkSurfaceLICPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSurfaceLICPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSurfaceLICPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSurfaceLICPainter requires 2 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSurfaceLICPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSurfaceLICPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:ReleaseGraphicsResources vtkSurfaceLICPainterReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkSurfaceLICPainterReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkSurfaceLICPainter requires 2 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:GetOutput vtkSurfaceLICPainterGetOutputFunction
//input a0 
//output y
ArrayVector vtkSurfaceLICPainterGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkDataObject *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput for class vtkSurfaceLICPainter requires 1 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:SetEnable vtkSurfaceLICPainterSetEnableFunction
//input a0 a1 
//output none
ArrayVector vtkSurfaceLICPainterSetEnableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnable (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnable for class vtkSurfaceLICPainter requires 2 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:GetEnable vtkSurfaceLICPainterGetEnableFunction
//input a0 
//output y
ArrayVector vtkSurfaceLICPainterGetEnableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEnable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnable for class vtkSurfaceLICPainter requires 1 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEnable();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:EnableOn vtkSurfaceLICPainterEnableOnFunction
//input a0 
//output none
ArrayVector vtkSurfaceLICPainterEnableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableOn for class vtkSurfaceLICPainter requires 1 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  vtk_pointer->EnableOn();
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:EnableOff vtkSurfaceLICPainterEnableOffFunction
//input a0 
//output none
ArrayVector vtkSurfaceLICPainterEnableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableOff for class vtkSurfaceLICPainter requires 1 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  vtk_pointer->EnableOff();
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:SetInputArrayToProcess__1 vtkSurfaceLICPainterSetInputArrayToProcess__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkSurfaceLICPainterSetInputArrayToProcess__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputArrayToProcess (int fieldAssociation, const char *name); */
  if (arg.size() < 3) 
    throw Exception("Function SetInputArrayToProcess__1 for class vtkSurfaceLICPainter requires 3 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetInputArrayToProcess(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:SetInputArrayToProcess__2 vtkSurfaceLICPainterSetInputArrayToProcess__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkSurfaceLICPainterSetInputArrayToProcess__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputArrayToProcess (int fieldAssociation, int fieldAttributeType); */
  if (arg.size() < 3) 
    throw Exception("Function SetInputArrayToProcess__2 for class vtkSurfaceLICPainter requires 3 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetInputArrayToProcess(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:SetEnhancedLIC vtkSurfaceLICPainterSetEnhancedLICFunction
//input a0 a1 
//output none
ArrayVector vtkSurfaceLICPainterSetEnhancedLICFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnhancedLIC (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnhancedLIC for class vtkSurfaceLICPainter requires 2 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnhancedLIC(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:GetEnhancedLIC vtkSurfaceLICPainterGetEnhancedLICFunction
//input a0 
//output y
ArrayVector vtkSurfaceLICPainterGetEnhancedLICFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEnhancedLIC (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnhancedLIC for class vtkSurfaceLICPainter requires 1 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEnhancedLIC();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:EnhancedLICOn vtkSurfaceLICPainterEnhancedLICOnFunction
//input a0 
//output none
ArrayVector vtkSurfaceLICPainterEnhancedLICOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnhancedLICOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EnhancedLICOn for class vtkSurfaceLICPainter requires 1 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  vtk_pointer->EnhancedLICOn();
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:EnhancedLICOff vtkSurfaceLICPainterEnhancedLICOffFunction
//input a0 
//output none
ArrayVector vtkSurfaceLICPainterEnhancedLICOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnhancedLICOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EnhancedLICOff for class vtkSurfaceLICPainter requires 1 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  vtk_pointer->EnhancedLICOff();
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:SetNumberOfSteps vtkSurfaceLICPainterSetNumberOfStepsFunction
//input a0 a1 
//output none
ArrayVector vtkSurfaceLICPainterSetNumberOfStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfSteps (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfSteps for class vtkSurfaceLICPainter requires 2 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfSteps(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:GetNumberOfSteps vtkSurfaceLICPainterGetNumberOfStepsFunction
//input a0 
//output y
ArrayVector vtkSurfaceLICPainterGetNumberOfStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSteps for class vtkSurfaceLICPainter requires 1 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:SetStepSize vtkSurfaceLICPainterSetStepSizeFunction
//input a0 a1 
//output none
ArrayVector vtkSurfaceLICPainterSetStepSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStepSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStepSize for class vtkSurfaceLICPainter requires 2 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetStepSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:GetStepSize vtkSurfaceLICPainterGetStepSizeFunction
//input a0 
//output y
ArrayVector vtkSurfaceLICPainterGetStepSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStepSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStepSize for class vtkSurfaceLICPainter requires 1 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStepSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:SetLICIntensity vtkSurfaceLICPainterSetLICIntensityFunction
//input a0 a1 
//output none
ArrayVector vtkSurfaceLICPainterSetLICIntensityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLICIntensity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLICIntensity for class vtkSurfaceLICPainter requires 2 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLICIntensity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:GetLICIntensityMinValue vtkSurfaceLICPainterGetLICIntensityMinValueFunction
//input a0 
//output y
ArrayVector vtkSurfaceLICPainterGetLICIntensityMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLICIntensityMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLICIntensityMinValue for class vtkSurfaceLICPainter requires 1 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLICIntensityMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:GetLICIntensityMaxValue vtkSurfaceLICPainterGetLICIntensityMaxValueFunction
//input a0 
//output y
ArrayVector vtkSurfaceLICPainterGetLICIntensityMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLICIntensityMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLICIntensityMaxValue for class vtkSurfaceLICPainter requires 1 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLICIntensityMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:GetLICIntensity vtkSurfaceLICPainterGetLICIntensityFunction
//input a0 
//output y
ArrayVector vtkSurfaceLICPainterGetLICIntensityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLICIntensity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLICIntensity for class vtkSurfaceLICPainter requires 1 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLICIntensity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:GetRenderingPreparationSuccess vtkSurfaceLICPainterGetRenderingPreparationSuccessFunction
//input a0 
//output y
ArrayVector vtkSurfaceLICPainterGetRenderingPreparationSuccessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRenderingPreparationSuccess ();return this RenderingPreparationSuccess  */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderingPreparationSuccess for class vtkSurfaceLICPainter requires 1 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRenderingPreparationSuccess();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:GetLICSuccess vtkSurfaceLICPainterGetLICSuccessFunction
//input a0 
//output y
ArrayVector vtkSurfaceLICPainterGetLICSuccessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLICSuccess ();return this LICSuccess  */
  if (arg.size() < 1) 
    throw Exception("Function GetLICSuccess for class vtkSurfaceLICPainter requires 1 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLICSuccess();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:IsSupported vtkSurfaceLICPainterIsSupportedFunction
//input a0 a1 
//output y
ArrayVector vtkSurfaceLICPainterIsSupportedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static bool IsSupported (vtkRenderWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function IsSupported for class vtkSurfaceLICPainter requires 2 argument(s)");
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  temp20 = (vtk_pointer)->IsSupported(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:SetInputArrayToProcess vtkSurfaceLICPainterSetInputArrayToProcessFunction
//input varargin
//output varargout
ArrayVector vtkSurfaceLICPainterSetInputArrayToProcessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]))
    return vtkSurfaceLICPainterSetInputArrayToProcess__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkSurfaceLICPainterSetInputArrayToProcess__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSurfaceLICPainterSetInputArrayToProcess");
}

//@@Signature
//sfunction @vtkSurfaceLICPainter:display vtkSurfaceLICPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSurfaceLICPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSurfaceLICPainter* vtk_pointer = GetVTKPointer<vtkSurfaceLICPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSurfaceLICPainter:delete vtkSurfaceLICPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkSurfaceLICPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSurfaceLICPainter
//@@Section VTKRendering
//@@Usage
//  vtkSurfaceLICPainter painter performs LIC on the surface of arbitrary
//  geometry. Point vectors are used as the vector field for generating the LIC.
//  The implementation is based on "Image Space Based Visualization on Unstread
//  Flow on Surfaces" by Laramee, Jobard and Hauser appered in proceedings of 
//  IEEE Visualization '03, pages 131-138.
//  
//
//To create an instance of class vtkSurfaceLICPainter, simply
//invoke its constructor as follows
//@[
//  obj = vtkSurfaceLICPainter
//@]
//@@Methods
//The class vtkSurfaceLICPainter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSurfaceLICPainter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSurfaceLICPainter = obj.NewInstance ()|
// \item @|vtkSurfaceLICPainter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this mapper.
// The parameter window could be used to determine which graphic
// resources to release. In this case, releases the display lists.
//// \item @|vtkDataObject = obj.GetOutput ()| -  Get the output data object from this painter. 
// Overridden to pass the input points (or cells) vectors as the tcoords to
// the deletage painters. This is required by the internal GLSL shader
// programs used for generating LIC.
//// \item @|obj.SetEnable (int )| -  Enable/Disable this painter.
//// \item @|int = obj.GetEnable ()| -  Enable/Disable this painter.
//// \item @|obj.EnableOn ()| -  Enable/Disable this painter.
//// \item @|obj.EnableOff ()| -  Enable/Disable this painter.
//// \item @|obj.SetInputArrayToProcess (int fieldAssociation, string name)| -  Set the vectors to used for applying LIC. By default point vectors are
// used. Arguments are same as those passed to
// vtkAlgorithm::SetInputArrayToProcess except the first 3 arguments i.e. idx,
// port, connection.
//// \item @|obj.SetInputArrayToProcess (int fieldAssociation, int fieldAttributeType)| -  Set the vectors to used for applying LIC. By default point vectors are
// used. Arguments are same as those passed to
// vtkAlgorithm::SetInputArrayToProcess except the first 3 arguments i.e. idx,
// port, connection.
//// \item @|obj.SetEnhancedLIC (int )| -  Enable/Disable enhanced LIC that improves image quality by increasing
// inter-streamline contrast while suppressing artifacts. Enhanced LIC
// performs two passes of LIC, with a 3x3 Laplacian high-pass filter in
// between that processes the output of pass #1 LIC and forwards the result
// as the input 'noise' to pass #2 LIC. This flag is automatically turned
// off during user interaction.
//// \item @|int = obj.GetEnhancedLIC ()| -  Enable/Disable enhanced LIC that improves image quality by increasing
// inter-streamline contrast while suppressing artifacts. Enhanced LIC
// performs two passes of LIC, with a 3x3 Laplacian high-pass filter in
// between that processes the output of pass #1 LIC and forwards the result
// as the input 'noise' to pass #2 LIC. This flag is automatically turned
// off during user interaction.
//// \item @|obj.EnhancedLICOn ()| -  Enable/Disable enhanced LIC that improves image quality by increasing
// inter-streamline contrast while suppressing artifacts. Enhanced LIC
// performs two passes of LIC, with a 3x3 Laplacian high-pass filter in
// between that processes the output of pass #1 LIC and forwards the result
// as the input 'noise' to pass #2 LIC. This flag is automatically turned
// off during user interaction.
//// \item @|obj.EnhancedLICOff ()| -  Enable/Disable enhanced LIC that improves image quality by increasing
// inter-streamline contrast while suppressing artifacts. Enhanced LIC
// performs two passes of LIC, with a 3x3 Laplacian high-pass filter in
// between that processes the output of pass #1 LIC and forwards the result
// as the input 'noise' to pass #2 LIC. This flag is automatically turned
// off during user interaction.
//// \item @|obj.SetNumberOfSteps (int )| -  Get/Set the number of integration steps in each direction.
//// \item @|int = obj.GetNumberOfSteps ()| -  Get/Set the number of integration steps in each direction.
//// \item @|obj.SetStepSize (double )| -  Get/Set the step size (in pixels).
//// \item @|double = obj.GetStepSize ()| -  Get/Set the step size (in pixels).
//// \item @|obj.SetLICIntensity (double )| -  Control the contribution of the LIC in the final output image.
// 0.0 produces same result as disabling LIC alltogether, while 1.0 implies
// show LIC result alone.
//// \item @|double = obj.GetLICIntensityMinValue ()| -  Control the contribution of the LIC in the final output image.
// 0.0 produces same result as disabling LIC alltogether, while 1.0 implies
// show LIC result alone.
//// \item @|double = obj.GetLICIntensityMaxValue ()| -  Control the contribution of the LIC in the final output image.
// 0.0 produces same result as disabling LIC alltogether, while 1.0 implies
// show LIC result alone.
//// \item @|double = obj.GetLICIntensity ()| -  Control the contribution of the LIC in the final output image.
// 0.0 produces same result as disabling LIC alltogether, while 1.0 implies
// show LIC result alone.
//// \item @|int = obj.GetRenderingPreparationSuccess ()| -  Check if the LIC process runs properly.
//// \item @|int = obj.GetLICSuccess ()| -  Returns true is the rendering context supports extensions needed by this
// painter.
////\end{itemize}
//!
