#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTDxInteractorStyleCamera object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTDxInteractorStyleCamera.h"

//@@Signature
//sfunction @vtkTDxInteractorStyleCamera:vtkTDxInteractorStyleCamera vtkTDxInteractorStyleCameraConstructorFunction
//input a
//output p
//@@Parents vtkTDxInteractorStyleCamera vtkTDxInteractorStyle 
ArrayVector vtkTDxInteractorStyleCameraConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTDxInteractorStyleCamera::New(),"vtkTDxInteractorStyleCamera",eval);
  } else if (arg[0].className() == "vtkTDxInteractorStyleCamera") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTDxInteractorStyleCamera"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTDxInteractorStyleCamera");
    vtkTDxInteractorStyleCamera*q = reinterpret_cast<vtkTDxInteractorStyleCamera*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTDxInteractorStyleCamera");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTDxInteractorStyleCamera:GetClassName vtkTDxInteractorStyleCameraGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTDxInteractorStyleCameraGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTDxInteractorStyleCamera requires 1 argument(s)");
  vtkTDxInteractorStyleCamera* vtk_pointer = GetVTKPointer<vtkTDxInteractorStyleCamera>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTDxInteractorStyleCamera:IsA vtkTDxInteractorStyleCameraIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTDxInteractorStyleCameraIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTDxInteractorStyleCamera requires 2 argument(s)");
  vtkTDxInteractorStyleCamera* vtk_pointer = GetVTKPointer<vtkTDxInteractorStyleCamera>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTDxInteractorStyleCamera:NewInstance vtkTDxInteractorStyleCameraNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTDxInteractorStyleCameraNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTDxInteractorStyleCamera *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTDxInteractorStyleCamera requires 1 argument(s)");
  vtkTDxInteractorStyleCamera* vtk_pointer = GetVTKPointer<vtkTDxInteractorStyleCamera>(arg[0]);
  Array retval;
  vtkTDxInteractorStyleCamera  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTDxInteractorStyleCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTDxInteractorStyleCamera:SafeDownCast vtkTDxInteractorStyleCameraSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTDxInteractorStyleCameraSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTDxInteractorStyleCamera *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTDxInteractorStyleCamera requires 2 argument(s)");
  vtkTDxInteractorStyleCamera* vtk_pointer = GetVTKPointer<vtkTDxInteractorStyleCamera>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTDxInteractorStyleCamera  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTDxInteractorStyleCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTDxInteractorStyleCamera:display vtkTDxInteractorStyleCameraDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTDxInteractorStyleCameraDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTDxInteractorStyleCamera* vtk_pointer = GetVTKPointer<vtkTDxInteractorStyleCamera>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTDxInteractorStyleCamera:delete vtkTDxInteractorStyleCameraDeleteFunction
//input varargin
//output none
ArrayVector vtkTDxInteractorStyleCameraDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTDxInteractorStyleCamera
//@@Section VTKRendering
//@@Usage
// vtkTDxInteractorStyleCamera allows the end-user to manipulate tha camera
// with a 3DConnexion device.
//
//To create an instance of class vtkTDxInteractorStyleCamera, simply
//invoke its constructor as follows
//@[
//  obj = vtkTDxInteractorStyleCamera
//@]
//@@Methods
//The class vtkTDxInteractorStyleCamera has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTDxInteractorStyleCamera class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTDxInteractorStyleCamera = obj.NewInstance ()|
// \item @|vtkTDxInteractorStyleCamera = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
