#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTStripsPainter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTStripsPainter.h"

//@@Signature
//sfunction @vtkTStripsPainter:vtkTStripsPainter vtkTStripsPainterConstructorFunction
//input a
//output p
//@@Parents vtkTStripsPainter vtkPrimitivePainter 
ArrayVector vtkTStripsPainterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTStripsPainter::New(),"vtkTStripsPainter",eval);
  } else if (arg[0].className() == "vtkTStripsPainter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTStripsPainter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTStripsPainter");
    vtkTStripsPainter*q = reinterpret_cast<vtkTStripsPainter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTStripsPainter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTStripsPainter:GetClassName vtkTStripsPainterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTStripsPainterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTStripsPainter requires 1 argument(s)");
  vtkTStripsPainter* vtk_pointer = GetVTKPointer<vtkTStripsPainter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTStripsPainter:IsA vtkTStripsPainterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTStripsPainterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTStripsPainter requires 2 argument(s)");
  vtkTStripsPainter* vtk_pointer = GetVTKPointer<vtkTStripsPainter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTStripsPainter:NewInstance vtkTStripsPainterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTStripsPainterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTStripsPainter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTStripsPainter requires 1 argument(s)");
  vtkTStripsPainter* vtk_pointer = GetVTKPointer<vtkTStripsPainter>(arg[0]);
  Array retval;
  vtkTStripsPainter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTStripsPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTStripsPainter:SafeDownCast vtkTStripsPainterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTStripsPainterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTStripsPainter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTStripsPainter requires 2 argument(s)");
  vtkTStripsPainter* vtk_pointer = GetVTKPointer<vtkTStripsPainter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTStripsPainter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTStripsPainter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTStripsPainter:display vtkTStripsPainterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTStripsPainterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTStripsPainter* vtk_pointer = GetVTKPointer<vtkTStripsPainter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTStripsPainter:delete vtkTStripsPainterDeleteFunction
//input varargin
//output none
ArrayVector vtkTStripsPainterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
