#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTesting object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTesting.h"

//@@Signature
//sfunction @vtkTesting:vtkTesting vtkTestingConstructorFunction
//input a
//output p
//@@Parents vtkTesting vtkObject 
ArrayVector vtkTestingConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTesting::New(),"vtkTesting",eval);
  } else if (arg[0].className() == "vtkTesting") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTesting"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTesting");
    vtkTesting*q = reinterpret_cast<vtkTesting*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTesting");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTesting:GetClassName vtkTestingGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTestingGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTesting requires 1 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:IsA vtkTestingIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTestingIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTesting requires 2 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:NewInstance vtkTestingNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTestingNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTesting *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTesting requires 1 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  vtkTesting  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTesting",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTesting:SafeDownCast vtkTestingSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTestingSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTesting *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTesting requires 2 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTesting  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTesting",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTesting:SetFrontBuffer vtkTestingSetFrontBufferFunction
//input a0 a1 
//output none
ArrayVector vtkTestingSetFrontBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFrontBuffer (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFrontBuffer for class vtkTesting requires 2 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFrontBuffer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTesting:GetFrontBufferMinValue vtkTestingGetFrontBufferMinValueFunction
//input a0 
//output y
ArrayVector vtkTestingGetFrontBufferMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFrontBufferMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFrontBufferMinValue for class vtkTesting requires 1 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFrontBufferMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:GetFrontBufferMaxValue vtkTestingGetFrontBufferMaxValueFunction
//input a0 
//output y
ArrayVector vtkTestingGetFrontBufferMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFrontBufferMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFrontBufferMaxValue for class vtkTesting requires 1 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFrontBufferMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:FrontBufferOn vtkTestingFrontBufferOnFunction
//input a0 
//output none
ArrayVector vtkTestingFrontBufferOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FrontBufferOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FrontBufferOn for class vtkTesting requires 1 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  vtk_pointer->FrontBufferOn();
  return retval;
}

//@@Signature
//sfunction @vtkTesting:FrontBufferOff vtkTestingFrontBufferOffFunction
//input a0 
//output none
ArrayVector vtkTestingFrontBufferOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FrontBufferOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FrontBufferOff for class vtkTesting requires 1 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  vtk_pointer->FrontBufferOff();
  return retval;
}

//@@Signature
//sfunction @vtkTesting:GetFrontBuffer vtkTestingGetFrontBufferFunction
//input a0 
//output y
ArrayVector vtkTestingGetFrontBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFrontBuffer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFrontBuffer for class vtkTesting requires 1 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFrontBuffer();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:RegressionTest__1 vtkTestingRegressionTest__1Function
//input a0 a1 
//output y
ArrayVector vtkTestingRegressionTest__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RegressionTest (double thresh); */
  if (arg.size() < 2) 
    throw Exception("Function RegressionTest__1 for class vtkTesting requires 2 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  double   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->RegressionTest(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:RegressionTest__3 vtkTestingRegressionTest__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkTestingRegressionTest__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RegressionTest (vtkImageData *image, double thresh); */
  if (arg.size() < 3) 
    throw Exception("Function RegressionTest__3 for class vtkTesting requires 3 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  double   temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->RegressionTest(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:CompareAverageOfL2Norm__1 vtkTestingCompareAverageOfL2Norm__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTestingCompareAverageOfL2Norm__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CompareAverageOfL2Norm (vtkDataSet *pdA, vtkDataSet *pdB, double tol); */
  if (arg.size() < 4) 
    throw Exception("Function CompareAverageOfL2Norm__1 for class vtkTesting requires 4 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  vtkDataSet  *temp1;
  double   temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  temp1 = GetVTKPointer<vtkDataSet>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->CompareAverageOfL2Norm(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:CompareAverageOfL2Norm__2 vtkTestingCompareAverageOfL2Norm__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTestingCompareAverageOfL2Norm__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CompareAverageOfL2Norm (vtkDataArray *daA, vtkDataArray *daB, double tol); */
  if (arg.size() < 4) 
    throw Exception("Function CompareAverageOfL2Norm__2 for class vtkTesting requires 4 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  double   temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->CompareAverageOfL2Norm(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:SetRenderWindow vtkTestingSetRenderWindowFunction
//input a0 a1 
//output none
ArrayVector vtkTestingSetRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRenderWindow (vtkRenderWindow *rw); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderWindow for class vtkTesting requires 2 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  vtk_pointer->SetRenderWindow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTesting:GetRenderWindow vtkTestingGetRenderWindowFunction
//input a0 
//output y
ArrayVector vtkTestingGetRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *GetRenderWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderWindow for class vtkTesting requires 1 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->GetRenderWindow();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTesting:SetValidImageFileName vtkTestingSetValidImageFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkTestingSetValidImageFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValidImageFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetValidImageFileName for class vtkTesting requires 2 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetValidImageFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTesting:GetValidImageFileName vtkTestingGetValidImageFileNameFunction
//input a0 
//output y
ArrayVector vtkTestingGetValidImageFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetValidImageFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValidImageFileName for class vtkTesting requires 1 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetValidImageFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:GetImageDifference vtkTestingGetImageDifferenceFunction
//input a0 
//output y
ArrayVector vtkTestingGetImageDifferenceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetImageDifference (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageDifference for class vtkTesting requires 1 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetImageDifference();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:AddArgument vtkTestingAddArgumentFunction
//input a0 a1 
//output none
ArrayVector vtkTestingAddArgumentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddArgument (const char *argv); */
  if (arg.size() < 2) 
    throw Exception("Function AddArgument for class vtkTesting requires 2 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->AddArgument(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTesting:CleanArguments vtkTestingCleanArgumentsFunction
//input a0 
//output none
ArrayVector vtkTestingCleanArgumentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CleanArguments (); */
  if (arg.size() < 1) 
    throw Exception("Function CleanArguments for class vtkTesting requires 1 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  vtk_pointer->CleanArguments();
  return retval;
}

//@@Signature
//sfunction @vtkTesting:GetDataRoot vtkTestingGetDataRootFunction
//input a0 
//output y
ArrayVector vtkTestingGetDataRootFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDataRoot (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataRoot for class vtkTesting requires 1 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDataRoot();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:SetDataRoot vtkTestingSetDataRootFunction
//input a0 a1 
//output none
ArrayVector vtkTestingSetDataRootFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataRoot (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataRoot for class vtkTesting requires 2 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetDataRoot(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTesting:GetTempDirectory vtkTestingGetTempDirectoryFunction
//input a0 
//output y
ArrayVector vtkTestingGetTempDirectoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetTempDirectory (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTempDirectory for class vtkTesting requires 1 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetTempDirectory();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:SetTempDirectory vtkTestingSetTempDirectoryFunction
//input a0 a1 
//output none
ArrayVector vtkTestingSetTempDirectoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTempDirectory (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTempDirectory for class vtkTesting requires 2 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTempDirectory(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTesting:IsValidImageSpecified vtkTestingIsValidImageSpecifiedFunction
//input a0 
//output y
ArrayVector vtkTestingIsValidImageSpecifiedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsValidImageSpecified (); */
  if (arg.size() < 1) 
    throw Exception("Function IsValidImageSpecified for class vtkTesting requires 1 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsValidImageSpecified();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:IsInteractiveModeSpecified vtkTestingIsInteractiveModeSpecifiedFunction
//input a0 
//output y
ArrayVector vtkTestingIsInteractiveModeSpecifiedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsInteractiveModeSpecified (); */
  if (arg.size() < 1) 
    throw Exception("Function IsInteractiveModeSpecified for class vtkTesting requires 1 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsInteractiveModeSpecified();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:IsFlagSpecified vtkTestingIsFlagSpecifiedFunction
//input a0 a1 
//output y
ArrayVector vtkTestingIsFlagSpecifiedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsFlagSpecified (const char *flag); */
  if (arg.size() < 2) 
    throw Exception("Function IsFlagSpecified for class vtkTesting requires 2 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsFlagSpecified(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:SetBorderOffset vtkTestingSetBorderOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkTestingSetBorderOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBorderOffset (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBorderOffset for class vtkTesting requires 2 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBorderOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTesting:GetBorderOffset vtkTestingGetBorderOffsetFunction
//input a0 
//output y
ArrayVector vtkTestingGetBorderOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBorderOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBorderOffset for class vtkTesting requires 1 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBorderOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:SetVerbose vtkTestingSetVerboseFunction
//input a0 a1 
//output none
ArrayVector vtkTestingSetVerboseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVerbose (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVerbose for class vtkTesting requires 2 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVerbose(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTesting:GetVerbose vtkTestingGetVerboseFunction
//input a0 
//output y
ArrayVector vtkTestingGetVerboseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVerbose (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVerbose for class vtkTesting requires 1 argument(s)");
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVerbose();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTesting:RegressionTest vtkTestingRegressionTestFunction
//input varargin
//output varargout
ArrayVector vtkTestingRegressionTestFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkTestingRegressionTest__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkImageData") && VTKIsScalarArg(arg[2]))
    return vtkTestingRegressionTest__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTestingRegressionTest");
}

//@@Signature
//sfunction @vtkTesting:CompareAverageOfL2Norm vtkTestingCompareAverageOfL2NormFunction
//input varargin
//output varargout
ArrayVector vtkTestingCompareAverageOfL2NormFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsClass(arg[2],"vtkDataSet") && VTKIsScalarArg(arg[3]))
    return vtkTestingCompareAverageOfL2Norm__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataArray") && VTKIsClass(arg[2],"vtkDataArray") && VTKIsScalarArg(arg[3]))
    return vtkTestingCompareAverageOfL2Norm__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTestingCompareAverageOfL2Norm");
}

//@@Signature
//sfunction @vtkTesting:display vtkTestingDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTestingDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTesting* vtk_pointer = GetVTKPointer<vtkTesting>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTesting:delete vtkTestingDeleteFunction
//input varargin
//output none
ArrayVector vtkTestingDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTesting
//@@Section VTKRendering
//@@Usage
//
//  This is a VTK regression testing framework. Looks like this:
// 
//  vtkTesting* t = vtkTesting::New();
//
//  Two options for setting arguments
//  
//  Option 1:
//  for ( cc = 1; cc < argc; cc ++ )
//    {
//    t->AddArgument(argv[cc]);
//    }
//
//  Option 2:
//  t->AddArgument("-D");
//  t->AddArgument(my_data_dir);
//  t->AddArgument("-V");
//  t->AddArgument(my_valid_image);
//
//  ...
//  
//  Two options of doing testing:
//  
//  Option 1:
//  t->SetRenderWindow(renWin);
//  int res = t->RegressionTest(threshold);
//
//  Option 2:
//  int res = t->RegressionTest(test_image, threshold);
//  
//  ...
//
//  if ( res == vtkTesting::PASSED )
//    {
//    Test passed
//    }
//  else
//    {
//    Test failed
//    }
//
//
//To create an instance of class vtkTesting, simply
//invoke its constructor as follows
//@[
//  obj = vtkTesting
//@]
//@@Methods
//The class vtkTesting has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTesting class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTesting = obj.NewInstance ()|
// \item @|vtkTesting = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFrontBuffer (int )| -  Use front buffer for tests. By default use back buffer.
//// \item @|int = obj.GetFrontBufferMinValue ()| -  Use front buffer for tests. By default use back buffer.
//// \item @|int = obj.GetFrontBufferMaxValue ()| -  Use front buffer for tests. By default use back buffer.
//// \item @|obj.FrontBufferOn ()| -  Use front buffer for tests. By default use back buffer.
//// \item @|obj.FrontBufferOff ()| -  Use front buffer for tests. By default use back buffer.
//// \item @|int = obj.GetFrontBuffer ()| -  Use front buffer for tests. By default use back buffer.
//// \item @|int = obj.RegressionTest (double thresh)| -  Perform the test and return result. At the same time the output will be
// written cout
//// \item @|int = obj.RegressionTest (vtkImageData image, double thresh)| -  Compare the image with the valid image.
//// \item @|int = obj.CompareAverageOfL2Norm (vtkDataSet pdA, vtkDataSet pdB, double tol)| -  Compute the average L2 norm between all point data data arrays 
// of types float and double present in the data sets "dsA" and "dsB"
// (this includes instances of vtkPoints) Compare the result of 
// each L2 comutation to "tol".
//// \item @|int = obj.CompareAverageOfL2Norm (vtkDataArray daA, vtkDataArray daB, double tol)| -  Compute the average L2 norm between two data arrays "daA" and "daB" 
// and compare against "tol".
//// \item @|obj.SetRenderWindow (vtkRenderWindow rw)| -  Set and get the render window that will be used for regression testing.
//// \item @|vtkRenderWindow = obj.GetRenderWindow ()| -  Set and get the render window that will be used for regression testing.
//// \item @|obj.SetValidImageFileName (string )| -  Set/Get the name of the valid image file
//// \item @|string = obj.GetValidImageFileName ()| -  Set/Get the name of the valid image file
//// \item @|double = obj.GetImageDifference ()| -  Get the image difference.
//// \item @|obj.AddArgument (string argv)| -  Pass the command line arguments into this class to be processed. Many of
// the Get methods such as GetValidImage and GetBaselineRoot rely on the
// arguments to be passed in prior to retrieving these values. Just call
// AddArgument for each argument that was passed into the command line
//// \item @|obj.CleanArguments ()|
// \item @|string = obj.GetDataRoot ()| -  Get some paramters from the command line arguments, env, or defaults
//// \item @|obj.SetDataRoot (string )| -  Get some paramters from the command line arguments, env, or defaults
//// \item @|string = obj.GetTempDirectory ()| -  Get some paramters from the command line arguments, env, or defaults
//// \item @|obj.SetTempDirectory (string )| -  Get some paramters from the command line arguments, env, or defaults
//// \item @|int = obj.IsValidImageSpecified ()| -  Is a valid image specified on the command line areguments?
//// \item @|int = obj.IsInteractiveModeSpecified ()| -  Is the interactive mode specified?
//// \item @|int = obj.IsFlagSpecified (string flag)| -  Is some arbitrary user flag ("-X", "-Z" etc) specified
//// \item @|obj.SetBorderOffset (int )| -  Number of pixels added as borders to avoid problems with
// window decorations added by some window managers.
//// \item @|int = obj.GetBorderOffset ()| -  Number of pixels added as borders to avoid problems with
// window decorations added by some window managers.
//// \item @|obj.SetVerbose (int )| -  Get/Set verbosity level. A level of 0 is quiet.
//// \item @|int = obj.GetVerbose ()| -  Get/Set verbosity level. A level of 0 is quiet.
////\end{itemize}
//!
