#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTextActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTextActor.h"

//@@Signature
//sfunction @vtkTextActor:vtkTextActor vtkTextActorConstructorFunction
//input a
//output p
//@@Parents vtkTextActor vtkActor2D 
ArrayVector vtkTextActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTextActor::New(),"vtkTextActor",eval);
  } else if (arg[0].className() == "vtkTextActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTextActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTextActor");
    vtkTextActor*q = reinterpret_cast<vtkTextActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTextActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTextActor:GetClassName vtkTextActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTextActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:IsA vtkTextActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTextActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTextActor requires 2 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:NewInstance vtkTextActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTextActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  vtkTextActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SafeDownCast vtkTextActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTextActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTextActor requires 2 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTextActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:ShallowCopy vtkTextActorShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkTextActorShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkTextActor requires 2 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SetMapper__1 vtkTextActorSetMapper__1Function
//input a0 a1 
//output none
ArrayVector vtkTextActorSetMapper__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMapper (vtkPolyDataMapper2D *mapper); */
  if (arg.size() < 2) 
    throw Exception("Function SetMapper__1 for class vtkTextActor requires 2 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  vtkPolyDataMapper2D  *temp0;
  temp0 = GetVTKPointer<vtkPolyDataMapper2D>(arg[1]);
  vtk_pointer->SetMapper(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SetInput vtkTextActorSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkTextActorSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (const char *inputString); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkTextActor requires 2 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:GetInput vtkTextActorGetInputFunction
//input a0 
//output y
ArrayVector vtkTextActorGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SetMinimumSize__1 vtkTextActorSetMinimumSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkTextActorSetMinimumSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetMinimumSize__1 for class vtkTextActor requires 3 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetMinimumSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SetMinimumSize__2 vtkTextActorSetMinimumSize__2Function
//input a0 a1 
//output none
ArrayVector vtkTextActorSetMinimumSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumSize (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumSize__2 for class vtkTextActor requires 2 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetMinimumSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:GetMinimumSize vtkTextActorGetMinimumSizeFunction
//input a0 
//output y
ArrayVector vtkTextActorGetMinimumSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetMinimumSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumSize for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetMinimumSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SetMaximumLineHeight vtkTextActorSetMaximumLineHeightFunction
//input a0 a1 
//output none
ArrayVector vtkTextActorSetMaximumLineHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumLineHeight (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumLineHeight for class vtkTextActor requires 2 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumLineHeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:GetMaximumLineHeight vtkTextActorGetMaximumLineHeightFunction
//input a0 
//output y
ArrayVector vtkTextActorGetMaximumLineHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaximumLineHeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumLineHeight for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaximumLineHeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SetTextScaleMode vtkTextActorSetTextScaleModeFunction
//input a0 a1 
//output none
ArrayVector vtkTextActorSetTextScaleModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextScaleMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextScaleMode for class vtkTextActor requires 2 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTextScaleMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:GetTextScaleModeMinValue vtkTextActorGetTextScaleModeMinValueFunction
//input a0 
//output y
ArrayVector vtkTextActorGetTextScaleModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextScaleModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextScaleModeMinValue for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextScaleModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:GetTextScaleModeMaxValue vtkTextActorGetTextScaleModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkTextActorGetTextScaleModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextScaleModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextScaleModeMaxValue for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextScaleModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:GetTextScaleMode vtkTextActorGetTextScaleModeFunction
//input a0 
//output y
ArrayVector vtkTextActorGetTextScaleModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextScaleMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextScaleMode for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextScaleMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SetTextScaleModeToNone vtkTextActorSetTextScaleModeToNoneFunction
//input a0 
//output none
ArrayVector vtkTextActorSetTextScaleModeToNoneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextScaleModeToNone ();this SetTextScaleMode TEXT_SCALE_MODE_NONE  */
  if (arg.size() < 1) 
    throw Exception("Function SetTextScaleModeToNone for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  vtk_pointer->SetTextScaleModeToNone();
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SetTextScaleModeToProp vtkTextActorSetTextScaleModeToPropFunction
//input a0 
//output none
ArrayVector vtkTextActorSetTextScaleModeToPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextScaleModeToProp ();this SetTextScaleMode TEXT_SCALE_MODE_PROP  */
  if (arg.size() < 1) 
    throw Exception("Function SetTextScaleModeToProp for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  vtk_pointer->SetTextScaleModeToProp();
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SetTextScaleModeToViewport vtkTextActorSetTextScaleModeToViewportFunction
//input a0 
//output none
ArrayVector vtkTextActorSetTextScaleModeToViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextScaleModeToViewport ();this SetTextScaleMode TEXT_SCALE_MODE_VIEWPORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetTextScaleModeToViewport for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  vtk_pointer->SetTextScaleModeToViewport();
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SetScaledText vtkTextActorSetScaledTextFunction
//input a0 a1 
//output none
ArrayVector vtkTextActorSetScaledTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaledText (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaledText for class vtkTextActor requires 2 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScaledText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:GetScaledText vtkTextActorGetScaledTextFunction
//input a0 
//output y
ArrayVector vtkTextActorGetScaledTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScaledText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaledText for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScaledText();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:ScaledTextOn vtkTextActorScaledTextOnFunction
//input a0 
//output none
ArrayVector vtkTextActorScaledTextOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaledTextOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaledTextOn for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  vtk_pointer->ScaledTextOn();
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:ScaledTextOff vtkTextActorScaledTextOffFunction
//input a0 
//output none
ArrayVector vtkTextActorScaledTextOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaledTextOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaledTextOff for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  vtk_pointer->ScaledTextOff();
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SetUseBorderAlign vtkTextActorSetUseBorderAlignFunction
//input a0 a1 
//output none
ArrayVector vtkTextActorSetUseBorderAlignFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseBorderAlign (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseBorderAlign for class vtkTextActor requires 2 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseBorderAlign(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:GetUseBorderAlign vtkTextActorGetUseBorderAlignFunction
//input a0 
//output y
ArrayVector vtkTextActorGetUseBorderAlignFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseBorderAlign (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseBorderAlign for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseBorderAlign();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:UseBorderAlignOn vtkTextActorUseBorderAlignOnFunction
//input a0 
//output none
ArrayVector vtkTextActorUseBorderAlignOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseBorderAlignOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseBorderAlignOn for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  vtk_pointer->UseBorderAlignOn();
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:UseBorderAlignOff vtkTextActorUseBorderAlignOffFunction
//input a0 
//output none
ArrayVector vtkTextActorUseBorderAlignOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseBorderAlignOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseBorderAlignOff for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  vtk_pointer->UseBorderAlignOff();
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SetAlignmentPoint vtkTextActorSetAlignmentPointFunction
//input a0 a1 
//output none
ArrayVector vtkTextActorSetAlignmentPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAlignmentPoint (int point); */
  if (arg.size() < 2) 
    throw Exception("Function SetAlignmentPoint for class vtkTextActor requires 2 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAlignmentPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:GetAlignmentPoint vtkTextActorGetAlignmentPointFunction
//input a0 
//output y
ArrayVector vtkTextActorGetAlignmentPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAlignmentPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAlignmentPoint for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAlignmentPoint();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SetOrientation vtkTextActorSetOrientationFunction
//input a0 a1 
//output none
ArrayVector vtkTextActorSetOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrientation (float orientation); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrientation for class vtkTextActor requires 2 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOrientation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:GetOrientation vtkTextActorGetOrientationFunction
//input a0 
//output y
ArrayVector vtkTextActorGetOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetOrientation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientation for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetOrientation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SetTextProperty vtkTextActorSetTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkTextActorSetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextProperty for class vtkTextActor requires 2 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:GetTextProperty vtkTextActorGetTextPropertyFunction
//input a0 
//output y
ArrayVector vtkTextActorGetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextProperty for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SetNonLinearFontScale vtkTextActorSetNonLinearFontScaleFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTextActorSetNonLinearFontScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetNonLinearFontScale (double exponent, int target); */
  if (arg.size() < 3) 
    throw Exception("Function SetNonLinearFontScale for class vtkTextActor requires 3 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  double   temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetNonLinearFontScale(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SpecifiedToDisplay vtkTextActorSpecifiedToDisplayFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTextActorSpecifiedToDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SpecifiedToDisplay (double *pos, vtkViewport *vport, int specified); */
  if (arg.size() < 4) 
    throw Exception("Function SpecifiedToDisplay for class vtkTextActor requires 4 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  double  *temp0;
  vtkViewport  *temp1;
  int      temp2;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp1 = GetVTKPointer<vtkViewport>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SpecifiedToDisplay(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:DisplayToSpecified vtkTextActorDisplayToSpecifiedFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTextActorDisplayToSpecifiedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisplayToSpecified (double *pos, vtkViewport *vport, int specified); */
  if (arg.size() < 4) 
    throw Exception("Function DisplayToSpecified for class vtkTextActor requires 4 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  double  *temp0;
  vtkViewport  *temp1;
  int      temp2;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp1 = GetVTKPointer<vtkViewport>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->DisplayToSpecified(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:ComputeScaledFont vtkTextActorComputeScaledFontFunction
//input a0 a1 
//output none
ArrayVector vtkTextActorComputeScaledFontFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ComputeScaledFont (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function ComputeScaledFont for class vtkTextActor requires 2 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  vtk_pointer->ComputeScaledFont(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:GetScaledTextProperty vtkTextActorGetScaledTextPropertyFunction
//input a0 
//output y
ArrayVector vtkTextActorGetScaledTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetScaledTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaledTextProperty for class vtkTextActor requires 1 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetScaledTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:GetFontScale vtkTextActorGetFontScaleFunction
//input a0 a1 
//output y
ArrayVector vtkTextActorGetFontScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float GetFontScale (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function GetFontScale for class vtkTextActor requires 2 argument(s)");
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  float    temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->GetFontScale(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextActor:SetMapper vtkTextActorSetMapperFunction
//input varargin
//output varargout
ArrayVector vtkTextActorSetMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPolyDataMapper2D"))
    return vtkTextActorSetMapper__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextActorSetMapper");
}

//@@Signature
//sfunction @vtkTextActor:SetMinimumSize vtkTextActorSetMinimumSizeFunction
//input varargin
//output varargout
ArrayVector vtkTextActorSetMinimumSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkTextActorSetMinimumSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTextActorSetMinimumSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextActorSetMinimumSize");
}

//@@Signature
//sfunction @vtkTextActor:display vtkTextActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTextActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTextActor* vtk_pointer = GetVTKPointer<vtkTextActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTextActor:delete vtkTextActorDeleteFunction
//input varargin
//output none
ArrayVector vtkTextActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTextActor
//@@Section VTKRendering
//@@Usage
// vtkTextActor can be used to place text annotation into a window.
// When TextScaleMode is NONE, the text is fixed font and operation is
// the same as a vtkPolyDataMapper2D/vtkActor2D pair.
// When TextScaleMode is VIEWPORT, the font resizes such that it maintains a
// consistent size relative to the viewport in which it is rendered.
// When TextScaleMode is PROP, the font resizes such that the text fits inside
// the box defined by the position 1 & 2 coordinates. This class replaces the
// deprecated vtkScaledTextActor and acts as a convenient wrapper for
// a vtkTextMapper/vtkActor2D pair.
// Set the text property/attributes through the vtkTextProperty associated to
// this actor.
//
//
//To create an instance of class vtkTextActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkTextActor
//@]
//@@Methods
//The class vtkTextActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTextActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTextActor = obj.NewInstance ()|
// \item @|vtkTextActor = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of this text actor. Overloads the virtual
// vtkProp method.
//// \item @|obj.SetMapper (vtkPolyDataMapper2D mapper)| -  Override the vtkPolyDataMapper2D that defines the text to be drawn.
// One will be created by default if none is supplied
//// \item @|obj.SetInput (string inputString)| -  Set the text string to be displayed. "\n" is recognized
// as a carriage return/linefeed (line separator). Only 7-bit ASCII is
// allowed (anything else, such as Latin1 or UTF8, is not acceptable).
// Convenience method to the underlying mapper
//// \item @|string = obj.GetInput ()| -  Set the text string to be displayed. "\n" is recognized
// as a carriage return/linefeed (line separator). Only 7-bit ASCII is
// allowed (anything else, such as Latin1 or UTF8, is not acceptable).
// Convenience method to the underlying mapper
//// \item @|obj.SetMinimumSize (int , int )| -  Set/Get the minimum size in pixels for this actor.
// Defaults to 10,10.
// Only valid when TextScaleMode is PROP.
//// \item @|obj.SetMinimumSize (int  a[2])| -  Set/Get the minimum size in pixels for this actor.
// Defaults to 10,10.
// Only valid when TextScaleMode is PROP.
//// \item @|int = obj. GetMinimumSize ()| -  Set/Get the minimum size in pixels for this actor.
// Defaults to 10,10.
// Only valid when TextScaleMode is PROP.
//// \item @|obj.SetMaximumLineHeight (float )| -  Set/Get the maximum height of a line of text as a
// percentage of the vertical area allocated to this
// scaled text actor. Defaults to 1.0.
// Only valid when TextScaleMode is PROP.
//// \item @|float = obj.GetMaximumLineHeight ()| -  Set/Get the maximum height of a line of text as a
// percentage of the vertical area allocated to this
// scaled text actor. Defaults to 1.0.
// Only valid when TextScaleMode is PROP.
//// \item @|obj.SetTextScaleMode (int )| -  Set how text should be scaled.  If set to
// vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the
// size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,
// the text will be scaled to fit exactly in the prop as specified by the
// position 1 & 2 coordinates.  If set to
// vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on
// the size of the viewport it is displayed in.
//// \item @|int = obj.GetTextScaleModeMinValue ()| -  Set how text should be scaled.  If set to
// vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the
// size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,
// the text will be scaled to fit exactly in the prop as specified by the
// position 1 & 2 coordinates.  If set to
// vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on
// the size of the viewport it is displayed in.
//// \item @|int = obj.GetTextScaleModeMaxValue ()| -  Set how text should be scaled.  If set to
// vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the
// size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,
// the text will be scaled to fit exactly in the prop as specified by the
// position 1 & 2 coordinates.  If set to
// vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on
// the size of the viewport it is displayed in.
//// \item @|int = obj.GetTextScaleMode ()| -  Set how text should be scaled.  If set to
// vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the
// size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,
// the text will be scaled to fit exactly in the prop as specified by the
// position 1 & 2 coordinates.  If set to
// vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on
// the size of the viewport it is displayed in.
//// \item @|obj.SetTextScaleModeToNone ()| -  Set how text should be scaled.  If set to
// vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the
// size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,
// the text will be scaled to fit exactly in the prop as specified by the
// position 1 & 2 coordinates.  If set to
// vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on
// the size of the viewport it is displayed in.
//// \item @|obj.SetTextScaleModeToProp ()| -  Set how text should be scaled.  If set to
// vtkTextActor::TEXT_SCALE_MODE_NONE, the the font size will be fixed by the
// size given in TextProperty.  If set to vtkTextActor::TEXT_SCALE_MODE_PROP,
// the text will be scaled to fit exactly in the prop as specified by the
// position 1 & 2 coordinates.  If set to
// vtkTextActor::TEXT_SCALE_MODE_VIEWPORT, the text will be scaled based on
// the size of the viewport it is displayed in.
//// \item @|obj.SetTextScaleModeToViewport ()| -  DO NOT CALL.  Deprecated in VTK 5.4.  Use SetTextScaleMode or
// GetTextScaleMode instead.
//// \item @|obj.SetScaledText (int )| -  DO NOT CALL.  Deprecated in VTK 5.4.  Use SetTextScaleMode or
// GetTextScaleMode instead.
//// \item @|int = obj.GetScaledText ()| -  DO NOT CALL.  Deprecated in VTK 5.4.  Use SetTextScaleMode or
// GetTextScaleMode instead.
//// \item @|obj.ScaledTextOn ()| -  DO NOT CALL.  Deprecated in VTK 5.4.  Use SetTextScaleMode or
// GetTextScaleMode instead.
//// \item @|obj.ScaledTextOff ()| -  DO NOT CALL.  Deprecated in VTK 5.4.  Use SetTextScaleMode or
// GetTextScaleMode instead.
//// \item @|obj.SetUseBorderAlign (int )| -  Turn on or off the UseBorderAlign option.
// When UseBorderAlign is on, the bounding rectangle is used to align the text,
// which is the proper behavior when using vtkTextRepresentation
//// \item @|int = obj.GetUseBorderAlign ()| -  Turn on or off the UseBorderAlign option.
// When UseBorderAlign is on, the bounding rectangle is used to align the text,
// which is the proper behavior when using vtkTextRepresentation
//// \item @|obj.UseBorderAlignOn ()| -  Turn on or off the UseBorderAlign option.
// When UseBorderAlign is on, the bounding rectangle is used to align the text,
// which is the proper behavior when using vtkTextRepresentation
//// \item @|obj.UseBorderAlignOff ()| -  Turn on or off the UseBorderAlign option.
// When UseBorderAlign is on, the bounding rectangle is used to align the text,
// which is the proper behavior when using vtkTextRepresentation
//// \item @|obj.SetAlignmentPoint (int point)| -  This method is being depricated.  Use SetJustification and
// SetVerticalJustification in text property instead.
// Set/Get the Alignment point
// if zero (default), the text aligns itself to the bottom left corner
// (which is defined by the PositionCoordinate)
// otherwise the text aligns itself to corner/midpoint or centre
// @verbatim
//      6   7   8
//      3   4   5
//      0   1   2
// @endverbatim
// This is the same as setting the TextProperty's justification.
// Currently TextActor is not oriented around its AlignmentPoint.
//// \item @|int = obj.GetAlignmentPoint ()| -  This method is being depricated.  Use SetJustification and
// SetVerticalJustification in text property instead.
// Set/Get the Alignment point
// if zero (default), the text aligns itself to the bottom left corner
// (which is defined by the PositionCoordinate)
// otherwise the text aligns itself to corner/midpoint or centre
// @verbatim
//      6   7   8
//      3   4   5
//      0   1   2
// @endverbatim
// This is the same as setting the TextProperty's justification.
// Currently TextActor is not oriented around its AlignmentPoint.
//// \item @|obj.SetOrientation (float orientation)| -  Counterclockwise rotation around the Alignment point.  
// Units are in degrees and defaults to 0.
// The orientation in the text property rotates the text in the 
// texture map.  It will proba ly not give you the effect you
// desire.
//// \item @|float = obj.GetOrientation ()| -  Counterclockwise rotation around the Alignment point.  
// Units are in degrees and defaults to 0.
// The orientation in the text property rotates the text in the 
// texture map.  It will proba ly not give you the effect you
// desire.
//// \item @|obj.SetTextProperty (vtkTextProperty p)| -  Set/Get the text property.
//// \item @|vtkTextProperty = obj.GetTextProperty ()| -  Set/Get the text property.
//// \item @|obj.SetNonLinearFontScale (double exponent, int target)| -  Enable non-linear scaling of font sizes. This is useful in combination
// with scaled text. With small windows you want to use the entire scaled
// text area. With larger windows you want to reduce the font size some so
// that the entire area is not used. These values modify the computed font 
// size as follows:  
//   newFontSize = pow(FontSize,exponent)*pow(target,1.0 - exponent)
// typically exponent should be around 0.7 and target should be around 10
//// \item @|obj.SpecifiedToDisplay (double pos, vtkViewport vport, int specified)| -  This is just a simple coordinate conversion method used in the render
// process.
//// \item @|obj.DisplayToSpecified (double pos, vtkViewport vport, int specified)| -  This is just a simple coordinate conversion method used in the render
// process.
//// \item @|obj.ComputeScaledFont (vtkViewport viewport)| -  Compute the scale the font should be given the viewport.  The result
// is placed in the ScaledTextProperty ivar.
//// \item @|vtkTextProperty = obj.GetScaledTextProperty ()| -  Get the scaled font.  Use ComputeScaledFont to set the scale for a given
// viewport.
////\end{itemize}
//!
