#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTextActor3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTextActor3D.h"

//@@Signature
//sfunction @vtkTextActor3D:vtkTextActor3D vtkTextActor3DConstructorFunction
//input a
//output p
//@@Parents vtkTextActor3D vtkProp3D 
ArrayVector vtkTextActor3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTextActor3D::New(),"vtkTextActor3D",eval);
  } else if (arg[0].className() == "vtkTextActor3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTextActor3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTextActor3D");
    vtkTextActor3D*q = reinterpret_cast<vtkTextActor3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTextActor3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTextActor3D:GetClassName vtkTextActor3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTextActor3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTextActor3D requires 1 argument(s)");
  vtkTextActor3D* vtk_pointer = GetVTKPointer<vtkTextActor3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextActor3D:IsA vtkTextActor3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTextActor3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTextActor3D requires 2 argument(s)");
  vtkTextActor3D* vtk_pointer = GetVTKPointer<vtkTextActor3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextActor3D:NewInstance vtkTextActor3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTextActor3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextActor3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTextActor3D requires 1 argument(s)");
  vtkTextActor3D* vtk_pointer = GetVTKPointer<vtkTextActor3D>(arg[0]);
  Array retval;
  vtkTextActor3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextActor3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor3D:SafeDownCast vtkTextActor3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTextActor3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextActor3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTextActor3D requires 2 argument(s)");
  vtkTextActor3D* vtk_pointer = GetVTKPointer<vtkTextActor3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTextActor3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextActor3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor3D:SetInput vtkTextActor3DSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkTextActor3DSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkTextActor3D requires 2 argument(s)");
  vtkTextActor3D* vtk_pointer = GetVTKPointer<vtkTextActor3D>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor3D:GetInput vtkTextActor3DGetInputFunction
//input a0 
//output y
ArrayVector vtkTextActor3DGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkTextActor3D requires 1 argument(s)");
  vtkTextActor3D* vtk_pointer = GetVTKPointer<vtkTextActor3D>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextActor3D:SetTextProperty vtkTextActor3DSetTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkTextActor3DSetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextProperty for class vtkTextActor3D requires 2 argument(s)");
  vtkTextActor3D* vtk_pointer = GetVTKPointer<vtkTextActor3D>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor3D:GetTextProperty vtkTextActor3DGetTextPropertyFunction
//input a0 
//output y
ArrayVector vtkTextActor3DGetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextProperty for class vtkTextActor3D requires 1 argument(s)");
  vtkTextActor3D* vtk_pointer = GetVTKPointer<vtkTextActor3D>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor3D:ShallowCopy vtkTextActor3DShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkTextActor3DShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkTextActor3D requires 2 argument(s)");
  vtkTextActor3D* vtk_pointer = GetVTKPointer<vtkTextActor3D>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor3D:GetBounds vtkTextActor3DGetBoundsFunction
//input a0 
//output y
ArrayVector vtkTextActor3DGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds for class vtkTextActor3D requires 1 argument(s)");
  vtkTextActor3D* vtk_pointer = GetVTKPointer<vtkTextActor3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTextActor3D:GetBoundingBox vtkTextActor3DGetBoundingBoxFunction
//input a0 a1 
//output y
ArrayVector vtkTextActor3DGetBoundingBoxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBoundingBox (int bbox[4]); */
  if (arg.size() < 2) 
    throw Exception("Function GetBoundingBox for class vtkTextActor3D requires 2 argument(s)");
  vtkTextActor3D* vtk_pointer = GetVTKPointer<vtkTextActor3D>(arg[0]);
  Array retval;
  int    temp0[4];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->GetBoundingBox(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextActor3D:display vtkTextActor3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTextActor3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTextActor3D* vtk_pointer = GetVTKPointer<vtkTextActor3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTextActor3D:delete vtkTextActor3DDeleteFunction
//input varargin
//output none
ArrayVector vtkTextActor3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTextActor3D
//@@Section VTKRendering
//@@Usage
// The input text is rendered into a buffer, which in turn is used as a
// texture applied onto a quad (a vtkImageActor is used under the hood).
// .SECTION Warning
// This class is experimental at the moment. 
// - The orientation is not optimized, the quad should be oriented, not
//   the text itself when it is rendered in the buffer (we end up with
//   excessively big textures for 45 degrees angles).
//   This will be fixed first.
// - No checking is done at the moment regarding hardware texture size limits.
// - Alignment is not supported (soon).
// - Multiline is not supported.
// - Need to fix angle out of 0<->360
//
//
//To create an instance of class vtkTextActor3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkTextActor3D
//@]
//@@Methods
//The class vtkTextActor3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTextActor3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTextActor3D = obj.NewInstance ()|
// \item @|vtkTextActor3D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (string )| -  Set the text string to be displayed.
//// \item @|string = obj.GetInput ()| -  Set the text string to be displayed.
//// \item @|obj.SetTextProperty (vtkTextProperty p)| -  Set/Get the text property.
//// \item @|vtkTextProperty = obj.GetTextProperty ()| -  Set/Get the text property.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of this text actor. Overloads the virtual
// vtkProp method.
//// \item @|double = obj.GetBounds ()| -  Get the bounds for this Prop3D as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).  
// These are the padded-to-power-of-two texture bounds.
//// \item @|int = obj.GetBoundingBox (int bbox[4])| -  Get the Freetype-derived real bounding box for the given vtkTextProperty
// and text string str.  Results are returned in the four element bbox int
// array.  This call can be used for sizing other elements.
////\end{itemize}
//!
