#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTextMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTextMapper.h"

//@@Signature
//sfunction @vtkTextMapper:vtkTextMapper vtkTextMapperConstructorFunction
//input a
//output p
//@@Parents vtkTextMapper vtkMapper2D 
ArrayVector vtkTextMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTextMapper::New(),"vtkTextMapper",eval);
  } else if (arg[0].className() == "vtkTextMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTextMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTextMapper");
    vtkTextMapper*q = reinterpret_cast<vtkTextMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTextMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTextMapper:GetClassName vtkTextMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTextMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTextMapper requires 1 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:IsA vtkTextMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTextMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTextMapper requires 2 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:NewInstance vtkTextMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTextMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTextMapper requires 1 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  vtkTextMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:SafeDownCast vtkTextMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTextMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTextMapper requires 2 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTextMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:GetSize vtkTextMapperGetSizeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTextMapperGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetSize (vtkViewport *, int size[2]);size size  */
  if (arg.size() < 3) 
    throw Exception("Function GetSize for class vtkTextMapper requires 3 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int    temp1[2];
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  vtk_pointer->GetSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:GetWidth vtkTextMapperGetWidthFunction
//input a0 a1 
//output y
ArrayVector vtkTextMapperGetWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetWidth (vtkViewport *v); */
  if (arg.size() < 2) 
    throw Exception("Function GetWidth for class vtkTextMapper requires 2 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->GetWidth(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:GetHeight vtkTextMapperGetHeightFunction
//input a0 a1 
//output y
ArrayVector vtkTextMapperGetHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetHeight (vtkViewport *v); */
  if (arg.size() < 2) 
    throw Exception("Function GetHeight for class vtkTextMapper requires 2 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->GetHeight(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:SetInput vtkTextMapperSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkTextMapperSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (const char *inputString); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkTextMapper requires 2 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:GetInput vtkTextMapperGetInputFunction
//input a0 
//output y
ArrayVector vtkTextMapperGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkTextMapper requires 1 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:SetTextProperty vtkTextMapperSetTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkTextMapperSetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextProperty for class vtkTextMapper requires 2 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:GetTextProperty vtkTextMapperGetTextPropertyFunction
//input a0 
//output y
ArrayVector vtkTextMapperGetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextProperty for class vtkTextMapper requires 1 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:ShallowCopy vtkTextMapperShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkTextMapperShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkTextMapper *tm); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkTextMapper requires 2 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  vtkTextMapper  *temp0;
  temp0 = GetVTKPointer<vtkTextMapper>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:GetNumberOfLines__1 vtkTextMapperGetNumberOfLines__1Function
//input a0 a1 
//output y
ArrayVector vtkTextMapperGetNumberOfLines__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfLines (const char *input); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfLines__1 for class vtkTextMapper requires 2 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetNumberOfLines(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:GetNumberOfLines__2 vtkTextMapperGetNumberOfLines__2Function
//input a0 
//output y
ArrayVector vtkTextMapperGetNumberOfLines__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfLines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLines__2 for class vtkTextMapper requires 1 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfLines();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:SetConstrainedFontSize__1 vtkTextMapperSetConstrainedFontSize__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTextMapperSetConstrainedFontSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetConstrainedFontSize (vtkViewport *, int targetWidth, int targetHeight); */
  if (arg.size() < 4) 
    throw Exception("Function SetConstrainedFontSize__1 for class vtkTextMapper requires 4 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->SetConstrainedFontSize(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:SetConstrainedFontSize__2 vtkTextMapperSetConstrainedFontSize__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkTextMapperSetConstrainedFontSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int SetConstrainedFontSize (vtkTextMapper *, vtkViewport *, int targetWidth, int targetHeight); */
  if (arg.size() < 5) 
    throw Exception("Function SetConstrainedFontSize__2 for class vtkTextMapper requires 5 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  vtkTextMapper  *temp0;
  vtkViewport  *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkTextMapper>(arg[1]);
  temp1 = GetVTKPointer<vtkViewport>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->SetConstrainedFontSize(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:SetRelativeFontSize vtkTextMapperSetRelativeFontSizeFunction
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkTextMapperSetRelativeFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int SetRelativeFontSize (vtkTextMapper *, vtkViewport *, int *winSize, int *stringSize, float sizeFactor); */
  if (arg.size() < 6) 
    throw Exception("Function SetRelativeFontSize for class vtkTextMapper requires 6 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  vtkTextMapper  *temp0;
  vtkViewport  *temp1;
  int     *temp2;
  int     *temp3;
  float    temp4;
  int      temp20;
  temp0 = GetVTKPointer<vtkTextMapper>(arg[1]);
  temp1 = GetVTKPointer<vtkViewport>(arg[2]);
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new int[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
      }
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  temp20 = (vtk_pointer)->SetRelativeFontSize(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:GetSystemFontSize vtkTextMapperGetSystemFontSizeFunction
//input a0 a1 
//output y
ArrayVector vtkTextMapperGetSystemFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetSystemFontSize (int size);return size  */
  if (arg.size() < 2) 
    throw Exception("Function GetSystemFontSize for class vtkTextMapper requires 2 argument(s)");
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetSystemFontSize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextMapper:GetNumberOfLines vtkTextMapperGetNumberOfLinesFunction
//input varargin
//output varargout
ArrayVector vtkTextMapperGetNumberOfLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkTextMapperGetNumberOfLines__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkTextMapperGetNumberOfLines__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextMapperGetNumberOfLines");
}

//@@Signature
//sfunction @vtkTextMapper:SetConstrainedFontSize vtkTextMapperSetConstrainedFontSizeFunction
//input varargin
//output varargout
ArrayVector vtkTextMapperSetConstrainedFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkViewport") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTextMapperSetConstrainedFontSize__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkTextMapper") && VTKIsClass(arg[2],"vtkViewport") && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkTextMapperSetConstrainedFontSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextMapperSetConstrainedFontSize");
}

//@@Signature
//sfunction @vtkTextMapper:display vtkTextMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTextMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTextMapper* vtk_pointer = GetVTKPointer<vtkTextMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTextMapper:delete vtkTextMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkTextMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTextMapper
//@@Section VTKRendering
//@@Usage
// vtkTextMapper provides 2D text annotation support for VTK.  It is a
// vtkMapper2D that can be associated with a vtkActor2D and placed into a
// vtkRenderer.
//
// To use vtkTextMapper, specify an input text string.
//
//To create an instance of class vtkTextMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkTextMapper
//@]
//@@Methods
//The class vtkTextMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTextMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTextMapper = obj.NewInstance ()|
// \item @|vtkTextMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.GetSize (vtkViewport , int size[2])| -  Return the size[2]/width/height of the rectangle required to draw this
// mapper (in pixels).
//// \item @|int = obj.GetWidth (vtkViewport v)| -  Return the size[2]/width/height of the rectangle required to draw this
// mapper (in pixels).
//// \item @|int = obj.GetHeight (vtkViewport v)| -  Return the size[2]/width/height of the rectangle required to draw this
// mapper (in pixels).
//// \item @|obj.SetInput (string inputString)| -  Set the input text string to the mapper.  The mapper recognizes "\n"
// as a carriage return/linefeed (line separator).
//// \item @|string = obj.GetInput ()| -  Set the input text string to the mapper.  The mapper recognizes "\n"
// as a carriage return/linefeed (line separator).
//// \item @|obj.SetTextProperty (vtkTextProperty p)| -  Set/Get the text property.
//// \item @|vtkTextProperty = obj.GetTextProperty ()| -  Set/Get the text property.
//// \item @|obj.ShallowCopy (vtkTextMapper tm)| -  Shallow copy of an actor.
//// \item @|int = obj.GetNumberOfLines (string input)| -  Determine the number of lines in the input string (delimited by "\n").
//// \item @|int = obj.GetNumberOfLines ()| -  Get the number of lines in the input string (the method GetNumberOfLines(char*)
// must have been previously called for the return value to be valid).
//// \item @|int = obj.SetConstrainedFontSize (vtkViewport , int targetWidth, int targetHeight)| -  Set and return the font size required to make this mapper fit in a given 
// target rectangle (width x height, in pixels). A static version of the method
// is also available for convenience to other classes (e.g., widgets).  
//// \item @|int = obj.GetSystemFontSize (int size)|
//\end{itemize}
//!
