#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTextProperty object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTextProperty.h"

//@@Signature
//sfunction @vtkTextProperty:vtkTextProperty vtkTextPropertyConstructorFunction
//input a
//output p
//@@Parents vtkTextProperty vtkObject 
ArrayVector vtkTextPropertyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTextProperty::New(),"vtkTextProperty",eval);
  } else if (arg[0].className() == "vtkTextProperty") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTextProperty"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTextProperty");
    vtkTextProperty*q = reinterpret_cast<vtkTextProperty*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTextProperty");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTextProperty:GetClassName vtkTextPropertyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:IsA vtkTextPropertyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTextPropertyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:NewInstance vtkTextPropertyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTextPropertyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SafeDownCast vtkTextPropertySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTextPropertySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTextProperty  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetColor__1 vtkTextPropertySetColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTextPropertySetColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetColor__1 for class vtkTextProperty requires 4 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetColor__2 vtkTextPropertySetColor__2Function
//input a0 a1 
//output none
ArrayVector vtkTextPropertySetColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetColor__2 for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetColor vtkTextPropertyGetColorFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColor for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetOpacity vtkTextPropertySetOpacityFunction
//input a0 a1 
//output none
ArrayVector vtkTextPropertySetOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOpacity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOpacity for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetOpacity vtkTextPropertyGetOpacityFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOpacity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOpacity for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetFontFamilyAsString__1 vtkTextPropertyGetFontFamilyAsString__1Function
//input a0 
//output y
ArrayVector vtkTextPropertyGetFontFamilyAsString__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFontFamilyAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFontFamilyAsString__1 for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFontFamilyAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetFontFamilyAsString vtkTextPropertySetFontFamilyAsStringFunction
//input a0 a1 
//output none
ArrayVector vtkTextPropertySetFontFamilyAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFontFamilyAsString (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFontFamilyAsString for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFontFamilyAsString(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetFontFamily vtkTextPropertySetFontFamilyFunction
//input a0 a1 
//output none
ArrayVector vtkTextPropertySetFontFamilyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFontFamily (int t); */
  if (arg.size() < 2) 
    throw Exception("Function SetFontFamily for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFontFamily(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetFontFamily vtkTextPropertyGetFontFamilyFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetFontFamilyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFontFamily (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFontFamily for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFontFamily();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetFontFamilyMinValue vtkTextPropertyGetFontFamilyMinValueFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetFontFamilyMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFontFamilyMinValue ();return VTK_ARIAL  */
  if (arg.size() < 1) 
    throw Exception("Function GetFontFamilyMinValue for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFontFamilyMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetFontFamilyToArial vtkTextPropertySetFontFamilyToArialFunction
//input a0 
//output none
ArrayVector vtkTextPropertySetFontFamilyToArialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFontFamilyToArial (); */
  if (arg.size() < 1) 
    throw Exception("Function SetFontFamilyToArial for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtk_pointer->SetFontFamilyToArial();
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetFontFamilyToCourier vtkTextPropertySetFontFamilyToCourierFunction
//input a0 
//output none
ArrayVector vtkTextPropertySetFontFamilyToCourierFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFontFamilyToCourier (); */
  if (arg.size() < 1) 
    throw Exception("Function SetFontFamilyToCourier for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtk_pointer->SetFontFamilyToCourier();
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetFontFamilyToTimes vtkTextPropertySetFontFamilyToTimesFunction
//input a0 
//output none
ArrayVector vtkTextPropertySetFontFamilyToTimesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFontFamilyToTimes (); */
  if (arg.size() < 1) 
    throw Exception("Function SetFontFamilyToTimes for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtk_pointer->SetFontFamilyToTimes();
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetFontFamilyFromString vtkTextPropertyGetFontFamilyFromStringFunction
//input a0 a1 
//output y
ArrayVector vtkTextPropertyGetFontFamilyFromStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetFontFamilyFromString (const char *f); */
  if (arg.size() < 2) 
    throw Exception("Function GetFontFamilyFromString for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetFontFamilyFromString(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetFontFamilyAsString__2 vtkTextPropertyGetFontFamilyAsString__2Function
//input a0 a1 
//output y
ArrayVector vtkTextPropertyGetFontFamilyAsString__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetFontFamilyAsString (int f); */
  if (arg.size() < 2) 
    throw Exception("Function GetFontFamilyAsString__2 for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFontFamilyAsString(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetFontSize vtkTextPropertySetFontSizeFunction
//input a0 a1 
//output none
ArrayVector vtkTextPropertySetFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFontSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFontSize for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFontSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetFontSizeMinValue vtkTextPropertyGetFontSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetFontSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFontSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFontSizeMinValue for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFontSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetFontSizeMaxValue vtkTextPropertyGetFontSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetFontSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFontSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFontSizeMaxValue for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFontSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetFontSize vtkTextPropertyGetFontSizeFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFontSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFontSize for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFontSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetBold vtkTextPropertySetBoldFunction
//input a0 a1 
//output none
ArrayVector vtkTextPropertySetBoldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBold (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBold for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetBold vtkTextPropertyGetBoldFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetBoldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBold for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:BoldOn vtkTextPropertyBoldOnFunction
//input a0 
//output none
ArrayVector vtkTextPropertyBoldOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BoldOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BoldOn for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtk_pointer->BoldOn();
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:BoldOff vtkTextPropertyBoldOffFunction
//input a0 
//output none
ArrayVector vtkTextPropertyBoldOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BoldOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BoldOff for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtk_pointer->BoldOff();
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetItalic vtkTextPropertySetItalicFunction
//input a0 a1 
//output none
ArrayVector vtkTextPropertySetItalicFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetItalic (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetItalic for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetItalic(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetItalic vtkTextPropertyGetItalicFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetItalicFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetItalic (); */
  if (arg.size() < 1) 
    throw Exception("Function GetItalic for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetItalic();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:ItalicOn vtkTextPropertyItalicOnFunction
//input a0 
//output none
ArrayVector vtkTextPropertyItalicOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ItalicOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ItalicOn for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtk_pointer->ItalicOn();
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:ItalicOff vtkTextPropertyItalicOffFunction
//input a0 
//output none
ArrayVector vtkTextPropertyItalicOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ItalicOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ItalicOff for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtk_pointer->ItalicOff();
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetShadow vtkTextPropertySetShadowFunction
//input a0 a1 
//output none
ArrayVector vtkTextPropertySetShadowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShadow (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShadow for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShadow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetShadow vtkTextPropertyGetShadowFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetShadowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShadow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShadow for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShadow();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:ShadowOn vtkTextPropertyShadowOnFunction
//input a0 
//output none
ArrayVector vtkTextPropertyShadowOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShadowOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ShadowOn for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtk_pointer->ShadowOn();
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:ShadowOff vtkTextPropertyShadowOffFunction
//input a0 
//output none
ArrayVector vtkTextPropertyShadowOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShadowOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ShadowOff for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtk_pointer->ShadowOff();
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetShadowOffset__1 vtkTextPropertySetShadowOffset__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkTextPropertySetShadowOffset__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShadowOffset (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetShadowOffset__1 for class vtkTextProperty requires 3 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetShadowOffset(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetShadowOffset__2 vtkTextPropertySetShadowOffset__2Function
//input a0 a1 
//output none
ArrayVector vtkTextPropertySetShadowOffset__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShadowOffset (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetShadowOffset__2 for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetShadowOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetShadowOffset vtkTextPropertyGetShadowOffsetFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetShadowOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetShadowOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShadowOffset for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetShadowOffset();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetShadowColor vtkTextPropertyGetShadowColorFunction
//input a0 a1 
//output none
ArrayVector vtkTextPropertyGetShadowColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetShadowColor (double color[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetShadowColor for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetShadowColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetJustification vtkTextPropertySetJustificationFunction
//input a0 a1 
//output none
ArrayVector vtkTextPropertySetJustificationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetJustification (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetJustification for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetJustification(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetJustificationMinValue vtkTextPropertyGetJustificationMinValueFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetJustificationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetJustificationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetJustificationMinValue for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetJustificationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetJustificationMaxValue vtkTextPropertyGetJustificationMaxValueFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetJustificationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetJustificationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetJustificationMaxValue for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetJustificationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetJustification vtkTextPropertyGetJustificationFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetJustificationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetJustification (); */
  if (arg.size() < 1) 
    throw Exception("Function GetJustification for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetJustification();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetJustificationToLeft vtkTextPropertySetJustificationToLeftFunction
//input a0 
//output none
ArrayVector vtkTextPropertySetJustificationToLeftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetJustificationToLeft ();this SetJustification VTK_TEXT_LEFT  */
  if (arg.size() < 1) 
    throw Exception("Function SetJustificationToLeft for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtk_pointer->SetJustificationToLeft();
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetJustificationToCentered vtkTextPropertySetJustificationToCenteredFunction
//input a0 
//output none
ArrayVector vtkTextPropertySetJustificationToCenteredFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetJustificationToCentered ();this SetJustification VTK_TEXT_CENTERED  */
  if (arg.size() < 1) 
    throw Exception("Function SetJustificationToCentered for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtk_pointer->SetJustificationToCentered();
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetJustificationToRight vtkTextPropertySetJustificationToRightFunction
//input a0 
//output none
ArrayVector vtkTextPropertySetJustificationToRightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetJustificationToRight ();this SetJustification VTK_TEXT_RIGHT  */
  if (arg.size() < 1) 
    throw Exception("Function SetJustificationToRight for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtk_pointer->SetJustificationToRight();
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetJustificationAsString vtkTextPropertyGetJustificationAsStringFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetJustificationAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetJustificationAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetJustificationAsString for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetJustificationAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetVerticalJustification vtkTextPropertySetVerticalJustificationFunction
//input a0 a1 
//output none
ArrayVector vtkTextPropertySetVerticalJustificationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVerticalJustification (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVerticalJustification for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVerticalJustification(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetVerticalJustificationMinValue vtkTextPropertyGetVerticalJustificationMinValueFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetVerticalJustificationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVerticalJustificationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVerticalJustificationMinValue for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVerticalJustificationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetVerticalJustificationMaxValue vtkTextPropertyGetVerticalJustificationMaxValueFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetVerticalJustificationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVerticalJustificationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVerticalJustificationMaxValue for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVerticalJustificationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetVerticalJustification vtkTextPropertyGetVerticalJustificationFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetVerticalJustificationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVerticalJustification (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVerticalJustification for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVerticalJustification();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetVerticalJustificationToBottom vtkTextPropertySetVerticalJustificationToBottomFunction
//input a0 
//output none
ArrayVector vtkTextPropertySetVerticalJustificationToBottomFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVerticalJustificationToBottom ();this SetVerticalJustification VTK_TEXT_BOTTOM  */
  if (arg.size() < 1) 
    throw Exception("Function SetVerticalJustificationToBottom for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtk_pointer->SetVerticalJustificationToBottom();
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetVerticalJustificationToCentered vtkTextPropertySetVerticalJustificationToCenteredFunction
//input a0 
//output none
ArrayVector vtkTextPropertySetVerticalJustificationToCenteredFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVerticalJustificationToCentered ();this SetVerticalJustification VTK_TEXT_CENTERED  */
  if (arg.size() < 1) 
    throw Exception("Function SetVerticalJustificationToCentered for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtk_pointer->SetVerticalJustificationToCentered();
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetVerticalJustificationToTop vtkTextPropertySetVerticalJustificationToTopFunction
//input a0 
//output none
ArrayVector vtkTextPropertySetVerticalJustificationToTopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVerticalJustificationToTop ();this SetVerticalJustification VTK_TEXT_TOP  */
  if (arg.size() < 1) 
    throw Exception("Function SetVerticalJustificationToTop for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtk_pointer->SetVerticalJustificationToTop();
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetVerticalJustificationAsString vtkTextPropertyGetVerticalJustificationAsStringFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetVerticalJustificationAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetVerticalJustificationAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVerticalJustificationAsString for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVerticalJustificationAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetOrientation vtkTextPropertySetOrientationFunction
//input a0 a1 
//output none
ArrayVector vtkTextPropertySetOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrientation (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrientation for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOrientation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetOrientation vtkTextPropertyGetOrientationFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOrientation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientation for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOrientation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetLineSpacing vtkTextPropertySetLineSpacingFunction
//input a0 a1 
//output none
ArrayVector vtkTextPropertySetLineSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineSpacing (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLineSpacing for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLineSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetLineSpacing vtkTextPropertyGetLineSpacingFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetLineSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLineSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineSpacing for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLineSpacing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetLineOffset vtkTextPropertySetLineOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkTextPropertySetLineOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineOffset (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLineOffset for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLineOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:GetLineOffset vtkTextPropertyGetLineOffsetFunction
//input a0 
//output y
ArrayVector vtkTextPropertyGetLineOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLineOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineOffset for class vtkTextProperty requires 1 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLineOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:ShallowCopy vtkTextPropertyShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkTextPropertyShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkTextProperty *tprop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkTextProperty requires 2 argument(s)");
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextProperty:SetColor vtkTextPropertySetColorFunction
//input varargin
//output varargout
ArrayVector vtkTextPropertySetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTextPropertySetColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTextPropertySetColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextPropertySetColor");
}

//@@Signature
//sfunction @vtkTextProperty:GetFontFamilyAsString vtkTextPropertyGetFontFamilyAsStringFunction
//input varargin
//output varargout
ArrayVector vtkTextPropertyGetFontFamilyAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkTextPropertyGetFontFamilyAsString__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkTextPropertyGetFontFamilyAsString__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextPropertyGetFontFamilyAsString");
}

//@@Signature
//sfunction @vtkTextProperty:SetShadowOffset vtkTextPropertySetShadowOffsetFunction
//input varargin
//output varargout
ArrayVector vtkTextPropertySetShadowOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkTextPropertySetShadowOffset__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTextPropertySetShadowOffset__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextPropertySetShadowOffset");
}

//@@Signature
//sfunction @vtkTextProperty:display vtkTextPropertyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTextPropertyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTextProperty* vtk_pointer = GetVTKPointer<vtkTextProperty>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTextProperty:delete vtkTextPropertyDeleteFunction
//input varargin
//output none
ArrayVector vtkTextPropertyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTextProperty
//@@Section VTKRendering
//@@Usage
// vtkTextProperty is an object that represents text properties.
// The primary properties that can be set are color, opacity, font size,
// font family horizontal and vertical justification, bold/italic/shadow
// styles.
//
//To create an instance of class vtkTextProperty, simply
//invoke its constructor as follows
//@[
//  obj = vtkTextProperty
//@]
//@@Methods
//The class vtkTextProperty has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTextProperty class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTextProperty = obj.NewInstance ()|
// \item @|vtkTextProperty = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetColor (double , double , double )| -  Set the color of the text.
//// \item @|obj.SetColor (double  a[3])| -  Set the color of the text.
//// \item @|double = obj. GetColor ()| -  Set the color of the text.
//// \item @|obj.SetOpacity (double )| -  Set/Get the text's opacity. 1.0 is totally opaque and 0.0 is completely
// transparent.
//// \item @|double = obj.GetOpacity ()| -  Set/Get the text's opacity. 1.0 is totally opaque and 0.0 is completely
// transparent.
//// \item @|string = obj.GetFontFamilyAsString ()| -  Set/Get the font family. Supports legacy three font family system.
//// \item @|obj.SetFontFamilyAsString (string )| -  Set/Get the font family. Supports legacy three font family system.
//// \item @|obj.SetFontFamily (int t)| -  Set/Get the font family. Supports legacy three font family system.
//// \item @|int = obj.GetFontFamily ()| -  Set/Get the font family. Supports legacy three font family system.
//// \item @|int = obj.GetFontFamilyMinValue ()| -  Set/Get the font family. Supports legacy three font family system.
//// \item @|obj.SetFontFamilyToArial ()| -  Set/Get the font family. Supports legacy three font family system.
//// \item @|obj.SetFontFamilyToCourier ()| -  Set/Get the font family. Supports legacy three font family system.
//// \item @|obj.SetFontFamilyToTimes ()| -  Set/Get the font family. Supports legacy three font family system.
//// \item @|obj.SetFontSize (int )| -  Set/Get the font size (in points).
//// \item @|int = obj.GetFontSizeMinValue ()| -  Set/Get the font size (in points).
//// \item @|int = obj.GetFontSizeMaxValue ()| -  Set/Get the font size (in points).
//// \item @|int = obj.GetFontSize ()| -  Set/Get the font size (in points).
//// \item @|obj.SetBold (int )| -  Enable/disable text bolding.
//// \item @|int = obj.GetBold ()| -  Enable/disable text bolding.
//// \item @|obj.BoldOn ()| -  Enable/disable text bolding.
//// \item @|obj.BoldOff ()| -  Enable/disable text bolding.
//// \item @|obj.SetItalic (int )| -  Enable/disable text italic.
//// \item @|int = obj.GetItalic ()| -  Enable/disable text italic.
//// \item @|obj.ItalicOn ()| -  Enable/disable text italic.
//// \item @|obj.ItalicOff ()| -  Enable/disable text italic.
//// \item @|obj.SetShadow (int )| -  Enable/disable text shadow.
//// \item @|int = obj.GetShadow ()| -  Enable/disable text shadow.
//// \item @|obj.ShadowOn ()| -  Enable/disable text shadow.
//// \item @|obj.ShadowOff ()| -  Enable/disable text shadow.
//// \item @|obj.SetShadowOffset (int , int )| -  Set/Get the shadow offset, i.e. the distance from the text to
// its shadow, in the same unit as FontSize.
//// \item @|obj.SetShadowOffset (int  a[2])| -  Set/Get the shadow offset, i.e. the distance from the text to
// its shadow, in the same unit as FontSize.
//// \item @|int = obj. GetShadowOffset ()| -  Set/Get the shadow offset, i.e. the distance from the text to
// its shadow, in the same unit as FontSize.
//// \item @|obj.GetShadowColor (double color[3])| -  Get the shadow color. It is computed from the Color ivar
//// \item @|obj.SetJustification (int )| -  Set/Get the horizontal justification to left (default), centered,
// or right.
//// \item @|int = obj.GetJustificationMinValue ()| -  Set/Get the horizontal justification to left (default), centered,
// or right.
//// \item @|int = obj.GetJustificationMaxValue ()| -  Set/Get the horizontal justification to left (default), centered,
// or right.
//// \item @|int = obj.GetJustification ()| -  Set/Get the horizontal justification to left (default), centered,
// or right.
//// \item @|obj.SetJustificationToLeft ()| -  Set/Get the horizontal justification to left (default), centered,
// or right.
//// \item @|obj.SetJustificationToCentered ()| -  Set/Get the horizontal justification to left (default), centered,
// or right.
//// \item @|obj.SetJustificationToRight ()| -  Set/Get the horizontal justification to left (default), centered,
// or right.
//// \item @|string = obj.GetJustificationAsString ()| -  Set/Get the horizontal justification to left (default), centered,
// or right.
//// \item @|obj.SetVerticalJustification (int )| -  Set/Get the vertical justification to bottom (default), middle,
// or top.
//// \item @|int = obj.GetVerticalJustificationMinValue ()| -  Set/Get the vertical justification to bottom (default), middle,
// or top.
//// \item @|int = obj.GetVerticalJustificationMaxValue ()| -  Set/Get the vertical justification to bottom (default), middle,
// or top.
//// \item @|int = obj.GetVerticalJustification ()| -  Set/Get the vertical justification to bottom (default), middle,
// or top.
//// \item @|obj.SetVerticalJustificationToBottom ()| -  Set/Get the vertical justification to bottom (default), middle,
// or top.
//// \item @|obj.SetVerticalJustificationToCentered ()| -  Set/Get the vertical justification to bottom (default), middle,
// or top.
//// \item @|obj.SetVerticalJustificationToTop ()| -  Set/Get the vertical justification to bottom (default), middle,
// or top.
//// \item @|string = obj.GetVerticalJustificationAsString ()| -  Set/Get the vertical justification to bottom (default), middle,
// or top.
//// \item @|obj.SetOrientation (double )| -  Set/Get the text's orientation (in degrees).
//// \item @|double = obj.GetOrientation ()| -  Set/Get the text's orientation (in degrees).
//// \item @|obj.SetLineSpacing (double )| -  Set/Get the (extra) spacing between lines,
// expressed as a text height multiplication factor.
//// \item @|double = obj.GetLineSpacing ()| -  Set/Get the (extra) spacing between lines,
// expressed as a text height multiplication factor.
//// \item @|obj.SetLineOffset (double )| -  Set/Get the vertical offset (measured in pixels).
//// \item @|double = obj.GetLineOffset ()| -  Set/Get the vertical offset (measured in pixels).
//// \item @|obj.ShallowCopy (vtkTextProperty tprop)| -  Shallow copy of a text property.
////\end{itemize}
//!
