#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTexture object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTexture.h"

//@@Signature
//sfunction @vtkTexture:vtkTexture vtkTextureConstructorFunction
//input a
//output p
//@@Parents vtkTexture vtkImageAlgorithm 
ArrayVector vtkTextureConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTexture::New(),"vtkTexture",eval);
  } else if (arg[0].className() == "vtkTexture") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTexture"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTexture");
    vtkTexture*q = reinterpret_cast<vtkTexture*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTexture");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTexture:GetClassName vtkTextureGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTextureGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexture:IsA vtkTextureIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTextureIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTexture requires 2 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexture:NewInstance vtkTextureNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTextureNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTexture *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtkTexture  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:SafeDownCast vtkTextureSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTextureSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTexture *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTexture requires 2 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTexture  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:Render vtkTextureRenderFunction
//input a0 a1 
//output none
ArrayVector vtkTextureRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function Render for class vtkTexture requires 2 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->Render(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:PostRender vtkTexturePostRenderFunction
//input a0 a1 
//output none
ArrayVector vtkTexturePostRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PostRender (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function PostRender for class vtkTexture requires 2 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->PostRender(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:ReleaseGraphicsResources vtkTextureReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkTextureReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkTexture requires 2 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:Load vtkTextureLoadFunction
//input a0 a1 
//output none
ArrayVector vtkTextureLoadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Load (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function Load for class vtkTexture requires 2 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->Load(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:GetRepeat vtkTextureGetRepeatFunction
//input a0 
//output y
ArrayVector vtkTextureGetRepeatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepeat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepeat for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepeat();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexture:SetRepeat vtkTextureSetRepeatFunction
//input a0 a1 
//output none
ArrayVector vtkTextureSetRepeatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepeat (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepeat for class vtkTexture requires 2 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRepeat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:RepeatOn vtkTextureRepeatOnFunction
//input a0 
//output none
ArrayVector vtkTextureRepeatOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RepeatOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RepeatOn for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtk_pointer->RepeatOn();
  return retval;
}

//@@Signature
//sfunction @vtkTexture:RepeatOff vtkTextureRepeatOffFunction
//input a0 
//output none
ArrayVector vtkTextureRepeatOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RepeatOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RepeatOff for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtk_pointer->RepeatOff();
  return retval;
}

//@@Signature
//sfunction @vtkTexture:GetEdgeClamp vtkTextureGetEdgeClampFunction
//input a0 
//output y
ArrayVector vtkTextureGetEdgeClampFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEdgeClamp (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeClamp for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEdgeClamp();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexture:SetEdgeClamp vtkTextureSetEdgeClampFunction
//input a0 a1 
//output none
ArrayVector vtkTextureSetEdgeClampFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeClamp (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeClamp for class vtkTexture requires 2 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEdgeClamp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:EdgeClampOn vtkTextureEdgeClampOnFunction
//input a0 
//output none
ArrayVector vtkTextureEdgeClampOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeClampOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeClampOn for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtk_pointer->EdgeClampOn();
  return retval;
}

//@@Signature
//sfunction @vtkTexture:EdgeClampOff vtkTextureEdgeClampOffFunction
//input a0 
//output none
ArrayVector vtkTextureEdgeClampOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeClampOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeClampOff for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtk_pointer->EdgeClampOff();
  return retval;
}

//@@Signature
//sfunction @vtkTexture:GetInterpolate vtkTextureGetInterpolateFunction
//input a0 
//output y
ArrayVector vtkTextureGetInterpolateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolate for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexture:SetInterpolate vtkTextureSetInterpolateFunction
//input a0 a1 
//output none
ArrayVector vtkTextureSetInterpolateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolate (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInterpolate for class vtkTexture requires 2 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInterpolate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:InterpolateOn vtkTextureInterpolateOnFunction
//input a0 
//output none
ArrayVector vtkTextureInterpolateOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InterpolateOn for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtk_pointer->InterpolateOn();
  return retval;
}

//@@Signature
//sfunction @vtkTexture:InterpolateOff vtkTextureInterpolateOffFunction
//input a0 
//output none
ArrayVector vtkTextureInterpolateOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InterpolateOff for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtk_pointer->InterpolateOff();
  return retval;
}

//@@Signature
//sfunction @vtkTexture:SetQuality vtkTextureSetQualityFunction
//input a0 a1 
//output none
ArrayVector vtkTextureSetQualityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuality (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetQuality for class vtkTexture requires 2 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetQuality(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:GetQuality vtkTextureGetQualityFunction
//input a0 
//output y
ArrayVector vtkTextureGetQualityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetQuality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetQuality for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetQuality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexture:SetQualityToDefault vtkTextureSetQualityToDefaultFunction
//input a0 
//output none
ArrayVector vtkTextureSetQualityToDefaultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQualityToDefault ();this SetQuality VTK_TEXTURE_QUALITY_DEFAULT  */
  if (arg.size() < 1) 
    throw Exception("Function SetQualityToDefault for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtk_pointer->SetQualityToDefault();
  return retval;
}

//@@Signature
//sfunction @vtkTexture:SetQualityTo16Bit vtkTextureSetQualityTo16BitFunction
//input a0 
//output none
ArrayVector vtkTextureSetQualityTo16BitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQualityTo16Bit ();this SetQuality VTK_TEXTURE_QUALITY_16BIT  */
  if (arg.size() < 1) 
    throw Exception("Function SetQualityTo16Bit for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtk_pointer->SetQualityTo16Bit();
  return retval;
}

//@@Signature
//sfunction @vtkTexture:SetQualityTo32Bit vtkTextureSetQualityTo32BitFunction
//input a0 
//output none
ArrayVector vtkTextureSetQualityTo32BitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQualityTo32Bit ();this SetQuality VTK_TEXTURE_QUALITY_32BIT  */
  if (arg.size() < 1) 
    throw Exception("Function SetQualityTo32Bit for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtk_pointer->SetQualityTo32Bit();
  return retval;
}

//@@Signature
//sfunction @vtkTexture:GetMapColorScalarsThroughLookupTable vtkTextureGetMapColorScalarsThroughLookupTableFunction
//input a0 
//output y
ArrayVector vtkTextureGetMapColorScalarsThroughLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMapColorScalarsThroughLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMapColorScalarsThroughLookupTable for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMapColorScalarsThroughLookupTable();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexture:SetMapColorScalarsThroughLookupTable vtkTextureSetMapColorScalarsThroughLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkTextureSetMapColorScalarsThroughLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMapColorScalarsThroughLookupTable (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMapColorScalarsThroughLookupTable for class vtkTexture requires 2 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMapColorScalarsThroughLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:MapColorScalarsThroughLookupTableOn vtkTextureMapColorScalarsThroughLookupTableOnFunction
//input a0 
//output none
ArrayVector vtkTextureMapColorScalarsThroughLookupTableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MapColorScalarsThroughLookupTableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MapColorScalarsThroughLookupTableOn for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtk_pointer->MapColorScalarsThroughLookupTableOn();
  return retval;
}

//@@Signature
//sfunction @vtkTexture:MapColorScalarsThroughLookupTableOff vtkTextureMapColorScalarsThroughLookupTableOffFunction
//input a0 
//output none
ArrayVector vtkTextureMapColorScalarsThroughLookupTableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MapColorScalarsThroughLookupTableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MapColorScalarsThroughLookupTableOff for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtk_pointer->MapColorScalarsThroughLookupTableOff();
  return retval;
}

//@@Signature
//sfunction @vtkTexture:SetLookupTable vtkTextureSetLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkTextureSetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLookupTable (vtkScalarsToColors *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLookupTable for class vtkTexture requires 2 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp0;
  temp0 = GetVTKPointer<vtkScalarsToColors>(arg[1]);
  vtk_pointer->SetLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:GetLookupTable vtkTextureGetLookupTableFunction
//input a0 
//output y
ArrayVector vtkTextureGetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarsToColors *GetLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLookupTable for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp20;
  temp20 = (vtk_pointer)->GetLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarsToColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:GetMappedScalars vtkTextureGetMappedScalarsFunction
//input a0 
//output y
ArrayVector vtkTextureGetMappedScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnsignedCharArray *GetMappedScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMappedScalars for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp20;
  temp20 = (vtk_pointer)->GetMappedScalars();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:SetTransform vtkTextureSetTransformFunction
//input a0 a1 
//output none
ArrayVector vtkTextureSetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTransform (vtkTransform *transform); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransform for class vtkTexture requires 2 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtkTransform  *temp0;
  temp0 = GetVTKPointer<vtkTransform>(arg[1]);
  vtk_pointer->SetTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:GetTransform vtkTextureGetTransformFunction
//input a0 
//output y
ArrayVector vtkTextureGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransform *GetTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransform for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtkTransform  *temp20;
  temp20 = (vtk_pointer)->GetTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:GetBlendingMode vtkTextureGetBlendingModeFunction
//input a0 
//output y
ArrayVector vtkTextureGetBlendingModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBlendingMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBlendingMode for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBlendingMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexture:SetBlendingMode vtkTextureSetBlendingModeFunction
//input a0 a1 
//output none
ArrayVector vtkTextureSetBlendingModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlendingMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBlendingMode for class vtkTexture requires 2 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBlendingMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:GetPremultipliedAlpha vtkTextureGetPremultipliedAlphaFunction
//input a0 
//output y
ArrayVector vtkTextureGetPremultipliedAlphaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetPremultipliedAlpha (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPremultipliedAlpha for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetPremultipliedAlpha();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTexture:SetPremultipliedAlpha vtkTextureSetPremultipliedAlphaFunction
//input a0 a1 
//output none
ArrayVector vtkTextureSetPremultipliedAlphaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPremultipliedAlpha (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPremultipliedAlpha for class vtkTexture requires 2 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetPremultipliedAlpha(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:PremultipliedAlphaOn vtkTexturePremultipliedAlphaOnFunction
//input a0 
//output none
ArrayVector vtkTexturePremultipliedAlphaOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PremultipliedAlphaOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PremultipliedAlphaOn for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtk_pointer->PremultipliedAlphaOn();
  return retval;
}

//@@Signature
//sfunction @vtkTexture:PremultipliedAlphaOff vtkTexturePremultipliedAlphaOffFunction
//input a0 
//output none
ArrayVector vtkTexturePremultipliedAlphaOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PremultipliedAlphaOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PremultipliedAlphaOff for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtk_pointer->PremultipliedAlphaOff();
  return retval;
}

//@@Signature
//sfunction @vtkTexture:GetRestrictPowerOf2ImageSmaller vtkTextureGetRestrictPowerOf2ImageSmallerFunction
//input a0 
//output y
ArrayVector vtkTextureGetRestrictPowerOf2ImageSmallerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRestrictPowerOf2ImageSmaller (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRestrictPowerOf2ImageSmaller for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRestrictPowerOf2ImageSmaller();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexture:SetRestrictPowerOf2ImageSmaller vtkTextureSetRestrictPowerOf2ImageSmallerFunction
//input a0 a1 
//output none
ArrayVector vtkTextureSetRestrictPowerOf2ImageSmallerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRestrictPowerOf2ImageSmaller (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRestrictPowerOf2ImageSmaller for class vtkTexture requires 2 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRestrictPowerOf2ImageSmaller(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexture:RestrictPowerOf2ImageSmallerOn vtkTextureRestrictPowerOf2ImageSmallerOnFunction
//input a0 
//output none
ArrayVector vtkTextureRestrictPowerOf2ImageSmallerOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RestrictPowerOf2ImageSmallerOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RestrictPowerOf2ImageSmallerOn for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtk_pointer->RestrictPowerOf2ImageSmallerOn();
  return retval;
}

//@@Signature
//sfunction @vtkTexture:RestrictPowerOf2ImageSmallerOff vtkTextureRestrictPowerOf2ImageSmallerOffFunction
//input a0 
//output none
ArrayVector vtkTextureRestrictPowerOf2ImageSmallerOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RestrictPowerOf2ImageSmallerOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RestrictPowerOf2ImageSmallerOff for class vtkTexture requires 1 argument(s)");
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  Array retval;
  vtk_pointer->RestrictPowerOf2ImageSmallerOff();
  return retval;
}

//@@Signature
//sfunction @vtkTexture:display vtkTextureDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTextureDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTexture* vtk_pointer = GetVTKPointer<vtkTexture>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTexture:delete vtkTextureDeleteFunction
//input varargin
//output none
ArrayVector vtkTextureDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTexture
//@@Section VTKRendering
//@@Usage
// vtkTexture is an object that handles loading and binding of texture
// maps. It obtains its data from an input image data dataset type.
// Thus you can create visualization pipelines to read, process, and 
// construct textures. Note that textures will only work if texture
// coordinates are also defined, and if the rendering system supports 
// texture.
//
// Instances of vtkTexture are associated with actors via the actor's
// SetTexture() method. Actors can share texture maps (this is encouraged
// to save memory resources.) 
//
//To create an instance of class vtkTexture, simply
//invoke its constructor as follows
//@[
//  obj = vtkTexture
//@]
//@@Methods
//The class vtkTexture has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTexture class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTexture = obj.NewInstance ()|
// \item @|vtkTexture = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Render (vtkRenderer ren)| -  Renders a texture map. It first checks the object's modified time
// to make sure the texture maps Input is valid, then it invokes the 
// Load() method.
//// \item @|obj.PostRender (vtkRenderer )| -  Cleans up after the texture rendering to restore the state of the
// graphics context.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this texture.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|obj.Load (vtkRenderer )| -  Abstract interface to renderer. Each concrete subclass of 
// vtkTexture will load its data into graphics system in response 
// to this method invocation.
//// \item @|int = obj.GetRepeat ()| -  Turn on/off the repetition of the texture map when the texture
// coords extend beyond the [0,1] range.
//// \item @|obj.SetRepeat (int )| -  Turn on/off the repetition of the texture map when the texture
// coords extend beyond the [0,1] range.
//// \item @|obj.RepeatOn ()| -  Turn on/off the repetition of the texture map when the texture
// coords extend beyond the [0,1] range.
//// \item @|obj.RepeatOff ()| -  Turn on/off the repetition of the texture map when the texture
// coords extend beyond the [0,1] range.
//// \item @|int = obj.GetEdgeClamp ()| -  Turn on/off the clamping of the texture map when the texture
// coords extend beyond the [0,1] range.
// Only used when Repeat is off, and edge clamping is supported by
// the graphics card.
//// \item @|obj.SetEdgeClamp (int )| -  Turn on/off the clamping of the texture map when the texture
// coords extend beyond the [0,1] range.
// Only used when Repeat is off, and edge clamping is supported by
// the graphics card.
//// \item @|obj.EdgeClampOn ()| -  Turn on/off the clamping of the texture map when the texture
// coords extend beyond the [0,1] range.
// Only used when Repeat is off, and edge clamping is supported by
// the graphics card.
//// \item @|obj.EdgeClampOff ()| -  Turn on/off the clamping of the texture map when the texture
// coords extend beyond the [0,1] range.
// Only used when Repeat is off, and edge clamping is supported by
// the graphics card.
//// \item @|int = obj.GetInterpolate ()| -  Turn on/off linear interpolation of the texture map when rendering.
//// \item @|obj.SetInterpolate (int )| -  Turn on/off linear interpolation of the texture map when rendering.
//// \item @|obj.InterpolateOn ()| -  Turn on/off linear interpolation of the texture map when rendering.
//// \item @|obj.InterpolateOff ()| -  Turn on/off linear interpolation of the texture map when rendering.
//// \item @|obj.SetQuality (int )| -  Force texture quality to 16-bit or 32-bit.
// This might not be supported on all machines.
//// \item @|int = obj.GetQuality ()| -  Force texture quality to 16-bit or 32-bit.
// This might not be supported on all machines.
//// \item @|obj.SetQualityToDefault ()| -  Force texture quality to 16-bit or 32-bit.
// This might not be supported on all machines.
//// \item @|obj.SetQualityTo16Bit ()| -  Force texture quality to 16-bit or 32-bit.
// This might not be supported on all machines.
//// \item @|obj.SetQualityTo32Bit ()| -  Force texture quality to 16-bit or 32-bit.
// This might not be supported on all machines.
//// \item @|int = obj.GetMapColorScalarsThroughLookupTable ()| -  Turn on/off the mapping of color scalars through the lookup table.
// The default is Off. If Off, unsigned char scalars will be used
// directly as texture. If On, scalars will be mapped through the
// lookup table to generate 4-component unsigned char scalars.
// This ivar does not affect other scalars like unsigned short, float,
// etc. These scalars are always mapped through lookup tables.
//// \item @|obj.SetMapColorScalarsThroughLookupTable (int )| -  Turn on/off the mapping of color scalars through the lookup table.
// The default is Off. If Off, unsigned char scalars will be used
// directly as texture. If On, scalars will be mapped through the
// lookup table to generate 4-component unsigned char scalars.
// This ivar does not affect other scalars like unsigned short, float,
// etc. These scalars are always mapped through lookup tables.
//// \item @|obj.MapColorScalarsThroughLookupTableOn ()| -  Turn on/off the mapping of color scalars through the lookup table.
// The default is Off. If Off, unsigned char scalars will be used
// directly as texture. If On, scalars will be mapped through the
// lookup table to generate 4-component unsigned char scalars.
// This ivar does not affect other scalars like unsigned short, float,
// etc. These scalars are always mapped through lookup tables.
//// \item @|obj.MapColorScalarsThroughLookupTableOff ()| -  Turn on/off the mapping of color scalars through the lookup table.
// The default is Off. If Off, unsigned char scalars will be used
// directly as texture. If On, scalars will be mapped through the
// lookup table to generate 4-component unsigned char scalars.
// This ivar does not affect other scalars like unsigned short, float,
// etc. These scalars are always mapped through lookup tables.
//// \item @|obj.SetLookupTable (vtkScalarsToColors )| -  Specify the lookup table to convert scalars if necessary
//// \item @|vtkScalarsToColors = obj.GetLookupTable ()| -  Specify the lookup table to convert scalars if necessary
//// \item @|vtkUnsignedCharArray = obj.GetMappedScalars ()| -  Get Mapped Scalars
//// \item @|obj.SetTransform (vtkTransform transform)| -  Set a transform on the texture which allows one to scale,
// rotate and translate the texture.
//// \item @|vtkTransform = obj.GetTransform ()| -  Set a transform on the texture which allows one to scale,
// rotate and translate the texture.
//// \item @|int = obj.GetBlendingMode ()| -  Used to specify how the texture will blend its RGB and Alpha values
// with other textures and the fragment the texture is rendered upon.
//// \item @|obj.SetBlendingMode (int )| -  Used to specify how the texture will blend its RGB and Alpha values
// with other textures and the fragment the texture is rendered upon.
//// \item @|bool = obj.GetPremultipliedAlpha ()| -  Whether the texture colors are premultiplied by alpha.
// Initial value is false.
//// \item @|obj.SetPremultipliedAlpha (bool )| -  Whether the texture colors are premultiplied by alpha.
// Initial value is false.
//// \item @|obj.PremultipliedAlphaOn ()| -  Whether the texture colors are premultiplied by alpha.
// Initial value is false.
//// \item @|obj.PremultipliedAlphaOff ()| -  Whether the texture colors are premultiplied by alpha.
// Initial value is false.
//// \item @|int = obj.GetRestrictPowerOf2ImageSmaller ()| -  When the texture is forced to be a power of 2, the default behavior is
// for the "new" image's dimensions  to be greater than or equal to with 
// respects to the original.  Setting RestrictPowerOf2ImageSmaller to be
// 1 (or ON) with force the new image's dimensions to be less than or equal 
// to with respects to the original.
//// \item @|obj.SetRestrictPowerOf2ImageSmaller (int )| -  When the texture is forced to be a power of 2, the default behavior is
// for the "new" image's dimensions  to be greater than or equal to with 
// respects to the original.  Setting RestrictPowerOf2ImageSmaller to be
// 1 (or ON) with force the new image's dimensions to be less than or equal 
// to with respects to the original.
//// \item @|obj.RestrictPowerOf2ImageSmallerOn ()| -  When the texture is forced to be a power of 2, the default behavior is
// for the "new" image's dimensions  to be greater than or equal to with 
// respects to the original.  Setting RestrictPowerOf2ImageSmaller to be
// 1 (or ON) with force the new image's dimensions to be less than or equal 
// to with respects to the original.
//// \item @|obj.RestrictPowerOf2ImageSmallerOff ()| -  When the texture is forced to be a power of 2, the default behavior is
// for the "new" image's dimensions  to be greater than or equal to with 
// respects to the original.  Setting RestrictPowerOf2ImageSmaller to be
// 1 (or ON) with force the new image's dimensions to be less than or equal 
// to with respects to the original.
////\end{itemize}
//!
