#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTextureObject object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTextureObject.h"

//@@Signature
//sfunction @vtkTextureObject:vtkTextureObject vtkTextureObjectConstructorFunction
//input a
//output p
//@@Parents vtkTextureObject vtkObject 
ArrayVector vtkTextureObjectConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTextureObject::New(),"vtkTextureObject",eval);
  } else if (arg[0].className() == "vtkTextureObject") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTextureObject"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTextureObject");
    vtkTextureObject*q = reinterpret_cast<vtkTextureObject*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTextureObject");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTextureObject:GetClassName vtkTextureObjectGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:IsA vtkTextureObjectIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTextureObjectIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:NewInstance vtkTextureObjectNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTextureObjectNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextureObject *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  vtkTextureObject  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextureObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SafeDownCast vtkTextureObjectSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTextureObjectSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextureObject *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTextureObject  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextureObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SetContext vtkTextureObjectSetContextFunction
//input a0 a1 
//output none
ArrayVector vtkTextureObjectSetContextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetContext (vtkRenderWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function SetContext for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  vtk_pointer->SetContext(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetContext vtkTextureObjectGetContextFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetContextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *GetContext (); */
  if (arg.size() < 1) 
    throw Exception("Function GetContext for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->GetContext();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetWidth vtkTextureObjectGetWidthFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWidth for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetHeight vtkTextureObjectGetHeightFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetHeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeight for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetHeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetDepth vtkTextureObjectGetDepthFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetDepth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepth for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetDepth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetComponents vtkTextureObjectGetComponentsFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComponents for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetNumberOfDimensions vtkTextureObjectGetNumberOfDimensionsFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetNumberOfDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfDimensions for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfDimensions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetTarget vtkTextureObjectGetTargetFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetTargetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetTarget (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTarget for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetTarget();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetHandle vtkTextureObjectGetHandleFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetHandle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandle for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetHandle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:Bind vtkTextureObjectBindFunction
//input a0 
//output none
ArrayVector vtkTextureObjectBindFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Bind (); */
  if (arg.size() < 1) 
    throw Exception("Function Bind for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  vtk_pointer->Bind();
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:UnBind vtkTextureObjectUnBindFunction
//input a0 
//output none
ArrayVector vtkTextureObjectUnBindFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UnBind (); */
  if (arg.size() < 1) 
    throw Exception("Function UnBind for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  vtk_pointer->UnBind();
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:IsBound vtkTextureObjectIsBoundFunction
//input a0 
//output y
ArrayVector vtkTextureObjectIsBoundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool IsBound (); */
  if (arg.size() < 1) 
    throw Exception("Function IsBound for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->IsBound();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SendParameters vtkTextureObjectSendParametersFunction
//input a0 
//output none
ArrayVector vtkTextureObjectSendParametersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SendParameters (); */
  if (arg.size() < 1) 
    throw Exception("Function SendParameters for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  vtk_pointer->SendParameters();
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:Create1D vtkTextureObjectCreate1DFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTextureObjectCreate1DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool Create1D (int numComps, vtkPixelBufferObject *pbo, bool shaderSupportsTextureInt); */
  if (arg.size() < 4) 
    throw Exception("Function Create1D for class vtkTextureObject requires 4 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp0;
  vtkPixelBufferObject  *temp1;
  bool   temp2;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPixelBufferObject>(arg[2]);
  temp20 = (vtk_pointer)->Create1D(temp0,temp1,temp2);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:Create2D__1 vtkTextureObjectCreate2D__1Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkTextureObjectCreate2D__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool Create2D (unsigned int width, unsigned int height, int numComps, vtkPixelBufferObject *pbo, bool shaderSupportsTextureInt); */
  if (arg.size() < 6) 
    throw Exception("Function Create2D__1 for class vtkTextureObject requires 6 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  int      temp2;
  vtkPixelBufferObject  *temp3;
  bool   temp4;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkPixelBufferObject>(arg[4]);
  temp20 = (vtk_pointer)->Create2D(temp0,temp1,temp2,temp3,temp4);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:CreateDepth vtkTextureObjectCreateDepthFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkTextureObjectCreateDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool CreateDepth (unsigned int width, unsigned int height, int internalFormat, vtkPixelBufferObject *pbo); */
  if (arg.size() < 5) 
    throw Exception("Function CreateDepth for class vtkTextureObject requires 5 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  int      temp2;
  vtkPixelBufferObject  *temp3;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkPixelBufferObject>(arg[4]);
  temp20 = (vtk_pointer)->CreateDepth(temp0,temp1,temp2,temp3);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:AllocateDepth vtkTextureObjectAllocateDepthFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTextureObjectAllocateDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool AllocateDepth (unsigned int width, unsigned int height, int internalFormat); */
  if (arg.size() < 4) 
    throw Exception("Function AllocateDepth for class vtkTextureObject requires 4 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  int      temp2;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AllocateDepth(temp0,temp1,temp2);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:Allocate1D vtkTextureObjectAllocate1DFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTextureObjectAllocate1DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool Allocate1D (unsigned int width, int numComps, int vtkType); */
  if (arg.size() < 4) 
    throw Exception("Function Allocate1D for class vtkTextureObject requires 4 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  unsigned int      temp0;
  int      temp1;
  int      temp2;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->Allocate1D(temp0,temp1,temp2);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:Allocate2D vtkTextureObjectAllocate2DFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkTextureObjectAllocate2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool Allocate2D (unsigned int width, unsigned int height, int numComps, int vtkType); */
  if (arg.size() < 5) 
    throw Exception("Function Allocate2D for class vtkTextureObject requires 5 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  int      temp2;
  int      temp3;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Allocate2D(temp0,temp1,temp2,temp3);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:Allocate3D vtkTextureObjectAllocate3DFunction
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkTextureObjectAllocate3DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool Allocate3D (unsigned int width, unsigned int height, unsigned int depth, int numComps, int vtkType); */
  if (arg.size() < 6) 
    throw Exception("Function Allocate3D for class vtkTextureObject requires 6 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp2;
  int      temp3;
  int      temp4;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (unsigned int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->Allocate3D(temp0,temp1,temp2,temp3,temp4);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:Create3D__1 vtkTextureObjectCreate3D__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkTextureObjectCreate3D__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool Create3D (unsigned int width, unsigned int height, unsigned int depth, int numComps, vtkPixelBufferObject *pbo, bool shaderSupportsTextureInt); */
  if (arg.size() < 7) 
    throw Exception("Function Create3D__1 for class vtkTextureObject requires 7 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp2;
  int      temp3;
  vtkPixelBufferObject  *temp4;
  bool   temp5;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (unsigned int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp4 = GetVTKPointer<vtkPixelBufferObject>(arg[5]);
  temp20 = (vtk_pointer)->Create3D(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:Create2D__2 vtkTextureObjectCreate2D__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkTextureObjectCreate2D__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool Create2D (unsigned int width, unsigned int height, int numComps, int vtktype, bool shaderSupportsTextureInt); */
  if (arg.size() < 6) 
    throw Exception("Function Create2D__2 for class vtkTextureObject requires 6 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  int      temp2;
  int      temp3;
  bool   temp4;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Create2D(temp0,temp1,temp2,temp3,temp4);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:Create3D__2 vtkTextureObjectCreate3D__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkTextureObjectCreate3D__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool Create3D (unsigned int width, unsigned int height, unsigned int depth, int numComps, int vtktype, bool shaderSupportsTextureInt); */
  if (arg.size() < 7) 
    throw Exception("Function Create3D__2 for class vtkTextureObject requires 7 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp2;
  int      temp3;
  int      temp4;
  bool   temp5;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (unsigned int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->Create3D(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:Download vtkTextureObjectDownloadFunction
//input a0 
//output y
ArrayVector vtkTextureObjectDownloadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPixelBufferObject *Download (); */
  if (arg.size() < 1) 
    throw Exception("Function Download for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  vtkPixelBufferObject  *temp20;
  temp20 = (vtk_pointer)->Download();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPixelBufferObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetDataType vtkTextureObjectGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetInternalFormat vtkTextureObjectGetInternalFormatFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTextureObjectGetInternalFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetInternalFormat (int vtktype, int numComps, bool shaderSupportsTextureInt); */
  if (arg.size() < 4) 
    throw Exception("Function GetInternalFormat for class vtkTextureObject requires 4 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  bool   temp2;
  unsigned int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetInternalFormat(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetFormat vtkTextureObjectGetFormatFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTextureObjectGetFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetFormat (int vtktype, int numComps, bool shaderSupportsTextureInt); */
  if (arg.size() < 4) 
    throw Exception("Function GetFormat for class vtkTextureObject requires 4 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  bool   temp2;
  unsigned int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetFormat(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetWrapS vtkTextureObjectGetWrapSFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetWrapSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWrapS (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWrapS for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWrapS();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SetWrapS vtkTextureObjectSetWrapSFunction
//input a0 a1 
//output none
ArrayVector vtkTextureObjectSetWrapSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWrapS (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWrapS for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWrapS(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetWrapT vtkTextureObjectGetWrapTFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetWrapTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWrapT (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWrapT for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWrapT();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SetWrapT vtkTextureObjectSetWrapTFunction
//input a0 a1 
//output none
ArrayVector vtkTextureObjectSetWrapTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWrapT (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWrapT for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWrapT(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetWrapR vtkTextureObjectGetWrapRFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetWrapRFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWrapR (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWrapR for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWrapR();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SetWrapR vtkTextureObjectSetWrapRFunction
//input a0 a1 
//output none
ArrayVector vtkTextureObjectSetWrapRFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWrapR (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWrapR for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWrapR(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetMinificationFilter vtkTextureObjectGetMinificationFilterFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetMinificationFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMinificationFilter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinificationFilter for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinificationFilter();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SetMinificationFilter vtkTextureObjectSetMinificationFilterFunction
//input a0 a1 
//output none
ArrayVector vtkTextureObjectSetMinificationFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinificationFilter (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinificationFilter for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMinificationFilter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetLinearMagnification vtkTextureObjectGetLinearMagnificationFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetLinearMagnificationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetLinearMagnification (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLinearMagnification for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetLinearMagnification();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SetLinearMagnification vtkTextureObjectSetLinearMagnificationFunction
//input a0 a1 
//output none
ArrayVector vtkTextureObjectSetLinearMagnificationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLinearMagnification (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLinearMagnification for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetLinearMagnification(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SetBorderColor__1 vtkTextureObjectSetBorderColor__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkTextureObjectSetBorderColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBorderColor (float , float , float , float ); */
  if (arg.size() < 5) 
    throw Exception("Function SetBorderColor__1 for class vtkTextureObject requires 5 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetBorderColor(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SetBorderColor__2 vtkTextureObjectSetBorderColor__2Function
//input a0 a1 
//output none
ArrayVector vtkTextureObjectSetBorderColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBorderColor (float  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBorderColor__2 for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  float  temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  vtk_pointer->SetBorderColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetBorderColor vtkTextureObjectGetBorderColorFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetBorderColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float  *GetBorderColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBorderColor for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  float   *temp20;
  temp20 = (vtk_pointer)->GetBorderColor();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SetPriority vtkTextureObjectSetPriorityFunction
//input a0 a1 
//output none
ArrayVector vtkTextureObjectSetPriorityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPriority (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPriority for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPriority(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetPriority vtkTextureObjectGetPriorityFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetPriorityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetPriority (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPriority for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetPriority();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SetMinLOD vtkTextureObjectSetMinLODFunction
//input a0 a1 
//output none
ArrayVector vtkTextureObjectSetMinLODFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinLOD (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinLOD for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinLOD(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetMinLOD vtkTextureObjectGetMinLODFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetMinLODFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMinLOD (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinLOD for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMinLOD();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SetMaxLOD vtkTextureObjectSetMaxLODFunction
//input a0 a1 
//output none
ArrayVector vtkTextureObjectSetMaxLODFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxLOD (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxLOD for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaxLOD(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetMaxLOD vtkTextureObjectGetMaxLODFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetMaxLODFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaxLOD (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxLOD for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaxLOD();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SetBaseLevel vtkTextureObjectSetBaseLevelFunction
//input a0 a1 
//output none
ArrayVector vtkTextureObjectSetBaseLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBaseLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBaseLevel for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBaseLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetBaseLevel vtkTextureObjectGetBaseLevelFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetBaseLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBaseLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBaseLevel for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBaseLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SetMaxLevel vtkTextureObjectSetMaxLevelFunction
//input a0 a1 
//output none
ArrayVector vtkTextureObjectSetMaxLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxLevel for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetMaxLevel vtkTextureObjectGetMaxLevelFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetMaxLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxLevel for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetDepthTextureCompare vtkTextureObjectGetDepthTextureCompareFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetDepthTextureCompareFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetDepthTextureCompare (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepthTextureCompare for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetDepthTextureCompare();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SetDepthTextureCompare vtkTextureObjectSetDepthTextureCompareFunction
//input a0 a1 
//output none
ArrayVector vtkTextureObjectSetDepthTextureCompareFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDepthTextureCompare (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDepthTextureCompare for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetDepthTextureCompare(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetDepthTextureCompareFunction vtkTextureObjectGetDepthTextureCompareFunctionFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetDepthTextureCompareFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDepthTextureCompareFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepthTextureCompareFunction for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDepthTextureCompareFunction();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SetDepthTextureCompareFunction vtkTextureObjectSetDepthTextureCompareFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkTextureObjectSetDepthTextureCompareFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDepthTextureCompareFunction (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDepthTextureCompareFunction for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDepthTextureCompareFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetDepthTextureMode vtkTextureObjectGetDepthTextureModeFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetDepthTextureModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDepthTextureMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepthTextureMode for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDepthTextureMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SetDepthTextureMode vtkTextureObjectSetDepthTextureModeFunction
//input a0 a1 
//output none
ArrayVector vtkTextureObjectSetDepthTextureModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDepthTextureMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDepthTextureMode for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDepthTextureMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:GetGenerateMipmap vtkTextureObjectGetGenerateMipmapFunction
//input a0 
//output y
ArrayVector vtkTextureObjectGetGenerateMipmapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetGenerateMipmap (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateMipmap for class vtkTextureObject requires 1 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetGenerateMipmap();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:SetGenerateMipmap vtkTextureObjectSetGenerateMipmapFunction
//input a0 a1 
//output none
ArrayVector vtkTextureObjectSetGenerateMipmapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateMipmap (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateMipmap for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetGenerateMipmap(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:IsSupported vtkTextureObjectIsSupportedFunction
//input a0 a1 
//output y
ArrayVector vtkTextureObjectIsSupportedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static bool IsSupported (vtkRenderWindow *renWin); */
  if (arg.size() < 2) 
    throw Exception("Function IsSupported for class vtkTextureObject requires 2 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  temp20 = (vtk_pointer)->IsSupported(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:CopyToFrameBuffer vtkTextureObjectCopyToFrameBufferFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output none
ArrayVector vtkTextureObjectCopyToFrameBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyToFrameBuffer (int srcXmin, int srcYmin, int srcXmax, int srcYmax, int dstXmin, int dstYmin, int width, int height); */
  if (arg.size() < 9) 
    throw Exception("Function CopyToFrameBuffer for class vtkTextureObject requires 9 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  int      temp7;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  vtk_pointer->CopyToFrameBuffer(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:CopyFromFrameBuffer vtkTextureObjectCopyFromFrameBufferFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkTextureObjectCopyFromFrameBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyFromFrameBuffer (int srcXmin, int srcYmin, int dstXmin, int dstYmin, int width, int height); */
  if (arg.size() < 7) 
    throw Exception("Function CopyFromFrameBuffer for class vtkTextureObject requires 7 argument(s)");
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->CopyFromFrameBuffer(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkTextureObject:Create2D vtkTextureObjectCreate2DFunction
//input varargin
//output varargout
ArrayVector vtkTextureObjectCreate2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsClass(arg[4],"vtkPixelBufferObject") && VTKIsScalarArg(arg[5]))
    return vtkTextureObjectCreate2D__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkTextureObjectCreate2D__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextureObjectCreate2D");
}

//@@Signature
//sfunction @vtkTextureObject:Create3D vtkTextureObjectCreate3DFunction
//input varargin
//output varargout
ArrayVector vtkTextureObjectCreate3DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsClass(arg[5],"vtkPixelBufferObject") && VTKIsScalarArg(arg[6]))
    return vtkTextureObjectCreate3D__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkTextureObjectCreate3D__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextureObjectCreate3D");
}

//@@Signature
//sfunction @vtkTextureObject:SetBorderColor vtkTextureObjectSetBorderColorFunction
//input varargin
//output varargout
ArrayVector vtkTextureObjectSetBorderColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkTextureObjectSetBorderColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTextureObjectSetBorderColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextureObjectSetBorderColor");
}

//@@Signature
//sfunction @vtkTextureObject:display vtkTextureObjectDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTextureObjectDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTextureObject* vtk_pointer = GetVTKPointer<vtkTextureObject>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTextureObject:delete vtkTextureObjectDeleteFunction
//input varargin
//output none
ArrayVector vtkTextureObjectDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTextureObject
//@@Section VTKRendering
//@@Usage
// vtkTextureObject represents an OpenGL texture object. It provides API to
// create textures using data already loaded into pixel buffer objects. It can
// also be used to create textures without uploading any data.
//
//To create an instance of class vtkTextureObject, simply
//invoke its constructor as follows
//@[
//  obj = vtkTextureObject
//@]
//@@Methods
//The class vtkTextureObject has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTextureObject class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTextureObject = obj.NewInstance ()|
// \item @|vtkTextureObject = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetContext (vtkRenderWindow )| -  Get/Set the context. This does not increase the reference count of the 
// context to avoid reference loops.
// SetContext() may raise an error is the OpenGL context does not support the
// required OpenGL extensions.
//// \item @|vtkRenderWindow = obj.GetContext ()| -  Get/Set the context. This does not increase the reference count of the 
// context to avoid reference loops.
// SetContext() may raise an error is the OpenGL context does not support the
// required OpenGL extensions.
//// \item @|int = obj.GetWidth ()| -  Get the texture dimensions.
// These are the properties of the OpenGL texture this instance represents.
//// \item @|int = obj.GetHeight ()| -  Get the texture dimensions.
// These are the properties of the OpenGL texture this instance represents.
//// \item @|int = obj.GetDepth ()| -  Get the texture dimensions.
// These are the properties of the OpenGL texture this instance represents.
//// \item @|int = obj.GetComponents ()| -  Get the texture dimensions.
// These are the properties of the OpenGL texture this instance represents.
//// \item @|int = obj.GetNumberOfDimensions ()|
// \item @|int = obj.GetTarget ()| -  Returns OpenGL texture target to which the texture is/can be bound.
//// \item @|int = obj.GetHandle ()| -  Returns the OpenGL handle.
//// \item @|obj.Bind ()| -  Activate the texture. The texture must have been created using Create().
// RenderWindow must be set before calling this. 
//// \item @|obj.UnBind ()| -  Activate the texture. The texture must have been created using Create().
// RenderWindow must be set before calling this. 
//// \item @|bool = obj.IsBound ()| -  Tells if the texture object is bound to the active texture image unit.
// (a texture object can be bound to multiple texture image unit).
//// \item @|obj.SendParameters ()| -  Send all the texture object parameters to the hardware if not done yet.
// \pre is_bound: IsBound()
//// \item @|bool = obj.Create1D (int numComps, vtkPixelBufferObject pbo, bool shaderSupportsTextureInt)| -  Create a 1D texture using the PBO.
// Eventually we may start supporting creating a texture from subset of data
// in the PBO, but for simplicity we'll begin with entire PBO data.
// numComps must be in [1-4].
// shaderSupportsTextureInt is true if the shader has an alternate
// implementation supporting sampler with integer values.
// Even if the card supports texture int, it does not mean that
// the implementor of the shader made a version that supports texture int.
//// \item @|bool = obj.Create2D (int width, int height, int numComps, vtkPixelBufferObject pbo, bool shaderSupportsTextureInt)| -  Create a 2D texture using the PBO.
// Eventually we may start supporting creating a texture from subset of data
// in the PBO, but for simplicity we'll begin with entire PBO data.
// numComps must be in [1-4].
//// \item @|bool = obj.CreateDepth (int width, int height, int internalFormat, vtkPixelBufferObject pbo)| -  Create a 2D depth texture using a PBO.
// \pre: valid_internalFormat: internalFormat>=0 && internalFormat<NumberOfDepthFormats
//// \item @|bool = obj.AllocateDepth (int width, int height, int internalFormat)| -  Create a 2D depth texture but does not initialize its values.
//// \item @|bool = obj.Allocate1D (int width, int numComps, int vtkType)| -  Create a 1D color texture but does not initialize its values.
// Internal format is deduced from numComps and vtkType.
//// \item @|bool = obj.Allocate2D (int width, int height, int numComps, int vtkType)| -  Create a 2D color texture but does not initialize its values.
// Internal format is deduced from numComps and vtkType.
//// \item @|bool = obj.Allocate3D (int width, int height, int depth, int numComps, int vtkType)| -  Create a 3D color texture but does not initialize its values.
// Internal format is deduced from numComps and vtkType.
//// \item @|bool = obj.Create3D (int width, int height, int depth, int numComps, vtkPixelBufferObject pbo, bool shaderSupportsTextureInt)| -  Create a 3D texture using the PBO.
// Eventually we may start supporting creating a texture from subset of data
// in the PBO, but for simplicity we'll begin with entire PBO data.
// numComps must be in [1-4].
//// \item @|bool = obj.Create2D (int width, int height, int numComps, int vtktype, bool shaderSupportsTextureInt)| -  Create texture without uploading any data.
// To create a DEPTH_COMPONENT texture, vtktype must be set to VTK_VOID and
// numComps must be 1.
//// \item @|bool = obj.Create3D (int width, int height, int depth, int numComps, int vtktype, bool shaderSupportsTextureInt)| -  Create texture without uploading any data.
// To create a DEPTH_COMPONENT texture, vtktype must be set to VTK_VOID and
// numComps must be 1.
//// \item @|vtkPixelBufferObject = obj.Download ()| -  This is used to download raw data from the texture into a pixel bufer. The
// pixel buffer API can then be used to download the pixel buffer data to CPU
// arrays. The caller takes on the responsibility of deleting the returns
// vtkPixelBufferObject once it done with it.
//// \item @|int = obj.GetDataType ()| -  Get the data type for the texture as a vtk type int i.e. VTK_INT etc.
//// \item @|int = obj.GetInternalFormat (int vtktype, int numComps, bool shaderSupportsTextureInt)|
// \item @|int = obj.GetFormat (int vtktype, int numComps, bool shaderSupportsTextureInt)|
// \item @|int = obj.GetWrapS ()| -  Wrap mode for the first texture coordinate "s"
// Valid values are:
// - Clamp
// - ClampToEdge
// - Repeat
// - ClampToBorder
// - MirroredRepeat
// Initial value is Repeat (as in OpenGL spec)
//// \item @|obj.SetWrapS (int )| -  Wrap mode for the first texture coordinate "s"
// Valid values are:
// - Clamp
// - ClampToEdge
// - Repeat
// - ClampToBorder
// - MirroredRepeat
// Initial value is Repeat (as in OpenGL spec)
//// \item @|int = obj.GetWrapT ()| -  Wrap mode for the first texture coordinate "t"
// Valid values are:
// - Clamp
// - ClampToEdge
// - Repeat
// - ClampToBorder
// - MirroredRepeat
// Initial value is Repeat (as in OpenGL spec)
//// \item @|obj.SetWrapT (int )| -  Wrap mode for the first texture coordinate "t"
// Valid values are:
// - Clamp
// - ClampToEdge
// - Repeat
// - ClampToBorder
// - MirroredRepeat
// Initial value is Repeat (as in OpenGL spec)
//// \item @|int = obj.GetWrapR ()| -  Wrap mode for the first texture coordinate "r"
// Valid values are:
// - Clamp
// - ClampToEdge
// - Repeat
// - ClampToBorder
// - MirroredRepeat
// Initial value is Repeat (as in OpenGL spec)
//// \item @|obj.SetWrapR (int )| -  Wrap mode for the first texture coordinate "r"
// Valid values are:
// - Clamp
// - ClampToEdge
// - Repeat
// - ClampToBorder
// - MirroredRepeat
// Initial value is Repeat (as in OpenGL spec)
//// \item @|int = obj.GetMinificationFilter ()| -  Minification filter mode.
// Valid values are:
// - Nearest
// - Linear
// - NearestMipmapNearest
// - NearestMipmapLinear
// - LinearMipmapNearest
// - LinearMipmapLinear
// Initial value is Nearest (note initial value in OpenGL spec
// is NearestMipMapLinear but this is error-prone because it makes the
// texture object incomplete. ).
//// \item @|obj.SetMinificationFilter (int )| -  Minification filter mode.
// Valid values are:
// - Nearest
// - Linear
// - NearestMipmapNearest
// - NearestMipmapLinear
// - LinearMipmapNearest
// - LinearMipmapLinear
// Initial value is Nearest (note initial value in OpenGL spec
// is NearestMipMapLinear but this is error-prone because it makes the
// texture object incomplete. ).
//// \item @|bool = obj.GetLinearMagnification ()| -  Tells if the magnification mode is linear (true) or nearest (false).
// Initial value is false (initial value in OpenGL spec is true).
//// \item @|obj.SetLinearMagnification (bool )| -  Tells if the magnification mode is linear (true) or nearest (false).
// Initial value is false (initial value in OpenGL spec is true).
//// \item @|obj.SetBorderColor (float , float , float , float )| -  Border Color (RGBA). Each component is in [0.0f,1.0f].
// Initial value is (0.0f,0.0f,0.0f,0.0f), as in OpenGL spec.
//// \item @|obj.SetBorderColor (float  a[4])| -  Border Color (RGBA). Each component is in [0.0f,1.0f].
// Initial value is (0.0f,0.0f,0.0f,0.0f), as in OpenGL spec.
//// \item @|float = obj. GetBorderColor ()| -  Border Color (RGBA). Each component is in [0.0f,1.0f].
// Initial value is (0.0f,0.0f,0.0f,0.0f), as in OpenGL spec.
//// \item @|obj.SetPriority (float )| -  Priority of the texture object to be resident on the card for higher
// performance in the range [0.0f,1.0f].
// Initial value is 1.0f, as in OpenGL spec.
//// \item @|float = obj.GetPriority ()| -  Priority of the texture object to be resident on the card for higher
// performance in the range [0.0f,1.0f].
// Initial value is 1.0f, as in OpenGL spec.
//// \item @|obj.SetMinLOD (float )| -  Lower-clamp the computed LOD against this value. Any float value is valid.
// Initial value is -1000.0f, as in OpenGL spec.
//// \item @|float = obj.GetMinLOD ()| -  Lower-clamp the computed LOD against this value. Any float value is valid.
// Initial value is -1000.0f, as in OpenGL spec.
//// \item @|obj.SetMaxLOD (float )| -  Upper-clamp the computed LOD against this value. Any float value is valid.
// Initial value is 1000.0f, as in OpenGL spec.
//// \item @|float = obj.GetMaxLOD ()| -  Upper-clamp the computed LOD against this value. Any float value is valid.
// Initial value is 1000.0f, as in OpenGL spec.
//// \item @|obj.SetBaseLevel (int )| -  Level of detail of the first texture image. A texture object is a list of
// texture images. It is a non-negative integer value.
// Initial value is 0, as in OpenGL spec.
//// \item @|int = obj.GetBaseLevel ()| -  Level of detail of the first texture image. A texture object is a list of
// texture images. It is a non-negative integer value.
// Initial value is 0, as in OpenGL spec.
//// \item @|obj.SetMaxLevel (int )| -  Level of detail of the first texture image. A texture object is a list of
// texture images. It is a non-negative integer value.
// Initial value is 1000, as in OpenGL spec.
//// \item @|int = obj.GetMaxLevel ()| -  Level of detail of the first texture image. A texture object is a list of
// texture images. It is a non-negative integer value.
// Initial value is 1000, as in OpenGL spec.
//// \item @|bool = obj.GetDepthTextureCompare ()| -  Tells if the output of a texture unit with a depth texture uses
// comparison or not.
// Comparison happens between D_t the depth texture value in the range [0,1]
// and with R the interpolated third texture coordinate clamped to range
// [0,1]. The result of the comparison is noted `r'. If this flag is false,
// r=D_t.
// Initial value is false, as in OpenGL spec.
// Ignored if the texture object is not a depth texture.
//// \item @|obj.SetDepthTextureCompare (bool )| -  Tells if the output of a texture unit with a depth texture uses
// comparison or not.
// Comparison happens between D_t the depth texture value in the range [0,1]
// and with R the interpolated third texture coordinate clamped to range
// [0,1]. The result of the comparison is noted `r'. If this flag is false,
// r=D_t.
// Initial value is false, as in OpenGL spec.
// Ignored if the texture object is not a depth texture.
//// \item @|int = obj.GetDepthTextureCompareFunction ()| -  In case DepthTextureCompare is true, specify the comparison function in
// use. The result of the comparison is noted `r'.
// Valid values are:
// - Value
// - Lequal: r=R<=Dt ? 1.0 : 0.0
// - Gequal: r=R>=Dt ? 1.0 : 0.0
// - Less: r=R<D_t ? 1.0 : 0.0
// - Greater: r=R>Dt ? 1.0 : 0.0
// - Equal: r=R==Dt ? 1.0 : 0.0
// - NotEqual: r=R!=Dt ? 1.0 : 0.0
// - AlwaysTrue: r=1.0
// - Never: r=0.0
// If the magnification of minification factor are not nearest, percentage
// closer filtering (PCF) is used: R is compared to several D_t and r is
// the average of the comparisons (it is NOT the average of D_t compared
// once to R).
// Initial value is Lequal, as in OpenGL spec.
// Ignored if the texture object is not a depth texture.
//// \item @|obj.SetDepthTextureCompareFunction (int )| -  In case DepthTextureCompare is true, specify the comparison function in
// use. The result of the comparison is noted `r'.
// Valid values are:
// - Value
// - Lequal: r=R<=Dt ? 1.0 : 0.0
// - Gequal: r=R>=Dt ? 1.0 : 0.0
// - Less: r=R<D_t ? 1.0 : 0.0
// - Greater: r=R>Dt ? 1.0 : 0.0
// - Equal: r=R==Dt ? 1.0 : 0.0
// - NotEqual: r=R!=Dt ? 1.0 : 0.0
// - AlwaysTrue: r=1.0
// - Never: r=0.0
// If the magnification of minification factor are not nearest, percentage
// closer filtering (PCF) is used: R is compared to several D_t and r is
// the average of the comparisons (it is NOT the average of D_t compared
// once to R).
// Initial value is Lequal, as in OpenGL spec.
// Ignored if the texture object is not a depth texture.
//// \item @|int = obj.GetDepthTextureMode ()| -  Defines the mapping from depth component `r' to RGBA components.
// Ignored if the texture object is not a depth texture.
// Valid modes are:
// - Luminance: (R,G,B,A)=(r,r,r,1)
// - Intensity: (R,G,B,A)=(r,r,r,r)
// - Alpha: (R.G.B.A)=(0,0,0,r)
// Initial value is Luminance, as in OpenGL spec.
//// \item @|obj.SetDepthTextureMode (int )| -  Defines the mapping from depth component `r' to RGBA components.
// Ignored if the texture object is not a depth texture.
// Valid modes are:
// - Luminance: (R,G,B,A)=(r,r,r,1)
// - Intensity: (R,G,B,A)=(r,r,r,r)
// - Alpha: (R.G.B.A)=(0,0,0,r)
// Initial value is Luminance, as in OpenGL spec.
//// \item @|bool = obj.GetGenerateMipmap ()| -  Tells the hardware to generate mipmap textures from the first texture
// image at BaseLevel.
// Initial value is false, as in OpenGL spec.
//// \item @|obj.SetGenerateMipmap (bool )| -  Tells the hardware to generate mipmap textures from the first texture
// image at BaseLevel.
// Initial value is false, as in OpenGL spec.
//// \item @|obj.CopyToFrameBuffer (int srcXmin, int srcYmin, int srcXmax, int srcYmax, int dstXmin, int dstYmin, int width, int height)| -  Copy a sub-part of the texture (src) in the current framebuffer
// at location (dstXmin,dstYmin). (dstXmin,dstYmin) is the location of the
// lower left corner of the rectangle. width and height are the dimensions
// of the framebuffer.
// - texture coordinates are sent on texture coordinate processing unit 0.
// - if the fixed-pipeline fragment shader is used, texturing has to be set
// on texture image unit 0 and the texture object has to be bound on texture
// image unit 0.
// - if a customized fragment shader is used, you are free to pick the
// texture image unit you want. You can even have multiple texture objects
// attached on multiple texture image units. In this case, you call this
// method only on one of them.
// \pre positive_srcXmin: srcXmin>=0
// \pre max_srcXmax: srcXmax<this->GetWidth()
// \pre increasing_x: srcXmin<=srcXmax
// \pre positive_srcYmin: srcYmin>=0
// \pre max_srcYmax: srcYmax<this->GetHeight()
// \pre increasing_y: srcYmin<=srcYmax
// \pre positive_dstXmin: dstXmin>=0
// \pre positive_dstYmin: dstYmin>=0
// \pre positive_width: width>0
// \pre positive_height: height>0
// \pre x_fit: destXmin+(srcXmax-srcXmin)<width
// \pre y_fit: destYmin+(srcYmax-srcYmin)<height
//// \item @|obj.CopyFromFrameBuffer (int srcXmin, int srcYmin, int dstXmin, int dstYmin, int width, int height)| -  Copy a sub-part of a logical buffer of the framebuffer (color or depth)
// to the texture object. src is the framebuffer, dst is the texture.
// (srcXmin,srcYmin) is the location of the lower left corner of the
// rectangle in the framebuffer. (dstXmin,dstYmin) is the location of the
// lower left corner of the rectangle in the texture. width and height
// specifies the size of the rectangle in pixels.
// If the logical buffer is a color buffer, it has to be selected first with
// glReadBuffer().
// \pre is2D: GetNumberOfDimensions()==2
////\end{itemize}
//!
