#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTexturedActor2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTexturedActor2D.h"

//@@Signature
//sfunction @vtkTexturedActor2D:vtkTexturedActor2D vtkTexturedActor2DConstructorFunction
//input a
//output p
//@@Parents vtkTexturedActor2D vtkActor2D 
ArrayVector vtkTexturedActor2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTexturedActor2D::New(),"vtkTexturedActor2D",eval);
  } else if (arg[0].className() == "vtkTexturedActor2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTexturedActor2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTexturedActor2D");
    vtkTexturedActor2D*q = reinterpret_cast<vtkTexturedActor2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTexturedActor2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTexturedActor2D:GetClassName vtkTexturedActor2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTexturedActor2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTexturedActor2D requires 1 argument(s)");
  vtkTexturedActor2D* vtk_pointer = GetVTKPointer<vtkTexturedActor2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedActor2D:IsA vtkTexturedActor2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTexturedActor2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTexturedActor2D requires 2 argument(s)");
  vtkTexturedActor2D* vtk_pointer = GetVTKPointer<vtkTexturedActor2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedActor2D:NewInstance vtkTexturedActor2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTexturedActor2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTexturedActor2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTexturedActor2D requires 1 argument(s)");
  vtkTexturedActor2D* vtk_pointer = GetVTKPointer<vtkTexturedActor2D>(arg[0]);
  Array retval;
  vtkTexturedActor2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTexturedActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTexturedActor2D:SafeDownCast vtkTexturedActor2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTexturedActor2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTexturedActor2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTexturedActor2D requires 2 argument(s)");
  vtkTexturedActor2D* vtk_pointer = GetVTKPointer<vtkTexturedActor2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTexturedActor2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTexturedActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTexturedActor2D:SetTexture vtkTexturedActor2DSetTextureFunction
//input a0 a1 
//output none
ArrayVector vtkTexturedActor2DSetTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTexture (vtkTexture *texture); */
  if (arg.size() < 2) 
    throw Exception("Function SetTexture for class vtkTexturedActor2D requires 2 argument(s)");
  vtkTexturedActor2D* vtk_pointer = GetVTKPointer<vtkTexturedActor2D>(arg[0]);
  Array retval;
  vtkTexture  *temp0;
  temp0 = GetVTKPointer<vtkTexture>(arg[1]);
  vtk_pointer->SetTexture(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexturedActor2D:GetTexture vtkTexturedActor2DGetTextureFunction
//input a0 
//output y
ArrayVector vtkTexturedActor2DGetTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTexture *GetTexture (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTexture for class vtkTexturedActor2D requires 1 argument(s)");
  vtkTexturedActor2D* vtk_pointer = GetVTKPointer<vtkTexturedActor2D>(arg[0]);
  Array retval;
  vtkTexture  *temp20;
  temp20 = (vtk_pointer)->GetTexture();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTexturedActor2D:ReleaseGraphicsResources vtkTexturedActor2DReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkTexturedActor2DReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *win); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkTexturedActor2D requires 2 argument(s)");
  vtkTexturedActor2D* vtk_pointer = GetVTKPointer<vtkTexturedActor2D>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexturedActor2D:RenderOverlay vtkTexturedActor2DRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkTexturedActor2DRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkTexturedActor2D requires 2 argument(s)");
  vtkTexturedActor2D* vtk_pointer = GetVTKPointer<vtkTexturedActor2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedActor2D:RenderOpaqueGeometry vtkTexturedActor2DRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkTexturedActor2DRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkTexturedActor2D requires 2 argument(s)");
  vtkTexturedActor2D* vtk_pointer = GetVTKPointer<vtkTexturedActor2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedActor2D:RenderTranslucentPolygonalGeometry vtkTexturedActor2DRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkTexturedActor2DRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkTexturedActor2D requires 2 argument(s)");
  vtkTexturedActor2D* vtk_pointer = GetVTKPointer<vtkTexturedActor2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedActor2D:GetMTime vtkTexturedActor2DGetMTimeFunction
//input a0 
//output y
ArrayVector vtkTexturedActor2DGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkTexturedActor2D requires 1 argument(s)");
  vtkTexturedActor2D* vtk_pointer = GetVTKPointer<vtkTexturedActor2D>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedActor2D:ShallowCopy vtkTexturedActor2DShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkTexturedActor2DShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkTexturedActor2D requires 2 argument(s)");
  vtkTexturedActor2D* vtk_pointer = GetVTKPointer<vtkTexturedActor2D>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexturedActor2D:display vtkTexturedActor2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTexturedActor2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTexturedActor2D* vtk_pointer = GetVTKPointer<vtkTexturedActor2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTexturedActor2D:delete vtkTexturedActor2DDeleteFunction
//input varargin
//output none
ArrayVector vtkTexturedActor2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTexturedActor2D
//@@Section VTKRendering
//@@Usage
// vtkTexturedActor2D is an Actor2D which has additional support for
// textures, just like vtkActor. To use textures, the geometry must have
// texture coordinates, and the texture must be set with SetTexture().
//
//To create an instance of class vtkTexturedActor2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkTexturedActor2D
//@]
//@@Methods
//The class vtkTexturedActor2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTexturedActor2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTexturedActor2D = obj.NewInstance ()|
// \item @|vtkTexturedActor2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetTexture (vtkTexture texture)| -  Set/Get the texture object to control rendering texture maps.  This will
// be a vtkTexture object. An actor does not need to have an associated
// texture map and multiple actors can share one texture.
//// \item @|vtkTexture = obj.GetTexture ()| -  Set/Get the texture object to control rendering texture maps.  This will
// be a vtkTexture object. An actor does not need to have an associated
// texture map and multiple actors can share one texture.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow win)| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Support the standard render methods.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Support the standard render methods.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport viewport)| -  Support the standard render methods.
//// \item @|long = obj.GetMTime ()| -  Return this object's modified time.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of this vtkTexturedActor2D. Overrides vtkActor2D method.
////\end{itemize}
//!
