#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTransformInterpolator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTransformInterpolator.h"

//@@Signature
//sfunction @vtkTransformInterpolator:vtkTransformInterpolator vtkTransformInterpolatorConstructorFunction
//input a
//output p
//@@Parents vtkTransformInterpolator vtkObject 
ArrayVector vtkTransformInterpolatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTransformInterpolator::New(),"vtkTransformInterpolator",eval);
  } else if (arg[0].className() == "vtkTransformInterpolator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTransformInterpolator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTransformInterpolator");
    vtkTransformInterpolator*q = reinterpret_cast<vtkTransformInterpolator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTransformInterpolator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTransformInterpolator:GetClassName vtkTransformInterpolatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTransformInterpolatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTransformInterpolator requires 1 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:IsA vtkTransformInterpolatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTransformInterpolatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTransformInterpolator requires 2 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:NewInstance vtkTransformInterpolatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTransformInterpolatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransformInterpolator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTransformInterpolator requires 1 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  vtkTransformInterpolator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransformInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:SafeDownCast vtkTransformInterpolatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTransformInterpolatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransformInterpolator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTransformInterpolator requires 2 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTransformInterpolator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransformInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:GetNumberOfTransforms vtkTransformInterpolatorGetNumberOfTransformsFunction
//input a0 
//output y
ArrayVector vtkTransformInterpolatorGetNumberOfTransformsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTransforms (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTransforms for class vtkTransformInterpolator requires 1 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTransforms();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:GetMinimumT vtkTransformInterpolatorGetMinimumTFunction
//input a0 
//output y
ArrayVector vtkTransformInterpolatorGetMinimumTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumT (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumT for class vtkTransformInterpolator requires 1 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumT();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:GetMaximumT vtkTransformInterpolatorGetMaximumTFunction
//input a0 
//output y
ArrayVector vtkTransformInterpolatorGetMaximumTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumT (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumT for class vtkTransformInterpolator requires 1 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumT();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:Initialize vtkTransformInterpolatorInitializeFunction
//input a0 
//output none
ArrayVector vtkTransformInterpolatorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkTransformInterpolator requires 1 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:AddTransform__1 vtkTransformInterpolatorAddTransform__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkTransformInterpolatorAddTransform__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddTransform (double t, vtkTransform *xform); */
  if (arg.size() < 3) 
    throw Exception("Function AddTransform__1 for class vtkTransformInterpolator requires 3 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  double   temp0;
  vtkTransform  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkTransform>(arg[2]);
  vtk_pointer->AddTransform(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:AddTransform__2 vtkTransformInterpolatorAddTransform__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkTransformInterpolatorAddTransform__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddTransform (double t, vtkMatrix4x4 *matrix); */
  if (arg.size() < 3) 
    throw Exception("Function AddTransform__2 for class vtkTransformInterpolator requires 3 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  double   temp0;
  vtkMatrix4x4  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkMatrix4x4>(arg[2]);
  vtk_pointer->AddTransform(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:AddTransform__3 vtkTransformInterpolatorAddTransform__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkTransformInterpolatorAddTransform__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddTransform (double t, vtkProp3D *prop3D); */
  if (arg.size() < 3) 
    throw Exception("Function AddTransform__3 for class vtkTransformInterpolator requires 3 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  double   temp0;
  vtkProp3D  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkProp3D>(arg[2]);
  vtk_pointer->AddTransform(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:RemoveTransform vtkTransformInterpolatorRemoveTransformFunction
//input a0 a1 
//output none
ArrayVector vtkTransformInterpolatorRemoveTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveTransform (double t); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveTransform for class vtkTransformInterpolator requires 2 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->RemoveTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:InterpolateTransform vtkTransformInterpolatorInterpolateTransformFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTransformInterpolatorInterpolateTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateTransform (double t, vtkTransform *xform); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateTransform for class vtkTransformInterpolator requires 3 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  double   temp0;
  vtkTransform  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkTransform>(arg[2]);
  vtk_pointer->InterpolateTransform(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:SetInterpolationType vtkTransformInterpolatorSetInterpolationTypeFunction
//input a0 a1 
//output none
ArrayVector vtkTransformInterpolatorSetInterpolationTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInterpolationType for class vtkTransformInterpolator requires 2 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInterpolationType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:GetInterpolationTypeMinValue vtkTransformInterpolatorGetInterpolationTypeMinValueFunction
//input a0 
//output y
ArrayVector vtkTransformInterpolatorGetInterpolationTypeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationTypeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationTypeMinValue for class vtkTransformInterpolator requires 1 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationTypeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:GetInterpolationTypeMaxValue vtkTransformInterpolatorGetInterpolationTypeMaxValueFunction
//input a0 
//output y
ArrayVector vtkTransformInterpolatorGetInterpolationTypeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationTypeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationTypeMaxValue for class vtkTransformInterpolator requires 1 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationTypeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:GetInterpolationType vtkTransformInterpolatorGetInterpolationTypeFunction
//input a0 
//output y
ArrayVector vtkTransformInterpolatorGetInterpolationTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationType for class vtkTransformInterpolator requires 1 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:SetInterpolationTypeToLinear vtkTransformInterpolatorSetInterpolationTypeToLinearFunction
//input a0 
//output none
ArrayVector vtkTransformInterpolatorSetInterpolationTypeToLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationTypeToLinear ();this SetInterpolationType INTERPOLATION_TYPE_LINEAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationTypeToLinear for class vtkTransformInterpolator requires 1 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationTypeToLinear();
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:SetInterpolationTypeToSpline vtkTransformInterpolatorSetInterpolationTypeToSplineFunction
//input a0 
//output none
ArrayVector vtkTransformInterpolatorSetInterpolationTypeToSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationTypeToSpline ();this SetInterpolationType INTERPOLATION_TYPE_SPLINE  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationTypeToSpline for class vtkTransformInterpolator requires 1 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationTypeToSpline();
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:SetInterpolationTypeToManual vtkTransformInterpolatorSetInterpolationTypeToManualFunction
//input a0 
//output none
ArrayVector vtkTransformInterpolatorSetInterpolationTypeToManualFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationTypeToManual ();this SetInterpolationType INTERPOLATION_TYPE_MANUAL  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationTypeToManual for class vtkTransformInterpolator requires 1 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationTypeToManual();
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:SetPositionInterpolator vtkTransformInterpolatorSetPositionInterpolatorFunction
//input a0 a1 
//output none
ArrayVector vtkTransformInterpolatorSetPositionInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPositionInterpolator (vtkTupleInterpolator *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPositionInterpolator for class vtkTransformInterpolator requires 2 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  vtkTupleInterpolator  *temp0;
  temp0 = GetVTKPointer<vtkTupleInterpolator>(arg[1]);
  vtk_pointer->SetPositionInterpolator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:GetPositionInterpolator vtkTransformInterpolatorGetPositionInterpolatorFunction
//input a0 
//output y
ArrayVector vtkTransformInterpolatorGetPositionInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTupleInterpolator *GetPositionInterpolator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPositionInterpolator for class vtkTransformInterpolator requires 1 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  vtkTupleInterpolator  *temp20;
  temp20 = (vtk_pointer)->GetPositionInterpolator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTupleInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:SetScaleInterpolator vtkTransformInterpolatorSetScaleInterpolatorFunction
//input a0 a1 
//output none
ArrayVector vtkTransformInterpolatorSetScaleInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetScaleInterpolator (vtkTupleInterpolator *); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaleInterpolator for class vtkTransformInterpolator requires 2 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  vtkTupleInterpolator  *temp0;
  temp0 = GetVTKPointer<vtkTupleInterpolator>(arg[1]);
  vtk_pointer->SetScaleInterpolator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:GetScaleInterpolator vtkTransformInterpolatorGetScaleInterpolatorFunction
//input a0 
//output y
ArrayVector vtkTransformInterpolatorGetScaleInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTupleInterpolator *GetScaleInterpolator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleInterpolator for class vtkTransformInterpolator requires 1 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  vtkTupleInterpolator  *temp20;
  temp20 = (vtk_pointer)->GetScaleInterpolator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTupleInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:SetRotationInterpolator vtkTransformInterpolatorSetRotationInterpolatorFunction
//input a0 a1 
//output none
ArrayVector vtkTransformInterpolatorSetRotationInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRotationInterpolator (vtkQuaternionInterpolator *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRotationInterpolator for class vtkTransformInterpolator requires 2 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  vtkQuaternionInterpolator  *temp0;
  temp0 = GetVTKPointer<vtkQuaternionInterpolator>(arg[1]);
  vtk_pointer->SetRotationInterpolator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:GetRotationInterpolator vtkTransformInterpolatorGetRotationInterpolatorFunction
//input a0 
//output y
ArrayVector vtkTransformInterpolatorGetRotationInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuaternionInterpolator *GetRotationInterpolator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRotationInterpolator for class vtkTransformInterpolator requires 1 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  vtkQuaternionInterpolator  *temp20;
  temp20 = (vtk_pointer)->GetRotationInterpolator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuaternionInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:GetMTime vtkTransformInterpolatorGetMTimeFunction
//input a0 
//output y
ArrayVector vtkTransformInterpolatorGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkTransformInterpolator requires 1 argument(s)");
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformInterpolator:AddTransform vtkTransformInterpolatorAddTransformFunction
//input varargin
//output varargout
ArrayVector vtkTransformInterpolatorAddTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkTransform"))
    return vtkTransformInterpolatorAddTransform__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkMatrix4x4"))
    return vtkTransformInterpolatorAddTransform__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkProp3D"))
    return vtkTransformInterpolatorAddTransform__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformInterpolatorAddTransform");
}

//@@Signature
//sfunction @vtkTransformInterpolator:display vtkTransformInterpolatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTransformInterpolatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTransformInterpolator* vtk_pointer = GetVTKPointer<vtkTransformInterpolator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTransformInterpolator:delete vtkTransformInterpolatorDeleteFunction
//input varargin
//output none
ArrayVector vtkTransformInterpolatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTransformInterpolator
//@@Section VTKRendering
//@@Usage
// This class is used to interpolate a series of 4x4 transformation
// matrices. Position, scale and orientation (i.e., rotations) are
// interpolated separately, and can be interpolated linearly or with a spline
// function. Note that orientation is interpolated using quaternions via
// SLERP (spherical linear interpolation) or the special vtkQuaternionSpline
// class.
//
// To use this class, specify at least two pairs of (t,transformation matrix)
// with the AddTransform() method.  Then interpolated the transforms with the
// InterpolateTransform(t,transform) method, where "t" must be in the range
// of (min,max) times specified by the AddTransform() method.
//
// By default, spline interpolation is used for the interpolation of the
// transformation matrices. The position, scale and orientation of the
// matrices are interpolated with instances of the classes
// vtkTupleInterpolator (position,scale) and vtkQuaternionInterpolator
// (rotation). The user can override the interpolation behavior by gaining
// access to these separate interpolation classes.  These interpolator
// classes (vtkTupleInterpolator and vtkQuaternionInterpolator) can be
// modified to perform linear versus spline interpolation, and/or different
// spline basis functions can be specified.
//
//
//To create an instance of class vtkTransformInterpolator, simply
//invoke its constructor as follows
//@[
//  obj = vtkTransformInterpolator
//@]
//@@Methods
//The class vtkTransformInterpolator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTransformInterpolator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTransformInterpolator = obj.NewInstance ()|
// \item @|vtkTransformInterpolator = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetNumberOfTransforms ()| -  Return the number of transforms in the list of transforms.
//// \item @|double = obj.GetMinimumT ()| -  Obtain some information about the interpolation range. The numbers
// returned (corresponding to parameter t, usually thought of as time)
// are undefined if the list of transforms is empty.
//// \item @|double = obj.GetMaximumT ()| -  Obtain some information about the interpolation range. The numbers
// returned (corresponding to parameter t, usually thought of as time)
// are undefined if the list of transforms is empty.
//// \item @|obj.Initialize ()| -  Clear the list of transforms.
//// \item @|obj.AddTransform (double t, vtkTransform xform)| -  Add another transform to the list of transformations defining
// the transform function. Note that using the same time t value
// more than once replaces the previous transform value at t.
// At least two transforms must be added to define a function.
// There are variants to this method depending on whether you are
// adding a vtkTransform, vtkMaxtirx4x4, and/or vtkProp3D.
//// \item @|obj.AddTransform (double t, vtkMatrix4x4 matrix)| -  Add another transform to the list of transformations defining
// the transform function. Note that using the same time t value
// more than once replaces the previous transform value at t.
// At least two transforms must be added to define a function.
// There are variants to this method depending on whether you are
// adding a vtkTransform, vtkMaxtirx4x4, and/or vtkProp3D.
//// \item @|obj.AddTransform (double t, vtkProp3D prop3D)| -  Add another transform to the list of transformations defining
// the transform function. Note that using the same time t value
// more than once replaces the previous transform value at t.
// At least two transforms must be added to define a function.
// There are variants to this method depending on whether you are
// adding a vtkTransform, vtkMaxtirx4x4, and/or vtkProp3D.
//// \item @|obj.RemoveTransform (double t)| -  Delete the transform at a particular parameter t. If there is no
// transform defined at location t, then the method does nothing.
//// \item @|obj.InterpolateTransform (double t, vtkTransform xform)| -  Interpolate the list of transforms and determine a new transform (i.e.,
// fill in the transformation provided). If t is outside the range of
// (min,max) values, then t is clamped.
//// \item @|obj.SetInterpolationType (int )| -  These are convenience methods to switch between linear and spline
// interpolation. The methods simply forward the request for linear or
// spline interpolation to the position, scale and orientation
// interpolators. Note that if the InterpolationType is set to "Manual",
// then the interpolators are expected to be directly manipulated and
// this class does not forward the request for interpolation type to its
// interpolators.
//// \item @|int = obj.GetInterpolationTypeMinValue ()| -  These are convenience methods to switch between linear and spline
// interpolation. The methods simply forward the request for linear or
// spline interpolation to the position, scale and orientation
// interpolators. Note that if the InterpolationType is set to "Manual",
// then the interpolators are expected to be directly manipulated and
// this class does not forward the request for interpolation type to its
// interpolators.
//// \item @|int = obj.GetInterpolationTypeMaxValue ()| -  These are convenience methods to switch between linear and spline
// interpolation. The methods simply forward the request for linear or
// spline interpolation to the position, scale and orientation
// interpolators. Note that if the InterpolationType is set to "Manual",
// then the interpolators are expected to be directly manipulated and
// this class does not forward the request for interpolation type to its
// interpolators.
//// \item @|int = obj.GetInterpolationType ()| -  These are convenience methods to switch between linear and spline
// interpolation. The methods simply forward the request for linear or
// spline interpolation to the position, scale and orientation
// interpolators. Note that if the InterpolationType is set to "Manual",
// then the interpolators are expected to be directly manipulated and
// this class does not forward the request for interpolation type to its
// interpolators.
//// \item @|obj.SetInterpolationTypeToLinear ()| -  These are convenience methods to switch between linear and spline
// interpolation. The methods simply forward the request for linear or
// spline interpolation to the position, scale and orientation
// interpolators. Note that if the InterpolationType is set to "Manual",
// then the interpolators are expected to be directly manipulated and
// this class does not forward the request for interpolation type to its
// interpolators.
//// \item @|obj.SetInterpolationTypeToSpline ()| -  These are convenience methods to switch between linear and spline
// interpolation. The methods simply forward the request for linear or
// spline interpolation to the position, scale and orientation
// interpolators. Note that if the InterpolationType is set to "Manual",
// then the interpolators are expected to be directly manipulated and
// this class does not forward the request for interpolation type to its
// interpolators.
//// \item @|obj.SetInterpolationTypeToManual ()| -  Set/Get the tuple interpolator used to interpolate the position portion
// of the transformation matrix. Note that you can modify the behavior of
// the interpolator (linear vs spline interpolation; change spline basis)
// by manipulating the interpolator instances.
//// \item @|obj.SetPositionInterpolator (vtkTupleInterpolator )| -  Set/Get the tuple interpolator used to interpolate the position portion
// of the transformation matrix. Note that you can modify the behavior of
// the interpolator (linear vs spline interpolation; change spline basis)
// by manipulating the interpolator instances.
//// \item @|vtkTupleInterpolator = obj.GetPositionInterpolator ()| -  Set/Get the tuple interpolator used to interpolate the position portion
// of the transformation matrix. Note that you can modify the behavior of
// the interpolator (linear vs spline interpolation; change spline basis)
// by manipulating the interpolator instances.
//// \item @|obj.SetScaleInterpolator (vtkTupleInterpolator )| -  Set/Get the tuple interpolator used to interpolate the scale portion
// of the transformation matrix. Note that you can modify the behavior of
// the interpolator (linear vs spline interpolation; change spline basis)
// by manipulating the interpolator instances.
//// \item @|vtkTupleInterpolator = obj.GetScaleInterpolator ()| -  Set/Get the tuple interpolator used to interpolate the scale portion
// of the transformation matrix. Note that you can modify the behavior of
// the interpolator (linear vs spline interpolation; change spline basis)
// by manipulating the interpolator instances.
//// \item @|obj.SetRotationInterpolator (vtkQuaternionInterpolator )| -  Set/Get the tuple interpolator used to interpolate the orientation portion
// of the transformation matrix. Note that you can modify the behavior of
// the interpolator (linear vs spline interpolation; change spline basis)
// by manipulating the interpolator instances.
//// \item @|vtkQuaternionInterpolator = obj.GetRotationInterpolator ()| -  Set/Get the tuple interpolator used to interpolate the orientation portion
// of the transformation matrix. Note that you can modify the behavior of
// the interpolator (linear vs spline interpolation; change spline basis)
// by manipulating the interpolator instances.
//// \item @|long = obj.GetMTime ()| -  Override GetMTime() because we depend on the interpolators which may be
// modified outside of this class.
////\end{itemize}
//!
