#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTranslucentPass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTranslucentPass.h"

//@@Signature
//sfunction @vtkTranslucentPass:vtkTranslucentPass vtkTranslucentPassConstructorFunction
//input a
//output p
//@@Parents vtkTranslucentPass vtkDefaultPass 
ArrayVector vtkTranslucentPassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTranslucentPass::New(),"vtkTranslucentPass",eval);
  } else if (arg[0].className() == "vtkTranslucentPass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTranslucentPass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTranslucentPass");
    vtkTranslucentPass*q = reinterpret_cast<vtkTranslucentPass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTranslucentPass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTranslucentPass:GetClassName vtkTranslucentPassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTranslucentPassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTranslucentPass requires 1 argument(s)");
  vtkTranslucentPass* vtk_pointer = GetVTKPointer<vtkTranslucentPass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTranslucentPass:IsA vtkTranslucentPassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTranslucentPassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTranslucentPass requires 2 argument(s)");
  vtkTranslucentPass* vtk_pointer = GetVTKPointer<vtkTranslucentPass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTranslucentPass:NewInstance vtkTranslucentPassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTranslucentPassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTranslucentPass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTranslucentPass requires 1 argument(s)");
  vtkTranslucentPass* vtk_pointer = GetVTKPointer<vtkTranslucentPass>(arg[0]);
  Array retval;
  vtkTranslucentPass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTranslucentPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTranslucentPass:SafeDownCast vtkTranslucentPassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTranslucentPassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTranslucentPass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTranslucentPass requires 2 argument(s)");
  vtkTranslucentPass* vtk_pointer = GetVTKPointer<vtkTranslucentPass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTranslucentPass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTranslucentPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTranslucentPass:display vtkTranslucentPassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTranslucentPassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTranslucentPass* vtk_pointer = GetVTKPointer<vtkTranslucentPass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTranslucentPass:delete vtkTranslucentPassDeleteFunction
//input varargin
//output none
ArrayVector vtkTranslucentPassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTranslucentPass
//@@Section VTKRendering
//@@Usage
// vtkTranslucentPass renders the translucent polygonal geometry of all the
// props that have the keys contained in vtkRenderState.
//
// This pass expects an initialized depth buffer and color buffer.
// Initialized buffers means they have been cleared with farest z-value and
// background color/gradient/transparent color.
// 
//
//To create an instance of class vtkTranslucentPass, simply
//invoke its constructor as follows
//@[
//  obj = vtkTranslucentPass
//@]
//@@Methods
//The class vtkTranslucentPass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTranslucentPass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTranslucentPass = obj.NewInstance ()|
// \item @|vtkTranslucentPass = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
