#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTupleInterpolator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTupleInterpolator.h"

//@@Signature
//sfunction @vtkTupleInterpolator:vtkTupleInterpolator vtkTupleInterpolatorConstructorFunction
//input a
//output p
//@@Parents vtkTupleInterpolator vtkObject 
ArrayVector vtkTupleInterpolatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTupleInterpolator::New(),"vtkTupleInterpolator",eval);
  } else if (arg[0].className() == "vtkTupleInterpolator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTupleInterpolator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTupleInterpolator");
    vtkTupleInterpolator*q = reinterpret_cast<vtkTupleInterpolator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTupleInterpolator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTupleInterpolator:GetClassName vtkTupleInterpolatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTupleInterpolatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTupleInterpolator requires 1 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:IsA vtkTupleInterpolatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTupleInterpolatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTupleInterpolator requires 2 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:NewInstance vtkTupleInterpolatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTupleInterpolatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTupleInterpolator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTupleInterpolator requires 1 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  vtkTupleInterpolator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTupleInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:SafeDownCast vtkTupleInterpolatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTupleInterpolatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTupleInterpolator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTupleInterpolator requires 2 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTupleInterpolator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTupleInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:SetNumberOfComponents vtkTupleInterpolatorSetNumberOfComponentsFunction
//input a0 a1 
//output none
ArrayVector vtkTupleInterpolatorSetNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfComponents (int numComp); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfComponents for class vtkTupleInterpolator requires 2 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfComponents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:GetNumberOfComponents vtkTupleInterpolatorGetNumberOfComponentsFunction
//input a0 
//output y
ArrayVector vtkTupleInterpolatorGetNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComponents for class vtkTupleInterpolator requires 1 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:GetNumberOfTuples vtkTupleInterpolatorGetNumberOfTuplesFunction
//input a0 
//output y
ArrayVector vtkTupleInterpolatorGetNumberOfTuplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTuples (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTuples for class vtkTupleInterpolator requires 1 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTuples();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:GetMinimumT vtkTupleInterpolatorGetMinimumTFunction
//input a0 
//output y
ArrayVector vtkTupleInterpolatorGetMinimumTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumT (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumT for class vtkTupleInterpolator requires 1 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumT();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:GetMaximumT vtkTupleInterpolatorGetMaximumTFunction
//input a0 
//output y
ArrayVector vtkTupleInterpolatorGetMaximumTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumT (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumT for class vtkTupleInterpolator requires 1 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumT();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:Initialize vtkTupleInterpolatorInitializeFunction
//input a0 
//output none
ArrayVector vtkTupleInterpolatorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkTupleInterpolator requires 1 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:AddTuple vtkTupleInterpolatorAddTupleFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTupleInterpolatorAddTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddTuple (double t, double tuple[]); */
  if (arg.size() < 3) 
    throw Exception("Function AddTuple for class vtkTupleInterpolator requires 3 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  double   temp0;
  double  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->AddTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:RemoveTuple vtkTupleInterpolatorRemoveTupleFunction
//input a0 a1 
//output none
ArrayVector vtkTupleInterpolatorRemoveTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveTuple (double t); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveTuple for class vtkTupleInterpolator requires 2 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->RemoveTuple(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:InterpolateTuple vtkTupleInterpolatorInterpolateTupleFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTupleInterpolatorInterpolateTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateTuple (double t, double tuple[]); */
  if (arg.size() < 3) 
    throw Exception("Function InterpolateTuple for class vtkTupleInterpolator requires 3 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  double   temp0;
  double  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->InterpolateTuple(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:SetInterpolationType vtkTupleInterpolatorSetInterpolationTypeFunction
//input a0 a1 
//output none
ArrayVector vtkTupleInterpolatorSetInterpolationTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationType (int type); */
  if (arg.size() < 2) 
    throw Exception("Function SetInterpolationType for class vtkTupleInterpolator requires 2 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInterpolationType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:GetInterpolationType vtkTupleInterpolatorGetInterpolationTypeFunction
//input a0 
//output y
ArrayVector vtkTupleInterpolatorGetInterpolationTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationType for class vtkTupleInterpolator requires 1 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:SetInterpolationTypeToLinear vtkTupleInterpolatorSetInterpolationTypeToLinearFunction
//input a0 
//output none
ArrayVector vtkTupleInterpolatorSetInterpolationTypeToLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationTypeToLinear ();this SetInterpolationType INTERPOLATION_TYPE_LINEAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationTypeToLinear for class vtkTupleInterpolator requires 1 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationTypeToLinear();
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:SetInterpolationTypeToSpline vtkTupleInterpolatorSetInterpolationTypeToSplineFunction
//input a0 
//output none
ArrayVector vtkTupleInterpolatorSetInterpolationTypeToSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationTypeToSpline ();this SetInterpolationType INTERPOLATION_TYPE_SPLINE  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationTypeToSpline for class vtkTupleInterpolator requires 1 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationTypeToSpline();
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:SetInterpolatingSpline vtkTupleInterpolatorSetInterpolatingSplineFunction
//input a0 a1 
//output none
ArrayVector vtkTupleInterpolatorSetInterpolatingSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolatingSpline (vtkSpline *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInterpolatingSpline for class vtkTupleInterpolator requires 2 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  vtkSpline  *temp0;
  temp0 = GetVTKPointer<vtkSpline>(arg[1]);
  vtk_pointer->SetInterpolatingSpline(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:GetInterpolatingSpline vtkTupleInterpolatorGetInterpolatingSplineFunction
//input a0 
//output y
ArrayVector vtkTupleInterpolatorGetInterpolatingSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpline *GetInterpolatingSpline (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolatingSpline for class vtkTupleInterpolator requires 1 argument(s)");
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  Array retval;
  vtkSpline  *temp20;
  temp20 = (vtk_pointer)->GetInterpolatingSpline();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTupleInterpolator:display vtkTupleInterpolatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTupleInterpolatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTupleInterpolator* vtk_pointer = GetVTKPointer<vtkTupleInterpolator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTupleInterpolator:delete vtkTupleInterpolatorDeleteFunction
//input varargin
//output none
ArrayVector vtkTupleInterpolatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTupleInterpolator
//@@Section VTKRendering
//@@Usage
// This class is used to interpolate a tuple which may have an arbitrary
// number of components (but at least one component). The interpolation may
// be linear in form, or via a subclasses of vtkSpline.
//
// To use this class, begin by specifying the number of components of the
// tuple and the interpolation function to use. Then specify at least one
// pair of (t,tuple) with the AddTuple() method.  Next interpolate the
// tuples with the InterpolateTuple(t,tuple) method, where "t" must be in the
// range of (t_min,t_max) parameter values specified by the AddTuple() method
// (if not then t is clamped), and tuple[] is filled in by the method (make
// sure that tuple [] is long enough to hold the interpolated data).
//
// You can control the type of interpolation to use. By default, the
// interpolation is based on a Kochanek spline. However, other types of
// splines can be specified. You can also set the interpolation method
// to linear, in which case the specified spline has no effect on the
// interpolation.
//
//To create an instance of class vtkTupleInterpolator, simply
//invoke its constructor as follows
//@[
//  obj = vtkTupleInterpolator
//@]
//@@Methods
//The class vtkTupleInterpolator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTupleInterpolator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTupleInterpolator = obj.NewInstance ()|
// \item @|vtkTupleInterpolator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfComponents (int numComp)| -  Specify the number of tuple components to interpolate. Note that setting
// this value discards any previously inserted data.
//// \item @|int = obj.GetNumberOfComponents ()| -  Specify the number of tuple components to interpolate. Note that setting
// this value discards any previously inserted data.
//// \item @|int = obj.GetNumberOfTuples ()| -  Return the number of tuples in the list of tuples to be
// interpolated.
//// \item @|double = obj.GetMinimumT ()| -  Obtain some information about the interpolation range. The numbers
// returned (corresponding to parameter t, usually thought of as time)
// are undefined if the list of transforms is empty. This is a convenience
// method for interpolation.
//// \item @|double = obj.GetMaximumT ()| -  Obtain some information about the interpolation range. The numbers
// returned (corresponding to parameter t, usually thought of as time)
// are undefined if the list of transforms is empty. This is a convenience
// method for interpolation.
//// \item @|obj.Initialize ()| -  Reset the class so that it contains no (t,tuple) information.
//// \item @|obj.AddTuple (double t, double tuple[])| -  Add another tuple to the list of tuples to be interpolated.  Note that
// using the same time t value more than once replaces the previous tuple
// value at t.  At least two tuples must be added to define an
// interpolation function.
//// \item @|obj.RemoveTuple (double t)| -  Delete the tuple at a particular parameter t. If there is no
// tuple defined at t, then the method does nothing.
//// \item @|obj.InterpolateTuple (double t, double tuple[])| -  Interpolate the list of tuples and determine a new tuple (i.e.,
// fill in the tuple provided). If t is outside the range of
// (min,max) values, then t is clamped. Note that each component
// of tuple[] is interpolated independently.
//// \item @|obj.SetInterpolationType (int type)| -  Specify which type of function to use for interpolation. By default
// spline interpolation (SetInterpolationFunctionToSpline()) is used
// (i.e., a Kochanek spline) and the InterpolatingSpline instance variable
// is used to birth the actual interpolation splines via a combination of
// NewInstance() and DeepCopy(). You may also choose to use linear
// interpolation by invoking SetInterpolationFunctionToLinear(). Note that
// changing the type of interpolation causes previously inserted data
// to be discarded.
//// \item @|int = obj.GetInterpolationType ()| -  Specify which type of function to use for interpolation. By default
// spline interpolation (SetInterpolationFunctionToSpline()) is used
// (i.e., a Kochanek spline) and the InterpolatingSpline instance variable
// is used to birth the actual interpolation splines via a combination of
// NewInstance() and DeepCopy(). You may also choose to use linear
// interpolation by invoking SetInterpolationFunctionToLinear(). Note that
// changing the type of interpolation causes previously inserted data
// to be discarded.
//// \item @|obj.SetInterpolationTypeToLinear ()| -  Specify which type of function to use for interpolation. By default
// spline interpolation (SetInterpolationFunctionToSpline()) is used
// (i.e., a Kochanek spline) and the InterpolatingSpline instance variable
// is used to birth the actual interpolation splines via a combination of
// NewInstance() and DeepCopy(). You may also choose to use linear
// interpolation by invoking SetInterpolationFunctionToLinear(). Note that
// changing the type of interpolation causes previously inserted data
// to be discarded.
//// \item @|obj.SetInterpolationTypeToSpline ()| -  If the InterpolationType is set to spline, then this method applies. By
// default Kochanek interpolation is used, but you can specify any instance
// of vtkSpline to use. Note that the actual interpolating splines are
// created by invoking NewInstance() followed by DeepCopy() on the
// interpolating spline specified here, for each tuple component to
// interpolate.
//// \item @|obj.SetInterpolatingSpline (vtkSpline )| -  If the InterpolationType is set to spline, then this method applies. By
// default Kochanek interpolation is used, but you can specify any instance
// of vtkSpline to use. Note that the actual interpolating splines are
// created by invoking NewInstance() followed by DeepCopy() on the
// interpolating spline specified here, for each tuple component to
// interpolate.
//// \item @|vtkSpline = obj.GetInterpolatingSpline ()| -  If the InterpolationType is set to spline, then this method applies. By
// default Kochanek interpolation is used, but you can specify any instance
// of vtkSpline to use. Note that the actual interpolating splines are
// created by invoking NewInstance() followed by DeepCopy() on the
// interpolating spline specified here, for each tuple component to
// interpolate.
////\end{itemize}
//!
