#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUniformVariables object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUniformVariables.h"

//@@Signature
//sfunction @vtkUniformVariables:vtkUniformVariables vtkUniformVariablesConstructorFunction
//input a
//output p
//@@Parents vtkUniformVariables vtkObject 
ArrayVector vtkUniformVariablesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUniformVariables::New(),"vtkUniformVariables",eval);
  } else if (arg[0].className() == "vtkUniformVariables") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUniformVariables"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUniformVariables");
    vtkUniformVariables*q = reinterpret_cast<vtkUniformVariables*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUniformVariables");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUniformVariables:GetClassName vtkUniformVariablesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUniformVariablesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUniformVariables requires 1 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:IsA vtkUniformVariablesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUniformVariablesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUniformVariables requires 2 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:NewInstance vtkUniformVariablesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUniformVariablesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUniformVariables *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUniformVariables requires 1 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  vtkUniformVariables  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUniformVariables",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:SafeDownCast vtkUniformVariablesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUniformVariablesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUniformVariables *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUniformVariables requires 2 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUniformVariables  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUniformVariables",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:SetUniformi vtkUniformVariablesSetUniformiFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkUniformVariablesSetUniformiFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUniformi (const char *name, int numberOfComponents, int *value); */
  if (arg.size() < 4) 
    throw Exception("Function SetUniformi for class vtkUniformVariables requires 4 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int     *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  vtk_pointer->SetUniformi(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:SetUniformf vtkUniformVariablesSetUniformfFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkUniformVariablesSetUniformfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUniformf (const char *name, int numberOfComponents, float *value); */
  if (arg.size() < 4) 
    throw Exception("Function SetUniformf for class vtkUniformVariables requires 4 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  float   *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new float[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
      }
  vtk_pointer->SetUniformf(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:SetUniformiv vtkUniformVariablesSetUniformivFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkUniformVariablesSetUniformivFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUniformiv (const char *name, int numberOfComponents, int numberOfElements, int *value); */
  if (arg.size() < 5) 
    throw Exception("Function SetUniformiv for class vtkUniformVariables requires 5 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  int     *temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new int[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
      }
  vtk_pointer->SetUniformiv(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:SetUniformfv vtkUniformVariablesSetUniformfvFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkUniformVariablesSetUniformfvFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUniformfv (const char *name, int numberOfComponents, int numberOfElements, float *value); */
  if (arg.size() < 5) 
    throw Exception("Function SetUniformfv for class vtkUniformVariables requires 5 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  float   *temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new float[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (float)data[k+1];
      }
  vtk_pointer->SetUniformfv(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:SetUniformMatrix vtkUniformVariablesSetUniformMatrixFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkUniformVariablesSetUniformMatrixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUniformMatrix (const char *name, int rows, int columns, float *value); */
  if (arg.size() < 5) 
    throw Exception("Function SetUniformMatrix for class vtkUniformVariables requires 5 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  float   *temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new float[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (float)data[k+1];
      }
  vtk_pointer->SetUniformMatrix(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:RemoveUniform vtkUniformVariablesRemoveUniformFunction
//input a0 a1 
//output none
ArrayVector vtkUniformVariablesRemoveUniformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveUniform (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveUniform for class vtkUniformVariables requires 2 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->RemoveUniform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:RemoveAllUniforms vtkUniformVariablesRemoveAllUniformsFunction
//input a0 
//output none
ArrayVector vtkUniformVariablesRemoveAllUniformsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllUniforms (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllUniforms for class vtkUniformVariables requires 1 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllUniforms();
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:Send vtkUniformVariablesSendFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUniformVariablesSendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Send (const char *name, int uniformIndex); */
  if (arg.size() < 3) 
    throw Exception("Function Send for class vtkUniformVariables requires 3 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Send(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:Start vtkUniformVariablesStartFunction
//input a0 
//output none
ArrayVector vtkUniformVariablesStartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Start (); */
  if (arg.size() < 1) 
    throw Exception("Function Start for class vtkUniformVariables requires 1 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  vtk_pointer->Start();
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:IsAtEnd vtkUniformVariablesIsAtEndFunction
//input a0 
//output y
ArrayVector vtkUniformVariablesIsAtEndFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool IsAtEnd (); */
  if (arg.size() < 1) 
    throw Exception("Function IsAtEnd for class vtkUniformVariables requires 1 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->IsAtEnd();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:GetCurrentName vtkUniformVariablesGetCurrentNameFunction
//input a0 
//output y
ArrayVector vtkUniformVariablesGetCurrentNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetCurrentName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentName for class vtkUniformVariables requires 1 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetCurrentName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:SendCurrentUniform vtkUniformVariablesSendCurrentUniformFunction
//input a0 a1 
//output none
ArrayVector vtkUniformVariablesSendCurrentUniformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SendCurrentUniform (int uniformIndex); */
  if (arg.size() < 2) 
    throw Exception("Function SendCurrentUniform for class vtkUniformVariables requires 2 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SendCurrentUniform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:Next vtkUniformVariablesNextFunction
//input a0 
//output none
ArrayVector vtkUniformVariablesNextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Next (); */
  if (arg.size() < 1) 
    throw Exception("Function Next for class vtkUniformVariables requires 1 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  vtk_pointer->Next();
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:DeepCopy vtkUniformVariablesDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkUniformVariablesDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkUniformVariables *other); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkUniformVariables requires 2 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  vtkUniformVariables  *temp0;
  temp0 = GetVTKPointer<vtkUniformVariables>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:Merge vtkUniformVariablesMergeFunction
//input a0 a1 
//output none
ArrayVector vtkUniformVariablesMergeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Merge (vtkUniformVariables *other); */
  if (arg.size() < 2) 
    throw Exception("Function Merge for class vtkUniformVariables requires 2 argument(s)");
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  Array retval;
  vtkUniformVariables  *temp0;
  temp0 = GetVTKPointer<vtkUniformVariables>(arg[1]);
  vtk_pointer->Merge(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUniformVariables:display vtkUniformVariablesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUniformVariablesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUniformVariables* vtk_pointer = GetVTKPointer<vtkUniformVariables>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUniformVariables:delete vtkUniformVariablesDeleteFunction
//input varargin
//output none
ArrayVector vtkUniformVariablesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUniformVariables
//@@Section VTKRendering
//@@Usage
// vtkUniformVariables is a list of uniform variables attached to either a
// vtkShader2 object or to a vtkShaderProgram2. Uniform variables on
// a vtkShaderProgram2 override values of uniform variables on a vtkShader2.
//
//To create an instance of class vtkUniformVariables, simply
//invoke its constructor as follows
//@[
//  obj = vtkUniformVariables
//@]
//@@Methods
//The class vtkUniformVariables has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUniformVariables class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUniformVariables = obj.NewInstance ()|
// \item @|vtkUniformVariables = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetUniformi (string name, int numberOfComponents, int value)| -  Set an integer uniform variable.
// \pre name_exists: name!=0
// \pre value_exists: value!=0
// \pre valid_numberOfComponents: numberOfComponents>=1 && numberOfComponents<=4
//// \item @|obj.SetUniformf (string name, int numberOfComponents, float value)| -  Set an float uniform variable.
// \pre name_exists: name!=0
// \pre value_exists: value!=0
// \pre valid_numberOfComponents: numberOfComponents>=1 && numberOfComponents<=4
//// \item @|obj.SetUniformiv (string name, int numberOfComponents, int numberOfElements, int value)| -  Set an array of integer uniform variables.
// The array `value' is of size `numberOfElements'*`numberOfComponents.'.
// \pre name_exists: name!=0
// \pre value_exists: value!=0
// \pre valid_numberOfComponents: numberOfComponents>=1 && numberOfComponents<=4
// \pre valid_numberOfElements: numberOfElements>=1
//// \item @|obj.SetUniformfv (string name, int numberOfComponents, int numberOfElements, float value)| -  Set an array of float uniform variables.
// The array `value' is of size `numberOfElements'*`numberOfComponents.'.
// \pre name_exists: name!=0
// \pre value_exists: value!=0
// \pre valid_numberOfComponents: numberOfComponents>=1 && numberOfComponents<=4
// \pre valid_numberOfElements: numberOfElements>=1
//// \item @|obj.SetUniformMatrix (string name, int rows, int columns, float value)| -  Set a matrix uniform variable.
// \pre name_exists: name!=0
// \pre value_exists: value!=0
// \pre valid_rows:  rows>=2 && rows<=4
// \pre valid_columns: columns>=2 && columns<=4
//// \item @|obj.RemoveUniform (string name)| -  Remove uniform `name' from the list.
//// \item @|obj.RemoveAllUniforms ()| -  Remove all uniforms from the list.
//// \item @|obj.Send (string name, int uniformIndex)| -  \pre need a valid OpenGL context and a shader program in use.
//// \item @|obj.Start ()| -  Place the internal cursor on the first uniform.
//// \item @|bool = obj.IsAtEnd ()| -  Is the iteration done?
//// \item @|string = obj.GetCurrentName ()| -  Name of the uniform at the current cursor position.
// \pre not_done: !this->IsAtEnd()
//// \item @|obj.SendCurrentUniform (int uniformIndex)| -  \pre need a valid OpenGL context and a shader program in use.
// \pre not_done: !this->IsAtEnd()
//// \item @|obj.Next ()| -  Move the cursor to the next uniform.
// \pre not_done: !this->IsAtEnd()
//// \item @|obj.DeepCopy (vtkUniformVariables other)| -  Copy all the variables from `other'. Any existing variable will be
// deleted first.
// \pre other_exists: other!=0
// \pre not_self: other!=this
//// \item @|obj.Merge (vtkUniformVariables other)| -  Copy all the variables from `other'. Any existing variable will be
// overwritten.
// \pre other_exists: other!=0
// \pre not_self: other!=this
////\end{itemize}
//!
