#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVRMLExporter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVRMLExporter.h"

//@@Signature
//sfunction @vtkVRMLExporter:vtkVRMLExporter vtkVRMLExporterConstructorFunction
//input a
//output p
//@@Parents vtkVRMLExporter vtkExporter 
ArrayVector vtkVRMLExporterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVRMLExporter::New(),"vtkVRMLExporter",eval);
  } else if (arg[0].className() == "vtkVRMLExporter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVRMLExporter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVRMLExporter");
    vtkVRMLExporter*q = reinterpret_cast<vtkVRMLExporter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVRMLExporter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVRMLExporter:GetClassName vtkVRMLExporterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVRMLExporterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVRMLExporter requires 1 argument(s)");
  vtkVRMLExporter* vtk_pointer = GetVTKPointer<vtkVRMLExporter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVRMLExporter:IsA vtkVRMLExporterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVRMLExporterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVRMLExporter requires 2 argument(s)");
  vtkVRMLExporter* vtk_pointer = GetVTKPointer<vtkVRMLExporter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVRMLExporter:NewInstance vtkVRMLExporterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVRMLExporterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVRMLExporter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVRMLExporter requires 1 argument(s)");
  vtkVRMLExporter* vtk_pointer = GetVTKPointer<vtkVRMLExporter>(arg[0]);
  Array retval;
  vtkVRMLExporter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVRMLExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVRMLExporter:SafeDownCast vtkVRMLExporterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVRMLExporterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVRMLExporter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVRMLExporter requires 2 argument(s)");
  vtkVRMLExporter* vtk_pointer = GetVTKPointer<vtkVRMLExporter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVRMLExporter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVRMLExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVRMLExporter:SetFileName vtkVRMLExporterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkVRMLExporterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkVRMLExporter requires 2 argument(s)");
  vtkVRMLExporter* vtk_pointer = GetVTKPointer<vtkVRMLExporter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVRMLExporter:GetFileName vtkVRMLExporterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkVRMLExporterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkVRMLExporter requires 1 argument(s)");
  vtkVRMLExporter* vtk_pointer = GetVTKPointer<vtkVRMLExporter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVRMLExporter:SetSpeed vtkVRMLExporterSetSpeedFunction
//input a0 a1 
//output none
ArrayVector vtkVRMLExporterSetSpeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpeed (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpeed for class vtkVRMLExporter requires 2 argument(s)");
  vtkVRMLExporter* vtk_pointer = GetVTKPointer<vtkVRMLExporter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSpeed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVRMLExporter:GetSpeed vtkVRMLExporterGetSpeedFunction
//input a0 
//output y
ArrayVector vtkVRMLExporterGetSpeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSpeed (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpeed for class vtkVRMLExporter requires 1 argument(s)");
  vtkVRMLExporter* vtk_pointer = GetVTKPointer<vtkVRMLExporter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSpeed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVRMLExporter:display vtkVRMLExporterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVRMLExporterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVRMLExporter* vtk_pointer = GetVTKPointer<vtkVRMLExporter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVRMLExporter:delete vtkVRMLExporterDeleteFunction
//input varargin
//output none
ArrayVector vtkVRMLExporterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVRMLExporter
//@@Section VTKRendering
//@@Usage
// vtkVRMLExporter is a concrete subclass of vtkExporter that writes VRML 2.0
// files. This is based on the VRML 2.0 draft #3 but it should be pretty
// stable since we aren't using any of the newer features.
//
//
//To create an instance of class vtkVRMLExporter, simply
//invoke its constructor as follows
//@[
//  obj = vtkVRMLExporter
//@]
//@@Methods
//The class vtkVRMLExporter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVRMLExporter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVRMLExporter = obj.NewInstance ()|
// \item @|vtkVRMLExporter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify the name of the VRML file to write.
//// \item @|string = obj.GetFileName ()| -  Specify the name of the VRML file to write.
//// \item @|obj.SetSpeed (double )| -  Specify the Speed of navigation. Default is 4.
//// \item @|double = obj.GetSpeed ()| -  Specify the Speed of navigation. Default is 4.
////\end{itemize}
//!
