#include "VTKWrap.hpp"

// FreeMat wrapper for vtkViewTheme object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkViewTheme.h"

//@@Signature
//sfunction @vtkViewTheme:vtkViewTheme vtkViewThemeConstructorFunction
//input a
//output p
//@@Parents vtkViewTheme vtkObject 
ArrayVector vtkViewThemeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkViewTheme::New(),"vtkViewTheme",eval);
  } else if (arg[0].className() == "vtkViewTheme") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkViewTheme"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkViewTheme");
    vtkViewTheme*q = reinterpret_cast<vtkViewTheme*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkViewTheme");
    return ret;
  }
}
//@@Signature
//sfunction @vtkViewTheme:GetClassName vtkViewThemeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:IsA vtkViewThemeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkViewThemeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:NewInstance vtkViewThemeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkViewThemeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkViewTheme *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtkViewTheme  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkViewTheme",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SafeDownCast vtkViewThemeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkViewThemeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkViewTheme *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkViewTheme  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkViewTheme",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetPointSize vtkViewThemeSetPointSizeFunction
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetPointSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointSize for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPointSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetPointSize vtkViewThemeGetPointSizeFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetPointSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPointSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointSize for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPointSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetLineWidth vtkViewThemeSetLineWidthFunction
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetLineWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineWidth (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLineWidth for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLineWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetLineWidth vtkViewThemeGetLineWidthFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetLineWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLineWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineWidth for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLineWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetPointColor__1 vtkViewThemeSetPointColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkViewThemeSetPointColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetPointColor__1 for class vtkViewTheme requires 4 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPointColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetPointColor__2 vtkViewThemeSetPointColor__2Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetPointColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointColor__2 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPointColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetPointColor vtkViewThemeGetPointColorFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetPointColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPointColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointColor for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPointColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetPointOpacity vtkViewThemeSetPointOpacityFunction
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetPointOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointOpacity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointOpacity for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPointOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetPointOpacity vtkViewThemeGetPointOpacityFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetPointOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPointOpacity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointOpacity for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPointOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetPointHueRange__1 vtkViewThemeSetPointHueRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkViewThemeSetPointHueRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPointHueRange (double mn, double mx); */
  if (arg.size() < 3) 
    throw Exception("Function SetPointHueRange__1 for class vtkViewTheme requires 3 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetPointHueRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetPointHueRange__2 vtkViewThemeSetPointHueRange__2Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetPointHueRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPointHueRange (double rng[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointHueRange__2 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPointHueRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetPointHueRange__3 vtkViewThemeGetPointHueRange__3Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeGetPointHueRange__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPointHueRange (double rng[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointHueRange__3 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPointHueRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetPointSaturationRange__1 vtkViewThemeSetPointSaturationRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkViewThemeSetPointSaturationRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPointSaturationRange (double mn, double mx); */
  if (arg.size() < 3) 
    throw Exception("Function SetPointSaturationRange__1 for class vtkViewTheme requires 3 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetPointSaturationRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetPointSaturationRange__2 vtkViewThemeSetPointSaturationRange__2Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetPointSaturationRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPointSaturationRange (double rng[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointSaturationRange__2 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPointSaturationRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetPointSaturationRange__3 vtkViewThemeGetPointSaturationRange__3Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeGetPointSaturationRange__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPointSaturationRange (double rng[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointSaturationRange__3 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPointSaturationRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetPointValueRange__1 vtkViewThemeSetPointValueRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkViewThemeSetPointValueRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPointValueRange (double mn, double mx); */
  if (arg.size() < 3) 
    throw Exception("Function SetPointValueRange__1 for class vtkViewTheme requires 3 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetPointValueRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetPointValueRange__2 vtkViewThemeSetPointValueRange__2Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetPointValueRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPointValueRange (double rng[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointValueRange__2 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPointValueRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetPointValueRange__3 vtkViewThemeGetPointValueRange__3Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeGetPointValueRange__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPointValueRange (double rng[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointValueRange__3 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPointValueRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetPointAlphaRange__1 vtkViewThemeSetPointAlphaRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkViewThemeSetPointAlphaRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPointAlphaRange (double mn, double mx); */
  if (arg.size() < 3) 
    throw Exception("Function SetPointAlphaRange__1 for class vtkViewTheme requires 3 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetPointAlphaRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetPointAlphaRange__2 vtkViewThemeSetPointAlphaRange__2Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetPointAlphaRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPointAlphaRange (double rng[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointAlphaRange__2 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPointAlphaRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetPointAlphaRange__3 vtkViewThemeGetPointAlphaRange__3Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeGetPointAlphaRange__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPointAlphaRange (double rng[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointAlphaRange__3 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPointAlphaRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetPointLookupTable vtkViewThemeGetPointLookupTableFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetPointLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarsToColors *GetPointLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointLookupTable for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp20;
  temp20 = (vtk_pointer)->GetPointLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarsToColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetPointLookupTable vtkViewThemeSetPointLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetPointLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPointLookupTable (vtkScalarsToColors *lut); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointLookupTable for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp0;
  temp0 = GetVTKPointer<vtkScalarsToColors>(arg[1]);
  vtk_pointer->SetPointLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetScalePointLookupTable vtkViewThemeSetScalePointLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetScalePointLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalePointLookupTable (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalePointLookupTable for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetScalePointLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetScalePointLookupTable vtkViewThemeGetScalePointLookupTableFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetScalePointLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetScalePointLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalePointLookupTable for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetScalePointLookupTable();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:ScalePointLookupTableOn vtkViewThemeScalePointLookupTableOnFunction
//input a0 
//output none
ArrayVector vtkViewThemeScalePointLookupTableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalePointLookupTableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalePointLookupTableOn for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtk_pointer->ScalePointLookupTableOn();
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:ScalePointLookupTableOff vtkViewThemeScalePointLookupTableOffFunction
//input a0 
//output none
ArrayVector vtkViewThemeScalePointLookupTableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalePointLookupTableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalePointLookupTableOff for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtk_pointer->ScalePointLookupTableOff();
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetCellColor__1 vtkViewThemeSetCellColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkViewThemeSetCellColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCellColor__1 for class vtkViewTheme requires 4 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCellColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetCellColor__2 vtkViewThemeSetCellColor__2Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetCellColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellColor__2 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCellColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetCellColor vtkViewThemeGetCellColorFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetCellColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCellColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellColor for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCellColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetCellOpacity vtkViewThemeSetCellOpacityFunction
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetCellOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellOpacity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellOpacity for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCellOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetCellOpacity vtkViewThemeGetCellOpacityFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetCellOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCellOpacity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellOpacity for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCellOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetCellHueRange__1 vtkViewThemeSetCellHueRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkViewThemeSetCellHueRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCellHueRange (double mn, double mx); */
  if (arg.size() < 3) 
    throw Exception("Function SetCellHueRange__1 for class vtkViewTheme requires 3 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetCellHueRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetCellHueRange__2 vtkViewThemeSetCellHueRange__2Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetCellHueRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCellHueRange (double rng[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellHueRange__2 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCellHueRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetCellHueRange__3 vtkViewThemeGetCellHueRange__3Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeGetCellHueRange__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellHueRange (double rng[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellHueRange__3 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetCellHueRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetCellSaturationRange__1 vtkViewThemeSetCellSaturationRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkViewThemeSetCellSaturationRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCellSaturationRange (double mn, double mx); */
  if (arg.size() < 3) 
    throw Exception("Function SetCellSaturationRange__1 for class vtkViewTheme requires 3 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetCellSaturationRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetCellSaturationRange__2 vtkViewThemeSetCellSaturationRange__2Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetCellSaturationRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCellSaturationRange (double rng[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellSaturationRange__2 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCellSaturationRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetCellSaturationRange__3 vtkViewThemeGetCellSaturationRange__3Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeGetCellSaturationRange__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellSaturationRange (double rng[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellSaturationRange__3 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetCellSaturationRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetCellValueRange__1 vtkViewThemeSetCellValueRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkViewThemeSetCellValueRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCellValueRange (double mn, double mx); */
  if (arg.size() < 3) 
    throw Exception("Function SetCellValueRange__1 for class vtkViewTheme requires 3 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetCellValueRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetCellValueRange__2 vtkViewThemeSetCellValueRange__2Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetCellValueRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCellValueRange (double rng[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellValueRange__2 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCellValueRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetCellValueRange__3 vtkViewThemeGetCellValueRange__3Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeGetCellValueRange__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellValueRange (double rng[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellValueRange__3 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetCellValueRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetCellAlphaRange__1 vtkViewThemeSetCellAlphaRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkViewThemeSetCellAlphaRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCellAlphaRange (double mn, double mx); */
  if (arg.size() < 3) 
    throw Exception("Function SetCellAlphaRange__1 for class vtkViewTheme requires 3 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetCellAlphaRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetCellAlphaRange__2 vtkViewThemeSetCellAlphaRange__2Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetCellAlphaRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCellAlphaRange (double rng[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellAlphaRange__2 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCellAlphaRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetCellAlphaRange__3 vtkViewThemeGetCellAlphaRange__3Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeGetCellAlphaRange__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCellAlphaRange (double rng[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellAlphaRange__3 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetCellAlphaRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetCellLookupTable vtkViewThemeGetCellLookupTableFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetCellLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarsToColors *GetCellLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellLookupTable for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp20;
  temp20 = (vtk_pointer)->GetCellLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarsToColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetCellLookupTable vtkViewThemeSetCellLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetCellLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCellLookupTable (vtkScalarsToColors *lut); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellLookupTable for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp0;
  temp0 = GetVTKPointer<vtkScalarsToColors>(arg[1]);
  vtk_pointer->SetCellLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetScaleCellLookupTable vtkViewThemeSetScaleCellLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetScaleCellLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleCellLookupTable (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaleCellLookupTable for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetScaleCellLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetScaleCellLookupTable vtkViewThemeGetScaleCellLookupTableFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetScaleCellLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetScaleCellLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleCellLookupTable for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetScaleCellLookupTable();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:ScaleCellLookupTableOn vtkViewThemeScaleCellLookupTableOnFunction
//input a0 
//output none
ArrayVector vtkViewThemeScaleCellLookupTableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaleCellLookupTableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaleCellLookupTableOn for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtk_pointer->ScaleCellLookupTableOn();
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:ScaleCellLookupTableOff vtkViewThemeScaleCellLookupTableOffFunction
//input a0 
//output none
ArrayVector vtkViewThemeScaleCellLookupTableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaleCellLookupTableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaleCellLookupTableOff for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtk_pointer->ScaleCellLookupTableOff();
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetOutlineColor__1 vtkViewThemeSetOutlineColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkViewThemeSetOutlineColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutlineColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOutlineColor__1 for class vtkViewTheme requires 4 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOutlineColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetOutlineColor__2 vtkViewThemeSetOutlineColor__2Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetOutlineColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutlineColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutlineColor__2 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOutlineColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetOutlineColor vtkViewThemeGetOutlineColorFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetOutlineColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOutlineColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutlineColor for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOutlineColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetSelectedPointColor__1 vtkViewThemeSetSelectedPointColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkViewThemeSetSelectedPointColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedPointColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetSelectedPointColor__1 for class vtkViewTheme requires 4 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetSelectedPointColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetSelectedPointColor__2 vtkViewThemeSetSelectedPointColor__2Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetSelectedPointColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedPointColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedPointColor__2 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSelectedPointColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetSelectedPointColor vtkViewThemeGetSelectedPointColorFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetSelectedPointColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSelectedPointColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedPointColor for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSelectedPointColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetSelectedPointOpacity vtkViewThemeSetSelectedPointOpacityFunction
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetSelectedPointOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedPointOpacity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedPointOpacity for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSelectedPointOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetSelectedPointOpacity vtkViewThemeGetSelectedPointOpacityFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetSelectedPointOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSelectedPointOpacity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedPointOpacity for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSelectedPointOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetSelectedCellColor__1 vtkViewThemeSetSelectedCellColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkViewThemeSetSelectedCellColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedCellColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetSelectedCellColor__1 for class vtkViewTheme requires 4 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetSelectedCellColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetSelectedCellColor__2 vtkViewThemeSetSelectedCellColor__2Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetSelectedCellColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedCellColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedCellColor__2 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSelectedCellColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetSelectedCellColor vtkViewThemeGetSelectedCellColorFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetSelectedCellColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSelectedCellColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedCellColor for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSelectedCellColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetSelectedCellOpacity vtkViewThemeSetSelectedCellOpacityFunction
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetSelectedCellOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedCellOpacity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedCellOpacity for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSelectedCellOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetSelectedCellOpacity vtkViewThemeGetSelectedCellOpacityFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetSelectedCellOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSelectedCellOpacity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedCellOpacity for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSelectedCellOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetBackgroundColor__1 vtkViewThemeSetBackgroundColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkViewThemeSetBackgroundColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackgroundColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetBackgroundColor__1 for class vtkViewTheme requires 4 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetBackgroundColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetBackgroundColor__2 vtkViewThemeSetBackgroundColor__2Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetBackgroundColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackgroundColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBackgroundColor__2 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBackgroundColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetBackgroundColor vtkViewThemeGetBackgroundColorFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetBackgroundColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetBackgroundColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackgroundColor for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBackgroundColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetBackgroundColor2__1 vtkViewThemeSetBackgroundColor2__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkViewThemeSetBackgroundColor2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackgroundColor2 (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetBackgroundColor2__1 for class vtkViewTheme requires 4 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetBackgroundColor2(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetBackgroundColor2__2 vtkViewThemeSetBackgroundColor2__2Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetBackgroundColor2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackgroundColor2 (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBackgroundColor2__2 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBackgroundColor2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetBackgroundColor2 vtkViewThemeGetBackgroundColor2Function
//input a0 
//output y
ArrayVector vtkViewThemeGetBackgroundColor2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetBackgroundColor2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackgroundColor2 for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBackgroundColor2();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetPointTextProperty vtkViewThemeSetPointTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetPointTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPointTextProperty (vtkTextProperty *tprop); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointTextProperty for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetPointTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetPointTextProperty vtkViewThemeGetPointTextPropertyFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetPointTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetPointTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointTextProperty for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetPointTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetCellTextProperty vtkViewThemeSetCellTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetCellTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCellTextProperty (vtkTextProperty *tprop); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellTextProperty for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetCellTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetCellTextProperty vtkViewThemeGetCellTextPropertyFunction
//input a0 
//output y
ArrayVector vtkViewThemeGetCellTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetCellTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellTextProperty for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetCellTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetVertexLabelColor__1 vtkViewThemeSetVertexLabelColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkViewThemeSetVertexLabelColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexLabelColor (double r, double g, double b); */
  if (arg.size() < 4) 
    throw Exception("Function SetVertexLabelColor__1 for class vtkViewTheme requires 4 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetVertexLabelColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetVertexLabelColor__2 vtkViewThemeSetVertexLabelColor__2Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetVertexLabelColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexLabelColor (double c[3]);this SetVertexLabelColor c c c  */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexLabelColor__2 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetVertexLabelColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetVertexLabelColor__3 vtkViewThemeGetVertexLabelColor__3Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeGetVertexLabelColor__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetVertexLabelColor (double c[3]);this GetVertexLabelColor c c c  */
  if (arg.size() < 2) 
    throw Exception("Function GetVertexLabelColor__3 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetVertexLabelColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetEdgeLabelColor__1 vtkViewThemeSetEdgeLabelColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkViewThemeSetEdgeLabelColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeLabelColor (double r, double g, double b); */
  if (arg.size() < 4) 
    throw Exception("Function SetEdgeLabelColor__1 for class vtkViewTheme requires 4 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetEdgeLabelColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetEdgeLabelColor__2 vtkViewThemeSetEdgeLabelColor__2Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeSetEdgeLabelColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeLabelColor (double c[3]);this SetEdgeLabelColor c c c  */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeLabelColor__2 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetEdgeLabelColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:GetEdgeLabelColor__3 vtkViewThemeGetEdgeLabelColor__3Function
//input a0 a1 
//output none
ArrayVector vtkViewThemeGetEdgeLabelColor__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetEdgeLabelColor (double c[3]);this GetEdgeLabelColor c c c  */
  if (arg.size() < 2) 
    throw Exception("Function GetEdgeLabelColor__3 for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetEdgeLabelColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:CreateOceanTheme vtkViewThemeCreateOceanThemeFunction
//input a0 
//output y
ArrayVector vtkViewThemeCreateOceanThemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkViewTheme *CreateOceanTheme (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateOceanTheme for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtkViewTheme  *temp20;
  temp20 = (vtk_pointer)->CreateOceanTheme();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkViewTheme",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:CreateMellowTheme vtkViewThemeCreateMellowThemeFunction
//input a0 
//output y
ArrayVector vtkViewThemeCreateMellowThemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkViewTheme *CreateMellowTheme (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateMellowTheme for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtkViewTheme  *temp20;
  temp20 = (vtk_pointer)->CreateMellowTheme();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkViewTheme",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:CreateNeonTheme vtkViewThemeCreateNeonThemeFunction
//input a0 
//output y
ArrayVector vtkViewThemeCreateNeonThemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkViewTheme *CreateNeonTheme (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateNeonTheme for class vtkViewTheme requires 1 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtkViewTheme  *temp20;
  temp20 = (vtk_pointer)->CreateNeonTheme();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkViewTheme",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:LookupMatchesPointTheme vtkViewThemeLookupMatchesPointThemeFunction
//input a0 a1 
//output y
ArrayVector vtkViewThemeLookupMatchesPointThemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool LookupMatchesPointTheme (vtkScalarsToColors *s2c); */
  if (arg.size() < 2) 
    throw Exception("Function LookupMatchesPointTheme for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkScalarsToColors>(arg[1]);
  temp20 = (vtk_pointer)->LookupMatchesPointTheme(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:LookupMatchesCellTheme vtkViewThemeLookupMatchesCellThemeFunction
//input a0 a1 
//output y
ArrayVector vtkViewThemeLookupMatchesCellThemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool LookupMatchesCellTheme (vtkScalarsToColors *s2c); */
  if (arg.size() < 2) 
    throw Exception("Function LookupMatchesCellTheme for class vtkViewTheme requires 2 argument(s)");
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkScalarsToColors>(arg[1]);
  temp20 = (vtk_pointer)->LookupMatchesCellTheme(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkViewTheme:SetPointColor vtkViewThemeSetPointColorFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeSetPointColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkViewThemeSetPointColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeSetPointColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeSetPointColor");
}

//@@Signature
//sfunction @vtkViewTheme:SetPointHueRange vtkViewThemeSetPointHueRangeFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeSetPointHueRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkViewThemeSetPointHueRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeSetPointHueRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeSetPointHueRange");
}

//@@Signature
//sfunction @vtkViewTheme:GetPointHueRange vtkViewThemeGetPointHueRangeFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeGetPointHueRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeGetPointHueRange__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeGetPointHueRange");
}

//@@Signature
//sfunction @vtkViewTheme:SetPointSaturationRange vtkViewThemeSetPointSaturationRangeFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeSetPointSaturationRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkViewThemeSetPointSaturationRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeSetPointSaturationRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeSetPointSaturationRange");
}

//@@Signature
//sfunction @vtkViewTheme:GetPointSaturationRange vtkViewThemeGetPointSaturationRangeFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeGetPointSaturationRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeGetPointSaturationRange__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeGetPointSaturationRange");
}

//@@Signature
//sfunction @vtkViewTheme:SetPointValueRange vtkViewThemeSetPointValueRangeFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeSetPointValueRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkViewThemeSetPointValueRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeSetPointValueRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeSetPointValueRange");
}

//@@Signature
//sfunction @vtkViewTheme:GetPointValueRange vtkViewThemeGetPointValueRangeFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeGetPointValueRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeGetPointValueRange__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeGetPointValueRange");
}

//@@Signature
//sfunction @vtkViewTheme:SetPointAlphaRange vtkViewThemeSetPointAlphaRangeFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeSetPointAlphaRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkViewThemeSetPointAlphaRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeSetPointAlphaRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeSetPointAlphaRange");
}

//@@Signature
//sfunction @vtkViewTheme:GetPointAlphaRange vtkViewThemeGetPointAlphaRangeFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeGetPointAlphaRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeGetPointAlphaRange__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeGetPointAlphaRange");
}

//@@Signature
//sfunction @vtkViewTheme:SetCellColor vtkViewThemeSetCellColorFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeSetCellColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkViewThemeSetCellColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeSetCellColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeSetCellColor");
}

//@@Signature
//sfunction @vtkViewTheme:SetCellHueRange vtkViewThemeSetCellHueRangeFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeSetCellHueRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkViewThemeSetCellHueRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeSetCellHueRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeSetCellHueRange");
}

//@@Signature
//sfunction @vtkViewTheme:GetCellHueRange vtkViewThemeGetCellHueRangeFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeGetCellHueRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeGetCellHueRange__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeGetCellHueRange");
}

//@@Signature
//sfunction @vtkViewTheme:SetCellSaturationRange vtkViewThemeSetCellSaturationRangeFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeSetCellSaturationRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkViewThemeSetCellSaturationRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeSetCellSaturationRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeSetCellSaturationRange");
}

//@@Signature
//sfunction @vtkViewTheme:GetCellSaturationRange vtkViewThemeGetCellSaturationRangeFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeGetCellSaturationRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeGetCellSaturationRange__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeGetCellSaturationRange");
}

//@@Signature
//sfunction @vtkViewTheme:SetCellValueRange vtkViewThemeSetCellValueRangeFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeSetCellValueRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkViewThemeSetCellValueRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeSetCellValueRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeSetCellValueRange");
}

//@@Signature
//sfunction @vtkViewTheme:GetCellValueRange vtkViewThemeGetCellValueRangeFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeGetCellValueRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeGetCellValueRange__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeGetCellValueRange");
}

//@@Signature
//sfunction @vtkViewTheme:SetCellAlphaRange vtkViewThemeSetCellAlphaRangeFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeSetCellAlphaRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkViewThemeSetCellAlphaRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeSetCellAlphaRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeSetCellAlphaRange");
}

//@@Signature
//sfunction @vtkViewTheme:GetCellAlphaRange vtkViewThemeGetCellAlphaRangeFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeGetCellAlphaRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeGetCellAlphaRange__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeGetCellAlphaRange");
}

//@@Signature
//sfunction @vtkViewTheme:SetOutlineColor vtkViewThemeSetOutlineColorFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeSetOutlineColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkViewThemeSetOutlineColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeSetOutlineColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeSetOutlineColor");
}

//@@Signature
//sfunction @vtkViewTheme:SetSelectedPointColor vtkViewThemeSetSelectedPointColorFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeSetSelectedPointColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkViewThemeSetSelectedPointColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeSetSelectedPointColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeSetSelectedPointColor");
}

//@@Signature
//sfunction @vtkViewTheme:SetSelectedCellColor vtkViewThemeSetSelectedCellColorFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeSetSelectedCellColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkViewThemeSetSelectedCellColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeSetSelectedCellColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeSetSelectedCellColor");
}

//@@Signature
//sfunction @vtkViewTheme:SetBackgroundColor vtkViewThemeSetBackgroundColorFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeSetBackgroundColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkViewThemeSetBackgroundColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeSetBackgroundColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeSetBackgroundColor");
}

//@@Signature
//sfunction @vtkViewTheme:SetBackgroundColor2 vtkViewThemeSetBackgroundColor2Function
//input varargin
//output varargout
ArrayVector vtkViewThemeSetBackgroundColor2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkViewThemeSetBackgroundColor2__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeSetBackgroundColor2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeSetBackgroundColor2");
}

//@@Signature
//sfunction @vtkViewTheme:SetVertexLabelColor vtkViewThemeSetVertexLabelColorFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeSetVertexLabelColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkViewThemeSetVertexLabelColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeSetVertexLabelColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeSetVertexLabelColor");
}

//@@Signature
//sfunction @vtkViewTheme:GetVertexLabelColor vtkViewThemeGetVertexLabelColorFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeGetVertexLabelColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeGetVertexLabelColor__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeGetVertexLabelColor");
}

//@@Signature
//sfunction @vtkViewTheme:SetEdgeLabelColor vtkViewThemeSetEdgeLabelColorFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeSetEdgeLabelColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkViewThemeSetEdgeLabelColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeSetEdgeLabelColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeSetEdgeLabelColor");
}

//@@Signature
//sfunction @vtkViewTheme:GetEdgeLabelColor vtkViewThemeGetEdgeLabelColorFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeGetEdgeLabelColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkViewThemeGetEdgeLabelColor__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewThemeGetEdgeLabelColor");
}

//@@Signature
//sfunction @vtkViewTheme:display vtkViewThemeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkViewThemeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkViewTheme* vtk_pointer = GetVTKPointer<vtkViewTheme>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkViewTheme:delete vtkViewThemeDeleteFunction
//input varargin
//output none
ArrayVector vtkViewThemeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkViewTheme
//@@Section VTKRendering
//@@Usage
// This may be set on any subclass of vtkView.  The view class will attempt
// to use the values set in the theme to customize the view.  Views will not
// generally use every aspect of the theme.
// NOTICE: This class will be deprecated in favor of a more robust
// solution based on style sheets.  Do not become overly-dependent on the
// functionality of themes.
//
//To create an instance of class vtkViewTheme, simply
//invoke its constructor as follows
//@[
//  obj = vtkViewTheme
//@]
//@@Methods
//The class vtkViewTheme has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkViewTheme class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkViewTheme = obj.NewInstance ()|
// \item @|vtkViewTheme = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPointSize (double )| -  The size of points or vertices
//// \item @|double = obj.GetPointSize ()| -  The size of points or vertices
//// \item @|obj.SetLineWidth (double )| -  The width of lines or edges
//// \item @|double = obj.GetLineWidth ()| -  The width of lines or edges
//// \item @|obj.SetPointColor (double , double , double )| -  The color and opacity of points or vertices when not mapped through
// a lookup table.
//// \item @|obj.SetPointColor (double  a[3])| -  The color and opacity of points or vertices when not mapped through
// a lookup table.
//// \item @|double = obj. GetPointColor ()| -  The color and opacity of points or vertices when not mapped through
// a lookup table.
//// \item @|obj.SetPointOpacity (double )| -  The color and opacity of points or vertices when not mapped through
// a lookup table.
//// \item @|double = obj.GetPointOpacity ()| -  The color and opacity of points or vertices when not mapped through
// a lookup table.
//// \item @|obj.SetPointHueRange (double mn, double mx)| -  The ranges to use in the point lookup table.
// You may also do this by accessing the point lookup table directly
// with GetPointLookupTable() and calling these methods.
//// \item @|obj.SetPointHueRange (double rng[2])| -  The ranges to use in the point lookup table.
// You may also do this by accessing the point lookup table directly
// with GetPointLookupTable() and calling these methods.
//// \item @|obj.GetPointHueRange (double rng[2])| -  The ranges to use in the point lookup table.
// You may also do this by accessing the point lookup table directly
// with GetPointLookupTable() and calling these methods.
//// \item @|obj.SetPointSaturationRange (double mn, double mx)|
// \item @|obj.SetPointSaturationRange (double rng[2])|
// \item @|obj.GetPointSaturationRange (double rng[2])|
// \item @|obj.SetPointValueRange (double mn, double mx)|
// \item @|obj.SetPointValueRange (double rng[2])|
// \item @|obj.GetPointValueRange (double rng[2])|
// \item @|obj.SetPointAlphaRange (double mn, double mx)|
// \item @|obj.SetPointAlphaRange (double rng[2])|
// \item @|obj.GetPointAlphaRange (double rng[2])|
// \item @|vtkScalarsToColors = obj.GetPointLookupTable ()| -  Set/Get the point lookup table.
//// \item @|obj.SetPointLookupTable (vtkScalarsToColors lut)| -  Set/Get the point lookup table.
//// \item @|obj.SetScalePointLookupTable (bool )| -  Whether to scale the lookup table to fit the range of the data.
//// \item @|bool = obj.GetScalePointLookupTable ()| -  Whether to scale the lookup table to fit the range of the data.
//// \item @|obj.ScalePointLookupTableOn ()| -  Whether to scale the lookup table to fit the range of the data.
//// \item @|obj.ScalePointLookupTableOff ()| -  Whether to scale the lookup table to fit the range of the data.
//// \item @|obj.SetCellColor (double , double , double )| -  The color and opacity of cells or edges when not mapped through
// a lookup table.
//// \item @|obj.SetCellColor (double  a[3])| -  The color and opacity of cells or edges when not mapped through
// a lookup table.
//// \item @|double = obj. GetCellColor ()| -  The color and opacity of cells or edges when not mapped through
// a lookup table.
//// \item @|obj.SetCellOpacity (double )| -  The color and opacity of cells or edges when not mapped through
// a lookup table.
//// \item @|double = obj.GetCellOpacity ()| -  The color and opacity of cells or edges when not mapped through
// a lookup table.
//// \item @|obj.SetCellHueRange (double mn, double mx)| -  The ranges to use in the cell lookup table.
// You may also do this by accessing the cell lookup table directly
// with GetCellLookupTable() and calling these methods.
//// \item @|obj.SetCellHueRange (double rng[2])| -  The ranges to use in the cell lookup table.
// You may also do this by accessing the cell lookup table directly
// with GetCellLookupTable() and calling these methods.
//// \item @|obj.GetCellHueRange (double rng[2])| -  The ranges to use in the cell lookup table.
// You may also do this by accessing the cell lookup table directly
// with GetCellLookupTable() and calling these methods.
//// \item @|obj.SetCellSaturationRange (double mn, double mx)|
// \item @|obj.SetCellSaturationRange (double rng[2])|
// \item @|obj.GetCellSaturationRange (double rng[2])|
// \item @|obj.SetCellValueRange (double mn, double mx)|
// \item @|obj.SetCellValueRange (double rng[2])|
// \item @|obj.GetCellValueRange (double rng[2])|
// \item @|obj.SetCellAlphaRange (double mn, double mx)|
// \item @|obj.SetCellAlphaRange (double rng[2])|
// \item @|obj.GetCellAlphaRange (double rng[2])|
// \item @|vtkScalarsToColors = obj.GetCellLookupTable ()| -  Set/Get the cell lookup table.
//// \item @|obj.SetCellLookupTable (vtkScalarsToColors lut)| -  Set/Get the cell lookup table.
//// \item @|obj.SetScaleCellLookupTable (bool )| -  Whether to scale the lookup table to fit the range of the data.
//// \item @|bool = obj.GetScaleCellLookupTable ()| -  Whether to scale the lookup table to fit the range of the data.
//// \item @|obj.ScaleCellLookupTableOn ()| -  Whether to scale the lookup table to fit the range of the data.
//// \item @|obj.ScaleCellLookupTableOff ()| -  Whether to scale the lookup table to fit the range of the data.
//// \item @|obj.SetOutlineColor (double , double , double )| -  The color of any outlines in the view.
//// \item @|obj.SetOutlineColor (double  a[3])| -  The color of any outlines in the view.
//// \item @|double = obj. GetOutlineColor ()| -  The color of any outlines in the view.
//// \item @|obj.SetSelectedPointColor (double , double , double )| -  The color of selected points or vertices.
//// \item @|obj.SetSelectedPointColor (double  a[3])| -  The color of selected points or vertices.
//// \item @|double = obj. GetSelectedPointColor ()| -  The color of selected points or vertices.
//// \item @|obj.SetSelectedPointOpacity (double )| -  The color of selected points or vertices.
//// \item @|double = obj.GetSelectedPointOpacity ()| -  The color of selected points or vertices.
//// \item @|obj.SetSelectedCellColor (double , double , double )| -  The color of selected cells or edges.
//// \item @|obj.SetSelectedCellColor (double  a[3])| -  The color of selected cells or edges.
//// \item @|double = obj. GetSelectedCellColor ()| -  The color of selected cells or edges.
//// \item @|obj.SetSelectedCellOpacity (double )| -  The color of selected cells or edges.
//// \item @|double = obj.GetSelectedCellOpacity ()| -  The color of selected cells or edges.
//// \item @|obj.SetBackgroundColor (double , double , double )| -  The view background color.
//// \item @|obj.SetBackgroundColor (double  a[3])| -  The view background color.
//// \item @|double = obj. GetBackgroundColor ()| -  The view background color.
//// \item @|obj.SetBackgroundColor2 (double , double , double )| -  The second background color (for gradients).
//// \item @|obj.SetBackgroundColor2 (double  a[3])| -  The second background color (for gradients).
//// \item @|double = obj. GetBackgroundColor2 ()| -  The second background color (for gradients).
//// \item @|obj.SetPointTextProperty (vtkTextProperty tprop)| -  The text property to use for labelling points/vertices.
//// \item @|vtkTextProperty = obj.GetPointTextProperty ()| -  The text property to use for labelling points/vertices.
//// \item @|obj.SetCellTextProperty (vtkTextProperty tprop)| -  The text property to use for labelling edges/cells.
//// \item @|vtkTextProperty = obj.GetCellTextProperty ()| -  The text property to use for labelling edges/cells.
//// \item @|obj.SetVertexLabelColor (double r, double g, double b)| -  The color to use for labelling graph vertices.
// This is deprecated. Use GetPointTextProperty()->SetColor() instead.
//// \item @|obj.SetVertexLabelColor (double c[3])| -  The color to use for labelling graph vertices.
// This is deprecated. Use GetPointTextProperty()->SetColor() instead.
//// \item @|obj.GetVertexLabelColor (double c[3])| -  The color to use for labelling graph edges.
// This is deprecated. Use GetCellTextProperty()->SetColor() instead.
//// \item @|obj.SetEdgeLabelColor (double r, double g, double b)| -  The color to use for labelling graph edges.
// This is deprecated. Use GetCellTextProperty()->SetColor() instead.
//// \item @|obj.SetEdgeLabelColor (double c[3])| -  The color to use for labelling graph edges.
// This is deprecated. Use GetCellTextProperty()->SetColor() instead.
//// \item @|obj.GetEdgeLabelColor (double c[3])| -  Convenience methods for creating some default view themes.
// The return reference is reference-counted, so you will have to call
// Delete() on the reference when you are finished with it.
//// \item @|bool = obj.LookupMatchesPointTheme (vtkScalarsToColors s2c)| -  Whether a given lookup table matches the point or cell theme of this
// theme.
//// \item @|bool = obj.LookupMatchesCellTheme (vtkScalarsToColors s2c)| -  Whether a given lookup table matches the point or cell theme of this
// theme.
////\end{itemize}
//!
