#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVisibilitySort object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVisibilitySort.h"

//@@Signature
//sfunction @vtkVisibilitySort:vtkVisibilitySort vtkVisibilitySortConstructorFunction
//input a
//output p
//@@Parents vtkVisibilitySort vtkObject 
ArrayVector vtkVisibilitySortConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVisibilitySort::New(),"vtkVisibilitySort",eval);
  } else if (arg[0].className() == "vtkVisibilitySort") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVisibilitySort"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVisibilitySort");
    vtkVisibilitySort*q = reinterpret_cast<vtkVisibilitySort*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVisibilitySort");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVisibilitySort:GetClassName vtkVisibilitySortGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVisibilitySortGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVisibilitySort requires 1 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:IsA vtkVisibilitySortIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVisibilitySortIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVisibilitySort requires 2 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:NewInstance vtkVisibilitySortNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVisibilitySortNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVisibilitySort *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVisibilitySort requires 1 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  vtkVisibilitySort  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVisibilitySort",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:SafeDownCast vtkVisibilitySortSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVisibilitySortSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVisibilitySort *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVisibilitySort requires 2 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVisibilitySort  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVisibilitySort",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:InitTraversal vtkVisibilitySortInitTraversalFunction
//input a0 
//output none
ArrayVector vtkVisibilitySortInitTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InitTraversal () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function InitTraversal for class vtkVisibilitySort requires 1 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  vtk_pointer->InitTraversal();
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:GetNextCells vtkVisibilitySortGetNextCellsFunction
//input a0 
//output y
ArrayVector vtkVisibilitySortGetNextCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdTypeArray *GetNextCells () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetNextCells for class vtkVisibilitySort requires 1 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp20;
  temp20 = (vtk_pointer)->GetNextCells();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdTypeArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:SetMaxCellsReturned vtkVisibilitySortSetMaxCellsReturnedFunction
//input a0 a1 
//output none
ArrayVector vtkVisibilitySortSetMaxCellsReturnedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxCellsReturned (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxCellsReturned for class vtkVisibilitySort requires 2 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxCellsReturned(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:GetMaxCellsReturnedMinValue vtkVisibilitySortGetMaxCellsReturnedMinValueFunction
//input a0 
//output y
ArrayVector vtkVisibilitySortGetMaxCellsReturnedMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxCellsReturnedMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxCellsReturnedMinValue for class vtkVisibilitySort requires 1 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxCellsReturnedMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:GetMaxCellsReturnedMaxValue vtkVisibilitySortGetMaxCellsReturnedMaxValueFunction
//input a0 
//output y
ArrayVector vtkVisibilitySortGetMaxCellsReturnedMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxCellsReturnedMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxCellsReturnedMaxValue for class vtkVisibilitySort requires 1 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxCellsReturnedMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:GetMaxCellsReturned vtkVisibilitySortGetMaxCellsReturnedFunction
//input a0 
//output y
ArrayVector vtkVisibilitySortGetMaxCellsReturnedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxCellsReturned (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxCellsReturned for class vtkVisibilitySort requires 1 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxCellsReturned();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:SetModelTransform vtkVisibilitySortSetModelTransformFunction
//input a0 a1 
//output none
ArrayVector vtkVisibilitySortSetModelTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetModelTransform (vtkMatrix4x4 *mat); */
  if (arg.size() < 2) 
    throw Exception("Function SetModelTransform for class vtkVisibilitySort requires 2 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->SetModelTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:GetModelTransform vtkVisibilitySortGetModelTransformFunction
//input a0 
//output y
ArrayVector vtkVisibilitySortGetModelTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrix4x4 *GetModelTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModelTransform for class vtkVisibilitySort requires 1 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp20;
  temp20 = (vtk_pointer)->GetModelTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:GetInverseModelTransform vtkVisibilitySortGetInverseModelTransformFunction
//input a0 
//output y
ArrayVector vtkVisibilitySortGetInverseModelTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrix4x4 *GetInverseModelTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInverseModelTransform for class vtkVisibilitySort requires 1 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp20;
  temp20 = (vtk_pointer)->GetInverseModelTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:SetCamera vtkVisibilitySortSetCameraFunction
//input a0 a1 
//output none
ArrayVector vtkVisibilitySortSetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCamera (vtkCamera *camera); */
  if (arg.size() < 2) 
    throw Exception("Function SetCamera for class vtkVisibilitySort requires 2 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  vtkCamera  *temp0;
  temp0 = GetVTKPointer<vtkCamera>(arg[1]);
  vtk_pointer->SetCamera(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:GetCamera vtkVisibilitySortGetCameraFunction
//input a0 
//output y
ArrayVector vtkVisibilitySortGetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCamera *GetCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCamera for class vtkVisibilitySort requires 1 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  vtkCamera  *temp20;
  temp20 = (vtk_pointer)->GetCamera();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:SetInput vtkVisibilitySortSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkVisibilitySortSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkDataSet *data); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkVisibilitySort requires 2 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:GetInput vtkVisibilitySortGetInputFunction
//input a0 
//output y
ArrayVector vtkVisibilitySortGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkVisibilitySort requires 1 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:GetDirection vtkVisibilitySortGetDirectionFunction
//input a0 
//output y
ArrayVector vtkVisibilitySortGetDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDirection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirection for class vtkVisibilitySort requires 1 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDirection();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:SetDirection vtkVisibilitySortSetDirectionFunction
//input a0 a1 
//output none
ArrayVector vtkVisibilitySortSetDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirection (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDirection for class vtkVisibilitySort requires 2 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDirection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:SetDirectionToBackToFront vtkVisibilitySortSetDirectionToBackToFrontFunction
//input a0 
//output none
ArrayVector vtkVisibilitySortSetDirectionToBackToFrontFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectionToBackToFront ();this SetDirection BACK_TO_FRONT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDirectionToBackToFront for class vtkVisibilitySort requires 1 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  vtk_pointer->SetDirectionToBackToFront();
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:SetDirectionToFrontToBack vtkVisibilitySortSetDirectionToFrontToBackFunction
//input a0 
//output none
ArrayVector vtkVisibilitySortSetDirectionToFrontToBackFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectionToFrontToBack ();this SetDirection FRONT_TO_BACK  */
  if (arg.size() < 1) 
    throw Exception("Function SetDirectionToFrontToBack for class vtkVisibilitySort requires 1 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  vtk_pointer->SetDirectionToFrontToBack();
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:Register vtkVisibilitySortRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkVisibilitySortRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Register (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function Register for class vtkVisibilitySort requires 2 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->Register(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:UnRegister vtkVisibilitySortUnRegisterFunction
//input a0 a1 
//output none
ArrayVector vtkVisibilitySortUnRegisterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UnRegister (vtkObjectBase *o); */
  if (arg.size() < 2) 
    throw Exception("Function UnRegister for class vtkVisibilitySort requires 2 argument(s)");
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  Array retval;
  vtkObjectBase  *temp0;
  temp0 = GetVTKPointer<vtkObjectBase>(arg[1]);
  vtk_pointer->UnRegister(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVisibilitySort:display vtkVisibilitySortDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVisibilitySortDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVisibilitySort* vtk_pointer = GetVTKPointer<vtkVisibilitySort>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVisibilitySort:delete vtkVisibilitySortDeleteFunction
//input varargin
//output none
ArrayVector vtkVisibilitySortDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVisibilitySort
//@@Section VTKRendering
//@@Usage
// vtkVisibilitySort encapsulates a method for depth sorting the cells of a
// vtkDataSet for a given viewpoint.  It should be noted that subclasses
// are not required to give an absolutely correct sorting.  Many types of
// unstructured grids may have sorting cycles, meaning that there is no
// possible correct sorting.  Some subclasses also only give an approximate
// sorting in the interest of speed.
//
// .SECTION Note
// The Input field of this class tends to causes reference cycles.  To help
// break these cycles, garbage collection is enabled on this object and the
// input parameter is traced.  For this to work, though, an object in the
// loop holding the visibility sort should also report that to the garbage
// collector.
//
//
//To create an instance of class vtkVisibilitySort, simply
//invoke its constructor as follows
//@[
//  obj = vtkVisibilitySort
//@]
//@@Methods
//The class vtkVisibilitySort has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVisibilitySort class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVisibilitySort = obj.NewInstance ()|
// \item @|vtkVisibilitySort = obj.SafeDownCast (vtkObject o)|
// \item @|obj.InitTraversal ()| -  To facilitate incremental sorting algorithms, the cells are retrieved
// in an iteration process.  That is, call InitTraversal to start the
// iteration and call GetNextCells to get the cell IDs in order.
// However, for efficiencies sake, GetNextCells returns an ordered list
// of several id's in once call (but not necessarily all).  GetNextCells
// will return NULL once the entire sorted list is output.  The
// vtkIdTypeArray returned from GetNextCells is a cached array, so do not
// delete it.  At the same note, do not expect the array to be valid
// after subsequent calls to GetNextCells.
//// \item @|vtkIdTypeArray = obj.GetNextCells ()| -  To facilitate incremental sorting algorithms, the cells are retrieved
// in an iteration process.  That is, call InitTraversal to start the
// iteration and call GetNextCells to get the cell IDs in order.
// However, for efficiencies sake, GetNextCells returns an ordered list
// of several id's in once call (but not necessarily all).  GetNextCells
// will return NULL once the entire sorted list is output.  The
// vtkIdTypeArray returned from GetNextCells is a cached array, so do not
// delete it.  At the same note, do not expect the array to be valid
// after subsequent calls to GetNextCells.
//// \item @|obj.SetMaxCellsReturned (int )| -  Set/Get the maximum number of cells that GetNextCells will return
// in one invocation.
//// \item @|int = obj.GetMaxCellsReturnedMinValue ()| -  Set/Get the maximum number of cells that GetNextCells will return
// in one invocation.
//// \item @|int = obj.GetMaxCellsReturnedMaxValue ()| -  Set/Get the maximum number of cells that GetNextCells will return
// in one invocation.
//// \item @|int = obj.GetMaxCellsReturned ()| -  Set/Get the maximum number of cells that GetNextCells will return
// in one invocation.
//// \item @|obj.SetModelTransform (vtkMatrix4x4 mat)| -  Set/Get the matrix that transforms from object space to world space.
// Generally, you get this matrix from a call to GetMatrix of a vtkProp3D
// (vtkActor).
//// \item @|vtkMatrix4x4 = obj.GetModelTransform ()| -  Set/Get the matrix that transforms from object space to world space.
// Generally, you get this matrix from a call to GetMatrix of a vtkProp3D
// (vtkActor).
//// \item @|vtkMatrix4x4 = obj.GetInverseModelTransform ()|
// \item @|obj.SetCamera (vtkCamera camera)| -  Set/Get the camera that specifies the viewing parameters.
//// \item @|vtkCamera = obj.GetCamera ()| -  Set/Get the camera that specifies the viewing parameters.
//// \item @|obj.SetInput (vtkDataSet data)| -  Set/Get the data set containing the cells to sort.
//// \item @|vtkDataSet = obj.GetInput ()| -  Set/Get the data set containing the cells to sort.
//// \item @|int = obj.GetDirection ()| -  Set/Get the sorting direction.  Be default, the direction is set
// to back to front.
//// \item @|obj.SetDirection (int )| -  Set/Get the sorting direction.  Be default, the direction is set
// to back to front.
//// \item @|obj.SetDirectionToBackToFront ()| -  Set/Get the sorting direction.  Be default, the direction is set
// to back to front.
//// \item @|obj.SetDirectionToFrontToBack ()| -  Overwritten to enable garbage collection.
//// \item @|obj.Register (vtkObjectBase o)| -  Overwritten to enable garbage collection.
//// \item @|obj.UnRegister (vtkObjectBase o)| -  Overwritten to enable garbage collection.
////\end{itemize}
//!
