#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVisibleCellSelector object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVisibleCellSelector.h"

//@@Signature
//sfunction @vtkVisibleCellSelector:vtkVisibleCellSelector vtkVisibleCellSelectorConstructorFunction
//input a
//output p
//@@Parents vtkVisibleCellSelector vtkObject 
ArrayVector vtkVisibleCellSelectorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVisibleCellSelector::New(),"vtkVisibleCellSelector",eval);
  } else if (arg[0].className() == "vtkVisibleCellSelector") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVisibleCellSelector"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVisibleCellSelector");
    vtkVisibleCellSelector*q = reinterpret_cast<vtkVisibleCellSelector*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVisibleCellSelector");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVisibleCellSelector:GetClassName vtkVisibleCellSelectorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVisibleCellSelectorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVisibleCellSelector requires 1 argument(s)");
  vtkVisibleCellSelector* vtk_pointer = GetVTKPointer<vtkVisibleCellSelector>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVisibleCellSelector:IsA vtkVisibleCellSelectorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVisibleCellSelectorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVisibleCellSelector requires 2 argument(s)");
  vtkVisibleCellSelector* vtk_pointer = GetVTKPointer<vtkVisibleCellSelector>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVisibleCellSelector:NewInstance vtkVisibleCellSelectorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVisibleCellSelectorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVisibleCellSelector *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVisibleCellSelector requires 1 argument(s)");
  vtkVisibleCellSelector* vtk_pointer = GetVTKPointer<vtkVisibleCellSelector>(arg[0]);
  Array retval;
  vtkVisibleCellSelector  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVisibleCellSelector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVisibleCellSelector:SafeDownCast vtkVisibleCellSelectorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVisibleCellSelectorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVisibleCellSelector *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVisibleCellSelector requires 2 argument(s)");
  vtkVisibleCellSelector* vtk_pointer = GetVTKPointer<vtkVisibleCellSelector>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVisibleCellSelector  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVisibleCellSelector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVisibleCellSelector:SetRenderer vtkVisibleCellSelectorSetRendererFunction
//input a0 a1 
//output none
ArrayVector vtkVisibleCellSelectorSetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRenderer (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderer for class vtkVisibleCellSelector requires 2 argument(s)");
  vtkVisibleCellSelector* vtk_pointer = GetVTKPointer<vtkVisibleCellSelector>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVisibleCellSelector:SetArea vtkVisibleCellSelectorSetAreaFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkVisibleCellSelectorSetAreaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArea (unsigned int x0, unsigned int y0, unsigned int x1, unsigned int y1); */
  if (arg.size() < 5) 
    throw Exception("Function SetArea for class vtkVisibleCellSelector requires 5 argument(s)");
  vtkVisibleCellSelector* vtk_pointer = GetVTKPointer<vtkVisibleCellSelector>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp2;
  unsigned int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (unsigned int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (unsigned int) arg[4].asDouble();
  vtk_pointer->SetArea(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkVisibleCellSelector:SetProcessorId vtkVisibleCellSelectorSetProcessorIdFunction
//input a0 a1 
//output none
ArrayVector vtkVisibleCellSelectorSetProcessorIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetProcessorId (unsigned int pid); */
  if (arg.size() < 2) 
    throw Exception("Function SetProcessorId for class vtkVisibleCellSelector requires 2 argument(s)");
  vtkVisibleCellSelector* vtk_pointer = GetVTKPointer<vtkVisibleCellSelector>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetProcessorId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVisibleCellSelector:GetProcessorId vtkVisibleCellSelectorGetProcessorIdFunction
//input a0 
//output y
ArrayVector vtkVisibleCellSelectorGetProcessorIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetProcessorId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProcessorId for class vtkVisibleCellSelector requires 1 argument(s)");
  vtkVisibleCellSelector* vtk_pointer = GetVTKPointer<vtkVisibleCellSelector>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetProcessorId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVisibleCellSelector:SetRenderPasses vtkVisibleCellSelectorSetRenderPassesFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkVisibleCellSelectorSetRenderPassesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRenderPasses (int DoProcessor, int DoActor, int DoCellIdHi, int DoCellIdMid, int DoCellIdLo, int DoVertexId); */
  if (arg.size() < 7) 
    throw Exception("Function SetRenderPasses for class vtkVisibleCellSelector requires 7 argument(s)");
  vtkVisibleCellSelector* vtk_pointer = GetVTKPointer<vtkVisibleCellSelector>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetRenderPasses(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkVisibleCellSelector:Select vtkVisibleCellSelectorSelectFunction
//input a0 
//output none
ArrayVector vtkVisibleCellSelectorSelectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Select (); */
  if (arg.size() < 1) 
    throw Exception("Function Select for class vtkVisibleCellSelector requires 1 argument(s)");
  vtkVisibleCellSelector* vtk_pointer = GetVTKPointer<vtkVisibleCellSelector>(arg[0]);
  Array retval;
  vtk_pointer->Select();
  return retval;
}

//@@Signature
//sfunction @vtkVisibleCellSelector:GetSelectedIds__1 vtkVisibleCellSelectorGetSelectedIds__1Function
//input a0 a1 
//output none
ArrayVector vtkVisibleCellSelectorGetSelectedIds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetSelectedIds (vtkIdTypeArray *ToCopyInto); */
  if (arg.size() < 2) 
    throw Exception("Function GetSelectedIds__1 for class vtkVisibleCellSelector requires 2 argument(s)");
  vtkVisibleCellSelector* vtk_pointer = GetVTKPointer<vtkVisibleCellSelector>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp0;
  temp0 = GetVTKPointer<vtkIdTypeArray>(arg[1]);
  vtk_pointer->GetSelectedIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVisibleCellSelector:GetSelectedIds__2 vtkVisibleCellSelectorGetSelectedIds__2Function
//input a0 a1 
//output none
ArrayVector vtkVisibleCellSelectorGetSelectedIds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetSelectedIds (vtkSelection *ToCopyInto); */
  if (arg.size() < 2) 
    throw Exception("Function GetSelectedIds__2 for class vtkVisibleCellSelector requires 2 argument(s)");
  vtkVisibleCellSelector* vtk_pointer = GetVTKPointer<vtkVisibleCellSelector>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  vtk_pointer->GetSelectedIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVisibleCellSelector:GetSelectedVertices vtkVisibleCellSelectorGetSelectedVerticesFunction
//input a0 a1 a2 
//output none
ArrayVector vtkVisibleCellSelectorGetSelectedVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetSelectedVertices (vtkIdTypeArray *VertexPointers, vtkIdTypeArray *VertexIds); */
  if (arg.size() < 3) 
    throw Exception("Function GetSelectedVertices for class vtkVisibleCellSelector requires 3 argument(s)");
  vtkVisibleCellSelector* vtk_pointer = GetVTKPointer<vtkVisibleCellSelector>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp0;
  vtkIdTypeArray  *temp1;
  temp0 = GetVTKPointer<vtkIdTypeArray>(arg[1]);
  temp1 = GetVTKPointer<vtkIdTypeArray>(arg[2]);
  vtk_pointer->GetSelectedVertices(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVisibleCellSelector:GetActorFromId vtkVisibleCellSelectorGetActorFromIdFunction
//input a0 a1 
//output y
ArrayVector vtkVisibleCellSelectorGetActorFromIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp *GetActorFromId (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function GetActorFromId for class vtkVisibleCellSelector requires 2 argument(s)");
  vtkVisibleCellSelector* vtk_pointer = GetVTKPointer<vtkVisibleCellSelector>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkProp  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetActorFromId(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVisibleCellSelector:PrintSelectedIds vtkVisibleCellSelectorPrintSelectedIdsFunction
//input a0 a1 
//output none
ArrayVector vtkVisibleCellSelectorPrintSelectedIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PrintSelectedIds (vtkIdTypeArray *IdsToPrint); */
  if (arg.size() < 2) 
    throw Exception("Function PrintSelectedIds for class vtkVisibleCellSelector requires 2 argument(s)");
  vtkVisibleCellSelector* vtk_pointer = GetVTKPointer<vtkVisibleCellSelector>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp0;
  temp0 = GetVTKPointer<vtkIdTypeArray>(arg[1]);
  vtk_pointer->PrintSelectedIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVisibleCellSelector:GetSelectedIds vtkVisibleCellSelectorGetSelectedIdsFunction
//input varargin
//output varargout
ArrayVector vtkVisibleCellSelectorGetSelectedIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkIdTypeArray"))
    return vtkVisibleCellSelectorGetSelectedIds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkSelection"))
    return vtkVisibleCellSelectorGetSelectedIds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVisibleCellSelectorGetSelectedIds");
}

//@@Signature
//sfunction @vtkVisibleCellSelector:display vtkVisibleCellSelectorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVisibleCellSelectorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVisibleCellSelector* vtk_pointer = GetVTKPointer<vtkVisibleCellSelector>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVisibleCellSelector:delete vtkVisibleCellSelectorDeleteFunction
//input varargin
//output none
ArrayVector vtkVisibleCellSelectorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVisibleCellSelector
//@@Section VTKRendering
//@@Usage
// DEPRECATED: Please refer to vtkHardwareSelector instead.
// This class can be used to determine what cells are visible within a given
// rectangle of the RenderWindow. To use it, call in order, SetRenderer(), 
// SetArea(), SetProcessorId(), SetRenderPasses(), and then Select(). Select 
// will cause the attached vtkRenderer to render in a special color mode, 
// where each cell is given it own color so that later inspection of the 
// Rendered Pixels can determine what cells are visible. In practice up to 
// five different rendering passes may occur depending on your choices in 
// SetRenderPasses. After Select(), a list of the visible cells can be 
// obtained by calling GetSelectedIds().
//
// Limitations:
// Antialiasing will break this class. If your graphics card settings force
// their use this class will return invalid results.
//
// Currently only cells from PolyDataMappers can be selected from. When 
// vtkRenderer is put into a SelectMode, it temporarily swaps in a new 
// vtkIdentColoredPainter to do the color index rendering of each cell in 
// each vtkProp that it renders. Until alternatives to vtkIdentColoredPainter
// exist that can do a similar coloration of other vtkDataSet types, only
// polygonal data can be selected. If you need to select other data types,
// consider using vtkDataSetMapper and turning on it's PassThroughCellIds 
// feature, or using vtkFrustumExtractor.
//
// Only Opaque geometry in Actors is selected from. Assemblies and LODMappers 
// are not currently supported. 
//
// During selection, visible datasets that can not be selected from are
// temporarily hidden so as not to produce invalid indices from their colors.
//
//
//To create an instance of class vtkVisibleCellSelector, simply
//invoke its constructor as follows
//@[
//  obj = vtkVisibleCellSelector
//@]
//@@Methods
//The class vtkVisibleCellSelector has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVisibleCellSelector class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVisibleCellSelector = obj.NewInstance ()|
// \item @|vtkVisibleCellSelector = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRenderer (vtkRenderer )| -  Call to let this know where to select within.
//// \item @|obj.SetArea (int x0, int y0, int x1, int y1)| -  Call to set the selection area region.
// This crops the selected area to the renderers pixel limits.
//// \item @|obj.SetProcessorId (int pid)| -  Call to let this know what processor number to render as in the processor
// select pass. Internally this adds 1 to pid because 0 is reserved for miss.
//// \item @|int = obj.GetProcessorId ()| -  Call to let this know what processor number to render as in the processor
// select pass. Internally this adds 1 to pid because 0 is reserved for miss.
//// \item @|obj.SetRenderPasses (int DoProcessor, int DoActor, int DoCellIdHi, int DoCellIdMid, int DoCellIdLo, int DoVertexId)| -  Call to let this know what selection render passes to do.
// If you have only one processor or one actor, you can leave DoProcessor 
// and DoActor as false (the default). If you have less than 2^48 cells in 
// any actor, you do not need the CellIdHi pass, or similarly if you have 
// less than 2^24 cells, you do not need DoCellIdMid.
// The DoPointId will enable another render pass for determining visible
// vertices.
//// \item @|obj.Select ()| -  Execute the selection algorithm.
//// \item @|obj.GetSelectedIds (vtkIdTypeArray ToCopyInto)| -  After Select(), this will return the list of selected Ids.
// The ProcessorId and Actor Id are returned in the first two components.
// The CellId is returned in the last two components (only 64 bits total).
//// \item @|obj.GetSelectedIds (vtkSelection ToCopyInto)| -  After Select(), this will return the list of selected Ids.
//// \item @|obj.GetSelectedVertices (vtkIdTypeArray VertexPointers, vtkIdTypeArray VertexIds)| -  After Select(), (assuming DoVertexId is on), the will return arrays that
// describe which cell vertices are visible.
// The VertexPointers array contains one index into the VertexIds array for
// every visible cell. Any index may be -1 in which case no vertices were 
// visible for that cell. The VertexIds array contains a set of integers for
// each cell that has visible vertices. The first entry in the set is
// the number of visible vertices. The rest are visible vertex ranks. 
// A set such at 2,0,4, means that a particular polygon's first and fifth
// vertices were visible.
//// \item @|vtkProp = obj.GetActorFromId (vtkIdType id)| -  After a select, this will return a pointer to the actor corresponding to
// a particular id. This will return NULL if id is out of range.
//// \item @|obj.PrintSelectedIds (vtkIdTypeArray IdsToPrint)| -  For debugging - prints out the list of selected ids.
////\end{itemize}
//!
