#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolume object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolume.h"

//@@Signature
//sfunction @vtkVolume:vtkVolume vtkVolumeConstructorFunction
//input a
//output p
//@@Parents vtkVolume vtkProp3D 
ArrayVector vtkVolumeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolume::New(),"vtkVolume",eval);
  } else if (arg[0].className() == "vtkVolume") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolume"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolume");
    vtkVolume*q = reinterpret_cast<vtkVolume*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolume");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolume:GetClassName vtkVolumeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolume requires 1 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolume:IsA vtkVolumeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolume requires 2 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolume:NewInstance vtkVolumeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolume *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolume requires 1 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  vtkVolume  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolume",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolume:SafeDownCast vtkVolumeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolume *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolume requires 2 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolume  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolume",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolume:SetMapper vtkVolumeSetMapperFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeSetMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMapper (vtkAbstractVolumeMapper *mapper); */
  if (arg.size() < 2) 
    throw Exception("Function SetMapper for class vtkVolume requires 2 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  vtkAbstractVolumeMapper  *temp0;
  temp0 = GetVTKPointer<vtkAbstractVolumeMapper>(arg[1]);
  vtk_pointer->SetMapper(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolume:GetMapper vtkVolumeGetMapperFunction
//input a0 
//output y
ArrayVector vtkVolumeGetMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractVolumeMapper *GetMapper (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMapper for class vtkVolume requires 1 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  vtkAbstractVolumeMapper  *temp20;
  temp20 = (vtk_pointer)->GetMapper();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractVolumeMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolume:SetProperty vtkVolumeSetPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeSetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProperty (vtkVolumeProperty *property); */
  if (arg.size() < 2) 
    throw Exception("Function SetProperty for class vtkVolume requires 2 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  vtkVolumeProperty  *temp0;
  temp0 = GetVTKPointer<vtkVolumeProperty>(arg[1]);
  vtk_pointer->SetProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolume:GetProperty vtkVolumeGetPropertyFunction
//input a0 
//output y
ArrayVector vtkVolumeGetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeProperty *GetProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProperty for class vtkVolume requires 1 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  vtkVolumeProperty  *temp20;
  temp20 = (vtk_pointer)->GetProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolume:GetVolumes vtkVolumeGetVolumesFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeGetVolumesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetVolumes (vtkPropCollection *vc); */
  if (arg.size() < 2) 
    throw Exception("Function GetVolumes for class vtkVolume requires 2 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetVolumes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolume:Update vtkVolumeUpdateFunction
//input a0 
//output none
ArrayVector vtkVolumeUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkVolume requires 1 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkVolume:GetBounds__1 vtkVolumeGetBounds__1Function
//input a0 
//output y
ArrayVector vtkVolumeGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__1 for class vtkVolume requires 1 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolume:GetBounds__2 vtkVolumeGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumeGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[6]);this vtkProp3D GetBounds bounds  */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkVolume requires 2 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolume:GetMinXBound vtkVolumeGetMinXBoundFunction
//input a0 
//output y
ArrayVector vtkVolumeGetMinXBoundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinXBound (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinXBound for class vtkVolume requires 1 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinXBound();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolume:GetMaxXBound vtkVolumeGetMaxXBoundFunction
//input a0 
//output y
ArrayVector vtkVolumeGetMaxXBoundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaxXBound (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxXBound for class vtkVolume requires 1 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaxXBound();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolume:GetMinYBound vtkVolumeGetMinYBoundFunction
//input a0 
//output y
ArrayVector vtkVolumeGetMinYBoundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinYBound (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinYBound for class vtkVolume requires 1 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinYBound();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolume:GetMaxYBound vtkVolumeGetMaxYBoundFunction
//input a0 
//output y
ArrayVector vtkVolumeGetMaxYBoundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaxYBound (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxYBound for class vtkVolume requires 1 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaxYBound();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolume:GetMinZBound vtkVolumeGetMinZBoundFunction
//input a0 
//output y
ArrayVector vtkVolumeGetMinZBoundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinZBound (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinZBound for class vtkVolume requires 1 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinZBound();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolume:GetMaxZBound vtkVolumeGetMaxZBoundFunction
//input a0 
//output y
ArrayVector vtkVolumeGetMaxZBoundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaxZBound (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxZBound for class vtkVolume requires 1 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaxZBound();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolume:GetMTime vtkVolumeGetMTimeFunction
//input a0 
//output y
ArrayVector vtkVolumeGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkVolume requires 1 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolume:GetRedrawMTime vtkVolumeGetRedrawMTimeFunction
//input a0 
//output y
ArrayVector vtkVolumeGetRedrawMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetRedrawMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRedrawMTime for class vtkVolume requires 1 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetRedrawMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolume:ShallowCopy vtkVolumeShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkVolume requires 2 argument(s)");
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolume:GetBounds vtkVolumeGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkVolumeGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkVolumeGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVolumeGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeGetBounds");
}

//@@Signature
//sfunction @vtkVolume:display vtkVolumeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolume* vtk_pointer = GetVTKPointer<vtkVolume>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolume:delete vtkVolumeDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolume
//@@Section VTKRendering
//@@Usage
// vtkVolume is used to represent a volumetric entity in a rendering scene.
// It inherits functions related to the volume's position, orientation and
// origin from vtkProp3D. The volume maintains a reference to the
// volumetric data (i.e., the volume mapper). The volume also contains a
// reference to a volume property which contains all common volume rendering 
// parameters.
//
//To create an instance of class vtkVolume, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolume
//@]
//@@Methods
//The class vtkVolume has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolume class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolume = obj.NewInstance ()|
// \item @|vtkVolume = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMapper (vtkAbstractVolumeMapper mapper)| -  Set/Get the volume mapper.
//// \item @|vtkAbstractVolumeMapper = obj.GetMapper ()| -  Set/Get the volume mapper.
//// \item @|obj.SetProperty (vtkVolumeProperty property)| -  Set/Get the volume property.
//// \item @|vtkVolumeProperty = obj.GetProperty ()| -  Set/Get the volume property.
//// \item @|obj.GetVolumes (vtkPropCollection vc)| -  For some exporters and other other operations we must be
// able to collect all the actors or volumes. This method
// is used in that process.
//// \item @|obj.Update ()| -  Update the volume rendering pipeline by updating the volume mapper
//// \item @|double = obj.GetBounds ()| -  Get the bounds - either all six at once 
// (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.
//// \item @|obj.GetBounds (double bounds[6])| -  Get the bounds - either all six at once 
// (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.
//// \item @|double = obj.GetMinXBound ()| -  Get the bounds - either all six at once 
// (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.
//// \item @|double = obj.GetMaxXBound ()| -  Get the bounds - either all six at once 
// (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.
//// \item @|double = obj.GetMinYBound ()| -  Get the bounds - either all six at once 
// (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.
//// \item @|double = obj.GetMaxYBound ()| -  Get the bounds - either all six at once 
// (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.
//// \item @|double = obj.GetMinZBound ()| -  Get the bounds - either all six at once 
// (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.
//// \item @|double = obj.GetMaxZBound ()| -  Get the bounds - either all six at once 
// (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.
//// \item @|long = obj.GetMTime ()| -  Return the MTime also considering the property etc.
//// \item @|long = obj.GetRedrawMTime ()| -  Return the mtime of anything that would cause the rendered image to 
// appear differently. Usually this involves checking the mtime of the 
// prop plus anything else it depends on such as properties, mappers,
// etc.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of this vtkVolume. Overloads the virtual vtkProp method.
////\end{itemize}
//!
