#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolumeCollection object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolumeCollection.h"

//@@Signature
//sfunction @vtkVolumeCollection:vtkVolumeCollection vtkVolumeCollectionConstructorFunction
//input a
//output p
//@@Parents vtkVolumeCollection vtkPropCollection 
ArrayVector vtkVolumeCollectionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolumeCollection::New(),"vtkVolumeCollection",eval);
  } else if (arg[0].className() == "vtkVolumeCollection") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolumeCollection"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolumeCollection");
    vtkVolumeCollection*q = reinterpret_cast<vtkVolumeCollection*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolumeCollection");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolumeCollection:GetClassName vtkVolumeCollectionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumeCollectionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolumeCollection requires 1 argument(s)");
  vtkVolumeCollection* vtk_pointer = GetVTKPointer<vtkVolumeCollection>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeCollection:IsA vtkVolumeCollectionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeCollectionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolumeCollection requires 2 argument(s)");
  vtkVolumeCollection* vtk_pointer = GetVTKPointer<vtkVolumeCollection>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeCollection:NewInstance vtkVolumeCollectionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumeCollectionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeCollection *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolumeCollection requires 1 argument(s)");
  vtkVolumeCollection* vtk_pointer = GetVTKPointer<vtkVolumeCollection>(arg[0]);
  Array retval;
  vtkVolumeCollection  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeCollection:SafeDownCast vtkVolumeCollectionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeCollectionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeCollection *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolumeCollection requires 2 argument(s)");
  vtkVolumeCollection* vtk_pointer = GetVTKPointer<vtkVolumeCollection>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolumeCollection  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeCollection:AddItem__1 vtkVolumeCollectionAddItem__1Function
//input a0 a1 
//output none
ArrayVector vtkVolumeCollectionAddItem__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddItem (vtkVolume *a);this vtkCollection AddItem a  */
  if (arg.size() < 2) 
    throw Exception("Function AddItem__1 for class vtkVolumeCollection requires 2 argument(s)");
  vtkVolumeCollection* vtk_pointer = GetVTKPointer<vtkVolumeCollection>(arg[0]);
  Array retval;
  vtkVolume  *temp0;
  temp0 = GetVTKPointer<vtkVolume>(arg[1]);
  vtk_pointer->AddItem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeCollection:GetNextVolume vtkVolumeCollectionGetNextVolumeFunction
//input a0 
//output y
ArrayVector vtkVolumeCollectionGetNextVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolume *GetNextVolume ();return static_cast vtkVolume this GetNextItemAsObject  */
  if (arg.size() < 1) 
    throw Exception("Function GetNextVolume for class vtkVolumeCollection requires 1 argument(s)");
  vtkVolumeCollection* vtk_pointer = GetVTKPointer<vtkVolumeCollection>(arg[0]);
  Array retval;
  vtkVolume  *temp20;
  temp20 = (vtk_pointer)->GetNextVolume();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolume",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeCollection:GetNextItem vtkVolumeCollectionGetNextItemFunction
//input a0 
//output y
ArrayVector vtkVolumeCollectionGetNextItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolume *GetNextItem ();return this GetNextVolume  */
  if (arg.size() < 1) 
    throw Exception("Function GetNextItem for class vtkVolumeCollection requires 1 argument(s)");
  vtkVolumeCollection* vtk_pointer = GetVTKPointer<vtkVolumeCollection>(arg[0]);
  Array retval;
  vtkVolume  *temp20;
  temp20 = (vtk_pointer)->GetNextItem();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolume",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeCollection:AddItem vtkVolumeCollectionAddItemFunction
//input varargin
//output varargout
ArrayVector vtkVolumeCollectionAddItemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkVolume"))
    return vtkVolumeCollectionAddItem__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeCollectionAddItem");
}

//@@Signature
//sfunction @vtkVolumeCollection:display vtkVolumeCollectionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumeCollectionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolumeCollection* vtk_pointer = GetVTKPointer<vtkVolumeCollection>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolumeCollection:delete vtkVolumeCollectionDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumeCollectionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolumeCollection
//@@Section VTKRendering
//@@Usage
// vtkVolumeCollection represents and provides methods to manipulate a 
// list of volumes (i.e., vtkVolume and subclasses). The list is unsorted 
// and duplicate entries are not prevented.
//
//To create an instance of class vtkVolumeCollection, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolumeCollection
//@]
//@@Methods
//The class vtkVolumeCollection has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolumeCollection class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolumeCollection = obj.NewInstance ()|
// \item @|vtkVolumeCollection = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddItem (vtkVolume a)| -  Get the next Volume in the list. Return NULL when at the end of the 
// list.
//// \item @|vtkVolume = obj.GetNextVolume ()| -  Get the next Volume in the list. Return NULL when at the end of the 
// list.
//// \item @|vtkVolume = obj.GetNextItem ()| -  Access routine provided for compatibility with previous
// versions of VTK.  Please use the GetNextVolume() variant
// where possible.
////\end{itemize}
//!
