#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolumeProperty object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolumeProperty.h"

//@@Signature
//sfunction @vtkVolumeProperty:vtkVolumeProperty vtkVolumePropertyConstructorFunction
//input a
//output p
//@@Parents vtkVolumeProperty vtkObject 
ArrayVector vtkVolumePropertyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolumeProperty::New(),"vtkVolumeProperty",eval);
  } else if (arg[0].className() == "vtkVolumeProperty") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolumeProperty"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolumeProperty");
    vtkVolumeProperty*q = reinterpret_cast<vtkVolumeProperty*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolumeProperty");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolumeProperty:GetClassName vtkVolumePropertyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumePropertyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:IsA vtkVolumePropertyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumePropertyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:NewInstance vtkVolumePropertyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumePropertyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeProperty *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtkVolumeProperty  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SafeDownCast vtkVolumePropertySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumePropertySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeProperty *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolumeProperty  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:DeepCopy vtkVolumePropertyDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkVolumePropertyDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkVolumeProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtkVolumeProperty  *temp0;
  temp0 = GetVTKPointer<vtkVolumeProperty>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetMTime vtkVolumePropertyGetMTimeFunction
//input a0 
//output y
ArrayVector vtkVolumePropertyGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetIndependentComponents vtkVolumePropertySetIndependentComponentsFunction
//input a0 a1 
//output none
ArrayVector vtkVolumePropertySetIndependentComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIndependentComponents (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIndependentComponents for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIndependentComponents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetIndependentComponentsMinValue vtkVolumePropertyGetIndependentComponentsMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumePropertyGetIndependentComponentsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIndependentComponentsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIndependentComponentsMinValue for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIndependentComponentsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetIndependentComponentsMaxValue vtkVolumePropertyGetIndependentComponentsMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumePropertyGetIndependentComponentsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIndependentComponentsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIndependentComponentsMaxValue for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIndependentComponentsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetIndependentComponents vtkVolumePropertyGetIndependentComponentsFunction
//input a0 
//output y
ArrayVector vtkVolumePropertyGetIndependentComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIndependentComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIndependentComponents for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIndependentComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:IndependentComponentsOn vtkVolumePropertyIndependentComponentsOnFunction
//input a0 
//output none
ArrayVector vtkVolumePropertyIndependentComponentsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IndependentComponentsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IndependentComponentsOn for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtk_pointer->IndependentComponentsOn();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:IndependentComponentsOff vtkVolumePropertyIndependentComponentsOffFunction
//input a0 
//output none
ArrayVector vtkVolumePropertyIndependentComponentsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IndependentComponentsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IndependentComponentsOff for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtk_pointer->IndependentComponentsOff();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetInterpolationType vtkVolumePropertySetInterpolationTypeFunction
//input a0 a1 
//output none
ArrayVector vtkVolumePropertySetInterpolationTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInterpolationType for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInterpolationType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetInterpolationTypeMinValue vtkVolumePropertyGetInterpolationTypeMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumePropertyGetInterpolationTypeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationTypeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationTypeMinValue for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationTypeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetInterpolationTypeMaxValue vtkVolumePropertyGetInterpolationTypeMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumePropertyGetInterpolationTypeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationTypeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationTypeMaxValue for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationTypeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetInterpolationType vtkVolumePropertyGetInterpolationTypeFunction
//input a0 
//output y
ArrayVector vtkVolumePropertyGetInterpolationTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationType for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetInterpolationTypeToNearest vtkVolumePropertySetInterpolationTypeToNearestFunction
//input a0 
//output none
ArrayVector vtkVolumePropertySetInterpolationTypeToNearestFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationTypeToNearest ();this SetInterpolationType VTK_NEAREST_INTERPOLATION  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationTypeToNearest for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationTypeToNearest();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetInterpolationTypeToLinear vtkVolumePropertySetInterpolationTypeToLinearFunction
//input a0 
//output none
ArrayVector vtkVolumePropertySetInterpolationTypeToLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationTypeToLinear ();this SetInterpolationType VTK_LINEAR_INTERPOLATION  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationTypeToLinear for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationTypeToLinear();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetInterpolationTypeAsString vtkVolumePropertyGetInterpolationTypeAsStringFunction
//input a0 
//output y
ArrayVector vtkVolumePropertyGetInterpolationTypeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetInterpolationTypeAsString (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationTypeAsString for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetInterpolationTypeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetComponentWeight vtkVolumePropertySetComponentWeightFunction
//input a0 a1 a2 
//output none
ArrayVector vtkVolumePropertySetComponentWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetComponentWeight (int index, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetComponentWeight for class vtkVolumeProperty requires 3 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetComponentWeight(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetComponentWeight vtkVolumePropertyGetComponentWeightFunction
//input a0 a1 
//output y
ArrayVector vtkVolumePropertyGetComponentWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetComponentWeight (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetComponentWeight for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetComponentWeight(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetColor__1 vtkVolumePropertySetColor__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkVolumePropertySetColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (int index, vtkPiecewiseFunction *function); */
  if (arg.size() < 3) 
    throw Exception("Function SetColor__1 for class vtkVolumeProperty requires 3 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  vtkPiecewiseFunction  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPiecewiseFunction>(arg[2]);
  vtk_pointer->SetColor(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetColor__2 vtkVolumePropertySetColor__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumePropertySetColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (vtkPiecewiseFunction *f);this SetColor f  */
  if (arg.size() < 2) 
    throw Exception("Function SetColor__2 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtkPiecewiseFunction  *temp0;
  temp0 = GetVTKPointer<vtkPiecewiseFunction>(arg[1]);
  vtk_pointer->SetColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetColor__3 vtkVolumePropertySetColor__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkVolumePropertySetColor__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (int index, vtkColorTransferFunction *function); */
  if (arg.size() < 3) 
    throw Exception("Function SetColor__3 for class vtkVolumeProperty requires 3 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  vtkColorTransferFunction  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkColorTransferFunction>(arg[2]);
  vtk_pointer->SetColor(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetColor__4 vtkVolumePropertySetColor__4Function
//input a0 a1 
//output none
ArrayVector vtkVolumePropertySetColor__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (vtkColorTransferFunction *f);this SetColor f  */
  if (arg.size() < 2) 
    throw Exception("Function SetColor__4 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtkColorTransferFunction  *temp0;
  temp0 = GetVTKPointer<vtkColorTransferFunction>(arg[1]);
  vtk_pointer->SetColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetColorChannels__1 vtkVolumePropertyGetColorChannels__1Function
//input a0 a1 
//output y
ArrayVector vtkVolumePropertyGetColorChannels__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorChannels (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetColorChannels__1 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetColorChannels(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetColorChannels__2 vtkVolumePropertyGetColorChannels__2Function
//input a0 
//output y
ArrayVector vtkVolumePropertyGetColorChannels__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorChannels ();return this GetColorChannels  */
  if (arg.size() < 1) 
    throw Exception("Function GetColorChannels__2 for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorChannels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetGrayTransferFunction__1 vtkVolumePropertyGetGrayTransferFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkVolumePropertyGetGrayTransferFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPiecewiseFunction *GetGrayTransferFunction (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetGrayTransferFunction__1 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  vtkPiecewiseFunction  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGrayTransferFunction(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPiecewiseFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetGrayTransferFunction__2 vtkVolumePropertyGetGrayTransferFunction__2Function
//input a0 
//output y
ArrayVector vtkVolumePropertyGetGrayTransferFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPiecewiseFunction *GetGrayTransferFunction ();return this GetGrayTransferFunction  */
  if (arg.size() < 1) 
    throw Exception("Function GetGrayTransferFunction__2 for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtkPiecewiseFunction  *temp20;
  temp20 = (vtk_pointer)->GetGrayTransferFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPiecewiseFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetRGBTransferFunction__1 vtkVolumePropertyGetRGBTransferFunction__1Function
//input a0 a1 
//output y
ArrayVector vtkVolumePropertyGetRGBTransferFunction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkColorTransferFunction *GetRGBTransferFunction (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetRGBTransferFunction__1 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  vtkColorTransferFunction  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetRGBTransferFunction(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkColorTransferFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetRGBTransferFunction__2 vtkVolumePropertyGetRGBTransferFunction__2Function
//input a0 
//output y
ArrayVector vtkVolumePropertyGetRGBTransferFunction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkColorTransferFunction *GetRGBTransferFunction ();return this GetRGBTransferFunction  */
  if (arg.size() < 1) 
    throw Exception("Function GetRGBTransferFunction__2 for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtkColorTransferFunction  *temp20;
  temp20 = (vtk_pointer)->GetRGBTransferFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkColorTransferFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetScalarOpacity__1 vtkVolumePropertySetScalarOpacity__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkVolumePropertySetScalarOpacity__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarOpacity (int index, vtkPiecewiseFunction *function); */
  if (arg.size() < 3) 
    throw Exception("Function SetScalarOpacity__1 for class vtkVolumeProperty requires 3 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  vtkPiecewiseFunction  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPiecewiseFunction>(arg[2]);
  vtk_pointer->SetScalarOpacity(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetScalarOpacity__2 vtkVolumePropertySetScalarOpacity__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumePropertySetScalarOpacity__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarOpacity (vtkPiecewiseFunction *f);this SetScalarOpacity f  */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarOpacity__2 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtkPiecewiseFunction  *temp0;
  temp0 = GetVTKPointer<vtkPiecewiseFunction>(arg[1]);
  vtk_pointer->SetScalarOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetScalarOpacity__1 vtkVolumePropertyGetScalarOpacity__1Function
//input a0 a1 
//output y
ArrayVector vtkVolumePropertyGetScalarOpacity__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPiecewiseFunction *GetScalarOpacity (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetScalarOpacity__1 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  vtkPiecewiseFunction  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetScalarOpacity(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPiecewiseFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetScalarOpacity__2 vtkVolumePropertyGetScalarOpacity__2Function
//input a0 
//output y
ArrayVector vtkVolumePropertyGetScalarOpacity__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPiecewiseFunction *GetScalarOpacity ();return this GetScalarOpacity  */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarOpacity__2 for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtkPiecewiseFunction  *temp20;
  temp20 = (vtk_pointer)->GetScalarOpacity();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPiecewiseFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetScalarOpacityUnitDistance__1 vtkVolumePropertySetScalarOpacityUnitDistance__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkVolumePropertySetScalarOpacityUnitDistance__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarOpacityUnitDistance (int index, double distance); */
  if (arg.size() < 3) 
    throw Exception("Function SetScalarOpacityUnitDistance__1 for class vtkVolumeProperty requires 3 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetScalarOpacityUnitDistance(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetScalarOpacityUnitDistance__2 vtkVolumePropertySetScalarOpacityUnitDistance__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumePropertySetScalarOpacityUnitDistance__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarOpacityUnitDistance (double distance);this SetScalarOpacityUnitDistance distance  */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarOpacityUnitDistance__2 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScalarOpacityUnitDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetScalarOpacityUnitDistance__1 vtkVolumePropertyGetScalarOpacityUnitDistance__1Function
//input a0 a1 
//output y
ArrayVector vtkVolumePropertyGetScalarOpacityUnitDistance__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScalarOpacityUnitDistance (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetScalarOpacityUnitDistance__1 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetScalarOpacityUnitDistance(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetScalarOpacityUnitDistance__2 vtkVolumePropertyGetScalarOpacityUnitDistance__2Function
//input a0 
//output y
ArrayVector vtkVolumePropertyGetScalarOpacityUnitDistance__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScalarOpacityUnitDistance ();return this GetScalarOpacityUnitDistance  */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarOpacityUnitDistance__2 for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScalarOpacityUnitDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetGradientOpacity__1 vtkVolumePropertySetGradientOpacity__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkVolumePropertySetGradientOpacity__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGradientOpacity (int index, vtkPiecewiseFunction *function); */
  if (arg.size() < 3) 
    throw Exception("Function SetGradientOpacity__1 for class vtkVolumeProperty requires 3 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  vtkPiecewiseFunction  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPiecewiseFunction>(arg[2]);
  vtk_pointer->SetGradientOpacity(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetGradientOpacity__2 vtkVolumePropertySetGradientOpacity__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumePropertySetGradientOpacity__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGradientOpacity (vtkPiecewiseFunction *function);this SetGradientOpacity function  */
  if (arg.size() < 2) 
    throw Exception("Function SetGradientOpacity__2 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtkPiecewiseFunction  *temp0;
  temp0 = GetVTKPointer<vtkPiecewiseFunction>(arg[1]);
  vtk_pointer->SetGradientOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetGradientOpacity__1 vtkVolumePropertyGetGradientOpacity__1Function
//input a0 a1 
//output y
ArrayVector vtkVolumePropertyGetGradientOpacity__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPiecewiseFunction *GetGradientOpacity (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetGradientOpacity__1 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  vtkPiecewiseFunction  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGradientOpacity(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPiecewiseFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetGradientOpacity__2 vtkVolumePropertyGetGradientOpacity__2Function
//input a0 
//output y
ArrayVector vtkVolumePropertyGetGradientOpacity__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPiecewiseFunction *GetGradientOpacity ();return this GetGradientOpacity  */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientOpacity__2 for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtkPiecewiseFunction  *temp20;
  temp20 = (vtk_pointer)->GetGradientOpacity();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPiecewiseFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetDisableGradientOpacity__1 vtkVolumePropertySetDisableGradientOpacity__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkVolumePropertySetDisableGradientOpacity__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDisableGradientOpacity (int index, int value); */
  if (arg.size() < 3) 
    throw Exception("Function SetDisableGradientOpacity__1 for class vtkVolumeProperty requires 3 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetDisableGradientOpacity(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetDisableGradientOpacity__2 vtkVolumePropertySetDisableGradientOpacity__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumePropertySetDisableGradientOpacity__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDisableGradientOpacity (int value);this SetDisableGradientOpacity value  */
  if (arg.size() < 2) 
    throw Exception("Function SetDisableGradientOpacity__2 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDisableGradientOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:DisableGradientOpacityOn__1 vtkVolumePropertyDisableGradientOpacityOn__1Function
//input a0 a1 
//output none
ArrayVector vtkVolumePropertyDisableGradientOpacityOn__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisableGradientOpacityOn (int index);this SetDisableGradientOpacity index  */
  if (arg.size() < 2) 
    throw Exception("Function DisableGradientOpacityOn__1 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->DisableGradientOpacityOn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:DisableGradientOpacityOn__2 vtkVolumePropertyDisableGradientOpacityOn__2Function
//input a0 
//output none
ArrayVector vtkVolumePropertyDisableGradientOpacityOn__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisableGradientOpacityOn ();this DisableGradientOpacityOn  */
  if (arg.size() < 1) 
    throw Exception("Function DisableGradientOpacityOn__2 for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtk_pointer->DisableGradientOpacityOn();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:DisableGradientOpacityOff__1 vtkVolumePropertyDisableGradientOpacityOff__1Function
//input a0 a1 
//output none
ArrayVector vtkVolumePropertyDisableGradientOpacityOff__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisableGradientOpacityOff (int index);this SetDisableGradientOpacity index  */
  if (arg.size() < 2) 
    throw Exception("Function DisableGradientOpacityOff__1 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->DisableGradientOpacityOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:DisableGradientOpacityOff__2 vtkVolumePropertyDisableGradientOpacityOff__2Function
//input a0 
//output none
ArrayVector vtkVolumePropertyDisableGradientOpacityOff__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DisableGradientOpacityOff ();this DisableGradientOpacityOff  */
  if (arg.size() < 1) 
    throw Exception("Function DisableGradientOpacityOff__2 for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtk_pointer->DisableGradientOpacityOff();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetDisableGradientOpacity__1 vtkVolumePropertyGetDisableGradientOpacity__1Function
//input a0 a1 
//output y
ArrayVector vtkVolumePropertyGetDisableGradientOpacity__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDisableGradientOpacity (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetDisableGradientOpacity__1 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDisableGradientOpacity(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetDisableGradientOpacity__2 vtkVolumePropertyGetDisableGradientOpacity__2Function
//input a0 
//output y
ArrayVector vtkVolumePropertyGetDisableGradientOpacity__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDisableGradientOpacity ();return this GetDisableGradientOpacity  */
  if (arg.size() < 1) 
    throw Exception("Function GetDisableGradientOpacity__2 for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDisableGradientOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetStoredGradientOpacity__1 vtkVolumePropertyGetStoredGradientOpacity__1Function
//input a0 a1 
//output y
ArrayVector vtkVolumePropertyGetStoredGradientOpacity__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPiecewiseFunction *GetStoredGradientOpacity (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetStoredGradientOpacity__1 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  vtkPiecewiseFunction  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetStoredGradientOpacity(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPiecewiseFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetStoredGradientOpacity__2 vtkVolumePropertyGetStoredGradientOpacity__2Function
//input a0 
//output y
ArrayVector vtkVolumePropertyGetStoredGradientOpacity__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPiecewiseFunction *GetStoredGradientOpacity ();return this GetStoredGradientOpacity  */
  if (arg.size() < 1) 
    throw Exception("Function GetStoredGradientOpacity__2 for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtkPiecewiseFunction  *temp20;
  temp20 = (vtk_pointer)->GetStoredGradientOpacity();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPiecewiseFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetShade__1 vtkVolumePropertySetShade__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkVolumePropertySetShade__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShade (int index, int value); */
  if (arg.size() < 3) 
    throw Exception("Function SetShade__1 for class vtkVolumeProperty requires 3 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetShade(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetShade__2 vtkVolumePropertySetShade__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumePropertySetShade__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShade (int value);this SetShade value  */
  if (arg.size() < 2) 
    throw Exception("Function SetShade__2 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShade(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetShade__1 vtkVolumePropertyGetShade__1Function
//input a0 a1 
//output y
ArrayVector vtkVolumePropertyGetShade__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShade (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetShade__1 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetShade(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetShade__2 vtkVolumePropertyGetShade__2Function
//input a0 
//output y
ArrayVector vtkVolumePropertyGetShade__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShade ();return this GetShade  */
  if (arg.size() < 1) 
    throw Exception("Function GetShade__2 for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShade();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:ShadeOn__1 vtkVolumePropertyShadeOn__1Function
//input a0 a1 
//output none
ArrayVector vtkVolumePropertyShadeOn__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShadeOn (int index); */
  if (arg.size() < 2) 
    throw Exception("Function ShadeOn__1 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->ShadeOn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:ShadeOn__2 vtkVolumePropertyShadeOn__2Function
//input a0 
//output none
ArrayVector vtkVolumePropertyShadeOn__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShadeOn ();this ShadeOn  */
  if (arg.size() < 1) 
    throw Exception("Function ShadeOn__2 for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtk_pointer->ShadeOn();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:ShadeOff__1 vtkVolumePropertyShadeOff__1Function
//input a0 a1 
//output none
ArrayVector vtkVolumePropertyShadeOff__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShadeOff (int index); */
  if (arg.size() < 2) 
    throw Exception("Function ShadeOff__1 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->ShadeOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:ShadeOff__2 vtkVolumePropertyShadeOff__2Function
//input a0 
//output none
ArrayVector vtkVolumePropertyShadeOff__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShadeOff ();this ShadeOff  */
  if (arg.size() < 1) 
    throw Exception("Function ShadeOff__2 for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  vtk_pointer->ShadeOff();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetAmbient__1 vtkVolumePropertySetAmbient__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkVolumePropertySetAmbient__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAmbient (int index, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetAmbient__1 for class vtkVolumeProperty requires 3 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetAmbient(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetAmbient__2 vtkVolumePropertySetAmbient__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumePropertySetAmbient__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAmbient (double value);this SetAmbient value  */
  if (arg.size() < 2) 
    throw Exception("Function SetAmbient__2 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAmbient(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetAmbient__1 vtkVolumePropertyGetAmbient__1Function
//input a0 a1 
//output y
ArrayVector vtkVolumePropertyGetAmbient__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAmbient (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetAmbient__1 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAmbient(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetAmbient__2 vtkVolumePropertyGetAmbient__2Function
//input a0 
//output y
ArrayVector vtkVolumePropertyGetAmbient__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAmbient ();return this GetAmbient  */
  if (arg.size() < 1) 
    throw Exception("Function GetAmbient__2 for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAmbient();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetDiffuse__1 vtkVolumePropertySetDiffuse__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkVolumePropertySetDiffuse__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiffuse (int index, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetDiffuse__1 for class vtkVolumeProperty requires 3 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetDiffuse(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetDiffuse__2 vtkVolumePropertySetDiffuse__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumePropertySetDiffuse__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiffuse (double value);this SetDiffuse value  */
  if (arg.size() < 2) 
    throw Exception("Function SetDiffuse__2 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDiffuse(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetDiffuse__1 vtkVolumePropertyGetDiffuse__1Function
//input a0 a1 
//output y
ArrayVector vtkVolumePropertyGetDiffuse__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDiffuse (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetDiffuse__1 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDiffuse(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetDiffuse__2 vtkVolumePropertyGetDiffuse__2Function
//input a0 
//output y
ArrayVector vtkVolumePropertyGetDiffuse__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDiffuse ();return this GetDiffuse  */
  if (arg.size() < 1) 
    throw Exception("Function GetDiffuse__2 for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDiffuse();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetSpecular__1 vtkVolumePropertySetSpecular__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkVolumePropertySetSpecular__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpecular (int index, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetSpecular__1 for class vtkVolumeProperty requires 3 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetSpecular(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetSpecular__2 vtkVolumePropertySetSpecular__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumePropertySetSpecular__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpecular (double value);this SetSpecular value  */
  if (arg.size() < 2) 
    throw Exception("Function SetSpecular__2 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSpecular(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetSpecular__1 vtkVolumePropertyGetSpecular__1Function
//input a0 a1 
//output y
ArrayVector vtkVolumePropertyGetSpecular__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSpecular (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetSpecular__1 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetSpecular(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetSpecular__2 vtkVolumePropertyGetSpecular__2Function
//input a0 
//output y
ArrayVector vtkVolumePropertyGetSpecular__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSpecular ();return this GetSpecular  */
  if (arg.size() < 1) 
    throw Exception("Function GetSpecular__2 for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSpecular();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetSpecularPower__1 vtkVolumePropertySetSpecularPower__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkVolumePropertySetSpecularPower__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpecularPower (int index, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetSpecularPower__1 for class vtkVolumeProperty requires 3 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetSpecularPower(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetSpecularPower__2 vtkVolumePropertySetSpecularPower__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumePropertySetSpecularPower__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpecularPower (double value);this SetSpecularPower value  */
  if (arg.size() < 2) 
    throw Exception("Function SetSpecularPower__2 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSpecularPower(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetSpecularPower__1 vtkVolumePropertyGetSpecularPower__1Function
//input a0 a1 
//output y
ArrayVector vtkVolumePropertyGetSpecularPower__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSpecularPower (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetSpecularPower__1 for class vtkVolumeProperty requires 2 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetSpecularPower(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:GetSpecularPower__2 vtkVolumePropertyGetSpecularPower__2Function
//input a0 
//output y
ArrayVector vtkVolumePropertyGetSpecularPower__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSpecularPower ();return this GetSpecularPower  */
  if (arg.size() < 1) 
    throw Exception("Function GetSpecularPower__2 for class vtkVolumeProperty requires 1 argument(s)");
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSpecularPower();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProperty:SetColor vtkVolumePropertySetColorFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertySetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkPiecewiseFunction"))
    return vtkVolumePropertySetColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPiecewiseFunction"))
    return vtkVolumePropertySetColor__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkColorTransferFunction"))
    return vtkVolumePropertySetColor__3Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkColorTransferFunction"))
    return vtkVolumePropertySetColor__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertySetColor");
}

//@@Signature
//sfunction @vtkVolumeProperty:GetColorChannels vtkVolumePropertyGetColorChannelsFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyGetColorChannelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertyGetColorChannels__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVolumePropertyGetColorChannels__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertyGetColorChannels");
}

//@@Signature
//sfunction @vtkVolumeProperty:GetGrayTransferFunction vtkVolumePropertyGetGrayTransferFunctionFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyGetGrayTransferFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertyGetGrayTransferFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVolumePropertyGetGrayTransferFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertyGetGrayTransferFunction");
}

//@@Signature
//sfunction @vtkVolumeProperty:GetRGBTransferFunction vtkVolumePropertyGetRGBTransferFunctionFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyGetRGBTransferFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertyGetRGBTransferFunction__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVolumePropertyGetRGBTransferFunction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertyGetRGBTransferFunction");
}

//@@Signature
//sfunction @vtkVolumeProperty:SetScalarOpacity vtkVolumePropertySetScalarOpacityFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertySetScalarOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkPiecewiseFunction"))
    return vtkVolumePropertySetScalarOpacity__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPiecewiseFunction"))
    return vtkVolumePropertySetScalarOpacity__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertySetScalarOpacity");
}

//@@Signature
//sfunction @vtkVolumeProperty:GetScalarOpacity vtkVolumePropertyGetScalarOpacityFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyGetScalarOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertyGetScalarOpacity__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVolumePropertyGetScalarOpacity__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertyGetScalarOpacity");
}

//@@Signature
//sfunction @vtkVolumeProperty:SetScalarOpacityUnitDistance vtkVolumePropertySetScalarOpacityUnitDistanceFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertySetScalarOpacityUnitDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkVolumePropertySetScalarOpacityUnitDistance__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertySetScalarOpacityUnitDistance__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertySetScalarOpacityUnitDistance");
}

//@@Signature
//sfunction @vtkVolumeProperty:GetScalarOpacityUnitDistance vtkVolumePropertyGetScalarOpacityUnitDistanceFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyGetScalarOpacityUnitDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertyGetScalarOpacityUnitDistance__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVolumePropertyGetScalarOpacityUnitDistance__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertyGetScalarOpacityUnitDistance");
}

//@@Signature
//sfunction @vtkVolumeProperty:SetGradientOpacity vtkVolumePropertySetGradientOpacityFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertySetGradientOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkPiecewiseFunction"))
    return vtkVolumePropertySetGradientOpacity__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPiecewiseFunction"))
    return vtkVolumePropertySetGradientOpacity__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertySetGradientOpacity");
}

//@@Signature
//sfunction @vtkVolumeProperty:GetGradientOpacity vtkVolumePropertyGetGradientOpacityFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyGetGradientOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertyGetGradientOpacity__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVolumePropertyGetGradientOpacity__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertyGetGradientOpacity");
}

//@@Signature
//sfunction @vtkVolumeProperty:SetDisableGradientOpacity vtkVolumePropertySetDisableGradientOpacityFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertySetDisableGradientOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkVolumePropertySetDisableGradientOpacity__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertySetDisableGradientOpacity__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertySetDisableGradientOpacity");
}

//@@Signature
//sfunction @vtkVolumeProperty:DisableGradientOpacityOn vtkVolumePropertyDisableGradientOpacityOnFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyDisableGradientOpacityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertyDisableGradientOpacityOn__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVolumePropertyDisableGradientOpacityOn__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertyDisableGradientOpacityOn");
}

//@@Signature
//sfunction @vtkVolumeProperty:DisableGradientOpacityOff vtkVolumePropertyDisableGradientOpacityOffFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyDisableGradientOpacityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertyDisableGradientOpacityOff__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVolumePropertyDisableGradientOpacityOff__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertyDisableGradientOpacityOff");
}

//@@Signature
//sfunction @vtkVolumeProperty:GetDisableGradientOpacity vtkVolumePropertyGetDisableGradientOpacityFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyGetDisableGradientOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertyGetDisableGradientOpacity__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVolumePropertyGetDisableGradientOpacity__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertyGetDisableGradientOpacity");
}

//@@Signature
//sfunction @vtkVolumeProperty:GetStoredGradientOpacity vtkVolumePropertyGetStoredGradientOpacityFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyGetStoredGradientOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertyGetStoredGradientOpacity__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVolumePropertyGetStoredGradientOpacity__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertyGetStoredGradientOpacity");
}

//@@Signature
//sfunction @vtkVolumeProperty:SetShade vtkVolumePropertySetShadeFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertySetShadeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkVolumePropertySetShade__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertySetShade__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertySetShade");
}

//@@Signature
//sfunction @vtkVolumeProperty:GetShade vtkVolumePropertyGetShadeFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyGetShadeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertyGetShade__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVolumePropertyGetShade__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertyGetShade");
}

//@@Signature
//sfunction @vtkVolumeProperty:ShadeOn vtkVolumePropertyShadeOnFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyShadeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertyShadeOn__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVolumePropertyShadeOn__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertyShadeOn");
}

//@@Signature
//sfunction @vtkVolumeProperty:ShadeOff vtkVolumePropertyShadeOffFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyShadeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertyShadeOff__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVolumePropertyShadeOff__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertyShadeOff");
}

//@@Signature
//sfunction @vtkVolumeProperty:SetAmbient vtkVolumePropertySetAmbientFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertySetAmbientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkVolumePropertySetAmbient__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertySetAmbient__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertySetAmbient");
}

//@@Signature
//sfunction @vtkVolumeProperty:GetAmbient vtkVolumePropertyGetAmbientFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyGetAmbientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertyGetAmbient__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVolumePropertyGetAmbient__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertyGetAmbient");
}

//@@Signature
//sfunction @vtkVolumeProperty:SetDiffuse vtkVolumePropertySetDiffuseFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertySetDiffuseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkVolumePropertySetDiffuse__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertySetDiffuse__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertySetDiffuse");
}

//@@Signature
//sfunction @vtkVolumeProperty:GetDiffuse vtkVolumePropertyGetDiffuseFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyGetDiffuseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertyGetDiffuse__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVolumePropertyGetDiffuse__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertyGetDiffuse");
}

//@@Signature
//sfunction @vtkVolumeProperty:SetSpecular vtkVolumePropertySetSpecularFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertySetSpecularFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkVolumePropertySetSpecular__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertySetSpecular__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertySetSpecular");
}

//@@Signature
//sfunction @vtkVolumeProperty:GetSpecular vtkVolumePropertyGetSpecularFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyGetSpecularFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertyGetSpecular__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVolumePropertyGetSpecular__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertyGetSpecular");
}

//@@Signature
//sfunction @vtkVolumeProperty:SetSpecularPower vtkVolumePropertySetSpecularPowerFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertySetSpecularPowerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkVolumePropertySetSpecularPower__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertySetSpecularPower__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertySetSpecularPower");
}

//@@Signature
//sfunction @vtkVolumeProperty:GetSpecularPower vtkVolumePropertyGetSpecularPowerFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyGetSpecularPowerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVolumePropertyGetSpecularPower__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVolumePropertyGetSpecularPower__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumePropertyGetSpecularPower");
}

//@@Signature
//sfunction @vtkVolumeProperty:display vtkVolumePropertyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumePropertyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolumeProperty* vtk_pointer = GetVTKPointer<vtkVolumeProperty>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolumeProperty:delete vtkVolumePropertyDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumePropertyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolumeProperty
//@@Section VTKRendering
//@@Usage
// vtkVolumeProperty is used to represent common properties associated 
// with volume rendering. This includes properties for determining the type
// of interpolation to use when sampling a volume, the color of a volume, 
// the scalar opacity of a volume, the gradient opacity of a volume, and the 
// shading parameters of a volume.
//
// When the scalar opacity or the gradient opacity of a volume is not set,
// then the function is defined to be a constant value of 1.0. When a
// scalar and gradient opacity are both set simultaneously, then the opacity
// is defined to be the product of the scalar opacity and gradient opacity 
// transfer functions.
// 
// Most properties can be set per "component" for volume mappers that
// support multiple independent components. If you are using 2 component
// data as LV or 4 component data as RGBV (as specified in the mapper) 
// only the first scalar opacity and gradient opacity transfer functions
// will be used (and all color functions will be ignored). Omitting the
// index parameter on the Set/Get methods will access index = 0.
//
//To create an instance of class vtkVolumeProperty, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolumeProperty
//@]
//@@Methods
//The class vtkVolumeProperty has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolumeProperty class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolumeProperty = obj.NewInstance ()|
// \item @|vtkVolumeProperty = obj.SafeDownCast (vtkObject o)|
// \item @|obj.DeepCopy (vtkVolumeProperty p)|
// \item @|long = obj.GetMTime ()| -  Get the modified time for this object (or the properties registered
// with this object).
//// \item @|obj.SetIndependentComponents (int )| -  Does the data have independent components, or do some define color 
// only? If IndependentComponents is On (the default) then each component 
// will be independently passed through a lookup table to determine RGBA, 
// shaded. Some volume Mappers can handle 1 to 4 component 
// unsigned char or unsigned short data (see each mapper header file to
// determine functionality). If IndependentComponents is Off, then you 
// must have either 2 or 4 component data. For 2 component data, the 
// first is passed through the first color transfer function and the 
// second component is passed through the first opacity transfer function. 
// Normals will be generated off of the second component. For 4 component 
// data, the first three will directly represent RGB (no lookup table). 
// The fourth component will be passed through the first scalar opacity 
// transfer function for opacity. Normals will be generated from the fourth 
// component.
//// \item @|int = obj.GetIndependentComponentsMinValue ()| -  Does the data have independent components, or do some define color 
// only? If IndependentComponents is On (the default) then each component 
// will be independently passed through a lookup table to determine RGBA, 
// shaded. Some volume Mappers can handle 1 to 4 component 
// unsigned char or unsigned short data (see each mapper header file to
// determine functionality). If IndependentComponents is Off, then you 
// must have either 2 or 4 component data. For 2 component data, the 
// first is passed through the first color transfer function and the 
// second component is passed through the first opacity transfer function. 
// Normals will be generated off of the second component. For 4 component 
// data, the first three will directly represent RGB (no lookup table). 
// The fourth component will be passed through the first scalar opacity 
// transfer function for opacity. Normals will be generated from the fourth 
// component.
//// \item @|int = obj.GetIndependentComponentsMaxValue ()| -  Does the data have independent components, or do some define color 
// only? If IndependentComponents is On (the default) then each component 
// will be independently passed through a lookup table to determine RGBA, 
// shaded. Some volume Mappers can handle 1 to 4 component 
// unsigned char or unsigned short data (see each mapper header file to
// determine functionality). If IndependentComponents is Off, then you 
// must have either 2 or 4 component data. For 2 component data, the 
// first is passed through the first color transfer function and the 
// second component is passed through the first opacity transfer function. 
// Normals will be generated off of the second component. For 4 component 
// data, the first three will directly represent RGB (no lookup table). 
// The fourth component will be passed through the first scalar opacity 
// transfer function for opacity. Normals will be generated from the fourth 
// component.
//// \item @|int = obj.GetIndependentComponents ()| -  Does the data have independent components, or do some define color 
// only? If IndependentComponents is On (the default) then each component 
// will be independently passed through a lookup table to determine RGBA, 
// shaded. Some volume Mappers can handle 1 to 4 component 
// unsigned char or unsigned short data (see each mapper header file to
// determine functionality). If IndependentComponents is Off, then you 
// must have either 2 or 4 component data. For 2 component data, the 
// first is passed through the first color transfer function and the 
// second component is passed through the first opacity transfer function. 
// Normals will be generated off of the second component. For 4 component 
// data, the first three will directly represent RGB (no lookup table). 
// The fourth component will be passed through the first scalar opacity 
// transfer function for opacity. Normals will be generated from the fourth 
// component.
//// \item @|obj.IndependentComponentsOn ()| -  Does the data have independent components, or do some define color 
// only? If IndependentComponents is On (the default) then each component 
// will be independently passed through a lookup table to determine RGBA, 
// shaded. Some volume Mappers can handle 1 to 4 component 
// unsigned char or unsigned short data (see each mapper header file to
// determine functionality). If IndependentComponents is Off, then you 
// must have either 2 or 4 component data. For 2 component data, the 
// first is passed through the first color transfer function and the 
// second component is passed through the first opacity transfer function. 
// Normals will be generated off of the second component. For 4 component 
// data, the first three will directly represent RGB (no lookup table). 
// The fourth component will be passed through the first scalar opacity 
// transfer function for opacity. Normals will be generated from the fourth 
// component.
//// \item @|obj.IndependentComponentsOff ()| -  Does the data have independent components, or do some define color 
// only? If IndependentComponents is On (the default) then each component 
// will be independently passed through a lookup table to determine RGBA, 
// shaded. Some volume Mappers can handle 1 to 4 component 
// unsigned char or unsigned short data (see each mapper header file to
// determine functionality). If IndependentComponents is Off, then you 
// must have either 2 or 4 component data. For 2 component data, the 
// first is passed through the first color transfer function and the 
// second component is passed through the first opacity transfer function. 
// Normals will be generated off of the second component. For 4 component 
// data, the first three will directly represent RGB (no lookup table). 
// The fourth component will be passed through the first scalar opacity 
// transfer function for opacity. Normals will be generated from the fourth 
// component.
//// \item @|obj.SetInterpolationType (int )| -  Set the interpolation type for sampling a volume. Initial value is
// VTK_NEAREST_INTERPOLATION.
//// \item @|int = obj.GetInterpolationTypeMinValue ()| -  Set the interpolation type for sampling a volume. Initial value is
// VTK_NEAREST_INTERPOLATION.
//// \item @|int = obj.GetInterpolationTypeMaxValue ()| -  Set the interpolation type for sampling a volume. Initial value is
// VTK_NEAREST_INTERPOLATION.
//// \item @|int = obj.GetInterpolationType ()| -  Set the interpolation type for sampling a volume. Initial value is
// VTK_NEAREST_INTERPOLATION.
//// \item @|obj.SetInterpolationTypeToNearest ()| -  Set the interpolation type for sampling a volume. Initial value is
// VTK_NEAREST_INTERPOLATION.
//// \item @|obj.SetInterpolationTypeToLinear ()| -  Set the interpolation type for sampling a volume. Initial value is
// VTK_NEAREST_INTERPOLATION.
//// \item @|string = obj.GetInterpolationTypeAsString (void )| -  Set the interpolation type for sampling a volume. Initial value is
// VTK_NEAREST_INTERPOLATION.
//// \item @|obj.SetComponentWeight (int index, double value)| -  Set/Get the scalar component weights
//// \item @|double = obj.GetComponentWeight (int index)| -  Set/Get the scalar component weights
//// \item @|obj.SetColor (int index, vtkPiecewiseFunction function)| -  Set the color of a volume to a gray level transfer function
// for the component indicated by index. This will set the
// color channels for this component to 1.
//// \item @|obj.SetColor (vtkPiecewiseFunction f)| -  Set the color of a volume to a gray level transfer function
// for the component indicated by index. This will set the
// color channels for this component to 1.
//// \item @|obj.SetColor (int index, vtkColorTransferFunction function)| -  Set the color of a volume to an RGB transfer function
// for the component indicated by index. This will set the
// color channels for this component to 3.
// This will also recompute the color channels
//// \item @|obj.SetColor (vtkColorTransferFunction f)| -  Set the color of a volume to an RGB transfer function
// for the component indicated by index. This will set the
// color channels for this component to 3.
// This will also recompute the color channels
//// \item @|int = obj.GetColorChannels (int index)| -  Get the number of color channels in the transfer function
// for the given component.
//// \item @|int = obj.GetColorChannels ()| -  Get the number of color channels in the transfer function
// for the given component.
//// \item @|vtkPiecewiseFunction = obj.GetGrayTransferFunction (int index)| -  Get the gray transfer function.
// If no transfer function has been set for this component, a default one
// is created and returned.
//// \item @|vtkPiecewiseFunction = obj.GetGrayTransferFunction ()| -  Get the gray transfer function.
// If no transfer function has been set for this component, a default one
// is created and returned.
//// \item @|vtkColorTransferFunction = obj.GetRGBTransferFunction (int index)| -  Get the RGB transfer function for the given component.
// If no transfer function has been set for this component, a default one
// is created and returned.
//// \item @|vtkColorTransferFunction = obj.GetRGBTransferFunction ()| -  Get the RGB transfer function for the given component.
// If no transfer function has been set for this component, a default one
// is created and returned.
//// \item @|obj.SetScalarOpacity (int index, vtkPiecewiseFunction function)| -  Set the opacity of a volume to an opacity transfer function based
// on scalar value for the component indicated by index. 
//// \item @|obj.SetScalarOpacity (vtkPiecewiseFunction f)| -  Set the opacity of a volume to an opacity transfer function based
// on scalar value for the component indicated by index. 
//// \item @|vtkPiecewiseFunction = obj.GetScalarOpacity (int index)| -  Get the scalar opacity transfer function for the given component.
// If no transfer function has been set for this component, a default one
// is created and returned.
//// \item @|vtkPiecewiseFunction = obj.GetScalarOpacity ()| -  Get the scalar opacity transfer function for the given component.
// If no transfer function has been set for this component, a default one
// is created and returned.
//// \item @|obj.SetScalarOpacityUnitDistance (int index, double distance)| -  Set/Get the unit distance on which the scalar opacity transfer function
// is defined. By default this is 1.0, meaning that over a distance of
// 1.0 units, a given opacity (from the transfer function) is accumulated.
// This is adjusted for the actual sampling distance during rendering.
//// \item @|obj.SetScalarOpacityUnitDistance (double distance)| -  Set/Get the unit distance on which the scalar opacity transfer function
// is defined. By default this is 1.0, meaning that over a distance of
// 1.0 units, a given opacity (from the transfer function) is accumulated.
// This is adjusted for the actual sampling distance during rendering.
//// \item @|double = obj.GetScalarOpacityUnitDistance (int index)| -  Set/Get the unit distance on which the scalar opacity transfer function
// is defined. By default this is 1.0, meaning that over a distance of
// 1.0 units, a given opacity (from the transfer function) is accumulated.
// This is adjusted for the actual sampling distance during rendering.
//// \item @|double = obj.GetScalarOpacityUnitDistance ()| -  Set the opacity of a volume to an opacity transfer function based
// on gradient magnitude for the given component.
//// \item @|obj.SetGradientOpacity (int index, vtkPiecewiseFunction function)| -  Set the opacity of a volume to an opacity transfer function based
// on gradient magnitude for the given component.
//// \item @|obj.SetGradientOpacity (vtkPiecewiseFunction function)| -  Get the gradient magnitude opacity transfer function for
// the given component.
// If no transfer function has been set for this component, a default one
// is created and returned.
// This default function is always returned if DisableGradientOpacity is On
// for that component.
//// \item @|vtkPiecewiseFunction = obj.GetGradientOpacity (int index)| -  Get the gradient magnitude opacity transfer function for
// the given component.
// If no transfer function has been set for this component, a default one
// is created and returned.
// This default function is always returned if DisableGradientOpacity is On
// for that component.
//// \item @|vtkPiecewiseFunction = obj.GetGradientOpacity ()| -  Enable/Disable the gradient opacity function for the given component. 
// If set to true, any call to GetGradientOpacity() will return a default
// function for this component. Note that the gradient opacity function is 
// still stored, it is not set or reset and can be retrieved using 
// GetStoredGradientOpacity().
//// \item @|obj.SetDisableGradientOpacity (int index, int value)| -  Enable/Disable the gradient opacity function for the given component. 
// If set to true, any call to GetGradientOpacity() will return a default
// function for this component. Note that the gradient opacity function is 
// still stored, it is not set or reset and can be retrieved using 
// GetStoredGradientOpacity().
//// \item @|obj.SetDisableGradientOpacity (int value)| -  Enable/Disable the gradient opacity function for the given component. 
// If set to true, any call to GetGradientOpacity() will return a default
// function for this component. Note that the gradient opacity function is 
// still stored, it is not set or reset and can be retrieved using 
// GetStoredGradientOpacity().
//// \item @|obj.DisableGradientOpacityOn (int index)| -  Enable/Disable the gradient opacity function for the given component. 
// If set to true, any call to GetGradientOpacity() will return a default
// function for this component. Note that the gradient opacity function is 
// still stored, it is not set or reset and can be retrieved using 
// GetStoredGradientOpacity().
//// \item @|obj.DisableGradientOpacityOn ()| -  Enable/Disable the gradient opacity function for the given component. 
// If set to true, any call to GetGradientOpacity() will return a default
// function for this component. Note that the gradient opacity function is 
// still stored, it is not set or reset and can be retrieved using 
// GetStoredGradientOpacity().
//// \item @|obj.DisableGradientOpacityOff (int index)| -  Enable/Disable the gradient opacity function for the given component. 
// If set to true, any call to GetGradientOpacity() will return a default
// function for this component. Note that the gradient opacity function is 
// still stored, it is not set or reset and can be retrieved using 
// GetStoredGradientOpacity().
//// \item @|obj.DisableGradientOpacityOff ()| -  Enable/Disable the gradient opacity function for the given component. 
// If set to true, any call to GetGradientOpacity() will return a default
// function for this component. Note that the gradient opacity function is 
// still stored, it is not set or reset and can be retrieved using 
// GetStoredGradientOpacity().
//// \item @|int = obj.GetDisableGradientOpacity (int index)| -  Enable/Disable the gradient opacity function for the given component. 
// If set to true, any call to GetGradientOpacity() will return a default
// function for this component. Note that the gradient opacity function is 
// still stored, it is not set or reset and can be retrieved using 
// GetStoredGradientOpacity().
//// \item @|int = obj.GetDisableGradientOpacity ()| -  Enable/Disable the gradient opacity function for the given component. 
// If set to true, any call to GetGradientOpacity() will return a default
// function for this component. Note that the gradient opacity function is 
// still stored, it is not set or reset and can be retrieved using 
// GetStoredGradientOpacity().
//// \item @|vtkPiecewiseFunction = obj.GetStoredGradientOpacity (int index)| -  Enable/Disable the gradient opacity function for the given component. 
// If set to true, any call to GetGradientOpacity() will return a default
// function for this component. Note that the gradient opacity function is 
// still stored, it is not set or reset and can be retrieved using 
// GetStoredGradientOpacity().
//// \item @|vtkPiecewiseFunction = obj.GetStoredGradientOpacity ()| -  Set/Get the shading of a volume. If shading is turned off, then
// the mapper for the volume will not perform shading calculations.
// If shading is turned on, the mapper may perform shading 
// calculations - in some cases shading does not apply (for example,
// in a maximum intensity projection) and therefore shading will
// not be performed even if this flag is on. For a compositing type
// of mapper, turning shading off is generally the same as setting
// ambient=1, diffuse=0, specular=0. Shading can be independently
// turned on/off per component.
//// \item @|obj.SetShade (int index, int value)| -  Set/Get the shading of a volume. If shading is turned off, then
// the mapper for the volume will not perform shading calculations.
// If shading is turned on, the mapper may perform shading 
// calculations - in some cases shading does not apply (for example,
// in a maximum intensity projection) and therefore shading will
// not be performed even if this flag is on. For a compositing type
// of mapper, turning shading off is generally the same as setting
// ambient=1, diffuse=0, specular=0. Shading can be independently
// turned on/off per component.
//// \item @|obj.SetShade (int value)| -  Set/Get the shading of a volume. If shading is turned off, then
// the mapper for the volume will not perform shading calculations.
// If shading is turned on, the mapper may perform shading 
// calculations - in some cases shading does not apply (for example,
// in a maximum intensity projection) and therefore shading will
// not be performed even if this flag is on. For a compositing type
// of mapper, turning shading off is generally the same as setting
// ambient=1, diffuse=0, specular=0. Shading can be independently
// turned on/off per component.
//// \item @|int = obj.GetShade (int index)| -  Set/Get the shading of a volume. If shading is turned off, then
// the mapper for the volume will not perform shading calculations.
// If shading is turned on, the mapper may perform shading 
// calculations - in some cases shading does not apply (for example,
// in a maximum intensity projection) and therefore shading will
// not be performed even if this flag is on. For a compositing type
// of mapper, turning shading off is generally the same as setting
// ambient=1, diffuse=0, specular=0. Shading can be independently
// turned on/off per component.
//// \item @|int = obj.GetShade ()| -  Set/Get the shading of a volume. If shading is turned off, then
// the mapper for the volume will not perform shading calculations.
// If shading is turned on, the mapper may perform shading 
// calculations - in some cases shading does not apply (for example,
// in a maximum intensity projection) and therefore shading will
// not be performed even if this flag is on. For a compositing type
// of mapper, turning shading off is generally the same as setting
// ambient=1, diffuse=0, specular=0. Shading can be independently
// turned on/off per component.
//// \item @|obj.ShadeOn (int index)| -  Set/Get the shading of a volume. If shading is turned off, then
// the mapper for the volume will not perform shading calculations.
// If shading is turned on, the mapper may perform shading 
// calculations - in some cases shading does not apply (for example,
// in a maximum intensity projection) and therefore shading will
// not be performed even if this flag is on. For a compositing type
// of mapper, turning shading off is generally the same as setting
// ambient=1, diffuse=0, specular=0. Shading can be independently
// turned on/off per component.
//// \item @|obj.ShadeOn ()| -  Set/Get the shading of a volume. If shading is turned off, then
// the mapper for the volume will not perform shading calculations.
// If shading is turned on, the mapper may perform shading 
// calculations - in some cases shading does not apply (for example,
// in a maximum intensity projection) and therefore shading will
// not be performed even if this flag is on. For a compositing type
// of mapper, turning shading off is generally the same as setting
// ambient=1, diffuse=0, specular=0. Shading can be independently
// turned on/off per component.
//// \item @|obj.ShadeOff (int index)| -  Set/Get the shading of a volume. If shading is turned off, then
// the mapper for the volume will not perform shading calculations.
// If shading is turned on, the mapper may perform shading 
// calculations - in some cases shading does not apply (for example,
// in a maximum intensity projection) and therefore shading will
// not be performed even if this flag is on. For a compositing type
// of mapper, turning shading off is generally the same as setting
// ambient=1, diffuse=0, specular=0. Shading can be independently
// turned on/off per component.
//// \item @|obj.ShadeOff ()| -  Set/Get the ambient lighting coefficient.
//// \item @|obj.SetAmbient (int index, double value)| -  Set/Get the ambient lighting coefficient.
//// \item @|obj.SetAmbient (double value)| -  Set/Get the ambient lighting coefficient.
//// \item @|double = obj.GetAmbient (int index)| -  Set/Get the ambient lighting coefficient.
//// \item @|double = obj.GetAmbient ()| -  Set/Get the diffuse lighting coefficient.
//// \item @|obj.SetDiffuse (int index, double value)| -  Set/Get the diffuse lighting coefficient.
//// \item @|obj.SetDiffuse (double value)| -  Set/Get the diffuse lighting coefficient.
//// \item @|double = obj.GetDiffuse (int index)| -  Set/Get the diffuse lighting coefficient.
//// \item @|double = obj.GetDiffuse ()| -  Set/Get the specular lighting coefficient.
//// \item @|obj.SetSpecular (int index, double value)| -  Set/Get the specular lighting coefficient.
//// \item @|obj.SetSpecular (double value)| -  Set/Get the specular lighting coefficient.
//// \item @|double = obj.GetSpecular (int index)| -  Set/Get the specular lighting coefficient.
//// \item @|double = obj.GetSpecular ()| -  Set/Get the specular power.
//// \item @|obj.SetSpecularPower (int index, double value)| -  Set/Get the specular power.
//// \item @|obj.SetSpecularPower (double value)| -  Set/Get the specular power.
//// \item @|double = obj.GetSpecularPower (int index)| -  Set/Get the specular power.
//// \item @|double = obj.GetSpecularPower ()|
//\end{itemize}
//!
