#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolumetricPass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolumetricPass.h"

//@@Signature
//sfunction @vtkVolumetricPass:vtkVolumetricPass vtkVolumetricPassConstructorFunction
//input a
//output p
//@@Parents vtkVolumetricPass vtkDefaultPass 
ArrayVector vtkVolumetricPassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolumetricPass::New(),"vtkVolumetricPass",eval);
  } else if (arg[0].className() == "vtkVolumetricPass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolumetricPass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolumetricPass");
    vtkVolumetricPass*q = reinterpret_cast<vtkVolumetricPass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolumetricPass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolumetricPass:GetClassName vtkVolumetricPassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumetricPassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolumetricPass requires 1 argument(s)");
  vtkVolumetricPass* vtk_pointer = GetVTKPointer<vtkVolumetricPass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumetricPass:IsA vtkVolumetricPassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumetricPassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolumetricPass requires 2 argument(s)");
  vtkVolumetricPass* vtk_pointer = GetVTKPointer<vtkVolumetricPass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumetricPass:NewInstance vtkVolumetricPassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumetricPassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumetricPass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolumetricPass requires 1 argument(s)");
  vtkVolumetricPass* vtk_pointer = GetVTKPointer<vtkVolumetricPass>(arg[0]);
  Array retval;
  vtkVolumetricPass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumetricPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumetricPass:SafeDownCast vtkVolumetricPassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumetricPassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumetricPass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolumetricPass requires 2 argument(s)");
  vtkVolumetricPass* vtk_pointer = GetVTKPointer<vtkVolumetricPass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolumetricPass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumetricPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumetricPass:display vtkVolumetricPassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumetricPassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolumetricPass* vtk_pointer = GetVTKPointer<vtkVolumetricPass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolumetricPass:delete vtkVolumetricPassDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumetricPassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolumetricPass
//@@Section VTKRendering
//@@Usage
// vtkVolumetricPass renders the volumetric geometry of all the props that
// have the keys contained in vtkRenderState.
//
// This pass expects an initialized depth buffer and color buffer.
// Initialized buffers means they have been cleared with farest z-value and
// background color/gradient/transparent color.
// 
//
//To create an instance of class vtkVolumetricPass, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolumetricPass
//@]
//@@Methods
//The class vtkVolumetricPass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolumetricPass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolumetricPass = obj.NewInstance ()|
// \item @|vtkVolumetricPass = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
