#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWindowToImageFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWindowToImageFilter.h"

//@@Signature
//sfunction @vtkWindowToImageFilter:vtkWindowToImageFilter vtkWindowToImageFilterConstructorFunction
//input a
//output p
//@@Parents vtkWindowToImageFilter vtkAlgorithm 
ArrayVector vtkWindowToImageFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWindowToImageFilter::New(),"vtkWindowToImageFilter",eval);
  } else if (arg[0].className() == "vtkWindowToImageFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWindowToImageFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWindowToImageFilter");
    vtkWindowToImageFilter*q = reinterpret_cast<vtkWindowToImageFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWindowToImageFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWindowToImageFilter:GetClassName vtkWindowToImageFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWindowToImageFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:IsA vtkWindowToImageFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWindowToImageFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWindowToImageFilter requires 2 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:NewInstance vtkWindowToImageFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWindowToImageFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWindowToImageFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  vtkWindowToImageFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWindowToImageFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:SafeDownCast vtkWindowToImageFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWindowToImageFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWindowToImageFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWindowToImageFilter requires 2 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWindowToImageFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWindowToImageFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:SetInput vtkWindowToImageFilterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkWindowToImageFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkWindow *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkWindowToImageFilter requires 2 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:GetInput vtkWindowToImageFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkWindowToImageFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWindow *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  vtkWindow  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:SetMagnification vtkWindowToImageFilterSetMagnificationFunction
//input a0 a1 
//output none
ArrayVector vtkWindowToImageFilterSetMagnificationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMagnification (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMagnification for class vtkWindowToImageFilter requires 2 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMagnification(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:GetMagnificationMinValue vtkWindowToImageFilterGetMagnificationMinValueFunction
//input a0 
//output y
ArrayVector vtkWindowToImageFilterGetMagnificationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMagnificationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMagnificationMinValue for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMagnificationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:GetMagnificationMaxValue vtkWindowToImageFilterGetMagnificationMaxValueFunction
//input a0 
//output y
ArrayVector vtkWindowToImageFilterGetMagnificationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMagnificationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMagnificationMaxValue for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMagnificationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:GetMagnification vtkWindowToImageFilterGetMagnificationFunction
//input a0 
//output y
ArrayVector vtkWindowToImageFilterGetMagnificationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMagnification (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMagnification for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMagnification();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:ReadFrontBufferOn vtkWindowToImageFilterReadFrontBufferOnFunction
//input a0 
//output none
ArrayVector vtkWindowToImageFilterReadFrontBufferOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadFrontBufferOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadFrontBufferOn for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  vtk_pointer->ReadFrontBufferOn();
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:ReadFrontBufferOff vtkWindowToImageFilterReadFrontBufferOffFunction
//input a0 
//output none
ArrayVector vtkWindowToImageFilterReadFrontBufferOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadFrontBufferOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadFrontBufferOff for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  vtk_pointer->ReadFrontBufferOff();
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:GetReadFrontBuffer vtkWindowToImageFilterGetReadFrontBufferFunction
//input a0 
//output y
ArrayVector vtkWindowToImageFilterGetReadFrontBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadFrontBuffer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadFrontBuffer for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadFrontBuffer();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:SetReadFrontBuffer vtkWindowToImageFilterSetReadFrontBufferFunction
//input a0 a1 
//output none
ArrayVector vtkWindowToImageFilterSetReadFrontBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadFrontBuffer (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadFrontBuffer for class vtkWindowToImageFilter requires 2 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadFrontBuffer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:ShouldRerenderOn vtkWindowToImageFilterShouldRerenderOnFunction
//input a0 
//output none
ArrayVector vtkWindowToImageFilterShouldRerenderOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShouldRerenderOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ShouldRerenderOn for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  vtk_pointer->ShouldRerenderOn();
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:ShouldRerenderOff vtkWindowToImageFilterShouldRerenderOffFunction
//input a0 
//output none
ArrayVector vtkWindowToImageFilterShouldRerenderOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShouldRerenderOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ShouldRerenderOff for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  vtk_pointer->ShouldRerenderOff();
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:SetShouldRerender vtkWindowToImageFilterSetShouldRerenderFunction
//input a0 a1 
//output none
ArrayVector vtkWindowToImageFilterSetShouldRerenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShouldRerender (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShouldRerender for class vtkWindowToImageFilter requires 2 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShouldRerender(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:GetShouldRerender vtkWindowToImageFilterGetShouldRerenderFunction
//input a0 
//output y
ArrayVector vtkWindowToImageFilterGetShouldRerenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShouldRerender (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShouldRerender for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShouldRerender();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:SetViewport__1 vtkWindowToImageFilterSetViewport__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkWindowToImageFilterSetViewport__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewport (double , double , double , double ); */
  if (arg.size() < 5) 
    throw Exception("Function SetViewport__1 for class vtkWindowToImageFilter requires 5 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetViewport(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:SetViewport__2 vtkWindowToImageFilterSetViewport__2Function
//input a0 a1 
//output none
ArrayVector vtkWindowToImageFilterSetViewport__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewport (double  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetViewport__2 for class vtkWindowToImageFilter requires 2 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetViewport(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:GetViewport vtkWindowToImageFilterGetViewportFunction
//input a0 
//output y
ArrayVector vtkWindowToImageFilterGetViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetViewport (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewport for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetViewport();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:SetInputBufferType vtkWindowToImageFilterSetInputBufferTypeFunction
//input a0 a1 
//output none
ArrayVector vtkWindowToImageFilterSetInputBufferTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputBufferType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputBufferType for class vtkWindowToImageFilter requires 2 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInputBufferType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:GetInputBufferType vtkWindowToImageFilterGetInputBufferTypeFunction
//input a0 
//output y
ArrayVector vtkWindowToImageFilterGetInputBufferTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInputBufferType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputBufferType for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInputBufferType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:SetInputBufferTypeToRGB vtkWindowToImageFilterSetInputBufferTypeToRGBFunction
//input a0 
//output none
ArrayVector vtkWindowToImageFilterSetInputBufferTypeToRGBFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputBufferTypeToRGB ();this SetInputBufferType VTK_RGB  */
  if (arg.size() < 1) 
    throw Exception("Function SetInputBufferTypeToRGB for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetInputBufferTypeToRGB();
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:SetInputBufferTypeToRGBA vtkWindowToImageFilterSetInputBufferTypeToRGBAFunction
//input a0 
//output none
ArrayVector vtkWindowToImageFilterSetInputBufferTypeToRGBAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputBufferTypeToRGBA ();this SetInputBufferType VTK_RGBA  */
  if (arg.size() < 1) 
    throw Exception("Function SetInputBufferTypeToRGBA for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetInputBufferTypeToRGBA();
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:SetInputBufferTypeToZBuffer vtkWindowToImageFilterSetInputBufferTypeToZBufferFunction
//input a0 
//output none
ArrayVector vtkWindowToImageFilterSetInputBufferTypeToZBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputBufferTypeToZBuffer ();this SetInputBufferType VTK_ZBUFFER  */
  if (arg.size() < 1) 
    throw Exception("Function SetInputBufferTypeToZBuffer for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetInputBufferTypeToZBuffer();
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:GetOutput vtkWindowToImageFilterGetOutputFunction
//input a0 
//output y
ArrayVector vtkWindowToImageFilterGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput for class vtkWindowToImageFilter requires 1 argument(s)");
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWindowToImageFilter:SetViewport vtkWindowToImageFilterSetViewportFunction
//input varargin
//output varargout
ArrayVector vtkWindowToImageFilterSetViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkWindowToImageFilterSetViewport__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkWindowToImageFilterSetViewport__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWindowToImageFilterSetViewport");
}

//@@Signature
//sfunction @vtkWindowToImageFilter:display vtkWindowToImageFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWindowToImageFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWindowToImageFilter* vtk_pointer = GetVTKPointer<vtkWindowToImageFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWindowToImageFilter:delete vtkWindowToImageFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkWindowToImageFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWindowToImageFilter
//@@Section VTKRendering
//@@Usage
// vtkWindowToImageFilter provides methods needed to read the data in
// a vtkWindow and use it as input to the imaging pipeline. This is
// useful for saving an image to a file for example. The window can
// be read as either RGB or RGBA pixels;  in addition, the depth buffer
// can also be read.   RGB and RGBA pixels are of type unsigned char,
// while Z-Buffer data is returned as floats.  Use this filter
// to convert RenderWindows or ImageWindows to an image format.  
//
//
//To create an instance of class vtkWindowToImageFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkWindowToImageFilter
//@]
//@@Methods
//The class vtkWindowToImageFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWindowToImageFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkWindowToImageFilter = obj.NewInstance ()|
// \item @|vtkWindowToImageFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkWindow input)| -  Indicates what renderer to get the pixel data from. Initial value is 0.
//// \item @|vtkWindow = obj.GetInput ()| -  Returns which renderer is being used as the source for the pixel data.
// Initial value is 0.
//// \item @|obj.SetMagnification (int )| -  The magnification of the current render window. Initial value is 1.
//// \item @|int = obj.GetMagnificationMinValue ()| -  The magnification of the current render window. Initial value is 1.
//// \item @|int = obj.GetMagnificationMaxValue ()| -  The magnification of the current render window. Initial value is 1.
//// \item @|int = obj.GetMagnification ()| -  The magnification of the current render window. Initial value is 1.
//// \item @|obj.ReadFrontBufferOn ()| -  Set/Get the flag that determines which buffer to read from.
// The default is to read from the front buffer.   
//// \item @|obj.ReadFrontBufferOff ()| -  Set/Get the flag that determines which buffer to read from.
// The default is to read from the front buffer.   
//// \item @|int = obj.GetReadFrontBuffer ()| -  Set/Get the flag that determines which buffer to read from.
// The default is to read from the front buffer.   
//// \item @|obj.SetReadFrontBuffer (int )| -  Set/Get the flag that determines which buffer to read from.
// The default is to read from the front buffer.   
//// \item @|obj.ShouldRerenderOn ()| -  Set/get whether to re-render the input window. Initial value is true.
// (This option makes no difference if Magnification > 1.)
//// \item @|obj.ShouldRerenderOff ()| -  Set/get whether to re-render the input window. Initial value is true.
// (This option makes no difference if Magnification > 1.)
//// \item @|obj.SetShouldRerender (int )| -  Set/get whether to re-render the input window. Initial value is true.
// (This option makes no difference if Magnification > 1.)
//// \item @|int = obj.GetShouldRerender ()| -  Set/get whether to re-render the input window. Initial value is true.
// (This option makes no difference if Magnification > 1.)
//// \item @|obj.SetViewport (double , double , double , double )| -  Set/get the extents to be used to generate the image. Initial value is
// {0,0,1,1} (This option does not work if Magnification > 1.)
//// \item @|obj.SetViewport (double  a[4])| -  Set/get the extents to be used to generate the image. Initial value is
// {0,0,1,1} (This option does not work if Magnification > 1.)
//// \item @|double = obj. GetViewport ()| -  Set/get the extents to be used to generate the image. Initial value is
// {0,0,1,1} (This option does not work if Magnification > 1.)
//// \item @|obj.SetInputBufferType (int )| -  Set/get the window buffer from which data will be read.  Choices
// include VTK_RGB (read the color image from the window), VTK_RGBA 
// (same, but include the alpha channel), and VTK_ZBUFFER (depth
// buffer, returned as a float array). Initial value is VTK_RGB.
//// \item @|int = obj.GetInputBufferType ()| -  Set/get the window buffer from which data will be read.  Choices
// include VTK_RGB (read the color image from the window), VTK_RGBA 
// (same, but include the alpha channel), and VTK_ZBUFFER (depth
// buffer, returned as a float array). Initial value is VTK_RGB.
//// \item @|obj.SetInputBufferTypeToRGB ()| -  Set/get the window buffer from which data will be read.  Choices
// include VTK_RGB (read the color image from the window), VTK_RGBA 
// (same, but include the alpha channel), and VTK_ZBUFFER (depth
// buffer, returned as a float array). Initial value is VTK_RGB.
//// \item @|obj.SetInputBufferTypeToRGBA ()| -  Set/get the window buffer from which data will be read.  Choices
// include VTK_RGB (read the color image from the window), VTK_RGBA 
// (same, but include the alpha channel), and VTK_ZBUFFER (depth
// buffer, returned as a float array). Initial value is VTK_RGB.
//// \item @|obj.SetInputBufferTypeToZBuffer ()| -  Set/get the window buffer from which data will be read.  Choices
// include VTK_RGB (read the color image from the window), VTK_RGBA 
// (same, but include the alpha channel), and VTK_ZBUFFER (depth
// buffer, returned as a float array). Initial value is VTK_RGB.
//// \item @|vtkImageData = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
////\end{itemize}
//!
