#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWorldPointPicker object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWorldPointPicker.h"

//@@Signature
//sfunction @vtkWorldPointPicker:vtkWorldPointPicker vtkWorldPointPickerConstructorFunction
//input a
//output p
//@@Parents vtkWorldPointPicker vtkAbstractPicker 
ArrayVector vtkWorldPointPickerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWorldPointPicker::New(),"vtkWorldPointPicker",eval);
  } else if (arg[0].className() == "vtkWorldPointPicker") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWorldPointPicker"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWorldPointPicker");
    vtkWorldPointPicker*q = reinterpret_cast<vtkWorldPointPicker*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWorldPointPicker");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWorldPointPicker:GetClassName vtkWorldPointPickerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWorldPointPickerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWorldPointPicker requires 1 argument(s)");
  vtkWorldPointPicker* vtk_pointer = GetVTKPointer<vtkWorldPointPicker>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWorldPointPicker:IsA vtkWorldPointPickerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWorldPointPickerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWorldPointPicker requires 2 argument(s)");
  vtkWorldPointPicker* vtk_pointer = GetVTKPointer<vtkWorldPointPicker>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWorldPointPicker:NewInstance vtkWorldPointPickerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWorldPointPickerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWorldPointPicker *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWorldPointPicker requires 1 argument(s)");
  vtkWorldPointPicker* vtk_pointer = GetVTKPointer<vtkWorldPointPicker>(arg[0]);
  Array retval;
  vtkWorldPointPicker  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWorldPointPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWorldPointPicker:SafeDownCast vtkWorldPointPickerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWorldPointPickerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWorldPointPicker *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWorldPointPicker requires 2 argument(s)");
  vtkWorldPointPicker* vtk_pointer = GetVTKPointer<vtkWorldPointPicker>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWorldPointPicker  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWorldPointPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWorldPointPicker:Pick__1 vtkWorldPointPickerPick__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkWorldPointPickerPick__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer *renderer); */
  if (arg.size() < 5) 
    throw Exception("Function Pick__1 for class vtkWorldPointPicker requires 5 argument(s)");
  vtkWorldPointPicker* vtk_pointer = GetVTKPointer<vtkWorldPointPicker>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkRenderer  *temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp3 = GetVTKPointer<vtkRenderer>(arg[4]);
  temp20 = (vtk_pointer)->Pick(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWorldPointPicker:Pick__2 vtkWorldPointPickerPick__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkWorldPointPickerPick__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Pick (double selectionPt[3], vtkRenderer *renderer);return this vtkAbstractPicker Pick selectionPt renderer  */
  if (arg.size() < 3) 
    throw Exception("Function Pick__2 for class vtkWorldPointPicker requires 3 argument(s)");
  vtkWorldPointPicker* vtk_pointer = GetVTKPointer<vtkWorldPointPicker>(arg[0]);
  Array retval;
  double temp0[3];
  vtkRenderer  *temp1;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp1 = GetVTKPointer<vtkRenderer>(arg[4]);
  temp20 = (vtk_pointer)->Pick(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWorldPointPicker:Pick vtkWorldPointPickerPickFunction
//input varargin
//output varargout
ArrayVector vtkWorldPointPickerPickFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsClass(arg[4],"vtkRenderer"))
    return vtkWorldPointPickerPick__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsClass(arg[2],"vtkRenderer"))
    return vtkWorldPointPickerPick__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWorldPointPickerPick");
}

//@@Signature
//sfunction @vtkWorldPointPicker:display vtkWorldPointPickerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWorldPointPickerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWorldPointPicker* vtk_pointer = GetVTKPointer<vtkWorldPointPicker>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWorldPointPicker:delete vtkWorldPointPickerDeleteFunction
//input varargin
//output none
ArrayVector vtkWorldPointPickerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWorldPointPicker
//@@Section VTKRendering
//@@Usage
// vtkWorldPointPicker is used to find the x,y,z world coordinate of a
// screen x,y,z. This picker cannot pick actors and/or mappers, it
// simply determines an x-y-z coordinate in world space. (It will always
// return a x-y-z, even if the selection point is not over a prop/actor.)
//
//To create an instance of class vtkWorldPointPicker, simply
//invoke its constructor as follows
//@[
//  obj = vtkWorldPointPicker
//@]
//@@Methods
//The class vtkWorldPointPicker has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWorldPointPicker class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkWorldPointPicker = obj.NewInstance ()|
// \item @|vtkWorldPointPicker = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer renderer)| -  Perform the pick. (This method overload's the superclass.)
//// \item @|int = obj.Pick (double selectionPt[3], vtkRenderer renderer)| -  Perform the pick. (This method overload's the superclass.)
////\end{itemize}
//!
