#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXGPUInfoList object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXGPUInfoList.h"

//@@Signature
//sfunction @vtkXGPUInfoList:vtkXGPUInfoList vtkXGPUInfoListConstructorFunction
//input a
//output p
//@@Parents vtkXGPUInfoList vtkGPUInfoList 
ArrayVector vtkXGPUInfoListConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXGPUInfoList::New(),"vtkXGPUInfoList",eval);
  } else if (arg[0].className() == "vtkXGPUInfoList") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXGPUInfoList"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXGPUInfoList");
    vtkXGPUInfoList*q = reinterpret_cast<vtkXGPUInfoList*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXGPUInfoList");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXGPUInfoList:GetClassName vtkXGPUInfoListGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXGPUInfoListGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXGPUInfoList requires 1 argument(s)");
  vtkXGPUInfoList* vtk_pointer = GetVTKPointer<vtkXGPUInfoList>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXGPUInfoList:IsA vtkXGPUInfoListIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXGPUInfoListIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXGPUInfoList requires 2 argument(s)");
  vtkXGPUInfoList* vtk_pointer = GetVTKPointer<vtkXGPUInfoList>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXGPUInfoList:NewInstance vtkXGPUInfoListNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXGPUInfoListNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXGPUInfoList *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXGPUInfoList requires 1 argument(s)");
  vtkXGPUInfoList* vtk_pointer = GetVTKPointer<vtkXGPUInfoList>(arg[0]);
  Array retval;
  vtkXGPUInfoList  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXGPUInfoList",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXGPUInfoList:SafeDownCast vtkXGPUInfoListSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXGPUInfoListSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXGPUInfoList *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXGPUInfoList requires 2 argument(s)");
  vtkXGPUInfoList* vtk_pointer = GetVTKPointer<vtkXGPUInfoList>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXGPUInfoList  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXGPUInfoList",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXGPUInfoList:Probe vtkXGPUInfoListProbeFunction
//input a0 
//output none
ArrayVector vtkXGPUInfoListProbeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Probe (); */
  if (arg.size() < 1) 
    throw Exception("Function Probe for class vtkXGPUInfoList requires 1 argument(s)");
  vtkXGPUInfoList* vtk_pointer = GetVTKPointer<vtkXGPUInfoList>(arg[0]);
  Array retval;
  vtk_pointer->Probe();
  return retval;
}

//@@Signature
//sfunction @vtkXGPUInfoList:display vtkXGPUInfoListDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXGPUInfoListDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXGPUInfoList* vtk_pointer = GetVTKPointer<vtkXGPUInfoList>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXGPUInfoList:delete vtkXGPUInfoListDeleteFunction
//input varargin
//output none
ArrayVector vtkXGPUInfoListDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXGPUInfoList
//@@Section VTKRendering
//@@Usage
// vtkXGPUInfoList implements Probe() method of vtkGPUInfoList
// through some X server extensions API. NV-CONTROL for Nvidia.
// ATIFGLEXTENSION for ATI is not supported yet.
// There is no support for other vendors.
//
//To create an instance of class vtkXGPUInfoList, simply
//invoke its constructor as follows
//@[
//  obj = vtkXGPUInfoList
//@]
//@@Methods
//The class vtkXGPUInfoList has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXGPUInfoList class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXGPUInfoList = obj.NewInstance ()|
// \item @|vtkXGPUInfoList = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Probe ()| -  Build the list of vtkInfoGPU if not done yet.
// \post probed: IsProbed()
////\end{itemize}
//!
