#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXOpenGLRenderWindow object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXOpenGLRenderWindow.h"

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:vtkXOpenGLRenderWindow vtkXOpenGLRenderWindowConstructorFunction
//input a
//output p
//@@Parents vtkXOpenGLRenderWindow vtkOpenGLRenderWindow 
ArrayVector vtkXOpenGLRenderWindowConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXOpenGLRenderWindow::New(),"vtkXOpenGLRenderWindow",eval);
  } else if (arg[0].className() == "vtkXOpenGLRenderWindow") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXOpenGLRenderWindow"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXOpenGLRenderWindow");
    vtkXOpenGLRenderWindow*q = reinterpret_cast<vtkXOpenGLRenderWindow*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXOpenGLRenderWindow");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXOpenGLRenderWindow:GetClassName vtkXOpenGLRenderWindowGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXOpenGLRenderWindowGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:IsA vtkXOpenGLRenderWindowIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXOpenGLRenderWindowIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXOpenGLRenderWindow requires 2 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:NewInstance vtkXOpenGLRenderWindowNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXOpenGLRenderWindowNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXOpenGLRenderWindow *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtkXOpenGLRenderWindow  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXOpenGLRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SafeDownCast vtkXOpenGLRenderWindowSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXOpenGLRenderWindowSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXOpenGLRenderWindow *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXOpenGLRenderWindow requires 2 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXOpenGLRenderWindow  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXOpenGLRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:Start vtkXOpenGLRenderWindowStartFunction
//input a0 
//output none
ArrayVector vtkXOpenGLRenderWindowStartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Start (void ); */
  if (arg.size() < 1) 
    throw Exception("Function Start for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->Start();
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:Frame vtkXOpenGLRenderWindowFrameFunction
//input a0 
//output none
ArrayVector vtkXOpenGLRenderWindowFrameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Frame (void ); */
  if (arg.size() < 1) 
    throw Exception("Function Frame for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->Frame();
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:WindowInitialize vtkXOpenGLRenderWindowWindowInitializeFunction
//input a0 
//output none
ArrayVector vtkXOpenGLRenderWindowWindowInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WindowInitialize (void ); */
  if (arg.size() < 1) 
    throw Exception("Function WindowInitialize for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->WindowInitialize();
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:Initialize vtkXOpenGLRenderWindowInitializeFunction
//input a0 
//output none
ArrayVector vtkXOpenGLRenderWindowInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (void ); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:Finalize vtkXOpenGLRenderWindowFinalizeFunction
//input a0 
//output none
ArrayVector vtkXOpenGLRenderWindowFinalizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Finalize (void ); */
  if (arg.size() < 1) 
    throw Exception("Function Finalize for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->Finalize();
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetFullScreen vtkXOpenGLRenderWindowSetFullScreenFunction
//input a0 a1 
//output none
ArrayVector vtkXOpenGLRenderWindowSetFullScreenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFullScreen (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFullScreen for class vtkXOpenGLRenderWindow requires 2 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFullScreen(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:WindowRemap vtkXOpenGLRenderWindowWindowRemapFunction
//input a0 
//output none
ArrayVector vtkXOpenGLRenderWindowWindowRemapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WindowRemap (void ); */
  if (arg.size() < 1) 
    throw Exception("Function WindowRemap for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->WindowRemap();
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:PrefFullScreen vtkXOpenGLRenderWindowPrefFullScreenFunction
//input a0 
//output none
ArrayVector vtkXOpenGLRenderWindowPrefFullScreenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PrefFullScreen (void ); */
  if (arg.size() < 1) 
    throw Exception("Function PrefFullScreen for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->PrefFullScreen();
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetSize__1 vtkXOpenGLRenderWindowSetSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkXOpenGLRenderWindowSetSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetSize__1 for class vtkXOpenGLRenderWindow requires 3 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetSize__2 vtkXOpenGLRenderWindowSetSize__2Function
//input a0 a1 
//output none
ArrayVector vtkXOpenGLRenderWindowSetSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSize (int a[2]);this SetSize a a  */
  if (arg.size() < 2) 
    throw Exception("Function SetSize__2 for class vtkXOpenGLRenderWindow requires 2 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:GetDesiredDepth vtkXOpenGLRenderWindowGetDesiredDepthFunction
//input a0 
//output y
ArrayVector vtkXOpenGLRenderWindowGetDesiredDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDesiredDepth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDesiredDepth for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDesiredDepth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetStereoCapableWindow vtkXOpenGLRenderWindowSetStereoCapableWindowFunction
//input a0 a1 
//output none
ArrayVector vtkXOpenGLRenderWindowSetStereoCapableWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetStereoCapableWindow (int capable); */
  if (arg.size() < 2) 
    throw Exception("Function SetStereoCapableWindow for class vtkXOpenGLRenderWindow requires 2 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStereoCapableWindow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:MakeCurrent vtkXOpenGLRenderWindowMakeCurrentFunction
//input a0 
//output none
ArrayVector vtkXOpenGLRenderWindowMakeCurrentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MakeCurrent (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeCurrent for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->MakeCurrent();
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:IsCurrent vtkXOpenGLRenderWindowIsCurrentFunction
//input a0 
//output y
ArrayVector vtkXOpenGLRenderWindowIsCurrentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool IsCurrent (); */
  if (arg.size() < 1) 
    throw Exception("Function IsCurrent for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->IsCurrent();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetForceMakeCurrent vtkXOpenGLRenderWindowSetForceMakeCurrentFunction
//input a0 
//output none
ArrayVector vtkXOpenGLRenderWindowSetForceMakeCurrentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetForceMakeCurrent (); */
  if (arg.size() < 1) 
    throw Exception("Function SetForceMakeCurrent for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->SetForceMakeCurrent();
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:ReportCapabilities vtkXOpenGLRenderWindowReportCapabilitiesFunction
//input a0 
//output y
ArrayVector vtkXOpenGLRenderWindowReportCapabilitiesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *ReportCapabilities (); */
  if (arg.size() < 1) 
    throw Exception("Function ReportCapabilities for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->ReportCapabilities();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SupportsOpenGL vtkXOpenGLRenderWindowSupportsOpenGLFunction
//input a0 
//output y
ArrayVector vtkXOpenGLRenderWindowSupportsOpenGLFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SupportsOpenGL (); */
  if (arg.size() < 1) 
    throw Exception("Function SupportsOpenGL for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->SupportsOpenGL();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:IsDirect vtkXOpenGLRenderWindowIsDirectFunction
//input a0 
//output y
ArrayVector vtkXOpenGLRenderWindowIsDirectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsDirect (); */
  if (arg.size() < 1) 
    throw Exception("Function IsDirect for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsDirect();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetWindowName vtkXOpenGLRenderWindowSetWindowNameFunction
//input a0 a1 
//output none
ArrayVector vtkXOpenGLRenderWindowSetWindowNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWindowName (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetWindowName for class vtkXOpenGLRenderWindow requires 2 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetWindowName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetPosition__1 vtkXOpenGLRenderWindowSetPosition__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkXOpenGLRenderWindowSetPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetPosition__1 for class vtkXOpenGLRenderWindow requires 3 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetPosition__2 vtkXOpenGLRenderWindowSetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkXOpenGLRenderWindowSetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (int a[2]);this SetPosition a a  */
  if (arg.size() < 2) 
    throw Exception("Function SetPosition__2 for class vtkXOpenGLRenderWindow requires 2 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:HideCursor vtkXOpenGLRenderWindowHideCursorFunction
//input a0 
//output none
ArrayVector vtkXOpenGLRenderWindowHideCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HideCursor (); */
  if (arg.size() < 1) 
    throw Exception("Function HideCursor for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->HideCursor();
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:ShowCursor vtkXOpenGLRenderWindowShowCursorFunction
//input a0 
//output none
ArrayVector vtkXOpenGLRenderWindowShowCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowCursor (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowCursor for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->ShowCursor();
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetCurrentCursor vtkXOpenGLRenderWindowSetCurrentCursorFunction
//input a0 a1 
//output none
ArrayVector vtkXOpenGLRenderWindowSetCurrentCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCurrentCursor (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCurrentCursor for class vtkXOpenGLRenderWindow requires 2 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCurrentCursor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:GetEventPending vtkXOpenGLRenderWindowGetEventPendingFunction
//input a0 
//output y
ArrayVector vtkXOpenGLRenderWindowGetEventPendingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetEventPending (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEventPending for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEventPending();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetWindowInfo vtkXOpenGLRenderWindowSetWindowInfoFunction
//input a0 a1 
//output none
ArrayVector vtkXOpenGLRenderWindowSetWindowInfoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWindowInfo (char *info); */
  if (arg.size() < 2) 
    throw Exception("Function SetWindowInfo for class vtkXOpenGLRenderWindow requires 2 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetWindowInfo(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetNextWindowInfo vtkXOpenGLRenderWindowSetNextWindowInfoFunction
//input a0 a1 
//output none
ArrayVector vtkXOpenGLRenderWindowSetNextWindowInfoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNextWindowInfo (char *info); */
  if (arg.size() < 2) 
    throw Exception("Function SetNextWindowInfo for class vtkXOpenGLRenderWindow requires 2 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetNextWindowInfo(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetParentInfo vtkXOpenGLRenderWindowSetParentInfoFunction
//input a0 a1 
//output none
ArrayVector vtkXOpenGLRenderWindowSetParentInfoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParentInfo (char *info); */
  if (arg.size() < 2) 
    throw Exception("Function SetParentInfo for class vtkXOpenGLRenderWindow requires 2 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetParentInfo(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:Render vtkXOpenGLRenderWindowRenderFunction
//input a0 
//output none
ArrayVector vtkXOpenGLRenderWindowRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Render (); */
  if (arg.size() < 1) 
    throw Exception("Function Render for class vtkXOpenGLRenderWindow requires 1 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  vtk_pointer->Render();
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetOffScreenRendering vtkXOpenGLRenderWindowSetOffScreenRenderingFunction
//input a0 a1 
//output none
ArrayVector vtkXOpenGLRenderWindowSetOffScreenRenderingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOffScreenRendering (int i); */
  if (arg.size() < 2) 
    throw Exception("Function SetOffScreenRendering for class vtkXOpenGLRenderWindow requires 2 argument(s)");
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOffScreenRendering(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetSize vtkXOpenGLRenderWindowSetSizeFunction
//input varargin
//output varargout
ArrayVector vtkXOpenGLRenderWindowSetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkXOpenGLRenderWindowSetSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkXOpenGLRenderWindowSetSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXOpenGLRenderWindowSetSize");
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetDisplayId vtkXOpenGLRenderWindowSetDisplayIdFunction
//input varargin
//output varargout
ArrayVector vtkXOpenGLRenderWindowSetDisplayIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXOpenGLRenderWindowSetDisplayId");
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetParentId vtkXOpenGLRenderWindowSetParentIdFunction
//input varargin
//output varargout
ArrayVector vtkXOpenGLRenderWindowSetParentIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXOpenGLRenderWindowSetParentId");
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetWindowId vtkXOpenGLRenderWindowSetWindowIdFunction
//input varargin
//output varargout
ArrayVector vtkXOpenGLRenderWindowSetWindowIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXOpenGLRenderWindowSetWindowId");
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetNextWindowId vtkXOpenGLRenderWindowSetNextWindowIdFunction
//input varargin
//output varargout
ArrayVector vtkXOpenGLRenderWindowSetNextWindowIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXOpenGLRenderWindowSetNextWindowId");
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:SetPosition vtkXOpenGLRenderWindowSetPositionFunction
//input varargin
//output varargout
ArrayVector vtkXOpenGLRenderWindowSetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkXOpenGLRenderWindowSetPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkXOpenGLRenderWindowSetPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXOpenGLRenderWindowSetPosition");
}

//@@Signature
//sfunction @vtkXOpenGLRenderWindow:display vtkXOpenGLRenderWindowDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXOpenGLRenderWindowDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXOpenGLRenderWindow* vtk_pointer = GetVTKPointer<vtkXOpenGLRenderWindow>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXOpenGLRenderWindow:delete vtkXOpenGLRenderWindowDeleteFunction
//input varargin
//output none
ArrayVector vtkXOpenGLRenderWindowDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXOpenGLRenderWindow
//@@Section VTKRendering
//@@Usage
// vtkXOpenGLRenderWindow is a concrete implementation of the abstract class
// vtkRenderWindow. vtkOpenGLRenderer interfaces to the OpenGL graphics
// library. Application programmers should normally use vtkRenderWindow
// instead of the OpenGL specific version.
//
//To create an instance of class vtkXOpenGLRenderWindow, simply
//invoke its constructor as follows
//@[
//  obj = vtkXOpenGLRenderWindow
//@]
//@@Methods
//The class vtkXOpenGLRenderWindow has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXOpenGLRenderWindow class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXOpenGLRenderWindow = obj.NewInstance ()|
// \item @|vtkXOpenGLRenderWindow = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Start (void )| -  Begin the rendering process.
//// \item @|obj.Frame (void )| -  End the rendering process and display the image.
//// \item @|obj.WindowInitialize (void )| -  Initialize the window for rendering.
//// \item @|obj.Initialize (void )| -  Initialize the rendering window.  This will setup all system-specific
// resources.  This method and Finalize() must be symmetric and it
// should be possible to call them multiple times, even changing WindowId
// in-between.  This is what WindowRemap does.
//// \item @|obj.Finalize (void )| -  "Deinitialize" the rendering window.  This will shutdown all system-specific
// resources.  After having called this, it should be possible to destroy
// a window that was used for a SetWindowId() call without any ill effects.
//// \item @|obj.SetFullScreen (int )| -  Change the window to fill the entire screen.
//// \item @|obj.WindowRemap (void )| -  Resize the window.
//// \item @|obj.PrefFullScreen (void )| -  Set the preferred window size to full screen.
//// \item @|obj.SetSize (int , int )| -  Specify the size of the rendering window in pixels.
//// \item @|obj.SetSize (int a[2])| -  Specify the size of the rendering window in pixels.
//// \item @|int = obj.GetDesiredDepth ()| -  Get the X properties of an ideal rendering window.
//// \item @|obj.SetStereoCapableWindow (int capable)| -  Prescribe that the window be created in a stereo-capable mode. This
// method must be called before the window is realized. This method
// overrides the superclass method since this class can actually check
// whether the window has been realized yet.
//// \item @|obj.MakeCurrent ()| -  Make this window the current OpenGL context.
//// \item @|bool = obj.IsCurrent ()| -  Tells if this window is the current OpenGL context for the calling thread.
//// \item @|obj.SetForceMakeCurrent ()| -  If called, allow MakeCurrent() to skip cache-check when called.
// MakeCurrent() reverts to original behavior of cache-checking     
// on the next render.     
//// \item @|string = obj.ReportCapabilities ()| -  Get report of capabilities for the render window
//// \item @|int = obj.SupportsOpenGL ()| -  Does this render window support OpenGL? 0-false, 1-true
//// \item @|int = obj.IsDirect ()| -  Is this render window using hardware acceleration? 0-false, 1-true
//// \item @|obj.SetWindowName (string )|
// \item @|obj.SetPosition (int , int )| -  Move the window to a new position on the display.
//// \item @|obj.SetPosition (int a[2])| -  Move the window to a new position on the display.
//// \item @|obj.HideCursor ()| -  Hide or Show the mouse cursor, it is nice to be able to hide the
// default cursor if you want VTK to display a 3D cursor instead.
//// \item @|obj.ShowCursor ()| -  Hide or Show the mouse cursor, it is nice to be able to hide the
// default cursor if you want VTK to display a 3D cursor instead.
//// \item @|obj.SetCurrentCursor (int )| -  Change the shape of the cursor
//// \item @|int = obj.GetEventPending ()| -  Check to see if a mouse button has been pressed.
// All other events are ignored by this method.
// This is a useful check to abort a long render.
//// \item @|obj.SetWindowInfo (string info)| -  Set this RenderWindow's X window id to a pre-existing window.
//// \item @|obj.SetNextWindowInfo (string info)| -  Set the window info that will be used after WindowRemap()
//// \item @|obj.SetParentInfo (string info)| -  Sets the X window id of the window that WILL BE created.
//// \item @|obj.Render ()| -  This computes the size of the render window 
// before calling the supper classes render
//// \item @|obj.SetOffScreenRendering (int i)| -  Render without displaying the window.
////\end{itemize}
//!
