#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXRenderWindowInteractor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXRenderWindowInteractor.h"

//@@Signature
//sfunction @vtkXRenderWindowInteractor:vtkXRenderWindowInteractor vtkXRenderWindowInteractorConstructorFunction
//input a
//output p
//@@Parents vtkXRenderWindowInteractor vtkRenderWindowInteractor 
ArrayVector vtkXRenderWindowInteractorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXRenderWindowInteractor::New(),"vtkXRenderWindowInteractor",eval);
  } else if (arg[0].className() == "vtkXRenderWindowInteractor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXRenderWindowInteractor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXRenderWindowInteractor");
    vtkXRenderWindowInteractor*q = reinterpret_cast<vtkXRenderWindowInteractor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXRenderWindowInteractor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXRenderWindowInteractor:GetClassName vtkXRenderWindowInteractorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXRenderWindowInteractorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXRenderWindowInteractor requires 1 argument(s)");
  vtkXRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkXRenderWindowInteractor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXRenderWindowInteractor:IsA vtkXRenderWindowInteractorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXRenderWindowInteractorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXRenderWindowInteractor requires 2 argument(s)");
  vtkXRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkXRenderWindowInteractor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXRenderWindowInteractor:NewInstance vtkXRenderWindowInteractorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXRenderWindowInteractorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXRenderWindowInteractor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXRenderWindowInteractor requires 1 argument(s)");
  vtkXRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkXRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkXRenderWindowInteractor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXRenderWindowInteractor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXRenderWindowInteractor:SafeDownCast vtkXRenderWindowInteractorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXRenderWindowInteractorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXRenderWindowInteractor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXRenderWindowInteractor requires 2 argument(s)");
  vtkXRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkXRenderWindowInteractor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXRenderWindowInteractor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXRenderWindowInteractor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXRenderWindowInteractor:Initialize__1 vtkXRenderWindowInteractorInitialize__1Function
//input a0 
//output none
ArrayVector vtkXRenderWindowInteractorInitialize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize__1 for class vtkXRenderWindowInteractor requires 1 argument(s)");
  vtkXRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkXRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkXRenderWindowInteractor:TerminateApp vtkXRenderWindowInteractorTerminateAppFunction
//input a0 
//output none
ArrayVector vtkXRenderWindowInteractorTerminateAppFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TerminateApp (); */
  if (arg.size() < 1) 
    throw Exception("Function TerminateApp for class vtkXRenderWindowInteractor requires 1 argument(s)");
  vtkXRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkXRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->TerminateApp();
  return retval;
}

//@@Signature
//sfunction @vtkXRenderWindowInteractor:GetBreakLoopFlag vtkXRenderWindowInteractorGetBreakLoopFlagFunction
//input a0 
//output y
ArrayVector vtkXRenderWindowInteractorGetBreakLoopFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBreakLoopFlag (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBreakLoopFlag for class vtkXRenderWindowInteractor requires 1 argument(s)");
  vtkXRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkXRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBreakLoopFlag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXRenderWindowInteractor:SetBreakLoopFlag vtkXRenderWindowInteractorSetBreakLoopFlagFunction
//input a0 a1 
//output none
ArrayVector vtkXRenderWindowInteractorSetBreakLoopFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBreakLoopFlag (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBreakLoopFlag for class vtkXRenderWindowInteractor requires 2 argument(s)");
  vtkXRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkXRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBreakLoopFlag(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXRenderWindowInteractor:BreakLoopFlagOff vtkXRenderWindowInteractorBreakLoopFlagOffFunction
//input a0 
//output none
ArrayVector vtkXRenderWindowInteractorBreakLoopFlagOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BreakLoopFlagOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BreakLoopFlagOff for class vtkXRenderWindowInteractor requires 1 argument(s)");
  vtkXRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkXRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->BreakLoopFlagOff();
  return retval;
}

//@@Signature
//sfunction @vtkXRenderWindowInteractor:BreakLoopFlagOn vtkXRenderWindowInteractorBreakLoopFlagOnFunction
//input a0 
//output none
ArrayVector vtkXRenderWindowInteractorBreakLoopFlagOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BreakLoopFlagOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BreakLoopFlagOn for class vtkXRenderWindowInteractor requires 1 argument(s)");
  vtkXRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkXRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->BreakLoopFlagOn();
  return retval;
}

//@@Signature
//sfunction @vtkXRenderWindowInteractor:Enable vtkXRenderWindowInteractorEnableFunction
//input a0 
//output none
ArrayVector vtkXRenderWindowInteractorEnableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Enable (); */
  if (arg.size() < 1) 
    throw Exception("Function Enable for class vtkXRenderWindowInteractor requires 1 argument(s)");
  vtkXRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkXRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->Enable();
  return retval;
}

//@@Signature
//sfunction @vtkXRenderWindowInteractor:Disable vtkXRenderWindowInteractorDisableFunction
//input a0 
//output none
ArrayVector vtkXRenderWindowInteractorDisableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Disable (); */
  if (arg.size() < 1) 
    throw Exception("Function Disable for class vtkXRenderWindowInteractor requires 1 argument(s)");
  vtkXRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkXRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->Disable();
  return retval;
}

//@@Signature
//sfunction @vtkXRenderWindowInteractor:Start vtkXRenderWindowInteractorStartFunction
//input a0 
//output none
ArrayVector vtkXRenderWindowInteractorStartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Start (); */
  if (arg.size() < 1) 
    throw Exception("Function Start for class vtkXRenderWindowInteractor requires 1 argument(s)");
  vtkXRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkXRenderWindowInteractor>(arg[0]);
  Array retval;
  vtk_pointer->Start();
  return retval;
}

//@@Signature
//sfunction @vtkXRenderWindowInteractor:UpdateSize vtkXRenderWindowInteractorUpdateSizeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXRenderWindowInteractorUpdateSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function UpdateSize for class vtkXRenderWindowInteractor requires 3 argument(s)");
  vtkXRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkXRenderWindowInteractor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->UpdateSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXRenderWindowInteractor:GetMousePosition vtkXRenderWindowInteractorGetMousePositionFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXRenderWindowInteractorGetMousePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetMousePosition (int *x, int *y); */
  if (arg.size() < 3) 
    throw Exception("Function GetMousePosition for class vtkXRenderWindowInteractor requires 3 argument(s)");
  vtkXRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkXRenderWindowInteractor>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  vtk_pointer->GetMousePosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXRenderWindowInteractor:Initialize vtkXRenderWindowInteractorInitializeFunction
//input varargin
//output varargout
ArrayVector vtkXRenderWindowInteractorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkXRenderWindowInteractorInitialize__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXRenderWindowInteractorInitialize");
}

//@@Signature
//sfunction @vtkXRenderWindowInteractor:display vtkXRenderWindowInteractorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXRenderWindowInteractorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXRenderWindowInteractor* vtk_pointer = GetVTKPointer<vtkXRenderWindowInteractor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXRenderWindowInteractor:delete vtkXRenderWindowInteractorDeleteFunction
//input varargin
//output none
ArrayVector vtkXRenderWindowInteractorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXRenderWindowInteractor
//@@Section VTKRendering
//@@Usage
// vtkXRenderWindowInteractor is a convenience object that provides event
// bindings to common graphics functions. For example, camera and actor
// functions such as zoom-in/zoom-out, azimuth, roll, and pan. IT is one of
// the window system specific subclasses of vtkRenderWindowInteractor. Please
// see vtkRenderWindowInteractor documentation for event bindings.
//
//
//To create an instance of class vtkXRenderWindowInteractor, simply
//invoke its constructor as follows
//@[
//  obj = vtkXRenderWindowInteractor
//@]
//@@Methods
//The class vtkXRenderWindowInteractor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXRenderWindowInteractor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXRenderWindowInteractor = obj.NewInstance ()|
// \item @|vtkXRenderWindowInteractor = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize ()| -  Initializes the event handlers without an XtAppContext.  This is
// good for when you don't have a user interface, but you still
// want to have mouse interaction.
//// \item @|obj.TerminateApp ()| -  Break the event loop on 'q','e' keypress. Want more ???
//// \item @|int = obj.GetBreakLoopFlag ()| -  The BreakLoopFlag is checked in the Start() method.
// Setting it to anything other than zero will cause
// the interactor loop to terminate and return to the
// calling function.
//// \item @|obj.SetBreakLoopFlag (int )| -  The BreakLoopFlag is checked in the Start() method.
// Setting it to anything other than zero will cause
// the interactor loop to terminate and return to the
// calling function.
//// \item @|obj.BreakLoopFlagOff ()| -  The BreakLoopFlag is checked in the Start() method.
// Setting it to anything other than zero will cause
// the interactor loop to terminate and return to the
// calling function.
//// \item @|obj.BreakLoopFlagOn ()| -  The BreakLoopFlag is checked in the Start() method.
// Setting it to anything other than zero will cause
// the interactor loop to terminate and return to the
// calling function.
//// \item @|obj.Enable ()| -  Enable/Disable interactions.  By default interactors are enabled when
// initialized.  Initialize() must be called prior to enabling/disabling
// interaction. These methods are used when a window/widget is being
// shared by multiple renderers and interactors.  This allows a "modal"
// display where one interactor is active when its data is to be displayed
// and all other interactors associated with the widget are disabled
// when their data is not displayed.
//// \item @|obj.Disable ()| -  Enable/Disable interactions.  By default interactors are enabled when
// initialized.  Initialize() must be called prior to enabling/disabling
// interaction. These methods are used when a window/widget is being
// shared by multiple renderers and interactors.  This allows a "modal"
// display where one interactor is active when its data is to be displayed
// and all other interactors associated with the widget are disabled
// when their data is not displayed.
//// \item @|obj.Start ()| -  This will start up the X event loop and never return. If you
// call this method it will loop processing X events until the
// application is exited.
//// \item @|obj.UpdateSize (int , int )| -  Update the Size data member and set the associated RenderWindow's
// size.
//// \item @|obj.GetMousePosition (int x, int y)| -  Re-defines virtual function to get mouse position by querying X-server.
////\end{itemize}
//!
