#include "VTKWrap.hpp"

// FreeMat wrapper for vtkConvertSelectionDomain object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkConvertSelectionDomain.h"

//@@Signature
//sfunction @vtkConvertSelectionDomain:vtkConvertSelectionDomain vtkConvertSelectionDomainConstructorFunction
//input a
//output p
//@@Parents vtkConvertSelectionDomain vtkPassInputTypeAlgorithm 
ArrayVector vtkConvertSelectionDomainConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkConvertSelectionDomain::New(),"vtkConvertSelectionDomain",eval);
  } else if (arg[0].className() == "vtkConvertSelectionDomain") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkConvertSelectionDomain"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkConvertSelectionDomain");
    vtkConvertSelectionDomain*q = reinterpret_cast<vtkConvertSelectionDomain*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkConvertSelectionDomain");
    return ret;
  }
}
//@@Signature
//sfunction @vtkConvertSelectionDomain:GetClassName vtkConvertSelectionDomainGetClassNameFunction
//input a0 
//output y
ArrayVector vtkConvertSelectionDomainGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkConvertSelectionDomain requires 1 argument(s)");
  vtkConvertSelectionDomain* vtk_pointer = GetVTKPointer<vtkConvertSelectionDomain>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelectionDomain:IsA vtkConvertSelectionDomainIsAFunction
//input a0 a1 
//output y
ArrayVector vtkConvertSelectionDomainIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkConvertSelectionDomain requires 2 argument(s)");
  vtkConvertSelectionDomain* vtk_pointer = GetVTKPointer<vtkConvertSelectionDomain>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelectionDomain:NewInstance vtkConvertSelectionDomainNewInstanceFunction
//input a0 
//output y
ArrayVector vtkConvertSelectionDomainNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConvertSelectionDomain *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkConvertSelectionDomain requires 1 argument(s)");
  vtkConvertSelectionDomain* vtk_pointer = GetVTKPointer<vtkConvertSelectionDomain>(arg[0]);
  Array retval;
  vtkConvertSelectionDomain  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConvertSelectionDomain",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelectionDomain:SafeDownCast vtkConvertSelectionDomainSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkConvertSelectionDomainSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConvertSelectionDomain *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkConvertSelectionDomain requires 2 argument(s)");
  vtkConvertSelectionDomain* vtk_pointer = GetVTKPointer<vtkConvertSelectionDomain>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkConvertSelectionDomain  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConvertSelectionDomain",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConvertSelectionDomain:display vtkConvertSelectionDomainDisplayFunction
//input varargin
//output varargout
ArrayVector vtkConvertSelectionDomainDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkConvertSelectionDomain* vtk_pointer = GetVTKPointer<vtkConvertSelectionDomain>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkConvertSelectionDomain:delete vtkConvertSelectionDomainDeleteFunction
//input varargin
//output none
ArrayVector vtkConvertSelectionDomainDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkConvertSelectionDomain
//@@Section VTKViews
//@@Usage
// vtkConvertSelectionDomain converts a selection from one domain to another
// using known domain mappings. The domain mappings are described by a
// vtkMultiBlockDataSet containing one or more vtkTables.
//
// The first input port is for the input selection (or collection of annotations
// in a vtkAnnotationLayers object), while the second port
// is for the multi-block of mappings, and the third port is for the
// data that is being selected on.
//
// If the second or third port is not set, this filter will pass the
// selection/annotation to the output unchanged.
//
// The second output is the selection associated with the "current annotation"
// normally representing the current interactive selection.
//
//To create an instance of class vtkConvertSelectionDomain, simply
//invoke its constructor as follows
//@[
//  obj = vtkConvertSelectionDomain
//@]
//@@Methods
//The class vtkConvertSelectionDomain has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkConvertSelectionDomain class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkConvertSelectionDomain = obj.NewInstance ()|
// \item @|vtkConvertSelectionDomain = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
