#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataRepresentation.h"

//@@Signature
//sfunction @vtkDataRepresentation:vtkDataRepresentation vtkDataRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkDataRepresentation vtkPassInputTypeAlgorithm 
ArrayVector vtkDataRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataRepresentation::New(),"vtkDataRepresentation",eval);
  } else if (arg[0].className() == "vtkDataRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataRepresentation");
    vtkDataRepresentation*q = reinterpret_cast<vtkDataRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataRepresentation:GetClassName vtkDataRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataRepresentation requires 1 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:IsA vtkDataRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataRepresentation requires 2 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:NewInstance vtkDataRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataRepresentation requires 1 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  vtkDataRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:SafeDownCast vtkDataRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataRepresentation requires 2 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:GetInputConnection vtkDataRepresentationGetInputConnectionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDataRepresentationGetInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAlgorithmOutput *GetInputConnection (int port, int index);return this Superclass GetInputConnection port index  */
  if (arg.size() < 3) 
    throw Exception("Function GetInputConnection for class vtkDataRepresentation requires 3 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetInputConnection(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:GetAnnotationLink vtkDataRepresentationGetAnnotationLinkFunction
//input a0 
//output y
ArrayVector vtkDataRepresentationGetAnnotationLinkFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAnnotationLink *GetAnnotationLink ();return this AnnotationLinkInternal  */
  if (arg.size() < 1) 
    throw Exception("Function GetAnnotationLink for class vtkDataRepresentation requires 1 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  vtkAnnotationLink  *temp20;
  temp20 = (vtk_pointer)->GetAnnotationLink();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnnotationLink",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:SetAnnotationLink vtkDataRepresentationSetAnnotationLinkFunction
//input a0 a1 
//output none
ArrayVector vtkDataRepresentationSetAnnotationLinkFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAnnotationLink (vtkAnnotationLink *link); */
  if (arg.size() < 2) 
    throw Exception("Function SetAnnotationLink for class vtkDataRepresentation requires 2 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  vtkAnnotationLink  *temp0;
  temp0 = GetVTKPointer<vtkAnnotationLink>(arg[1]);
  vtk_pointer->SetAnnotationLink(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:ApplyViewTheme vtkDataRepresentationApplyViewThemeFunction
//input a0 a1 
//output none
ArrayVector vtkDataRepresentationApplyViewThemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ApplyViewTheme (vtkViewTheme *); */
  if (arg.size() < 2) 
    throw Exception("Function ApplyViewTheme for class vtkDataRepresentation requires 2 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  vtkViewTheme  *temp0;
  temp0 = GetVTKPointer<vtkViewTheme>(arg[1]);
  vtk_pointer->ApplyViewTheme(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:Select__1 vtkDataRepresentationSelect__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataRepresentationSelect__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Select (vtkView *view, vtkSelection *selection);this Select view selection false  */
  if (arg.size() < 3) 
    throw Exception("Function Select__1 for class vtkDataRepresentation requires 3 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  vtkView  *temp0;
  vtkSelection  *temp1;
  temp0 = GetVTKPointer<vtkView>(arg[1]);
  temp1 = GetVTKPointer<vtkSelection>(arg[2]);
  vtk_pointer->Select(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:Select__2 vtkDataRepresentationSelect__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDataRepresentationSelect__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Select (vtkView *view, vtkSelection *selection, bool extend); */
  if (arg.size() < 4) 
    throw Exception("Function Select__2 for class vtkDataRepresentation requires 4 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  vtkView  *temp0;
  vtkSelection  *temp1;
  bool   temp2;
  temp0 = GetVTKPointer<vtkView>(arg[1]);
  temp1 = GetVTKPointer<vtkSelection>(arg[2]);
  vtk_pointer->Select(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:SetSelectable vtkDataRepresentationSetSelectableFunction
//input a0 a1 
//output none
ArrayVector vtkDataRepresentationSetSelectableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectable (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectable for class vtkDataRepresentation requires 2 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetSelectable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:GetSelectable vtkDataRepresentationGetSelectableFunction
//input a0 
//output y
ArrayVector vtkDataRepresentationGetSelectableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetSelectable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectable for class vtkDataRepresentation requires 1 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetSelectable();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:SelectableOn vtkDataRepresentationSelectableOnFunction
//input a0 
//output none
ArrayVector vtkDataRepresentationSelectableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SelectableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SelectableOn for class vtkDataRepresentation requires 1 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SelectableOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:SelectableOff vtkDataRepresentationSelectableOffFunction
//input a0 
//output none
ArrayVector vtkDataRepresentationSelectableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SelectableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SelectableOff for class vtkDataRepresentation requires 1 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SelectableOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:UpdateSelection__1 vtkDataRepresentationUpdateSelection__1Function
//input a0 a1 
//output none
ArrayVector vtkDataRepresentationUpdateSelection__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UpdateSelection (vtkSelection *selection);this UpdateSelection selection false  */
  if (arg.size() < 2) 
    throw Exception("Function UpdateSelection__1 for class vtkDataRepresentation requires 2 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  vtk_pointer->UpdateSelection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:UpdateSelection__2 vtkDataRepresentationUpdateSelection__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataRepresentationUpdateSelection__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UpdateSelection (vtkSelection *selection, bool extend); */
  if (arg.size() < 3) 
    throw Exception("Function UpdateSelection__2 for class vtkDataRepresentation requires 3 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  vtkSelection  *temp0;
  bool   temp1;
  temp0 = GetVTKPointer<vtkSelection>(arg[1]);
  vtk_pointer->UpdateSelection(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:GetInternalAnnotationOutputPort__1 vtkDataRepresentationGetInternalAnnotationOutputPort__1Function
//input a0 
//output y
ArrayVector vtkDataRepresentationGetInternalAnnotationOutputPort__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAlgorithmOutput *GetInternalAnnotationOutputPort ();return this GetInternalAnnotationOutputPort  */
  if (arg.size() < 1) 
    throw Exception("Function GetInternalAnnotationOutputPort__1 for class vtkDataRepresentation requires 1 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp20;
  temp20 = (vtk_pointer)->GetInternalAnnotationOutputPort();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:GetInternalAnnotationOutputPort__2 vtkDataRepresentationGetInternalAnnotationOutputPort__2Function
//input a0 a1 
//output y
ArrayVector vtkDataRepresentationGetInternalAnnotationOutputPort__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAlgorithmOutput *GetInternalAnnotationOutputPort (int port);return this GetInternalAnnotationOutputPort port  */
  if (arg.size() < 2) 
    throw Exception("Function GetInternalAnnotationOutputPort__2 for class vtkDataRepresentation requires 2 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  vtkAlgorithmOutput  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInternalAnnotationOutputPort(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:GetInternalAnnotationOutputPort__3 vtkDataRepresentationGetInternalAnnotationOutputPort__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkDataRepresentationGetInternalAnnotationOutputPort__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAlgorithmOutput *GetInternalAnnotationOutputPort (int port, int conn); */
  if (arg.size() < 3) 
    throw Exception("Function GetInternalAnnotationOutputPort__3 for class vtkDataRepresentation requires 3 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetInternalAnnotationOutputPort(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:GetInternalSelectionOutputPort__1 vtkDataRepresentationGetInternalSelectionOutputPort__1Function
//input a0 
//output y
ArrayVector vtkDataRepresentationGetInternalSelectionOutputPort__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAlgorithmOutput *GetInternalSelectionOutputPort ();return this GetInternalSelectionOutputPort  */
  if (arg.size() < 1) 
    throw Exception("Function GetInternalSelectionOutputPort__1 for class vtkDataRepresentation requires 1 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp20;
  temp20 = (vtk_pointer)->GetInternalSelectionOutputPort();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:GetInternalSelectionOutputPort__2 vtkDataRepresentationGetInternalSelectionOutputPort__2Function
//input a0 a1 
//output y
ArrayVector vtkDataRepresentationGetInternalSelectionOutputPort__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAlgorithmOutput *GetInternalSelectionOutputPort (int port);return this GetInternalSelectionOutputPort port  */
  if (arg.size() < 2) 
    throw Exception("Function GetInternalSelectionOutputPort__2 for class vtkDataRepresentation requires 2 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  vtkAlgorithmOutput  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInternalSelectionOutputPort(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:GetInternalSelectionOutputPort__3 vtkDataRepresentationGetInternalSelectionOutputPort__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkDataRepresentationGetInternalSelectionOutputPort__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAlgorithmOutput *GetInternalSelectionOutputPort (int port, int conn); */
  if (arg.size() < 3) 
    throw Exception("Function GetInternalSelectionOutputPort__3 for class vtkDataRepresentation requires 3 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetInternalSelectionOutputPort(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:GetInternalOutputPort__1 vtkDataRepresentationGetInternalOutputPort__1Function
//input a0 
//output y
ArrayVector vtkDataRepresentationGetInternalOutputPort__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAlgorithmOutput *GetInternalOutputPort ();return this GetInternalOutputPort  */
  if (arg.size() < 1) 
    throw Exception("Function GetInternalOutputPort__1 for class vtkDataRepresentation requires 1 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp20;
  temp20 = (vtk_pointer)->GetInternalOutputPort();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:GetInternalOutputPort__2 vtkDataRepresentationGetInternalOutputPort__2Function
//input a0 a1 
//output y
ArrayVector vtkDataRepresentationGetInternalOutputPort__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAlgorithmOutput *GetInternalOutputPort (int port);return this GetInternalOutputPort port  */
  if (arg.size() < 2) 
    throw Exception("Function GetInternalOutputPort__2 for class vtkDataRepresentation requires 2 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  vtkAlgorithmOutput  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInternalOutputPort(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:GetInternalOutputPort__3 vtkDataRepresentationGetInternalOutputPort__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkDataRepresentationGetInternalOutputPort__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAlgorithmOutput *GetInternalOutputPort (int port, int conn); */
  if (arg.size() < 3) 
    throw Exception("Function GetInternalOutputPort__3 for class vtkDataRepresentation requires 3 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetInternalOutputPort(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAlgorithmOutput",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:SetSelectionType vtkDataRepresentationSetSelectionTypeFunction
//input a0 a1 
//output none
ArrayVector vtkDataRepresentationSetSelectionTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionType for class vtkDataRepresentation requires 2 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSelectionType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:GetSelectionType vtkDataRepresentationGetSelectionTypeFunction
//input a0 
//output y
ArrayVector vtkDataRepresentationGetSelectionTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectionType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionType for class vtkDataRepresentation requires 1 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectionType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:SetSelectionArrayNames vtkDataRepresentationSetSelectionArrayNamesFunction
//input a0 a1 
//output none
ArrayVector vtkDataRepresentationSetSelectionArrayNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSelectionArrayNames (vtkStringArray *names); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionArrayNames for class vtkDataRepresentation requires 2 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  vtkStringArray  *temp0;
  temp0 = GetVTKPointer<vtkStringArray>(arg[1]);
  vtk_pointer->SetSelectionArrayNames(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:GetSelectionArrayNames vtkDataRepresentationGetSelectionArrayNamesFunction
//input a0 
//output y
ArrayVector vtkDataRepresentationGetSelectionArrayNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringArray *GetSelectionArrayNames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionArrayNames for class vtkDataRepresentation requires 1 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  vtkStringArray  *temp20;
  temp20 = (vtk_pointer)->GetSelectionArrayNames();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:SetSelectionArrayName vtkDataRepresentationSetSelectionArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataRepresentationSetSelectionArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSelectionArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionArrayName for class vtkDataRepresentation requires 2 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetSelectionArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:GetSelectionArrayName vtkDataRepresentationGetSelectionArrayNameFunction
//input a0 
//output y
ArrayVector vtkDataRepresentationGetSelectionArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetSelectionArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionArrayName for class vtkDataRepresentation requires 1 argument(s)");
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetSelectionArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataRepresentation:Select vtkDataRepresentationSelectFunction
//input varargin
//output varargout
ArrayVector vtkDataRepresentationSelectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkView") && VTKIsClass(arg[2],"vtkSelection"))
    return vtkDataRepresentationSelect__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkView") && VTKIsClass(arg[2],"vtkSelection") && VTKIsScalarArg(arg[3]))
    return vtkDataRepresentationSelect__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataRepresentationSelect");
}

//@@Signature
//sfunction @vtkDataRepresentation:UpdateSelection vtkDataRepresentationUpdateSelectionFunction
//input varargin
//output varargout
ArrayVector vtkDataRepresentationUpdateSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkSelection"))
    return vtkDataRepresentationUpdateSelection__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkSelection") && VTKIsScalarArg(arg[2]))
    return vtkDataRepresentationUpdateSelection__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataRepresentationUpdateSelection");
}

//@@Signature
//sfunction @vtkDataRepresentation:GetInternalAnnotationOutputPort vtkDataRepresentationGetInternalAnnotationOutputPortFunction
//input varargin
//output varargout
ArrayVector vtkDataRepresentationGetInternalAnnotationOutputPortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataRepresentationGetInternalAnnotationOutputPort__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataRepresentationGetInternalAnnotationOutputPort__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkDataRepresentationGetInternalAnnotationOutputPort__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataRepresentationGetInternalAnnotationOutputPort");
}

//@@Signature
//sfunction @vtkDataRepresentation:GetInternalSelectionOutputPort vtkDataRepresentationGetInternalSelectionOutputPortFunction
//input varargin
//output varargout
ArrayVector vtkDataRepresentationGetInternalSelectionOutputPortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataRepresentationGetInternalSelectionOutputPort__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataRepresentationGetInternalSelectionOutputPort__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkDataRepresentationGetInternalSelectionOutputPort__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataRepresentationGetInternalSelectionOutputPort");
}

//@@Signature
//sfunction @vtkDataRepresentation:GetInternalOutputPort vtkDataRepresentationGetInternalOutputPortFunction
//input varargin
//output varargout
ArrayVector vtkDataRepresentationGetInternalOutputPortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataRepresentationGetInternalOutputPort__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataRepresentationGetInternalOutputPort__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkDataRepresentationGetInternalOutputPort__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataRepresentationGetInternalOutputPort");
}

//@@Signature
//sfunction @vtkDataRepresentation:display vtkDataRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataRepresentation* vtk_pointer = GetVTKPointer<vtkDataRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataRepresentation:delete vtkDataRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkDataRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataRepresentation
//@@Section VTKViews
//@@Usage
// vtkDataRepresentation the superclass for representations of data objects.
// This class itself may be instantiated and used as a representation
// that simply holds a connection to a pipeline.
//
// If there are multiple representations present in a view, you should use
// a subclass of vtkDataRepresentation.  The representation is
// responsible for taking the input pipeline connection and converting it
// to an object usable by a view.  In the most common case, the representation
// will contain the pipeline necessary to convert a data object into an actor
// or set of actors.
//
// The representation has a concept of a selection.  If the user performs a
// selection operation on the view, the view forwards this on to its
// representations.  The representation is responsible for displaying that
// selection in an appropriate way.
//
// Representation selections may also be linked.  The representation shares
// the selection by converting it into a view-independent format, then
// setting the selection on its vtkAnnotationLink.  Other representations
// sharing the same selection link instance will get the same selection
// from the selection link when the view is updated.  The application is
// responsible for linking representations as appropriate by setting the
// same vtkAnnotationLink on each linked representation.
//
//To create an instance of class vtkDataRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataRepresentation
//@]
//@@Methods
//The class vtkDataRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataRepresentation = obj.NewInstance ()|
// \item @|vtkDataRepresentation = obj.SafeDownCast (vtkObject o)|
// \item @|vtkAlgorithmOutput = obj.GetInputConnection (int port, int index)| -  The annotation link for this representation.
// To link annotations, set the same vtkAnnotationLink object in
// multiple representations.
//// \item @|vtkAnnotationLink = obj.GetAnnotationLink ()| -  The annotation link for this representation.
// To link annotations, set the same vtkAnnotationLink object in
// multiple representations.
//// \item @|obj.SetAnnotationLink (vtkAnnotationLink link)| -  The annotation link for this representation.
// To link annotations, set the same vtkAnnotationLink object in
// multiple representations.
//// \item @|obj.ApplyViewTheme (vtkViewTheme )| -  The view calls this method when a selection occurs.
// The representation takes this selection and converts it into
// a selection on its data by calling ConvertSelection,
// then calls UpdateSelection with the converted selection.
// Subclasses should not overrride this method, but should instead
// override ConvertSelection.
// The optional third argument specifies whether the selection should be
// added to the previous selection on this representation.
//// \item @|obj.Select (vtkView view, vtkSelection selection)| -  The view calls this method when a selection occurs.
// The representation takes this selection and converts it into
// a selection on its data by calling ConvertSelection,
// then calls UpdateSelection with the converted selection.
// Subclasses should not overrride this method, but should instead
// override ConvertSelection.
// The optional third argument specifies whether the selection should be
// added to the previous selection on this representation.
//// \item @|obj.Select (vtkView view, vtkSelection selection, bool extend)| -  The view calls this method when a selection occurs.
// The representation takes this selection and converts it into
// a selection on its data by calling ConvertSelection,
// then calls UpdateSelection with the converted selection.
// Subclasses should not overrride this method, but should instead
// override ConvertSelection.
// The optional third argument specifies whether the selection should be
// added to the previous selection on this representation.
//// \item @|obj.SetSelectable (bool )| -  Whether this representation is able to handle a selection.
// Default is true.
//// \item @|bool = obj.GetSelectable ()| -  Whether this representation is able to handle a selection.
// Default is true.
//// \item @|obj.SelectableOn ()| -  Whether this representation is able to handle a selection.
// Default is true.
//// \item @|obj.SelectableOff ()| -  Whether this representation is able to handle a selection.
// Default is true.
//// \item @|obj.UpdateSelection (vtkSelection selection)| -  Updates the selection in the selection link and fires a selection
// change event. Subclasses should not overrride this method,
// but should instead override ConvertSelection.
// The optional second argument specifies whether the selection should be
// added to the previous selection on this representation.
//// \item @|obj.UpdateSelection (vtkSelection selection, bool extend)| -  Updates the selection in the selection link and fires a selection
// change event. Subclasses should not overrride this method,
// but should instead override ConvertSelection.
// The optional second argument specifies whether the selection should be
// added to the previous selection on this representation.
//// \item @|vtkAlgorithmOutput = obj.GetInternalAnnotationOutputPort ()| -  The output port that contains the annotations whose selections are
// localized for a particular input data object.
// This should be used when connecting the internal pipelines.
//// \item @|vtkAlgorithmOutput = obj.GetInternalAnnotationOutputPort (int port)| -  The output port that contains the annotations whose selections are
// localized for a particular input data object.
// This should be used when connecting the internal pipelines.
//// \item @|vtkAlgorithmOutput = obj.GetInternalAnnotationOutputPort (int port, int conn)| -  The output port that contains the annotations whose selections are
// localized for a particular input data object.
// This should be used when connecting the internal pipelines.
//// \item @|vtkAlgorithmOutput = obj.GetInternalSelectionOutputPort ()| -  The output port that contains the selection associated with the
// current annotation (normally the interactive selection).
// This should be used when connecting the internal pipelines.
//// \item @|vtkAlgorithmOutput = obj.GetInternalSelectionOutputPort (int port)| -  The output port that contains the selection associated with the
// current annotation (normally the interactive selection).
// This should be used when connecting the internal pipelines.
//// \item @|vtkAlgorithmOutput = obj.GetInternalSelectionOutputPort (int port, int conn)| -  The output port that contains the selection associated with the
// current annotation (normally the interactive selection).
// This should be used when connecting the internal pipelines.
//// \item @|vtkAlgorithmOutput = obj.GetInternalOutputPort ()| -  Retrieves an output port for the input data object at the specified port
// and connection index. This may be connected to the representation's
// internal pipeline.
//// \item @|vtkAlgorithmOutput = obj.GetInternalOutputPort (int port)| -  Retrieves an output port for the input data object at the specified port
// and connection index. This may be connected to the representation's
// internal pipeline.
//// \item @|vtkAlgorithmOutput = obj.GetInternalOutputPort (int port, int conn)| -  Retrieves an output port for the input data object at the specified port
// and connection index. This may be connected to the representation's
// internal pipeline.
//// \item @|obj.SetSelectionType (int )| -  Set the selection type produced by this view.
// This should be one of the content type constants defined in
// vtkSelectionNode.h. Common values are
// vtkSelectionNode::INDICES
// vtkSelectionNode::PEDIGREEIDS
// vtkSelectionNode::VALUES
//// \item @|int = obj.GetSelectionType ()| -  Set the selection type produced by this view.
// This should be one of the content type constants defined in
// vtkSelectionNode.h. Common values are
// vtkSelectionNode::INDICES
// vtkSelectionNode::PEDIGREEIDS
// vtkSelectionNode::VALUES
//// \item @|obj.SetSelectionArrayNames (vtkStringArray names)| -  If a VALUES selection, the arrays used to produce a selection.
//// \item @|vtkStringArray = obj.GetSelectionArrayNames ()| -  If a VALUES selection, the arrays used to produce a selection.
//// \item @|obj.SetSelectionArrayName (string name)| -  If a VALUES selection, the array used to produce a selection.
//// \item @|string = obj.GetSelectionArrayName ()| -  If a VALUES selection, the array used to produce a selection.
////\end{itemize}
//!
