#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGraphLayoutView object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGraphLayoutView.h"

//@@Signature
//sfunction @vtkGraphLayoutView:vtkGraphLayoutView vtkGraphLayoutViewConstructorFunction
//input a
//output p
//@@Parents vtkGraphLayoutView vtkRenderView 
ArrayVector vtkGraphLayoutViewConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGraphLayoutView::New(),"vtkGraphLayoutView",eval);
  } else if (arg[0].className() == "vtkGraphLayoutView") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGraphLayoutView"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGraphLayoutView");
    vtkGraphLayoutView*q = reinterpret_cast<vtkGraphLayoutView*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGraphLayoutView");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGraphLayoutView:GetClassName vtkGraphLayoutViewGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:IsA vtkGraphLayoutViewIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGraphLayoutViewIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:NewInstance vtkGraphLayoutViewNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphLayoutView *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtkGraphLayoutView  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphLayoutView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SafeDownCast vtkGraphLayoutViewSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGraphLayoutViewSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphLayoutView *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGraphLayoutView  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphLayoutView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetVertexLabelArrayName vtkGraphLayoutViewSetVertexLabelArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetVertexLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertexLabelArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexLabelArrayName for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetVertexLabelArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetVertexLabelArrayName vtkGraphLayoutViewGetVertexLabelArrayNameFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetVertexLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetVertexLabelArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexLabelArrayName for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVertexLabelArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetEdgeLabelArrayName vtkGraphLayoutViewSetEdgeLabelArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetEdgeLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeLabelArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeLabelArrayName for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgeLabelArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetEdgeLabelArrayName vtkGraphLayoutViewGetEdgeLabelArrayNameFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetEdgeLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetEdgeLabelArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeLabelArrayName for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetEdgeLabelArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetVertexLabelVisibility vtkGraphLayoutViewSetVertexLabelVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetVertexLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertexLabelVisibility (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexLabelVisibility for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetVertexLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetVertexLabelVisibility vtkGraphLayoutViewGetVertexLabelVisibilityFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetVertexLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetVertexLabelVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexLabelVisibility for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetVertexLabelVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:VertexLabelVisibilityOn vtkGraphLayoutViewVertexLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewVertexLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VertexLabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function VertexLabelVisibilityOn for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->VertexLabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:VertexLabelVisibilityOff vtkGraphLayoutViewVertexLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewVertexLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VertexLabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function VertexLabelVisibilityOff for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->VertexLabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetHideVertexLabelsOnInteraction vtkGraphLayoutViewSetHideVertexLabelsOnInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetHideVertexLabelsOnInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHideVertexLabelsOnInteraction (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetHideVertexLabelsOnInteraction for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetHideVertexLabelsOnInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetHideVertexLabelsOnInteraction vtkGraphLayoutViewGetHideVertexLabelsOnInteractionFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetHideVertexLabelsOnInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetHideVertexLabelsOnInteraction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHideVertexLabelsOnInteraction for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetHideVertexLabelsOnInteraction();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:HideVertexLabelsOnInteractionOn vtkGraphLayoutViewHideVertexLabelsOnInteractionOnFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewHideVertexLabelsOnInteractionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HideVertexLabelsOnInteractionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HideVertexLabelsOnInteractionOn for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->HideVertexLabelsOnInteractionOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:HideVertexLabelsOnInteractionOff vtkGraphLayoutViewHideVertexLabelsOnInteractionOffFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewHideVertexLabelsOnInteractionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HideVertexLabelsOnInteractionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HideVertexLabelsOnInteractionOff for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->HideVertexLabelsOnInteractionOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetEdgeVisibility vtkGraphLayoutViewSetEdgeVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetEdgeVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeVisibility (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeVisibility for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEdgeVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetEdgeVisibility vtkGraphLayoutViewGetEdgeVisibilityFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetEdgeVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetEdgeVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeVisibility for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetEdgeVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:EdgeVisibilityOn vtkGraphLayoutViewEdgeVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewEdgeVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeVisibilityOn for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->EdgeVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:EdgeVisibilityOff vtkGraphLayoutViewEdgeVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewEdgeVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeVisibilityOff for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->EdgeVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetEdgeLabelVisibility vtkGraphLayoutViewSetEdgeLabelVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetEdgeLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeLabelVisibility (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeLabelVisibility for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEdgeLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetEdgeLabelVisibility vtkGraphLayoutViewGetEdgeLabelVisibilityFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetEdgeLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetEdgeLabelVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeLabelVisibility for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetEdgeLabelVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:EdgeLabelVisibilityOn vtkGraphLayoutViewEdgeLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewEdgeLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeLabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeLabelVisibilityOn for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->EdgeLabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:EdgeLabelVisibilityOff vtkGraphLayoutViewEdgeLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewEdgeLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeLabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeLabelVisibilityOff for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->EdgeLabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetHideEdgeLabelsOnInteraction vtkGraphLayoutViewSetHideEdgeLabelsOnInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetHideEdgeLabelsOnInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHideEdgeLabelsOnInteraction (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetHideEdgeLabelsOnInteraction for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetHideEdgeLabelsOnInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetHideEdgeLabelsOnInteraction vtkGraphLayoutViewGetHideEdgeLabelsOnInteractionFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetHideEdgeLabelsOnInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetHideEdgeLabelsOnInteraction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHideEdgeLabelsOnInteraction for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetHideEdgeLabelsOnInteraction();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:HideEdgeLabelsOnInteractionOn vtkGraphLayoutViewHideEdgeLabelsOnInteractionOnFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewHideEdgeLabelsOnInteractionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HideEdgeLabelsOnInteractionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HideEdgeLabelsOnInteractionOn for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->HideEdgeLabelsOnInteractionOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:HideEdgeLabelsOnInteractionOff vtkGraphLayoutViewHideEdgeLabelsOnInteractionOffFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewHideEdgeLabelsOnInteractionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HideEdgeLabelsOnInteractionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HideEdgeLabelsOnInteractionOff for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->HideEdgeLabelsOnInteractionOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetVertexColorArrayName vtkGraphLayoutViewSetVertexColorArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetVertexColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertexColorArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexColorArrayName for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetVertexColorArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetVertexColorArrayName vtkGraphLayoutViewGetVertexColorArrayNameFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetVertexColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetVertexColorArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexColorArrayName for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVertexColorArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetColorVertices vtkGraphLayoutViewSetColorVerticesFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetColorVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorVertices (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorVertices for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetColorVertices(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetColorVertices vtkGraphLayoutViewGetColorVerticesFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetColorVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetColorVertices (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorVertices for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetColorVertices();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:ColorVerticesOn vtkGraphLayoutViewColorVerticesOnFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewColorVerticesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorVerticesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorVerticesOn for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->ColorVerticesOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:ColorVerticesOff vtkGraphLayoutViewColorVerticesOffFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewColorVerticesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorVerticesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorVerticesOff for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->ColorVerticesOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetEdgeColorArrayName vtkGraphLayoutViewSetEdgeColorArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetEdgeColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeColorArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeColorArrayName for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgeColorArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetEdgeColorArrayName vtkGraphLayoutViewGetEdgeColorArrayNameFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetEdgeColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetEdgeColorArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeColorArrayName for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetEdgeColorArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetColorEdges vtkGraphLayoutViewSetColorEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetColorEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorEdges (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorEdges for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetColorEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetColorEdges vtkGraphLayoutViewGetColorEdgesFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetColorEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetColorEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorEdges for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetColorEdges();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:ColorEdgesOn vtkGraphLayoutViewColorEdgesOnFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewColorEdgesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorEdgesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorEdgesOn for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->ColorEdgesOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:ColorEdgesOff vtkGraphLayoutViewColorEdgesOffFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewColorEdgesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorEdgesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorEdgesOff for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->ColorEdgesOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetEnabledEdgesArrayName vtkGraphLayoutViewSetEnabledEdgesArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetEnabledEdgesArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnabledEdgesArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabledEdgesArrayName for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEnabledEdgesArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetEnabledEdgesArrayName vtkGraphLayoutViewGetEnabledEdgesArrayNameFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetEnabledEdgesArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetEnabledEdgesArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnabledEdgesArrayName for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetEnabledEdgesArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetEnableEdgesByArray vtkGraphLayoutViewSetEnableEdgesByArrayFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetEnableEdgesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnableEdgesByArray (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnableEdgesByArray for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEnableEdgesByArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetEnableEdgesByArray vtkGraphLayoutViewGetEnableEdgesByArrayFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetEnableEdgesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEnableEdgesByArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnableEdgesByArray for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEnableEdgesByArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetEnabledVerticesArrayName vtkGraphLayoutViewSetEnabledVerticesArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetEnabledVerticesArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnabledVerticesArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabledVerticesArrayName for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEnabledVerticesArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetEnabledVerticesArrayName vtkGraphLayoutViewGetEnabledVerticesArrayNameFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetEnabledVerticesArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetEnabledVerticesArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnabledVerticesArrayName for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetEnabledVerticesArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetEnableVerticesByArray vtkGraphLayoutViewSetEnableVerticesByArrayFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetEnableVerticesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnableVerticesByArray (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnableVerticesByArray for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEnableVerticesByArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetEnableVerticesByArray vtkGraphLayoutViewGetEnableVerticesByArrayFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetEnableVerticesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEnableVerticesByArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnableVerticesByArray for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEnableVerticesByArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetScalingArrayName vtkGraphLayoutViewSetScalingArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetScalingArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalingArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalingArrayName for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetScalingArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetScalingArrayName vtkGraphLayoutViewGetScalingArrayNameFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetScalingArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetScalingArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalingArrayName for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetScalingArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetScaledGlyphs vtkGraphLayoutViewSetScaledGlyphsFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetScaledGlyphsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaledGlyphs (bool arg); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaledGlyphs for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetScaledGlyphs(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetScaledGlyphs vtkGraphLayoutViewGetScaledGlyphsFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetScaledGlyphsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetScaledGlyphs (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaledGlyphs for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetScaledGlyphs();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:ScaledGlyphsOn vtkGraphLayoutViewScaledGlyphsOnFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewScaledGlyphsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaledGlyphsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaledGlyphsOn for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->ScaledGlyphsOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:ScaledGlyphsOff vtkGraphLayoutViewScaledGlyphsOffFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewScaledGlyphsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaledGlyphsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaledGlyphsOff for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->ScaledGlyphsOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetLayoutStrategy__1 vtkGraphLayoutViewSetLayoutStrategy__1Function
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetLayoutStrategy__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategy (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetLayoutStrategy__1 for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLayoutStrategy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetLayoutStrategyToRandom vtkGraphLayoutViewSetLayoutStrategyToRandomFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewSetLayoutStrategyToRandomFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToRandom ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToRandom for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToRandom();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetLayoutStrategyToForceDirected vtkGraphLayoutViewSetLayoutStrategyToForceDirectedFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewSetLayoutStrategyToForceDirectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToForceDirected ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToForceDirected for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToForceDirected();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetLayoutStrategyToSimple2D vtkGraphLayoutViewSetLayoutStrategyToSimple2DFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewSetLayoutStrategyToSimple2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToSimple2D ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToSimple2D for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToSimple2D();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetLayoutStrategyToClustering2D vtkGraphLayoutViewSetLayoutStrategyToClustering2DFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewSetLayoutStrategyToClustering2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToClustering2D ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToClustering2D for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToClustering2D();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetLayoutStrategyToCommunity2D vtkGraphLayoutViewSetLayoutStrategyToCommunity2DFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewSetLayoutStrategyToCommunity2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToCommunity2D ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToCommunity2D for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToCommunity2D();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetLayoutStrategyToFast2D vtkGraphLayoutViewSetLayoutStrategyToFast2DFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewSetLayoutStrategyToFast2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToFast2D ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToFast2D for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToFast2D();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetLayoutStrategyToPassThrough vtkGraphLayoutViewSetLayoutStrategyToPassThroughFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewSetLayoutStrategyToPassThroughFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToPassThrough ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToPassThrough for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToPassThrough();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetLayoutStrategyToCircular vtkGraphLayoutViewSetLayoutStrategyToCircularFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewSetLayoutStrategyToCircularFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToCircular ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToCircular for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToCircular();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetLayoutStrategyToTree vtkGraphLayoutViewSetLayoutStrategyToTreeFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewSetLayoutStrategyToTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToTree ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToTree for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToTree();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetLayoutStrategyToCosmicTree vtkGraphLayoutViewSetLayoutStrategyToCosmicTreeFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewSetLayoutStrategyToCosmicTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToCosmicTree ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToCosmicTree for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToCosmicTree();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetLayoutStrategyToCone vtkGraphLayoutViewSetLayoutStrategyToConeFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewSetLayoutStrategyToConeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToCone ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToCone for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToCone();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetLayoutStrategyToSpanTree vtkGraphLayoutViewSetLayoutStrategyToSpanTreeFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewSetLayoutStrategyToSpanTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToSpanTree ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToSpanTree for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToSpanTree();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetLayoutStrategyName vtkGraphLayoutViewGetLayoutStrategyNameFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetLayoutStrategyNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetLayoutStrategyName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLayoutStrategyName for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetLayoutStrategyName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetLayoutStrategy vtkGraphLayoutViewGetLayoutStrategyFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphLayoutStrategy *GetLayoutStrategy (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLayoutStrategy for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtkGraphLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->GetLayoutStrategy();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetLayoutStrategy__2 vtkGraphLayoutViewSetLayoutStrategy__2Function
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetLayoutStrategy__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategy (vtkGraphLayoutStrategy *s); */
  if (arg.size() < 2) 
    throw Exception("Function SetLayoutStrategy__2 for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtkGraphLayoutStrategy  *temp0;
  temp0 = GetVTKPointer<vtkGraphLayoutStrategy>(arg[1]);
  vtk_pointer->SetLayoutStrategy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetEdgeLayoutStrategy__1 vtkGraphLayoutViewSetEdgeLayoutStrategy__1Function
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetEdgeLayoutStrategy__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeLayoutStrategy (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeLayoutStrategy__1 for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgeLayoutStrategy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetEdgeLayoutStrategyToArcParallel vtkGraphLayoutViewSetEdgeLayoutStrategyToArcParallelFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewSetEdgeLayoutStrategyToArcParallelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeLayoutStrategyToArcParallel ();this SetEdgeLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetEdgeLayoutStrategyToArcParallel for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->SetEdgeLayoutStrategyToArcParallel();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetEdgeLayoutStrategyToPassThrough vtkGraphLayoutViewSetEdgeLayoutStrategyToPassThroughFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewSetEdgeLayoutStrategyToPassThroughFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeLayoutStrategyToPassThrough ();this SetEdgeLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetEdgeLayoutStrategyToPassThrough for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->SetEdgeLayoutStrategyToPassThrough();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetEdgeLayoutStrategyName vtkGraphLayoutViewGetEdgeLayoutStrategyNameFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetEdgeLayoutStrategyNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetEdgeLayoutStrategyName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeLayoutStrategyName for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetEdgeLayoutStrategyName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetEdgeLayoutStrategy vtkGraphLayoutViewGetEdgeLayoutStrategyFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetEdgeLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEdgeLayoutStrategy *GetEdgeLayoutStrategy (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeLayoutStrategy for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtkEdgeLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->GetEdgeLayoutStrategy();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgeLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetEdgeLayoutStrategy__2 vtkGraphLayoutViewSetEdgeLayoutStrategy__2Function
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetEdgeLayoutStrategy__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeLayoutStrategy (vtkEdgeLayoutStrategy *s); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeLayoutStrategy__2 for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtkEdgeLayoutStrategy  *temp0;
  temp0 = GetVTKPointer<vtkEdgeLayoutStrategy>(arg[1]);
  vtk_pointer->SetEdgeLayoutStrategy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:AddIconType vtkGraphLayoutViewAddIconTypeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGraphLayoutViewAddIconTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddIconType (char *type, int index); */
  if (arg.size() < 3) 
    throw Exception("Function AddIconType for class vtkGraphLayoutView requires 3 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->AddIconType(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:ClearIconTypes vtkGraphLayoutViewClearIconTypesFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewClearIconTypesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearIconTypes (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearIconTypes for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->ClearIconTypes();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetIconAlignment vtkGraphLayoutViewSetIconAlignmentFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetIconAlignmentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIconAlignment (int alignment); */
  if (arg.size() < 2) 
    throw Exception("Function SetIconAlignment for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIconAlignment(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetIconVisibility vtkGraphLayoutViewSetIconVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetIconVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIconVisibility (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetIconVisibility for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetIconVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetIconVisibility vtkGraphLayoutViewGetIconVisibilityFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetIconVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetIconVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIconVisibility for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetIconVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:IconVisibilityOn vtkGraphLayoutViewIconVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewIconVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IconVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IconVisibilityOn for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->IconVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:IconVisibilityOff vtkGraphLayoutViewIconVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewIconVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IconVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IconVisibilityOff for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->IconVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetIconArrayName vtkGraphLayoutViewSetIconArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetIconArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIconArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetIconArrayName for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetIconArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetIconArrayName vtkGraphLayoutViewGetIconArrayNameFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetIconArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetIconArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIconArrayName for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetIconArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetGlyphType vtkGraphLayoutViewSetGlyphTypeFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetGlyphTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlyphType (int type); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlyphType for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGlyphType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetGlyphType vtkGraphLayoutViewGetGlyphTypeFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetGlyphTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGlyphType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlyphType for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGlyphType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetVertexLabelFontSize vtkGraphLayoutViewSetVertexLabelFontSizeFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetVertexLabelFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexLabelFontSize (const int size); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexLabelFontSize for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVertexLabelFontSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetVertexLabelFontSize vtkGraphLayoutViewGetVertexLabelFontSizeFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetVertexLabelFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetVertexLabelFontSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexLabelFontSize for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVertexLabelFontSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetEdgeLabelFontSize vtkGraphLayoutViewSetEdgeLabelFontSizeFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetEdgeLabelFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeLabelFontSize (const int size); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeLabelFontSize for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEdgeLabelFontSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetEdgeLabelFontSize vtkGraphLayoutViewGetEdgeLabelFontSizeFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetEdgeLabelFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetEdgeLabelFontSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeLabelFontSize for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEdgeLabelFontSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetEdgeScalarBarVisibility vtkGraphLayoutViewSetEdgeScalarBarVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetEdgeScalarBarVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeScalarBarVisibility (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeScalarBarVisibility for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEdgeScalarBarVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetEdgeScalarBarVisibility vtkGraphLayoutViewGetEdgeScalarBarVisibilityFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetEdgeScalarBarVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetEdgeScalarBarVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeScalarBarVisibility for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetEdgeScalarBarVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetVertexScalarBarVisibility vtkGraphLayoutViewSetVertexScalarBarVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutViewSetVertexScalarBarVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertexScalarBarVisibility (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexScalarBarVisibility for class vtkGraphLayoutView requires 2 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetVertexScalarBarVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:GetVertexScalarBarVisibility vtkGraphLayoutViewGetVertexScalarBarVisibilityFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewGetVertexScalarBarVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetVertexScalarBarVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexScalarBarVisibility for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetVertexScalarBarVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:ZoomToSelection vtkGraphLayoutViewZoomToSelectionFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewZoomToSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ZoomToSelection (); */
  if (arg.size() < 1) 
    throw Exception("Function ZoomToSelection for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->ZoomToSelection();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:IsLayoutComplete vtkGraphLayoutViewIsLayoutCompleteFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutViewIsLayoutCompleteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsLayoutComplete (); */
  if (arg.size() < 1) 
    throw Exception("Function IsLayoutComplete for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsLayoutComplete();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:UpdateLayout vtkGraphLayoutViewUpdateLayoutFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutViewUpdateLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateLayout (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateLayout for class vtkGraphLayoutView requires 1 argument(s)");
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  Array retval;
  vtk_pointer->UpdateLayout();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetLayoutStrategy vtkGraphLayoutViewSetLayoutStrategyFunction
//input varargin
//output varargout
ArrayVector vtkGraphLayoutViewSetLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkGraphLayoutViewSetLayoutStrategy__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkGraphLayoutStrategy"))
    return vtkGraphLayoutViewSetLayoutStrategy__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGraphLayoutViewSetLayoutStrategy");
}

//@@Signature
//sfunction @vtkGraphLayoutView:SetEdgeLayoutStrategy vtkGraphLayoutViewSetEdgeLayoutStrategyFunction
//input varargin
//output varargout
ArrayVector vtkGraphLayoutViewSetEdgeLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkGraphLayoutViewSetEdgeLayoutStrategy__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkEdgeLayoutStrategy"))
    return vtkGraphLayoutViewSetEdgeLayoutStrategy__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGraphLayoutViewSetEdgeLayoutStrategy");
}

//@@Signature
//sfunction @vtkGraphLayoutView:display vtkGraphLayoutViewDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGraphLayoutViewDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGraphLayoutView* vtk_pointer = GetVTKPointer<vtkGraphLayoutView>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGraphLayoutView:delete vtkGraphLayoutViewDeleteFunction
//input varargin
//output none
ArrayVector vtkGraphLayoutViewDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGraphLayoutView
//@@Section VTKViews
//@@Usage
// vtkGraphLayoutView performs graph layout and displays a vtkGraph.
// You may color and label the vertices and edges using fields in the graph.
// If coordinates are already assigned to the graph vertices in your graph,
// set the layout strategy to PassThrough in this view. The default layout
// is Fast2D which is fast but not that good, for better layout set the
// layout to Simple2D or ForceDirected. There are also tree and circle
// layout strategies. :)
// 
// .SEE ALSO
// vtkFast2DLayoutStrategy
// vtkSimple2DLayoutStrategy
// vtkForceDirectedLayoutStrategy
//
// .SECTION Thanks
// Thanks a bunch to the holographic unfolding pattern.
//
//To create an instance of class vtkGraphLayoutView, simply
//invoke its constructor as follows
//@[
//  obj = vtkGraphLayoutView
//@]
//@@Methods
//The class vtkGraphLayoutView has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGraphLayoutView class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGraphLayoutView = obj.NewInstance ()|
// \item @|vtkGraphLayoutView = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetVertexLabelArrayName (string name)| -  The array to use for vertex labeling.  Default is "label".
//// \item @|string = obj.GetVertexLabelArrayName ()| -  The array to use for vertex labeling.  Default is "label".
//// \item @|obj.SetEdgeLabelArrayName (string name)| -  The array to use for edge labeling.  Default is "label".
//// \item @|string = obj.GetEdgeLabelArrayName ()| -  The array to use for edge labeling.  Default is "label".
//// \item @|obj.SetVertexLabelVisibility (bool vis)| -  Whether to show vertex labels.  Default is off.
//// \item @|bool = obj.GetVertexLabelVisibility ()| -  Whether to show vertex labels.  Default is off.
//// \item @|obj.VertexLabelVisibilityOn ()| -  Whether to show vertex labels.  Default is off.
//// \item @|obj.VertexLabelVisibilityOff ()| -  Whether to show vertex labels.  Default is off.
//// \item @|obj.SetHideVertexLabelsOnInteraction (bool vis)| -  Whether to hide vertex labels during mouse interactions.  Default is off.
//// \item @|bool = obj.GetHideVertexLabelsOnInteraction ()| -  Whether to hide vertex labels during mouse interactions.  Default is off.
//// \item @|obj.HideVertexLabelsOnInteractionOn ()| -  Whether to hide vertex labels during mouse interactions.  Default is off.
//// \item @|obj.HideVertexLabelsOnInteractionOff ()| -  Whether to hide vertex labels during mouse interactions.  Default is off.
//// \item @|obj.SetEdgeVisibility (bool vis)| -  Whether to show the edges at all. Default is on
//// \item @|bool = obj.GetEdgeVisibility ()| -  Whether to show the edges at all. Default is on
//// \item @|obj.EdgeVisibilityOn ()| -  Whether to show the edges at all. Default is on
//// \item @|obj.EdgeVisibilityOff ()| -  Whether to show the edges at all. Default is on
//// \item @|obj.SetEdgeLabelVisibility (bool vis)| -  Whether to show edge labels.  Default is off.
//// \item @|bool = obj.GetEdgeLabelVisibility ()| -  Whether to show edge labels.  Default is off.
//// \item @|obj.EdgeLabelVisibilityOn ()| -  Whether to show edge labels.  Default is off.
//// \item @|obj.EdgeLabelVisibilityOff ()| -  Whether to show edge labels.  Default is off.
//// \item @|obj.SetHideEdgeLabelsOnInteraction (bool vis)| -  Whether to hide edge labels during mouse interactions.  Default is off.
//// \item @|bool = obj.GetHideEdgeLabelsOnInteraction ()| -  Whether to hide edge labels during mouse interactions.  Default is off.
//// \item @|obj.HideEdgeLabelsOnInteractionOn ()| -  Whether to hide edge labels during mouse interactions.  Default is off.
//// \item @|obj.HideEdgeLabelsOnInteractionOff ()| -  Whether to hide edge labels during mouse interactions.  Default is off.
//// \item @|obj.SetVertexColorArrayName (string name)| -  The array to use for coloring vertices.  Default is "color".
//// \item @|string = obj.GetVertexColorArrayName ()| -  The array to use for coloring vertices.  Default is "color".
//// \item @|obj.SetColorVertices (bool vis)| -  Whether to color vertices.  Default is off.
//// \item @|bool = obj.GetColorVertices ()| -  Whether to color vertices.  Default is off.
//// \item @|obj.ColorVerticesOn ()| -  Whether to color vertices.  Default is off.
//// \item @|obj.ColorVerticesOff ()| -  Whether to color vertices.  Default is off.
//// \item @|obj.SetEdgeColorArrayName (string name)| -  The array to use for coloring edges.  Default is "color".
//// \item @|string = obj.GetEdgeColorArrayName ()| -  The array to use for coloring edges.  Default is "color".
//// \item @|obj.SetColorEdges (bool vis)| -  Whether to color edges.  Default is off.
//// \item @|bool = obj.GetColorEdges ()| -  Whether to color edges.  Default is off.
//// \item @|obj.ColorEdgesOn ()| -  Whether to color edges.  Default is off.
//// \item @|obj.ColorEdgesOff ()| -  Whether to color edges.  Default is off.
//// \item @|obj.SetEnabledEdgesArrayName (string name)| -  The array to use for coloring edges.
//// \item @|string = obj.GetEnabledEdgesArrayName ()| -  The array to use for coloring edges.
//// \item @|obj.SetEnableEdgesByArray (bool vis)| -  Whether to color edges.  Default is off.
//// \item @|int = obj.GetEnableEdgesByArray ()| -  Whether to color edges.  Default is off.
//// \item @|obj.SetEnabledVerticesArrayName (string name)| -  The array to use for coloring vertices. 
//// \item @|string = obj.GetEnabledVerticesArrayName ()| -  The array to use for coloring vertices. 
//// \item @|obj.SetEnableVerticesByArray (bool vis)| -  Whether to color vertices.  Default is off.
//// \item @|int = obj.GetEnableVerticesByArray ()| -  Whether to color vertices.  Default is off.
//// \item @|obj.SetScalingArrayName (string name)| -  The array used for scaling (if ScaledGlyphs is ON)
//// \item @|string = obj.GetScalingArrayName ()| -  The array used for scaling (if ScaledGlyphs is ON)
//// \item @|obj.SetScaledGlyphs (bool arg)| -  Whether to use scaled glyphs or not.  Default is off.
//// \item @|bool = obj.GetScaledGlyphs ()| -  Whether to use scaled glyphs or not.  Default is off.
//// \item @|obj.ScaledGlyphsOn ()| -  Whether to use scaled glyphs or not.  Default is off.
//// \item @|obj.ScaledGlyphsOff ()| -  Whether to use scaled glyphs or not.  Default is off.
//// \item @|obj.SetLayoutStrategy (string name)| -  The layout strategy to use when performing the graph layout.
// The possible strings are:
//  - "Random"         Randomly places vertices in a box.
//  - "Force Directed" A layout in 3D or 2D simulating forces on edges.
//  - "Simple 2D"      A simple 2D force directed layout.
//  - "Clustering 2D"  A 2D force directed layout that's just like
//                     simple 2D but uses some techniques to cluster better.
//  - "Community 2D"   A linear-time 2D layout that's just like
//                    Fast 2D but looks for and uses a community 
//                    array to 'accentuate' clusters.
//  - "Fast 2D"       A linear-time 2D layout.
//  - "Pass Through"  Use locations assigned to the input.
//  - "Circular"      Places vertices uniformly on a circle.
//  - "Cone"          Cone tree layout.
//  - "Span Tree"     Span Tree Layout.
// Default is "Simple 2D".
//// \item @|obj.SetLayoutStrategyToRandom ()| -  The layout strategy to use when performing the graph layout.
// The possible strings are:
//  - "Random"         Randomly places vertices in a box.
//  - "Force Directed" A layout in 3D or 2D simulating forces on edges.
//  - "Simple 2D"      A simple 2D force directed layout.
//  - "Clustering 2D"  A 2D force directed layout that's just like
//                     simple 2D but uses some techniques to cluster better.
//  - "Community 2D"   A linear-time 2D layout that's just like
//                    Fast 2D but looks for and uses a community 
//                    array to 'accentuate' clusters.
//  - "Fast 2D"       A linear-time 2D layout.
//  - "Pass Through"  Use locations assigned to the input.
//  - "Circular"      Places vertices uniformly on a circle.
//  - "Cone"          Cone tree layout.
//  - "Span Tree"     Span Tree Layout.
// Default is "Simple 2D".
//// \item @|obj.SetLayoutStrategyToForceDirected ()| -  The layout strategy to use when performing the graph layout.
// The possible strings are:
//  - "Random"         Randomly places vertices in a box.
//  - "Force Directed" A layout in 3D or 2D simulating forces on edges.
//  - "Simple 2D"      A simple 2D force directed layout.
//  - "Clustering 2D"  A 2D force directed layout that's just like
//                     simple 2D but uses some techniques to cluster better.
//  - "Community 2D"   A linear-time 2D layout that's just like
//                    Fast 2D but looks for and uses a community 
//                    array to 'accentuate' clusters.
//  - "Fast 2D"       A linear-time 2D layout.
//  - "Pass Through"  Use locations assigned to the input.
//  - "Circular"      Places vertices uniformly on a circle.
//  - "Cone"          Cone tree layout.
//  - "Span Tree"     Span Tree Layout.
// Default is "Simple 2D".
//// \item @|obj.SetLayoutStrategyToSimple2D ()| -  The layout strategy to use when performing the graph layout.
// The possible strings are:
//  - "Random"         Randomly places vertices in a box.
//  - "Force Directed" A layout in 3D or 2D simulating forces on edges.
//  - "Simple 2D"      A simple 2D force directed layout.
//  - "Clustering 2D"  A 2D force directed layout that's just like
//                     simple 2D but uses some techniques to cluster better.
//  - "Community 2D"   A linear-time 2D layout that's just like
//                    Fast 2D but looks for and uses a community 
//                    array to 'accentuate' clusters.
//  - "Fast 2D"       A linear-time 2D layout.
//  - "Pass Through"  Use locations assigned to the input.
//  - "Circular"      Places vertices uniformly on a circle.
//  - "Cone"          Cone tree layout.
//  - "Span Tree"     Span Tree Layout.
// Default is "Simple 2D".
//// \item @|obj.SetLayoutStrategyToClustering2D ()| -  The layout strategy to use when performing the graph layout.
// The possible strings are:
//  - "Random"         Randomly places vertices in a box.
//  - "Force Directed" A layout in 3D or 2D simulating forces on edges.
//  - "Simple 2D"      A simple 2D force directed layout.
//  - "Clustering 2D"  A 2D force directed layout that's just like
//                     simple 2D but uses some techniques to cluster better.
//  - "Community 2D"   A linear-time 2D layout that's just like
//                    Fast 2D but looks for and uses a community 
//                    array to 'accentuate' clusters.
//  - "Fast 2D"       A linear-time 2D layout.
//  - "Pass Through"  Use locations assigned to the input.
//  - "Circular"      Places vertices uniformly on a circle.
//  - "Cone"          Cone tree layout.
//  - "Span Tree"     Span Tree Layout.
// Default is "Simple 2D".
//// \item @|obj.SetLayoutStrategyToCommunity2D ()| -  The layout strategy to use when performing the graph layout.
// The possible strings are:
//  - "Random"         Randomly places vertices in a box.
//  - "Force Directed" A layout in 3D or 2D simulating forces on edges.
//  - "Simple 2D"      A simple 2D force directed layout.
//  - "Clustering 2D"  A 2D force directed layout that's just like
//                     simple 2D but uses some techniques to cluster better.
//  - "Community 2D"   A linear-time 2D layout that's just like
//                    Fast 2D but looks for and uses a community 
//                    array to 'accentuate' clusters.
//  - "Fast 2D"       A linear-time 2D layout.
//  - "Pass Through"  Use locations assigned to the input.
//  - "Circular"      Places vertices uniformly on a circle.
//  - "Cone"          Cone tree layout.
//  - "Span Tree"     Span Tree Layout.
// Default is "Simple 2D".
//// \item @|obj.SetLayoutStrategyToFast2D ()| -  The layout strategy to use when performing the graph layout.
// The possible strings are:
//  - "Random"         Randomly places vertices in a box.
//  - "Force Directed" A layout in 3D or 2D simulating forces on edges.
//  - "Simple 2D"      A simple 2D force directed layout.
//  - "Clustering 2D"  A 2D force directed layout that's just like
//                     simple 2D but uses some techniques to cluster better.
//  - "Community 2D"   A linear-time 2D layout that's just like
//                    Fast 2D but looks for and uses a community 
//                    array to 'accentuate' clusters.
//  - "Fast 2D"       A linear-time 2D layout.
//  - "Pass Through"  Use locations assigned to the input.
//  - "Circular"      Places vertices uniformly on a circle.
//  - "Cone"          Cone tree layout.
//  - "Span Tree"     Span Tree Layout.
// Default is "Simple 2D".
//// \item @|obj.SetLayoutStrategyToPassThrough ()| -  The layout strategy to use when performing the graph layout.
// The possible strings are:
//  - "Random"         Randomly places vertices in a box.
//  - "Force Directed" A layout in 3D or 2D simulating forces on edges.
//  - "Simple 2D"      A simple 2D force directed layout.
//  - "Clustering 2D"  A 2D force directed layout that's just like
//                     simple 2D but uses some techniques to cluster better.
//  - "Community 2D"   A linear-time 2D layout that's just like
//                    Fast 2D but looks for and uses a community 
//                    array to 'accentuate' clusters.
//  - "Fast 2D"       A linear-time 2D layout.
//  - "Pass Through"  Use locations assigned to the input.
//  - "Circular"      Places vertices uniformly on a circle.
//  - "Cone"          Cone tree layout.
//  - "Span Tree"     Span Tree Layout.
// Default is "Simple 2D".
//// \item @|obj.SetLayoutStrategyToCircular ()| -  The layout strategy to use when performing the graph layout.
// The possible strings are:
//  - "Random"         Randomly places vertices in a box.
//  - "Force Directed" A layout in 3D or 2D simulating forces on edges.
//  - "Simple 2D"      A simple 2D force directed layout.
//  - "Clustering 2D"  A 2D force directed layout that's just like
//                     simple 2D but uses some techniques to cluster better.
//  - "Community 2D"   A linear-time 2D layout that's just like
//                    Fast 2D but looks for and uses a community 
//                    array to 'accentuate' clusters.
//  - "Fast 2D"       A linear-time 2D layout.
//  - "Pass Through"  Use locations assigned to the input.
//  - "Circular"      Places vertices uniformly on a circle.
//  - "Cone"          Cone tree layout.
//  - "Span Tree"     Span Tree Layout.
// Default is "Simple 2D".
//// \item @|obj.SetLayoutStrategyToTree ()| -  The layout strategy to use when performing the graph layout.
// The possible strings are:
//  - "Random"         Randomly places vertices in a box.
//  - "Force Directed" A layout in 3D or 2D simulating forces on edges.
//  - "Simple 2D"      A simple 2D force directed layout.
//  - "Clustering 2D"  A 2D force directed layout that's just like
//                     simple 2D but uses some techniques to cluster better.
//  - "Community 2D"   A linear-time 2D layout that's just like
//                    Fast 2D but looks for and uses a community 
//                    array to 'accentuate' clusters.
//  - "Fast 2D"       A linear-time 2D layout.
//  - "Pass Through"  Use locations assigned to the input.
//  - "Circular"      Places vertices uniformly on a circle.
//  - "Cone"          Cone tree layout.
//  - "Span Tree"     Span Tree Layout.
// Default is "Simple 2D".
//// \item @|obj.SetLayoutStrategyToCosmicTree ()| -  The layout strategy to use when performing the graph layout.
// The possible strings are:
//  - "Random"         Randomly places vertices in a box.
//  - "Force Directed" A layout in 3D or 2D simulating forces on edges.
//  - "Simple 2D"      A simple 2D force directed layout.
//  - "Clustering 2D"  A 2D force directed layout that's just like
//                     simple 2D but uses some techniques to cluster better.
//  - "Community 2D"   A linear-time 2D layout that's just like
//                    Fast 2D but looks for and uses a community 
//                    array to 'accentuate' clusters.
//  - "Fast 2D"       A linear-time 2D layout.
//  - "Pass Through"  Use locations assigned to the input.
//  - "Circular"      Places vertices uniformly on a circle.
//  - "Cone"          Cone tree layout.
//  - "Span Tree"     Span Tree Layout.
// Default is "Simple 2D".
//// \item @|obj.SetLayoutStrategyToCone ()| -  The layout strategy to use when performing the graph layout.
// The possible strings are:
//  - "Random"         Randomly places vertices in a box.
//  - "Force Directed" A layout in 3D or 2D simulating forces on edges.
//  - "Simple 2D"      A simple 2D force directed layout.
//  - "Clustering 2D"  A 2D force directed layout that's just like
//                     simple 2D but uses some techniques to cluster better.
//  - "Community 2D"   A linear-time 2D layout that's just like
//                    Fast 2D but looks for and uses a community 
//                    array to 'accentuate' clusters.
//  - "Fast 2D"       A linear-time 2D layout.
//  - "Pass Through"  Use locations assigned to the input.
//  - "Circular"      Places vertices uniformly on a circle.
//  - "Cone"          Cone tree layout.
//  - "Span Tree"     Span Tree Layout.
// Default is "Simple 2D".
//// \item @|obj.SetLayoutStrategyToSpanTree ()| -  The layout strategy to use when performing the graph layout.
// The possible strings are:
//  - "Random"         Randomly places vertices in a box.
//  - "Force Directed" A layout in 3D or 2D simulating forces on edges.
//  - "Simple 2D"      A simple 2D force directed layout.
//  - "Clustering 2D"  A 2D force directed layout that's just like
//                     simple 2D but uses some techniques to cluster better.
//  - "Community 2D"   A linear-time 2D layout that's just like
//                    Fast 2D but looks for and uses a community 
//                    array to 'accentuate' clusters.
//  - "Fast 2D"       A linear-time 2D layout.
//  - "Pass Through"  Use locations assigned to the input.
//  - "Circular"      Places vertices uniformly on a circle.
//  - "Cone"          Cone tree layout.
//  - "Span Tree"     Span Tree Layout.
// Default is "Simple 2D".
//// \item @|string = obj.GetLayoutStrategyName ()| -  The layout strategy to use when performing the graph layout.
// The possible strings are:
//  - "Random"         Randomly places vertices in a box.
//  - "Force Directed" A layout in 3D or 2D simulating forces on edges.
//  - "Simple 2D"      A simple 2D force directed layout.
//  - "Clustering 2D"  A 2D force directed layout that's just like
//                     simple 2D but uses some techniques to cluster better.
//  - "Community 2D"   A linear-time 2D layout that's just like
//                    Fast 2D but looks for and uses a community 
//                    array to 'accentuate' clusters.
//  - "Fast 2D"       A linear-time 2D layout.
//  - "Pass Through"  Use locations assigned to the input.
//  - "Circular"      Places vertices uniformly on a circle.
//  - "Cone"          Cone tree layout.
//  - "Span Tree"     Span Tree Layout.
// Default is "Simple 2D".
//// \item @|vtkGraphLayoutStrategy = obj.GetLayoutStrategy ()| -  The layout strategy to use when performing the graph layout.
// This signature allows an application to create a layout
// object directly and simply set the pointer through this method.
//// \item @|obj.SetLayoutStrategy (vtkGraphLayoutStrategy s)| -  The layout strategy to use when performing the graph layout.
// This signature allows an application to create a layout
// object directly and simply set the pointer through this method.
//// \item @|obj.SetEdgeLayoutStrategy (string name)| -  The layout strategy to use when performing the edge layout.
// The possible strings are:
//   "Arc Parallel"   - Arc parallel edges and self loops.
//   "Pass Through"   - Use edge routes assigned to the input.
// Default is "Arc Parallel".
//// \item @|obj.SetEdgeLayoutStrategyToArcParallel ()| -  The layout strategy to use when performing the edge layout.
// The possible strings are:
//   "Arc Parallel"   - Arc parallel edges and self loops.
//   "Pass Through"   - Use edge routes assigned to the input.
// Default is "Arc Parallel".
//// \item @|obj.SetEdgeLayoutStrategyToPassThrough ()| -  The layout strategy to use when performing the edge layout.
// The possible strings are:
//   "Arc Parallel"   - Arc parallel edges and self loops.
//   "Pass Through"   - Use edge routes assigned to the input.
// Default is "Arc Parallel".
//// \item @|string = obj.GetEdgeLayoutStrategyName ()| -  The layout strategy to use when performing the edge layout.
// The possible strings are:
//   "Arc Parallel"   - Arc parallel edges and self loops.
//   "Pass Through"   - Use edge routes assigned to the input.
// Default is "Arc Parallel".
//// \item @|vtkEdgeLayoutStrategy = obj.GetEdgeLayoutStrategy ()| -  The layout strategy to use when performing the edge layout.
// This signature allows an application to create a layout
// object directly and simply set the pointer through this method.
//// \item @|obj.SetEdgeLayoutStrategy (vtkEdgeLayoutStrategy s)| -  The layout strategy to use when performing the edge layout.
// This signature allows an application to create a layout
// object directly and simply set the pointer through this method.
//// \item @|obj.AddIconType (string type, int index)| -  Associate the icon at index "index" in the vtkTexture to all vertices
// containing "type" as a value in the vertex attribute array specified by
// IconArrayName.
//// \item @|obj.ClearIconTypes ()| -  Clear all icon mappings.
//// \item @|obj.SetIconAlignment (int alignment)| -  Specify where the icons should be placed in relation to the vertex.
// See vtkIconGlyphFilter.h for possible values.
//// \item @|obj.SetIconVisibility (bool b)| -  Whether icons are visible (default off).
//// \item @|bool = obj.GetIconVisibility ()| -  Whether icons are visible (default off).
//// \item @|obj.IconVisibilityOn ()| -  Whether icons are visible (default off).
//// \item @|obj.IconVisibilityOff ()| -  Whether icons are visible (default off).
//// \item @|obj.SetIconArrayName (string name)| -  The array used for assigning icons
//// \item @|string = obj.GetIconArrayName ()| -  The array used for assigning icons
//// \item @|obj.SetGlyphType (int type)| -  The type of glyph to use for the vertices
//// \item @|int = obj.GetGlyphType ()| -  The type of glyph to use for the vertices
//// \item @|obj.SetVertexLabelFontSize (int size)| -  The size of the font used for vertex labeling
//// \item @|int = obj.GetVertexLabelFontSize ()| -  The size of the font used for vertex labeling
//// \item @|obj.SetEdgeLabelFontSize (int size)| -  The size of the font used for edge labeling
//// \item @|int = obj.GetEdgeLabelFontSize ()| -  The size of the font used for edge labeling
//// \item @|obj.SetEdgeScalarBarVisibility (bool vis)| -  Whether the scalar bar for edges is visible.  Default is off.
//// \item @|bool = obj.GetEdgeScalarBarVisibility ()| -  Whether the scalar bar for edges is visible.  Default is off.
//// \item @|obj.SetVertexScalarBarVisibility (bool vis)| -  Whether the scalar bar for vertices is visible.  Default is off.
//// \item @|bool = obj.GetVertexScalarBarVisibility ()| -  Whether the scalar bar for vertices is visible.  Default is off.
//// \item @|obj.ZoomToSelection ()| -  Reset the camera based on the bounds of the selected region.
//// \item @|int = obj.IsLayoutComplete ()| -  Is the graph layout complete? This method is useful
// for when the strategy is iterative and the application
// wants to show the iterative progress of the graph layout
// See Also: UpdateLayout();
//// \item @|obj.UpdateLayout ()| -  This method is useful for when the strategy is iterative 
// and the application wants to show the iterative progress 
// of the graph layout. The application would have something like
// while(!IsLayoutComplete())
//   {
//   UpdateLayout();
//   }
// See Also: IsLayoutComplete();
////\end{itemize}
//!
