#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHierarchicalGraphPipeline object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHierarchicalGraphPipeline.h"

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:vtkHierarchicalGraphPipeline vtkHierarchicalGraphPipelineConstructorFunction
//input a
//output p
//@@Parents vtkHierarchicalGraphPipeline vtkObject 
ArrayVector vtkHierarchicalGraphPipelineConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHierarchicalGraphPipeline::New(),"vtkHierarchicalGraphPipeline",eval);
  } else if (arg[0].className() == "vtkHierarchicalGraphPipeline") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHierarchicalGraphPipeline"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHierarchicalGraphPipeline");
    vtkHierarchicalGraphPipeline*q = reinterpret_cast<vtkHierarchicalGraphPipeline*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHierarchicalGraphPipeline");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:GetClassName vtkHierarchicalGraphPipelineGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphPipelineGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:IsA vtkHierarchicalGraphPipelineIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalGraphPipelineIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHierarchicalGraphPipeline requires 2 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:NewInstance vtkHierarchicalGraphPipelineNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphPipelineNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalGraphPipeline *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  vtkHierarchicalGraphPipeline  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalGraphPipeline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:SafeDownCast vtkHierarchicalGraphPipelineSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalGraphPipelineSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalGraphPipeline *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHierarchicalGraphPipeline requires 2 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHierarchicalGraphPipeline  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalGraphPipeline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:GetActor vtkHierarchicalGraphPipelineGetActorFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphPipelineGetActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor *GetActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActor for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  vtkActor  *temp20;
  temp20 = (vtk_pointer)->GetActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:GetLabelActor vtkHierarchicalGraphPipelineGetLabelActorFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphPipelineGetLabelActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor2D *GetLabelActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelActor for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  vtkActor2D  *temp20;
  temp20 = (vtk_pointer)->GetLabelActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:SetBundlingStrength vtkHierarchicalGraphPipelineSetBundlingStrengthFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphPipelineSetBundlingStrengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetBundlingStrength (double strength); */
  if (arg.size() < 2) 
    throw Exception("Function SetBundlingStrength for class vtkHierarchicalGraphPipeline requires 2 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetBundlingStrength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:GetBundlingStrength vtkHierarchicalGraphPipelineGetBundlingStrengthFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphPipelineGetBundlingStrengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetBundlingStrength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBundlingStrength for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBundlingStrength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:SetLabelArrayName vtkHierarchicalGraphPipelineSetLabelArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphPipelineSetLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelArrayName for class vtkHierarchicalGraphPipeline requires 2 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLabelArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:GetLabelArrayName vtkHierarchicalGraphPipelineGetLabelArrayNameFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphPipelineGetLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetLabelArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelArrayName for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetLabelArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:SetLabelVisibility vtkHierarchicalGraphPipelineSetLabelVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphPipelineSetLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelVisibility (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelVisibility for class vtkHierarchicalGraphPipeline requires 2 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:GetLabelVisibility vtkHierarchicalGraphPipelineGetLabelVisibilityFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphPipelineGetLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetLabelVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelVisibility for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetLabelVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:LabelVisibilityOn vtkHierarchicalGraphPipelineLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkHierarchicalGraphPipelineLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LabelVisibilityOn for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  vtk_pointer->LabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:LabelVisibilityOff vtkHierarchicalGraphPipelineLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkHierarchicalGraphPipelineLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LabelVisibilityOff for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  vtk_pointer->LabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:SetLabelTextProperty vtkHierarchicalGraphPipelineSetLabelTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphPipelineSetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelTextProperty (vtkTextProperty *prop); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelTextProperty for class vtkHierarchicalGraphPipeline requires 2 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetLabelTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:GetLabelTextProperty vtkHierarchicalGraphPipelineGetLabelTextPropertyFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphPipelineGetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkTextProperty *GetLabelTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelTextProperty for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetLabelTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:SetColorArrayName vtkHierarchicalGraphPipelineSetColorArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphPipelineSetColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetColorArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorArrayName for class vtkHierarchicalGraphPipeline requires 2 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetColorArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:GetColorArrayName vtkHierarchicalGraphPipelineGetColorArrayNameFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphPipelineGetColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetColorArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorArrayName for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetColorArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:SetColorEdgesByArray vtkHierarchicalGraphPipelineSetColorEdgesByArrayFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphPipelineSetColorEdgesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetColorEdgesByArray (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorEdgesByArray for class vtkHierarchicalGraphPipeline requires 2 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetColorEdgesByArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:GetColorEdgesByArray vtkHierarchicalGraphPipelineGetColorEdgesByArrayFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphPipelineGetColorEdgesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetColorEdgesByArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorEdgesByArray for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetColorEdgesByArray();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:ColorEdgesByArrayOn vtkHierarchicalGraphPipelineColorEdgesByArrayOnFunction
//input a0 
//output none
ArrayVector vtkHierarchicalGraphPipelineColorEdgesByArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorEdgesByArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorEdgesByArrayOn for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  vtk_pointer->ColorEdgesByArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:ColorEdgesByArrayOff vtkHierarchicalGraphPipelineColorEdgesByArrayOffFunction
//input a0 
//output none
ArrayVector vtkHierarchicalGraphPipelineColorEdgesByArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorEdgesByArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorEdgesByArrayOff for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  vtk_pointer->ColorEdgesByArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:SetVisibility vtkHierarchicalGraphPipelineSetVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphPipelineSetVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVisibility (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetVisibility for class vtkHierarchicalGraphPipeline requires 2 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:GetVisibility vtkHierarchicalGraphPipelineGetVisibilityFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphPipelineGetVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVisibility for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:VisibilityOn vtkHierarchicalGraphPipelineVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkHierarchicalGraphPipelineVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function VisibilityOn for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  vtk_pointer->VisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:VisibilityOff vtkHierarchicalGraphPipelineVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkHierarchicalGraphPipelineVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function VisibilityOff for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  vtk_pointer->VisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:ConvertSelection vtkHierarchicalGraphPipelineConvertSelectionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkHierarchicalGraphPipelineConvertSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkSelection *ConvertSelection (vtkDataRepresentation *rep, vtkSelection *sel); */
  if (arg.size() < 3) 
    throw Exception("Function ConvertSelection for class vtkHierarchicalGraphPipeline requires 3 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  vtkDataRepresentation  *temp0;
  vtkSelection  *temp1;
  vtkSelection  *temp20;
  temp0 = GetVTKPointer<vtkDataRepresentation>(arg[1]);
  temp1 = GetVTKPointer<vtkSelection>(arg[2]);
  temp20 = (vtk_pointer)->ConvertSelection(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:PrepareInputConnections vtkHierarchicalGraphPipelinePrepareInputConnectionsFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkHierarchicalGraphPipelinePrepareInputConnectionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PrepareInputConnections (vtkAlgorithmOutput *graphConn, vtkAlgorithmOutput *treeConn, vtkAlgorithmOutput *annConn); */
  if (arg.size() < 4) 
    throw Exception("Function PrepareInputConnections for class vtkHierarchicalGraphPipeline requires 4 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  vtkAlgorithmOutput  *temp1;
  vtkAlgorithmOutput  *temp2;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  temp1 = GetVTKPointer<vtkAlgorithmOutput>(arg[2]);
  temp2 = GetVTKPointer<vtkAlgorithmOutput>(arg[3]);
  vtk_pointer->PrepareInputConnections(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:ApplyViewTheme vtkHierarchicalGraphPipelineApplyViewThemeFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphPipelineApplyViewThemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ApplyViewTheme (vtkViewTheme *theme); */
  if (arg.size() < 2) 
    throw Exception("Function ApplyViewTheme for class vtkHierarchicalGraphPipeline requires 2 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  vtkViewTheme  *temp0;
  temp0 = GetVTKPointer<vtkViewTheme>(arg[1]);
  vtk_pointer->ApplyViewTheme(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:SetHoverArrayName vtkHierarchicalGraphPipelineSetHoverArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphPipelineSetHoverArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHoverArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetHoverArrayName for class vtkHierarchicalGraphPipeline requires 2 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetHoverArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:GetHoverArrayName vtkHierarchicalGraphPipelineGetHoverArrayNameFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphPipelineGetHoverArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetHoverArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHoverArrayName for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetHoverArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:SetSplineType vtkHierarchicalGraphPipelineSetSplineTypeFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphPipelineSetSplineTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSplineType (int type); */
  if (arg.size() < 2) 
    throw Exception("Function SetSplineType for class vtkHierarchicalGraphPipeline requires 2 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSplineType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:GetSplineType vtkHierarchicalGraphPipelineGetSplineTypeFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphPipelineGetSplineTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetSplineType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSplineType for class vtkHierarchicalGraphPipeline requires 1 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSplineType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:RegisterProgress vtkHierarchicalGraphPipelineRegisterProgressFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphPipelineRegisterProgressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RegisterProgress (vtkRenderView *view); */
  if (arg.size() < 2) 
    throw Exception("Function RegisterProgress for class vtkHierarchicalGraphPipeline requires 2 argument(s)");
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  Array retval;
  vtkRenderView  *temp0;
  temp0 = GetVTKPointer<vtkRenderView>(arg[1]);
  vtk_pointer->RegisterProgress(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphPipeline:display vtkHierarchicalGraphPipelineDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHierarchicalGraphPipelineDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHierarchicalGraphPipeline* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphPipeline>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHierarchicalGraphPipeline:delete vtkHierarchicalGraphPipelineDeleteFunction
//input varargin
//output none
ArrayVector vtkHierarchicalGraphPipelineDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHierarchicalGraphPipeline
//@@Section VTKViews
//@@Usage
// vtkHierarchicalGraphPipeline renders bundled edges that are meant to be
// viewed as an overlay on a tree. This class is not for general use, but
// is used in the internals of vtkRenderedHierarchyRepresentation and
// vtkRenderedTreeAreaRepresentation.
//
//To create an instance of class vtkHierarchicalGraphPipeline, simply
//invoke its constructor as follows
//@[
//  obj = vtkHierarchicalGraphPipeline
//@]
//@@Methods
//The class vtkHierarchicalGraphPipeline has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHierarchicalGraphPipeline class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHierarchicalGraphPipeline = obj.NewInstance ()|
// \item @|vtkHierarchicalGraphPipeline = obj.SafeDownCast (vtkObject o)|
// \item @|vtkActor = obj.GetActor ()| -  The actor associated with the hierarchical graph.
//// \item @|vtkActor2D = obj.GetLabelActor ()| -  The actor associated with the hierarchical graph.
//// \item @|obj.SetBundlingStrength (double strength)| -  The bundling strength for the bundled edges.
//// \item @|double = obj.GetBundlingStrength ()| -  The bundling strength for the bundled edges.
//// \item @|obj.SetLabelArrayName (string name)| -  The edge label array name.
//// \item @|string = obj.GetLabelArrayName ()| -  The edge label array name.
//// \item @|obj.SetLabelVisibility (bool vis)| -  The edge label visibility.
//// \item @|bool = obj.GetLabelVisibility ()| -  The edge label visibility.
//// \item @|obj.LabelVisibilityOn ()| -  The edge label visibility.
//// \item @|obj.LabelVisibilityOff ()| -  The edge label visibility.
//// \item @|obj.SetLabelTextProperty (vtkTextProperty prop)| -  The edge label text property.
//// \item @|vtkTextProperty = obj.GetLabelTextProperty ()| -  The edge label text property.
//// \item @|obj.SetColorArrayName (string name)| -  The edge color array.
//// \item @|string = obj.GetColorArrayName ()| -  The edge color array.
//// \item @|obj.SetColorEdgesByArray (bool vis)| -  Whether to color the edges by an array.
//// \item @|bool = obj.GetColorEdgesByArray ()| -  Whether to color the edges by an array.
//// \item @|obj.ColorEdgesByArrayOn ()| -  Whether to color the edges by an array.
//// \item @|obj.ColorEdgesByArrayOff ()| -  Whether to color the edges by an array.
//// \item @|obj.SetVisibility (bool vis)| -  The visibility of this graph.
//// \item @|bool = obj.GetVisibility ()| -  The visibility of this graph.
//// \item @|obj.VisibilityOn ()| -  The visibility of this graph.
//// \item @|obj.VisibilityOff ()| -  The visibility of this graph.
//// \item @|vtkSelection = obj.ConvertSelection (vtkDataRepresentation rep, vtkSelection sel)| -  Returns a new selection relevant to this graph based on an input
// selection and the view that this graph is contained in.
//// \item @|obj.PrepareInputConnections (vtkAlgorithmOutput graphConn, vtkAlgorithmOutput treeConn, vtkAlgorithmOutput annConn)| -  Sets the input connections for this graph.
// graphConn is the input graph connection.
// treeConn is the input tree connection.
// annConn is the annotation link connection.
//// \item @|obj.ApplyViewTheme (vtkViewTheme theme)| -  Applies the view theme to this graph.
//// \item @|obj.SetHoverArrayName (string )| -  The array to use while hovering over an edge.
//// \item @|string = obj.GetHoverArrayName ()| -  The array to use while hovering over an edge.
//// \item @|obj.SetSplineType (int type)| -  The spline mode to use in vtkSplineGraphEdges.
// vtkSplineGraphEdges::CUSTOM uses a vtkCardinalSpline.
// vtkSplineGraphEdges::BSPLINE uses a b-spline.
// The default is CUSTOM.
//// \item @|int = obj.GetSplineType ()| -  The spline mode to use in vtkSplineGraphEdges.
// vtkSplineGraphEdges::CUSTOM uses a vtkCardinalSpline.
// vtkSplineGraphEdges::BSPLINE uses a b-spline.
// The default is CUSTOM.
//// \item @|obj.RegisterProgress (vtkRenderView view)| -  Register progress with a view.
////\end{itemize}
//!
