#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHierarchicalGraphView object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHierarchicalGraphView.h"

//@@Signature
//sfunction @vtkHierarchicalGraphView:vtkHierarchicalGraphView vtkHierarchicalGraphViewConstructorFunction
//input a
//output p
//@@Parents vtkHierarchicalGraphView vtkGraphLayoutView 
ArrayVector vtkHierarchicalGraphViewConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHierarchicalGraphView::New(),"vtkHierarchicalGraphView",eval);
  } else if (arg[0].className() == "vtkHierarchicalGraphView") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHierarchicalGraphView"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHierarchicalGraphView");
    vtkHierarchicalGraphView*q = reinterpret_cast<vtkHierarchicalGraphView*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHierarchicalGraphView");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHierarchicalGraphView:GetClassName vtkHierarchicalGraphViewGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphViewGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHierarchicalGraphView requires 1 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:IsA vtkHierarchicalGraphViewIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalGraphViewIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHierarchicalGraphView requires 2 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:NewInstance vtkHierarchicalGraphViewNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphViewNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalGraphView *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHierarchicalGraphView requires 1 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  vtkHierarchicalGraphView  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalGraphView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:SafeDownCast vtkHierarchicalGraphViewSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalGraphViewSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHierarchicalGraphView *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHierarchicalGraphView requires 2 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHierarchicalGraphView  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHierarchicalGraphView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:SetHierarchyFromInputConnection vtkHierarchicalGraphViewSetHierarchyFromInputConnectionFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalGraphViewSetHierarchyFromInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataRepresentation *SetHierarchyFromInputConnection (vtkAlgorithmOutput *conn); */
  if (arg.size() < 2) 
    throw Exception("Function SetHierarchyFromInputConnection for class vtkHierarchicalGraphView requires 2 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  temp20 = (vtk_pointer)->SetHierarchyFromInputConnection(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:SetHierarchyFromInput vtkHierarchicalGraphViewSetHierarchyFromInputFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalGraphViewSetHierarchyFromInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataRepresentation *SetHierarchyFromInput (vtkDataObject *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetHierarchyFromInput for class vtkHierarchicalGraphView requires 2 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  temp20 = (vtk_pointer)->SetHierarchyFromInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:SetGraphFromInputConnection vtkHierarchicalGraphViewSetGraphFromInputConnectionFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalGraphViewSetGraphFromInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataRepresentation *SetGraphFromInputConnection (vtkAlgorithmOutput *conn); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphFromInputConnection for class vtkHierarchicalGraphView requires 2 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  temp20 = (vtk_pointer)->SetGraphFromInputConnection(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:SetGraphFromInput vtkHierarchicalGraphViewSetGraphFromInputFunction
//input a0 a1 
//output y
ArrayVector vtkHierarchicalGraphViewSetGraphFromInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataRepresentation *SetGraphFromInput (vtkDataObject *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphFromInput for class vtkHierarchicalGraphView requires 2 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  temp20 = (vtk_pointer)->SetGraphFromInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:SetGraphEdgeLabelArrayName vtkHierarchicalGraphViewSetGraphEdgeLabelArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphViewSetGraphEdgeLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeLabelArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphEdgeLabelArrayName for class vtkHierarchicalGraphView requires 2 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetGraphEdgeLabelArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:GetGraphEdgeLabelArrayName vtkHierarchicalGraphViewGetGraphEdgeLabelArrayNameFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphViewGetGraphEdgeLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetGraphEdgeLabelArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphEdgeLabelArrayName for class vtkHierarchicalGraphView requires 1 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGraphEdgeLabelArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:SetGraphEdgeLabelVisibility vtkHierarchicalGraphViewSetGraphEdgeLabelVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphViewSetGraphEdgeLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeLabelVisibility (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphEdgeLabelVisibility for class vtkHierarchicalGraphView requires 2 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetGraphEdgeLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:GetGraphEdgeLabelVisibility vtkHierarchicalGraphViewGetGraphEdgeLabelVisibilityFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphViewGetGraphEdgeLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetGraphEdgeLabelVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphEdgeLabelVisibility for class vtkHierarchicalGraphView requires 1 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetGraphEdgeLabelVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:GraphEdgeLabelVisibilityOn vtkHierarchicalGraphViewGraphEdgeLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkHierarchicalGraphViewGraphEdgeLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GraphEdgeLabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GraphEdgeLabelVisibilityOn for class vtkHierarchicalGraphView requires 1 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  vtk_pointer->GraphEdgeLabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:GraphEdgeLabelVisibilityOff vtkHierarchicalGraphViewGraphEdgeLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkHierarchicalGraphViewGraphEdgeLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GraphEdgeLabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GraphEdgeLabelVisibilityOff for class vtkHierarchicalGraphView requires 1 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  vtk_pointer->GraphEdgeLabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:SetGraphEdgeColorArrayName vtkHierarchicalGraphViewSetGraphEdgeColorArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphViewSetGraphEdgeColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeColorArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphEdgeColorArrayName for class vtkHierarchicalGraphView requires 2 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetGraphEdgeColorArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:GetGraphEdgeColorArrayName vtkHierarchicalGraphViewGetGraphEdgeColorArrayNameFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphViewGetGraphEdgeColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetGraphEdgeColorArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphEdgeColorArrayName for class vtkHierarchicalGraphView requires 1 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGraphEdgeColorArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:SetGraphEdgeColorToSplineFraction vtkHierarchicalGraphViewSetGraphEdgeColorToSplineFractionFunction
//input a0 
//output none
ArrayVector vtkHierarchicalGraphViewSetGraphEdgeColorToSplineFractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeColorToSplineFraction (); */
  if (arg.size() < 1) 
    throw Exception("Function SetGraphEdgeColorToSplineFraction for class vtkHierarchicalGraphView requires 1 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  vtk_pointer->SetGraphEdgeColorToSplineFraction();
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:SetColorGraphEdgesByArray vtkHierarchicalGraphViewSetColorGraphEdgesByArrayFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphViewSetColorGraphEdgesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetColorGraphEdgesByArray (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorGraphEdgesByArray for class vtkHierarchicalGraphView requires 2 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetColorGraphEdgesByArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:GetColorGraphEdgesByArray vtkHierarchicalGraphViewGetColorGraphEdgesByArrayFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphViewGetColorGraphEdgesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetColorGraphEdgesByArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorGraphEdgesByArray for class vtkHierarchicalGraphView requires 1 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetColorGraphEdgesByArray();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:ColorGraphEdgesByArrayOn vtkHierarchicalGraphViewColorGraphEdgesByArrayOnFunction
//input a0 
//output none
ArrayVector vtkHierarchicalGraphViewColorGraphEdgesByArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorGraphEdgesByArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorGraphEdgesByArrayOn for class vtkHierarchicalGraphView requires 1 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  vtk_pointer->ColorGraphEdgesByArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:ColorGraphEdgesByArrayOff vtkHierarchicalGraphViewColorGraphEdgesByArrayOffFunction
//input a0 
//output none
ArrayVector vtkHierarchicalGraphViewColorGraphEdgesByArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorGraphEdgesByArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorGraphEdgesByArrayOff for class vtkHierarchicalGraphView requires 1 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  vtk_pointer->ColorGraphEdgesByArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:SetBundlingStrength vtkHierarchicalGraphViewSetBundlingStrengthFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphViewSetBundlingStrengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetBundlingStrength (double strength); */
  if (arg.size() < 2) 
    throw Exception("Function SetBundlingStrength for class vtkHierarchicalGraphView requires 2 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetBundlingStrength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:GetBundlingStrength vtkHierarchicalGraphViewGetBundlingStrengthFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphViewGetBundlingStrengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetBundlingStrength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBundlingStrength for class vtkHierarchicalGraphView requires 1 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBundlingStrength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:SetGraphVisibility vtkHierarchicalGraphViewSetGraphVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphViewSetGraphVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphVisibility (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphVisibility for class vtkHierarchicalGraphView requires 2 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetGraphVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:GetGraphVisibility vtkHierarchicalGraphViewGetGraphVisibilityFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphViewGetGraphVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetGraphVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphVisibility for class vtkHierarchicalGraphView requires 1 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetGraphVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:GraphVisibilityOn vtkHierarchicalGraphViewGraphVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkHierarchicalGraphViewGraphVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GraphVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GraphVisibilityOn for class vtkHierarchicalGraphView requires 1 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  vtk_pointer->GraphVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:GraphVisibilityOff vtkHierarchicalGraphViewGraphVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkHierarchicalGraphViewGraphVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GraphVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GraphVisibilityOff for class vtkHierarchicalGraphView requires 1 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  vtk_pointer->GraphVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:SetGraphEdgeLabelFontSize vtkHierarchicalGraphViewSetGraphEdgeLabelFontSizeFunction
//input a0 a1 
//output none
ArrayVector vtkHierarchicalGraphViewSetGraphEdgeLabelFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeLabelFontSize (const int size); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphEdgeLabelFontSize for class vtkHierarchicalGraphView requires 2 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGraphEdgeLabelFontSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:GetGraphEdgeLabelFontSize vtkHierarchicalGraphViewGetGraphEdgeLabelFontSizeFunction
//input a0 
//output y
ArrayVector vtkHierarchicalGraphViewGetGraphEdgeLabelFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetGraphEdgeLabelFontSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphEdgeLabelFontSize for class vtkHierarchicalGraphView requires 1 argument(s)");
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGraphEdgeLabelFontSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHierarchicalGraphView:display vtkHierarchicalGraphViewDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHierarchicalGraphViewDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHierarchicalGraphView* vtk_pointer = GetVTKPointer<vtkHierarchicalGraphView>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHierarchicalGraphView:delete vtkHierarchicalGraphViewDeleteFunction
//input varargin
//output none
ArrayVector vtkHierarchicalGraphViewDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHierarchicalGraphView
//@@Section VTKViews
//@@Usage
// Takes a graph and a hierarchy (currently a tree) and lays out the graph 
// vertices based on their categorization within the hierarchy.
//
// .SEE ALSO
// vtkGraphLayoutView
//
// .SECTION Thanks
// Thanks to the turtle with jets for feet, without you this class wouldn't 
// have been possible.
//
//To create an instance of class vtkHierarchicalGraphView, simply
//invoke its constructor as follows
//@[
//  obj = vtkHierarchicalGraphView
//@]
//@@Methods
//The class vtkHierarchicalGraphView has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHierarchicalGraphView class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHierarchicalGraphView = obj.NewInstance ()|
// \item @|vtkHierarchicalGraphView = obj.SafeDownCast (vtkObject o)|
// \item @|vtkDataRepresentation = obj.SetHierarchyFromInputConnection (vtkAlgorithmOutput conn)| -  Set the tree and graph representations to the appropriate input ports.
//// \item @|vtkDataRepresentation = obj.SetHierarchyFromInput (vtkDataObject input)| -  Set the tree and graph representations to the appropriate input ports.
//// \item @|vtkDataRepresentation = obj.SetGraphFromInputConnection (vtkAlgorithmOutput conn)| -  Set the tree and graph representations to the appropriate input ports.
//// \item @|vtkDataRepresentation = obj.SetGraphFromInput (vtkDataObject input)| -  Set the tree and graph representations to the appropriate input ports.
//// \item @|obj.SetGraphEdgeLabelArrayName (string name)| -  The array to use for edge labeling.  Default is "label".
//// \item @|string = obj.GetGraphEdgeLabelArrayName ()| -  The array to use for edge labeling.  Default is "label".
//// \item @|obj.SetGraphEdgeLabelVisibility (bool vis)| -  Whether to show edge labels.  Default is off.
//// \item @|bool = obj.GetGraphEdgeLabelVisibility ()| -  Whether to show edge labels.  Default is off.
//// \item @|obj.GraphEdgeLabelVisibilityOn ()| -  Whether to show edge labels.  Default is off.
//// \item @|obj.GraphEdgeLabelVisibilityOff ()| -  Whether to show edge labels.  Default is off.
//// \item @|obj.SetGraphEdgeColorArrayName (string name)| -  The array to use for coloring edges.  Default is "color".
//// \item @|string = obj.GetGraphEdgeColorArrayName ()| -  The array to use for coloring edges.  Default is "color".
//// \item @|obj.SetGraphEdgeColorToSplineFraction ()| -  Set the color to be the spline fraction
//// \item @|obj.SetColorGraphEdgesByArray (bool vis)| -  Whether to color edges.  Default is off.
//// \item @|bool = obj.GetColorGraphEdgesByArray ()| -  Whether to color edges.  Default is off.
//// \item @|obj.ColorGraphEdgesByArrayOn ()| -  Whether to color edges.  Default is off.
//// \item @|obj.ColorGraphEdgesByArrayOff ()| -  Whether to color edges.  Default is off.
//// \item @|obj.SetBundlingStrength (double strength)| -  Set the bundling strength.
//// \item @|double = obj.GetBundlingStrength ()| -  Set the bundling strength.
//// \item @|obj.SetGraphVisibility (bool b)| -  Whether the graph edges are visible (default off).
//// \item @|bool = obj.GetGraphVisibility ()| -  Whether the graph edges are visible (default off).
//// \item @|obj.GraphVisibilityOn ()| -  Whether the graph edges are visible (default off).
//// \item @|obj.GraphVisibilityOff ()| -  Whether the graph edges are visible (default off).
//// \item @|obj.SetGraphEdgeLabelFontSize (int size)| -  The size of the font used for edge labeling
//// \item @|int = obj.GetGraphEdgeLabelFontSize ()| -  The size of the font used for edge labeling
////\end{itemize}
//!
