#include "VTKWrap.hpp"

// FreeMat wrapper for vtkIcicleView object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkIcicleView.h"

//@@Signature
//sfunction @vtkIcicleView:vtkIcicleView vtkIcicleViewConstructorFunction
//input a
//output p
//@@Parents vtkIcicleView vtkTreeAreaView 
ArrayVector vtkIcicleViewConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkIcicleView::New(),"vtkIcicleView",eval);
  } else if (arg[0].className() == "vtkIcicleView") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkIcicleView"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkIcicleView");
    vtkIcicleView*q = reinterpret_cast<vtkIcicleView*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkIcicleView");
    return ret;
  }
}
//@@Signature
//sfunction @vtkIcicleView:GetClassName vtkIcicleViewGetClassNameFunction
//input a0 
//output y
ArrayVector vtkIcicleViewGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkIcicleView requires 1 argument(s)");
  vtkIcicleView* vtk_pointer = GetVTKPointer<vtkIcicleView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIcicleView:IsA vtkIcicleViewIsAFunction
//input a0 a1 
//output y
ArrayVector vtkIcicleViewIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkIcicleView requires 2 argument(s)");
  vtkIcicleView* vtk_pointer = GetVTKPointer<vtkIcicleView>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIcicleView:NewInstance vtkIcicleViewNewInstanceFunction
//input a0 
//output y
ArrayVector vtkIcicleViewNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIcicleView *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkIcicleView requires 1 argument(s)");
  vtkIcicleView* vtk_pointer = GetVTKPointer<vtkIcicleView>(arg[0]);
  Array retval;
  vtkIcicleView  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIcicleView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIcicleView:SafeDownCast vtkIcicleViewSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkIcicleViewSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIcicleView *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkIcicleView requires 2 argument(s)");
  vtkIcicleView* vtk_pointer = GetVTKPointer<vtkIcicleView>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkIcicleView  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIcicleView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIcicleView:SetTopToBottom vtkIcicleViewSetTopToBottomFunction
//input a0 a1 
//output none
ArrayVector vtkIcicleViewSetTopToBottomFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTopToBottom (bool value); */
  if (arg.size() < 2) 
    throw Exception("Function SetTopToBottom for class vtkIcicleView requires 2 argument(s)");
  vtkIcicleView* vtk_pointer = GetVTKPointer<vtkIcicleView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetTopToBottom(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIcicleView:GetTopToBottom vtkIcicleViewGetTopToBottomFunction
//input a0 
//output y
ArrayVector vtkIcicleViewGetTopToBottomFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetTopToBottom (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTopToBottom for class vtkIcicleView requires 1 argument(s)");
  vtkIcicleView* vtk_pointer = GetVTKPointer<vtkIcicleView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetTopToBottom();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkIcicleView:TopToBottomOn vtkIcicleViewTopToBottomOnFunction
//input a0 
//output none
ArrayVector vtkIcicleViewTopToBottomOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TopToBottomOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TopToBottomOn for class vtkIcicleView requires 1 argument(s)");
  vtkIcicleView* vtk_pointer = GetVTKPointer<vtkIcicleView>(arg[0]);
  Array retval;
  vtk_pointer->TopToBottomOn();
  return retval;
}

//@@Signature
//sfunction @vtkIcicleView:TopToBottomOff vtkIcicleViewTopToBottomOffFunction
//input a0 
//output none
ArrayVector vtkIcicleViewTopToBottomOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TopToBottomOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TopToBottomOff for class vtkIcicleView requires 1 argument(s)");
  vtkIcicleView* vtk_pointer = GetVTKPointer<vtkIcicleView>(arg[0]);
  Array retval;
  vtk_pointer->TopToBottomOff();
  return retval;
}

//@@Signature
//sfunction @vtkIcicleView:SetRootWidth vtkIcicleViewSetRootWidthFunction
//input a0 a1 
//output none
ArrayVector vtkIcicleViewSetRootWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRootWidth (double width); */
  if (arg.size() < 2) 
    throw Exception("Function SetRootWidth for class vtkIcicleView requires 2 argument(s)");
  vtkIcicleView* vtk_pointer = GetVTKPointer<vtkIcicleView>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRootWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIcicleView:GetRootWidth vtkIcicleViewGetRootWidthFunction
//input a0 
//output y
ArrayVector vtkIcicleViewGetRootWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetRootWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRootWidth for class vtkIcicleView requires 1 argument(s)");
  vtkIcicleView* vtk_pointer = GetVTKPointer<vtkIcicleView>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRootWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIcicleView:SetLayerThickness vtkIcicleViewSetLayerThicknessFunction
//input a0 a1 
//output none
ArrayVector vtkIcicleViewSetLayerThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLayerThickness (double thickness); */
  if (arg.size() < 2) 
    throw Exception("Function SetLayerThickness for class vtkIcicleView requires 2 argument(s)");
  vtkIcicleView* vtk_pointer = GetVTKPointer<vtkIcicleView>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLayerThickness(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIcicleView:GetLayerThickness vtkIcicleViewGetLayerThicknessFunction
//input a0 
//output y
ArrayVector vtkIcicleViewGetLayerThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetLayerThickness (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLayerThickness for class vtkIcicleView requires 1 argument(s)");
  vtkIcicleView* vtk_pointer = GetVTKPointer<vtkIcicleView>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLayerThickness();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIcicleView:SetUseGradientColoring vtkIcicleViewSetUseGradientColoringFunction
//input a0 a1 
//output none
ArrayVector vtkIcicleViewSetUseGradientColoringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetUseGradientColoring (bool value); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseGradientColoring for class vtkIcicleView requires 2 argument(s)");
  vtkIcicleView* vtk_pointer = GetVTKPointer<vtkIcicleView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseGradientColoring(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIcicleView:GetUseGradientColoring vtkIcicleViewGetUseGradientColoringFunction
//input a0 
//output y
ArrayVector vtkIcicleViewGetUseGradientColoringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetUseGradientColoring (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseGradientColoring for class vtkIcicleView requires 1 argument(s)");
  vtkIcicleView* vtk_pointer = GetVTKPointer<vtkIcicleView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseGradientColoring();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkIcicleView:UseGradientColoringOn vtkIcicleViewUseGradientColoringOnFunction
//input a0 
//output none
ArrayVector vtkIcicleViewUseGradientColoringOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseGradientColoringOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseGradientColoringOn for class vtkIcicleView requires 1 argument(s)");
  vtkIcicleView* vtk_pointer = GetVTKPointer<vtkIcicleView>(arg[0]);
  Array retval;
  vtk_pointer->UseGradientColoringOn();
  return retval;
}

//@@Signature
//sfunction @vtkIcicleView:UseGradientColoringOff vtkIcicleViewUseGradientColoringOffFunction
//input a0 
//output none
ArrayVector vtkIcicleViewUseGradientColoringOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseGradientColoringOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseGradientColoringOff for class vtkIcicleView requires 1 argument(s)");
  vtkIcicleView* vtk_pointer = GetVTKPointer<vtkIcicleView>(arg[0]);
  Array retval;
  vtk_pointer->UseGradientColoringOff();
  return retval;
}

//@@Signature
//sfunction @vtkIcicleView:display vtkIcicleViewDisplayFunction
//input varargin
//output varargout
ArrayVector vtkIcicleViewDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkIcicleView* vtk_pointer = GetVTKPointer<vtkIcicleView>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkIcicleView:delete vtkIcicleViewDeleteFunction
//input varargin
//output none
ArrayVector vtkIcicleViewDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkIcicleView
//@@Section VTKViews
//@@Usage
// vtkIcicleView shows a vtkTree in horizontal layers
// where each vertex in the tree is represented by a bar.
// Child sectors are below (or above) parent sectors, and may be
// colored and sized by various parameters.
//
//To create an instance of class vtkIcicleView, simply
//invoke its constructor as follows
//@[
//  obj = vtkIcicleView
//@]
//@@Methods
//The class vtkIcicleView has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkIcicleView class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkIcicleView = obj.NewInstance ()|
// \item @|vtkIcicleView = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetTopToBottom (bool value)| -  Sets whether the stacks go from top to bottom or bottom to top.
//// \item @|bool = obj.GetTopToBottom ()| -  Sets whether the stacks go from top to bottom or bottom to top.
//// \item @|obj.TopToBottomOn ()| -  Sets whether the stacks go from top to bottom or bottom to top.
//// \item @|obj.TopToBottomOff ()| -  Sets whether the stacks go from top to bottom or bottom to top.
//// \item @|obj.SetRootWidth (double width)| -  Set the width of the root node
//// \item @|double = obj.GetRootWidth ()| -  Set the width of the root node
//// \item @|obj.SetLayerThickness (double thickness)| -  Set the thickness of each layer
//// \item @|double = obj.GetLayerThickness ()| -  Set the thickness of each layer
//// \item @|obj.SetUseGradientColoring (bool value)| -  Turn on/off gradient coloring.
//// \item @|bool = obj.GetUseGradientColoring ()| -  Turn on/off gradient coloring.
//// \item @|obj.UseGradientColoringOn ()| -  Turn on/off gradient coloring.
//// \item @|obj.UseGradientColoringOff ()| -  Turn on/off gradient coloring.
////\end{itemize}
//!
