#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParallelCoordinatesRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParallelCoordinatesRepresentation.h"

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:vtkParallelCoordinatesRepresentation vtkParallelCoordinatesRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkParallelCoordinatesRepresentation vtkRenderedRepresentation 
ArrayVector vtkParallelCoordinatesRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParallelCoordinatesRepresentation::New(),"vtkParallelCoordinatesRepresentation",eval);
  } else if (arg[0].className() == "vtkParallelCoordinatesRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParallelCoordinatesRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParallelCoordinatesRepresentation");
    vtkParallelCoordinatesRepresentation*q = reinterpret_cast<vtkParallelCoordinatesRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParallelCoordinatesRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetClassName vtkParallelCoordinatesRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParallelCoordinatesRepresentation requires 1 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:IsA vtkParallelCoordinatesRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParallelCoordinatesRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:NewInstance vtkParallelCoordinatesRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParallelCoordinatesRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParallelCoordinatesRepresentation requires 1 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  vtkParallelCoordinatesRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParallelCoordinatesRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SafeDownCast vtkParallelCoordinatesRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParallelCoordinatesRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParallelCoordinatesRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParallelCoordinatesRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParallelCoordinatesRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:ApplyViewTheme vtkParallelCoordinatesRepresentationApplyViewThemeFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesRepresentationApplyViewThemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ApplyViewTheme (vtkViewTheme *theme); */
  if (arg.size() < 2) 
    throw Exception("Function ApplyViewTheme for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  vtkViewTheme  *temp0;
  temp0 = GetVTKPointer<vtkViewTheme>(arg[1]);
  vtk_pointer->ApplyViewTheme(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetHoverText vtkParallelCoordinatesRepresentationGetHoverTextFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetHoverTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetHoverText (vtkView *view, int x, int y); */
  if (arg.size() < 4) 
    throw Exception("Function GetHoverText for class vtkParallelCoordinatesRepresentation requires 4 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  vtkView  *temp0;
  int      temp1;
  int      temp2;
  const char    *temp20;
  temp0 = GetVTKPointer<vtkView>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetHoverText(temp0,temp1,temp2);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetPositionAndSize vtkParallelCoordinatesRepresentationSetPositionAndSizeFunction
//input a0 a1 a2 
//output y
ArrayVector vtkParallelCoordinatesRepresentationSetPositionAndSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetPositionAndSize (double *position, double *size); */
  if (arg.size() < 3) 
    throw Exception("Function SetPositionAndSize for class vtkParallelCoordinatesRepresentation requires 3 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->SetPositionAndSize(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetPositionAndSize vtkParallelCoordinatesRepresentationGetPositionAndSizeFunction
//input a0 a1 a2 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetPositionAndSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPositionAndSize (double *position, double *size); */
  if (arg.size() < 3) 
    throw Exception("Function GetPositionAndSize for class vtkParallelCoordinatesRepresentation requires 3 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->GetPositionAndSize(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetAxisTitles__1 vtkParallelCoordinatesRepresentationSetAxisTitles__1Function
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesRepresentationSetAxisTitles__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisTitles (vtkStringArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetAxisTitles__1 for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  vtkStringArray  *temp0;
  temp0 = GetVTKPointer<vtkStringArray>(arg[1]);
  vtk_pointer->SetAxisTitles(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetAxisTitles__2 vtkParallelCoordinatesRepresentationSetAxisTitles__2Function
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesRepresentationSetAxisTitles__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisTitles (vtkAlgorithmOutput *); */
  if (arg.size() < 2) 
    throw Exception("Function SetAxisTitles__2 for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetAxisTitles(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetPlotTitle vtkParallelCoordinatesRepresentationSetPlotTitleFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesRepresentationSetPlotTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotTitle (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlotTitle for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPlotTitle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetNumberOfAxes vtkParallelCoordinatesRepresentationGetNumberOfAxesFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetNumberOfAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfAxes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfAxes for class vtkParallelCoordinatesRepresentation requires 1 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfAxes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetNumberOfSamples vtkParallelCoordinatesRepresentationGetNumberOfSamplesFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetNumberOfSamplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSamples (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSamples for class vtkParallelCoordinatesRepresentation requires 1 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSamples();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetNumberOfAxisLabels vtkParallelCoordinatesRepresentationSetNumberOfAxisLabelsFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesRepresentationSetNumberOfAxisLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfAxisLabels (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfAxisLabels for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfAxisLabels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetNumberOfAxisLabels vtkParallelCoordinatesRepresentationGetNumberOfAxisLabelsFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetNumberOfAxisLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfAxisLabels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfAxisLabels for class vtkParallelCoordinatesRepresentation requires 1 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfAxisLabels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SwapAxisPositions vtkParallelCoordinatesRepresentationSwapAxisPositionsFunction
//input a0 a1 a2 
//output y
ArrayVector vtkParallelCoordinatesRepresentationSwapAxisPositionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SwapAxisPositions (int position1, int position2); */
  if (arg.size() < 3) 
    throw Exception("Function SwapAxisPositions for class vtkParallelCoordinatesRepresentation requires 3 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->SwapAxisPositions(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetXCoordinateOfPosition vtkParallelCoordinatesRepresentationSetXCoordinateOfPositionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkParallelCoordinatesRepresentationSetXCoordinateOfPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetXCoordinateOfPosition (int position, double xcoord); */
  if (arg.size() < 3) 
    throw Exception("Function SetXCoordinateOfPosition for class vtkParallelCoordinatesRepresentation requires 3 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->SetXCoordinateOfPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetXCoordinateOfPosition vtkParallelCoordinatesRepresentationGetXCoordinateOfPositionFunction
//input a0 a1 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetXCoordinateOfPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetXCoordinateOfPosition (int axis); */
  if (arg.size() < 2) 
    throw Exception("Function GetXCoordinateOfPosition for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetXCoordinateOfPosition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetXCoordinatesOfPositions vtkParallelCoordinatesRepresentationGetXCoordinatesOfPositionsFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesRepresentationGetXCoordinatesOfPositionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetXCoordinatesOfPositions (double *coords); */
  if (arg.size() < 2) 
    throw Exception("Function GetXCoordinatesOfPositions for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetXCoordinatesOfPositions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetPositionNearXCoordinate vtkParallelCoordinatesRepresentationGetPositionNearXCoordinateFunction
//input a0 a1 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetPositionNearXCoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPositionNearXCoordinate (double xcoord); */
  if (arg.size() < 2) 
    throw Exception("Function GetPositionNearXCoordinate for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPositionNearXCoordinate(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetUseCurves vtkParallelCoordinatesRepresentationSetUseCurvesFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesRepresentationSetUseCurvesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseCurves (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseCurves for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseCurves(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetUseCurves vtkParallelCoordinatesRepresentationGetUseCurvesFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetUseCurvesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseCurves (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseCurves for class vtkParallelCoordinatesRepresentation requires 1 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseCurves();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:UseCurvesOn vtkParallelCoordinatesRepresentationUseCurvesOnFunction
//input a0 
//output none
ArrayVector vtkParallelCoordinatesRepresentationUseCurvesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseCurvesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseCurvesOn for class vtkParallelCoordinatesRepresentation requires 1 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->UseCurvesOn();
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:UseCurvesOff vtkParallelCoordinatesRepresentationUseCurvesOffFunction
//input a0 
//output none
ArrayVector vtkParallelCoordinatesRepresentationUseCurvesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseCurvesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseCurvesOff for class vtkParallelCoordinatesRepresentation requires 1 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->UseCurvesOff();
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetCurveResolution vtkParallelCoordinatesRepresentationSetCurveResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesRepresentationSetCurveResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurveResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCurveResolution for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCurveResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetCurveResolution vtkParallelCoordinatesRepresentationGetCurveResolutionFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetCurveResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCurveResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurveResolution for class vtkParallelCoordinatesRepresentation requires 1 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCurveResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetLineOpacity vtkParallelCoordinatesRepresentationGetLineOpacityFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetLineOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLineOpacity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineOpacity for class vtkParallelCoordinatesRepresentation requires 1 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLineOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetFontSize vtkParallelCoordinatesRepresentationGetFontSizeFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFontSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFontSize for class vtkParallelCoordinatesRepresentation requires 1 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFontSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetLineColor vtkParallelCoordinatesRepresentationGetLineColorFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetLineColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetLineColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineColor for class vtkParallelCoordinatesRepresentation requires 1 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetLineColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetAxisColor vtkParallelCoordinatesRepresentationGetAxisColorFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetAxisColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetAxisColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxisColor for class vtkParallelCoordinatesRepresentation requires 1 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetAxisColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetAxisLabelColor vtkParallelCoordinatesRepresentationGetAxisLabelColorFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetAxisLabelColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetAxisLabelColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxisLabelColor for class vtkParallelCoordinatesRepresentation requires 1 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetAxisLabelColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetLineOpacity vtkParallelCoordinatesRepresentationSetLineOpacityFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesRepresentationSetLineOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineOpacity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLineOpacity for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLineOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetFontSize vtkParallelCoordinatesRepresentationSetFontSizeFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesRepresentationSetFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFontSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFontSize for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFontSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetLineColor__1 vtkParallelCoordinatesRepresentationSetLineColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkParallelCoordinatesRepresentationSetLineColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetLineColor__1 for class vtkParallelCoordinatesRepresentation requires 4 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetLineColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetLineColor__2 vtkParallelCoordinatesRepresentationSetLineColor__2Function
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesRepresentationSetLineColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetLineColor__2 for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetLineColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetAxisColor__1 vtkParallelCoordinatesRepresentationSetAxisColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkParallelCoordinatesRepresentationSetAxisColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetAxisColor__1 for class vtkParallelCoordinatesRepresentation requires 4 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetAxisColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetAxisColor__2 vtkParallelCoordinatesRepresentationSetAxisColor__2Function
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesRepresentationSetAxisColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetAxisColor__2 for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetAxisColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetAxisLabelColor__1 vtkParallelCoordinatesRepresentationSetAxisLabelColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkParallelCoordinatesRepresentationSetAxisLabelColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisLabelColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetAxisLabelColor__1 for class vtkParallelCoordinatesRepresentation requires 4 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetAxisLabelColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetAxisLabelColor__2 vtkParallelCoordinatesRepresentationSetAxisLabelColor__2Function
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesRepresentationSetAxisLabelColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisLabelColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetAxisLabelColor__2 for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetAxisLabelColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetAngleBrushThreshold vtkParallelCoordinatesRepresentationSetAngleBrushThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesRepresentationSetAngleBrushThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAngleBrushThreshold (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAngleBrushThreshold for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAngleBrushThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetAngleBrushThreshold vtkParallelCoordinatesRepresentationGetAngleBrushThresholdFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetAngleBrushThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAngleBrushThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngleBrushThreshold for class vtkParallelCoordinatesRepresentation requires 1 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngleBrushThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetFunctionBrushThreshold vtkParallelCoordinatesRepresentationSetFunctionBrushThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesRepresentationSetFunctionBrushThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFunctionBrushThreshold (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFunctionBrushThreshold for class vtkParallelCoordinatesRepresentation requires 2 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFunctionBrushThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetFunctionBrushThreshold vtkParallelCoordinatesRepresentationGetFunctionBrushThresholdFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetFunctionBrushThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFunctionBrushThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFunctionBrushThreshold for class vtkParallelCoordinatesRepresentation requires 1 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFunctionBrushThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:GetRangeAtPosition vtkParallelCoordinatesRepresentationGetRangeAtPositionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkParallelCoordinatesRepresentationGetRangeAtPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRangeAtPosition (int position, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GetRangeAtPosition for class vtkParallelCoordinatesRepresentation requires 3 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetRangeAtPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetRangeAtPosition vtkParallelCoordinatesRepresentationSetRangeAtPositionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkParallelCoordinatesRepresentationSetRangeAtPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetRangeAtPosition (int position, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function SetRangeAtPosition for class vtkParallelCoordinatesRepresentation requires 3 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->SetRangeAtPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:ResetAxes vtkParallelCoordinatesRepresentationResetAxesFunction
//input a0 
//output none
ArrayVector vtkParallelCoordinatesRepresentationResetAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResetAxes (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetAxes for class vtkParallelCoordinatesRepresentation requires 1 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ResetAxes();
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:LassoSelect vtkParallelCoordinatesRepresentationLassoSelectFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkParallelCoordinatesRepresentationLassoSelectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void LassoSelect (int brushClass, int brushOperator, vtkPoints *brushPoints); */
  if (arg.size() < 4) 
    throw Exception("Function LassoSelect for class vtkParallelCoordinatesRepresentation requires 4 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkPoints  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkPoints>(arg[3]);
  vtk_pointer->LassoSelect(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:AngleSelect vtkParallelCoordinatesRepresentationAngleSelectFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkParallelCoordinatesRepresentationAngleSelectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AngleSelect (int brushClass, int brushOperator, double *p1, double *p2); */
  if (arg.size() < 5) 
    throw Exception("Function AngleSelect for class vtkParallelCoordinatesRepresentation requires 5 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  double  *temp2;
  double  *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  vtk_pointer->AngleSelect(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:FunctionSelect vtkParallelCoordinatesRepresentationFunctionSelectFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkParallelCoordinatesRepresentationFunctionSelectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FunctionSelect (int brushClass, int brushOperator, double *p1, double *p2, double *q1, double *q2); */
  if (arg.size() < 7) 
    throw Exception("Function FunctionSelect for class vtkParallelCoordinatesRepresentation requires 7 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  double  *temp2;
  double  *temp3;
  double  *temp4;
  double  *temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new double[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
      }
  vtk_pointer->FunctionSelect(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:RangeSelect vtkParallelCoordinatesRepresentationRangeSelectFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkParallelCoordinatesRepresentationRangeSelectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RangeSelect (int brushClass, int brushOperator, double *p1, double *p2); */
  if (arg.size() < 5) 
    throw Exception("Function RangeSelect for class vtkParallelCoordinatesRepresentation requires 5 argument(s)");
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  double  *temp2;
  double  *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  vtk_pointer->RangeSelect(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetAxisTitles vtkParallelCoordinatesRepresentationSetAxisTitlesFunction
//input varargin
//output varargout
ArrayVector vtkParallelCoordinatesRepresentationSetAxisTitlesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkStringArray"))
    return vtkParallelCoordinatesRepresentationSetAxisTitles__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkAlgorithmOutput"))
    return vtkParallelCoordinatesRepresentationSetAxisTitles__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkParallelCoordinatesRepresentationSetAxisTitles");
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetLineColor vtkParallelCoordinatesRepresentationSetLineColorFunction
//input varargin
//output varargout
ArrayVector vtkParallelCoordinatesRepresentationSetLineColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkParallelCoordinatesRepresentationSetLineColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkParallelCoordinatesRepresentationSetLineColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkParallelCoordinatesRepresentationSetLineColor");
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetAxisColor vtkParallelCoordinatesRepresentationSetAxisColorFunction
//input varargin
//output varargout
ArrayVector vtkParallelCoordinatesRepresentationSetAxisColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkParallelCoordinatesRepresentationSetAxisColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkParallelCoordinatesRepresentationSetAxisColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkParallelCoordinatesRepresentationSetAxisColor");
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:SetAxisLabelColor vtkParallelCoordinatesRepresentationSetAxisLabelColorFunction
//input varargin
//output varargout
ArrayVector vtkParallelCoordinatesRepresentationSetAxisLabelColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkParallelCoordinatesRepresentationSetAxisLabelColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkParallelCoordinatesRepresentationSetAxisLabelColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkParallelCoordinatesRepresentationSetAxisLabelColor");
}

//@@Signature
//sfunction @vtkParallelCoordinatesRepresentation:display vtkParallelCoordinatesRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParallelCoordinatesRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParallelCoordinatesRepresentation* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParallelCoordinatesRepresentation:delete vtkParallelCoordinatesRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkParallelCoordinatesRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParallelCoordinatesRepresentation
//@@Section VTKViews
//@@Usage
//  A parallel coordinates plot represents each variable in a multivariate
//  data set as a separate axis.  Individual samples of that data set are
//  represented as a polyline that pass through each variable axis at 
//  positions that correspond to data values.  vtkParallelCoordinatesRepresentation
//  generates this plot when added to a vtkParallelCoordinatesView, which handles 
//  interaction and highlighting.  Sample polylines can alternatively
//  be represented as s-curves by enabling the UseCurves flag.  
//
//  There are three selection modes: lasso, angle, and function. Lasso selection
//  picks sample lines that pass through a polyline.  Angle selection picks sample 
//  lines that have similar slope to a line segment.  Function selection picks
//  sample lines that are near a linear function defined on two variables.  This
//  function specified by passing two (x,y) variable value pairs.
//
//  All primitives are plotted in normalized view coordinates [0,1].
//
//
//To create an instance of class vtkParallelCoordinatesRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkParallelCoordinatesRepresentation
//@]
//@@Methods
//The class vtkParallelCoordinatesRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParallelCoordinatesRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParallelCoordinatesRepresentation = obj.NewInstance ()|
// \item @|vtkParallelCoordinatesRepresentation = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ApplyViewTheme (vtkViewTheme theme)| -  Apply the theme to this view.  CellColor is used for line coloring
// and titles.  EdgeLabelColor is used for axis color. CellOpacity is 
// used for line opacity.
//// \item @|string = obj.GetHoverText (vtkView view, int x, int y)| -  Returns the hover text at an x,y location.
//// \item @|int = obj.SetPositionAndSize (double position, double size)| -  Change the position of the plot
//// \item @|int = obj.GetPositionAndSize (double position, double size)| -  Change the position of the plot
//// \item @|obj.SetAxisTitles (vtkStringArray )| -  Set/Get the axis titles
//// \item @|obj.SetAxisTitles (vtkAlgorithmOutput )| -  Set/Get the axis titles
//// \item @|obj.SetPlotTitle (string )| -  Set the title for the entire plot
//// \item @|int = obj.GetNumberOfAxes ()| -  Get the number of axes in the plot
//// \item @|int = obj.GetNumberOfSamples ()|
// \item @|obj.SetNumberOfAxisLabels (int num)| -  Set/Get the number of labels to display on each axis
//// \item @|int = obj.GetNumberOfAxisLabels ()| -  Set/Get the number of labels to display on each axis
//// \item @|int = obj.SwapAxisPositions (int position1, int position2)| -  Move an axis to a particular screen position.  Using these
// methods requires an Update() before they will work properly.
//// \item @|int = obj.SetXCoordinateOfPosition (int position, double xcoord)| -  Move an axis to a particular screen position.  Using these
// methods requires an Update() before they will work properly.
//// \item @|double = obj.GetXCoordinateOfPosition (int axis)| -  Move an axis to a particular screen position.  Using these
// methods requires an Update() before they will work properly.
//// \item @|obj.GetXCoordinatesOfPositions (double coords)| -  Move an axis to a particular screen position.  Using these
// methods requires an Update() before they will work properly.
//// \item @|int = obj.GetPositionNearXCoordinate (double xcoord)| -  Move an axis to a particular screen position.  Using these
// methods requires an Update() before they will work properly.
//// \item @|obj.SetUseCurves (int )| -  Whether or not to display using curves
//// \item @|int = obj.GetUseCurves ()| -  Whether or not to display using curves
//// \item @|obj.UseCurvesOn ()| -  Whether or not to display using curves
//// \item @|obj.UseCurvesOff ()| -  Whether or not to display using curves
//// \item @|obj.SetCurveResolution (int )| -  Resolution of the curves displayed, enabled by setting UseCurves
//// \item @|int = obj.GetCurveResolution ()| -  Resolution of the curves displayed, enabled by setting UseCurves
//// \item @|double = obj.GetLineOpacity ()| -  Access plot properties
//// \item @|double = obj.GetFontSize ()| -  Access plot properties
//// \item @|double = obj. GetLineColor ()| -  Access plot properties
//// \item @|double = obj. GetAxisColor ()| -  Access plot properties
//// \item @|double = obj. GetAxisLabelColor ()| -  Access plot properties
//// \item @|obj.SetLineOpacity (double )| -  Access plot properties
//// \item @|obj.SetFontSize (double )| -  Access plot properties
//// \item @|obj.SetLineColor (double , double , double )| -  Access plot properties
//// \item @|obj.SetLineColor (double  a[3])| -  Access plot properties
//// \item @|obj.SetAxisColor (double , double , double )| -  Access plot properties
//// \item @|obj.SetAxisColor (double  a[3])| -  Access plot properties
//// \item @|obj.SetAxisLabelColor (double , double , double )| -  Access plot properties
//// \item @|obj.SetAxisLabelColor (double  a[3])| -  Access plot properties
//// \item @|obj.SetAngleBrushThreshold (double )| -  Maximum angle difference (in degrees) of selection using angle/function brushes
//// \item @|double = obj.GetAngleBrushThreshold ()| -  Maximum angle difference (in degrees) of selection using angle/function brushes
//// \item @|obj.SetFunctionBrushThreshold (double )| -  Maximum angle difference (in degrees) of selection using angle/function brushes
//// \item @|double = obj.GetFunctionBrushThreshold ()| -  Maximum angle difference (in degrees) of selection using angle/function brushes
//// \item @|int = obj.GetRangeAtPosition (int position, double range[2])| -  Set/get the value range of the axis at a particular screen position
//// \item @|int = obj.SetRangeAtPosition (int position, double range[2])| -  Set/get the value range of the axis at a particular screen position
//// \item @|obj.ResetAxes ()| -  Reset the axes to their default positions and orders
//// \item @|obj.LassoSelect (int brushClass, int brushOperator, vtkPoints brushPoints)| -  Do a selection of the lines.  See the main description for how to use these functions.  
// RangeSelect is currently stubbed out.
//// \item @|obj.AngleSelect (int brushClass, int brushOperator, double p1, double p2)| -  Do a selection of the lines.  See the main description for how to use these functions.  
// RangeSelect is currently stubbed out.
//// \item @|obj.FunctionSelect (int brushClass, int brushOperator, double p1, double p2, double q1, double q2)| -  Do a selection of the lines.  See the main description for how to use these functions.  
// RangeSelect is currently stubbed out.
//// \item @|obj.RangeSelect (int brushClass, int brushOperator, double p1, double p2)| -  Do a selection of the lines.  See the main description for how to use these functions.  
// RangeSelect is currently stubbed out.
////\end{itemize}
//!
