#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParallelCoordinatesView object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParallelCoordinatesView.h"

//@@Signature
//sfunction @vtkParallelCoordinatesView:vtkParallelCoordinatesView vtkParallelCoordinatesViewConstructorFunction
//input a
//output p
//@@Parents vtkParallelCoordinatesView vtkRenderView 
ArrayVector vtkParallelCoordinatesViewConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParallelCoordinatesView::New(),"vtkParallelCoordinatesView",eval);
  } else if (arg[0].className() == "vtkParallelCoordinatesView") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParallelCoordinatesView"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParallelCoordinatesView");
    vtkParallelCoordinatesView*q = reinterpret_cast<vtkParallelCoordinatesView*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParallelCoordinatesView");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParallelCoordinatesView:GetClassName vtkParallelCoordinatesViewGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesViewGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParallelCoordinatesView requires 1 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:IsA vtkParallelCoordinatesViewIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParallelCoordinatesViewIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParallelCoordinatesView requires 2 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:NewInstance vtkParallelCoordinatesViewNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesViewNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParallelCoordinatesView *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParallelCoordinatesView requires 1 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  vtkParallelCoordinatesView  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParallelCoordinatesView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:SafeDownCast vtkParallelCoordinatesViewSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParallelCoordinatesViewSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParallelCoordinatesView *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParallelCoordinatesView requires 2 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParallelCoordinatesView  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParallelCoordinatesView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:SetBrushMode vtkParallelCoordinatesViewSetBrushModeFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesViewSetBrushModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBrushMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBrushMode for class vtkParallelCoordinatesView requires 2 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBrushMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:SetBrushModeToLasso vtkParallelCoordinatesViewSetBrushModeToLassoFunction
//input a0 
//output none
ArrayVector vtkParallelCoordinatesViewSetBrushModeToLassoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBrushModeToLasso ();this SetBrushMode VTK_BRUSH_LASSO  */
  if (arg.size() < 1) 
    throw Exception("Function SetBrushModeToLasso for class vtkParallelCoordinatesView requires 1 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  vtk_pointer->SetBrushModeToLasso();
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:SetBrushModeToAngle vtkParallelCoordinatesViewSetBrushModeToAngleFunction
//input a0 
//output none
ArrayVector vtkParallelCoordinatesViewSetBrushModeToAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBrushModeToAngle ();this SetBrushMode VTK_BRUSH_ANGLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetBrushModeToAngle for class vtkParallelCoordinatesView requires 1 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  vtk_pointer->SetBrushModeToAngle();
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:SetBrushModeToFunction vtkParallelCoordinatesViewSetBrushModeToFunctionFunction
//input a0 
//output none
ArrayVector vtkParallelCoordinatesViewSetBrushModeToFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBrushModeToFunction ();this SetBrushMode VTK_BRUSH_FUNCTION  */
  if (arg.size() < 1) 
    throw Exception("Function SetBrushModeToFunction for class vtkParallelCoordinatesView requires 1 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  vtk_pointer->SetBrushModeToFunction();
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:SetBrushModeToAxisThreshold vtkParallelCoordinatesViewSetBrushModeToAxisThresholdFunction
//input a0 
//output none
ArrayVector vtkParallelCoordinatesViewSetBrushModeToAxisThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBrushModeToAxisThreshold ();this SetBrushMode VTK_BRUSH_AXISTHRESHOLD  */
  if (arg.size() < 1) 
    throw Exception("Function SetBrushModeToAxisThreshold for class vtkParallelCoordinatesView requires 1 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  vtk_pointer->SetBrushModeToAxisThreshold();
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:GetBrushMode vtkParallelCoordinatesViewGetBrushModeFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesViewGetBrushModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBrushMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBrushMode for class vtkParallelCoordinatesView requires 1 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBrushMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:SetBrushOperator vtkParallelCoordinatesViewSetBrushOperatorFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesViewSetBrushOperatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBrushOperator (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBrushOperator for class vtkParallelCoordinatesView requires 2 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBrushOperator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:SetBrushOperatorToAdd vtkParallelCoordinatesViewSetBrushOperatorToAddFunction
//input a0 
//output none
ArrayVector vtkParallelCoordinatesViewSetBrushOperatorToAddFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBrushOperatorToAdd ();this SetBrushOperator VTK_BRUSHOPERATOR_ADD  */
  if (arg.size() < 1) 
    throw Exception("Function SetBrushOperatorToAdd for class vtkParallelCoordinatesView requires 1 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  vtk_pointer->SetBrushOperatorToAdd();
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:SetBrushOperatorToSubtract vtkParallelCoordinatesViewSetBrushOperatorToSubtractFunction
//input a0 
//output none
ArrayVector vtkParallelCoordinatesViewSetBrushOperatorToSubtractFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBrushOperatorToSubtract ();this SetBrushOperator VTK_BRUSHOPERATOR_SUBTRACT  */
  if (arg.size() < 1) 
    throw Exception("Function SetBrushOperatorToSubtract for class vtkParallelCoordinatesView requires 1 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  vtk_pointer->SetBrushOperatorToSubtract();
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:SetBrushOperatorToIntersect vtkParallelCoordinatesViewSetBrushOperatorToIntersectFunction
//input a0 
//output none
ArrayVector vtkParallelCoordinatesViewSetBrushOperatorToIntersectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBrushOperatorToIntersect ();this SetBrushOperator VTK_BRUSHOPERATOR_INTERSECT  */
  if (arg.size() < 1) 
    throw Exception("Function SetBrushOperatorToIntersect for class vtkParallelCoordinatesView requires 1 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  vtk_pointer->SetBrushOperatorToIntersect();
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:SetBrushOperatorToReplace vtkParallelCoordinatesViewSetBrushOperatorToReplaceFunction
//input a0 
//output none
ArrayVector vtkParallelCoordinatesViewSetBrushOperatorToReplaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBrushOperatorToReplace ();this SetBrushOperator VTK_BRUSHOPERATOR_REPLACE  */
  if (arg.size() < 1) 
    throw Exception("Function SetBrushOperatorToReplace for class vtkParallelCoordinatesView requires 1 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  vtk_pointer->SetBrushOperatorToReplace();
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:GetBrushOperator vtkParallelCoordinatesViewGetBrushOperatorFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesViewGetBrushOperatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBrushOperator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBrushOperator for class vtkParallelCoordinatesView requires 1 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBrushOperator();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:SetInspectMode vtkParallelCoordinatesViewSetInspectModeFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesViewSetInspectModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInspectMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInspectMode for class vtkParallelCoordinatesView requires 2 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInspectMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:SetInspectModeToManipulateAxes vtkParallelCoordinatesViewSetInspectModeToManipulateAxesFunction
//input a0 
//output none
ArrayVector vtkParallelCoordinatesViewSetInspectModeToManipulateAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInspectModeToManipulateAxes ();this SetInspectMode VTK_INSPECT_MANIPULATE_AXES  */
  if (arg.size() < 1) 
    throw Exception("Function SetInspectModeToManipulateAxes for class vtkParallelCoordinatesView requires 1 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  vtk_pointer->SetInspectModeToManipulateAxes();
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:SetInpsectModeToSelectData vtkParallelCoordinatesViewSetInpsectModeToSelectDataFunction
//input a0 
//output none
ArrayVector vtkParallelCoordinatesViewSetInpsectModeToSelectDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInpsectModeToSelectData ();this SetInspectMode VTK_INSPECT_SELECT_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetInpsectModeToSelectData for class vtkParallelCoordinatesView requires 1 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  vtk_pointer->SetInpsectModeToSelectData();
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:GetInspectMode vtkParallelCoordinatesViewGetInspectModeFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesViewGetInspectModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInspectMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInspectMode for class vtkParallelCoordinatesView requires 1 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInspectMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:SetMaximumNumberOfBrushPoints vtkParallelCoordinatesViewSetMaximumNumberOfBrushPointsFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesViewSetMaximumNumberOfBrushPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumNumberOfBrushPoints (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumNumberOfBrushPoints for class vtkParallelCoordinatesView requires 2 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumNumberOfBrushPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:GetMaximumNumberOfBrushPoints vtkParallelCoordinatesViewGetMaximumNumberOfBrushPointsFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesViewGetMaximumNumberOfBrushPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumNumberOfBrushPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfBrushPoints for class vtkParallelCoordinatesView requires 1 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfBrushPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:SetCurrentBrushClass vtkParallelCoordinatesViewSetCurrentBrushClassFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesViewSetCurrentBrushClassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurrentBrushClass (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCurrentBrushClass for class vtkParallelCoordinatesView requires 2 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCurrentBrushClass(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:GetCurrentBrushClass vtkParallelCoordinatesViewGetCurrentBrushClassFunction
//input a0 
//output y
ArrayVector vtkParallelCoordinatesViewGetCurrentBrushClassFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCurrentBrushClass (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentBrushClass for class vtkParallelCoordinatesView requires 1 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCurrentBrushClass();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:ApplyViewTheme vtkParallelCoordinatesViewApplyViewThemeFunction
//input a0 a1 
//output none
ArrayVector vtkParallelCoordinatesViewApplyViewThemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ApplyViewTheme (vtkViewTheme *theme); */
  if (arg.size() < 2) 
    throw Exception("Function ApplyViewTheme for class vtkParallelCoordinatesView requires 2 argument(s)");
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  Array retval;
  vtkViewTheme  *temp0;
  temp0 = GetVTKPointer<vtkViewTheme>(arg[1]);
  vtk_pointer->ApplyViewTheme(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:SetAxisHighlightPosition vtkParallelCoordinatesViewSetAxisHighlightPositionFunction
//input varargin
//output varargout
ArrayVector vtkParallelCoordinatesViewSetAxisHighlightPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkParallelCoordinatesViewSetAxisHighlightPosition");
}

//@@Signature
//sfunction @vtkParallelCoordinatesView:display vtkParallelCoordinatesViewDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParallelCoordinatesViewDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParallelCoordinatesView* vtk_pointer = GetVTKPointer<vtkParallelCoordinatesView>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParallelCoordinatesView:delete vtkParallelCoordinatesViewDeleteFunction
//input varargin
//output none
ArrayVector vtkParallelCoordinatesViewDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParallelCoordinatesView
//@@Section VTKViews
//@@Usage
//
// This class manages interaction with the vtkParallelCoordinatesRepresentation.  There are 
// two inspection modes: axis manipulation and line selection.  In axis manipulation mode,
// PC axes can be dragged and reordered with the LMB, axis ranges can be increased/decreased
// by dragging up/down with the LMB, and RMB controls zoom and pan.  
// 
// In line selection mode, there are three subclasses of selections: lasso, angle, and 
// function selection.  Lasso selection lets the user brush a line and select all PC lines 
// that pass nearby.  Angle selection lets the user draw a representative line between axes 
// and select all lines that have similar orientation.  Function selection lets the user 
// draw two  representative lines between a pair of axes and select all lines that match
// the linear interpolation of those lines.  
//
// There are several self-explanatory operators for combining selections: ADD, SUBTRACT
// REPLACE, and INTERSECT.  
//
//To create an instance of class vtkParallelCoordinatesView, simply
//invoke its constructor as follows
//@[
//  obj = vtkParallelCoordinatesView
//@]
//@@Methods
//The class vtkParallelCoordinatesView has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParallelCoordinatesView class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParallelCoordinatesView = obj.NewInstance ()|
// \item @|vtkParallelCoordinatesView = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetBrushMode (int )|
// \item @|obj.SetBrushModeToLasso ()|
// \item @|obj.SetBrushModeToAngle ()|
// \item @|obj.SetBrushModeToFunction ()|
// \item @|obj.SetBrushModeToAxisThreshold ()|
// \item @|int = obj.GetBrushMode ()|
// \item @|obj.SetBrushOperator (int )|
// \item @|obj.SetBrushOperatorToAdd ()|
// \item @|obj.SetBrushOperatorToSubtract ()|
// \item @|obj.SetBrushOperatorToIntersect ()|
// \item @|obj.SetBrushOperatorToReplace ()|
// \item @|int = obj.GetBrushOperator ()|
// \item @|obj.SetInspectMode (int )|
// \item @|obj.SetInspectModeToManipulateAxes ()|
// \item @|obj.SetInpsectModeToSelectData ()|
// \item @|int = obj.GetInspectMode ()|
// \item @|obj.SetMaximumNumberOfBrushPoints (int )|
// \item @|int = obj.GetMaximumNumberOfBrushPoints ()|
// \item @|obj.SetCurrentBrushClass (int )|
// \item @|int = obj.GetCurrentBrushClass ()|
// \item @|obj.ApplyViewTheme (vtkViewTheme theme)|
//\end{itemize}
//!
