#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRenderView object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRenderView.h"

//@@Signature
//sfunction @vtkRenderView:vtkRenderView vtkRenderViewConstructorFunction
//input a
//output p
//@@Parents vtkRenderView vtkView 
ArrayVector vtkRenderViewConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRenderView::New(),"vtkRenderView",eval);
  } else if (arg[0].className() == "vtkRenderView") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRenderView"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRenderView");
    vtkRenderView*q = reinterpret_cast<vtkRenderView*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRenderView");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRenderView:GetClassName vtkRenderViewGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRenderViewGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:IsA vtkRenderViewIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRenderViewIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRenderView requires 2 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:NewInstance vtkRenderViewNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRenderViewNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderView *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtkRenderView  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SafeDownCast vtkRenderViewSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRenderViewSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderView *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRenderView requires 2 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRenderView  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:GetRenderer vtkRenderViewGetRendererFunction
//input a0 
//output y
ArrayVector vtkRenderViewGetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetRenderer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderer for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetRenderer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:GetRenderWindow vtkRenderViewGetRenderWindowFunction
//input a0 
//output y
ArrayVector vtkRenderViewGetRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *GetRenderWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderWindow for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->GetRenderWindow();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:GetInteractor vtkRenderViewGetInteractorFunction
//input a0 
//output y
ArrayVector vtkRenderViewGetInteractorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkRenderWindowInteractor *GetInteractor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteractor for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp20;
  temp20 = (vtk_pointer)->GetInteractor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindowInteractor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetInteractor vtkRenderViewSetInteractorFunction
//input a0 a1 
//output none
ArrayVector vtkRenderViewSetInteractorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInteractor (vtkRenderWindowInteractor *interactor); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractor for class vtkRenderView requires 2 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindowInteractor>(arg[1]);
  vtk_pointer->SetInteractor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetInteractorStyle vtkRenderViewSetInteractorStyleFunction
//input a0 a1 
//output none
ArrayVector vtkRenderViewSetInteractorStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInteractorStyle (vtkInteractorObserver *style); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractorStyle for class vtkRenderView requires 2 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtkInteractorObserver  *temp0;
  temp0 = GetVTKPointer<vtkInteractorObserver>(arg[1]);
  vtk_pointer->SetInteractorStyle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:GetInteractorStyle vtkRenderViewGetInteractorStyleFunction
//input a0 
//output y
ArrayVector vtkRenderViewGetInteractorStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkInteractorObserver *GetInteractorStyle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteractorStyle for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtkInteractorObserver  *temp20;
  temp20 = (vtk_pointer)->GetInteractorStyle();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInteractorObserver",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetInteractionMode vtkRenderViewSetInteractionModeFunction
//input a0 a1 
//output none
ArrayVector vtkRenderViewSetInteractionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInteractionMode (int mode); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractionMode for class vtkRenderView requires 2 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInteractionMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:GetInteractionMode vtkRenderViewGetInteractionModeFunction
//input a0 
//output y
ArrayVector vtkRenderViewGetInteractionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInteractionMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteractionMode for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInteractionMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetInteractionModeTo2D vtkRenderViewSetInteractionModeTo2DFunction
//input a0 
//output none
ArrayVector vtkRenderViewSetInteractionModeTo2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInteractionModeTo2D ();this SetInteractionMode INTERACTION_MODE_2D  */
  if (arg.size() < 1) 
    throw Exception("Function SetInteractionModeTo2D for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtk_pointer->SetInteractionModeTo2D();
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetInteractionModeTo3D vtkRenderViewSetInteractionModeTo3DFunction
//input a0 
//output none
ArrayVector vtkRenderViewSetInteractionModeTo3DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInteractionModeTo3D ();this SetInteractionMode INTERACTION_MODE_3D  */
  if (arg.size() < 1) 
    throw Exception("Function SetInteractionModeTo3D for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtk_pointer->SetInteractionModeTo3D();
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:ApplyViewTheme vtkRenderViewApplyViewThemeFunction
//input a0 a1 
//output none
ArrayVector vtkRenderViewApplyViewThemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ApplyViewTheme (vtkViewTheme *theme); */
  if (arg.size() < 2) 
    throw Exception("Function ApplyViewTheme for class vtkRenderView requires 2 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtkViewTheme  *temp0;
  temp0 = GetVTKPointer<vtkViewTheme>(arg[1]);
  vtk_pointer->ApplyViewTheme(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetTransform vtkRenderViewSetTransformFunction
//input a0 a1 
//output none
ArrayVector vtkRenderViewSetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTransform (vtkAbstractTransform *transform); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransform for class vtkRenderView requires 2 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  vtk_pointer->SetTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:GetTransform vtkRenderViewGetTransformFunction
//input a0 
//output y
ArrayVector vtkRenderViewGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *GetTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransform for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->GetTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetDisplayHoverText vtkRenderViewSetDisplayHoverTextFunction
//input a0 a1 
//output none
ArrayVector vtkRenderViewSetDisplayHoverTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDisplayHoverText (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplayHoverText for class vtkRenderView requires 2 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetDisplayHoverText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:GetDisplayHoverText vtkRenderViewGetDisplayHoverTextFunction
//input a0 
//output y
ArrayVector vtkRenderViewGetDisplayHoverTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetDisplayHoverText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplayHoverText for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetDisplayHoverText();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:DisplayHoverTextOn vtkRenderViewDisplayHoverTextOnFunction
//input a0 
//output none
ArrayVector vtkRenderViewDisplayHoverTextOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisplayHoverTextOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DisplayHoverTextOn for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtk_pointer->DisplayHoverTextOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:DisplayHoverTextOff vtkRenderViewDisplayHoverTextOffFunction
//input a0 
//output none
ArrayVector vtkRenderViewDisplayHoverTextOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisplayHoverTextOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DisplayHoverTextOff for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtk_pointer->DisplayHoverTextOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetSelectionMode vtkRenderViewSetSelectionModeFunction
//input a0 a1 
//output none
ArrayVector vtkRenderViewSetSelectionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionMode for class vtkRenderView requires 2 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSelectionMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:GetSelectionModeMinValue vtkRenderViewGetSelectionModeMinValueFunction
//input a0 
//output y
ArrayVector vtkRenderViewGetSelectionModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectionModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionModeMinValue for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectionModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:GetSelectionModeMaxValue vtkRenderViewGetSelectionModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkRenderViewGetSelectionModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectionModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionModeMaxValue for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectionModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:GetSelectionMode vtkRenderViewGetSelectionModeFunction
//input a0 
//output y
ArrayVector vtkRenderViewGetSelectionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectionMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionMode for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectionMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetSelectionModeToSurface vtkRenderViewSetSelectionModeToSurfaceFunction
//input a0 
//output none
ArrayVector vtkRenderViewSetSelectionModeToSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionModeToSurface ();this SetSelectionMode SURFACE  */
  if (arg.size() < 1) 
    throw Exception("Function SetSelectionModeToSurface for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtk_pointer->SetSelectionModeToSurface();
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetSelectionModeToFrustum vtkRenderViewSetSelectionModeToFrustumFunction
//input a0 
//output none
ArrayVector vtkRenderViewSetSelectionModeToFrustumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionModeToFrustum ();this SetSelectionMode FRUSTUM  */
  if (arg.size() < 1) 
    throw Exception("Function SetSelectionModeToFrustum for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtk_pointer->SetSelectionModeToFrustum();
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:Render vtkRenderViewRenderFunction
//input a0 
//output none
ArrayVector vtkRenderViewRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (); */
  if (arg.size() < 1) 
    throw Exception("Function Render for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtk_pointer->Render();
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:ResetCamera vtkRenderViewResetCameraFunction
//input a0 
//output none
ArrayVector vtkRenderViewResetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ResetCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetCamera for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtk_pointer->ResetCamera();
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:ResetCameraClippingRange vtkRenderViewResetCameraClippingRangeFunction
//input a0 
//output none
ArrayVector vtkRenderViewResetCameraClippingRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ResetCameraClippingRange (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetCameraClippingRange for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtk_pointer->ResetCameraClippingRange();
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:AddLabels vtkRenderViewAddLabelsFunction
//input a0 a1 
//output none
ArrayVector vtkRenderViewAddLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddLabels (vtkAlgorithmOutput *conn); */
  if (arg.size() < 2) 
    throw Exception("Function AddLabels for class vtkRenderView requires 2 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->AddLabels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:RemoveLabels vtkRenderViewRemoveLabelsFunction
//input a0 a1 
//output none
ArrayVector vtkRenderViewRemoveLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveLabels (vtkAlgorithmOutput *conn); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveLabels for class vtkRenderView requires 2 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->RemoveLabels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetIconTexture vtkRenderViewSetIconTextureFunction
//input a0 a1 
//output none
ArrayVector vtkRenderViewSetIconTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetIconTexture (vtkTexture *texture); */
  if (arg.size() < 2) 
    throw Exception("Function SetIconTexture for class vtkRenderView requires 2 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtkTexture  *temp0;
  temp0 = GetVTKPointer<vtkTexture>(arg[1]);
  vtk_pointer->SetIconTexture(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:GetIconTexture vtkRenderViewGetIconTextureFunction
//input a0 
//output y
ArrayVector vtkRenderViewGetIconTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTexture *GetIconTexture (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIconTexture for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtkTexture  *temp20;
  temp20 = (vtk_pointer)->GetIconTexture();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetIconSize__1 vtkRenderViewSetIconSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderViewSetIconSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIconSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetIconSize__1 for class vtkRenderView requires 3 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetIconSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetIconSize__2 vtkRenderViewSetIconSize__2Function
//input a0 a1 
//output none
ArrayVector vtkRenderViewSetIconSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIconSize (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetIconSize__2 for class vtkRenderView requires 2 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetIconSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:GetIconSize vtkRenderViewGetIconSizeFunction
//input a0 
//output y
ArrayVector vtkRenderViewGetIconSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetIconSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIconSize for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetIconSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetLabelPlacementMode vtkRenderViewSetLabelPlacementModeFunction
//input a0 a1 
//output none
ArrayVector vtkRenderViewSetLabelPlacementModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelPlacementMode (int mode); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelPlacementMode for class vtkRenderView requires 2 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLabelPlacementMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:GetLabelPlacementMode vtkRenderViewGetLabelPlacementModeFunction
//input a0 
//output y
ArrayVector vtkRenderViewGetLabelPlacementModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetLabelPlacementMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelPlacementMode for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLabelPlacementMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetLabelPlacementModeToNoOverlap vtkRenderViewSetLabelPlacementModeToNoOverlapFunction
//input a0 
//output none
ArrayVector vtkRenderViewSetLabelPlacementModeToNoOverlapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelPlacementModeToNoOverlap ();this SetLabelPlacementMode NO_OVERLAP  */
  if (arg.size() < 1) 
    throw Exception("Function SetLabelPlacementModeToNoOverlap for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtk_pointer->SetLabelPlacementModeToNoOverlap();
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetLabelPlacementModeToAll vtkRenderViewSetLabelPlacementModeToAllFunction
//input a0 
//output none
ArrayVector vtkRenderViewSetLabelPlacementModeToAllFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelPlacementModeToAll ();this SetLabelPlacementMode ALL  */
  if (arg.size() < 1) 
    throw Exception("Function SetLabelPlacementModeToAll for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtk_pointer->SetLabelPlacementModeToAll();
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetLabelRenderMode vtkRenderViewSetLabelRenderModeFunction
//input a0 a1 
//output none
ArrayVector vtkRenderViewSetLabelRenderModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelRenderMode (int mode); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelRenderMode for class vtkRenderView requires 2 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLabelRenderMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:GetLabelRenderMode vtkRenderViewGetLabelRenderModeFunction
//input a0 
//output y
ArrayVector vtkRenderViewGetLabelRenderModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetLabelRenderMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelRenderMode for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLabelRenderMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetLabelRenderModeToFreetype vtkRenderViewSetLabelRenderModeToFreetypeFunction
//input a0 
//output none
ArrayVector vtkRenderViewSetLabelRenderModeToFreetypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelRenderModeToFreetype ();this SetLabelRenderMode FREETYPE  */
  if (arg.size() < 1) 
    throw Exception("Function SetLabelRenderModeToFreetype for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtk_pointer->SetLabelRenderModeToFreetype();
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetLabelRenderModeToQt vtkRenderViewSetLabelRenderModeToQtFunction
//input a0 
//output none
ArrayVector vtkRenderViewSetLabelRenderModeToQtFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelRenderModeToQt ();this SetLabelRenderMode QT  */
  if (arg.size() < 1) 
    throw Exception("Function SetLabelRenderModeToQt for class vtkRenderView requires 1 argument(s)");
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  Array retval;
  vtk_pointer->SetLabelRenderModeToQt();
  return retval;
}

//@@Signature
//sfunction @vtkRenderView:SetIconSize vtkRenderViewSetIconSizeFunction
//input varargin
//output varargout
ArrayVector vtkRenderViewSetIconSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRenderViewSetIconSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRenderViewSetIconSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderViewSetIconSize");
}

//@@Signature
//sfunction @vtkRenderView:display vtkRenderViewDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRenderViewDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRenderView* vtk_pointer = GetVTKPointer<vtkRenderView>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRenderView:delete vtkRenderViewDeleteFunction
//input varargin
//output none
ArrayVector vtkRenderViewDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRenderView
//@@Section VTKViews
//@@Usage
// vtkRenderView is a view which contains a vtkRenderer.  You may add vtkActors
// directly to the renderer, or add certain vtkDataRepresentation subclasses
// to the renderer.  The render view supports drag selection with the mouse to
// select cells.
//
// This class is also the parent class for any more specialized view which uses
// a renderer.
//
//To create an instance of class vtkRenderView, simply
//invoke its constructor as follows
//@[
//  obj = vtkRenderView
//@]
//@@Methods
//The class vtkRenderView has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRenderView class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRenderView = obj.NewInstance ()|
// \item @|vtkRenderView = obj.SafeDownCast (vtkObject o)|
// \item @|vtkRenderer = obj.GetRenderer ()| -  Gets the renderer for this view.
//// \item @|vtkRenderWindow = obj.GetRenderWindow ()| -  Get a handle to the render window.
//// \item @|vtkRenderWindowInteractor = obj.GetInteractor ()| -  The render window interactor.
//// \item @|obj.SetInteractor (vtkRenderWindowInteractor interactor)| -  The render window interactor.
//// \item @|obj.SetInteractorStyle (vtkInteractorObserver style)| -  The interactor style associated with the render view.
//// \item @|vtkInteractorObserver = obj.GetInteractorStyle ()| -  The interactor style associated with the render view.
//// \item @|obj.SetInteractionMode (int mode)| -  Set the interaction mode for the view. Choices are:
// vtkRenderView::INTERACTION_MODE_2D - 2D interactor
// vtkRenderView::INTERACTION_MODE_3D - 3D interactor
//// \item @|int = obj.GetInteractionMode ()| -  Set the interaction mode for the view. Choices are:
// vtkRenderView::INTERACTION_MODE_2D - 2D interactor
// vtkRenderView::INTERACTION_MODE_3D - 3D interactor
//// \item @|obj.SetInteractionModeTo2D ()| -  Set the interaction mode for the view. Choices are:
// vtkRenderView::INTERACTION_MODE_2D - 2D interactor
// vtkRenderView::INTERACTION_MODE_3D - 3D interactor
//// \item @|obj.SetInteractionModeTo3D ()| -  Applies a view theme to this view.
//// \item @|obj.ApplyViewTheme (vtkViewTheme theme)| -  Applies a view theme to this view.
//// \item @|obj.SetTransform (vtkAbstractTransform transform)| -  Set the view's transform. All vtkRenderedRepresentations
// added to this view should use this transform.
//// \item @|vtkAbstractTransform = obj.GetTransform ()| -  Set the view's transform. All vtkRenderedRepresentations
// added to this view should use this transform.
//// \item @|obj.SetDisplayHoverText (bool b)| -  Whether the view should display hover text.
//// \item @|bool = obj.GetDisplayHoverText ()| -  Whether the view should display hover text.
//// \item @|obj.DisplayHoverTextOn ()| -  Whether the view should display hover text.
//// \item @|obj.DisplayHoverTextOff ()| -  Whether the view should display hover text.
//// \item @|obj.SetSelectionMode (int )| -  Sets the selection mode for the render view.
// SURFACE selection uses vtkHardwareSelector to perform a selection
// of visible cells.
// FRUSTUM selection just creates a view frustum selection, which will
// select everything in the frustum.
//// \item @|int = obj.GetSelectionModeMinValue ()| -  Sets the selection mode for the render view.
// SURFACE selection uses vtkHardwareSelector to perform a selection
// of visible cells.
// FRUSTUM selection just creates a view frustum selection, which will
// select everything in the frustum.
//// \item @|int = obj.GetSelectionModeMaxValue ()| -  Sets the selection mode for the render view.
// SURFACE selection uses vtkHardwareSelector to perform a selection
// of visible cells.
// FRUSTUM selection just creates a view frustum selection, which will
// select everything in the frustum.
//// \item @|int = obj.GetSelectionMode ()| -  Sets the selection mode for the render view.
// SURFACE selection uses vtkHardwareSelector to perform a selection
// of visible cells.
// FRUSTUM selection just creates a view frustum selection, which will
// select everything in the frustum.
//// \item @|obj.SetSelectionModeToSurface ()| -  Sets the selection mode for the render view.
// SURFACE selection uses vtkHardwareSelector to perform a selection
// of visible cells.
// FRUSTUM selection just creates a view frustum selection, which will
// select everything in the frustum.
//// \item @|obj.SetSelectionModeToFrustum ()| -  Updates the representations, then calls Render() on the render window
// associated with this view.
//// \item @|obj.Render ()| -  Updates the representations, then calls Render() on the render window
// associated with this view.
//// \item @|obj.ResetCamera ()| -  Updates the representations, then calls ResetCamera() on the renderer
// associated with this view.
//// \item @|obj.ResetCameraClippingRange ()| -  Updates the representations, then calls ResetCameraClippingRange() on the renderer
// associated with this view.
//// \item @|obj.AddLabels (vtkAlgorithmOutput conn)| -  Add labels from an input connection with an associated text
// property. The output must be a vtkLabelHierarchy (normally the
// output of vtkPointSetToLabelHierarchy).
//// \item @|obj.RemoveLabels (vtkAlgorithmOutput conn)| -  Remove labels from an input connection.
//// \item @|obj.SetIconTexture (vtkTexture texture)| -  Set the icon sheet to use for rendering icons.
//// \item @|vtkTexture = obj.GetIconTexture ()| -  Set the icon sheet to use for rendering icons.
//// \item @|obj.SetIconSize (int , int )| -  Set the size of each icon in the icon texture.
//// \item @|obj.SetIconSize (int  a[2])| -  Set the size of each icon in the icon texture.
//// \item @|int = obj. GetIconSize ()| -  Set the size of each icon in the icon texture.
//// \item @|obj.SetLabelPlacementMode (int mode)| -  Label placement mode.
// NO_OVERLAP uses vtkLabelPlacementMapper, which has a faster startup time and
// works with 2D or 3D labels.
// ALL displays all labels (Warning: This may cause incredibly slow render
// times on datasets with more than a few hundred labels).
//// \item @|int = obj.GetLabelPlacementMode ()| -  Label placement mode.
// NO_OVERLAP uses vtkLabelPlacementMapper, which has a faster startup time and
// works with 2D or 3D labels.
// ALL displays all labels (Warning: This may cause incredibly slow render
// times on datasets with more than a few hundred labels).
//// \item @|obj.SetLabelPlacementModeToNoOverlap ()| -  Label placement mode.
// NO_OVERLAP uses vtkLabelPlacementMapper, which has a faster startup time and
// works with 2D or 3D labels.
// ALL displays all labels (Warning: This may cause incredibly slow render
// times on datasets with more than a few hundred labels).
//// \item @|obj.SetLabelPlacementModeToAll ()| -  Label render mode.
// FREETYPE uses the freetype label rendering.
// QT uses more advanced Qt-based label rendering.
//// \item @|obj.SetLabelRenderMode (int mode)| -  Label render mode.
// FREETYPE uses the freetype label rendering.
// QT uses more advanced Qt-based label rendering.
//// \item @|int = obj.GetLabelRenderMode ()| -  Label render mode.
// FREETYPE uses the freetype label rendering.
// QT uses more advanced Qt-based label rendering.
//// \item @|obj.SetLabelRenderModeToFreetype ()| -  Label render mode.
// FREETYPE uses the freetype label rendering.
// QT uses more advanced Qt-based label rendering.
//// \item @|obj.SetLabelRenderModeToQt ()|
//\end{itemize}
//!
