#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRenderedGraphRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRenderedGraphRepresentation.h"

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:vtkRenderedGraphRepresentation vtkRenderedGraphRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkRenderedGraphRepresentation vtkRenderedRepresentation 
ArrayVector vtkRenderedGraphRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRenderedGraphRepresentation::New(),"vtkRenderedGraphRepresentation",eval);
  } else if (arg[0].className() == "vtkRenderedGraphRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRenderedGraphRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRenderedGraphRepresentation");
    vtkRenderedGraphRepresentation*q = reinterpret_cast<vtkRenderedGraphRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRenderedGraphRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetClassName vtkRenderedGraphRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:IsA vtkRenderedGraphRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRenderedGraphRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:NewInstance vtkRenderedGraphRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderedGraphRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtkRenderedGraphRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderedGraphRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SafeDownCast vtkRenderedGraphRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRenderedGraphRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderedGraphRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRenderedGraphRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderedGraphRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetVertexLabelArrayName vtkRenderedGraphRepresentationSetVertexLabelArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetVertexLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexLabelArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexLabelArrayName for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetVertexLabelArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetVertexLabelArrayName vtkRenderedGraphRepresentationGetVertexLabelArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetVertexLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetVertexLabelArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexLabelArrayName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVertexLabelArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetVertexLabelPriorityArrayName vtkRenderedGraphRepresentationSetVertexLabelPriorityArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetVertexLabelPriorityArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexLabelPriorityArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexLabelPriorityArrayName for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetVertexLabelPriorityArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetVertexLabelPriorityArrayName vtkRenderedGraphRepresentationGetVertexLabelPriorityArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetVertexLabelPriorityArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetVertexLabelPriorityArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexLabelPriorityArrayName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVertexLabelPriorityArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetVertexLabelVisibility vtkRenderedGraphRepresentationSetVertexLabelVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetVertexLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexLabelVisibility (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexLabelVisibility for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetVertexLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetVertexLabelVisibility vtkRenderedGraphRepresentationGetVertexLabelVisibilityFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetVertexLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetVertexLabelVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexLabelVisibility for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetVertexLabelVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:VertexLabelVisibilityOn vtkRenderedGraphRepresentationVertexLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationVertexLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VertexLabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function VertexLabelVisibilityOn for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->VertexLabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:VertexLabelVisibilityOff vtkRenderedGraphRepresentationVertexLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationVertexLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VertexLabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function VertexLabelVisibilityOff for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->VertexLabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetVertexLabelTextProperty vtkRenderedGraphRepresentationSetVertexLabelTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetVertexLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexLabelTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexLabelTextProperty for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetVertexLabelTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetVertexLabelTextProperty vtkRenderedGraphRepresentationGetVertexLabelTextPropertyFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetVertexLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkTextProperty *GetVertexLabelTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexLabelTextProperty for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetVertexLabelTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetVertexHoverArrayName vtkRenderedGraphRepresentationSetVertexHoverArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetVertexHoverArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertexHoverArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexHoverArrayName for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetVertexHoverArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetVertexHoverArrayName vtkRenderedGraphRepresentationGetVertexHoverArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetVertexHoverArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetVertexHoverArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexHoverArrayName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetVertexHoverArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetHideVertexLabelsOnInteraction vtkRenderedGraphRepresentationSetHideVertexLabelsOnInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetHideVertexLabelsOnInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHideVertexLabelsOnInteraction (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHideVertexLabelsOnInteraction for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetHideVertexLabelsOnInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetHideVertexLabelsOnInteraction vtkRenderedGraphRepresentationGetHideVertexLabelsOnInteractionFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetHideVertexLabelsOnInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetHideVertexLabelsOnInteraction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHideVertexLabelsOnInteraction for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetHideVertexLabelsOnInteraction();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:HideVertexLabelsOnInteractionOn vtkRenderedGraphRepresentationHideVertexLabelsOnInteractionOnFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationHideVertexLabelsOnInteractionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HideVertexLabelsOnInteractionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HideVertexLabelsOnInteractionOn for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->HideVertexLabelsOnInteractionOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:HideVertexLabelsOnInteractionOff vtkRenderedGraphRepresentationHideVertexLabelsOnInteractionOffFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationHideVertexLabelsOnInteractionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HideVertexLabelsOnInteractionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HideVertexLabelsOnInteractionOff for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->HideVertexLabelsOnInteractionOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeLabelArrayName vtkRenderedGraphRepresentationSetEdgeLabelArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEdgeLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeLabelArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeLabelArrayName for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgeLabelArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEdgeLabelArrayName vtkRenderedGraphRepresentationGetEdgeLabelArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEdgeLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetEdgeLabelArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeLabelArrayName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetEdgeLabelArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeLabelPriorityArrayName vtkRenderedGraphRepresentationSetEdgeLabelPriorityArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEdgeLabelPriorityArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeLabelPriorityArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeLabelPriorityArrayName for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgeLabelPriorityArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEdgeLabelPriorityArrayName vtkRenderedGraphRepresentationGetEdgeLabelPriorityArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEdgeLabelPriorityArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetEdgeLabelPriorityArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeLabelPriorityArrayName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetEdgeLabelPriorityArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeLabelVisibility vtkRenderedGraphRepresentationSetEdgeLabelVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEdgeLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeLabelVisibility (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeLabelVisibility for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEdgeLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEdgeLabelVisibility vtkRenderedGraphRepresentationGetEdgeLabelVisibilityFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEdgeLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetEdgeLabelVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeLabelVisibility for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetEdgeLabelVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:EdgeLabelVisibilityOn vtkRenderedGraphRepresentationEdgeLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationEdgeLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeLabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeLabelVisibilityOn for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->EdgeLabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:EdgeLabelVisibilityOff vtkRenderedGraphRepresentationEdgeLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationEdgeLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeLabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeLabelVisibilityOff for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->EdgeLabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeLabelTextProperty vtkRenderedGraphRepresentationSetEdgeLabelTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEdgeLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeLabelTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeLabelTextProperty for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetEdgeLabelTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEdgeLabelTextProperty vtkRenderedGraphRepresentationGetEdgeLabelTextPropertyFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEdgeLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkTextProperty *GetEdgeLabelTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeLabelTextProperty for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetEdgeLabelTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeHoverArrayName vtkRenderedGraphRepresentationSetEdgeHoverArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEdgeHoverArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeHoverArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeHoverArrayName for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgeHoverArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEdgeHoverArrayName vtkRenderedGraphRepresentationGetEdgeHoverArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEdgeHoverArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetEdgeHoverArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeHoverArrayName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetEdgeHoverArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetHideEdgeLabelsOnInteraction vtkRenderedGraphRepresentationSetHideEdgeLabelsOnInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetHideEdgeLabelsOnInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHideEdgeLabelsOnInteraction (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHideEdgeLabelsOnInteraction for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetHideEdgeLabelsOnInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetHideEdgeLabelsOnInteraction vtkRenderedGraphRepresentationGetHideEdgeLabelsOnInteractionFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetHideEdgeLabelsOnInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetHideEdgeLabelsOnInteraction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHideEdgeLabelsOnInteraction for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetHideEdgeLabelsOnInteraction();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:HideEdgeLabelsOnInteractionOn vtkRenderedGraphRepresentationHideEdgeLabelsOnInteractionOnFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationHideEdgeLabelsOnInteractionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HideEdgeLabelsOnInteractionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HideEdgeLabelsOnInteractionOn for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->HideEdgeLabelsOnInteractionOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:HideEdgeLabelsOnInteractionOff vtkRenderedGraphRepresentationHideEdgeLabelsOnInteractionOffFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationHideEdgeLabelsOnInteractionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HideEdgeLabelsOnInteractionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HideEdgeLabelsOnInteractionOff for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->HideEdgeLabelsOnInteractionOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetVertexIconArrayName vtkRenderedGraphRepresentationSetVertexIconArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetVertexIconArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexIconArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexIconArrayName for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetVertexIconArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetVertexIconArrayName vtkRenderedGraphRepresentationGetVertexIconArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetVertexIconArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetVertexIconArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexIconArrayName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVertexIconArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetVertexIconPriorityArrayName vtkRenderedGraphRepresentationSetVertexIconPriorityArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetVertexIconPriorityArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexIconPriorityArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexIconPriorityArrayName for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetVertexIconPriorityArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetVertexIconPriorityArrayName vtkRenderedGraphRepresentationGetVertexIconPriorityArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetVertexIconPriorityArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetVertexIconPriorityArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexIconPriorityArrayName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVertexIconPriorityArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetVertexIconVisibility vtkRenderedGraphRepresentationSetVertexIconVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetVertexIconVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexIconVisibility (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexIconVisibility for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetVertexIconVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetVertexIconVisibility vtkRenderedGraphRepresentationGetVertexIconVisibilityFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetVertexIconVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetVertexIconVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexIconVisibility for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetVertexIconVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:VertexIconVisibilityOn vtkRenderedGraphRepresentationVertexIconVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationVertexIconVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VertexIconVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function VertexIconVisibilityOn for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->VertexIconVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:VertexIconVisibilityOff vtkRenderedGraphRepresentationVertexIconVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationVertexIconVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VertexIconVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function VertexIconVisibilityOff for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->VertexIconVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:AddVertexIconType vtkRenderedGraphRepresentationAddVertexIconTypeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkRenderedGraphRepresentationAddVertexIconTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddVertexIconType (const char *name, int type); */
  if (arg.size() < 3) 
    throw Exception("Function AddVertexIconType for class vtkRenderedGraphRepresentation requires 3 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->AddVertexIconType(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:ClearVertexIconTypes vtkRenderedGraphRepresentationClearVertexIconTypesFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationClearVertexIconTypesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ClearVertexIconTypes (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearVertexIconTypes for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ClearVertexIconTypes();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetUseVertexIconTypeMap vtkRenderedGraphRepresentationSetUseVertexIconTypeMapFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetUseVertexIconTypeMapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetUseVertexIconTypeMap (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseVertexIconTypeMap for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseVertexIconTypeMap(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetUseVertexIconTypeMap vtkRenderedGraphRepresentationGetUseVertexIconTypeMapFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetUseVertexIconTypeMapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetUseVertexIconTypeMap (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseVertexIconTypeMap for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseVertexIconTypeMap();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:UseVertexIconTypeMapOn vtkRenderedGraphRepresentationUseVertexIconTypeMapOnFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationUseVertexIconTypeMapOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseVertexIconTypeMapOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseVertexIconTypeMapOn for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->UseVertexIconTypeMapOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:UseVertexIconTypeMapOff vtkRenderedGraphRepresentationUseVertexIconTypeMapOffFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationUseVertexIconTypeMapOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseVertexIconTypeMapOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseVertexIconTypeMapOff for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->UseVertexIconTypeMapOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetVertexIconAlignment vtkRenderedGraphRepresentationSetVertexIconAlignmentFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetVertexIconAlignmentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexIconAlignment (int align); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexIconAlignment for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVertexIconAlignment(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetVertexIconAlignment vtkRenderedGraphRepresentationGetVertexIconAlignmentFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetVertexIconAlignmentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetVertexIconAlignment (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexIconAlignment for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVertexIconAlignment();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetVertexSelectedIcon vtkRenderedGraphRepresentationSetVertexSelectedIconFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetVertexSelectedIconFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexSelectedIcon (int icon); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexSelectedIcon for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVertexSelectedIcon(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetVertexSelectedIcon vtkRenderedGraphRepresentationGetVertexSelectedIconFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetVertexSelectedIconFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetVertexSelectedIcon (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexSelectedIcon for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVertexSelectedIcon();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetVertexIconSelectionMode vtkRenderedGraphRepresentationSetVertexIconSelectionModeFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetVertexIconSelectionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexIconSelectionMode (int mode); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexIconSelectionMode for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVertexIconSelectionMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetVertexIconSelectionMode vtkRenderedGraphRepresentationGetVertexIconSelectionModeFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetVertexIconSelectionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetVertexIconSelectionMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexIconSelectionMode for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVertexIconSelectionMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetVertexIconSelectionModeToSelectedIcon vtkRenderedGraphRepresentationSetVertexIconSelectionModeToSelectedIconFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetVertexIconSelectionModeToSelectedIconFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexIconSelectionModeToSelectedIcon ();this SetVertexIconSelectionMode  */
  if (arg.size() < 1) 
    throw Exception("Function SetVertexIconSelectionModeToSelectedIcon for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetVertexIconSelectionModeToSelectedIcon();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetVertexIconSelectionModeToSelectedOffset vtkRenderedGraphRepresentationSetVertexIconSelectionModeToSelectedOffsetFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetVertexIconSelectionModeToSelectedOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexIconSelectionModeToSelectedOffset ();this SetVertexIconSelectionMode  */
  if (arg.size() < 1) 
    throw Exception("Function SetVertexIconSelectionModeToSelectedOffset for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetVertexIconSelectionModeToSelectedOffset();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetVertexIconSelectionModeToAnnotationIcon vtkRenderedGraphRepresentationSetVertexIconSelectionModeToAnnotationIconFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetVertexIconSelectionModeToAnnotationIconFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexIconSelectionModeToAnnotationIcon ();this SetVertexIconSelectionMode  */
  if (arg.size() < 1) 
    throw Exception("Function SetVertexIconSelectionModeToAnnotationIcon for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetVertexIconSelectionModeToAnnotationIcon();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetVertexIconSelectionModeToIgnoreSelection vtkRenderedGraphRepresentationSetVertexIconSelectionModeToIgnoreSelectionFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetVertexIconSelectionModeToIgnoreSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexIconSelectionModeToIgnoreSelection ();this SetVertexIconSelectionMode  */
  if (arg.size() < 1) 
    throw Exception("Function SetVertexIconSelectionModeToIgnoreSelection for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetVertexIconSelectionModeToIgnoreSelection();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeIconArrayName vtkRenderedGraphRepresentationSetEdgeIconArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEdgeIconArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeIconArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeIconArrayName for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgeIconArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEdgeIconArrayName vtkRenderedGraphRepresentationGetEdgeIconArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEdgeIconArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetEdgeIconArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeIconArrayName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetEdgeIconArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeIconPriorityArrayName vtkRenderedGraphRepresentationSetEdgeIconPriorityArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEdgeIconPriorityArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeIconPriorityArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeIconPriorityArrayName for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgeIconPriorityArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEdgeIconPriorityArrayName vtkRenderedGraphRepresentationGetEdgeIconPriorityArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEdgeIconPriorityArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetEdgeIconPriorityArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeIconPriorityArrayName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetEdgeIconPriorityArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeIconVisibility vtkRenderedGraphRepresentationSetEdgeIconVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEdgeIconVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeIconVisibility (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeIconVisibility for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEdgeIconVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEdgeIconVisibility vtkRenderedGraphRepresentationGetEdgeIconVisibilityFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEdgeIconVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetEdgeIconVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeIconVisibility for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetEdgeIconVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:EdgeIconVisibilityOn vtkRenderedGraphRepresentationEdgeIconVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationEdgeIconVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeIconVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeIconVisibilityOn for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->EdgeIconVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:EdgeIconVisibilityOff vtkRenderedGraphRepresentationEdgeIconVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationEdgeIconVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeIconVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeIconVisibilityOff for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->EdgeIconVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:AddEdgeIconType vtkRenderedGraphRepresentationAddEdgeIconTypeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkRenderedGraphRepresentationAddEdgeIconTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddEdgeIconType (const char *name, int type); */
  if (arg.size() < 3) 
    throw Exception("Function AddEdgeIconType for class vtkRenderedGraphRepresentation requires 3 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->AddEdgeIconType(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:ClearEdgeIconTypes vtkRenderedGraphRepresentationClearEdgeIconTypesFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationClearEdgeIconTypesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ClearEdgeIconTypes (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearEdgeIconTypes for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ClearEdgeIconTypes();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetUseEdgeIconTypeMap vtkRenderedGraphRepresentationSetUseEdgeIconTypeMapFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetUseEdgeIconTypeMapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetUseEdgeIconTypeMap (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseEdgeIconTypeMap for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseEdgeIconTypeMap(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetUseEdgeIconTypeMap vtkRenderedGraphRepresentationGetUseEdgeIconTypeMapFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetUseEdgeIconTypeMapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetUseEdgeIconTypeMap (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseEdgeIconTypeMap for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseEdgeIconTypeMap();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:UseEdgeIconTypeMapOn vtkRenderedGraphRepresentationUseEdgeIconTypeMapOnFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationUseEdgeIconTypeMapOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseEdgeIconTypeMapOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseEdgeIconTypeMapOn for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->UseEdgeIconTypeMapOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:UseEdgeIconTypeMapOff vtkRenderedGraphRepresentationUseEdgeIconTypeMapOffFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationUseEdgeIconTypeMapOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseEdgeIconTypeMapOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseEdgeIconTypeMapOff for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->UseEdgeIconTypeMapOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeIconAlignment vtkRenderedGraphRepresentationSetEdgeIconAlignmentFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEdgeIconAlignmentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeIconAlignment (int align); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeIconAlignment for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEdgeIconAlignment(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEdgeIconAlignment vtkRenderedGraphRepresentationGetEdgeIconAlignmentFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEdgeIconAlignmentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetEdgeIconAlignment (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeIconAlignment for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEdgeIconAlignment();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetColorVerticesByArray vtkRenderedGraphRepresentationSetColorVerticesByArrayFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetColorVerticesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetColorVerticesByArray (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorVerticesByArray for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetColorVerticesByArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetColorVerticesByArray vtkRenderedGraphRepresentationGetColorVerticesByArrayFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetColorVerticesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetColorVerticesByArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorVerticesByArray for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetColorVerticesByArray();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:ColorVerticesByArrayOn vtkRenderedGraphRepresentationColorVerticesByArrayOnFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationColorVerticesByArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorVerticesByArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorVerticesByArrayOn for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ColorVerticesByArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:ColorVerticesByArrayOff vtkRenderedGraphRepresentationColorVerticesByArrayOffFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationColorVerticesByArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorVerticesByArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorVerticesByArrayOff for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ColorVerticesByArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetVertexColorArrayName vtkRenderedGraphRepresentationSetVertexColorArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetVertexColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexColorArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexColorArrayName for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetVertexColorArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetVertexColorArrayName vtkRenderedGraphRepresentationGetVertexColorArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetVertexColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetVertexColorArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexColorArrayName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVertexColorArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetColorEdgesByArray vtkRenderedGraphRepresentationSetColorEdgesByArrayFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetColorEdgesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetColorEdgesByArray (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorEdgesByArray for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetColorEdgesByArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetColorEdgesByArray vtkRenderedGraphRepresentationGetColorEdgesByArrayFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetColorEdgesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetColorEdgesByArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorEdgesByArray for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetColorEdgesByArray();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:ColorEdgesByArrayOn vtkRenderedGraphRepresentationColorEdgesByArrayOnFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationColorEdgesByArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorEdgesByArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorEdgesByArrayOn for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ColorEdgesByArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:ColorEdgesByArrayOff vtkRenderedGraphRepresentationColorEdgesByArrayOffFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationColorEdgesByArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorEdgesByArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorEdgesByArrayOff for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ColorEdgesByArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeColorArrayName vtkRenderedGraphRepresentationSetEdgeColorArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEdgeColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeColorArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeColorArrayName for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgeColorArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEdgeColorArrayName vtkRenderedGraphRepresentationGetEdgeColorArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEdgeColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetEdgeColorArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeColorArrayName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetEdgeColorArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEnableVerticesByArray vtkRenderedGraphRepresentationSetEnableVerticesByArrayFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEnableVerticesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnableVerticesByArray (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnableVerticesByArray for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEnableVerticesByArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEnableVerticesByArray vtkRenderedGraphRepresentationGetEnableVerticesByArrayFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEnableVerticesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetEnableVerticesByArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnableVerticesByArray for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetEnableVerticesByArray();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:EnableVerticesByArrayOn vtkRenderedGraphRepresentationEnableVerticesByArrayOnFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationEnableVerticesByArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableVerticesByArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableVerticesByArrayOn for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->EnableVerticesByArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:EnableVerticesByArrayOff vtkRenderedGraphRepresentationEnableVerticesByArrayOffFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationEnableVerticesByArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableVerticesByArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableVerticesByArrayOff for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->EnableVerticesByArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEnabledVerticesArrayName vtkRenderedGraphRepresentationSetEnabledVerticesArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEnabledVerticesArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabledVerticesArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabledVerticesArrayName for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEnabledVerticesArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEnabledVerticesArrayName vtkRenderedGraphRepresentationGetEnabledVerticesArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEnabledVerticesArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetEnabledVerticesArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnabledVerticesArrayName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetEnabledVerticesArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEnableEdgesByArray vtkRenderedGraphRepresentationSetEnableEdgesByArrayFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEnableEdgesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnableEdgesByArray (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnableEdgesByArray for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEnableEdgesByArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEnableEdgesByArray vtkRenderedGraphRepresentationGetEnableEdgesByArrayFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEnableEdgesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetEnableEdgesByArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnableEdgesByArray for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetEnableEdgesByArray();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:EnableEdgesByArrayOn vtkRenderedGraphRepresentationEnableEdgesByArrayOnFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationEnableEdgesByArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableEdgesByArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableEdgesByArrayOn for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->EnableEdgesByArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:EnableEdgesByArrayOff vtkRenderedGraphRepresentationEnableEdgesByArrayOffFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationEnableEdgesByArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableEdgesByArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableEdgesByArrayOff for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->EnableEdgesByArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEnabledEdgesArrayName vtkRenderedGraphRepresentationSetEnabledEdgesArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEnabledEdgesArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabledEdgesArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabledEdgesArrayName for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEnabledEdgesArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEnabledEdgesArrayName vtkRenderedGraphRepresentationGetEnabledEdgesArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEnabledEdgesArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetEnabledEdgesArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnabledEdgesArrayName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetEnabledEdgesArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeVisibility vtkRenderedGraphRepresentationSetEdgeVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEdgeVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeVisibility (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeVisibility for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEdgeVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEdgeVisibility vtkRenderedGraphRepresentationGetEdgeVisibilityFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEdgeVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetEdgeVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeVisibility for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetEdgeVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:EdgeVisibilityOn vtkRenderedGraphRepresentationEdgeVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationEdgeVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeVisibilityOn for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->EdgeVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:EdgeVisibilityOff vtkRenderedGraphRepresentationEdgeVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationEdgeVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeVisibilityOff for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->EdgeVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategy__1 vtkRenderedGraphRepresentationSetLayoutStrategy__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategy__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLayoutStrategy (vtkGraphLayoutStrategy *strategy); */
  if (arg.size() < 2) 
    throw Exception("Function SetLayoutStrategy__1 for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtkGraphLayoutStrategy  *temp0;
  temp0 = GetVTKPointer<vtkGraphLayoutStrategy>(arg[1]);
  vtk_pointer->SetLayoutStrategy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetLayoutStrategy vtkRenderedGraphRepresentationGetLayoutStrategyFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkGraphLayoutStrategy *GetLayoutStrategy (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLayoutStrategy for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtkGraphLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->GetLayoutStrategy();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategy__2 vtkRenderedGraphRepresentationSetLayoutStrategy__2Function
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategy__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLayoutStrategy (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetLayoutStrategy__2 for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLayoutStrategy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetLayoutStrategyName vtkRenderedGraphRepresentationGetLayoutStrategyNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetLayoutStrategyNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLayoutStrategyName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLayoutStrategyName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLayoutStrategyName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategyToRandom vtkRenderedGraphRepresentationSetLayoutStrategyToRandomFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyToRandomFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToRandom ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToRandom for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToRandom();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategyToForceDirected vtkRenderedGraphRepresentationSetLayoutStrategyToForceDirectedFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyToForceDirectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToForceDirected ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToForceDirected for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToForceDirected();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategyToSimple2D vtkRenderedGraphRepresentationSetLayoutStrategyToSimple2DFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyToSimple2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToSimple2D ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToSimple2D for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToSimple2D();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategyToClustering2D vtkRenderedGraphRepresentationSetLayoutStrategyToClustering2DFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyToClustering2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToClustering2D ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToClustering2D for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToClustering2D();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategyToCommunity2D vtkRenderedGraphRepresentationSetLayoutStrategyToCommunity2DFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyToCommunity2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToCommunity2D ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToCommunity2D for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToCommunity2D();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategyToFast2D vtkRenderedGraphRepresentationSetLayoutStrategyToFast2DFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyToFast2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToFast2D ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToFast2D for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToFast2D();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategyToPassThrough vtkRenderedGraphRepresentationSetLayoutStrategyToPassThroughFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyToPassThroughFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToPassThrough ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToPassThrough for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToPassThrough();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategyToCircular vtkRenderedGraphRepresentationSetLayoutStrategyToCircularFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyToCircularFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToCircular ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToCircular for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToCircular();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategyToTree__1 vtkRenderedGraphRepresentationSetLayoutStrategyToTree__1Function
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyToTree__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToTree ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToTree__1 for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToTree();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategyToCosmicTree__1 vtkRenderedGraphRepresentationSetLayoutStrategyToCosmicTree__1Function
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyToCosmicTree__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToCosmicTree ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToCosmicTree__1 for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToCosmicTree();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategyToCone vtkRenderedGraphRepresentationSetLayoutStrategyToConeFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyToConeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToCone ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToCone for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToCone();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategyToSpanTree vtkRenderedGraphRepresentationSetLayoutStrategyToSpanTreeFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyToSpanTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategyToSpanTree ();this SetLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToSpanTree for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToSpanTree();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategyToAssignCoordinates vtkRenderedGraphRepresentationSetLayoutStrategyToAssignCoordinatesFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyToAssignCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLayoutStrategyToAssignCoordinates (const char *xarr, const char *yarr, const char *zarr); */
  if (arg.size() < 4) 
    throw Exception("Function SetLayoutStrategyToAssignCoordinates for class vtkRenderedGraphRepresentation requires 4 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char    *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  vtk_pointer->SetLayoutStrategyToAssignCoordinates(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategyToTree__2 vtkRenderedGraphRepresentationSetLayoutStrategyToTree__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyToTree__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLayoutStrategyToTree (bool radial, double angle, double leafSpacing, double logSpacing); */
  if (arg.size() < 5) 
    throw Exception("Function SetLayoutStrategyToTree__2 for class vtkRenderedGraphRepresentation requires 5 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetLayoutStrategyToTree(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategyToCosmicTree__2 vtkRenderedGraphRepresentationSetLayoutStrategyToCosmicTree__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyToCosmicTree__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLayoutStrategyToCosmicTree (const char *nodeSizeArrayName, bool sizeLeafNodesOnlytrue, int layoutDepth, vtkIdType layoutRoot); */
  if (arg.size() < 5) 
    throw Exception("Function SetLayoutStrategyToCosmicTree__2 for class vtkRenderedGraphRepresentation requires 5 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  bool   temp1;
  int      temp2;
  vtkIdType   temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetLayoutStrategyToCosmicTree(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeLayoutStrategy__1 vtkRenderedGraphRepresentationSetEdgeLayoutStrategy__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEdgeLayoutStrategy__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeLayoutStrategy (vtkEdgeLayoutStrategy *strategy); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeLayoutStrategy__1 for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtkEdgeLayoutStrategy  *temp0;
  temp0 = GetVTKPointer<vtkEdgeLayoutStrategy>(arg[1]);
  vtk_pointer->SetEdgeLayoutStrategy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEdgeLayoutStrategy vtkRenderedGraphRepresentationGetEdgeLayoutStrategyFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEdgeLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkEdgeLayoutStrategy *GetEdgeLayoutStrategy (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeLayoutStrategy for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtkEdgeLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->GetEdgeLayoutStrategy();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgeLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeLayoutStrategyToArcParallel vtkRenderedGraphRepresentationSetEdgeLayoutStrategyToArcParallelFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEdgeLayoutStrategyToArcParallelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeLayoutStrategyToArcParallel ();this SetEdgeLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetEdgeLayoutStrategyToArcParallel for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetEdgeLayoutStrategyToArcParallel();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeLayoutStrategyToPassThrough vtkRenderedGraphRepresentationSetEdgeLayoutStrategyToPassThroughFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEdgeLayoutStrategyToPassThroughFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeLayoutStrategyToPassThrough ();this SetEdgeLayoutStrategy  */
  if (arg.size() < 1) 
    throw Exception("Function SetEdgeLayoutStrategyToPassThrough for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetEdgeLayoutStrategyToPassThrough();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeLayoutStrategyToGeo vtkRenderedGraphRepresentationSetEdgeLayoutStrategyToGeoFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEdgeLayoutStrategyToGeoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeLayoutStrategyToGeo (double explodeFactor); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeLayoutStrategyToGeo for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetEdgeLayoutStrategyToGeo(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeLayoutStrategy__2 vtkRenderedGraphRepresentationSetEdgeLayoutStrategy__2Function
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEdgeLayoutStrategy__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeLayoutStrategy (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeLayoutStrategy__2 for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgeLayoutStrategy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEdgeLayoutStrategyName vtkRenderedGraphRepresentationGetEdgeLayoutStrategyNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEdgeLayoutStrategyNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetEdgeLayoutStrategyName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeLayoutStrategyName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetEdgeLayoutStrategyName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:ApplyViewTheme vtkRenderedGraphRepresentationApplyViewThemeFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationApplyViewThemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ApplyViewTheme (vtkViewTheme *theme); */
  if (arg.size() < 2) 
    throw Exception("Function ApplyViewTheme for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtkViewTheme  *temp0;
  temp0 = GetVTKPointer<vtkViewTheme>(arg[1]);
  vtk_pointer->ApplyViewTheme(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetGlyphType vtkRenderedGraphRepresentationSetGlyphTypeFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetGlyphTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGlyphType (int type); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlyphType for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGlyphType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetGlyphType vtkRenderedGraphRepresentationGetGlyphTypeFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetGlyphTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetGlyphType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlyphType for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGlyphType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetScaling vtkRenderedGraphRepresentationSetScalingFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetScalingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetScaling (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaling for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetScaling(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetScaling vtkRenderedGraphRepresentationGetScalingFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetScalingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetScaling (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaling for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetScaling();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:ScalingOn vtkRenderedGraphRepresentationScalingOnFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationScalingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalingOn for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ScalingOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:ScalingOff vtkRenderedGraphRepresentationScalingOffFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationScalingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalingOff for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ScalingOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetScalingArrayName vtkRenderedGraphRepresentationSetScalingArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetScalingArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetScalingArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalingArrayName for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetScalingArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetScalingArrayName vtkRenderedGraphRepresentationGetScalingArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetScalingArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetScalingArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalingArrayName for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetScalingArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetVertexScalarBarVisibility vtkRenderedGraphRepresentationSetVertexScalarBarVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetVertexScalarBarVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexScalarBarVisibility (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexScalarBarVisibility for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetVertexScalarBarVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetVertexScalarBarVisibility vtkRenderedGraphRepresentationGetVertexScalarBarVisibilityFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetVertexScalarBarVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetVertexScalarBarVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexScalarBarVisibility for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetVertexScalarBarVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeScalarBarVisibility vtkRenderedGraphRepresentationSetEdgeScalarBarVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationSetEdgeScalarBarVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeScalarBarVisibility (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeScalarBarVisibility for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEdgeScalarBarVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:GetEdgeScalarBarVisibility vtkRenderedGraphRepresentationGetEdgeScalarBarVisibilityFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationGetEdgeScalarBarVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetEdgeScalarBarVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeScalarBarVisibility for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetEdgeScalarBarVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:IsLayoutComplete vtkRenderedGraphRepresentationIsLayoutCompleteFunction
//input a0 
//output y
ArrayVector vtkRenderedGraphRepresentationIsLayoutCompleteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool IsLayoutComplete (); */
  if (arg.size() < 1) 
    throw Exception("Function IsLayoutComplete for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->IsLayoutComplete();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:UpdateLayout vtkRenderedGraphRepresentationUpdateLayoutFunction
//input a0 
//output none
ArrayVector vtkRenderedGraphRepresentationUpdateLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateLayout (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateLayout for class vtkRenderedGraphRepresentation requires 1 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->UpdateLayout();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:ComputeSelectedGraphBounds vtkRenderedGraphRepresentationComputeSelectedGraphBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedGraphRepresentationComputeSelectedGraphBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeSelectedGraphBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function ComputeSelectedGraphBounds for class vtkRenderedGraphRepresentation requires 2 argument(s)");
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->ComputeSelectedGraphBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategy vtkRenderedGraphRepresentationSetLayoutStrategyFunction
//input varargin
//output varargout
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkGraphLayoutStrategy"))
    return vtkRenderedGraphRepresentationSetLayoutStrategy__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkRenderedGraphRepresentationSetLayoutStrategy__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedGraphRepresentationSetLayoutStrategy");
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategyToTree vtkRenderedGraphRepresentationSetLayoutStrategyToTreeFunction
//input varargin
//output varargout
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyToTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedGraphRepresentationSetLayoutStrategyToTree__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkRenderedGraphRepresentationSetLayoutStrategyToTree__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedGraphRepresentationSetLayoutStrategyToTree");
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetLayoutStrategyToCosmicTree vtkRenderedGraphRepresentationSetLayoutStrategyToCosmicTreeFunction
//input varargin
//output varargout
ArrayVector vtkRenderedGraphRepresentationSetLayoutStrategyToCosmicTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedGraphRepresentationSetLayoutStrategyToCosmicTree__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkRenderedGraphRepresentationSetLayoutStrategyToCosmicTree__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedGraphRepresentationSetLayoutStrategyToCosmicTree");
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:SetEdgeLayoutStrategy vtkRenderedGraphRepresentationSetEdgeLayoutStrategyFunction
//input varargin
//output varargout
ArrayVector vtkRenderedGraphRepresentationSetEdgeLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkEdgeLayoutStrategy"))
    return vtkRenderedGraphRepresentationSetEdgeLayoutStrategy__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkRenderedGraphRepresentationSetEdgeLayoutStrategy__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedGraphRepresentationSetEdgeLayoutStrategy");
}

//@@Signature
//sfunction @vtkRenderedGraphRepresentation:display vtkRenderedGraphRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRenderedGraphRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRenderedGraphRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedGraphRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRenderedGraphRepresentation:delete vtkRenderedGraphRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkRenderedGraphRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRenderedGraphRepresentation
//@@Section VTKViews
//@@Usage
//
//To create an instance of class vtkRenderedGraphRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkRenderedGraphRepresentation
//@]
//@@Methods
//The class vtkRenderedGraphRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRenderedGraphRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRenderedGraphRepresentation = obj.NewInstance ()|
// \item @|vtkRenderedGraphRepresentation = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetVertexLabelArrayName (string name)|
// \item @|string = obj.GetVertexLabelArrayName ()|
// \item @|obj.SetVertexLabelPriorityArrayName (string name)|
// \item @|string = obj.GetVertexLabelPriorityArrayName ()|
// \item @|obj.SetVertexLabelVisibility (bool b)|
// \item @|bool = obj.GetVertexLabelVisibility ()|
// \item @|obj.VertexLabelVisibilityOn ()|
// \item @|obj.VertexLabelVisibilityOff ()|
// \item @|obj.SetVertexLabelTextProperty (vtkTextProperty p)|
// \item @|vtkTextProperty = obj.GetVertexLabelTextProperty ()|
// \item @|obj.SetVertexHoverArrayName (string )|
// \item @|string = obj.GetVertexHoverArrayName ()|
// \item @|obj.SetHideVertexLabelsOnInteraction (bool )| -  Whether to hide the display of vertex labels during mouse interaction.  Default is off.
//// \item @|bool = obj.GetHideVertexLabelsOnInteraction ()| -  Whether to hide the display of vertex labels during mouse interaction.  Default is off.
//// \item @|obj.HideVertexLabelsOnInteractionOn ()| -  Whether to hide the display of vertex labels during mouse interaction.  Default is off.
//// \item @|obj.HideVertexLabelsOnInteractionOff ()| -  Whether to hide the display of vertex labels during mouse interaction.  Default is off.
//// \item @|obj.SetEdgeLabelArrayName (string name)|
// \item @|string = obj.GetEdgeLabelArrayName ()|
// \item @|obj.SetEdgeLabelPriorityArrayName (string name)|
// \item @|string = obj.GetEdgeLabelPriorityArrayName ()|
// \item @|obj.SetEdgeLabelVisibility (bool b)|
// \item @|bool = obj.GetEdgeLabelVisibility ()|
// \item @|obj.EdgeLabelVisibilityOn ()|
// \item @|obj.EdgeLabelVisibilityOff ()|
// \item @|obj.SetEdgeLabelTextProperty (vtkTextProperty p)|
// \item @|vtkTextProperty = obj.GetEdgeLabelTextProperty ()|
// \item @|obj.SetEdgeHoverArrayName (string )|
// \item @|string = obj.GetEdgeHoverArrayName ()|
// \item @|obj.SetHideEdgeLabelsOnInteraction (bool )| -  Whether to hide the display of edge labels during mouse interaction.  Default is off.
//// \item @|bool = obj.GetHideEdgeLabelsOnInteraction ()| -  Whether to hide the display of edge labels during mouse interaction.  Default is off.
//// \item @|obj.HideEdgeLabelsOnInteractionOn ()| -  Whether to hide the display of edge labels during mouse interaction.  Default is off.
//// \item @|obj.HideEdgeLabelsOnInteractionOff ()| -  Whether to hide the display of edge labels during mouse interaction.  Default is off.
//// \item @|obj.SetVertexIconArrayName (string name)|
// \item @|string = obj.GetVertexIconArrayName ()|
// \item @|obj.SetVertexIconPriorityArrayName (string name)|
// \item @|string = obj.GetVertexIconPriorityArrayName ()|
// \item @|obj.SetVertexIconVisibility (bool b)|
// \item @|bool = obj.GetVertexIconVisibility ()|
// \item @|obj.VertexIconVisibilityOn ()|
// \item @|obj.VertexIconVisibilityOff ()|
// \item @|obj.AddVertexIconType (string name, int type)|
// \item @|obj.ClearVertexIconTypes ()|
// \item @|obj.SetUseVertexIconTypeMap (bool b)|
// \item @|bool = obj.GetUseVertexIconTypeMap ()|
// \item @|obj.UseVertexIconTypeMapOn ()|
// \item @|obj.UseVertexIconTypeMapOff ()|
// \item @|obj.SetVertexIconAlignment (int align)|
// \item @|int = obj.GetVertexIconAlignment ()|
// \item @|obj.SetVertexSelectedIcon (int icon)|
// \item @|int = obj.GetVertexSelectedIcon ()|
// \item @|obj.SetVertexIconSelectionMode (int mode)| -  Set the mode to one of
// <ul>
// <li>vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon
// <li>vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset
// <li>vtkApplyIcons::ANNOTATION_ICON - use current annotation icon
// <li>vtkApplyIcons::IGNORE_SELECTION - ignore selected elements
// </ul>
// The default is IGNORE_SELECTION.
//// \item @|int = obj.GetVertexIconSelectionMode ()| -  Set the mode to one of
// <ul>
// <li>vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon
// <li>vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset
// <li>vtkApplyIcons::ANNOTATION_ICON - use current annotation icon
// <li>vtkApplyIcons::IGNORE_SELECTION - ignore selected elements
// </ul>
// The default is IGNORE_SELECTION.
//// \item @|obj.SetVertexIconSelectionModeToSelectedIcon ()| -  Set the mode to one of
// <ul>
// <li>vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon
// <li>vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset
// <li>vtkApplyIcons::ANNOTATION_ICON - use current annotation icon
// <li>vtkApplyIcons::IGNORE_SELECTION - ignore selected elements
// </ul>
// The default is IGNORE_SELECTION.
//// \item @|obj.SetVertexIconSelectionModeToSelectedOffset ()| -  Set the mode to one of
// <ul>
// <li>vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon
// <li>vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset
// <li>vtkApplyIcons::ANNOTATION_ICON - use current annotation icon
// <li>vtkApplyIcons::IGNORE_SELECTION - ignore selected elements
// </ul>
// The default is IGNORE_SELECTION.
//// \item @|obj.SetVertexIconSelectionModeToAnnotationIcon ()| -  Set the mode to one of
// <ul>
// <li>vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon
// <li>vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset
// <li>vtkApplyIcons::ANNOTATION_ICON - use current annotation icon
// <li>vtkApplyIcons::IGNORE_SELECTION - ignore selected elements
// </ul>
// The default is IGNORE_SELECTION.
//// \item @|obj.SetVertexIconSelectionModeToIgnoreSelection ()|
// \item @|obj.SetEdgeIconArrayName (string name)|
// \item @|string = obj.GetEdgeIconArrayName ()|
// \item @|obj.SetEdgeIconPriorityArrayName (string name)|
// \item @|string = obj.GetEdgeIconPriorityArrayName ()|
// \item @|obj.SetEdgeIconVisibility (bool b)|
// \item @|bool = obj.GetEdgeIconVisibility ()|
// \item @|obj.EdgeIconVisibilityOn ()|
// \item @|obj.EdgeIconVisibilityOff ()|
// \item @|obj.AddEdgeIconType (string name, int type)|
// \item @|obj.ClearEdgeIconTypes ()|
// \item @|obj.SetUseEdgeIconTypeMap (bool b)|
// \item @|bool = obj.GetUseEdgeIconTypeMap ()|
// \item @|obj.UseEdgeIconTypeMapOn ()|
// \item @|obj.UseEdgeIconTypeMapOff ()|
// \item @|obj.SetEdgeIconAlignment (int align)|
// \item @|int = obj.GetEdgeIconAlignment ()|
// \item @|obj.SetColorVerticesByArray (bool b)|
// \item @|bool = obj.GetColorVerticesByArray ()|
// \item @|obj.ColorVerticesByArrayOn ()|
// \item @|obj.ColorVerticesByArrayOff ()|
// \item @|obj.SetVertexColorArrayName (string name)|
// \item @|string = obj.GetVertexColorArrayName ()|
// \item @|obj.SetColorEdgesByArray (bool b)|
// \item @|bool = obj.GetColorEdgesByArray ()|
// \item @|obj.ColorEdgesByArrayOn ()|
// \item @|obj.ColorEdgesByArrayOff ()|
// \item @|obj.SetEdgeColorArrayName (string name)|
// \item @|string = obj.GetEdgeColorArrayName ()|
// \item @|obj.SetEnableVerticesByArray (bool b)|
// \item @|bool = obj.GetEnableVerticesByArray ()|
// \item @|obj.EnableVerticesByArrayOn ()|
// \item @|obj.EnableVerticesByArrayOff ()|
// \item @|obj.SetEnabledVerticesArrayName (string name)|
// \item @|string = obj.GetEnabledVerticesArrayName ()|
// \item @|obj.SetEnableEdgesByArray (bool b)|
// \item @|bool = obj.GetEnableEdgesByArray ()|
// \item @|obj.EnableEdgesByArrayOn ()|
// \item @|obj.EnableEdgesByArrayOff ()|
// \item @|obj.SetEnabledEdgesArrayName (string name)|
// \item @|string = obj.GetEnabledEdgesArrayName ()|
// \item @|obj.SetEdgeVisibility (bool b)|
// \item @|bool = obj.GetEdgeVisibility ()|
// \item @|obj.EdgeVisibilityOn ()|
// \item @|obj.EdgeVisibilityOff ()|
// \item @|obj.SetLayoutStrategy (vtkGraphLayoutStrategy strategy)| -  Set/get the graph layout strategy.
//// \item @|vtkGraphLayoutStrategy = obj.GetLayoutStrategy ()| -  Set/get the graph layout strategy.
//// \item @|obj.SetLayoutStrategy (string name)| -  Get/set the layout strategy by name.
//// \item @|string = obj.GetLayoutStrategyName ()| -  Get/set the layout strategy by name.
//// \item @|obj.SetLayoutStrategyToRandom ()| -  Set predefined layout strategies.
//// \item @|obj.SetLayoutStrategyToForceDirected ()| -  Set predefined layout strategies.
//// \item @|obj.SetLayoutStrategyToSimple2D ()| -  Set predefined layout strategies.
//// \item @|obj.SetLayoutStrategyToClustering2D ()| -  Set predefined layout strategies.
//// \item @|obj.SetLayoutStrategyToCommunity2D ()| -  Set predefined layout strategies.
//// \item @|obj.SetLayoutStrategyToFast2D ()| -  Set predefined layout strategies.
//// \item @|obj.SetLayoutStrategyToPassThrough ()| -  Set predefined layout strategies.
//// \item @|obj.SetLayoutStrategyToCircular ()| -  Set predefined layout strategies.
//// \item @|obj.SetLayoutStrategyToTree ()| -  Set predefined layout strategies.
//// \item @|obj.SetLayoutStrategyToCosmicTree ()| -  Set predefined layout strategies.
//// \item @|obj.SetLayoutStrategyToCone ()| -  Set predefined layout strategies.
//// \item @|obj.SetLayoutStrategyToSpanTree ()| -  Set the layout strategy to use coordinates from arrays.
// The x array must be specified. The y and z arrays are optional.
//// \item @|obj.SetLayoutStrategyToAssignCoordinates (string xarr, string yarr, string zarr)| -  Set the layout strategy to use coordinates from arrays.
// The x array must be specified. The y and z arrays are optional.
//// \item @|obj.SetLayoutStrategyToTree (bool radial, double angle, double leafSpacing, double logSpacing)| -  Set the layout strategy to a tree layout. Radial indicates whether to
// do a radial or standard top-down tree layout. The angle parameter is the
// angular distance spanned by the tree. Leaf spacing is a
// value from 0 to 1 indicating how much of the radial layout should be
// allocated to leaf nodes (as opposed to between tree branches). The log spacing value is a
// non-negative value where > 1 will create expanding levels, < 1 will create
// contracting levels, and = 1 makes all levels the same size. See
// vtkTreeLayoutStrategy for more information.
//// \item @|obj.SetLayoutStrategyToCosmicTree (string nodeSizeArrayName, bool sizeLeafNodesOnlytrue, int layoutDepth, vtkIdType layoutRoot)| -  Set the layout strategy to a cosmic tree layout. nodeSizeArrayName is
// the array used to size the circles (default is NULL, which makes leaf
// nodes the same size). sizeLeafNodesOnly only uses the leaf node sizes,
// and computes the parent size as the sum of the child sizes (default true).
// layoutDepth stops layout at a certain depth (default is 0, which does the
// entire tree). layoutRoot is the vertex that will be considered the root
// node of the layout (default is -1, which will use the tree's root).
// See vtkCosmicTreeLayoutStrategy for more information.
//// \item @|obj.SetEdgeLayoutStrategy (vtkEdgeLayoutStrategy strategy)| -  Set/get the graph layout strategy.
//// \item @|vtkEdgeLayoutStrategy = obj.GetEdgeLayoutStrategy ()| -  Set/get the graph layout strategy.
//// \item @|obj.SetEdgeLayoutStrategyToArcParallel ()| -  Set/get the graph layout strategy.
//// \item @|obj.SetEdgeLayoutStrategyToPassThrough ()| -  Set the edge layout strategy to a geospatial arced strategy
// appropriate for vtkGeoView.
//// \item @|obj.SetEdgeLayoutStrategyToGeo (double explodeFactor)| -  Set the edge layout strategy to a geospatial arced strategy
// appropriate for vtkGeoView.
//// \item @|obj.SetEdgeLayoutStrategy (string name)| -  Set the edge layout strategy by name.
//// \item @|string = obj.GetEdgeLayoutStrategyName ()| -  Set the edge layout strategy by name.
//// \item @|obj.ApplyViewTheme (vtkViewTheme theme)| -  Apply a theme to this representation.
//// \item @|obj.SetGlyphType (int type)| -  Set the graph vertex glyph type.
//// \item @|int = obj.GetGlyphType ()| -  Set the graph vertex glyph type.
//// \item @|obj.SetScaling (bool b)| -  Set whether to scale vertex glyphs.
//// \item @|bool = obj.GetScaling ()| -  Set whether to scale vertex glyphs.
//// \item @|obj.ScalingOn ()| -  Set whether to scale vertex glyphs.
//// \item @|obj.ScalingOff ()| -  Set whether to scale vertex glyphs.
//// \item @|obj.SetScalingArrayName (string name)| -  Set the glyph scaling array name.
//// \item @|string = obj.GetScalingArrayName ()| -  Set the glyph scaling array name.
//// \item @|obj.SetVertexScalarBarVisibility (bool b)| -  Vertex/edge scalar bar visibility.
//// \item @|bool = obj.GetVertexScalarBarVisibility ()| -  Vertex/edge scalar bar visibility.
//// \item @|obj.SetEdgeScalarBarVisibility (bool b)| -  Vertex/edge scalar bar visibility.
//// \item @|bool = obj.GetEdgeScalarBarVisibility ()| -  Vertex/edge scalar bar visibility.
//// \item @|bool = obj.IsLayoutComplete ()| -  Whether the current graph layout is complete.
//// \item @|obj.UpdateLayout ()| -  Performs another iteration on the graph layout.
//// \item @|obj.ComputeSelectedGraphBounds (double bounds[6])| -  Compute the bounding box of the selected subgraph.
////\end{itemize}
//!
