#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRenderedHierarchyRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRenderedHierarchyRepresentation.h"

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:vtkRenderedHierarchyRepresentation vtkRenderedHierarchyRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkRenderedHierarchyRepresentation vtkRenderedGraphRepresentation 
ArrayVector vtkRenderedHierarchyRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRenderedHierarchyRepresentation::New(),"vtkRenderedHierarchyRepresentation",eval);
  } else if (arg[0].className() == "vtkRenderedHierarchyRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRenderedHierarchyRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRenderedHierarchyRepresentation");
    vtkRenderedHierarchyRepresentation*q = reinterpret_cast<vtkRenderedHierarchyRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRenderedHierarchyRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetClassName vtkRenderedHierarchyRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRenderedHierarchyRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRenderedHierarchyRepresentation requires 1 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:IsA vtkRenderedHierarchyRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRenderedHierarchyRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRenderedHierarchyRepresentation requires 2 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:NewInstance vtkRenderedHierarchyRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRenderedHierarchyRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderedHierarchyRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRenderedHierarchyRepresentation requires 1 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  vtkRenderedHierarchyRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderedHierarchyRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SafeDownCast vtkRenderedHierarchyRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRenderedHierarchyRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderedHierarchyRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRenderedHierarchyRepresentation requires 2 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRenderedHierarchyRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderedHierarchyRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphEdgeLabelArrayName__1 vtkRenderedHierarchyRepresentationSetGraphEdgeLabelArrayName__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderedHierarchyRepresentationSetGraphEdgeLabelArrayName__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeLabelArrayName (const char *name);this SetGraphEdgeLabelArrayName name  */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphEdgeLabelArrayName__1 for class vtkRenderedHierarchyRepresentation requires 2 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetGraphEdgeLabelArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphEdgeLabelArrayName__2 vtkRenderedHierarchyRepresentationSetGraphEdgeLabelArrayName__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderedHierarchyRepresentationSetGraphEdgeLabelArrayName__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeLabelArrayName (const char *name, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function SetGraphEdgeLabelArrayName__2 for class vtkRenderedHierarchyRepresentation requires 3 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetGraphEdgeLabelArrayName(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetGraphEdgeLabelArrayName__1 vtkRenderedHierarchyRepresentationGetGraphEdgeLabelArrayName__1Function
//input a0 
//output y
ArrayVector vtkRenderedHierarchyRepresentationGetGraphEdgeLabelArrayName__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetGraphEdgeLabelArrayName ();return this GetGraphEdgeLabelArrayName  */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphEdgeLabelArrayName__1 for class vtkRenderedHierarchyRepresentation requires 1 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGraphEdgeLabelArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetGraphEdgeLabelArrayName__2 vtkRenderedHierarchyRepresentationGetGraphEdgeLabelArrayName__2Function
//input a0 a1 
//output y
ArrayVector vtkRenderedHierarchyRepresentationGetGraphEdgeLabelArrayName__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetGraphEdgeLabelArrayName (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetGraphEdgeLabelArrayName__2 for class vtkRenderedHierarchyRepresentation requires 2 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGraphEdgeLabelArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphEdgeLabelVisibility__1 vtkRenderedHierarchyRepresentationSetGraphEdgeLabelVisibility__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderedHierarchyRepresentationSetGraphEdgeLabelVisibility__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeLabelVisibility (bool vis);this SetGraphEdgeLabelVisibility vis  */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphEdgeLabelVisibility__1 for class vtkRenderedHierarchyRepresentation requires 2 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetGraphEdgeLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphEdgeLabelVisibility__2 vtkRenderedHierarchyRepresentationSetGraphEdgeLabelVisibility__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderedHierarchyRepresentationSetGraphEdgeLabelVisibility__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeLabelVisibility (bool vis, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function SetGraphEdgeLabelVisibility__2 for class vtkRenderedHierarchyRepresentation requires 3 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  int      temp1;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetGraphEdgeLabelVisibility(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetGraphEdgeLabelVisibility__1 vtkRenderedHierarchyRepresentationGetGraphEdgeLabelVisibility__1Function
//input a0 
//output y
ArrayVector vtkRenderedHierarchyRepresentationGetGraphEdgeLabelVisibility__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetGraphEdgeLabelVisibility ();return this GetGraphEdgeLabelVisibility  */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphEdgeLabelVisibility__1 for class vtkRenderedHierarchyRepresentation requires 1 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetGraphEdgeLabelVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetGraphEdgeLabelVisibility__2 vtkRenderedHierarchyRepresentationGetGraphEdgeLabelVisibility__2Function
//input a0 a1 
//output y
ArrayVector vtkRenderedHierarchyRepresentationGetGraphEdgeLabelVisibility__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetGraphEdgeLabelVisibility (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetGraphEdgeLabelVisibility__2 for class vtkRenderedHierarchyRepresentation requires 2 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGraphEdgeLabelVisibility(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GraphEdgeLabelVisibilityOn vtkRenderedHierarchyRepresentationGraphEdgeLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkRenderedHierarchyRepresentationGraphEdgeLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GraphEdgeLabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GraphEdgeLabelVisibilityOn for class vtkRenderedHierarchyRepresentation requires 1 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->GraphEdgeLabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GraphEdgeLabelVisibilityOff vtkRenderedHierarchyRepresentationGraphEdgeLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkRenderedHierarchyRepresentationGraphEdgeLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GraphEdgeLabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GraphEdgeLabelVisibilityOff for class vtkRenderedHierarchyRepresentation requires 1 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->GraphEdgeLabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphEdgeColorArrayName__1 vtkRenderedHierarchyRepresentationSetGraphEdgeColorArrayName__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderedHierarchyRepresentationSetGraphEdgeColorArrayName__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeColorArrayName (const char *name);this SetGraphEdgeColorArrayName name  */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphEdgeColorArrayName__1 for class vtkRenderedHierarchyRepresentation requires 2 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetGraphEdgeColorArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphEdgeColorArrayName__2 vtkRenderedHierarchyRepresentationSetGraphEdgeColorArrayName__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderedHierarchyRepresentationSetGraphEdgeColorArrayName__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeColorArrayName (const char *name, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function SetGraphEdgeColorArrayName__2 for class vtkRenderedHierarchyRepresentation requires 3 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetGraphEdgeColorArrayName(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetGraphEdgeColorArrayName__1 vtkRenderedHierarchyRepresentationGetGraphEdgeColorArrayName__1Function
//input a0 
//output y
ArrayVector vtkRenderedHierarchyRepresentationGetGraphEdgeColorArrayName__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetGraphEdgeColorArrayName ();return this GetGraphEdgeColorArrayName  */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphEdgeColorArrayName__1 for class vtkRenderedHierarchyRepresentation requires 1 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGraphEdgeColorArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetGraphEdgeColorArrayName__2 vtkRenderedHierarchyRepresentationGetGraphEdgeColorArrayName__2Function
//input a0 a1 
//output y
ArrayVector vtkRenderedHierarchyRepresentationGetGraphEdgeColorArrayName__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetGraphEdgeColorArrayName (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetGraphEdgeColorArrayName__2 for class vtkRenderedHierarchyRepresentation requires 2 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGraphEdgeColorArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetColorGraphEdgesByArray__1 vtkRenderedHierarchyRepresentationSetColorGraphEdgesByArray__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderedHierarchyRepresentationSetColorGraphEdgesByArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetColorGraphEdgesByArray (bool vis);this SetColorGraphEdgesByArray vis  */
  if (arg.size() < 2) 
    throw Exception("Function SetColorGraphEdgesByArray__1 for class vtkRenderedHierarchyRepresentation requires 2 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetColorGraphEdgesByArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetColorGraphEdgesByArray__2 vtkRenderedHierarchyRepresentationSetColorGraphEdgesByArray__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderedHierarchyRepresentationSetColorGraphEdgesByArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetColorGraphEdgesByArray (bool vis, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function SetColorGraphEdgesByArray__2 for class vtkRenderedHierarchyRepresentation requires 3 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  int      temp1;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetColorGraphEdgesByArray(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetColorGraphEdgesByArray__1 vtkRenderedHierarchyRepresentationGetColorGraphEdgesByArray__1Function
//input a0 
//output y
ArrayVector vtkRenderedHierarchyRepresentationGetColorGraphEdgesByArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetColorGraphEdgesByArray ();return this GetColorGraphEdgesByArray  */
  if (arg.size() < 1) 
    throw Exception("Function GetColorGraphEdgesByArray__1 for class vtkRenderedHierarchyRepresentation requires 1 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetColorGraphEdgesByArray();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetColorGraphEdgesByArray__2 vtkRenderedHierarchyRepresentationGetColorGraphEdgesByArray__2Function
//input a0 a1 
//output y
ArrayVector vtkRenderedHierarchyRepresentationGetColorGraphEdgesByArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetColorGraphEdgesByArray (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetColorGraphEdgesByArray__2 for class vtkRenderedHierarchyRepresentation requires 2 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetColorGraphEdgesByArray(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:ColorGraphEdgesByArrayOn vtkRenderedHierarchyRepresentationColorGraphEdgesByArrayOnFunction
//input a0 
//output none
ArrayVector vtkRenderedHierarchyRepresentationColorGraphEdgesByArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorGraphEdgesByArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorGraphEdgesByArrayOn for class vtkRenderedHierarchyRepresentation requires 1 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ColorGraphEdgesByArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:ColorGraphEdgesByArrayOff vtkRenderedHierarchyRepresentationColorGraphEdgesByArrayOffFunction
//input a0 
//output none
ArrayVector vtkRenderedHierarchyRepresentationColorGraphEdgesByArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorGraphEdgesByArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorGraphEdgesByArrayOff for class vtkRenderedHierarchyRepresentation requires 1 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ColorGraphEdgesByArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphEdgeColorToSplineFraction__1 vtkRenderedHierarchyRepresentationSetGraphEdgeColorToSplineFraction__1Function
//input a0 
//output none
ArrayVector vtkRenderedHierarchyRepresentationSetGraphEdgeColorToSplineFraction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeColorToSplineFraction ();this SetGraphEdgeColorArrayName  */
  if (arg.size() < 1) 
    throw Exception("Function SetGraphEdgeColorToSplineFraction__1 for class vtkRenderedHierarchyRepresentation requires 1 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetGraphEdgeColorToSplineFraction();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphEdgeColorToSplineFraction__2 vtkRenderedHierarchyRepresentationSetGraphEdgeColorToSplineFraction__2Function
//input a0 a1 
//output none
ArrayVector vtkRenderedHierarchyRepresentationSetGraphEdgeColorToSplineFraction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeColorToSplineFraction (int idx);this SetGraphEdgeColorArrayName idx  */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphEdgeColorToSplineFraction__2 for class vtkRenderedHierarchyRepresentation requires 2 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGraphEdgeColorToSplineFraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphVisibility__1 vtkRenderedHierarchyRepresentationSetGraphVisibility__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderedHierarchyRepresentationSetGraphVisibility__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphVisibility (bool vis);this SetGraphVisibility vis  */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphVisibility__1 for class vtkRenderedHierarchyRepresentation requires 2 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetGraphVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphVisibility__2 vtkRenderedHierarchyRepresentationSetGraphVisibility__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderedHierarchyRepresentationSetGraphVisibility__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphVisibility (bool vis, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function SetGraphVisibility__2 for class vtkRenderedHierarchyRepresentation requires 3 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  int      temp1;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetGraphVisibility(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetGraphVisibility__1 vtkRenderedHierarchyRepresentationGetGraphVisibility__1Function
//input a0 
//output y
ArrayVector vtkRenderedHierarchyRepresentationGetGraphVisibility__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetGraphVisibility ();return this GetGraphVisibility  */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphVisibility__1 for class vtkRenderedHierarchyRepresentation requires 1 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetGraphVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetGraphVisibility__2 vtkRenderedHierarchyRepresentationGetGraphVisibility__2Function
//input a0 a1 
//output y
ArrayVector vtkRenderedHierarchyRepresentationGetGraphVisibility__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetGraphVisibility (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetGraphVisibility__2 for class vtkRenderedHierarchyRepresentation requires 2 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGraphVisibility(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GraphVisibilityOn vtkRenderedHierarchyRepresentationGraphVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkRenderedHierarchyRepresentationGraphVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GraphVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GraphVisibilityOn for class vtkRenderedHierarchyRepresentation requires 1 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->GraphVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GraphVisibilityOff vtkRenderedHierarchyRepresentationGraphVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkRenderedHierarchyRepresentationGraphVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GraphVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GraphVisibilityOff for class vtkRenderedHierarchyRepresentation requires 1 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->GraphVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetBundlingStrength__1 vtkRenderedHierarchyRepresentationSetBundlingStrength__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderedHierarchyRepresentationSetBundlingStrength__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetBundlingStrength (double strength);this SetBundlingStrength strength  */
  if (arg.size() < 2) 
    throw Exception("Function SetBundlingStrength__1 for class vtkRenderedHierarchyRepresentation requires 2 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetBundlingStrength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetBundlingStrength__2 vtkRenderedHierarchyRepresentationSetBundlingStrength__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderedHierarchyRepresentationSetBundlingStrength__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetBundlingStrength (double strength, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function SetBundlingStrength__2 for class vtkRenderedHierarchyRepresentation requires 3 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetBundlingStrength(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetBundlingStrength__1 vtkRenderedHierarchyRepresentationGetBundlingStrength__1Function
//input a0 
//output y
ArrayVector vtkRenderedHierarchyRepresentationGetBundlingStrength__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetBundlingStrength ();return this GetBundlingStrength  */
  if (arg.size() < 1) 
    throw Exception("Function GetBundlingStrength__1 for class vtkRenderedHierarchyRepresentation requires 1 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBundlingStrength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetBundlingStrength__2 vtkRenderedHierarchyRepresentationGetBundlingStrength__2Function
//input a0 a1 
//output y
ArrayVector vtkRenderedHierarchyRepresentationGetBundlingStrength__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetBundlingStrength (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetBundlingStrength__2 for class vtkRenderedHierarchyRepresentation requires 2 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetBundlingStrength(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphEdgeLabelFontSize__1 vtkRenderedHierarchyRepresentationSetGraphEdgeLabelFontSize__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderedHierarchyRepresentationSetGraphEdgeLabelFontSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeLabelFontSize (int size);this SetGraphEdgeLabelFontSize size  */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphEdgeLabelFontSize__1 for class vtkRenderedHierarchyRepresentation requires 2 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGraphEdgeLabelFontSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphEdgeLabelFontSize__2 vtkRenderedHierarchyRepresentationSetGraphEdgeLabelFontSize__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderedHierarchyRepresentationSetGraphEdgeLabelFontSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeLabelFontSize (int size, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function SetGraphEdgeLabelFontSize__2 for class vtkRenderedHierarchyRepresentation requires 3 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetGraphEdgeLabelFontSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetGraphEdgeLabelFontSize__1 vtkRenderedHierarchyRepresentationGetGraphEdgeLabelFontSize__1Function
//input a0 
//output y
ArrayVector vtkRenderedHierarchyRepresentationGetGraphEdgeLabelFontSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetGraphEdgeLabelFontSize ();return this GetGraphEdgeLabelFontSize  */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphEdgeLabelFontSize__1 for class vtkRenderedHierarchyRepresentation requires 1 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGraphEdgeLabelFontSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetGraphEdgeLabelFontSize__2 vtkRenderedHierarchyRepresentationGetGraphEdgeLabelFontSize__2Function
//input a0 a1 
//output y
ArrayVector vtkRenderedHierarchyRepresentationGetGraphEdgeLabelFontSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetGraphEdgeLabelFontSize (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetGraphEdgeLabelFontSize__2 for class vtkRenderedHierarchyRepresentation requires 2 argument(s)");
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGraphEdgeLabelFontSize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphEdgeLabelArrayName vtkRenderedHierarchyRepresentationSetGraphEdgeLabelArrayNameFunction
//input varargin
//output varargout
ArrayVector vtkRenderedHierarchyRepresentationSetGraphEdgeLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkRenderedHierarchyRepresentationSetGraphEdgeLabelArrayName__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkRenderedHierarchyRepresentationSetGraphEdgeLabelArrayName__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedHierarchyRepresentationSetGraphEdgeLabelArrayName");
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetGraphEdgeLabelArrayName vtkRenderedHierarchyRepresentationGetGraphEdgeLabelArrayNameFunction
//input varargin
//output varargout
ArrayVector vtkRenderedHierarchyRepresentationGetGraphEdgeLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedHierarchyRepresentationGetGraphEdgeLabelArrayName__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedHierarchyRepresentationGetGraphEdgeLabelArrayName__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedHierarchyRepresentationGetGraphEdgeLabelArrayName");
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphEdgeLabelVisibility vtkRenderedHierarchyRepresentationSetGraphEdgeLabelVisibilityFunction
//input varargin
//output varargout
ArrayVector vtkRenderedHierarchyRepresentationSetGraphEdgeLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedHierarchyRepresentationSetGraphEdgeLabelVisibility__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRenderedHierarchyRepresentationSetGraphEdgeLabelVisibility__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedHierarchyRepresentationSetGraphEdgeLabelVisibility");
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetGraphEdgeLabelVisibility vtkRenderedHierarchyRepresentationGetGraphEdgeLabelVisibilityFunction
//input varargin
//output varargout
ArrayVector vtkRenderedHierarchyRepresentationGetGraphEdgeLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedHierarchyRepresentationGetGraphEdgeLabelVisibility__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedHierarchyRepresentationGetGraphEdgeLabelVisibility__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedHierarchyRepresentationGetGraphEdgeLabelVisibility");
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphEdgeColorArrayName vtkRenderedHierarchyRepresentationSetGraphEdgeColorArrayNameFunction
//input varargin
//output varargout
ArrayVector vtkRenderedHierarchyRepresentationSetGraphEdgeColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkRenderedHierarchyRepresentationSetGraphEdgeColorArrayName__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkRenderedHierarchyRepresentationSetGraphEdgeColorArrayName__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedHierarchyRepresentationSetGraphEdgeColorArrayName");
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetGraphEdgeColorArrayName vtkRenderedHierarchyRepresentationGetGraphEdgeColorArrayNameFunction
//input varargin
//output varargout
ArrayVector vtkRenderedHierarchyRepresentationGetGraphEdgeColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedHierarchyRepresentationGetGraphEdgeColorArrayName__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedHierarchyRepresentationGetGraphEdgeColorArrayName__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedHierarchyRepresentationGetGraphEdgeColorArrayName");
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetColorGraphEdgesByArray vtkRenderedHierarchyRepresentationSetColorGraphEdgesByArrayFunction
//input varargin
//output varargout
ArrayVector vtkRenderedHierarchyRepresentationSetColorGraphEdgesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedHierarchyRepresentationSetColorGraphEdgesByArray__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRenderedHierarchyRepresentationSetColorGraphEdgesByArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedHierarchyRepresentationSetColorGraphEdgesByArray");
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetColorGraphEdgesByArray vtkRenderedHierarchyRepresentationGetColorGraphEdgesByArrayFunction
//input varargin
//output varargout
ArrayVector vtkRenderedHierarchyRepresentationGetColorGraphEdgesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedHierarchyRepresentationGetColorGraphEdgesByArray__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedHierarchyRepresentationGetColorGraphEdgesByArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedHierarchyRepresentationGetColorGraphEdgesByArray");
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphEdgeColorToSplineFraction vtkRenderedHierarchyRepresentationSetGraphEdgeColorToSplineFractionFunction
//input varargin
//output varargout
ArrayVector vtkRenderedHierarchyRepresentationSetGraphEdgeColorToSplineFractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedHierarchyRepresentationSetGraphEdgeColorToSplineFraction__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedHierarchyRepresentationSetGraphEdgeColorToSplineFraction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedHierarchyRepresentationSetGraphEdgeColorToSplineFraction");
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphVisibility vtkRenderedHierarchyRepresentationSetGraphVisibilityFunction
//input varargin
//output varargout
ArrayVector vtkRenderedHierarchyRepresentationSetGraphVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedHierarchyRepresentationSetGraphVisibility__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRenderedHierarchyRepresentationSetGraphVisibility__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedHierarchyRepresentationSetGraphVisibility");
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetGraphVisibility vtkRenderedHierarchyRepresentationGetGraphVisibilityFunction
//input varargin
//output varargout
ArrayVector vtkRenderedHierarchyRepresentationGetGraphVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedHierarchyRepresentationGetGraphVisibility__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedHierarchyRepresentationGetGraphVisibility__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedHierarchyRepresentationGetGraphVisibility");
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetBundlingStrength vtkRenderedHierarchyRepresentationSetBundlingStrengthFunction
//input varargin
//output varargout
ArrayVector vtkRenderedHierarchyRepresentationSetBundlingStrengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedHierarchyRepresentationSetBundlingStrength__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRenderedHierarchyRepresentationSetBundlingStrength__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedHierarchyRepresentationSetBundlingStrength");
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetBundlingStrength vtkRenderedHierarchyRepresentationGetBundlingStrengthFunction
//input varargin
//output varargout
ArrayVector vtkRenderedHierarchyRepresentationGetBundlingStrengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedHierarchyRepresentationGetBundlingStrength__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedHierarchyRepresentationGetBundlingStrength__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedHierarchyRepresentationGetBundlingStrength");
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:SetGraphEdgeLabelFontSize vtkRenderedHierarchyRepresentationSetGraphEdgeLabelFontSizeFunction
//input varargin
//output varargout
ArrayVector vtkRenderedHierarchyRepresentationSetGraphEdgeLabelFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedHierarchyRepresentationSetGraphEdgeLabelFontSize__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRenderedHierarchyRepresentationSetGraphEdgeLabelFontSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedHierarchyRepresentationSetGraphEdgeLabelFontSize");
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:GetGraphEdgeLabelFontSize vtkRenderedHierarchyRepresentationGetGraphEdgeLabelFontSizeFunction
//input varargin
//output varargout
ArrayVector vtkRenderedHierarchyRepresentationGetGraphEdgeLabelFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedHierarchyRepresentationGetGraphEdgeLabelFontSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedHierarchyRepresentationGetGraphEdgeLabelFontSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedHierarchyRepresentationGetGraphEdgeLabelFontSize");
}

//@@Signature
//sfunction @vtkRenderedHierarchyRepresentation:display vtkRenderedHierarchyRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRenderedHierarchyRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRenderedHierarchyRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedHierarchyRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRenderedHierarchyRepresentation:delete vtkRenderedHierarchyRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkRenderedHierarchyRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRenderedHierarchyRepresentation
//@@Section VTKViews
//@@Usage
//
//To create an instance of class vtkRenderedHierarchyRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkRenderedHierarchyRepresentation
//@]
//@@Methods
//The class vtkRenderedHierarchyRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRenderedHierarchyRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRenderedHierarchyRepresentation = obj.NewInstance ()|
// \item @|vtkRenderedHierarchyRepresentation = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGraphEdgeLabelArrayName (string name)| -  
//// \item @|obj.SetGraphEdgeLabelArrayName (string name, int idx)| -  
//// \item @|string = obj.GetGraphEdgeLabelArrayName ()| -  
//// \item @|string = obj.GetGraphEdgeLabelArrayName (int idx)| -  
//// \item @|obj.SetGraphEdgeLabelVisibility (bool vis)|
// \item @|obj.SetGraphEdgeLabelVisibility (bool vis, int idx)|
// \item @|bool = obj.GetGraphEdgeLabelVisibility ()|
// \item @|bool = obj.GetGraphEdgeLabelVisibility (int idx)|
// \item @|obj.GraphEdgeLabelVisibilityOn ()|
// \item @|obj.GraphEdgeLabelVisibilityOff ()|
// \item @|obj.SetGraphEdgeColorArrayName (string name)|
// \item @|obj.SetGraphEdgeColorArrayName (string name, int idx)|
// \item @|string = obj.GetGraphEdgeColorArrayName ()|
// \item @|string = obj.GetGraphEdgeColorArrayName (int idx)|
// \item @|obj.SetColorGraphEdgesByArray (bool vis)|
// \item @|obj.SetColorGraphEdgesByArray (bool vis, int idx)|
// \item @|bool = obj.GetColorGraphEdgesByArray ()|
// \item @|bool = obj.GetColorGraphEdgesByArray (int idx)|
// \item @|obj.ColorGraphEdgesByArrayOn ()|
// \item @|obj.ColorGraphEdgesByArrayOff ()|
// \item @|obj.SetGraphEdgeColorToSplineFraction ()|
// \item @|obj.SetGraphEdgeColorToSplineFraction (int idx)|
// \item @|obj.SetGraphVisibility (bool vis)|
// \item @|obj.SetGraphVisibility (bool vis, int idx)|
// \item @|bool = obj.GetGraphVisibility ()|
// \item @|bool = obj.GetGraphVisibility (int idx)|
// \item @|obj.GraphVisibilityOn ()|
// \item @|obj.GraphVisibilityOff ()|
// \item @|obj.SetBundlingStrength (double strength)|
// \item @|obj.SetBundlingStrength (double strength, int idx)|
// \item @|double = obj.GetBundlingStrength ()|
// \item @|double = obj.GetBundlingStrength (int idx)|
// \item @|obj.SetGraphEdgeLabelFontSize (int size)|
// \item @|obj.SetGraphEdgeLabelFontSize (int size, int idx)|
// \item @|int = obj.GetGraphEdgeLabelFontSize ()|
// \item @|int = obj.GetGraphEdgeLabelFontSize (int idx)|
//\end{itemize}
//!
