#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRenderedRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRenderedRepresentation.h"

//@@Signature
//sfunction @vtkRenderedRepresentation:vtkRenderedRepresentation vtkRenderedRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkRenderedRepresentation vtkDataRepresentation 
ArrayVector vtkRenderedRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRenderedRepresentation::New(),"vtkRenderedRepresentation",eval);
  } else if (arg[0].className() == "vtkRenderedRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRenderedRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRenderedRepresentation");
    vtkRenderedRepresentation*q = reinterpret_cast<vtkRenderedRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRenderedRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRenderedRepresentation:GetClassName vtkRenderedRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRenderedRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRenderedRepresentation requires 1 argument(s)");
  vtkRenderedRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedRepresentation:IsA vtkRenderedRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRenderedRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRenderedRepresentation requires 2 argument(s)");
  vtkRenderedRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedRepresentation:NewInstance vtkRenderedRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRenderedRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderedRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRenderedRepresentation requires 1 argument(s)");
  vtkRenderedRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedRepresentation>(arg[0]);
  Array retval;
  vtkRenderedRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderedRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedRepresentation:SafeDownCast vtkRenderedRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRenderedRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderedRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRenderedRepresentation requires 2 argument(s)");
  vtkRenderedRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRenderedRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderedRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedRepresentation:SetLabelRenderMode vtkRenderedRepresentationSetLabelRenderModeFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedRepresentationSetLabelRenderModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelRenderMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelRenderMode for class vtkRenderedRepresentation requires 2 argument(s)");
  vtkRenderedRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLabelRenderMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedRepresentation:GetLabelRenderMode vtkRenderedRepresentationGetLabelRenderModeFunction
//input a0 
//output y
ArrayVector vtkRenderedRepresentationGetLabelRenderModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLabelRenderMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelRenderMode for class vtkRenderedRepresentation requires 1 argument(s)");
  vtkRenderedRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLabelRenderMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedRepresentation:display vtkRenderedRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRenderedRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRenderedRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRenderedRepresentation:delete vtkRenderedRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkRenderedRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRenderedRepresentation
//@@Section VTKViews
//@@Usage
//
//To create an instance of class vtkRenderedRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkRenderedRepresentation
//@]
//@@Methods
//The class vtkRenderedRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRenderedRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRenderedRepresentation = obj.NewInstance ()|
// \item @|vtkRenderedRepresentation = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLabelRenderMode (int )| -  Set the label render mode.
// vtkRenderView::QT - Use Qt-based labeler with fitted labeling
//   and unicode support. Requires VTK_USE_QT to be on.
// vtkRenderView::FREETYPE - Use standard freetype text rendering.
//// \item @|int = obj.GetLabelRenderMode ()| -  Set the label render mode.
// vtkRenderView::QT - Use Qt-based labeler with fitted labeling
//   and unicode support. Requires VTK_USE_QT to be on.
// vtkRenderView::FREETYPE - Use standard freetype text rendering.
////\end{itemize}
//!
