#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRenderedSurfaceRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRenderedSurfaceRepresentation.h"

//@@Signature
//sfunction @vtkRenderedSurfaceRepresentation:vtkRenderedSurfaceRepresentation vtkRenderedSurfaceRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkRenderedSurfaceRepresentation vtkRenderedRepresentation 
ArrayVector vtkRenderedSurfaceRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRenderedSurfaceRepresentation::New(),"vtkRenderedSurfaceRepresentation",eval);
  } else if (arg[0].className() == "vtkRenderedSurfaceRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRenderedSurfaceRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRenderedSurfaceRepresentation");
    vtkRenderedSurfaceRepresentation*q = reinterpret_cast<vtkRenderedSurfaceRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRenderedSurfaceRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRenderedSurfaceRepresentation:GetClassName vtkRenderedSurfaceRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRenderedSurfaceRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRenderedSurfaceRepresentation requires 1 argument(s)");
  vtkRenderedSurfaceRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedSurfaceRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedSurfaceRepresentation:IsA vtkRenderedSurfaceRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRenderedSurfaceRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRenderedSurfaceRepresentation requires 2 argument(s)");
  vtkRenderedSurfaceRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedSurfaceRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedSurfaceRepresentation:NewInstance vtkRenderedSurfaceRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRenderedSurfaceRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderedSurfaceRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRenderedSurfaceRepresentation requires 1 argument(s)");
  vtkRenderedSurfaceRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedSurfaceRepresentation>(arg[0]);
  Array retval;
  vtkRenderedSurfaceRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderedSurfaceRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedSurfaceRepresentation:SafeDownCast vtkRenderedSurfaceRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRenderedSurfaceRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderedSurfaceRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRenderedSurfaceRepresentation requires 2 argument(s)");
  vtkRenderedSurfaceRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedSurfaceRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRenderedSurfaceRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderedSurfaceRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedSurfaceRepresentation:SetCellColorArrayName vtkRenderedSurfaceRepresentationSetCellColorArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedSurfaceRepresentationSetCellColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCellColorArrayName (const char *arrayName); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellColorArrayName for class vtkRenderedSurfaceRepresentation requires 2 argument(s)");
  vtkRenderedSurfaceRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedSurfaceRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetCellColorArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedSurfaceRepresentation:GetCellColorArrayName vtkRenderedSurfaceRepresentationGetCellColorArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedSurfaceRepresentationGetCellColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetCellColorArrayName ();return this GetCellColorArrayNameInternal  */
  if (arg.size() < 1) 
    throw Exception("Function GetCellColorArrayName for class vtkRenderedSurfaceRepresentation requires 1 argument(s)");
  vtkRenderedSurfaceRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedSurfaceRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetCellColorArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedSurfaceRepresentation:ApplyViewTheme vtkRenderedSurfaceRepresentationApplyViewThemeFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedSurfaceRepresentationApplyViewThemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ApplyViewTheme (vtkViewTheme *theme); */
  if (arg.size() < 2) 
    throw Exception("Function ApplyViewTheme for class vtkRenderedSurfaceRepresentation requires 2 argument(s)");
  vtkRenderedSurfaceRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedSurfaceRepresentation>(arg[0]);
  Array retval;
  vtkViewTheme  *temp0;
  temp0 = GetVTKPointer<vtkViewTheme>(arg[1]);
  vtk_pointer->ApplyViewTheme(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedSurfaceRepresentation:display vtkRenderedSurfaceRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRenderedSurfaceRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRenderedSurfaceRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedSurfaceRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRenderedSurfaceRepresentation:delete vtkRenderedSurfaceRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkRenderedSurfaceRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRenderedSurfaceRepresentation
//@@Section VTKViews
//@@Usage
// vtkRenderedSurfaceRepresentation is used to show a geometric dataset in a view.
// The representation uses a vtkGeometryFilter to convert the dataset to
// polygonal data (e.g. volumetric data is converted to its external surface).
// The representation may then be added to vtkRenderView.
//
//To create an instance of class vtkRenderedSurfaceRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkRenderedSurfaceRepresentation
//@]
//@@Methods
//The class vtkRenderedSurfaceRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRenderedSurfaceRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRenderedSurfaceRepresentation = obj.NewInstance ()|
// \item @|vtkRenderedSurfaceRepresentation = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCellColorArrayName (string arrayName)|
// \item @|string = obj.GetCellColorArrayName ()| -  Apply a theme to this representation.
//// \item @|obj.ApplyViewTheme (vtkViewTheme theme)| -  Apply a theme to this representation.
////\end{itemize}
//!
