#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRenderedTreeAreaRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRenderedTreeAreaRepresentation.h"

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:vtkRenderedTreeAreaRepresentation vtkRenderedTreeAreaRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkRenderedTreeAreaRepresentation vtkRenderedRepresentation 
ArrayVector vtkRenderedTreeAreaRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRenderedTreeAreaRepresentation::New(),"vtkRenderedTreeAreaRepresentation",eval);
  } else if (arg[0].className() == "vtkRenderedTreeAreaRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRenderedTreeAreaRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRenderedTreeAreaRepresentation");
    vtkRenderedTreeAreaRepresentation*q = reinterpret_cast<vtkRenderedTreeAreaRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRenderedTreeAreaRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetClassName vtkRenderedTreeAreaRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:IsA vtkRenderedTreeAreaRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:NewInstance vtkRenderedTreeAreaRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderedTreeAreaRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtkRenderedTreeAreaRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderedTreeAreaRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SafeDownCast vtkRenderedTreeAreaRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderedTreeAreaRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRenderedTreeAreaRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderedTreeAreaRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetLabelRenderMode vtkRenderedTreeAreaRepresentationSetLabelRenderModeFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetLabelRenderModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelRenderMode (int mode); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelRenderMode for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLabelRenderMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetAreaLabelArrayName vtkRenderedTreeAreaRepresentationSetAreaLabelArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetAreaLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAreaLabelArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaLabelArrayName for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetAreaLabelArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetAreaLabelArrayName vtkRenderedTreeAreaRepresentationGetAreaLabelArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetAreaLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetAreaLabelArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaLabelArrayName for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetAreaLabelArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetAreaSizeArrayName vtkRenderedTreeAreaRepresentationSetAreaSizeArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetAreaSizeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAreaSizeArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaSizeArrayName for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetAreaSizeArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetAreaSizeArrayName vtkRenderedTreeAreaRepresentationGetAreaSizeArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetAreaSizeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetAreaSizeArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaSizeArrayName for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetAreaSizeArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetAreaLabelPriorityArrayName vtkRenderedTreeAreaRepresentationSetAreaLabelPriorityArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetAreaLabelPriorityArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAreaLabelPriorityArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaLabelPriorityArrayName for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetAreaLabelPriorityArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetAreaLabelPriorityArrayName vtkRenderedTreeAreaRepresentationGetAreaLabelPriorityArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetAreaLabelPriorityArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetAreaLabelPriorityArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaLabelPriorityArrayName for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetAreaLabelPriorityArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphEdgeLabelArrayName__1 vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelArrayName__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelArrayName__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeLabelArrayName (const char *name);this SetGraphEdgeLabelArrayName name  */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphEdgeLabelArrayName__1 for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetGraphEdgeLabelArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphEdgeLabelArrayName__2 vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelArrayName__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelArrayName__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeLabelArrayName (const char *name, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function SetGraphEdgeLabelArrayName__2 for class vtkRenderedTreeAreaRepresentation requires 3 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetGraphEdgeLabelArrayName(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphEdgeLabelArrayName__1 vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelArrayName__1Function
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelArrayName__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetGraphEdgeLabelArrayName ();return this GetGraphEdgeLabelArrayName  */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphEdgeLabelArrayName__1 for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGraphEdgeLabelArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphEdgeLabelArrayName__2 vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelArrayName__2Function
//input a0 a1 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelArrayName__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetGraphEdgeLabelArrayName (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetGraphEdgeLabelArrayName__2 for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGraphEdgeLabelArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphEdgeLabelTextProperty__1 vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelTextProperty__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelTextProperty__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeLabelTextProperty (vtkTextProperty *tp);this SetGraphEdgeLabelTextProperty tp  */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphEdgeLabelTextProperty__1 for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetGraphEdgeLabelTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphEdgeLabelTextProperty__2 vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelTextProperty__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelTextProperty__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeLabelTextProperty (vtkTextProperty *tp, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function SetGraphEdgeLabelTextProperty__2 for class vtkRenderedTreeAreaRepresentation requires 3 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetGraphEdgeLabelTextProperty(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphEdgeLabelTextProperty__1 vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelTextProperty__1Function
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelTextProperty__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkTextProperty *GetGraphEdgeLabelTextProperty ();return this GetGraphEdgeLabelTextProperty  */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphEdgeLabelTextProperty__1 for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetGraphEdgeLabelTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphEdgeLabelTextProperty__2 vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelTextProperty__2Function
//input a0 a1 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelTextProperty__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkTextProperty *GetGraphEdgeLabelTextProperty (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetGraphEdgeLabelTextProperty__2 for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  vtkTextProperty  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGraphEdgeLabelTextProperty(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetAreaHoverArrayName vtkRenderedTreeAreaRepresentationSetAreaHoverArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetAreaHoverArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAreaHoverArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaHoverArrayName for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetAreaHoverArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetAreaHoverArrayName vtkRenderedTreeAreaRepresentationGetAreaHoverArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetAreaHoverArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetAreaHoverArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaHoverArrayName for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetAreaHoverArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetAreaLabelVisibility vtkRenderedTreeAreaRepresentationSetAreaLabelVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetAreaLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAreaLabelVisibility (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaLabelVisibility for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetAreaLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetAreaLabelVisibility vtkRenderedTreeAreaRepresentationGetAreaLabelVisibilityFunction
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetAreaLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetAreaLabelVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaLabelVisibility for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetAreaLabelVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:AreaLabelVisibilityOn vtkRenderedTreeAreaRepresentationAreaLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationAreaLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AreaLabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AreaLabelVisibilityOn for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->AreaLabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:AreaLabelVisibilityOff vtkRenderedTreeAreaRepresentationAreaLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationAreaLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AreaLabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AreaLabelVisibilityOff for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->AreaLabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetAreaLabelTextProperty vtkRenderedTreeAreaRepresentationSetAreaLabelTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetAreaLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAreaLabelTextProperty (vtkTextProperty *tp); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaLabelTextProperty for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetAreaLabelTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetAreaLabelTextProperty vtkRenderedTreeAreaRepresentationGetAreaLabelTextPropertyFunction
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetAreaLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkTextProperty *GetAreaLabelTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaLabelTextProperty for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetAreaLabelTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphEdgeLabelVisibility__1 vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelVisibility__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelVisibility__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeLabelVisibility (bool vis);this SetGraphEdgeLabelVisibility vis  */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphEdgeLabelVisibility__1 for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetGraphEdgeLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphEdgeLabelVisibility__2 vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelVisibility__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelVisibility__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeLabelVisibility (bool vis, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function SetGraphEdgeLabelVisibility__2 for class vtkRenderedTreeAreaRepresentation requires 3 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  int      temp1;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetGraphEdgeLabelVisibility(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphEdgeLabelVisibility__1 vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelVisibility__1Function
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelVisibility__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetGraphEdgeLabelVisibility ();return this GetGraphEdgeLabelVisibility  */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphEdgeLabelVisibility__1 for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetGraphEdgeLabelVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphEdgeLabelVisibility__2 vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelVisibility__2Function
//input a0 a1 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelVisibility__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetGraphEdgeLabelVisibility (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetGraphEdgeLabelVisibility__2 for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGraphEdgeLabelVisibility(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GraphEdgeLabelVisibilityOn vtkRenderedTreeAreaRepresentationGraphEdgeLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationGraphEdgeLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GraphEdgeLabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GraphEdgeLabelVisibilityOn for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->GraphEdgeLabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GraphEdgeLabelVisibilityOff vtkRenderedTreeAreaRepresentationGraphEdgeLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationGraphEdgeLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GraphEdgeLabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GraphEdgeLabelVisibilityOff for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->GraphEdgeLabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetAreaColorArrayName vtkRenderedTreeAreaRepresentationSetAreaColorArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetAreaColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAreaColorArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaColorArrayName for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetAreaColorArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetAreaColorArrayName vtkRenderedTreeAreaRepresentationGetAreaColorArrayNameFunction
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetAreaColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetAreaColorArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaColorArrayName for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetAreaColorArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetColorAreasByArray vtkRenderedTreeAreaRepresentationSetColorAreasByArrayFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetColorAreasByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetColorAreasByArray (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorAreasByArray for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetColorAreasByArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetColorAreasByArray vtkRenderedTreeAreaRepresentationGetColorAreasByArrayFunction
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetColorAreasByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetColorAreasByArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorAreasByArray for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetColorAreasByArray();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:ColorAreasByArrayOn vtkRenderedTreeAreaRepresentationColorAreasByArrayOnFunction
//input a0 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationColorAreasByArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorAreasByArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorAreasByArrayOn for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ColorAreasByArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:ColorAreasByArrayOff vtkRenderedTreeAreaRepresentationColorAreasByArrayOffFunction
//input a0 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationColorAreasByArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorAreasByArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorAreasByArrayOff for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ColorAreasByArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphEdgeColorArrayName__1 vtkRenderedTreeAreaRepresentationSetGraphEdgeColorArrayName__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphEdgeColorArrayName__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeColorArrayName (const char *name);this SetGraphEdgeColorArrayName name  */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphEdgeColorArrayName__1 for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetGraphEdgeColorArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphEdgeColorArrayName__2 vtkRenderedTreeAreaRepresentationSetGraphEdgeColorArrayName__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphEdgeColorArrayName__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeColorArrayName (const char *name, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function SetGraphEdgeColorArrayName__2 for class vtkRenderedTreeAreaRepresentation requires 3 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetGraphEdgeColorArrayName(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphEdgeColorArrayName__1 vtkRenderedTreeAreaRepresentationGetGraphEdgeColorArrayName__1Function
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphEdgeColorArrayName__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetGraphEdgeColorArrayName ();return this GetGraphEdgeColorArrayName  */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphEdgeColorArrayName__1 for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGraphEdgeColorArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphEdgeColorArrayName__2 vtkRenderedTreeAreaRepresentationGetGraphEdgeColorArrayName__2Function
//input a0 a1 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphEdgeColorArrayName__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetGraphEdgeColorArrayName (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetGraphEdgeColorArrayName__2 for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGraphEdgeColorArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphEdgeColorToSplineFraction__1 vtkRenderedTreeAreaRepresentationSetGraphEdgeColorToSplineFraction__1Function
//input a0 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphEdgeColorToSplineFraction__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeColorToSplineFraction ();this SetGraphEdgeColorToSplineFraction  */
  if (arg.size() < 1) 
    throw Exception("Function SetGraphEdgeColorToSplineFraction__1 for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetGraphEdgeColorToSplineFraction();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphEdgeColorToSplineFraction__2 vtkRenderedTreeAreaRepresentationSetGraphEdgeColorToSplineFraction__2Function
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphEdgeColorToSplineFraction__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphEdgeColorToSplineFraction (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphEdgeColorToSplineFraction__2 for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGraphEdgeColorToSplineFraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetColorGraphEdgesByArray__1 vtkRenderedTreeAreaRepresentationSetColorGraphEdgesByArray__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetColorGraphEdgesByArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetColorGraphEdgesByArray (bool vis);this SetColorGraphEdgesByArray vis  */
  if (arg.size() < 2) 
    throw Exception("Function SetColorGraphEdgesByArray__1 for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetColorGraphEdgesByArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetColorGraphEdgesByArray__2 vtkRenderedTreeAreaRepresentationSetColorGraphEdgesByArray__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetColorGraphEdgesByArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetColorGraphEdgesByArray (bool vis, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function SetColorGraphEdgesByArray__2 for class vtkRenderedTreeAreaRepresentation requires 3 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  int      temp1;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetColorGraphEdgesByArray(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetColorGraphEdgesByArray__1 vtkRenderedTreeAreaRepresentationGetColorGraphEdgesByArray__1Function
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetColorGraphEdgesByArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetColorGraphEdgesByArray ();return this GetColorGraphEdgesByArray  */
  if (arg.size() < 1) 
    throw Exception("Function GetColorGraphEdgesByArray__1 for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetColorGraphEdgesByArray();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetColorGraphEdgesByArray__2 vtkRenderedTreeAreaRepresentationGetColorGraphEdgesByArray__2Function
//input a0 a1 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetColorGraphEdgesByArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetColorGraphEdgesByArray (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetColorGraphEdgesByArray__2 for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetColorGraphEdgesByArray(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:ColorGraphEdgesByArrayOn vtkRenderedTreeAreaRepresentationColorGraphEdgesByArrayOnFunction
//input a0 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationColorGraphEdgesByArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorGraphEdgesByArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorGraphEdgesByArrayOn for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ColorGraphEdgesByArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:ColorGraphEdgesByArrayOff vtkRenderedTreeAreaRepresentationColorGraphEdgesByArrayOffFunction
//input a0 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationColorGraphEdgesByArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorGraphEdgesByArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorGraphEdgesByArrayOff for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ColorGraphEdgesByArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphHoverArrayName__1 vtkRenderedTreeAreaRepresentationSetGraphHoverArrayName__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphHoverArrayName__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphHoverArrayName (const char *name);this SetGraphHoverArrayName name  */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphHoverArrayName__1 for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetGraphHoverArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphHoverArrayName__2 vtkRenderedTreeAreaRepresentationSetGraphHoverArrayName__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphHoverArrayName__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphHoverArrayName (const char *name, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function SetGraphHoverArrayName__2 for class vtkRenderedTreeAreaRepresentation requires 3 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetGraphHoverArrayName(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphHoverArrayName__1 vtkRenderedTreeAreaRepresentationGetGraphHoverArrayName__1Function
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphHoverArrayName__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetGraphHoverArrayName ();return this GetGraphHoverArrayName  */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphHoverArrayName__1 for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGraphHoverArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphHoverArrayName__2 vtkRenderedTreeAreaRepresentationGetGraphHoverArrayName__2Function
//input a0 a1 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphHoverArrayName__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetGraphHoverArrayName (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetGraphHoverArrayName__2 for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGraphHoverArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetShrinkPercentage vtkRenderedTreeAreaRepresentationSetShrinkPercentageFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetShrinkPercentageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetShrinkPercentage (double value); */
  if (arg.size() < 2) 
    throw Exception("Function SetShrinkPercentage for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetShrinkPercentage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetShrinkPercentage vtkRenderedTreeAreaRepresentationGetShrinkPercentageFunction
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetShrinkPercentageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetShrinkPercentage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShrinkPercentage for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetShrinkPercentage();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphBundlingStrength__1 vtkRenderedTreeAreaRepresentationSetGraphBundlingStrength__1Function
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphBundlingStrength__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphBundlingStrength (double strength);this SetGraphBundlingStrength strength  */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphBundlingStrength__1 for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetGraphBundlingStrength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphBundlingStrength__2 vtkRenderedTreeAreaRepresentationSetGraphBundlingStrength__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphBundlingStrength__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphBundlingStrength (double strength, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function SetGraphBundlingStrength__2 for class vtkRenderedTreeAreaRepresentation requires 3 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetGraphBundlingStrength(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphBundlingStrength__1 vtkRenderedTreeAreaRepresentationGetGraphBundlingStrength__1Function
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphBundlingStrength__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetGraphBundlingStrength ();return this GetGraphBundlingStrength  */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphBundlingStrength__1 for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGraphBundlingStrength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphBundlingStrength__2 vtkRenderedTreeAreaRepresentationGetGraphBundlingStrength__2Function
//input a0 a1 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphBundlingStrength__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetGraphBundlingStrength (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetGraphBundlingStrength__2 for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGraphBundlingStrength(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphSplineType vtkRenderedTreeAreaRepresentationSetGraphSplineTypeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphSplineTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraphSplineType (int type, int idx); */
  if (arg.size() < 3) 
    throw Exception("Function SetGraphSplineType for class vtkRenderedTreeAreaRepresentation requires 3 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetGraphSplineType(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphSplineType vtkRenderedTreeAreaRepresentationGetGraphSplineTypeFunction
//input a0 a1 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphSplineTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetGraphSplineType (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetGraphSplineType for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGraphSplineType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetAreaLayoutStrategy vtkRenderedTreeAreaRepresentationSetAreaLayoutStrategyFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetAreaLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAreaLayoutStrategy (vtkAreaLayoutStrategy *strategy); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaLayoutStrategy for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtkAreaLayoutStrategy  *temp0;
  temp0 = GetVTKPointer<vtkAreaLayoutStrategy>(arg[1]);
  vtk_pointer->SetAreaLayoutStrategy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetAreaLayoutStrategy vtkRenderedTreeAreaRepresentationGetAreaLayoutStrategyFunction
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetAreaLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAreaLayoutStrategy *GetAreaLayoutStrategy (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaLayoutStrategy for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtkAreaLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->GetAreaLayoutStrategy();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAreaLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetAreaToPolyData vtkRenderedTreeAreaRepresentationSetAreaToPolyDataFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetAreaToPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAreaToPolyData (vtkPolyDataAlgorithm *areaToPoly); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaToPolyData for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtkPolyDataAlgorithm  *temp0;
  temp0 = GetVTKPointer<vtkPolyDataAlgorithm>(arg[1]);
  vtk_pointer->SetAreaToPolyData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetAreaToPolyData vtkRenderedTreeAreaRepresentationGetAreaToPolyDataFunction
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetAreaToPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataAlgorithm *GetAreaToPolyData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaToPolyData for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtkPolyDataAlgorithm  *temp20;
  temp20 = (vtk_pointer)->GetAreaToPolyData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetUseRectangularCoordinates vtkRenderedTreeAreaRepresentationSetUseRectangularCoordinatesFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetUseRectangularCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseRectangularCoordinates (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseRectangularCoordinates for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseRectangularCoordinates(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetUseRectangularCoordinates vtkRenderedTreeAreaRepresentationGetUseRectangularCoordinatesFunction
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetUseRectangularCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseRectangularCoordinates (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseRectangularCoordinates for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseRectangularCoordinates();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:UseRectangularCoordinatesOn vtkRenderedTreeAreaRepresentationUseRectangularCoordinatesOnFunction
//input a0 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationUseRectangularCoordinatesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseRectangularCoordinatesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseRectangularCoordinatesOn for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->UseRectangularCoordinatesOn();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:UseRectangularCoordinatesOff vtkRenderedTreeAreaRepresentationUseRectangularCoordinatesOffFunction
//input a0 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationUseRectangularCoordinatesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseRectangularCoordinatesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseRectangularCoordinatesOff for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->UseRectangularCoordinatesOff();
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetAreaLabelMapper vtkRenderedTreeAreaRepresentationSetAreaLabelMapperFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetAreaLabelMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAreaLabelMapper (vtkLabeledDataMapper *mapper); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaLabelMapper for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtkLabeledDataMapper  *temp0;
  temp0 = GetVTKPointer<vtkLabeledDataMapper>(arg[1]);
  vtk_pointer->SetAreaLabelMapper(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetAreaLabelMapper vtkRenderedTreeAreaRepresentationGetAreaLabelMapperFunction
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetAreaLabelMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLabeledDataMapper *GetAreaLabelMapper (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaLabelMapper for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtkLabeledDataMapper  *temp20;
  temp20 = (vtk_pointer)->GetAreaLabelMapper();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLabeledDataMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:ApplyViewTheme vtkRenderedTreeAreaRepresentationApplyViewThemeFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationApplyViewThemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ApplyViewTheme (vtkViewTheme *theme); */
  if (arg.size() < 2) 
    throw Exception("Function ApplyViewTheme for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  vtkViewTheme  *temp0;
  temp0 = GetVTKPointer<vtkViewTheme>(arg[1]);
  vtk_pointer->ApplyViewTheme(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetEdgeScalarBarVisibility vtkRenderedTreeAreaRepresentationSetEdgeScalarBarVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkRenderedTreeAreaRepresentationSetEdgeScalarBarVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeScalarBarVisibility (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeScalarBarVisibility for class vtkRenderedTreeAreaRepresentation requires 2 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEdgeScalarBarVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetEdgeScalarBarVisibility vtkRenderedTreeAreaRepresentationGetEdgeScalarBarVisibilityFunction
//input a0 
//output y
ArrayVector vtkRenderedTreeAreaRepresentationGetEdgeScalarBarVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetEdgeScalarBarVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeScalarBarVisibility for class vtkRenderedTreeAreaRepresentation requires 1 argument(s)");
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetEdgeScalarBarVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphEdgeLabelArrayName vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelArrayNameFunction
//input varargin
//output varargout
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelArrayName__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelArrayName__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelArrayName");
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphEdgeLabelArrayName vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelArrayNameFunction
//input varargin
//output varargout
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelArrayName__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelArrayName__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelArrayName");
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphEdgeLabelTextProperty vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelTextPropertyFunction
//input varargin
//output varargout
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkTextProperty"))
    return vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelTextProperty__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkTextProperty") && VTKIsScalarArg(arg[2]))
    return vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelTextProperty__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelTextProperty");
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphEdgeLabelTextProperty vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelTextPropertyFunction
//input varargin
//output varargout
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelTextProperty__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelTextProperty__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelTextProperty");
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphEdgeLabelVisibility vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelVisibilityFunction
//input varargin
//output varargout
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelVisibility__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelVisibility__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedTreeAreaRepresentationSetGraphEdgeLabelVisibility");
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphEdgeLabelVisibility vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelVisibilityFunction
//input varargin
//output varargout
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelVisibility__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelVisibility__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedTreeAreaRepresentationGetGraphEdgeLabelVisibility");
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphEdgeColorArrayName vtkRenderedTreeAreaRepresentationSetGraphEdgeColorArrayNameFunction
//input varargin
//output varargout
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphEdgeColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkRenderedTreeAreaRepresentationSetGraphEdgeColorArrayName__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkRenderedTreeAreaRepresentationSetGraphEdgeColorArrayName__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedTreeAreaRepresentationSetGraphEdgeColorArrayName");
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphEdgeColorArrayName vtkRenderedTreeAreaRepresentationGetGraphEdgeColorArrayNameFunction
//input varargin
//output varargout
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphEdgeColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedTreeAreaRepresentationGetGraphEdgeColorArrayName__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedTreeAreaRepresentationGetGraphEdgeColorArrayName__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedTreeAreaRepresentationGetGraphEdgeColorArrayName");
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphEdgeColorToSplineFraction vtkRenderedTreeAreaRepresentationSetGraphEdgeColorToSplineFractionFunction
//input varargin
//output varargout
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphEdgeColorToSplineFractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedTreeAreaRepresentationSetGraphEdgeColorToSplineFraction__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedTreeAreaRepresentationSetGraphEdgeColorToSplineFraction__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedTreeAreaRepresentationSetGraphEdgeColorToSplineFraction");
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetColorGraphEdgesByArray vtkRenderedTreeAreaRepresentationSetColorGraphEdgesByArrayFunction
//input varargin
//output varargout
ArrayVector vtkRenderedTreeAreaRepresentationSetColorGraphEdgesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedTreeAreaRepresentationSetColorGraphEdgesByArray__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRenderedTreeAreaRepresentationSetColorGraphEdgesByArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedTreeAreaRepresentationSetColorGraphEdgesByArray");
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetColorGraphEdgesByArray vtkRenderedTreeAreaRepresentationGetColorGraphEdgesByArrayFunction
//input varargin
//output varargout
ArrayVector vtkRenderedTreeAreaRepresentationGetColorGraphEdgesByArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedTreeAreaRepresentationGetColorGraphEdgesByArray__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedTreeAreaRepresentationGetColorGraphEdgesByArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedTreeAreaRepresentationGetColorGraphEdgesByArray");
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphHoverArrayName vtkRenderedTreeAreaRepresentationSetGraphHoverArrayNameFunction
//input varargin
//output varargout
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphHoverArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkRenderedTreeAreaRepresentationSetGraphHoverArrayName__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkRenderedTreeAreaRepresentationSetGraphHoverArrayName__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedTreeAreaRepresentationSetGraphHoverArrayName");
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphHoverArrayName vtkRenderedTreeAreaRepresentationGetGraphHoverArrayNameFunction
//input varargin
//output varargout
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphHoverArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedTreeAreaRepresentationGetGraphHoverArrayName__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedTreeAreaRepresentationGetGraphHoverArrayName__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedTreeAreaRepresentationGetGraphHoverArrayName");
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:SetGraphBundlingStrength vtkRenderedTreeAreaRepresentationSetGraphBundlingStrengthFunction
//input varargin
//output varargout
ArrayVector vtkRenderedTreeAreaRepresentationSetGraphBundlingStrengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedTreeAreaRepresentationSetGraphBundlingStrength__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRenderedTreeAreaRepresentationSetGraphBundlingStrength__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedTreeAreaRepresentationSetGraphBundlingStrength");
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:GetGraphBundlingStrength vtkRenderedTreeAreaRepresentationGetGraphBundlingStrengthFunction
//input varargin
//output varargout
ArrayVector vtkRenderedTreeAreaRepresentationGetGraphBundlingStrengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRenderedTreeAreaRepresentationGetGraphBundlingStrength__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRenderedTreeAreaRepresentationGetGraphBundlingStrength__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRenderedTreeAreaRepresentationGetGraphBundlingStrength");
}

//@@Signature
//sfunction @vtkRenderedTreeAreaRepresentation:display vtkRenderedTreeAreaRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRenderedTreeAreaRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRenderedTreeAreaRepresentation* vtk_pointer = GetVTKPointer<vtkRenderedTreeAreaRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRenderedTreeAreaRepresentation:delete vtkRenderedTreeAreaRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkRenderedTreeAreaRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRenderedTreeAreaRepresentation
//@@Section VTKViews
//@@Usage
//
//To create an instance of class vtkRenderedTreeAreaRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkRenderedTreeAreaRepresentation
//@]
//@@Methods
//The class vtkRenderedTreeAreaRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRenderedTreeAreaRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRenderedTreeAreaRepresentation = obj.NewInstance ()|
// \item @|vtkRenderedTreeAreaRepresentation = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLabelRenderMode (int mode)| -  Set the label render mode.
// QT - Use vtkQtTreeRingLabeler with fitted labeling
//   and unicode support. Requires VTK_USE_QT to be on.
// FREETYPE - Use standard freetype text rendering.
//// \item @|obj.SetAreaLabelArrayName (string name)| -  The array to use for area labeling.  Default is "label".
//// \item @|string = obj.GetAreaLabelArrayName ()| -  The array to use for area labeling.  Default is "label".
//// \item @|obj.SetAreaSizeArrayName (string name)| -  The array to use for area sizes. Default is "size".
//// \item @|string = obj.GetAreaSizeArrayName ()| -  The array to use for area sizes. Default is "size".
//// \item @|obj.SetAreaLabelPriorityArrayName (string name)| -  The array to use for area labeling priority.
// Default is "GraphVertexDegree".
//// \item @|string = obj.GetAreaLabelPriorityArrayName ()| -  The array to use for area labeling priority.
// Default is "GraphVertexDegree".
//// \item @|obj.SetGraphEdgeLabelArrayName (string name)| -  The array to use for edge labeling.  Default is "label".
//// \item @|obj.SetGraphEdgeLabelArrayName (string name, int idx)| -  The array to use for edge labeling.  Default is "label".
//// \item @|string = obj.GetGraphEdgeLabelArrayName ()| -  The array to use for edge labeling.  Default is "label".
//// \item @|string = obj.GetGraphEdgeLabelArrayName (int idx)| -  The array to use for edge labeling.  Default is "label".
//// \item @|obj.SetGraphEdgeLabelTextProperty (vtkTextProperty tp)| -  The text property for the graph edge labels.
//// \item @|obj.SetGraphEdgeLabelTextProperty (vtkTextProperty tp, int idx)| -  The text property for the graph edge labels.
//// \item @|vtkTextProperty = obj.GetGraphEdgeLabelTextProperty ()| -  The text property for the graph edge labels.
//// \item @|vtkTextProperty = obj.GetGraphEdgeLabelTextProperty (int idx)| -  The text property for the graph edge labels.
//// \item @|obj.SetAreaHoverArrayName (string )| -  The name of the array whose value appears when the mouse hovers
// over a rectangle in the treemap.
//// \item @|string = obj.GetAreaHoverArrayName ()| -  The name of the array whose value appears when the mouse hovers
// over a rectangle in the treemap.
//// \item @|obj.SetAreaLabelVisibility (bool vis)| -  Whether to show area labels.  Default is off.
//// \item @|bool = obj.GetAreaLabelVisibility ()| -  Whether to show area labels.  Default is off.
//// \item @|obj.AreaLabelVisibilityOn ()| -  Whether to show area labels.  Default is off.
//// \item @|obj.AreaLabelVisibilityOff ()| -  Whether to show area labels.  Default is off.
//// \item @|obj.SetAreaLabelTextProperty (vtkTextProperty tp)| -  The text property for the area labels.
//// \item @|vtkTextProperty = obj.GetAreaLabelTextProperty ()| -  The text property for the area labels.
//// \item @|obj.SetGraphEdgeLabelVisibility (bool vis)| -  Whether to show edge labels.  Default is off.
//// \item @|obj.SetGraphEdgeLabelVisibility (bool vis, int idx)| -  Whether to show edge labels.  Default is off.
//// \item @|bool = obj.GetGraphEdgeLabelVisibility ()| -  Whether to show edge labels.  Default is off.
//// \item @|bool = obj.GetGraphEdgeLabelVisibility (int idx)| -  Whether to show edge labels.  Default is off.
//// \item @|obj.GraphEdgeLabelVisibilityOn ()| -  Whether to show edge labels.  Default is off.
//// \item @|obj.GraphEdgeLabelVisibilityOff ()| -  Whether to show edge labels.  Default is off.
//// \item @|obj.SetAreaColorArrayName (string name)| -  The array to use for coloring vertices.  Default is "color".
//// \item @|string = obj.GetAreaColorArrayName ()| -  The array to use for coloring vertices.  Default is "color".
//// \item @|obj.SetColorAreasByArray (bool vis)| -  Whether to color vertices.  Default is off.
//// \item @|bool = obj.GetColorAreasByArray ()| -  Whether to color vertices.  Default is off.
//// \item @|obj.ColorAreasByArrayOn ()| -  Whether to color vertices.  Default is off.
//// \item @|obj.ColorAreasByArrayOff ()| -  Whether to color vertices.  Default is off.
//// \item @|obj.SetGraphEdgeColorArrayName (string name)| -  The array to use for coloring edges.  Default is "color".
//// \item @|obj.SetGraphEdgeColorArrayName (string name, int idx)| -  The array to use for coloring edges.  Default is "color".
//// \item @|string = obj.GetGraphEdgeColorArrayName ()| -  The array to use for coloring edges.  Default is "color".
//// \item @|string = obj.GetGraphEdgeColorArrayName (int idx)| -  The array to use for coloring edges.  Default is "color".
//// \item @|obj.SetGraphEdgeColorToSplineFraction ()| -  Set the color to be the spline fraction
//// \item @|obj.SetGraphEdgeColorToSplineFraction (int idx)| -  Set the color to be the spline fraction
//// \item @|obj.SetColorGraphEdgesByArray (bool vis)| -  Whether to color edges.  Default is off.
//// \item @|obj.SetColorGraphEdgesByArray (bool vis, int idx)| -  Whether to color edges.  Default is off.
//// \item @|bool = obj.GetColorGraphEdgesByArray ()| -  Whether to color edges.  Default is off.
//// \item @|bool = obj.GetColorGraphEdgesByArray (int idx)| -  Whether to color edges.  Default is off.
//// \item @|obj.ColorGraphEdgesByArrayOn ()| -  Whether to color edges.  Default is off.
//// \item @|obj.ColorGraphEdgesByArrayOff ()| -  Whether to color edges.  Default is off.
//// \item @|obj.SetGraphHoverArrayName (string name)| -  The name of the array whose value appears when the mouse hovers
// over a graph edge.
//// \item @|obj.SetGraphHoverArrayName (string name, int idx)| -  The name of the array whose value appears when the mouse hovers
// over a graph edge.
//// \item @|string = obj.GetGraphHoverArrayName ()| -  The name of the array whose value appears when the mouse hovers
// over a graph edge.
//// \item @|string = obj.GetGraphHoverArrayName (int idx)| -  The name of the array whose value appears when the mouse hovers
// over a graph edge.
//// \item @|obj.SetShrinkPercentage (double value)| -  Set the region shrink percentage between 0.0 and 1.0.
//// \item @|double = obj.GetShrinkPercentage ()| -  Set the region shrink percentage between 0.0 and 1.0.
//// \item @|obj.SetGraphBundlingStrength (double strength)| -  Set the bundling strength.
//// \item @|obj.SetGraphBundlingStrength (double strength, int idx)| -  Set the bundling strength.
//// \item @|double = obj.GetGraphBundlingStrength ()| -  Set the bundling strength.
//// \item @|double = obj.GetGraphBundlingStrength (int idx)| -  Set the bundling strength.
//// \item @|obj.SetGraphSplineType (int type, int idx)| -  Sets the spline type for the graph edges.
// vtkSplineGraphEdges::CUSTOM uses a vtkCardinalSpline.
// vtkSplineGraphEdges::BSPLINE uses a b-spline.
// The default is CUSTOM.
//// \item @|int = obj.GetGraphSplineType (int idx)| -  Sets the spline type for the graph edges.
// vtkSplineGraphEdges::CUSTOM uses a vtkCardinalSpline.
// vtkSplineGraphEdges::BSPLINE uses a b-spline.
// The default is CUSTOM.
//// \item @|obj.SetAreaLayoutStrategy (vtkAreaLayoutStrategy strategy)| -  The layout strategy for producing spatial regions for the tree.
//// \item @|vtkAreaLayoutStrategy = obj.GetAreaLayoutStrategy ()| -  The layout strategy for producing spatial regions for the tree.
//// \item @|obj.SetAreaToPolyData (vtkPolyDataAlgorithm areaToPoly)| -  The filter for converting areas to polydata. This may e.g. be
// vtkTreeMapToPolyData or vtkTreeRingToPolyData.
// The filter must take a vtkTree as input and produce vtkPolyData.
//// \item @|vtkPolyDataAlgorithm = obj.GetAreaToPolyData ()| -  The filter for converting areas to polydata. This may e.g. be
// vtkTreeMapToPolyData or vtkTreeRingToPolyData.
// The filter must take a vtkTree as input and produce vtkPolyData.
//// \item @|obj.SetUseRectangularCoordinates (bool )| -  Whether the area represents radial or rectangular coordinates.
//// \item @|bool = obj.GetUseRectangularCoordinates ()| -  Whether the area represents radial or rectangular coordinates.
//// \item @|obj.UseRectangularCoordinatesOn ()| -  Whether the area represents radial or rectangular coordinates.
//// \item @|obj.UseRectangularCoordinatesOff ()| -  Whether the area represents radial or rectangular coordinates.
//// \item @|obj.SetAreaLabelMapper (vtkLabeledDataMapper mapper)| -  The mapper for rendering labels on areas. This may e.g. be
// vtkDynamic2DLabelMapper or vtkTreeMapLabelMapper.
//// \item @|vtkLabeledDataMapper = obj.GetAreaLabelMapper ()| -  The mapper for rendering labels on areas. This may e.g. be
// vtkDynamic2DLabelMapper or vtkTreeMapLabelMapper.
//// \item @|obj.ApplyViewTheme (vtkViewTheme theme)| -  Apply the theme to this view.
//// \item @|obj.SetEdgeScalarBarVisibility (bool b)| -  Visibility of scalar bar actor for edges.
//// \item @|bool = obj.GetEdgeScalarBarVisibility ()| -  Visibility of scalar bar actor for edges.
////\end{itemize}
//!
