#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTreeAreaView object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTreeAreaView.h"

//@@Signature
//sfunction @vtkTreeAreaView:vtkTreeAreaView vtkTreeAreaViewConstructorFunction
//input a
//output p
//@@Parents vtkTreeAreaView vtkRenderView 
ArrayVector vtkTreeAreaViewConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTreeAreaView::New(),"vtkTreeAreaView",eval);
  } else if (arg[0].className() == "vtkTreeAreaView") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTreeAreaView"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTreeAreaView");
    vtkTreeAreaView*q = reinterpret_cast<vtkTreeAreaView*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTreeAreaView");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTreeAreaView:GetClassName vtkTreeAreaViewGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:IsA vtkTreeAreaViewIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTreeAreaViewIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:NewInstance vtkTreeAreaViewNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeAreaView *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtkTreeAreaView  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeAreaView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SafeDownCast vtkTreeAreaViewSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTreeAreaViewSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeAreaView *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTreeAreaView  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeAreaView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetTreeFromInputConnection vtkTreeAreaViewSetTreeFromInputConnectionFunction
//input a0 a1 
//output y
ArrayVector vtkTreeAreaViewSetTreeFromInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataRepresentation *SetTreeFromInputConnection (vtkAlgorithmOutput *conn); */
  if (arg.size() < 2) 
    throw Exception("Function SetTreeFromInputConnection for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  temp20 = (vtk_pointer)->SetTreeFromInputConnection(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetTreeFromInput vtkTreeAreaViewSetTreeFromInputFunction
//input a0 a1 
//output y
ArrayVector vtkTreeAreaViewSetTreeFromInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataRepresentation *SetTreeFromInput (vtkTree *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetTreeFromInput for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtkTree  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkTree>(arg[1]);
  temp20 = (vtk_pointer)->SetTreeFromInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetGraphFromInputConnection vtkTreeAreaViewSetGraphFromInputConnectionFunction
//input a0 a1 
//output y
ArrayVector vtkTreeAreaViewSetGraphFromInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataRepresentation *SetGraphFromInputConnection (vtkAlgorithmOutput *conn); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphFromInputConnection for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  temp20 = (vtk_pointer)->SetGraphFromInputConnection(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetGraphFromInput vtkTreeAreaViewSetGraphFromInputFunction
//input a0 a1 
//output y
ArrayVector vtkTreeAreaViewSetGraphFromInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataRepresentation *SetGraphFromInput (vtkGraph *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphFromInput for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  temp20 = (vtk_pointer)->SetGraphFromInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetAreaLabelArrayName vtkTreeAreaViewSetAreaLabelArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetAreaLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAreaLabelArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaLabelArrayName for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetAreaLabelArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetAreaLabelArrayName vtkTreeAreaViewGetAreaLabelArrayNameFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetAreaLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetAreaLabelArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaLabelArrayName for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetAreaLabelArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetAreaSizeArrayName vtkTreeAreaViewSetAreaSizeArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetAreaSizeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAreaSizeArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaSizeArrayName for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetAreaSizeArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetAreaSizeArrayName vtkTreeAreaViewGetAreaSizeArrayNameFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetAreaSizeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetAreaSizeArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaSizeArrayName for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetAreaSizeArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetLabelPriorityArrayName vtkTreeAreaViewSetLabelPriorityArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetLabelPriorityArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelPriorityArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelPriorityArrayName for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLabelPriorityArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetLabelPriorityArrayName vtkTreeAreaViewGetLabelPriorityArrayNameFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetLabelPriorityArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetLabelPriorityArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelPriorityArrayName for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetLabelPriorityArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetEdgeLabelArrayName vtkTreeAreaViewSetEdgeLabelArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetEdgeLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeLabelArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeLabelArrayName for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgeLabelArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetEdgeLabelArrayName vtkTreeAreaViewGetEdgeLabelArrayNameFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetEdgeLabelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetEdgeLabelArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeLabelArrayName for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetEdgeLabelArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetAreaHoverArrayName vtkTreeAreaViewSetAreaHoverArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetAreaHoverArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAreaHoverArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaHoverArrayName for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetAreaHoverArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetAreaHoverArrayName vtkTreeAreaViewGetAreaHoverArrayNameFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetAreaHoverArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetAreaHoverArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaHoverArrayName for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetAreaHoverArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetAreaLabelVisibility vtkTreeAreaViewSetAreaLabelVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetAreaLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAreaLabelVisibility (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaLabelVisibility for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetAreaLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetAreaLabelVisibility vtkTreeAreaViewGetAreaLabelVisibilityFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetAreaLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetAreaLabelVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaLabelVisibility for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetAreaLabelVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:AreaLabelVisibilityOn vtkTreeAreaViewAreaLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkTreeAreaViewAreaLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AreaLabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AreaLabelVisibilityOn for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtk_pointer->AreaLabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:AreaLabelVisibilityOff vtkTreeAreaViewAreaLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkTreeAreaViewAreaLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AreaLabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AreaLabelVisibilityOff for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtk_pointer->AreaLabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetEdgeLabelVisibility vtkTreeAreaViewSetEdgeLabelVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetEdgeLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeLabelVisibility (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeLabelVisibility for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEdgeLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetEdgeLabelVisibility vtkTreeAreaViewGetEdgeLabelVisibilityFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetEdgeLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetEdgeLabelVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeLabelVisibility for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetEdgeLabelVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:EdgeLabelVisibilityOn vtkTreeAreaViewEdgeLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkTreeAreaViewEdgeLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeLabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeLabelVisibilityOn for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtk_pointer->EdgeLabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:EdgeLabelVisibilityOff vtkTreeAreaViewEdgeLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkTreeAreaViewEdgeLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeLabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeLabelVisibilityOff for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtk_pointer->EdgeLabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetAreaColorArrayName vtkTreeAreaViewSetAreaColorArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetAreaColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAreaColorArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaColorArrayName for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetAreaColorArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetAreaColorArrayName vtkTreeAreaViewGetAreaColorArrayNameFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetAreaColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetAreaColorArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaColorArrayName for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetAreaColorArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetColorAreas vtkTreeAreaViewSetColorAreasFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetColorAreasFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorAreas (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorAreas for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetColorAreas(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetColorAreas vtkTreeAreaViewGetColorAreasFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetColorAreasFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetColorAreas (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorAreas for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetColorAreas();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:ColorAreasOn vtkTreeAreaViewColorAreasOnFunction
//input a0 
//output none
ArrayVector vtkTreeAreaViewColorAreasOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorAreasOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorAreasOn for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtk_pointer->ColorAreasOn();
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:ColorAreasOff vtkTreeAreaViewColorAreasOffFunction
//input a0 
//output none
ArrayVector vtkTreeAreaViewColorAreasOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorAreasOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorAreasOff for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtk_pointer->ColorAreasOff();
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetEdgeColorArrayName vtkTreeAreaViewSetEdgeColorArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetEdgeColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeColorArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeColorArrayName for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgeColorArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetEdgeColorArrayName vtkTreeAreaViewGetEdgeColorArrayNameFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetEdgeColorArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetEdgeColorArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeColorArrayName for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetEdgeColorArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetEdgeColorToSplineFraction vtkTreeAreaViewSetEdgeColorToSplineFractionFunction
//input a0 
//output none
ArrayVector vtkTreeAreaViewSetEdgeColorToSplineFractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeColorToSplineFraction (); */
  if (arg.size() < 1) 
    throw Exception("Function SetEdgeColorToSplineFraction for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtk_pointer->SetEdgeColorToSplineFraction();
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetShrinkPercentage vtkTreeAreaViewSetShrinkPercentageFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetShrinkPercentageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShrinkPercentage (double value); */
  if (arg.size() < 2) 
    throw Exception("Function SetShrinkPercentage for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetShrinkPercentage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetShrinkPercentage vtkTreeAreaViewGetShrinkPercentageFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetShrinkPercentageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetShrinkPercentage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShrinkPercentage for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetShrinkPercentage();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetColorEdges vtkTreeAreaViewSetColorEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetColorEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorEdges (bool vis); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorEdges for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetColorEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetColorEdges vtkTreeAreaViewGetColorEdgesFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetColorEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetColorEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorEdges for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetColorEdges();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:ColorEdgesOn vtkTreeAreaViewColorEdgesOnFunction
//input a0 
//output none
ArrayVector vtkTreeAreaViewColorEdgesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorEdgesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorEdgesOn for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtk_pointer->ColorEdgesOn();
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:ColorEdgesOff vtkTreeAreaViewColorEdgesOffFunction
//input a0 
//output none
ArrayVector vtkTreeAreaViewColorEdgesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorEdgesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorEdgesOff for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtk_pointer->ColorEdgesOff();
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetBundlingStrength vtkTreeAreaViewSetBundlingStrengthFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetBundlingStrengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBundlingStrength (double strength); */
  if (arg.size() < 2) 
    throw Exception("Function SetBundlingStrength for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetBundlingStrength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetBundlingStrength vtkTreeAreaViewGetBundlingStrengthFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetBundlingStrengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBundlingStrength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBundlingStrength for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBundlingStrength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetAreaLabelFontSize vtkTreeAreaViewSetAreaLabelFontSizeFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetAreaLabelFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAreaLabelFontSize (const int size); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaLabelFontSize for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAreaLabelFontSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetAreaLabelFontSize vtkTreeAreaViewGetAreaLabelFontSizeFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetAreaLabelFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetAreaLabelFontSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaLabelFontSize for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAreaLabelFontSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetEdgeLabelFontSize vtkTreeAreaViewSetEdgeLabelFontSizeFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetEdgeLabelFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeLabelFontSize (const int size); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeLabelFontSize for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEdgeLabelFontSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetEdgeLabelFontSize vtkTreeAreaViewGetEdgeLabelFontSizeFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetEdgeLabelFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetEdgeLabelFontSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeLabelFontSize for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEdgeLabelFontSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetLayoutStrategy vtkTreeAreaViewSetLayoutStrategyFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLayoutStrategy (vtkAreaLayoutStrategy *strategy); */
  if (arg.size() < 2) 
    throw Exception("Function SetLayoutStrategy for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtkAreaLayoutStrategy  *temp0;
  temp0 = GetVTKPointer<vtkAreaLayoutStrategy>(arg[1]);
  vtk_pointer->SetLayoutStrategy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetLayoutStrategy vtkTreeAreaViewGetLayoutStrategyFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAreaLayoutStrategy *GetLayoutStrategy (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLayoutStrategy for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtkAreaLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->GetLayoutStrategy();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAreaLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetUseRectangularCoordinates vtkTreeAreaViewSetUseRectangularCoordinatesFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetUseRectangularCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetUseRectangularCoordinates (bool rect); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseRectangularCoordinates for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseRectangularCoordinates(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetUseRectangularCoordinates vtkTreeAreaViewGetUseRectangularCoordinatesFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetUseRectangularCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetUseRectangularCoordinates (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseRectangularCoordinates for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseRectangularCoordinates();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:UseRectangularCoordinatesOn vtkTreeAreaViewUseRectangularCoordinatesOnFunction
//input a0 
//output none
ArrayVector vtkTreeAreaViewUseRectangularCoordinatesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseRectangularCoordinatesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseRectangularCoordinatesOn for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtk_pointer->UseRectangularCoordinatesOn();
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:UseRectangularCoordinatesOff vtkTreeAreaViewUseRectangularCoordinatesOffFunction
//input a0 
//output none
ArrayVector vtkTreeAreaViewUseRectangularCoordinatesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseRectangularCoordinatesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseRectangularCoordinatesOff for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  vtk_pointer->UseRectangularCoordinatesOff();
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:SetEdgeScalarBarVisibility vtkTreeAreaViewSetEdgeScalarBarVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkTreeAreaViewSetEdgeScalarBarVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeScalarBarVisibility (bool b); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeScalarBarVisibility for class vtkTreeAreaView requires 2 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEdgeScalarBarVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:GetEdgeScalarBarVisibility vtkTreeAreaViewGetEdgeScalarBarVisibilityFunction
//input a0 
//output y
ArrayVector vtkTreeAreaViewGetEdgeScalarBarVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetEdgeScalarBarVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeScalarBarVisibility for class vtkTreeAreaView requires 1 argument(s)");
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetEdgeScalarBarVisibility();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTreeAreaView:display vtkTreeAreaViewDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTreeAreaViewDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTreeAreaView* vtk_pointer = GetVTKPointer<vtkTreeAreaView>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTreeAreaView:delete vtkTreeAreaViewDeleteFunction
//input varargin
//output none
ArrayVector vtkTreeAreaViewDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTreeAreaView
//@@Section VTKViews
//@@Usage
// Takes a graph and a hierarchy (currently a tree) and lays out the graph
// vertices based on their categorization within the hierarchy.
//
// .SEE ALSO
// vtkGraphLayoutView
//
// .SECTION Thanks
// Thanks to Jason Shepherd for implementing this class
//
//To create an instance of class vtkTreeAreaView, simply
//invoke its constructor as follows
//@[
//  obj = vtkTreeAreaView
//@]
//@@Methods
//The class vtkTreeAreaView has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTreeAreaView class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTreeAreaView = obj.NewInstance ()|
// \item @|vtkTreeAreaView = obj.SafeDownCast (vtkObject o)|
// \item @|vtkDataRepresentation = obj.SetTreeFromInputConnection (vtkAlgorithmOutput conn)| -  Set the tree and graph representations to the appropriate input ports.
//// \item @|vtkDataRepresentation = obj.SetTreeFromInput (vtkTree input)| -  Set the tree and graph representations to the appropriate input ports.
//// \item @|vtkDataRepresentation = obj.SetGraphFromInputConnection (vtkAlgorithmOutput conn)| -  Set the tree and graph representations to the appropriate input ports.
//// \item @|vtkDataRepresentation = obj.SetGraphFromInput (vtkGraph input)| -  Set the tree and graph representations to the appropriate input ports.
//// \item @|obj.SetAreaLabelArrayName (string name)| -  The array to use for area labeling.  Default is "label".
//// \item @|string = obj.GetAreaLabelArrayName ()| -  The array to use for area labeling.  Default is "label".
//// \item @|obj.SetAreaSizeArrayName (string name)| -  The array to use for area sizes. Default is "size".
//// \item @|string = obj.GetAreaSizeArrayName ()| -  The array to use for area sizes. Default is "size".
//// \item @|obj.SetLabelPriorityArrayName (string name)| -  The array to use for area labeling priority.
// Default is "GraphVertexDegree".
//// \item @|string = obj.GetLabelPriorityArrayName ()| -  The array to use for area labeling priority.
// Default is "GraphVertexDegree".
//// \item @|obj.SetEdgeLabelArrayName (string name)| -  The array to use for edge labeling.  Default is "label".
//// \item @|string = obj.GetEdgeLabelArrayName ()| -  The array to use for edge labeling.  Default is "label".
//// \item @|obj.SetAreaHoverArrayName (string name)| -  The name of the array whose value appears when the mouse hovers
// over a rectangle in the treemap.
// This must be a string array.
//// \item @|string = obj.GetAreaHoverArrayName ()| -  The name of the array whose value appears when the mouse hovers
// over a rectangle in the treemap.
// This must be a string array.
//// \item @|obj.SetAreaLabelVisibility (bool vis)| -  Whether to show area labels.  Default is off.
//// \item @|bool = obj.GetAreaLabelVisibility ()| -  Whether to show area labels.  Default is off.
//// \item @|obj.AreaLabelVisibilityOn ()| -  Whether to show area labels.  Default is off.
//// \item @|obj.AreaLabelVisibilityOff ()| -  Whether to show area labels.  Default is off.
//// \item @|obj.SetEdgeLabelVisibility (bool vis)| -  Whether to show edge labels.  Default is off.
//// \item @|bool = obj.GetEdgeLabelVisibility ()| -  Whether to show edge labels.  Default is off.
//// \item @|obj.EdgeLabelVisibilityOn ()| -  Whether to show edge labels.  Default is off.
//// \item @|obj.EdgeLabelVisibilityOff ()| -  Whether to show edge labels.  Default is off.
//// \item @|obj.SetAreaColorArrayName (string name)| -  The array to use for coloring vertices.  Default is "color".
//// \item @|string = obj.GetAreaColorArrayName ()| -  The array to use for coloring vertices.  Default is "color".
//// \item @|obj.SetColorAreas (bool vis)| -  Whether to color vertices.  Default is off.
//// \item @|bool = obj.GetColorAreas ()| -  Whether to color vertices.  Default is off.
//// \item @|obj.ColorAreasOn ()| -  Whether to color vertices.  Default is off.
//// \item @|obj.ColorAreasOff ()| -  Whether to color vertices.  Default is off.
//// \item @|obj.SetEdgeColorArrayName (string name)| -  The array to use for coloring edges.  Default is "color".
//// \item @|string = obj.GetEdgeColorArrayName ()| -  The array to use for coloring edges.  Default is "color".
//// \item @|obj.SetEdgeColorToSplineFraction ()| -  Set the color to be the spline fraction
//// \item @|obj.SetShrinkPercentage (double value)| -  Set the region shrink percentage between 0.0 and 1.0.
//// \item @|double = obj.GetShrinkPercentage ()| -  Set the region shrink percentage between 0.0 and 1.0.
//// \item @|obj.SetColorEdges (bool vis)| -  Whether to color edges.  Default is off.
//// \item @|bool = obj.GetColorEdges ()| -  Whether to color edges.  Default is off.
//// \item @|obj.ColorEdgesOn ()| -  Whether to color edges.  Default is off.
//// \item @|obj.ColorEdgesOff ()| -  Whether to color edges.  Default is off.
//// \item @|obj.SetBundlingStrength (double strength)| -  Set the bundling strength.
//// \item @|double = obj.GetBundlingStrength ()| -  Set the bundling strength.
//// \item @|obj.SetAreaLabelFontSize (int size)| -  The size of the font used for area labeling
//// \item @|int = obj.GetAreaLabelFontSize ()| -  The size of the font used for area labeling
//// \item @|obj.SetEdgeLabelFontSize (int size)| -  The size of the font used for edge labeling
//// \item @|int = obj.GetEdgeLabelFontSize ()| -  The size of the font used for edge labeling
//// \item @|obj.SetLayoutStrategy (vtkAreaLayoutStrategy strategy)| -  The layout strategy for producing spatial regions for the tree.
//// \item @|vtkAreaLayoutStrategy = obj.GetLayoutStrategy ()| -  The layout strategy for producing spatial regions for the tree.
//// \item @|obj.SetUseRectangularCoordinates (bool rect)| -  Whether the area represents radial or rectangular coordinates.
//// \item @|bool = obj.GetUseRectangularCoordinates ()| -  Whether the area represents radial or rectangular coordinates.
//// \item @|obj.UseRectangularCoordinatesOn ()| -  Whether the area represents radial or rectangular coordinates.
//// \item @|obj.UseRectangularCoordinatesOff ()| -  Whether the area represents radial or rectangular coordinates.
//// \item @|obj.SetEdgeScalarBarVisibility (bool b)| -  Visibility of scalar bar actor for edges.
//// \item @|bool = obj.GetEdgeScalarBarVisibility ()| -  Visibility of scalar bar actor for edges.
////\end{itemize}
//!
