#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTreeMapView object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTreeMapView.h"

//@@Signature
//sfunction @vtkTreeMapView:vtkTreeMapView vtkTreeMapViewConstructorFunction
//input a
//output p
//@@Parents vtkTreeMapView vtkTreeAreaView 
ArrayVector vtkTreeMapViewConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTreeMapView::New(),"vtkTreeMapView",eval);
  } else if (arg[0].className() == "vtkTreeMapView") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTreeMapView"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTreeMapView");
    vtkTreeMapView*q = reinterpret_cast<vtkTreeMapView*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTreeMapView");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTreeMapView:GetClassName vtkTreeMapViewGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTreeMapViewGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTreeMapView requires 1 argument(s)");
  vtkTreeMapView* vtk_pointer = GetVTKPointer<vtkTreeMapView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapView:IsA vtkTreeMapViewIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTreeMapViewIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTreeMapView requires 2 argument(s)");
  vtkTreeMapView* vtk_pointer = GetVTKPointer<vtkTreeMapView>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapView:NewInstance vtkTreeMapViewNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTreeMapViewNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeMapView *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTreeMapView requires 1 argument(s)");
  vtkTreeMapView* vtk_pointer = GetVTKPointer<vtkTreeMapView>(arg[0]);
  Array retval;
  vtkTreeMapView  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeMapView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapView:SafeDownCast vtkTreeMapViewSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTreeMapViewSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeMapView *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTreeMapView requires 2 argument(s)");
  vtkTreeMapView* vtk_pointer = GetVTKPointer<vtkTreeMapView>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTreeMapView  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeMapView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapView:SetLayoutStrategy__1 vtkTreeMapViewSetLayoutStrategy__1Function
//input a0 a1 
//output none
ArrayVector vtkTreeMapViewSetLayoutStrategy__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLayoutStrategy (vtkAreaLayoutStrategy *s); */
  if (arg.size() < 2) 
    throw Exception("Function SetLayoutStrategy__1 for class vtkTreeMapView requires 2 argument(s)");
  vtkTreeMapView* vtk_pointer = GetVTKPointer<vtkTreeMapView>(arg[0]);
  Array retval;
  vtkAreaLayoutStrategy  *temp0;
  temp0 = GetVTKPointer<vtkAreaLayoutStrategy>(arg[1]);
  vtk_pointer->SetLayoutStrategy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapView:SetLayoutStrategy__2 vtkTreeMapViewSetLayoutStrategy__2Function
//input a0 a1 
//output none
ArrayVector vtkTreeMapViewSetLayoutStrategy__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLayoutStrategy (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetLayoutStrategy__2 for class vtkTreeMapView requires 2 argument(s)");
  vtkTreeMapView* vtk_pointer = GetVTKPointer<vtkTreeMapView>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLayoutStrategy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapView:SetLayoutStrategyToBox vtkTreeMapViewSetLayoutStrategyToBoxFunction
//input a0 
//output none
ArrayVector vtkTreeMapViewSetLayoutStrategyToBoxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLayoutStrategyToBox (); */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToBox for class vtkTreeMapView requires 1 argument(s)");
  vtkTreeMapView* vtk_pointer = GetVTKPointer<vtkTreeMapView>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToBox();
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapView:SetLayoutStrategyToSliceAndDice vtkTreeMapViewSetLayoutStrategyToSliceAndDiceFunction
//input a0 
//output none
ArrayVector vtkTreeMapViewSetLayoutStrategyToSliceAndDiceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLayoutStrategyToSliceAndDice (); */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToSliceAndDice for class vtkTreeMapView requires 1 argument(s)");
  vtkTreeMapView* vtk_pointer = GetVTKPointer<vtkTreeMapView>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToSliceAndDice();
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapView:SetLayoutStrategyToSquarify vtkTreeMapViewSetLayoutStrategyToSquarifyFunction
//input a0 
//output none
ArrayVector vtkTreeMapViewSetLayoutStrategyToSquarifyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLayoutStrategyToSquarify (); */
  if (arg.size() < 1) 
    throw Exception("Function SetLayoutStrategyToSquarify for class vtkTreeMapView requires 1 argument(s)");
  vtkTreeMapView* vtk_pointer = GetVTKPointer<vtkTreeMapView>(arg[0]);
  Array retval;
  vtk_pointer->SetLayoutStrategyToSquarify();
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapView:SetFontSizeRange vtkTreeMapViewSetFontSizeRangeFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTreeMapViewSetFontSizeRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFontSizeRange (const int maxSize, const int minSize, const int delta); */
  if (arg.size() < 4) 
    throw Exception("Function SetFontSizeRange for class vtkTreeMapView requires 4 argument(s)");
  vtkTreeMapView* vtk_pointer = GetVTKPointer<vtkTreeMapView>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetFontSizeRange(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapView:GetFontSizeRange vtkTreeMapViewGetFontSizeRangeFunction
//input a0 a1 
//output none
ArrayVector vtkTreeMapViewGetFontSizeRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetFontSizeRange (int range[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetFontSizeRange for class vtkTreeMapView requires 2 argument(s)");
  vtkTreeMapView* vtk_pointer = GetVTKPointer<vtkTreeMapView>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->GetFontSizeRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapView:SetLayoutStrategy vtkTreeMapViewSetLayoutStrategyFunction
//input varargin
//output varargout
ArrayVector vtkTreeMapViewSetLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkAreaLayoutStrategy"))
    return vtkTreeMapViewSetLayoutStrategy__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkTreeMapViewSetLayoutStrategy__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTreeMapViewSetLayoutStrategy");
}

//@@Signature
//sfunction @vtkTreeMapView:display vtkTreeMapViewDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTreeMapViewDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTreeMapView* vtk_pointer = GetVTKPointer<vtkTreeMapView>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTreeMapView:delete vtkTreeMapViewDeleteFunction
//input varargin
//output none
ArrayVector vtkTreeMapViewDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTreeMapView
//@@Section VTKViews
//@@Usage
// vtkTreeMapView shows a vtkTree in a tree map, where each vertex in the
// tree is represented by a box.  Child boxes are contained within the
// parent box, and may be colored and sized by various parameters.
//
//To create an instance of class vtkTreeMapView, simply
//invoke its constructor as follows
//@[
//  obj = vtkTreeMapView
//@]
//@@Methods
//The class vtkTreeMapView has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTreeMapView class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTreeMapView = obj.NewInstance ()|
// \item @|vtkTreeMapView = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLayoutStrategy (vtkAreaLayoutStrategy s)| -  Sets the treemap layout strategy
//// \item @|obj.SetLayoutStrategy (string name)| -  Sets the treemap layout strategy
//// \item @|obj.SetLayoutStrategyToBox ()| -  Sets the treemap layout strategy
//// \item @|obj.SetLayoutStrategyToSliceAndDice ()| -  Sets the treemap layout strategy
//// \item @|obj.SetLayoutStrategyToSquarify ()| -  Sets the treemap layout strategy
//// \item @|obj.SetFontSizeRange (int maxSize, int minSize, int delta)| -  The sizes of the fonts used for labeling.
//// \item @|obj.GetFontSizeRange (int range[3])| -  The sizes of the fonts used for labeling.
////\end{itemize}
//!
