#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTreeRingView object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTreeRingView.h"

//@@Signature
//sfunction @vtkTreeRingView:vtkTreeRingView vtkTreeRingViewConstructorFunction
//input a
//output p
//@@Parents vtkTreeRingView vtkTreeAreaView 
ArrayVector vtkTreeRingViewConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTreeRingView::New(),"vtkTreeRingView",eval);
  } else if (arg[0].className() == "vtkTreeRingView") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTreeRingView"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTreeRingView");
    vtkTreeRingView*q = reinterpret_cast<vtkTreeRingView*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTreeRingView");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTreeRingView:GetClassName vtkTreeRingViewGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTreeRingViewGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTreeRingView requires 1 argument(s)");
  vtkTreeRingView* vtk_pointer = GetVTKPointer<vtkTreeRingView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingView:IsA vtkTreeRingViewIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTreeRingViewIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTreeRingView requires 2 argument(s)");
  vtkTreeRingView* vtk_pointer = GetVTKPointer<vtkTreeRingView>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingView:NewInstance vtkTreeRingViewNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTreeRingViewNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeRingView *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTreeRingView requires 1 argument(s)");
  vtkTreeRingView* vtk_pointer = GetVTKPointer<vtkTreeRingView>(arg[0]);
  Array retval;
  vtkTreeRingView  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeRingView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingView:SafeDownCast vtkTreeRingViewSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTreeRingViewSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeRingView *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTreeRingView requires 2 argument(s)");
  vtkTreeRingView* vtk_pointer = GetVTKPointer<vtkTreeRingView>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTreeRingView  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeRingView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingView:SetRootAngles vtkTreeRingViewSetRootAnglesFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTreeRingViewSetRootAnglesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRootAngles (double start, double end); */
  if (arg.size() < 3) 
    throw Exception("Function SetRootAngles for class vtkTreeRingView requires 3 argument(s)");
  vtkTreeRingView* vtk_pointer = GetVTKPointer<vtkTreeRingView>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetRootAngles(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingView:SetRootAtCenter vtkTreeRingViewSetRootAtCenterFunction
//input a0 a1 
//output none
ArrayVector vtkTreeRingViewSetRootAtCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRootAtCenter (bool value); */
  if (arg.size() < 2) 
    throw Exception("Function SetRootAtCenter for class vtkTreeRingView requires 2 argument(s)");
  vtkTreeRingView* vtk_pointer = GetVTKPointer<vtkTreeRingView>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetRootAtCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingView:GetRootAtCenter vtkTreeRingViewGetRootAtCenterFunction
//input a0 
//output y
ArrayVector vtkTreeRingViewGetRootAtCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetRootAtCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRootAtCenter for class vtkTreeRingView requires 1 argument(s)");
  vtkTreeRingView* vtk_pointer = GetVTKPointer<vtkTreeRingView>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetRootAtCenter();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingView:RootAtCenterOn vtkTreeRingViewRootAtCenterOnFunction
//input a0 
//output none
ArrayVector vtkTreeRingViewRootAtCenterOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RootAtCenterOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RootAtCenterOn for class vtkTreeRingView requires 1 argument(s)");
  vtkTreeRingView* vtk_pointer = GetVTKPointer<vtkTreeRingView>(arg[0]);
  Array retval;
  vtk_pointer->RootAtCenterOn();
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingView:RootAtCenterOff vtkTreeRingViewRootAtCenterOffFunction
//input a0 
//output none
ArrayVector vtkTreeRingViewRootAtCenterOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RootAtCenterOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RootAtCenterOff for class vtkTreeRingView requires 1 argument(s)");
  vtkTreeRingView* vtk_pointer = GetVTKPointer<vtkTreeRingView>(arg[0]);
  Array retval;
  vtk_pointer->RootAtCenterOff();
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingView:SetLayerThickness vtkTreeRingViewSetLayerThicknessFunction
//input a0 a1 
//output none
ArrayVector vtkTreeRingViewSetLayerThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLayerThickness (double thickness); */
  if (arg.size() < 2) 
    throw Exception("Function SetLayerThickness for class vtkTreeRingView requires 2 argument(s)");
  vtkTreeRingView* vtk_pointer = GetVTKPointer<vtkTreeRingView>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLayerThickness(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingView:GetLayerThickness vtkTreeRingViewGetLayerThicknessFunction
//input a0 
//output y
ArrayVector vtkTreeRingViewGetLayerThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetLayerThickness (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLayerThickness for class vtkTreeRingView requires 1 argument(s)");
  vtkTreeRingView* vtk_pointer = GetVTKPointer<vtkTreeRingView>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLayerThickness();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingView:SetInteriorRadius vtkTreeRingViewSetInteriorRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkTreeRingViewSetInteriorRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInteriorRadius (double thickness); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteriorRadius for class vtkTreeRingView requires 2 argument(s)");
  vtkTreeRingView* vtk_pointer = GetVTKPointer<vtkTreeRingView>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetInteriorRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingView:GetInteriorRadius vtkTreeRingViewGetInteriorRadiusFunction
//input a0 
//output y
ArrayVector vtkTreeRingViewGetInteriorRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetInteriorRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteriorRadius for class vtkTreeRingView requires 1 argument(s)");
  vtkTreeRingView* vtk_pointer = GetVTKPointer<vtkTreeRingView>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetInteriorRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingView:SetInteriorLogSpacingValue vtkTreeRingViewSetInteriorLogSpacingValueFunction
//input a0 a1 
//output none
ArrayVector vtkTreeRingViewSetInteriorLogSpacingValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInteriorLogSpacingValue (double thickness); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteriorLogSpacingValue for class vtkTreeRingView requires 2 argument(s)");
  vtkTreeRingView* vtk_pointer = GetVTKPointer<vtkTreeRingView>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetInteriorLogSpacingValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingView:GetInteriorLogSpacingValue vtkTreeRingViewGetInteriorLogSpacingValueFunction
//input a0 
//output y
ArrayVector vtkTreeRingViewGetInteriorLogSpacingValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetInteriorLogSpacingValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteriorLogSpacingValue for class vtkTreeRingView requires 1 argument(s)");
  vtkTreeRingView* vtk_pointer = GetVTKPointer<vtkTreeRingView>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetInteriorLogSpacingValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingView:display vtkTreeRingViewDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTreeRingViewDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTreeRingView* vtk_pointer = GetVTKPointer<vtkTreeRingView>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTreeRingView:delete vtkTreeRingViewDeleteFunction
//input varargin
//output none
ArrayVector vtkTreeRingViewDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTreeRingView
//@@Section VTKViews
//@@Usage
// Accepts a graph and a hierarchy - currently
// a tree - and provides a hierarchy-aware display.  Currently, this means
// displaying the hierarchy using a tree ring layout, then rendering the graph
// vertices as leaves of the tree with curved graph edges between leaves.
//
// .SEE ALSO
// vtkGraphLayoutView
//
// .SECTION Thanks
// Thanks to Jason Shepherd for implementing this class
//
//To create an instance of class vtkTreeRingView, simply
//invoke its constructor as follows
//@[
//  obj = vtkTreeRingView
//@]
//@@Methods
//The class vtkTreeRingView has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTreeRingView class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTreeRingView = obj.NewInstance ()|
// \item @|vtkTreeRingView = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRootAngles (double start, double end)| -  Set the root angles for laying out the hierarchy.
//// \item @|obj.SetRootAtCenter (bool value)| -  Sets whether the root is at the center or around the outside.
//// \item @|bool = obj.GetRootAtCenter ()| -  Sets whether the root is at the center or around the outside.
//// \item @|obj.RootAtCenterOn ()| -  Sets whether the root is at the center or around the outside.
//// \item @|obj.RootAtCenterOff ()| -  Sets whether the root is at the center or around the outside.
//// \item @|obj.SetLayerThickness (double thickness)| -  Set the thickness of each layer.
//// \item @|double = obj.GetLayerThickness ()| -  Set the thickness of each layer.
//// \item @|obj.SetInteriorRadius (double thickness)| -  Set the interior radius of the tree
// (i.e. the size of the "hole" in the center).
//// \item @|double = obj.GetInteriorRadius ()| -  Set the interior radius of the tree
// (i.e. the size of the "hole" in the center).
//// \item @|obj.SetInteriorLogSpacingValue (double thickness)| -  Set the log spacing factor for the invisible interior tree
// used for routing edges of the overlaid graph.
//// \item @|double = obj.GetInteriorLogSpacingValue ()| -  Set the log spacing factor for the invisible interior tree
// used for routing edges of the overlaid graph.
////\end{itemize}
//!
