#include "VTKWrap.hpp"

// FreeMat wrapper for vtkView object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkView.h"

//@@Signature
//sfunction @vtkView:vtkView vtkViewConstructorFunction
//input a
//output p
//@@Parents vtkView vtkObject 
ArrayVector vtkViewConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkView::New(),"vtkView",eval);
  } else if (arg[0].className() == "vtkView") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkView"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkView");
    vtkView*q = reinterpret_cast<vtkView*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkView");
    return ret;
  }
}
//@@Signature
//sfunction @vtkView:GetClassName vtkViewGetClassNameFunction
//input a0 
//output y
ArrayVector vtkViewGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkView requires 1 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkView:IsA vtkViewIsAFunction
//input a0 a1 
//output y
ArrayVector vtkViewIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkView requires 2 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkView:NewInstance vtkViewNewInstanceFunction
//input a0 
//output y
ArrayVector vtkViewNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkView *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkView requires 1 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  vtkView  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkView:SafeDownCast vtkViewSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkViewSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkView *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkView requires 2 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkView  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkView",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkView:AddRepresentation vtkViewAddRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkViewAddRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddRepresentation (vtkDataRepresentation *rep); */
  if (arg.size() < 2) 
    throw Exception("Function AddRepresentation for class vtkView requires 2 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  vtkDataRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkDataRepresentation>(arg[1]);
  vtk_pointer->AddRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkView:SetRepresentation vtkViewSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkViewSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkDataRepresentation *rep); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkView requires 2 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  vtkDataRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkDataRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkView:AddRepresentationFromInputConnection vtkViewAddRepresentationFromInputConnectionFunction
//input a0 a1 
//output y
ArrayVector vtkViewAddRepresentationFromInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataRepresentation *AddRepresentationFromInputConnection (vtkAlgorithmOutput *conn); */
  if (arg.size() < 2) 
    throw Exception("Function AddRepresentationFromInputConnection for class vtkView requires 2 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  temp20 = (vtk_pointer)->AddRepresentationFromInputConnection(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkView:SetRepresentationFromInputConnection vtkViewSetRepresentationFromInputConnectionFunction
//input a0 a1 
//output y
ArrayVector vtkViewSetRepresentationFromInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataRepresentation *SetRepresentationFromInputConnection (vtkAlgorithmOutput *conn); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentationFromInputConnection for class vtkView requires 2 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  temp20 = (vtk_pointer)->SetRepresentationFromInputConnection(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkView:AddRepresentationFromInput vtkViewAddRepresentationFromInputFunction
//input a0 a1 
//output y
ArrayVector vtkViewAddRepresentationFromInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataRepresentation *AddRepresentationFromInput (vtkDataObject *input); */
  if (arg.size() < 2) 
    throw Exception("Function AddRepresentationFromInput for class vtkView requires 2 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  temp20 = (vtk_pointer)->AddRepresentationFromInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkView:SetRepresentationFromInput vtkViewSetRepresentationFromInputFunction
//input a0 a1 
//output y
ArrayVector vtkViewSetRepresentationFromInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataRepresentation *SetRepresentationFromInput (vtkDataObject *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentationFromInput for class vtkView requires 2 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  temp20 = (vtk_pointer)->SetRepresentationFromInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkView:RemoveRepresentation__1 vtkViewRemoveRepresentation__1Function
//input a0 a1 
//output none
ArrayVector vtkViewRemoveRepresentation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveRepresentation (vtkDataRepresentation *rep); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveRepresentation__1 for class vtkView requires 2 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  vtkDataRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkDataRepresentation>(arg[1]);
  vtk_pointer->RemoveRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkView:RemoveRepresentation__2 vtkViewRemoveRepresentation__2Function
//input a0 a1 
//output none
ArrayVector vtkViewRemoveRepresentation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveRepresentation (vtkAlgorithmOutput *rep); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveRepresentation__2 for class vtkView requires 2 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->RemoveRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkView:RemoveAllRepresentations vtkViewRemoveAllRepresentationsFunction
//input a0 
//output none
ArrayVector vtkViewRemoveAllRepresentationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllRepresentations (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllRepresentations for class vtkView requires 1 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllRepresentations();
  return retval;
}

//@@Signature
//sfunction @vtkView:GetNumberOfRepresentations vtkViewGetNumberOfRepresentationsFunction
//input a0 
//output y
ArrayVector vtkViewGetNumberOfRepresentationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfRepresentations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfRepresentations for class vtkView requires 1 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfRepresentations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkView:GetRepresentation vtkViewGetRepresentationFunction
//input a0 a1 
//output y
ArrayVector vtkViewGetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataRepresentation *GetRepresentation (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetRepresentation for class vtkView requires 2 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataRepresentation  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetRepresentation(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkView:IsRepresentationPresent vtkViewIsRepresentationPresentFunction
//input a0 a1 
//output y
ArrayVector vtkViewIsRepresentationPresentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool IsRepresentationPresent (vtkDataRepresentation *rep); */
  if (arg.size() < 2) 
    throw Exception("Function IsRepresentationPresent for class vtkView requires 2 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  vtkDataRepresentation  *temp0;
  bool   temp20;
  temp0 = GetVTKPointer<vtkDataRepresentation>(arg[1]);
  temp20 = (vtk_pointer)->IsRepresentationPresent(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkView:Update vtkViewUpdateFunction
//input a0 
//output none
ArrayVector vtkViewUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkView requires 1 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkView:ApplyViewTheme vtkViewApplyViewThemeFunction
//input a0 a1 
//output none
ArrayVector vtkViewApplyViewThemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ApplyViewTheme (vtkViewTheme *); */
  if (arg.size() < 2) 
    throw Exception("Function ApplyViewTheme for class vtkView requires 2 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  vtkViewTheme  *temp0;
  temp0 = GetVTKPointer<vtkViewTheme>(arg[1]);
  vtk_pointer->ApplyViewTheme(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkView:RegisterProgress vtkViewRegisterProgressFunction
//input a0 a1 a2 
//output none
ArrayVector vtkViewRegisterProgressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RegisterProgress (vtkObject *algorithm, const char *messageNULL); */
  if (arg.size() < 3) 
    throw Exception("Function RegisterProgress for class vtkView requires 3 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  char    *temp1;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->RegisterProgress(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkView:UnRegisterProgress vtkViewUnRegisterProgressFunction
//input a0 a1 
//output none
ArrayVector vtkViewUnRegisterProgressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UnRegisterProgress (vtkObject *algorithm); */
  if (arg.size() < 2) 
    throw Exception("Function UnRegisterProgress for class vtkView requires 2 argument(s)");
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  vtk_pointer->UnRegisterProgress(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkView:RemoveRepresentation vtkViewRemoveRepresentationFunction
//input varargin
//output varargout
ArrayVector vtkViewRemoveRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataRepresentation"))
    return vtkViewRemoveRepresentation__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkAlgorithmOutput"))
    return vtkViewRemoveRepresentation__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkViewRemoveRepresentation");
}

//@@Signature
//sfunction @vtkView:display vtkViewDisplayFunction
//input varargin
//output varargout
ArrayVector vtkViewDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkView* vtk_pointer = GetVTKPointer<vtkView>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkView:delete vtkViewDeleteFunction
//input varargin
//output none
ArrayVector vtkViewDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkView
//@@Section VTKViews
//@@Usage
// vtkView is the superclass for views.  A view is generally an area of an
// application's canvas devoted to displaying one or more VTK data objects.
// Associated representations (subclasses of vtkDataRepresentation) are
// responsible for converting the data into a displayable format.  These
// representations are then added to the view.
//
// For views which display only one data object at a time you may set a
// data object or pipeline connection directly on the view itself (e.g.
// vtkGraphLayoutView, vtkLandscapeView, vtkTreeMapView).
// The view will internally create a vtkDataRepresentation for the data.
//
// A view has the concept of linked selection.  If the same data is displayed
// in multiple views, their selections may be linked by setting the same
// vtkAnnotationLink on their representations (see vtkDataRepresentation).
//
//To create an instance of class vtkView, simply
//invoke its constructor as follows
//@[
//  obj = vtkView
//@]
//@@Methods
//The class vtkView has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkView class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkView = obj.NewInstance ()|
// \item @|vtkView = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddRepresentation (vtkDataRepresentation rep)| -  Adds the representation to the view.
//// \item @|obj.SetRepresentation (vtkDataRepresentation rep)| -  Set the representation to the view.
//// \item @|vtkDataRepresentation = obj.AddRepresentationFromInputConnection (vtkAlgorithmOutput conn)| -  Convenience method which creates a simple representation with the 
// connection and adds it to the view.
// Returns the representation internally created.
// NOTE: The returned representation pointer is not reference-counted, 
// so you MUST call Register() on the representation if you want to 
// keep a reference to it.
//// \item @|vtkDataRepresentation = obj.SetRepresentationFromInputConnection (vtkAlgorithmOutput conn)| -  Convenience method which sets the representation with the 
// connection and adds it to the view.
// Returns the representation internally created.
// NOTE: The returned representation pointer is not reference-counted, 
// so you MUST call Register() on the representation if you want to 
// keep a reference to it.
//// \item @|vtkDataRepresentation = obj.AddRepresentationFromInput (vtkDataObject input)| -  Convenience method which creates a simple representation with the 
// specified input and adds it to the view.
// NOTE: The returned representation pointer is not reference-counted, 
// so you MUST call Register() on the representation if you want to 
// keep a reference to it.
//// \item @|vtkDataRepresentation = obj.SetRepresentationFromInput (vtkDataObject input)| -  Convenience method which sets the representation to the 
// specified input and adds it to the view.
// NOTE: The returned representation pointer is not reference-counted, 
// so you MUST call Register() on the representation if you want to 
// keep a reference to it.
//// \item @|obj.RemoveRepresentation (vtkDataRepresentation rep)| -  Removes the representation from the view.
//// \item @|obj.RemoveRepresentation (vtkAlgorithmOutput rep)| -  Removes any representation with this connection from the view.
//// \item @|obj.RemoveAllRepresentations ()| -  Removes all representations from the view.
//// \item @|int = obj.GetNumberOfRepresentations ()| -  Returns the number of representations from first port(0) in this view.
//// \item @|vtkDataRepresentation = obj.GetRepresentation (int index)| -  The representation at a specified index.
//// \item @|bool = obj.IsRepresentationPresent (vtkDataRepresentation rep)| -  Check to see if a representation is present in the view.
//// \item @|obj.Update ()| -  Update the view.
//// \item @|obj.ApplyViewTheme (vtkViewTheme )| -  Meant for use by subclasses and vtkRepresentation subclasses.
// Call this method to register vtkObjects (generally
// vtkAlgorithm subclasses) which fire vtkCommand::ProgressEvent with the
// view. The view listens to vtkCommand::ProgressEvent and fires
// ViewProgressEvent with ViewProgressEventCallData containing the message and
// the progress amount. If message is not provided, then the class name for
// the algorithm is used.
//// \item @|obj.RegisterProgress (vtkObject algorithm, string messageNULL)| -  Meant for use by subclasses and vtkRepresentation subclasses.
// Call this method to register vtkObjects (generally
// vtkAlgorithm subclasses) which fire vtkCommand::ProgressEvent with the
// view. The view listens to vtkCommand::ProgressEvent and fires
// ViewProgressEvent with ViewProgressEventCallData containing the message and
// the progress amount. If message is not provided, then the class name for
// the algorithm is used.
//// \item @|obj.UnRegisterProgress (vtkObject algorithm)| -  Unregister objects previously registered with RegisterProgress.
////\end{itemize}
//!
