#include "VTKWrap.hpp"

// FreeMat wrapper for vtkViewUpdater object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkViewUpdater.h"

//@@Signature
//sfunction @vtkViewUpdater:vtkViewUpdater vtkViewUpdaterConstructorFunction
//input a
//output p
//@@Parents vtkViewUpdater vtkObject 
ArrayVector vtkViewUpdaterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkViewUpdater::New(),"vtkViewUpdater",eval);
  } else if (arg[0].className() == "vtkViewUpdater") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkViewUpdater"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkViewUpdater");
    vtkViewUpdater*q = reinterpret_cast<vtkViewUpdater*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkViewUpdater");
    return ret;
  }
}
//@@Signature
//sfunction @vtkViewUpdater:GetClassName vtkViewUpdaterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkViewUpdaterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkViewUpdater requires 1 argument(s)");
  vtkViewUpdater* vtk_pointer = GetVTKPointer<vtkViewUpdater>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewUpdater:IsA vtkViewUpdaterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkViewUpdaterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkViewUpdater requires 2 argument(s)");
  vtkViewUpdater* vtk_pointer = GetVTKPointer<vtkViewUpdater>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkViewUpdater:NewInstance vtkViewUpdaterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkViewUpdaterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkViewUpdater *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkViewUpdater requires 1 argument(s)");
  vtkViewUpdater* vtk_pointer = GetVTKPointer<vtkViewUpdater>(arg[0]);
  Array retval;
  vtkViewUpdater  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkViewUpdater",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewUpdater:SafeDownCast vtkViewUpdaterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkViewUpdaterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkViewUpdater *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkViewUpdater requires 2 argument(s)");
  vtkViewUpdater* vtk_pointer = GetVTKPointer<vtkViewUpdater>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkViewUpdater  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkViewUpdater",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkViewUpdater:AddView vtkViewUpdaterAddViewFunction
//input a0 a1 
//output none
ArrayVector vtkViewUpdaterAddViewFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddView (vtkView *view); */
  if (arg.size() < 2) 
    throw Exception("Function AddView for class vtkViewUpdater requires 2 argument(s)");
  vtkViewUpdater* vtk_pointer = GetVTKPointer<vtkViewUpdater>(arg[0]);
  Array retval;
  vtkView  *temp0;
  temp0 = GetVTKPointer<vtkView>(arg[1]);
  vtk_pointer->AddView(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewUpdater:AddAnnotationLink vtkViewUpdaterAddAnnotationLinkFunction
//input a0 a1 
//output none
ArrayVector vtkViewUpdaterAddAnnotationLinkFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddAnnotationLink (vtkAnnotationLink *link); */
  if (arg.size() < 2) 
    throw Exception("Function AddAnnotationLink for class vtkViewUpdater requires 2 argument(s)");
  vtkViewUpdater* vtk_pointer = GetVTKPointer<vtkViewUpdater>(arg[0]);
  Array retval;
  vtkAnnotationLink  *temp0;
  temp0 = GetVTKPointer<vtkAnnotationLink>(arg[1]);
  vtk_pointer->AddAnnotationLink(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkViewUpdater:display vtkViewUpdaterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkViewUpdaterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkViewUpdater* vtk_pointer = GetVTKPointer<vtkViewUpdater>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkViewUpdater:delete vtkViewUpdaterDeleteFunction
//input varargin
//output none
ArrayVector vtkViewUpdaterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkViewUpdater
//@@Section VTKViews
//@@Usage
// vtkViewUpdater registers with annotation change events for a set of
// annotation links, and updates all views when an annotation link fires an 
// annotation changed event. This is often needed when multiple views share 
// a selection with vtkAnnotationLink. 
//
//To create an instance of class vtkViewUpdater, simply
//invoke its constructor as follows
//@[
//  obj = vtkViewUpdater
//@]
//@@Methods
//The class vtkViewUpdater has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkViewUpdater class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkViewUpdater = obj.NewInstance ()|
// \item @|vtkViewUpdater = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddView (vtkView view)|
// \item @|obj.AddAnnotationLink (vtkAnnotationLink link)|
//\end{itemize}
//!
