#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDirectionEncoder object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDirectionEncoder.h"

//@@Signature
//sfunction @vtkDirectionEncoder:vtkDirectionEncoder vtkDirectionEncoderConstructorFunction
//input a
//output p
//@@Parents vtkDirectionEncoder vtkObject 
ArrayVector vtkDirectionEncoderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDirectionEncoder::New(),"vtkDirectionEncoder",eval);
  } else if (arg[0].className() == "vtkDirectionEncoder") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDirectionEncoder"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDirectionEncoder");
    vtkDirectionEncoder*q = reinterpret_cast<vtkDirectionEncoder*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDirectionEncoder");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDirectionEncoder:GetClassName vtkDirectionEncoderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDirectionEncoderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDirectionEncoder requires 1 argument(s)");
  vtkDirectionEncoder* vtk_pointer = GetVTKPointer<vtkDirectionEncoder>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectionEncoder:IsA vtkDirectionEncoderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDirectionEncoderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDirectionEncoder requires 2 argument(s)");
  vtkDirectionEncoder* vtk_pointer = GetVTKPointer<vtkDirectionEncoder>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectionEncoder:NewInstance vtkDirectionEncoderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDirectionEncoderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDirectionEncoder *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDirectionEncoder requires 1 argument(s)");
  vtkDirectionEncoder* vtk_pointer = GetVTKPointer<vtkDirectionEncoder>(arg[0]);
  Array retval;
  vtkDirectionEncoder  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDirectionEncoder",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDirectionEncoder:SafeDownCast vtkDirectionEncoderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDirectionEncoderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDirectionEncoder *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDirectionEncoder requires 2 argument(s)");
  vtkDirectionEncoder* vtk_pointer = GetVTKPointer<vtkDirectionEncoder>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDirectionEncoder  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDirectionEncoder",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDirectionEncoder:GetEncodedDirection vtkDirectionEncoderGetEncodedDirectionFunction
//input a0 a1 
//output y
ArrayVector vtkDirectionEncoderGetEncodedDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetEncodedDirection (float n[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetEncodedDirection for class vtkDirectionEncoder requires 2 argument(s)");
  vtkDirectionEncoder* vtk_pointer = GetVTKPointer<vtkDirectionEncoder>(arg[0]);
  Array retval;
  float  temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->GetEncodedDirection(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectionEncoder:GetDecodedGradient vtkDirectionEncoderGetDecodedGradientFunction
//input a0 a1 
//output y
ArrayVector vtkDirectionEncoderGetDecodedGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual float *GetDecodedGradient (int value) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetDecodedGradient for class vtkDirectionEncoder requires 2 argument(s)");
  vtkDirectionEncoder* vtk_pointer = GetVTKPointer<vtkDirectionEncoder>(arg[0]);
  Array retval;
  int      temp0;
  float   *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDecodedGradient(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDirectionEncoder:GetNumberOfEncodedDirections vtkDirectionEncoderGetNumberOfEncodedDirectionsFunction
//input a0 
//output y
ArrayVector vtkDirectionEncoderGetNumberOfEncodedDirectionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfEncodedDirections (void ) = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEncodedDirections for class vtkDirectionEncoder requires 1 argument(s)");
  vtkDirectionEncoder* vtk_pointer = GetVTKPointer<vtkDirectionEncoder>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEncodedDirections();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDirectionEncoder:display vtkDirectionEncoderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDirectionEncoderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDirectionEncoder* vtk_pointer = GetVTKPointer<vtkDirectionEncoder>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDirectionEncoder:delete vtkDirectionEncoderDeleteFunction
//input varargin
//output none
ArrayVector vtkDirectionEncoderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDirectionEncoder
//@@Section VTKVolumeRendering
//@@Usage
// Given a direction, encode it into an integer value. This value should
// be less than 65536, which is the maximum number of encoded directions
// supported by this superclass. A direction encoded is used to encode
// normals in a volume for use during volume rendering, and the
// amount of space that is allocated per normal is 2 bytes.
// This is an abstract superclass - see the subclasses for specific 
// implementation details.
//
//
//To create an instance of class vtkDirectionEncoder, simply
//invoke its constructor as follows
//@[
//  obj = vtkDirectionEncoder
//@]
//@@Methods
//The class vtkDirectionEncoder has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDirectionEncoder class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Get the name of this class
//// \item @|int = obj.IsA (string name)| -  Get the name of this class
//// \item @|vtkDirectionEncoder = obj.NewInstance ()| -  Get the name of this class
//// \item @|vtkDirectionEncoder = obj.SafeDownCast (vtkObject o)| -  Get the name of this class
//// \item @|int = obj.GetEncodedDirection (float n[3])| -  Given a normal vector n, return the encoded direction
//// \item @|float = obj.GetDecodedGradient (int value)| - / Given an encoded value, return a pointer to the normal vector
//// \item @|int = obj.GetNumberOfEncodedDirections (void )| -  Return the number of encoded directions
////\end{itemize}
//!
