#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEncodedGradientEstimator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEncodedGradientEstimator.h"

//@@Signature
//sfunction @vtkEncodedGradientEstimator:vtkEncodedGradientEstimator vtkEncodedGradientEstimatorConstructorFunction
//input a
//output p
//@@Parents vtkEncodedGradientEstimator vtkObject 
ArrayVector vtkEncodedGradientEstimatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEncodedGradientEstimator::New(),"vtkEncodedGradientEstimator",eval);
  } else if (arg[0].className() == "vtkEncodedGradientEstimator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEncodedGradientEstimator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEncodedGradientEstimator");
    vtkEncodedGradientEstimator*q = reinterpret_cast<vtkEncodedGradientEstimator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEncodedGradientEstimator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetClassName vtkEncodedGradientEstimatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:IsA vtkEncodedGradientEstimatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEncodedGradientEstimatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEncodedGradientEstimator requires 2 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:NewInstance vtkEncodedGradientEstimatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEncodedGradientEstimator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  vtkEncodedGradientEstimator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEncodedGradientEstimator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:SafeDownCast vtkEncodedGradientEstimatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEncodedGradientEstimatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEncodedGradientEstimator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEncodedGradientEstimator requires 2 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEncodedGradientEstimator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEncodedGradientEstimator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:SetInput vtkEncodedGradientEstimatorSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkEncodedGradientEstimatorSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkImageData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkEncodedGradientEstimator requires 2 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetInput vtkEncodedGradientEstimatorGetInputFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:SetGradientMagnitudeScale vtkEncodedGradientEstimatorSetGradientMagnitudeScaleFunction
//input a0 a1 
//output none
ArrayVector vtkEncodedGradientEstimatorSetGradientMagnitudeScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGradientMagnitudeScale (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGradientMagnitudeScale for class vtkEncodedGradientEstimator requires 2 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetGradientMagnitudeScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetGradientMagnitudeScale vtkEncodedGradientEstimatorGetGradientMagnitudeScaleFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetGradientMagnitudeScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetGradientMagnitudeScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientMagnitudeScale for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetGradientMagnitudeScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:SetGradientMagnitudeBias vtkEncodedGradientEstimatorSetGradientMagnitudeBiasFunction
//input a0 a1 
//output none
ArrayVector vtkEncodedGradientEstimatorSetGradientMagnitudeBiasFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGradientMagnitudeBias (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGradientMagnitudeBias for class vtkEncodedGradientEstimator requires 2 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetGradientMagnitudeBias(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetGradientMagnitudeBias vtkEncodedGradientEstimatorGetGradientMagnitudeBiasFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetGradientMagnitudeBiasFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetGradientMagnitudeBias (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientMagnitudeBias for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetGradientMagnitudeBias();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:SetBoundsClip vtkEncodedGradientEstimatorSetBoundsClipFunction
//input a0 a1 
//output none
ArrayVector vtkEncodedGradientEstimatorSetBoundsClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoundsClip (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoundsClip for class vtkEncodedGradientEstimator requires 2 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBoundsClip(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetBoundsClipMinValue vtkEncodedGradientEstimatorGetBoundsClipMinValueFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetBoundsClipMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBoundsClipMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoundsClipMinValue for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBoundsClipMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetBoundsClipMaxValue vtkEncodedGradientEstimatorGetBoundsClipMaxValueFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetBoundsClipMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBoundsClipMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoundsClipMaxValue for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBoundsClipMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetBoundsClip vtkEncodedGradientEstimatorGetBoundsClipFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetBoundsClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBoundsClip (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoundsClip for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBoundsClip();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:BoundsClipOn vtkEncodedGradientEstimatorBoundsClipOnFunction
//input a0 
//output none
ArrayVector vtkEncodedGradientEstimatorBoundsClipOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BoundsClipOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BoundsClipOn for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  vtk_pointer->BoundsClipOn();
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:BoundsClipOff vtkEncodedGradientEstimatorBoundsClipOffFunction
//input a0 
//output none
ArrayVector vtkEncodedGradientEstimatorBoundsClipOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BoundsClipOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BoundsClipOff for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  vtk_pointer->BoundsClipOff();
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:SetBounds__1 vtkEncodedGradientEstimatorSetBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkEncodedGradientEstimatorSetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetBounds__1 for class vtkEncodedGradientEstimator requires 7 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:SetBounds__2 vtkEncodedGradientEstimatorSetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkEncodedGradientEstimatorSetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBounds__2 for class vtkEncodedGradientEstimator requires 2 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetBounds vtkEncodedGradientEstimatorGetBoundsFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:Update vtkEncodedGradientEstimatorUpdateFunction
//input a0 
//output none
ArrayVector vtkEncodedGradientEstimatorUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Update (void ); */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetEncodedNormalIndex__1 vtkEncodedGradientEstimatorGetEncodedNormalIndex__1Function
//input a0 a1 
//output y
ArrayVector vtkEncodedGradientEstimatorGetEncodedNormalIndex__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEncodedNormalIndex (int xyz_index); */
  if (arg.size() < 2) 
    throw Exception("Function GetEncodedNormalIndex__1 for class vtkEncodedGradientEstimator requires 2 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEncodedNormalIndex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetEncodedNormalIndex__2 vtkEncodedGradientEstimatorGetEncodedNormalIndex__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkEncodedGradientEstimatorGetEncodedNormalIndex__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEncodedNormalIndex (int x_index, int y_index, int z_index); */
  if (arg.size() < 4) 
    throw Exception("Function GetEncodedNormalIndex__2 for class vtkEncodedGradientEstimator requires 4 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetEncodedNormalIndex(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:SetNumberOfThreads vtkEncodedGradientEstimatorSetNumberOfThreadsFunction
//input a0 a1 
//output none
ArrayVector vtkEncodedGradientEstimatorSetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfThreads (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfThreads for class vtkEncodedGradientEstimator requires 2 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfThreads(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetNumberOfThreadsMinValue vtkEncodedGradientEstimatorGetNumberOfThreadsMinValueFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetNumberOfThreadsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreadsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreadsMinValue for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreadsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetNumberOfThreadsMaxValue vtkEncodedGradientEstimatorGetNumberOfThreadsMaxValueFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetNumberOfThreadsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreadsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreadsMaxValue for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreadsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetNumberOfThreads vtkEncodedGradientEstimatorGetNumberOfThreadsFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreads (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreads for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreads();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:SetDirectionEncoder vtkEncodedGradientEstimatorSetDirectionEncoderFunction
//input a0 a1 
//output none
ArrayVector vtkEncodedGradientEstimatorSetDirectionEncoderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectionEncoder (vtkDirectionEncoder *direnc); */
  if (arg.size() < 2) 
    throw Exception("Function SetDirectionEncoder for class vtkEncodedGradientEstimator requires 2 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  vtkDirectionEncoder  *temp0;
  temp0 = GetVTKPointer<vtkDirectionEncoder>(arg[1]);
  vtk_pointer->SetDirectionEncoder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetDirectionEncoder vtkEncodedGradientEstimatorGetDirectionEncoderFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetDirectionEncoderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDirectionEncoder *GetDirectionEncoder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirectionEncoder for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  vtkDirectionEncoder  *temp20;
  temp20 = (vtk_pointer)->GetDirectionEncoder();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDirectionEncoder",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:SetComputeGradientMagnitudes vtkEncodedGradientEstimatorSetComputeGradientMagnitudesFunction
//input a0 a1 
//output none
ArrayVector vtkEncodedGradientEstimatorSetComputeGradientMagnitudesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeGradientMagnitudes (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeGradientMagnitudes for class vtkEncodedGradientEstimator requires 2 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeGradientMagnitudes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetComputeGradientMagnitudes vtkEncodedGradientEstimatorGetComputeGradientMagnitudesFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetComputeGradientMagnitudesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeGradientMagnitudes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeGradientMagnitudes for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeGradientMagnitudes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:ComputeGradientMagnitudesOn vtkEncodedGradientEstimatorComputeGradientMagnitudesOnFunction
//input a0 
//output none
ArrayVector vtkEncodedGradientEstimatorComputeGradientMagnitudesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeGradientMagnitudesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeGradientMagnitudesOn for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  vtk_pointer->ComputeGradientMagnitudesOn();
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:ComputeGradientMagnitudesOff vtkEncodedGradientEstimatorComputeGradientMagnitudesOffFunction
//input a0 
//output none
ArrayVector vtkEncodedGradientEstimatorComputeGradientMagnitudesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeGradientMagnitudesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeGradientMagnitudesOff for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  vtk_pointer->ComputeGradientMagnitudesOff();
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:SetCylinderClip vtkEncodedGradientEstimatorSetCylinderClipFunction
//input a0 a1 
//output none
ArrayVector vtkEncodedGradientEstimatorSetCylinderClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCylinderClip (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCylinderClip for class vtkEncodedGradientEstimator requires 2 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCylinderClip(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetCylinderClip vtkEncodedGradientEstimatorGetCylinderClipFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetCylinderClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCylinderClip (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCylinderClip for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCylinderClip();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:CylinderClipOn vtkEncodedGradientEstimatorCylinderClipOnFunction
//input a0 
//output none
ArrayVector vtkEncodedGradientEstimatorCylinderClipOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CylinderClipOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CylinderClipOn for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  vtk_pointer->CylinderClipOn();
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:CylinderClipOff vtkEncodedGradientEstimatorCylinderClipOffFunction
//input a0 
//output none
ArrayVector vtkEncodedGradientEstimatorCylinderClipOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CylinderClipOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CylinderClipOff for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  vtk_pointer->CylinderClipOff();
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetLastUpdateTimeInSeconds vtkEncodedGradientEstimatorGetLastUpdateTimeInSecondsFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetLastUpdateTimeInSecondsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetLastUpdateTimeInSeconds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastUpdateTimeInSeconds for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetLastUpdateTimeInSeconds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetLastUpdateTimeInCPUSeconds vtkEncodedGradientEstimatorGetLastUpdateTimeInCPUSecondsFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetLastUpdateTimeInCPUSecondsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetLastUpdateTimeInCPUSeconds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastUpdateTimeInCPUSeconds for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetLastUpdateTimeInCPUSeconds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetUseCylinderClip vtkEncodedGradientEstimatorGetUseCylinderClipFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetUseCylinderClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseCylinderClip (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseCylinderClip for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseCylinderClip();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:SetZeroNormalThreshold vtkEncodedGradientEstimatorSetZeroNormalThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkEncodedGradientEstimatorSetZeroNormalThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZeroNormalThreshold (float v); */
  if (arg.size() < 2) 
    throw Exception("Function SetZeroNormalThreshold for class vtkEncodedGradientEstimator requires 2 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetZeroNormalThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetZeroNormalThreshold vtkEncodedGradientEstimatorGetZeroNormalThresholdFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetZeroNormalThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetZeroNormalThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZeroNormalThreshold for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetZeroNormalThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:SetZeroPad vtkEncodedGradientEstimatorSetZeroPadFunction
//input a0 a1 
//output none
ArrayVector vtkEncodedGradientEstimatorSetZeroPadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZeroPad (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZeroPad for class vtkEncodedGradientEstimator requires 2 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetZeroPad(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetZeroPadMinValue vtkEncodedGradientEstimatorGetZeroPadMinValueFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetZeroPadMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZeroPadMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZeroPadMinValue for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZeroPadMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetZeroPadMaxValue vtkEncodedGradientEstimatorGetZeroPadMaxValueFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetZeroPadMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZeroPadMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZeroPadMaxValue for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZeroPadMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetZeroPad vtkEncodedGradientEstimatorGetZeroPadFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientEstimatorGetZeroPadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZeroPad (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZeroPad for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZeroPad();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:ZeroPadOn vtkEncodedGradientEstimatorZeroPadOnFunction
//input a0 
//output none
ArrayVector vtkEncodedGradientEstimatorZeroPadOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ZeroPadOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ZeroPadOn for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  vtk_pointer->ZeroPadOn();
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:ZeroPadOff vtkEncodedGradientEstimatorZeroPadOffFunction
//input a0 
//output none
ArrayVector vtkEncodedGradientEstimatorZeroPadOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ZeroPadOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ZeroPadOff for class vtkEncodedGradientEstimator requires 1 argument(s)");
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  Array retval;
  vtk_pointer->ZeroPadOff();
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:SetBounds vtkEncodedGradientEstimatorSetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkEncodedGradientEstimatorSetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkEncodedGradientEstimatorSetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkEncodedGradientEstimatorSetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkEncodedGradientEstimatorSetBounds");
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:GetEncodedNormalIndex vtkEncodedGradientEstimatorGetEncodedNormalIndexFunction
//input varargin
//output varargout
ArrayVector vtkEncodedGradientEstimatorGetEncodedNormalIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkEncodedGradientEstimatorGetEncodedNormalIndex__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkEncodedGradientEstimatorGetEncodedNormalIndex__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkEncodedGradientEstimatorGetEncodedNormalIndex");
}

//@@Signature
//sfunction @vtkEncodedGradientEstimator:display vtkEncodedGradientEstimatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEncodedGradientEstimatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEncodedGradientEstimator* vtk_pointer = GetVTKPointer<vtkEncodedGradientEstimator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEncodedGradientEstimator:delete vtkEncodedGradientEstimatorDeleteFunction
//input varargin
//output none
ArrayVector vtkEncodedGradientEstimatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkEncodedGradientEstimator
//@@Section VTKVolumeRendering
//@@Usage
// vtkEncodedGradientEstimator is an abstract superclass for gradient 
// estimation. It takes a scalar input of vtkImageData, computes
// a gradient value for every point, and encodes this value into a 
// three byte value (2 for direction, 1 for magnitude) using the 
// vtkDirectionEncoder. The direction encoder is defaulted to a
// vtkRecursiveSphereDirectionEncoder, but can be overridden with the
// SetDirectionEncoder method. The scale and the bias values for the gradient
// magnitude are used to convert it into a one byte value according to
// v = m*scale + bias where m is the magnitude and v is the resulting
// one byte value.
//
//To create an instance of class vtkEncodedGradientEstimator, simply
//invoke its constructor as follows
//@[
//  obj = vtkEncodedGradientEstimator
//@]
//@@Methods
//The class vtkEncodedGradientEstimator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkEncodedGradientEstimator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkEncodedGradientEstimator = obj.NewInstance ()|
// \item @|vtkEncodedGradientEstimator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkImageData )| -  Set/Get the scalar input for which the normals will be 
// calculated
//// \item @|vtkImageData = obj.GetInput ()| -  Set/Get the scalar input for which the normals will be 
// calculated
//// \item @|obj.SetGradientMagnitudeScale (float )| -  Set/Get the scale and bias for the gradient magnitude
//// \item @|float = obj.GetGradientMagnitudeScale ()| -  Set/Get the scale and bias for the gradient magnitude
//// \item @|obj.SetGradientMagnitudeBias (float )| -  Set/Get the scale and bias for the gradient magnitude
//// \item @|float = obj.GetGradientMagnitudeBias ()| -  Set/Get the scale and bias for the gradient magnitude
//// \item @|obj.SetBoundsClip (int )| -  Turn on / off the bounding of the normal computation by
// the this->Bounds bounding box
//// \item @|int = obj.GetBoundsClipMinValue ()| -  Turn on / off the bounding of the normal computation by
// the this->Bounds bounding box
//// \item @|int = obj.GetBoundsClipMaxValue ()| -  Turn on / off the bounding of the normal computation by
// the this->Bounds bounding box
//// \item @|int = obj.GetBoundsClip ()| -  Turn on / off the bounding of the normal computation by
// the this->Bounds bounding box
//// \item @|obj.BoundsClipOn ()| -  Turn on / off the bounding of the normal computation by
// the this->Bounds bounding box
//// \item @|obj.BoundsClipOff ()| -  Turn on / off the bounding of the normal computation by
// the this->Bounds bounding box
//// \item @|obj.SetBounds (int , int , int , int , int , int )| -  Set / Get the bounds of the computation (used if 
// this->ComputationBounds is 1.) The bounds are specified
// xmin, xmax, ymin, ymax, zmin, zmax.
//// \item @|obj.SetBounds (int  a[6])| -  Set / Get the bounds of the computation (used if 
// this->ComputationBounds is 1.) The bounds are specified
// xmin, xmax, ymin, ymax, zmin, zmax.
//// \item @|int = obj. GetBounds ()| -  Set / Get the bounds of the computation (used if 
// this->ComputationBounds is 1.) The bounds are specified
// xmin, xmax, ymin, ymax, zmin, zmax.
//// \item @|obj.Update (void )| -  Recompute the encoded normals and gradient magnitudes.
//// \item @|int = obj.GetEncodedNormalIndex (int xyz_index)| -  Get the encoded normal at an x,y,z location in the volume
//// \item @|int = obj.GetEncodedNormalIndex (int x_index, int y_index, int z_index)| -  Get the encoded normal at an x,y,z location in the volume
//// \item @|obj.SetNumberOfThreads (int )| -  Get/Set the number of threads to create when encoding normals
// This defaults to the number of available processors on the machine
//// \item @|int = obj.GetNumberOfThreadsMinValue ()| -  Get/Set the number of threads to create when encoding normals
// This defaults to the number of available processors on the machine
//// \item @|int = obj.GetNumberOfThreadsMaxValue ()| -  Get/Set the number of threads to create when encoding normals
// This defaults to the number of available processors on the machine
//// \item @|int = obj.GetNumberOfThreads ()| -  Get/Set the number of threads to create when encoding normals
// This defaults to the number of available processors on the machine
//// \item @|obj.SetDirectionEncoder (vtkDirectionEncoder direnc)| -  Set / Get the direction encoder used to encode normal directions
// to fit within two bytes
//// \item @|vtkDirectionEncoder = obj.GetDirectionEncoder ()| -  Set / Get the direction encoder used to encode normal directions
// to fit within two bytes
//// \item @|obj.SetComputeGradientMagnitudes (int )| -  If you don't want to compute gradient magnitudes (but you
// do want normals for shading) this can be used. Be careful - if
// if you a non-constant gradient magnitude transfer function and
// you turn this on, it may crash
//// \item @|int = obj.GetComputeGradientMagnitudes ()| -  If you don't want to compute gradient magnitudes (but you
// do want normals for shading) this can be used. Be careful - if
// if you a non-constant gradient magnitude transfer function and
// you turn this on, it may crash
//// \item @|obj.ComputeGradientMagnitudesOn ()| -  If you don't want to compute gradient magnitudes (but you
// do want normals for shading) this can be used. Be careful - if
// if you a non-constant gradient magnitude transfer function and
// you turn this on, it may crash
//// \item @|obj.ComputeGradientMagnitudesOff ()| -  If you don't want to compute gradient magnitudes (but you
// do want normals for shading) this can be used. Be careful - if
// if you a non-constant gradient magnitude transfer function and
// you turn this on, it may crash
//// \item @|obj.SetCylinderClip (int )| -  If the data in each slice is only contained within a circle circumscribed
// within the slice, and the slice is square, then don't compute anything
// outside the circle. This circle through the slices forms a cylinder.
//// \item @|int = obj.GetCylinderClip ()| -  If the data in each slice is only contained within a circle circumscribed
// within the slice, and the slice is square, then don't compute anything
// outside the circle. This circle through the slices forms a cylinder.
//// \item @|obj.CylinderClipOn ()| -  If the data in each slice is only contained within a circle circumscribed
// within the slice, and the slice is square, then don't compute anything
// outside the circle. This circle through the slices forms a cylinder.
//// \item @|obj.CylinderClipOff ()| -  If the data in each slice is only contained within a circle circumscribed
// within the slice, and the slice is square, then don't compute anything
// outside the circle. This circle through the slices forms a cylinder.
//// \item @|float = obj.GetLastUpdateTimeInSeconds ()| -  Get the time required for the last update in seconds or cpu seconds
//// \item @|float = obj.GetLastUpdateTimeInCPUSeconds ()| -  Get the time required for the last update in seconds or cpu seconds
//// \item @|int = obj.GetUseCylinderClip ()|
// \item @|obj.SetZeroNormalThreshold (float v)| -  Set / Get the ZeroNormalThreshold - this defines the minimum magnitude 
// of a gradient that is considered sufficient to define a 
// direction. Gradients with magnitudes at or less than this value are given
// a "zero normal" index. These are handled specially in the shader, 
// and you can set the intensity of light for these zero normals in
// the gradient shader.
//// \item @|float = obj.GetZeroNormalThreshold ()| -  Set / Get the ZeroNormalThreshold - this defines the minimum magnitude 
// of a gradient that is considered sufficient to define a 
// direction. Gradients with magnitudes at or less than this value are given
// a "zero normal" index. These are handled specially in the shader, 
// and you can set the intensity of light for these zero normals in
// the gradient shader.
//// \item @|obj.SetZeroPad (int )| -  Assume that the data value outside the volume is zero when
// computing normals.
//// \item @|int = obj.GetZeroPadMinValue ()| -  Assume that the data value outside the volume is zero when
// computing normals.
//// \item @|int = obj.GetZeroPadMaxValue ()| -  Assume that the data value outside the volume is zero when
// computing normals.
//// \item @|int = obj.GetZeroPad ()| -  Assume that the data value outside the volume is zero when
// computing normals.
//// \item @|obj.ZeroPadOn ()| -  Assume that the data value outside the volume is zero when
// computing normals.
//// \item @|obj.ZeroPadOff ()| -  Assume that the data value outside the volume is zero when
// computing normals.
////\end{itemize}
//!
