#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEncodedGradientShader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEncodedGradientShader.h"

//@@Signature
//sfunction @vtkEncodedGradientShader:vtkEncodedGradientShader vtkEncodedGradientShaderConstructorFunction
//input a
//output p
//@@Parents vtkEncodedGradientShader vtkObject 
ArrayVector vtkEncodedGradientShaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEncodedGradientShader::New(),"vtkEncodedGradientShader",eval);
  } else if (arg[0].className() == "vtkEncodedGradientShader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEncodedGradientShader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEncodedGradientShader");
    vtkEncodedGradientShader*q = reinterpret_cast<vtkEncodedGradientShader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEncodedGradientShader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEncodedGradientShader:GetClassName vtkEncodedGradientShaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientShaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEncodedGradientShader requires 1 argument(s)");
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientShader:IsA vtkEncodedGradientShaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEncodedGradientShaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEncodedGradientShader requires 2 argument(s)");
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientShader:NewInstance vtkEncodedGradientShaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientShaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEncodedGradientShader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEncodedGradientShader requires 1 argument(s)");
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  Array retval;
  vtkEncodedGradientShader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEncodedGradientShader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientShader:SafeDownCast vtkEncodedGradientShaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEncodedGradientShaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEncodedGradientShader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEncodedGradientShader requires 2 argument(s)");
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEncodedGradientShader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEncodedGradientShader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientShader:SetZeroNormalDiffuseIntensity vtkEncodedGradientShaderSetZeroNormalDiffuseIntensityFunction
//input a0 a1 
//output none
ArrayVector vtkEncodedGradientShaderSetZeroNormalDiffuseIntensityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZeroNormalDiffuseIntensity (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZeroNormalDiffuseIntensity for class vtkEncodedGradientShader requires 2 argument(s)");
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetZeroNormalDiffuseIntensity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientShader:GetZeroNormalDiffuseIntensityMinValue vtkEncodedGradientShaderGetZeroNormalDiffuseIntensityMinValueFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientShaderGetZeroNormalDiffuseIntensityMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetZeroNormalDiffuseIntensityMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZeroNormalDiffuseIntensityMinValue for class vtkEncodedGradientShader requires 1 argument(s)");
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetZeroNormalDiffuseIntensityMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientShader:GetZeroNormalDiffuseIntensityMaxValue vtkEncodedGradientShaderGetZeroNormalDiffuseIntensityMaxValueFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientShaderGetZeroNormalDiffuseIntensityMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetZeroNormalDiffuseIntensityMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZeroNormalDiffuseIntensityMaxValue for class vtkEncodedGradientShader requires 1 argument(s)");
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetZeroNormalDiffuseIntensityMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientShader:GetZeroNormalDiffuseIntensity vtkEncodedGradientShaderGetZeroNormalDiffuseIntensityFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientShaderGetZeroNormalDiffuseIntensityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetZeroNormalDiffuseIntensity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZeroNormalDiffuseIntensity for class vtkEncodedGradientShader requires 1 argument(s)");
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetZeroNormalDiffuseIntensity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientShader:SetZeroNormalSpecularIntensity vtkEncodedGradientShaderSetZeroNormalSpecularIntensityFunction
//input a0 a1 
//output none
ArrayVector vtkEncodedGradientShaderSetZeroNormalSpecularIntensityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZeroNormalSpecularIntensity (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZeroNormalSpecularIntensity for class vtkEncodedGradientShader requires 2 argument(s)");
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetZeroNormalSpecularIntensity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientShader:GetZeroNormalSpecularIntensityMinValue vtkEncodedGradientShaderGetZeroNormalSpecularIntensityMinValueFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientShaderGetZeroNormalSpecularIntensityMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetZeroNormalSpecularIntensityMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZeroNormalSpecularIntensityMinValue for class vtkEncodedGradientShader requires 1 argument(s)");
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetZeroNormalSpecularIntensityMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientShader:GetZeroNormalSpecularIntensityMaxValue vtkEncodedGradientShaderGetZeroNormalSpecularIntensityMaxValueFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientShaderGetZeroNormalSpecularIntensityMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetZeroNormalSpecularIntensityMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZeroNormalSpecularIntensityMaxValue for class vtkEncodedGradientShader requires 1 argument(s)");
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetZeroNormalSpecularIntensityMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientShader:GetZeroNormalSpecularIntensity vtkEncodedGradientShaderGetZeroNormalSpecularIntensityFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientShaderGetZeroNormalSpecularIntensityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetZeroNormalSpecularIntensity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZeroNormalSpecularIntensity for class vtkEncodedGradientShader requires 1 argument(s)");
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetZeroNormalSpecularIntensity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientShader:UpdateShadingTable vtkEncodedGradientShaderUpdateShadingTableFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkEncodedGradientShaderUpdateShadingTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UpdateShadingTable (vtkRenderer *ren, vtkVolume *vol, vtkEncodedGradientEstimator *gradest); */
  if (arg.size() < 4) 
    throw Exception("Function UpdateShadingTable for class vtkEncodedGradientShader requires 4 argument(s)");
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  vtkEncodedGradientEstimator  *temp2;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkVolume>(arg[2]);
  temp2 = GetVTKPointer<vtkEncodedGradientEstimator>(arg[3]);
  vtk_pointer->UpdateShadingTable(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientShader:SetActiveComponent vtkEncodedGradientShaderSetActiveComponentFunction
//input a0 a1 
//output none
ArrayVector vtkEncodedGradientShaderSetActiveComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetActiveComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetActiveComponent for class vtkEncodedGradientShader requires 2 argument(s)");
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetActiveComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientShader:GetActiveComponentMinValue vtkEncodedGradientShaderGetActiveComponentMinValueFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientShaderGetActiveComponentMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetActiveComponentMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActiveComponentMinValue for class vtkEncodedGradientShader requires 1 argument(s)");
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetActiveComponentMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientShader:GetActiveComponentMaxValue vtkEncodedGradientShaderGetActiveComponentMaxValueFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientShaderGetActiveComponentMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetActiveComponentMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActiveComponentMaxValue for class vtkEncodedGradientShader requires 1 argument(s)");
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetActiveComponentMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientShader:GetActiveComponent vtkEncodedGradientShaderGetActiveComponentFunction
//input a0 
//output y
ArrayVector vtkEncodedGradientShaderGetActiveComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetActiveComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActiveComponent for class vtkEncodedGradientShader requires 1 argument(s)");
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetActiveComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEncodedGradientShader:display vtkEncodedGradientShaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEncodedGradientShaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEncodedGradientShader* vtk_pointer = GetVTKPointer<vtkEncodedGradientShader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEncodedGradientShader:delete vtkEncodedGradientShaderDeleteFunction
//input varargin
//output none
ArrayVector vtkEncodedGradientShaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkEncodedGradientShader
//@@Section VTKVolumeRendering
//@@Usage
// vtkEncodedGradientShader computes shading tables for encoded normals 
// that indicates the amount of diffuse and specular illumination that is 
// received from all light sources at a surface location with that normal.
// For diffuse illumination this is accurate, but for specular illumination
// it is approximate for perspective projections since the center view
// direction is always used as the view direction. Since the shading table is
// dependent on the volume (for the transformation that must be applied to
// the normals to put them into world coordinates) there is a shading table
// per volume. This is necessary because multiple volumes can share a 
// volume mapper.
//
//To create an instance of class vtkEncodedGradientShader, simply
//invoke its constructor as follows
//@[
//  obj = vtkEncodedGradientShader
//@]
//@@Methods
//The class vtkEncodedGradientShader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkEncodedGradientShader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkEncodedGradientShader = obj.NewInstance ()|
// \item @|vtkEncodedGradientShader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetZeroNormalDiffuseIntensity (float )| -  Set / Get the intensity diffuse / specular light used for the
// zero normals. 
//// \item @|float = obj.GetZeroNormalDiffuseIntensityMinValue ()| -  Set / Get the intensity diffuse / specular light used for the
// zero normals. 
//// \item @|float = obj.GetZeroNormalDiffuseIntensityMaxValue ()| -  Set / Get the intensity diffuse / specular light used for the
// zero normals. 
//// \item @|float = obj.GetZeroNormalDiffuseIntensity ()| -  Set / Get the intensity diffuse / specular light used for the
// zero normals. 
//// \item @|obj.SetZeroNormalSpecularIntensity (float )| -  Set / Get the intensity diffuse / specular light used for the
// zero normals. 
//// \item @|float = obj.GetZeroNormalSpecularIntensityMinValue ()| -  Set / Get the intensity diffuse / specular light used for the
// zero normals. 
//// \item @|float = obj.GetZeroNormalSpecularIntensityMaxValue ()| -  Set / Get the intensity diffuse / specular light used for the
// zero normals. 
//// \item @|float = obj.GetZeroNormalSpecularIntensity ()| -  Set / Get the intensity diffuse / specular light used for the
// zero normals. 
//// \item @|obj.UpdateShadingTable (vtkRenderer ren, vtkVolume vol, vtkEncodedGradientEstimator gradest)| -  Cause the shading table to be updated
//// \item @|obj.SetActiveComponent (int )| -  Set the active component for shading. This component's 
// ambient / diffuse / specular / specular power values will
// be used to create the shading table. The default is 1.0
//// \item @|int = obj.GetActiveComponentMinValue ()| -  Set the active component for shading. This component's 
// ambient / diffuse / specular / specular power values will
// be used to create the shading table. The default is 1.0
//// \item @|int = obj.GetActiveComponentMaxValue ()| -  Set the active component for shading. This component's 
// ambient / diffuse / specular / specular power values will
// be used to create the shading table. The default is 1.0
//// \item @|int = obj.GetActiveComponent ()| -  Set the active component for shading. This component's 
// ambient / diffuse / specular / specular power values will
// be used to create the shading table. The default is 1.0
////\end{itemize}
//!
