#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFiniteDifferenceGradientEstimator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFiniteDifferenceGradientEstimator.h"

//@@Signature
//sfunction @vtkFiniteDifferenceGradientEstimator:vtkFiniteDifferenceGradientEstimator vtkFiniteDifferenceGradientEstimatorConstructorFunction
//input a
//output p
//@@Parents vtkFiniteDifferenceGradientEstimator vtkEncodedGradientEstimator 
ArrayVector vtkFiniteDifferenceGradientEstimatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFiniteDifferenceGradientEstimator::New(),"vtkFiniteDifferenceGradientEstimator",eval);
  } else if (arg[0].className() == "vtkFiniteDifferenceGradientEstimator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFiniteDifferenceGradientEstimator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFiniteDifferenceGradientEstimator");
    vtkFiniteDifferenceGradientEstimator*q = reinterpret_cast<vtkFiniteDifferenceGradientEstimator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFiniteDifferenceGradientEstimator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFiniteDifferenceGradientEstimator:GetClassName vtkFiniteDifferenceGradientEstimatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFiniteDifferenceGradientEstimatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFiniteDifferenceGradientEstimator requires 1 argument(s)");
  vtkFiniteDifferenceGradientEstimator* vtk_pointer = GetVTKPointer<vtkFiniteDifferenceGradientEstimator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFiniteDifferenceGradientEstimator:IsA vtkFiniteDifferenceGradientEstimatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFiniteDifferenceGradientEstimatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFiniteDifferenceGradientEstimator requires 2 argument(s)");
  vtkFiniteDifferenceGradientEstimator* vtk_pointer = GetVTKPointer<vtkFiniteDifferenceGradientEstimator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFiniteDifferenceGradientEstimator:NewInstance vtkFiniteDifferenceGradientEstimatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFiniteDifferenceGradientEstimatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFiniteDifferenceGradientEstimator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFiniteDifferenceGradientEstimator requires 1 argument(s)");
  vtkFiniteDifferenceGradientEstimator* vtk_pointer = GetVTKPointer<vtkFiniteDifferenceGradientEstimator>(arg[0]);
  Array retval;
  vtkFiniteDifferenceGradientEstimator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFiniteDifferenceGradientEstimator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFiniteDifferenceGradientEstimator:SafeDownCast vtkFiniteDifferenceGradientEstimatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFiniteDifferenceGradientEstimatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFiniteDifferenceGradientEstimator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFiniteDifferenceGradientEstimator requires 2 argument(s)");
  vtkFiniteDifferenceGradientEstimator* vtk_pointer = GetVTKPointer<vtkFiniteDifferenceGradientEstimator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFiniteDifferenceGradientEstimator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFiniteDifferenceGradientEstimator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFiniteDifferenceGradientEstimator:SetSampleSpacingInVoxels vtkFiniteDifferenceGradientEstimatorSetSampleSpacingInVoxelsFunction
//input a0 a1 
//output none
ArrayVector vtkFiniteDifferenceGradientEstimatorSetSampleSpacingInVoxelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleSpacingInVoxels (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSampleSpacingInVoxels for class vtkFiniteDifferenceGradientEstimator requires 2 argument(s)");
  vtkFiniteDifferenceGradientEstimator* vtk_pointer = GetVTKPointer<vtkFiniteDifferenceGradientEstimator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSampleSpacingInVoxels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFiniteDifferenceGradientEstimator:GetSampleSpacingInVoxels vtkFiniteDifferenceGradientEstimatorGetSampleSpacingInVoxelsFunction
//input a0 
//output y
ArrayVector vtkFiniteDifferenceGradientEstimatorGetSampleSpacingInVoxelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSampleSpacingInVoxels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSampleSpacingInVoxels for class vtkFiniteDifferenceGradientEstimator requires 1 argument(s)");
  vtkFiniteDifferenceGradientEstimator* vtk_pointer = GetVTKPointer<vtkFiniteDifferenceGradientEstimator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSampleSpacingInVoxels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFiniteDifferenceGradientEstimator:display vtkFiniteDifferenceGradientEstimatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFiniteDifferenceGradientEstimatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFiniteDifferenceGradientEstimator* vtk_pointer = GetVTKPointer<vtkFiniteDifferenceGradientEstimator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFiniteDifferenceGradientEstimator:delete vtkFiniteDifferenceGradientEstimatorDeleteFunction
//input varargin
//output none
ArrayVector vtkFiniteDifferenceGradientEstimatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFiniteDifferenceGradientEstimator
//@@Section VTKVolumeRendering
//@@Usage
//  vtkFiniteDifferenceGradientEstimator is a concrete subclass of 
//  vtkEncodedGradientEstimator that uses a central differences technique to
//  estimate the gradient. The gradient at some sample location (x,y,z)
//  would be estimated by:
//      
//       nx = (f(x-dx,y,z) - f(x+dx,y,z)) / 2*dx;
//       ny = (f(x,y-dy,z) - f(x,y+dy,z)) / 2*dy;
//       nz = (f(x,y,z-dz) - f(x,y,z+dz)) / 2*dz;
//
//  This value is normalized to determine a unit direction vector and a
//  magnitude. The normal is computed in voxel space, and 
//  dx = dy = dz = SampleSpacingInVoxels. A scaling factor is applied to
//  convert this normal from voxel space to world coordinates.
//
//
//To create an instance of class vtkFiniteDifferenceGradientEstimator, simply
//invoke its constructor as follows
//@[
//  obj = vtkFiniteDifferenceGradientEstimator
//@]
//@@Methods
//The class vtkFiniteDifferenceGradientEstimator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFiniteDifferenceGradientEstimator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFiniteDifferenceGradientEstimator = obj.NewInstance ()|
// \item @|vtkFiniteDifferenceGradientEstimator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSampleSpacingInVoxels (int )| -  Set/Get the spacing between samples for the finite differences
// method used to compute the normal. This spacing is in voxel units.
//// \item @|int = obj.GetSampleSpacingInVoxels ()| -  Set/Get the spacing between samples for the finite differences
// method used to compute the normal. This spacing is in voxel units.
////\end{itemize}
//!
