#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFixedPointRayCastImage object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFixedPointRayCastImage.h"

//@@Signature
//sfunction @vtkFixedPointRayCastImage:vtkFixedPointRayCastImage vtkFixedPointRayCastImageConstructorFunction
//input a
//output p
//@@Parents vtkFixedPointRayCastImage vtkObject 
ArrayVector vtkFixedPointRayCastImageConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFixedPointRayCastImage::New(),"vtkFixedPointRayCastImage",eval);
  } else if (arg[0].className() == "vtkFixedPointRayCastImage") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFixedPointRayCastImage"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFixedPointRayCastImage");
    vtkFixedPointRayCastImage*q = reinterpret_cast<vtkFixedPointRayCastImage*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFixedPointRayCastImage");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFixedPointRayCastImage:GetClassName vtkFixedPointRayCastImageGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFixedPointRayCastImageGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFixedPointRayCastImage requires 1 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:IsA vtkFixedPointRayCastImageIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFixedPointRayCastImageIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFixedPointRayCastImage requires 2 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:NewInstance vtkFixedPointRayCastImageNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFixedPointRayCastImageNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFixedPointRayCastImage *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFixedPointRayCastImage requires 1 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  vtkFixedPointRayCastImage  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFixedPointRayCastImage",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SafeDownCast vtkFixedPointRayCastImageSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFixedPointRayCastImageSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFixedPointRayCastImage *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFixedPointRayCastImage requires 2 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFixedPointRayCastImage  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFixedPointRayCastImage",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetImageViewportSize__1 vtkFixedPointRayCastImageSetImageViewportSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkFixedPointRayCastImageSetImageViewportSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageViewportSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetImageViewportSize__1 for class vtkFixedPointRayCastImage requires 3 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetImageViewportSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetImageViewportSize__2 vtkFixedPointRayCastImageSetImageViewportSize__2Function
//input a0 a1 
//output none
ArrayVector vtkFixedPointRayCastImageSetImageViewportSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageViewportSize (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageViewportSize__2 for class vtkFixedPointRayCastImage requires 2 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetImageViewportSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:GetImageViewportSize vtkFixedPointRayCastImageGetImageViewportSizeFunction
//input a0 
//output y
ArrayVector vtkFixedPointRayCastImageGetImageViewportSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetImageViewportSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageViewportSize for class vtkFixedPointRayCastImage requires 1 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetImageViewportSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetImageMemorySize__1 vtkFixedPointRayCastImageSetImageMemorySize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkFixedPointRayCastImageSetImageMemorySize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageMemorySize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetImageMemorySize__1 for class vtkFixedPointRayCastImage requires 3 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetImageMemorySize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetImageMemorySize__2 vtkFixedPointRayCastImageSetImageMemorySize__2Function
//input a0 a1 
//output none
ArrayVector vtkFixedPointRayCastImageSetImageMemorySize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageMemorySize (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageMemorySize__2 for class vtkFixedPointRayCastImage requires 2 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetImageMemorySize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:GetImageMemorySize vtkFixedPointRayCastImageGetImageMemorySizeFunction
//input a0 
//output y
ArrayVector vtkFixedPointRayCastImageGetImageMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetImageMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageMemorySize for class vtkFixedPointRayCastImage requires 1 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetImageMemorySize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetImageInUseSize__1 vtkFixedPointRayCastImageSetImageInUseSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkFixedPointRayCastImageSetImageInUseSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageInUseSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetImageInUseSize__1 for class vtkFixedPointRayCastImage requires 3 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetImageInUseSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetImageInUseSize__2 vtkFixedPointRayCastImageSetImageInUseSize__2Function
//input a0 a1 
//output none
ArrayVector vtkFixedPointRayCastImageSetImageInUseSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageInUseSize (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageInUseSize__2 for class vtkFixedPointRayCastImage requires 2 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetImageInUseSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:GetImageInUseSize vtkFixedPointRayCastImageGetImageInUseSizeFunction
//input a0 
//output y
ArrayVector vtkFixedPointRayCastImageGetImageInUseSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetImageInUseSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageInUseSize for class vtkFixedPointRayCastImage requires 1 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetImageInUseSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetImageOrigin__1 vtkFixedPointRayCastImageSetImageOrigin__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkFixedPointRayCastImageSetImageOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageOrigin (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetImageOrigin__1 for class vtkFixedPointRayCastImage requires 3 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetImageOrigin(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetImageOrigin__2 vtkFixedPointRayCastImageSetImageOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkFixedPointRayCastImageSetImageOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageOrigin (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageOrigin__2 for class vtkFixedPointRayCastImage requires 2 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetImageOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:GetImageOrigin vtkFixedPointRayCastImageGetImageOriginFunction
//input a0 
//output y
ArrayVector vtkFixedPointRayCastImageGetImageOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetImageOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageOrigin for class vtkFixedPointRayCastImage requires 1 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetImageOrigin();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetImageSampleDistance vtkFixedPointRayCastImageSetImageSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkFixedPointRayCastImageSetImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageSampleDistance (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageSampleDistance for class vtkFixedPointRayCastImage requires 2 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetImageSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:GetImageSampleDistance vtkFixedPointRayCastImageGetImageSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkFixedPointRayCastImageGetImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetImageSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageSampleDistance for class vtkFixedPointRayCastImage requires 1 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetImageSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:AllocateImage vtkFixedPointRayCastImageAllocateImageFunction
//input a0 
//output none
ArrayVector vtkFixedPointRayCastImageAllocateImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllocateImage (); */
  if (arg.size() < 1) 
    throw Exception("Function AllocateImage for class vtkFixedPointRayCastImage requires 1 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  vtk_pointer->AllocateImage();
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:ClearImage vtkFixedPointRayCastImageClearImageFunction
//input a0 
//output none
ArrayVector vtkFixedPointRayCastImageClearImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearImage (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearImage for class vtkFixedPointRayCastImage requires 1 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  vtk_pointer->ClearImage();
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetZBufferSize__1 vtkFixedPointRayCastImageSetZBufferSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkFixedPointRayCastImageSetZBufferSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZBufferSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetZBufferSize__1 for class vtkFixedPointRayCastImage requires 3 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetZBufferSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetZBufferSize__2 vtkFixedPointRayCastImageSetZBufferSize__2Function
//input a0 a1 
//output none
ArrayVector vtkFixedPointRayCastImageSetZBufferSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZBufferSize (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetZBufferSize__2 for class vtkFixedPointRayCastImage requires 2 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetZBufferSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:GetZBufferSize vtkFixedPointRayCastImageGetZBufferSizeFunction
//input a0 
//output y
ArrayVector vtkFixedPointRayCastImageGetZBufferSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetZBufferSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZBufferSize for class vtkFixedPointRayCastImage requires 1 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetZBufferSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetZBufferOrigin__1 vtkFixedPointRayCastImageSetZBufferOrigin__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkFixedPointRayCastImageSetZBufferOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZBufferOrigin (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetZBufferOrigin__1 for class vtkFixedPointRayCastImage requires 3 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetZBufferOrigin(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetZBufferOrigin__2 vtkFixedPointRayCastImageSetZBufferOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkFixedPointRayCastImageSetZBufferOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZBufferOrigin (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetZBufferOrigin__2 for class vtkFixedPointRayCastImage requires 2 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetZBufferOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:GetZBufferOrigin vtkFixedPointRayCastImageGetZBufferOriginFunction
//input a0 
//output y
ArrayVector vtkFixedPointRayCastImageGetZBufferOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetZBufferOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZBufferOrigin for class vtkFixedPointRayCastImage requires 1 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetZBufferOrigin();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetUseZBuffer vtkFixedPointRayCastImageSetUseZBufferFunction
//input a0 a1 
//output none
ArrayVector vtkFixedPointRayCastImageSetUseZBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseZBuffer (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseZBuffer for class vtkFixedPointRayCastImage requires 2 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseZBuffer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:GetUseZBufferMinValue vtkFixedPointRayCastImageGetUseZBufferMinValueFunction
//input a0 
//output y
ArrayVector vtkFixedPointRayCastImageGetUseZBufferMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseZBufferMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseZBufferMinValue for class vtkFixedPointRayCastImage requires 1 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseZBufferMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:GetUseZBufferMaxValue vtkFixedPointRayCastImageGetUseZBufferMaxValueFunction
//input a0 
//output y
ArrayVector vtkFixedPointRayCastImageGetUseZBufferMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseZBufferMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseZBufferMaxValue for class vtkFixedPointRayCastImage requires 1 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseZBufferMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:GetUseZBuffer vtkFixedPointRayCastImageGetUseZBufferFunction
//input a0 
//output y
ArrayVector vtkFixedPointRayCastImageGetUseZBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseZBuffer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseZBuffer for class vtkFixedPointRayCastImage requires 1 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseZBuffer();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:UseZBufferOn vtkFixedPointRayCastImageUseZBufferOnFunction
//input a0 
//output none
ArrayVector vtkFixedPointRayCastImageUseZBufferOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseZBufferOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseZBufferOn for class vtkFixedPointRayCastImage requires 1 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  vtk_pointer->UseZBufferOn();
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:UseZBufferOff vtkFixedPointRayCastImageUseZBufferOffFunction
//input a0 
//output none
ArrayVector vtkFixedPointRayCastImageUseZBufferOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseZBufferOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseZBufferOff for class vtkFixedPointRayCastImage requires 1 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  vtk_pointer->UseZBufferOff();
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:GetZBufferValue vtkFixedPointRayCastImageGetZBufferValueFunction
//input a0 a1 a2 
//output y
ArrayVector vtkFixedPointRayCastImageGetZBufferValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetZBufferValue (int x, int y); */
  if (arg.size() < 3) 
    throw Exception("Function GetZBufferValue for class vtkFixedPointRayCastImage requires 3 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  float    temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetZBufferValue(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:AllocateZBuffer vtkFixedPointRayCastImageAllocateZBufferFunction
//input a0 
//output none
ArrayVector vtkFixedPointRayCastImageAllocateZBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllocateZBuffer (); */
  if (arg.size() < 1) 
    throw Exception("Function AllocateZBuffer for class vtkFixedPointRayCastImage requires 1 argument(s)");
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  Array retval;
  vtk_pointer->AllocateZBuffer();
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetImageViewportSize vtkFixedPointRayCastImageSetImageViewportSizeFunction
//input varargin
//output varargout
ArrayVector vtkFixedPointRayCastImageSetImageViewportSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkFixedPointRayCastImageSetImageViewportSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkFixedPointRayCastImageSetImageViewportSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFixedPointRayCastImageSetImageViewportSize");
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetImageMemorySize vtkFixedPointRayCastImageSetImageMemorySizeFunction
//input varargin
//output varargout
ArrayVector vtkFixedPointRayCastImageSetImageMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkFixedPointRayCastImageSetImageMemorySize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkFixedPointRayCastImageSetImageMemorySize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFixedPointRayCastImageSetImageMemorySize");
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetImageInUseSize vtkFixedPointRayCastImageSetImageInUseSizeFunction
//input varargin
//output varargout
ArrayVector vtkFixedPointRayCastImageSetImageInUseSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkFixedPointRayCastImageSetImageInUseSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkFixedPointRayCastImageSetImageInUseSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFixedPointRayCastImageSetImageInUseSize");
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetImageOrigin vtkFixedPointRayCastImageSetImageOriginFunction
//input varargin
//output varargout
ArrayVector vtkFixedPointRayCastImageSetImageOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkFixedPointRayCastImageSetImageOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkFixedPointRayCastImageSetImageOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFixedPointRayCastImageSetImageOrigin");
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetZBufferSize vtkFixedPointRayCastImageSetZBufferSizeFunction
//input varargin
//output varargout
ArrayVector vtkFixedPointRayCastImageSetZBufferSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkFixedPointRayCastImageSetZBufferSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkFixedPointRayCastImageSetZBufferSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFixedPointRayCastImageSetZBufferSize");
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:SetZBufferOrigin vtkFixedPointRayCastImageSetZBufferOriginFunction
//input varargin
//output varargout
ArrayVector vtkFixedPointRayCastImageSetZBufferOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkFixedPointRayCastImageSetZBufferOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkFixedPointRayCastImageSetZBufferOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFixedPointRayCastImageSetZBufferOrigin");
}

//@@Signature
//sfunction @vtkFixedPointRayCastImage:display vtkFixedPointRayCastImageDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFixedPointRayCastImageDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFixedPointRayCastImage* vtk_pointer = GetVTKPointer<vtkFixedPointRayCastImage>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFixedPointRayCastImage:delete vtkFixedPointRayCastImageDeleteFunction
//input varargin
//output none
ArrayVector vtkFixedPointRayCastImageDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFixedPointRayCastImage
//@@Section VTKVolumeRendering
//@@Usage
// This is a helper class for storing the ray cast image including the
// underlying data and the size of the image. This class is not intended
// to be used directly - just as an internal class in the 
// vtkFixedPointVolumeRayCastMapper so that multiple mappers can share
// the same image. This class also stored the ZBuffer (if necessary due
// to intermixed geometry). Perhaps this class could be generalized
// in the future to be used for other ray cast methods other than the
// fixed point method.
//
//To create an instance of class vtkFixedPointRayCastImage, simply
//invoke its constructor as follows
//@[
//  obj = vtkFixedPointRayCastImage
//@]
//@@Methods
//The class vtkFixedPointRayCastImage has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFixedPointRayCastImage class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFixedPointRayCastImage = obj.NewInstance ()|
// \item @|vtkFixedPointRayCastImage = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetImageViewportSize (int , int )| -  Set / Get the ImageViewportSize. This is the size of the
// whole viewport in pixels.
//// \item @|obj.SetImageViewportSize (int  a[2])| -  Set / Get the ImageViewportSize. This is the size of the
// whole viewport in pixels.
//// \item @|int = obj. GetImageViewportSize ()| -  Set / Get the ImageViewportSize. This is the size of the
// whole viewport in pixels.
//// \item @|obj.SetImageMemorySize (int , int )| -  Set / Get the ImageMemorySize. This is the size in pixels
// of the Image ivar. This will be a power of two in order
// to ensure that the texture can be rendered by graphics
// hardware that requires power of two textures.
//// \item @|obj.SetImageMemorySize (int  a[2])| -  Set / Get the ImageMemorySize. This is the size in pixels
// of the Image ivar. This will be a power of two in order
// to ensure that the texture can be rendered by graphics
// hardware that requires power of two textures.
//// \item @|int = obj. GetImageMemorySize ()| -  Set / Get the ImageMemorySize. This is the size in pixels
// of the Image ivar. This will be a power of two in order
// to ensure that the texture can be rendered by graphics
// hardware that requires power of two textures.
//// \item @|obj.SetImageInUseSize (int , int )| -  Set / Get the size of the image we are actually using. As
// long as the memory size is big enough, but not too big,
// we won't bother deleting and re-allocated, we'll just 
// continue to use the memory size we have. This size will
// always be equal to or less than the ImageMemorySize.
//// \item @|obj.SetImageInUseSize (int  a[2])| -  Set / Get the size of the image we are actually using. As
// long as the memory size is big enough, but not too big,
// we won't bother deleting and re-allocated, we'll just 
// continue to use the memory size we have. This size will
// always be equal to or less than the ImageMemorySize.
//// \item @|int = obj. GetImageInUseSize ()| -  Set / Get the size of the image we are actually using. As
// long as the memory size is big enough, but not too big,
// we won't bother deleting and re-allocated, we'll just 
// continue to use the memory size we have. This size will
// always be equal to or less than the ImageMemorySize.
//// \item @|obj.SetImageOrigin (int , int )| -  Set / Get the origin of the image. This is the starting 
// pixel within the whole viewport that our Image starts on.
// That is, we could be generating just a subregion of the
// whole viewport due to the fact that our volume occupies 
// only a portion of the viewport. The Image pixels will
// start from this location.
//// \item @|obj.SetImageOrigin (int  a[2])| -  Set / Get the origin of the image. This is the starting 
// pixel within the whole viewport that our Image starts on.
// That is, we could be generating just a subregion of the
// whole viewport due to the fact that our volume occupies 
// only a portion of the viewport. The Image pixels will
// start from this location.
//// \item @|int = obj. GetImageOrigin ()| -  Set / Get the origin of the image. This is the starting 
// pixel within the whole viewport that our Image starts on.
// That is, we could be generating just a subregion of the
// whole viewport due to the fact that our volume occupies 
// only a portion of the viewport. The Image pixels will
// start from this location.
//// \item @|obj.SetImageSampleDistance (float )| -  Set / Get the ImageSampleDistance that will be used for 
// rendering. This is a copy of the value stored in the
// mapper. It is stored here for sharing between all mappers
// that are participating in the creation of this image.
//// \item @|float = obj.GetImageSampleDistance ()| -  Set / Get the ImageSampleDistance that will be used for 
// rendering. This is a copy of the value stored in the
// mapper. It is stored here for sharing between all mappers
// that are participating in the creation of this image.
//// \item @|obj.AllocateImage ()| -  Call this method once the ImageMemorySize has been set
// the allocate the image. If an image already exists,
// it will be deleted first.
//// \item @|obj.ClearImage ()| -  Clear the image to (0,0,0,0) for each pixel.
//// \item @|obj.SetZBufferSize (int , int )| -  Set / Get the size of the ZBuffer in pixels. The zbuffer will
// be captured for the region of the screen covered by the
// ImageInUseSize image. However, due to subsampling, the size
// of the ImageInUseSize image may be smaller than this ZBuffer
// image which will be captured at screen resolution.
//// \item @|obj.SetZBufferSize (int  a[2])| -  Set / Get the size of the ZBuffer in pixels. The zbuffer will
// be captured for the region of the screen covered by the
// ImageInUseSize image. However, due to subsampling, the size
// of the ImageInUseSize image may be smaller than this ZBuffer
// image which will be captured at screen resolution.
//// \item @|int = obj. GetZBufferSize ()| -  Set / Get the size of the ZBuffer in pixels. The zbuffer will
// be captured for the region of the screen covered by the
// ImageInUseSize image. However, due to subsampling, the size
// of the ImageInUseSize image may be smaller than this ZBuffer
// image which will be captured at screen resolution.
//// \item @|obj.SetZBufferOrigin (int , int )| -  Set / Get the origin of the ZBuffer. This is the distance
// from the lower left corner of the viewport where the ZBuffer
// started (multiply the ImageOrigin by the ImageSampleDistance)
// This is the pixel location on the full resolution viewport
// where the ZBuffer capture will start. These values are used 
// to convert the (x,y) pixel location within the ImageInUseSize 
// image into a ZBuffer location.
//// \item @|obj.SetZBufferOrigin (int  a[2])| -  Set / Get the origin of the ZBuffer. This is the distance
// from the lower left corner of the viewport where the ZBuffer
// started (multiply the ImageOrigin by the ImageSampleDistance)
// This is the pixel location on the full resolution viewport
// where the ZBuffer capture will start. These values are used 
// to convert the (x,y) pixel location within the ImageInUseSize 
// image into a ZBuffer location.
//// \item @|int = obj. GetZBufferOrigin ()| -  Set / Get the origin of the ZBuffer. This is the distance
// from the lower left corner of the viewport where the ZBuffer
// started (multiply the ImageOrigin by the ImageSampleDistance)
// This is the pixel location on the full resolution viewport
// where the ZBuffer capture will start. These values are used 
// to convert the (x,y) pixel location within the ImageInUseSize 
// image into a ZBuffer location.
//// \item @|obj.SetUseZBuffer (int )| -  The UseZBuffer flag indicates whether the ZBuffer is in use.
// The ZBuffer is captured and used when IntermixIntersectingGeometry
// is on in the mapper, and when there are props that have been
// rendered before the current volume. 
//// \item @|int = obj.GetUseZBufferMinValue ()| -  The UseZBuffer flag indicates whether the ZBuffer is in use.
// The ZBuffer is captured and used when IntermixIntersectingGeometry
// is on in the mapper, and when there are props that have been
// rendered before the current volume. 
//// \item @|int = obj.GetUseZBufferMaxValue ()| -  The UseZBuffer flag indicates whether the ZBuffer is in use.
// The ZBuffer is captured and used when IntermixIntersectingGeometry
// is on in the mapper, and when there are props that have been
// rendered before the current volume. 
//// \item @|int = obj.GetUseZBuffer ()| -  The UseZBuffer flag indicates whether the ZBuffer is in use.
// The ZBuffer is captured and used when IntermixIntersectingGeometry
// is on in the mapper, and when there are props that have been
// rendered before the current volume. 
//// \item @|obj.UseZBufferOn ()| -  The UseZBuffer flag indicates whether the ZBuffer is in use.
// The ZBuffer is captured and used when IntermixIntersectingGeometry
// is on in the mapper, and when there are props that have been
// rendered before the current volume. 
//// \item @|obj.UseZBufferOff ()| -  The UseZBuffer flag indicates whether the ZBuffer is in use.
// The ZBuffer is captured and used when IntermixIntersectingGeometry
// is on in the mapper, and when there are props that have been
// rendered before the current volume. 
//// \item @|float = obj.GetZBufferValue (int x, int y)| -  Get the ZBuffer value corresponding to location (x,y) where (x,y)
// are indexing into the ImageInUse image. This must be converted to
// the zbuffer image coordinates. Nearest neighbor value is returned.
// If UseZBuffer is off, then 1.0 is always returned.
//// \item @|obj.AllocateZBuffer ()|
//\end{itemize}
//!
