#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFixedPointVolumeRayCastHelper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFixedPointVolumeRayCastHelper.h"

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastHelper:vtkFixedPointVolumeRayCastHelper vtkFixedPointVolumeRayCastHelperConstructorFunction
//input a
//output p
//@@Parents vtkFixedPointVolumeRayCastHelper vtkObject 
ArrayVector vtkFixedPointVolumeRayCastHelperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFixedPointVolumeRayCastHelper::New(),"vtkFixedPointVolumeRayCastHelper",eval);
  } else if (arg[0].className() == "vtkFixedPointVolumeRayCastHelper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFixedPointVolumeRayCastHelper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFixedPointVolumeRayCastHelper");
    vtkFixedPointVolumeRayCastHelper*q = reinterpret_cast<vtkFixedPointVolumeRayCastHelper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFixedPointVolumeRayCastHelper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFixedPointVolumeRayCastHelper:GetClassName vtkFixedPointVolumeRayCastHelperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastHelperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFixedPointVolumeRayCastHelper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastHelper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastHelper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastHelper:IsA vtkFixedPointVolumeRayCastHelperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFixedPointVolumeRayCastHelperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFixedPointVolumeRayCastHelper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastHelper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastHelper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastHelper:NewInstance vtkFixedPointVolumeRayCastHelperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastHelperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFixedPointVolumeRayCastHelper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFixedPointVolumeRayCastHelper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastHelper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastHelper>(arg[0]);
  Array retval;
  vtkFixedPointVolumeRayCastHelper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFixedPointVolumeRayCastHelper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastHelper:SafeDownCast vtkFixedPointVolumeRayCastHelperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFixedPointVolumeRayCastHelperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFixedPointVolumeRayCastHelper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFixedPointVolumeRayCastHelper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastHelper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastHelper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFixedPointVolumeRayCastHelper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFixedPointVolumeRayCastHelper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastHelper:GenerateImage vtkFixedPointVolumeRayCastHelperGenerateImageFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkFixedPointVolumeRayCastHelperGenerateImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GenerateImage (int , int , vtkVolume *, vtkFixedPointVolumeRayCastMapper *); */
  if (arg.size() < 5) 
    throw Exception("Function GenerateImage for class vtkFixedPointVolumeRayCastHelper requires 5 argument(s)");
  vtkFixedPointVolumeRayCastHelper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastHelper>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkVolume  *temp2;
  vtkFixedPointVolumeRayCastMapper  *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkVolume>(arg[3]);
  temp3 = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[4]);
  vtk_pointer->GenerateImage(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastHelper:display vtkFixedPointVolumeRayCastHelperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFixedPointVolumeRayCastHelperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFixedPointVolumeRayCastHelper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastHelper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFixedPointVolumeRayCastHelper:delete vtkFixedPointVolumeRayCastHelperDeleteFunction
//input varargin
//output none
ArrayVector vtkFixedPointVolumeRayCastHelperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFixedPointVolumeRayCastHelper
//@@Section VTKVolumeRendering
//@@Usage
// This is the abstract superclass of all helper classes for the 
// vtkFixedPointVolumeRayCastMapper. This class should not be used directly.
//
//
//To create an instance of class vtkFixedPointVolumeRayCastHelper, simply
//invoke its constructor as follows
//@[
//  obj = vtkFixedPointVolumeRayCastHelper
//@]
//@@Methods
//The class vtkFixedPointVolumeRayCastHelper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFixedPointVolumeRayCastHelper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFixedPointVolumeRayCastHelper = obj.NewInstance ()|
// \item @|vtkFixedPointVolumeRayCastHelper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.GenerateImage (int , int , vtkVolume , vtkFixedPointVolumeRayCastMapper )|
//\end{itemize}
//!
