#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFixedPointVolumeRayCastMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFixedPointVolumeRayCastMapper.h"

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:vtkFixedPointVolumeRayCastMapper vtkFixedPointVolumeRayCastMapperConstructorFunction
//input a
//output p
//@@Parents vtkFixedPointVolumeRayCastMapper vtkVolumeMapper 
ArrayVector vtkFixedPointVolumeRayCastMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFixedPointVolumeRayCastMapper::New(),"vtkFixedPointVolumeRayCastMapper",eval);
  } else if (arg[0].className() == "vtkFixedPointVolumeRayCastMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFixedPointVolumeRayCastMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFixedPointVolumeRayCastMapper");
    vtkFixedPointVolumeRayCastMapper*q = reinterpret_cast<vtkFixedPointVolumeRayCastMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFixedPointVolumeRayCastMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetClassName vtkFixedPointVolumeRayCastMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:IsA vtkFixedPointVolumeRayCastMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFixedPointVolumeRayCastMapper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:NewInstance vtkFixedPointVolumeRayCastMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFixedPointVolumeRayCastMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkFixedPointVolumeRayCastMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFixedPointVolumeRayCastMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:SafeDownCast vtkFixedPointVolumeRayCastMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFixedPointVolumeRayCastMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFixedPointVolumeRayCastMapper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFixedPointVolumeRayCastMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFixedPointVolumeRayCastMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:SetSampleDistance vtkFixedPointVolumeRayCastMapperSetSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperSetSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleDistance (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSampleDistance for class vtkFixedPointVolumeRayCastMapper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetSampleDistance vtkFixedPointVolumeRayCastMapperGetSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSampleDistance for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:SetInteractiveSampleDistance vtkFixedPointVolumeRayCastMapperSetInteractiveSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperSetInteractiveSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInteractiveSampleDistance (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractiveSampleDistance for class vtkFixedPointVolumeRayCastMapper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetInteractiveSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetInteractiveSampleDistance vtkFixedPointVolumeRayCastMapperGetInteractiveSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetInteractiveSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetInteractiveSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteractiveSampleDistance for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetInteractiveSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:SetImageSampleDistance vtkFixedPointVolumeRayCastMapperSetImageSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperSetImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageSampleDistance (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageSampleDistance for class vtkFixedPointVolumeRayCastMapper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetImageSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetImageSampleDistanceMinValue vtkFixedPointVolumeRayCastMapperGetImageSampleDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetImageSampleDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetImageSampleDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageSampleDistanceMinValue for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetImageSampleDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetImageSampleDistanceMaxValue vtkFixedPointVolumeRayCastMapperGetImageSampleDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetImageSampleDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetImageSampleDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageSampleDistanceMaxValue for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetImageSampleDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetImageSampleDistance vtkFixedPointVolumeRayCastMapperGetImageSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetImageSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageSampleDistance for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetImageSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:SetMinimumImageSampleDistance vtkFixedPointVolumeRayCastMapperSetMinimumImageSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperSetMinimumImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumImageSampleDistance (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumImageSampleDistance for class vtkFixedPointVolumeRayCastMapper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumImageSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetMinimumImageSampleDistanceMinValue vtkFixedPointVolumeRayCastMapperGetMinimumImageSampleDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetMinimumImageSampleDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMinimumImageSampleDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumImageSampleDistanceMinValue for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMinimumImageSampleDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetMinimumImageSampleDistanceMaxValue vtkFixedPointVolumeRayCastMapperGetMinimumImageSampleDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetMinimumImageSampleDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMinimumImageSampleDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumImageSampleDistanceMaxValue for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMinimumImageSampleDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetMinimumImageSampleDistance vtkFixedPointVolumeRayCastMapperGetMinimumImageSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetMinimumImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMinimumImageSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumImageSampleDistance for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMinimumImageSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:SetMaximumImageSampleDistance vtkFixedPointVolumeRayCastMapperSetMaximumImageSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperSetMaximumImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumImageSampleDistance (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumImageSampleDistance for class vtkFixedPointVolumeRayCastMapper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumImageSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetMaximumImageSampleDistanceMinValue vtkFixedPointVolumeRayCastMapperGetMaximumImageSampleDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetMaximumImageSampleDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaximumImageSampleDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumImageSampleDistanceMinValue for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaximumImageSampleDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetMaximumImageSampleDistanceMaxValue vtkFixedPointVolumeRayCastMapperGetMaximumImageSampleDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetMaximumImageSampleDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaximumImageSampleDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumImageSampleDistanceMaxValue for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaximumImageSampleDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetMaximumImageSampleDistance vtkFixedPointVolumeRayCastMapperGetMaximumImageSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetMaximumImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaximumImageSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumImageSampleDistance for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaximumImageSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:SetAutoAdjustSampleDistances vtkFixedPointVolumeRayCastMapperSetAutoAdjustSampleDistancesFunction
//input a0 a1 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperSetAutoAdjustSampleDistancesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutoAdjustSampleDistances (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutoAdjustSampleDistances for class vtkFixedPointVolumeRayCastMapper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutoAdjustSampleDistances(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetAutoAdjustSampleDistancesMinValue vtkFixedPointVolumeRayCastMapperGetAutoAdjustSampleDistancesMinValueFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetAutoAdjustSampleDistancesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustSampleDistancesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustSampleDistancesMinValue for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustSampleDistancesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetAutoAdjustSampleDistancesMaxValue vtkFixedPointVolumeRayCastMapperGetAutoAdjustSampleDistancesMaxValueFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetAutoAdjustSampleDistancesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustSampleDistancesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustSampleDistancesMaxValue for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustSampleDistancesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetAutoAdjustSampleDistances vtkFixedPointVolumeRayCastMapperGetAutoAdjustSampleDistancesFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetAutoAdjustSampleDistancesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustSampleDistances (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustSampleDistances for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustSampleDistances();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:AutoAdjustSampleDistancesOn vtkFixedPointVolumeRayCastMapperAutoAdjustSampleDistancesOnFunction
//input a0 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperAutoAdjustSampleDistancesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoAdjustSampleDistancesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoAdjustSampleDistancesOn for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->AutoAdjustSampleDistancesOn();
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:AutoAdjustSampleDistancesOff vtkFixedPointVolumeRayCastMapperAutoAdjustSampleDistancesOffFunction
//input a0 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperAutoAdjustSampleDistancesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoAdjustSampleDistancesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoAdjustSampleDistancesOff for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->AutoAdjustSampleDistancesOff();
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:SetLockSampleDistanceToInputSpacing vtkFixedPointVolumeRayCastMapperSetLockSampleDistanceToInputSpacingFunction
//input a0 a1 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperSetLockSampleDistanceToInputSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLockSampleDistanceToInputSpacing (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLockSampleDistanceToInputSpacing for class vtkFixedPointVolumeRayCastMapper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLockSampleDistanceToInputSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetLockSampleDistanceToInputSpacingMinValue vtkFixedPointVolumeRayCastMapperGetLockSampleDistanceToInputSpacingMinValueFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetLockSampleDistanceToInputSpacingMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLockSampleDistanceToInputSpacingMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLockSampleDistanceToInputSpacingMinValue for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLockSampleDistanceToInputSpacingMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetLockSampleDistanceToInputSpacingMaxValue vtkFixedPointVolumeRayCastMapperGetLockSampleDistanceToInputSpacingMaxValueFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetLockSampleDistanceToInputSpacingMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLockSampleDistanceToInputSpacingMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLockSampleDistanceToInputSpacingMaxValue for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLockSampleDistanceToInputSpacingMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetLockSampleDistanceToInputSpacing vtkFixedPointVolumeRayCastMapperGetLockSampleDistanceToInputSpacingFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetLockSampleDistanceToInputSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLockSampleDistanceToInputSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLockSampleDistanceToInputSpacing for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLockSampleDistanceToInputSpacing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:LockSampleDistanceToInputSpacingOn vtkFixedPointVolumeRayCastMapperLockSampleDistanceToInputSpacingOnFunction
//input a0 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperLockSampleDistanceToInputSpacingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LockSampleDistanceToInputSpacingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LockSampleDistanceToInputSpacingOn for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->LockSampleDistanceToInputSpacingOn();
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:LockSampleDistanceToInputSpacingOff vtkFixedPointVolumeRayCastMapperLockSampleDistanceToInputSpacingOffFunction
//input a0 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperLockSampleDistanceToInputSpacingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LockSampleDistanceToInputSpacingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LockSampleDistanceToInputSpacingOff for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->LockSampleDistanceToInputSpacingOff();
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:SetNumberOfThreads vtkFixedPointVolumeRayCastMapperSetNumberOfThreadsFunction
//input a0 a1 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperSetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfThreads (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfThreads for class vtkFixedPointVolumeRayCastMapper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfThreads(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetNumberOfThreads vtkFixedPointVolumeRayCastMapperGetNumberOfThreadsFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreads (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreads for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreads();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:SetIntermixIntersectingGeometry vtkFixedPointVolumeRayCastMapperSetIntermixIntersectingGeometryFunction
//input a0 a1 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperSetIntermixIntersectingGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntermixIntersectingGeometry (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntermixIntersectingGeometry for class vtkFixedPointVolumeRayCastMapper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIntermixIntersectingGeometry(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetIntermixIntersectingGeometryMinValue vtkFixedPointVolumeRayCastMapperGetIntermixIntersectingGeometryMinValueFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetIntermixIntersectingGeometryMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntermixIntersectingGeometryMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntermixIntersectingGeometryMinValue for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntermixIntersectingGeometryMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetIntermixIntersectingGeometryMaxValue vtkFixedPointVolumeRayCastMapperGetIntermixIntersectingGeometryMaxValueFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetIntermixIntersectingGeometryMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntermixIntersectingGeometryMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntermixIntersectingGeometryMaxValue for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntermixIntersectingGeometryMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetIntermixIntersectingGeometry vtkFixedPointVolumeRayCastMapperGetIntermixIntersectingGeometryFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetIntermixIntersectingGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntermixIntersectingGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntermixIntersectingGeometry for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntermixIntersectingGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:IntermixIntersectingGeometryOn vtkFixedPointVolumeRayCastMapperIntermixIntersectingGeometryOnFunction
//input a0 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperIntermixIntersectingGeometryOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IntermixIntersectingGeometryOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IntermixIntersectingGeometryOn for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->IntermixIntersectingGeometryOn();
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:IntermixIntersectingGeometryOff vtkFixedPointVolumeRayCastMapperIntermixIntersectingGeometryOffFunction
//input a0 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperIntermixIntersectingGeometryOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IntermixIntersectingGeometryOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IntermixIntersectingGeometryOff for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->IntermixIntersectingGeometryOff();
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:ComputeRequiredImageSampleDistance__1 vtkFixedPointVolumeRayCastMapperComputeRequiredImageSampleDistance__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperComputeRequiredImageSampleDistance__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float ComputeRequiredImageSampleDistance (float desiredTime, vtkRenderer *ren); */
  if (arg.size() < 3) 
    throw Exception("Function ComputeRequiredImageSampleDistance__1 for class vtkFixedPointVolumeRayCastMapper requires 3 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  vtkRenderer  *temp1;
  float    temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkRenderer>(arg[2]);
  temp20 = (vtk_pointer)->ComputeRequiredImageSampleDistance(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:ComputeRequiredImageSampleDistance__2 vtkFixedPointVolumeRayCastMapperComputeRequiredImageSampleDistance__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperComputeRequiredImageSampleDistance__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float ComputeRequiredImageSampleDistance (float desiredTime, vtkRenderer *ren, vtkVolume *vol); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeRequiredImageSampleDistance__2 for class vtkFixedPointVolumeRayCastMapper requires 4 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  vtkRenderer  *temp1;
  vtkVolume  *temp2;
  float    temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkRenderer>(arg[2]);
  temp2 = GetVTKPointer<vtkVolume>(arg[3]);
  temp20 = (vtk_pointer)->ComputeRequiredImageSampleDistance(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetRenderWindow vtkFixedPointVolumeRayCastMapperGetRenderWindowFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetRenderWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *GetRenderWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderWindow for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->GetRenderWindow();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetMIPHelper vtkFixedPointVolumeRayCastMapperGetMIPHelperFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetMIPHelperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFixedPointVolumeRayCastMIPHelper *GetMIPHelper (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMIPHelper for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkFixedPointVolumeRayCastMIPHelper  *temp20;
  temp20 = (vtk_pointer)->GetMIPHelper();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFixedPointVolumeRayCastMIPHelper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetCompositeHelper vtkFixedPointVolumeRayCastMapperGetCompositeHelperFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetCompositeHelperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFixedPointVolumeRayCastCompositeHelper *GetCompositeHelper (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompositeHelper for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkFixedPointVolumeRayCastCompositeHelper  *temp20;
  temp20 = (vtk_pointer)->GetCompositeHelper();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFixedPointVolumeRayCastCompositeHelper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetCompositeGOHelper vtkFixedPointVolumeRayCastMapperGetCompositeGOHelperFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetCompositeGOHelperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFixedPointVolumeRayCastCompositeGOHelper *GetCompositeGOHelper (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompositeGOHelper for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkFixedPointVolumeRayCastCompositeGOHelper  *temp20;
  temp20 = (vtk_pointer)->GetCompositeGOHelper();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFixedPointVolumeRayCastCompositeGOHelper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetCompositeGOShadeHelper vtkFixedPointVolumeRayCastMapperGetCompositeGOShadeHelperFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetCompositeGOShadeHelperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFixedPointVolumeRayCastCompositeGOShadeHelper *GetCompositeGOShadeHelper (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompositeGOShadeHelper for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkFixedPointVolumeRayCastCompositeGOShadeHelper  *temp20;
  temp20 = (vtk_pointer)->GetCompositeGOShadeHelper();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFixedPointVolumeRayCastCompositeGOShadeHelper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetCompositeShadeHelper vtkFixedPointVolumeRayCastMapperGetCompositeShadeHelperFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetCompositeShadeHelperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFixedPointVolumeRayCastCompositeShadeHelper *GetCompositeShadeHelper (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompositeShadeHelper for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkFixedPointVolumeRayCastCompositeShadeHelper  *temp20;
  temp20 = (vtk_pointer)->GetCompositeShadeHelper();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFixedPointVolumeRayCastCompositeShadeHelper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetTableShift vtkFixedPointVolumeRayCastMapperGetTableShiftFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetTableShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float  *GetTableShift (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTableShift for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float   *temp20;
  temp20 = (vtk_pointer)->GetTableShift();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetTableScale vtkFixedPointVolumeRayCastMapperGetTableScaleFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetTableScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float  *GetTableScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTableScale for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float   *temp20;
  temp20 = (vtk_pointer)->GetTableScale();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetShadingRequired vtkFixedPointVolumeRayCastMapperGetShadingRequiredFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetShadingRequiredFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShadingRequired (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShadingRequired for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShadingRequired();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetGradientOpacityRequired vtkFixedPointVolumeRayCastMapperGetGradientOpacityRequiredFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetGradientOpacityRequiredFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGradientOpacityRequired (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientOpacityRequired for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGradientOpacityRequired();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetCurrentScalars vtkFixedPointVolumeRayCastMapperGetCurrentScalarsFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetCurrentScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetCurrentScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentScalars for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetCurrentScalars();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetPreviousScalars vtkFixedPointVolumeRayCastMapperGetPreviousScalarsFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetPreviousScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetPreviousScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPreviousScalars for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetPreviousScalars();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetVolume vtkFixedPointVolumeRayCastMapperGetVolumeFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolume *GetVolume ();return this Volume  */
  if (arg.size() < 1) 
    throw Exception("Function GetVolume for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkVolume  *temp20;
  temp20 = (vtk_pointer)->GetVolume();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolume",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:ComputeRayInfo vtkFixedPointVolumeRayCastMapperComputeRayInfoFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperComputeRayInfoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeRayInfo (int x, int y, unsigned int pos[3], unsigned int dir[3], unsigned int *numSteps); */
  if (arg.size() < 6) 
    throw Exception("Function ComputeRayInfo for class vtkFixedPointVolumeRayCastMapper requires 6 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  unsigned int    temp2[3];
  unsigned int    temp3[3];
  unsigned int     *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !(arg[3].isVector() && arg[3].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (unsigned int)data[k+1];
  }
  if ( !(arg[6].isVector() && arg[6].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[6].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (unsigned int)data[k+1];
  }
    if ( !arg[9].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[9].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new unsigned int[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (unsigned int)data[k+1];
      }
  vtk_pointer->ComputeRayInfo(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:InitializeRayInfo vtkFixedPointVolumeRayCastMapperInitializeRayInfoFunction
//input a0 a1 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperInitializeRayInfoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitializeRayInfo (vtkVolume *vol); */
  if (arg.size() < 2) 
    throw Exception("Function InitializeRayInfo for class vtkFixedPointVolumeRayCastMapper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkVolume  *temp0;
  temp0 = GetVTKPointer<vtkVolume>(arg[1]);
  vtk_pointer->InitializeRayInfo(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:ShouldUseNearestNeighborInterpolation vtkFixedPointVolumeRayCastMapperShouldUseNearestNeighborInterpolationFunction
//input a0 a1 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperShouldUseNearestNeighborInterpolationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ShouldUseNearestNeighborInterpolation (vtkVolume *vol); */
  if (arg.size() < 2) 
    throw Exception("Function ShouldUseNearestNeighborInterpolation for class vtkFixedPointVolumeRayCastMapper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkVolume  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkVolume>(arg[1]);
  temp20 = (vtk_pointer)->ShouldUseNearestNeighborInterpolation(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:SetRayCastImage vtkFixedPointVolumeRayCastMapperSetRayCastImageFunction
//input a0 a1 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperSetRayCastImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRayCastImage (vtkFixedPointRayCastImage *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRayCastImage for class vtkFixedPointVolumeRayCastMapper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkFixedPointRayCastImage  *temp0;
  temp0 = GetVTKPointer<vtkFixedPointRayCastImage>(arg[1]);
  vtk_pointer->SetRayCastImage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetRayCastImage vtkFixedPointVolumeRayCastMapperGetRayCastImageFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetRayCastImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFixedPointRayCastImage *GetRayCastImage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRayCastImage for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkFixedPointRayCastImage  *temp20;
  temp20 = (vtk_pointer)->GetRayCastImage();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFixedPointRayCastImage",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:PerImageInitialization vtkFixedPointVolumeRayCastMapperPerImageInitializationFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperPerImageInitializationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int PerImageInitialization (vtkRenderer *, vtkVolume *, int , double *, double *, int *); */
  if (arg.size() < 7) 
    throw Exception("Function PerImageInitialization for class vtkFixedPointVolumeRayCastMapper requires 7 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  int      temp2;
  double  *temp3;
  double  *temp4;
  int     *temp5;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkVolume>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new double[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new int[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->PerImageInitialization(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:PerVolumeInitialization vtkFixedPointVolumeRayCastMapperPerVolumeInitializationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperPerVolumeInitializationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PerVolumeInitialization (vtkRenderer *, vtkVolume *); */
  if (arg.size() < 3) 
    throw Exception("Function PerVolumeInitialization for class vtkFixedPointVolumeRayCastMapper requires 3 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkVolume>(arg[2]);
  vtk_pointer->PerVolumeInitialization(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:PerSubVolumeInitialization vtkFixedPointVolumeRayCastMapperPerSubVolumeInitializationFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperPerSubVolumeInitializationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PerSubVolumeInitialization (vtkRenderer *, vtkVolume *, int ); */
  if (arg.size() < 4) 
    throw Exception("Function PerSubVolumeInitialization for class vtkFixedPointVolumeRayCastMapper requires 4 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkVolume>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->PerSubVolumeInitialization(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:RenderSubVolume vtkFixedPointVolumeRayCastMapperRenderSubVolumeFunction
//input a0 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperRenderSubVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RenderSubVolume (); */
  if (arg.size() < 1) 
    throw Exception("Function RenderSubVolume for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->RenderSubVolume();
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:DisplayRenderedImage vtkFixedPointVolumeRayCastMapperDisplayRenderedImageFunction
//input a0 a1 a2 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperDisplayRenderedImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisplayRenderedImage (vtkRenderer *, vtkVolume *); */
  if (arg.size() < 3) 
    throw Exception("Function DisplayRenderedImage for class vtkFixedPointVolumeRayCastMapper requires 3 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkVolume>(arg[2]);
  vtk_pointer->DisplayRenderedImage(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:AbortRender vtkFixedPointVolumeRayCastMapperAbortRenderFunction
//input a0 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperAbortRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AbortRender (); */
  if (arg.size() < 1) 
    throw Exception("Function AbortRender for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->AbortRender();
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:CreateCanonicalView vtkFixedPointVolumeRayCastMapperCreateCanonicalViewFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperCreateCanonicalViewFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateCanonicalView (vtkVolume *volume, vtkImageData *image, int blend_mode, double viewDirection[3], double viewUp[3]); */
  if (arg.size() < 6) 
    throw Exception("Function CreateCanonicalView for class vtkFixedPointVolumeRayCastMapper requires 6 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkVolume  *temp0;
  vtkImageData  *temp1;
  int      temp2;
  double temp3[3];
  double temp4[3];
  temp0 = GetVTKPointer<vtkVolume>(arg[1]);
  temp1 = GetVTKPointer<vtkImageData>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  vtk_pointer->CreateCanonicalView(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetEstimatedRenderTime__1 vtkFixedPointVolumeRayCastMapperGetEstimatedRenderTime__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetEstimatedRenderTime__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetEstimatedRenderTime (vtkRenderer *ren, vtkVolume *vol);return this RetrieveRenderTime ren vol  */
  if (arg.size() < 3) 
    throw Exception("Function GetEstimatedRenderTime__1 for class vtkFixedPointVolumeRayCastMapper requires 3 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  float    temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkVolume>(arg[2]);
  temp20 = (vtk_pointer)->GetEstimatedRenderTime(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetEstimatedRenderTime__2 vtkFixedPointVolumeRayCastMapperGetEstimatedRenderTime__2Function
//input a0 a1 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetEstimatedRenderTime__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetEstimatedRenderTime (vtkRenderer *ren);return this RetrieveRenderTime ren  */
  if (arg.size() < 2) 
    throw Exception("Function GetEstimatedRenderTime__2 for class vtkFixedPointVolumeRayCastMapper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  float    temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp20 = (vtk_pointer)->GetEstimatedRenderTime(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:SetFinalColorWindow vtkFixedPointVolumeRayCastMapperSetFinalColorWindowFunction
//input a0 a1 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperSetFinalColorWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFinalColorWindow (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFinalColorWindow for class vtkFixedPointVolumeRayCastMapper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFinalColorWindow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetFinalColorWindow vtkFixedPointVolumeRayCastMapperGetFinalColorWindowFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetFinalColorWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetFinalColorWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFinalColorWindow for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetFinalColorWindow();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:SetFinalColorLevel vtkFixedPointVolumeRayCastMapperSetFinalColorLevelFunction
//input a0 a1 
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperSetFinalColorLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFinalColorLevel (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFinalColorLevel for class vtkFixedPointVolumeRayCastMapper requires 2 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFinalColorLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetFinalColorLevel vtkFixedPointVolumeRayCastMapperGetFinalColorLevelFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetFinalColorLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetFinalColorLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFinalColorLevel for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetFinalColorLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetFlipMIPComparison vtkFixedPointVolumeRayCastMapperGetFlipMIPComparisonFunction
//input a0 
//output y
ArrayVector vtkFixedPointVolumeRayCastMapperGetFlipMIPComparisonFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFlipMIPComparison (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFlipMIPComparison for class vtkFixedPointVolumeRayCastMapper requires 1 argument(s)");
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFlipMIPComparison();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:ComputeRequiredImageSampleDistance vtkFixedPointVolumeRayCastMapperComputeRequiredImageSampleDistanceFunction
//input varargin
//output varargout
ArrayVector vtkFixedPointVolumeRayCastMapperComputeRequiredImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkRenderer"))
    return vtkFixedPointVolumeRayCastMapperComputeRequiredImageSampleDistance__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkRenderer") && VTKIsClass(arg[3],"vtkVolume"))
    return vtkFixedPointVolumeRayCastMapperComputeRequiredImageSampleDistance__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFixedPointVolumeRayCastMapperComputeRequiredImageSampleDistance");
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:GetEstimatedRenderTime vtkFixedPointVolumeRayCastMapperGetEstimatedRenderTimeFunction
//input varargin
//output varargout
ArrayVector vtkFixedPointVolumeRayCastMapperGetEstimatedRenderTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsClass(arg[2],"vtkVolume"))
    return vtkFixedPointVolumeRayCastMapperGetEstimatedRenderTime__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkRenderer"))
    return vtkFixedPointVolumeRayCastMapperGetEstimatedRenderTime__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFixedPointVolumeRayCastMapperGetEstimatedRenderTime");
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:RetrieveRenderTime vtkFixedPointVolumeRayCastMapperRetrieveRenderTimeFunction
//input varargin
//output varargout
ArrayVector vtkFixedPointVolumeRayCastMapperRetrieveRenderTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkFixedPointVolumeRayCastMapperRetrieveRenderTime");
}

//@@Signature
//sfunction @vtkFixedPointVolumeRayCastMapper:display vtkFixedPointVolumeRayCastMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFixedPointVolumeRayCastMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFixedPointVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkFixedPointVolumeRayCastMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFixedPointVolumeRayCastMapper:delete vtkFixedPointVolumeRayCastMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkFixedPointVolumeRayCastMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFixedPointVolumeRayCastMapper
//@@Section VTKVolumeRendering
//@@Usage
// This is a software ray caster for rendering volumes in vtkImageData. 
// It works with all input data types and up to four components. It performs
// composite or MIP rendering, and can be intermixed with geometric data.
// Space leaping is used to speed up the rendering process. In addition,
// calculation are performed in 15 bit fixed point precision. This mapper
// is threaded, and will interleave scan lines across processors.
//
// This mapper is a good replacement for vtkVolumeRayCastMapper EXCEPT:
//   - it does not do isosurface ray casting
//   - it does only interpolate before classify compositing
//   - it does only maximum scalar value MIP
//
// The vtkVolumeRayCastMapper CANNOT be used in these instances when a
// vtkFixedPointVolumeRayCastMapper can be used:
//   - if the data is not unsigned char or unsigned short
//   - if the data has more than one component
//
// This mapper handles all data type from unsigned char through double.
// However, some of the internal calcultions are performed in float and
// therefore even the full float range may cause problems for this mapper
// (both in scalar data values and in spacing between samples). 
//
// Space leaping is performed by creating a sub-sampled volume. 4x4x4 
// cells in the original volume are represented by a min, max, and 
// combined gradient and flag value. The min max volume has three 
// unsigned shorts per 4x4x4 group of cells from the original volume -
// one reprenting the minumum scalar index (the scalar value adjusted
// to fit in the 15 bit range), the maximum scalar index, and a 
// third unsigned short which is both the maximum gradient opacity in
// the neighborhood (an unsigned char) and the flag that is filled
// in for the current lookup tables to indicate whether this region
// can be skipped.
//
//To create an instance of class vtkFixedPointVolumeRayCastMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkFixedPointVolumeRayCastMapper
//@]
//@@Methods
//The class vtkFixedPointVolumeRayCastMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFixedPointVolumeRayCastMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFixedPointVolumeRayCastMapper = obj.NewInstance ()|
// \item @|vtkFixedPointVolumeRayCastMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSampleDistance (float )| -  Set/Get the distance between samples used for rendering 
// when AutoAdjustSampleDistances is off, or when this mapper
// has more than 1 second allocated to it for rendering.
//// \item @|float = obj.GetSampleDistance ()| -  Set/Get the distance between samples used for rendering 
// when AutoAdjustSampleDistances is off, or when this mapper
// has more than 1 second allocated to it for rendering.
//// \item @|obj.SetInteractiveSampleDistance (float )| -  Set/Get the distance between samples when interactive rendering is happening.
// In this case, interactive is defined as this volume mapper having less than 1
// second allocated for rendering. When AutoAdjustSampleDistance is On, and the
// allocated render time is less than 1 second, then this InteractiveSampleDistance
// will be used instead of the SampleDistance above.
//// \item @|float = obj.GetInteractiveSampleDistance ()| -  Set/Get the distance between samples when interactive rendering is happening.
// In this case, interactive is defined as this volume mapper having less than 1
// second allocated for rendering. When AutoAdjustSampleDistance is On, and the
// allocated render time is less than 1 second, then this InteractiveSampleDistance
// will be used instead of the SampleDistance above.
//// \item @|obj.SetImageSampleDistance (float )| -  Sampling distance in the XY image dimensions. Default value of 1 meaning
// 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If
// set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value
// will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances
// is on.
//// \item @|float = obj.GetImageSampleDistanceMinValue ()| -  Sampling distance in the XY image dimensions. Default value of 1 meaning
// 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If
// set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value
// will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances
// is on.
//// \item @|float = obj.GetImageSampleDistanceMaxValue ()| -  Sampling distance in the XY image dimensions. Default value of 1 meaning
// 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If
// set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value
// will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances
// is on.
//// \item @|float = obj.GetImageSampleDistance ()| -  Sampling distance in the XY image dimensions. Default value of 1 meaning
// 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If
// set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value
// will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances
// is on.
//// \item @|obj.SetMinimumImageSampleDistance (float )| -  This is the minimum image sample distance allow when the image
// sample distance is being automatically adjusted.
//// \item @|float = obj.GetMinimumImageSampleDistanceMinValue ()| -  This is the minimum image sample distance allow when the image
// sample distance is being automatically adjusted.
//// \item @|float = obj.GetMinimumImageSampleDistanceMaxValue ()| -  This is the minimum image sample distance allow when the image
// sample distance is being automatically adjusted.
//// \item @|float = obj.GetMinimumImageSampleDistance ()| -  This is the minimum image sample distance allow when the image
// sample distance is being automatically adjusted.
//// \item @|obj.SetMaximumImageSampleDistance (float )| -  This is the maximum image sample distance allow when the image
// sample distance is being automatically adjusted.
//// \item @|float = obj.GetMaximumImageSampleDistanceMinValue ()| -  This is the maximum image sample distance allow when the image
// sample distance is being automatically adjusted.
//// \item @|float = obj.GetMaximumImageSampleDistanceMaxValue ()| -  This is the maximum image sample distance allow when the image
// sample distance is being automatically adjusted.
//// \item @|float = obj.GetMaximumImageSampleDistance ()| -  This is the maximum image sample distance allow when the image
// sample distance is being automatically adjusted.
//// \item @|obj.SetAutoAdjustSampleDistances (int )| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// and the SampleDistance will be varied to achieve the allocated 
// render time of this prop (controlled by the desired update rate 
// and any culling in use). If this is an interactive render (more 
// than 1 frame per second) the SampleDistance will be increased, 
// otherwise it will not be altered (a binary decision, as opposed
// to the ImageSampleDistance which will vary continuously).
//// \item @|int = obj.GetAutoAdjustSampleDistancesMinValue ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// and the SampleDistance will be varied to achieve the allocated 
// render time of this prop (controlled by the desired update rate 
// and any culling in use). If this is an interactive render (more 
// than 1 frame per second) the SampleDistance will be increased, 
// otherwise it will not be altered (a binary decision, as opposed
// to the ImageSampleDistance which will vary continuously).
//// \item @|int = obj.GetAutoAdjustSampleDistancesMaxValue ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// and the SampleDistance will be varied to achieve the allocated 
// render time of this prop (controlled by the desired update rate 
// and any culling in use). If this is an interactive render (more 
// than 1 frame per second) the SampleDistance will be increased, 
// otherwise it will not be altered (a binary decision, as opposed
// to the ImageSampleDistance which will vary continuously).
//// \item @|int = obj.GetAutoAdjustSampleDistances ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// and the SampleDistance will be varied to achieve the allocated 
// render time of this prop (controlled by the desired update rate 
// and any culling in use). If this is an interactive render (more 
// than 1 frame per second) the SampleDistance will be increased, 
// otherwise it will not be altered (a binary decision, as opposed
// to the ImageSampleDistance which will vary continuously).
//// \item @|obj.AutoAdjustSampleDistancesOn ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// and the SampleDistance will be varied to achieve the allocated 
// render time of this prop (controlled by the desired update rate 
// and any culling in use). If this is an interactive render (more 
// than 1 frame per second) the SampleDistance will be increased, 
// otherwise it will not be altered (a binary decision, as opposed
// to the ImageSampleDistance which will vary continuously).
//// \item @|obj.AutoAdjustSampleDistancesOff ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// and the SampleDistance will be varied to achieve the allocated 
// render time of this prop (controlled by the desired update rate 
// and any culling in use). If this is an interactive render (more 
// than 1 frame per second) the SampleDistance will be increased, 
// otherwise it will not be altered (a binary decision, as opposed
// to the ImageSampleDistance which will vary continuously).
//// \item @|obj.SetLockSampleDistanceToInputSpacing (int )| -  Automatically compute the sample distance from the data spacing.  When
// the number of voxels is 8, the sample distance will be roughly 1/200
// the average voxel size. The distance will grow proportionally to
// numVoxels^(1/3) until it reaches 1/2 average voxel size when number of
// voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into
// account and if different than 1, will effect the sample distance.
//// \item @|int = obj.GetLockSampleDistanceToInputSpacingMinValue ()| -  Automatically compute the sample distance from the data spacing.  When
// the number of voxels is 8, the sample distance will be roughly 1/200
// the average voxel size. The distance will grow proportionally to
// numVoxels^(1/3) until it reaches 1/2 average voxel size when number of
// voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into
// account and if different than 1, will effect the sample distance.
//// \item @|int = obj.GetLockSampleDistanceToInputSpacingMaxValue ()| -  Automatically compute the sample distance from the data spacing.  When
// the number of voxels is 8, the sample distance will be roughly 1/200
// the average voxel size. The distance will grow proportionally to
// numVoxels^(1/3) until it reaches 1/2 average voxel size when number of
// voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into
// account and if different than 1, will effect the sample distance.
//// \item @|int = obj.GetLockSampleDistanceToInputSpacing ()| -  Automatically compute the sample distance from the data spacing.  When
// the number of voxels is 8, the sample distance will be roughly 1/200
// the average voxel size. The distance will grow proportionally to
// numVoxels^(1/3) until it reaches 1/2 average voxel size when number of
// voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into
// account and if different than 1, will effect the sample distance.
//// \item @|obj.LockSampleDistanceToInputSpacingOn ()| -  Automatically compute the sample distance from the data spacing.  When
// the number of voxels is 8, the sample distance will be roughly 1/200
// the average voxel size. The distance will grow proportionally to
// numVoxels^(1/3) until it reaches 1/2 average voxel size when number of
// voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into
// account and if different than 1, will effect the sample distance.
//// \item @|obj.LockSampleDistanceToInputSpacingOff ()| -  Automatically compute the sample distance from the data spacing.  When
// the number of voxels is 8, the sample distance will be roughly 1/200
// the average voxel size. The distance will grow proportionally to
// numVoxels^(1/3) until it reaches 1/2 average voxel size when number of
// voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into
// account and if different than 1, will effect the sample distance.
//// \item @|obj.SetNumberOfThreads (int num)| -  Set/Get the number of threads to use. This by default is equal to
// the number of available processors detected.
//// \item @|int = obj.GetNumberOfThreads ()| -  Set/Get the number of threads to use. This by default is equal to
// the number of available processors detected.
//// \item @|obj.SetIntermixIntersectingGeometry (int )| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
//// \item @|int = obj.GetIntermixIntersectingGeometryMinValue ()| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
//// \item @|int = obj.GetIntermixIntersectingGeometryMaxValue ()| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
//// \item @|int = obj.GetIntermixIntersectingGeometry ()| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
//// \item @|obj.IntermixIntersectingGeometryOn ()| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
//// \item @|obj.IntermixIntersectingGeometryOff ()| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
//// \item @|float = obj.ComputeRequiredImageSampleDistance (float desiredTime, vtkRenderer ren)| -  What is the image sample distance required to achieve the desired time?
// A version of this method is provided that does not require the volume
// argument since if you are using an LODProp3D you may not know this information.
// If you use this version you must be certain that the ray cast mapper is
// only used for one volume (and not shared among multiple volumes)
//// \item @|float = obj.ComputeRequiredImageSampleDistance (float desiredTime, vtkRenderer ren, vtkVolume vol)| -  What is the image sample distance required to achieve the desired time?
// A version of this method is provided that does not require the volume
// argument since if you are using an LODProp3D you may not know this information.
// If you use this version you must be certain that the ray cast mapper is
// only used for one volume (and not shared among multiple volumes)
//// \item @|vtkRenderWindow = obj.GetRenderWindow ()|
// \item @|vtkFixedPointVolumeRayCastMIPHelper = obj.GetMIPHelper ()|
// \item @|vtkFixedPointVolumeRayCastCompositeHelper = obj.GetCompositeHelper ()|
// \item @|vtkFixedPointVolumeRayCastCompositeGOHelper = obj.GetCompositeGOHelper ()|
// \item @|vtkFixedPointVolumeRayCastCompositeGOShadeHelper = obj.GetCompositeGOShadeHelper ()|
// \item @|vtkFixedPointVolumeRayCastCompositeShadeHelper = obj.GetCompositeShadeHelper ()|
// \item @|float = obj. GetTableShift ()|
// \item @|float = obj. GetTableScale ()|
// \item @|int = obj.GetShadingRequired ()|
// \item @|int = obj.GetGradientOpacityRequired ()|
// \item @|vtkDataArray = obj.GetCurrentScalars ()|
// \item @|vtkDataArray = obj.GetPreviousScalars ()|
// \item @|vtkVolume = obj.GetVolume ()|
// \item @|obj.ComputeRayInfo (int x, int y, int pos[3], int dir[3], int numSteps)|
// \item @|obj.InitializeRayInfo (vtkVolume vol)|
// \item @|int = obj.ShouldUseNearestNeighborInterpolation (vtkVolume vol)|
// \item @|obj.SetRayCastImage (vtkFixedPointRayCastImage )| -  Set / Get the underlying image object. One will be automatically
// created - only need to set it when using from an AMR mapper which
// renders multiple times into the same image.
//// \item @|vtkFixedPointRayCastImage = obj.GetRayCastImage ()| -  Set / Get the underlying image object. One will be automatically
// created - only need to set it when using from an AMR mapper which
// renders multiple times into the same image.
//// \item @|int = obj.PerImageInitialization (vtkRenderer , vtkVolume , int , double , double , int )|
// \item @|obj.PerVolumeInitialization (vtkRenderer , vtkVolume )|
// \item @|obj.PerSubVolumeInitialization (vtkRenderer , vtkVolume , int )|
// \item @|obj.RenderSubVolume ()|
// \item @|obj.DisplayRenderedImage (vtkRenderer , vtkVolume )|
// \item @|obj.AbortRender ()|
// \item @|obj.CreateCanonicalView (vtkVolume volume, vtkImageData image, int blend_mode, double viewDirection[3], double viewUp[3])|
// \item @|float = obj.GetEstimatedRenderTime (vtkRenderer ren, vtkVolume vol)| -  Get an estimate of the rendering time for a given volume / renderer.
// Only valid if this mapper has been used to render that volume for
// that renderer previously. Estimate is good when the viewing parameters
// have not changed much since that last render.
//// \item @|float = obj.GetEstimatedRenderTime (vtkRenderer ren)| -  Set/Get the window / level applied to the final color.
// This allows brightness / contrast adjustments on the
// final image.
// window is the width of the window.
// level is the center of the window.
// Initial window value is 1.0
// Initial level value is 0.5
// window cannot be null but can be negative, this way
// values will be reversed.
// |window| can be larger than 1.0
// level can be any real value.
//// \item @|obj.SetFinalColorWindow (float )| -  Set/Get the window / level applied to the final color.
// This allows brightness / contrast adjustments on the
// final image.
// window is the width of the window.
// level is the center of the window.
// Initial window value is 1.0
// Initial level value is 0.5
// window cannot be null but can be negative, this way
// values will be reversed.
// |window| can be larger than 1.0
// level can be any real value.
//// \item @|float = obj.GetFinalColorWindow ()| -  Set/Get the window / level applied to the final color.
// This allows brightness / contrast adjustments on the
// final image.
// window is the width of the window.
// level is the center of the window.
// Initial window value is 1.0
// Initial level value is 0.5
// window cannot be null but can be negative, this way
// values will be reversed.
// |window| can be larger than 1.0
// level can be any real value.
//// \item @|obj.SetFinalColorLevel (float )| -  Set/Get the window / level applied to the final color.
// This allows brightness / contrast adjustments on the
// final image.
// window is the width of the window.
// level is the center of the window.
// Initial window value is 1.0
// Initial level value is 0.5
// window cannot be null but can be negative, this way
// values will be reversed.
// |window| can be larger than 1.0
// level can be any real value.
//// \item @|float = obj.GetFinalColorLevel ()| -  Set/Get the window / level applied to the final color.
// This allows brightness / contrast adjustments on the
// final image.
// window is the width of the window.
// level is the center of the window.
// Initial window value is 1.0
// Initial level value is 0.5
// window cannot be null but can be negative, this way
// values will be reversed.
// |window| can be larger than 1.0
// level can be any real value.
//// \item @|int = obj.GetFlipMIPComparison ()|
//\end{itemize}
//!
