#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGPUVolumeRayCastMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGPUVolumeRayCastMapper.h"

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:vtkGPUVolumeRayCastMapper vtkGPUVolumeRayCastMapperConstructorFunction
//input a
//output p
//@@Parents vtkGPUVolumeRayCastMapper vtkVolumeMapper 
ArrayVector vtkGPUVolumeRayCastMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGPUVolumeRayCastMapper::New(),"vtkGPUVolumeRayCastMapper",eval);
  } else if (arg[0].className() == "vtkGPUVolumeRayCastMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGPUVolumeRayCastMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGPUVolumeRayCastMapper");
    vtkGPUVolumeRayCastMapper*q = reinterpret_cast<vtkGPUVolumeRayCastMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGPUVolumeRayCastMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetClassName vtkGPUVolumeRayCastMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:IsA vtkGPUVolumeRayCastMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGPUVolumeRayCastMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGPUVolumeRayCastMapper requires 2 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:NewInstance vtkGPUVolumeRayCastMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGPUVolumeRayCastMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkGPUVolumeRayCastMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGPUVolumeRayCastMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:SafeDownCast vtkGPUVolumeRayCastMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGPUVolumeRayCastMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGPUVolumeRayCastMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGPUVolumeRayCastMapper requires 2 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGPUVolumeRayCastMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGPUVolumeRayCastMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:SetAutoAdjustSampleDistances vtkGPUVolumeRayCastMapperSetAutoAdjustSampleDistancesFunction
//input a0 a1 
//output none
ArrayVector vtkGPUVolumeRayCastMapperSetAutoAdjustSampleDistancesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutoAdjustSampleDistances (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutoAdjustSampleDistances for class vtkGPUVolumeRayCastMapper requires 2 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutoAdjustSampleDistances(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetAutoAdjustSampleDistancesMinValue vtkGPUVolumeRayCastMapperGetAutoAdjustSampleDistancesMinValueFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetAutoAdjustSampleDistancesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustSampleDistancesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustSampleDistancesMinValue for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustSampleDistancesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetAutoAdjustSampleDistancesMaxValue vtkGPUVolumeRayCastMapperGetAutoAdjustSampleDistancesMaxValueFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetAutoAdjustSampleDistancesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustSampleDistancesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustSampleDistancesMaxValue for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustSampleDistancesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetAutoAdjustSampleDistances vtkGPUVolumeRayCastMapperGetAutoAdjustSampleDistancesFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetAutoAdjustSampleDistancesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustSampleDistances (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustSampleDistances for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustSampleDistances();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:AutoAdjustSampleDistancesOn vtkGPUVolumeRayCastMapperAutoAdjustSampleDistancesOnFunction
//input a0 
//output none
ArrayVector vtkGPUVolumeRayCastMapperAutoAdjustSampleDistancesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoAdjustSampleDistancesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoAdjustSampleDistancesOn for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->AutoAdjustSampleDistancesOn();
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:AutoAdjustSampleDistancesOff vtkGPUVolumeRayCastMapperAutoAdjustSampleDistancesOffFunction
//input a0 
//output none
ArrayVector vtkGPUVolumeRayCastMapperAutoAdjustSampleDistancesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoAdjustSampleDistancesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoAdjustSampleDistancesOff for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->AutoAdjustSampleDistancesOff();
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:SetSampleDistance vtkGPUVolumeRayCastMapperSetSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkGPUVolumeRayCastMapperSetSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleDistance (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSampleDistance for class vtkGPUVolumeRayCastMapper requires 2 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetSampleDistance vtkGPUVolumeRayCastMapperGetSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSampleDistance for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:SetImageSampleDistance vtkGPUVolumeRayCastMapperSetImageSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkGPUVolumeRayCastMapperSetImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageSampleDistance (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageSampleDistance for class vtkGPUVolumeRayCastMapper requires 2 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetImageSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetImageSampleDistanceMinValue vtkGPUVolumeRayCastMapperGetImageSampleDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetImageSampleDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetImageSampleDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageSampleDistanceMinValue for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetImageSampleDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetImageSampleDistanceMaxValue vtkGPUVolumeRayCastMapperGetImageSampleDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetImageSampleDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetImageSampleDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageSampleDistanceMaxValue for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetImageSampleDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetImageSampleDistance vtkGPUVolumeRayCastMapperGetImageSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetImageSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageSampleDistance for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetImageSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:SetMinimumImageSampleDistance vtkGPUVolumeRayCastMapperSetMinimumImageSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkGPUVolumeRayCastMapperSetMinimumImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumImageSampleDistance (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumImageSampleDistance for class vtkGPUVolumeRayCastMapper requires 2 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumImageSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetMinimumImageSampleDistanceMinValue vtkGPUVolumeRayCastMapperGetMinimumImageSampleDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetMinimumImageSampleDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMinimumImageSampleDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumImageSampleDistanceMinValue for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMinimumImageSampleDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetMinimumImageSampleDistanceMaxValue vtkGPUVolumeRayCastMapperGetMinimumImageSampleDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetMinimumImageSampleDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMinimumImageSampleDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumImageSampleDistanceMaxValue for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMinimumImageSampleDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetMinimumImageSampleDistance vtkGPUVolumeRayCastMapperGetMinimumImageSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetMinimumImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMinimumImageSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumImageSampleDistance for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMinimumImageSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:SetMaximumImageSampleDistance vtkGPUVolumeRayCastMapperSetMaximumImageSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkGPUVolumeRayCastMapperSetMaximumImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumImageSampleDistance (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumImageSampleDistance for class vtkGPUVolumeRayCastMapper requires 2 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumImageSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetMaximumImageSampleDistanceMinValue vtkGPUVolumeRayCastMapperGetMaximumImageSampleDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetMaximumImageSampleDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaximumImageSampleDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumImageSampleDistanceMinValue for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaximumImageSampleDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetMaximumImageSampleDistanceMaxValue vtkGPUVolumeRayCastMapperGetMaximumImageSampleDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetMaximumImageSampleDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaximumImageSampleDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumImageSampleDistanceMaxValue for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaximumImageSampleDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetMaximumImageSampleDistance vtkGPUVolumeRayCastMapperGetMaximumImageSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetMaximumImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaximumImageSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumImageSampleDistance for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaximumImageSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:SetFinalColorWindow vtkGPUVolumeRayCastMapperSetFinalColorWindowFunction
//input a0 a1 
//output none
ArrayVector vtkGPUVolumeRayCastMapperSetFinalColorWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFinalColorWindow (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFinalColorWindow for class vtkGPUVolumeRayCastMapper requires 2 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFinalColorWindow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetFinalColorWindow vtkGPUVolumeRayCastMapperGetFinalColorWindowFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetFinalColorWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetFinalColorWindow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFinalColorWindow for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetFinalColorWindow();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:SetFinalColorLevel vtkGPUVolumeRayCastMapperSetFinalColorLevelFunction
//input a0 a1 
//output none
ArrayVector vtkGPUVolumeRayCastMapperSetFinalColorLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFinalColorLevel (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFinalColorLevel for class vtkGPUVolumeRayCastMapper requires 2 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFinalColorLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetFinalColorLevel vtkGPUVolumeRayCastMapperGetFinalColorLevelFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetFinalColorLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetFinalColorLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFinalColorLevel for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetFinalColorLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:SetMaxMemoryInBytes vtkGPUVolumeRayCastMapperSetMaxMemoryInBytesFunction
//input a0 a1 
//output none
ArrayVector vtkGPUVolumeRayCastMapperSetMaxMemoryInBytesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxMemoryInBytes (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxMemoryInBytes for class vtkGPUVolumeRayCastMapper requires 2 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxMemoryInBytes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetMaxMemoryInBytes vtkGPUVolumeRayCastMapperGetMaxMemoryInBytesFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetMaxMemoryInBytesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMaxMemoryInBytes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxMemoryInBytes for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetMaxMemoryInBytes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:SetMaxMemoryFraction vtkGPUVolumeRayCastMapperSetMaxMemoryFractionFunction
//input a0 a1 
//output none
ArrayVector vtkGPUVolumeRayCastMapperSetMaxMemoryFractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxMemoryFraction (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxMemoryFraction for class vtkGPUVolumeRayCastMapper requires 2 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaxMemoryFraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetMaxMemoryFractionMinValue vtkGPUVolumeRayCastMapperGetMaxMemoryFractionMinValueFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetMaxMemoryFractionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaxMemoryFractionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxMemoryFractionMinValue for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaxMemoryFractionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetMaxMemoryFractionMaxValue vtkGPUVolumeRayCastMapperGetMaxMemoryFractionMaxValueFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetMaxMemoryFractionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaxMemoryFractionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxMemoryFractionMaxValue for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaxMemoryFractionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetMaxMemoryFraction vtkGPUVolumeRayCastMapperGetMaxMemoryFractionFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetMaxMemoryFractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaxMemoryFraction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxMemoryFraction for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaxMemoryFraction();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:SetReportProgress vtkGPUVolumeRayCastMapperSetReportProgressFunction
//input a0 a1 
//output none
ArrayVector vtkGPUVolumeRayCastMapperSetReportProgressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReportProgress (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReportProgress for class vtkGPUVolumeRayCastMapper requires 2 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetReportProgress(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetReportProgress vtkGPUVolumeRayCastMapperGetReportProgressFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetReportProgressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetReportProgress (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReportProgress for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetReportProgress();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:IsRenderSupported vtkGPUVolumeRayCastMapperIsRenderSupportedFunction
//input a0 a1 a2 
//output y
ArrayVector vtkGPUVolumeRayCastMapperIsRenderSupportedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsRenderSupported (vtkRenderWindow *, vtkVolumeProperty *);return  */
  if (arg.size() < 3) 
    throw Exception("Function IsRenderSupported for class vtkGPUVolumeRayCastMapper requires 3 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  vtkVolumeProperty  *temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  temp1 = GetVTKPointer<vtkVolumeProperty>(arg[2]);
  temp20 = (vtk_pointer)->IsRenderSupported(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:CreateCanonicalView vtkGPUVolumeRayCastMapperCreateCanonicalViewFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkGPUVolumeRayCastMapperCreateCanonicalViewFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateCanonicalView (vtkRenderer *ren, vtkVolume *volume, vtkImageData *image, int blend_mode, double viewDirection[3], double viewUp[3]); */
  if (arg.size() < 7) 
    throw Exception("Function CreateCanonicalView for class vtkGPUVolumeRayCastMapper requires 7 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  vtkImageData  *temp2;
  int      temp3;
  double temp4[3];
  double temp5[3];
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkVolume>(arg[2]);
  temp2 = GetVTKPointer<vtkImageData>(arg[3]);
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !(arg[5].isVector() && arg[5].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  if ( !(arg[8].isVector() && arg[8].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[8].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
  }
  vtk_pointer->CreateCanonicalView(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:SetMaskInput vtkGPUVolumeRayCastMapperSetMaskInputFunction
//input a0 a1 
//output none
ArrayVector vtkGPUVolumeRayCastMapperSetMaskInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaskInput (vtkImageData *mask); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaskInput for class vtkGPUVolumeRayCastMapper requires 2 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetMaskInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetMaskInput vtkGPUVolumeRayCastMapperGetMaskInputFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetMaskInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetMaskInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaskInput for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetMaskInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:SetMaskBlendFactor vtkGPUVolumeRayCastMapperSetMaskBlendFactorFunction
//input a0 a1 
//output none
ArrayVector vtkGPUVolumeRayCastMapperSetMaskBlendFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaskBlendFactor (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaskBlendFactor for class vtkGPUVolumeRayCastMapper requires 2 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaskBlendFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetMaskBlendFactorMinValue vtkGPUVolumeRayCastMapperGetMaskBlendFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetMaskBlendFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaskBlendFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaskBlendFactorMinValue for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaskBlendFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetMaskBlendFactorMaxValue vtkGPUVolumeRayCastMapperGetMaskBlendFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetMaskBlendFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaskBlendFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaskBlendFactorMaxValue for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaskBlendFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:GetMaskBlendFactor vtkGPUVolumeRayCastMapperGetMaskBlendFactorFunction
//input a0 
//output y
ArrayVector vtkGPUVolumeRayCastMapperGetMaskBlendFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaskBlendFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaskBlendFactor for class vtkGPUVolumeRayCastMapper requires 1 argument(s)");
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaskBlendFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGPUVolumeRayCastMapper:display vtkGPUVolumeRayCastMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGPUVolumeRayCastMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGPUVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkGPUVolumeRayCastMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGPUVolumeRayCastMapper:delete vtkGPUVolumeRayCastMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkGPUVolumeRayCastMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGPUVolumeRayCastMapper
//@@Section VTKVolumeRendering
//@@Usage
// vtkGPUVolumeRayCastMapper is a volume mapper that performs ray casting on
// the GPU using fragment programs.
//
//
//To create an instance of class vtkGPUVolumeRayCastMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkGPUVolumeRayCastMapper
//@]
//@@Methods
//The class vtkGPUVolumeRayCastMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGPUVolumeRayCastMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGPUVolumeRayCastMapper = obj.NewInstance ()|
// \item @|vtkGPUVolumeRayCastMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetAutoAdjustSampleDistances (int )| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this
// prop (controlled by the desired update rate and any culling in
// use).
//// \item @|int = obj.GetAutoAdjustSampleDistancesMinValue ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this
// prop (controlled by the desired update rate and any culling in
// use).
//// \item @|int = obj.GetAutoAdjustSampleDistancesMaxValue ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this
// prop (controlled by the desired update rate and any culling in
// use).
//// \item @|int = obj.GetAutoAdjustSampleDistances ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this
// prop (controlled by the desired update rate and any culling in
// use).
//// \item @|obj.AutoAdjustSampleDistancesOn ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this
// prop (controlled by the desired update rate and any culling in
// use).
//// \item @|obj.AutoAdjustSampleDistancesOff ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this
// prop (controlled by the desired update rate and any culling in
// use).
//// \item @|obj.SetSampleDistance (float )| -  Set/Get the distance between samples used for rendering
// when AutoAdjustSampleDistances is off, or when this mapper
// has more than 1 second allocated to it for rendering.
// Initial value is 1.0.
//// \item @|float = obj.GetSampleDistance ()| -  Set/Get the distance between samples used for rendering
// when AutoAdjustSampleDistances is off, or when this mapper
// has more than 1 second allocated to it for rendering.
// Initial value is 1.0.
//// \item @|obj.SetImageSampleDistance (float )| -  Sampling distance in the XY image dimensions. Default value of 1 meaning
// 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If
// set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value
// will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances
// is on.
//// \item @|float = obj.GetImageSampleDistanceMinValue ()| -  Sampling distance in the XY image dimensions. Default value of 1 meaning
// 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If
// set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value
// will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances
// is on.
//// \item @|float = obj.GetImageSampleDistanceMaxValue ()| -  Sampling distance in the XY image dimensions. Default value of 1 meaning
// 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If
// set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value
// will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances
// is on.
//// \item @|float = obj.GetImageSampleDistance ()| -  Sampling distance in the XY image dimensions. Default value of 1 meaning
// 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If
// set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value
// will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances
// is on.
//// \item @|obj.SetMinimumImageSampleDistance (float )| -  This is the minimum image sample distance allow when the image
// sample distance is being automatically adjusted.
//// \item @|float = obj.GetMinimumImageSampleDistanceMinValue ()| -  This is the minimum image sample distance allow when the image
// sample distance is being automatically adjusted.
//// \item @|float = obj.GetMinimumImageSampleDistanceMaxValue ()| -  This is the minimum image sample distance allow when the image
// sample distance is being automatically adjusted.
//// \item @|float = obj.GetMinimumImageSampleDistance ()| -  This is the minimum image sample distance allow when the image
// sample distance is being automatically adjusted.
//// \item @|obj.SetMaximumImageSampleDistance (float )| -  This is the maximum image sample distance allow when the image
// sample distance is being automatically adjusted.
//// \item @|float = obj.GetMaximumImageSampleDistanceMinValue ()| -  This is the maximum image sample distance allow when the image
// sample distance is being automatically adjusted.
//// \item @|float = obj.GetMaximumImageSampleDistanceMaxValue ()| -  This is the maximum image sample distance allow when the image
// sample distance is being automatically adjusted.
//// \item @|float = obj.GetMaximumImageSampleDistance ()| -  This is the maximum image sample distance allow when the image
// sample distance is being automatically adjusted.
//// \item @|obj.SetFinalColorWindow (float )| -  Set/Get the window / level applied to the final color.
// This allows brightness / contrast adjustments on the
// final image.
// window is the width of the window.
// level is the center of the window.
// Initial window value is 1.0
// Initial level value is 0.5
// window cannot be null but can be negative, this way
// values will be reversed.
// |window| can be larger than 1.0
// level can be any real value.
//// \item @|float = obj.GetFinalColorWindow ()| -  Set/Get the window / level applied to the final color.
// This allows brightness / contrast adjustments on the
// final image.
// window is the width of the window.
// level is the center of the window.
// Initial window value is 1.0
// Initial level value is 0.5
// window cannot be null but can be negative, this way
// values will be reversed.
// |window| can be larger than 1.0
// level can be any real value.
//// \item @|obj.SetFinalColorLevel (float )| -  Set/Get the window / level applied to the final color.
// This allows brightness / contrast adjustments on the
// final image.
// window is the width of the window.
// level is the center of the window.
// Initial window value is 1.0
// Initial level value is 0.5
// window cannot be null but can be negative, this way
// values will be reversed.
// |window| can be larger than 1.0
// level can be any real value.
//// \item @|float = obj.GetFinalColorLevel ()| -  Set/Get the window / level applied to the final color.
// This allows brightness / contrast adjustments on the
// final image.
// window is the width of the window.
// level is the center of the window.
// Initial window value is 1.0
// Initial level value is 0.5
// window cannot be null but can be negative, this way
// values will be reversed.
// |window| can be larger than 1.0
// level can be any real value.
//// \item @|obj.SetMaxMemoryInBytes (vtkIdType )| -  Maximum size of the 3D texture in GPU memory.
// Will default to the size computed from the graphics
// card. Can be adjusted by the user.
//// \item @|vtkIdType = obj.GetMaxMemoryInBytes ()| -  Maximum size of the 3D texture in GPU memory.
// Will default to the size computed from the graphics
// card. Can be adjusted by the user.
//// \item @|obj.SetMaxMemoryFraction (float )| -  Maximum fraction of the MaxMemoryInBytes that should
// be used to hold the texture. Valid values are 0.1 to
// 1.0.
//// \item @|float = obj.GetMaxMemoryFractionMinValue ()| -  Maximum fraction of the MaxMemoryInBytes that should
// be used to hold the texture. Valid values are 0.1 to
// 1.0.
//// \item @|float = obj.GetMaxMemoryFractionMaxValue ()| -  Maximum fraction of the MaxMemoryInBytes that should
// be used to hold the texture. Valid values are 0.1 to
// 1.0.
//// \item @|float = obj.GetMaxMemoryFraction ()| -  Maximum fraction of the MaxMemoryInBytes that should
// be used to hold the texture. Valid values are 0.1 to
// 1.0.
//// \item @|obj.SetReportProgress (bool )| -  Tells if the mapper will report intermediate progress.
// Initial value is true. As the progress works with a GL blocking
// call (glFinish()), this can be useful for huge dataset but can
// slow down rendering of small dataset. It should be set to true
// for big dataset or complex shading and streaming but to false for
// small datasets.
//// \item @|bool = obj.GetReportProgress ()| -  Tells if the mapper will report intermediate progress.
// Initial value is true. As the progress works with a GL blocking
// call (glFinish()), this can be useful for huge dataset but can
// slow down rendering of small dataset. It should be set to true
// for big dataset or complex shading and streaming but to false for
// small datasets.
//// \item @|int = obj.IsRenderSupported (vtkRenderWindow , vtkVolumeProperty )|
// \item @|obj.CreateCanonicalView (vtkRenderer ren, vtkVolume volume, vtkImageData image, int blend_mode, double viewDirection[3], double viewUp[3])|
// \item @|obj.SetMaskInput (vtkImageData mask)|
// \item @|vtkImageData = obj.GetMaskInput ()|
// \item @|obj.SetMaskBlendFactor (float )| -  Tells how much mask color transfer function is used compared to the
// standard color transfer function when the mask is true.
// 0.0 means only standard color transfer function.
// 1.0 means only mask color tranfer function.
// Initial value is 1.0.
//// \item @|float = obj.GetMaskBlendFactorMinValue ()| -  Tells how much mask color transfer function is used compared to the
// standard color transfer function when the mask is true.
// 0.0 means only standard color transfer function.
// 1.0 means only mask color tranfer function.
// Initial value is 1.0.
//// \item @|float = obj.GetMaskBlendFactorMaxValue ()| -  Tells how much mask color transfer function is used compared to the
// standard color transfer function when the mask is true.
// 0.0 means only standard color transfer function.
// 1.0 means only mask color tranfer function.
// Initial value is 1.0.
//// \item @|float = obj.GetMaskBlendFactor ()| -  Tells how much mask color transfer function is used compared to the
// standard color transfer function when the mask is true.
// 0.0 means only standard color transfer function.
// 1.0 means only mask color tranfer function.
// Initial value is 1.0.
////\end{itemize}
//!
