#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHAVSVolumeMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHAVSVolumeMapper.h"

//@@Signature
//sfunction @vtkHAVSVolumeMapper:vtkHAVSVolumeMapper vtkHAVSVolumeMapperConstructorFunction
//input a
//output p
//@@Parents vtkHAVSVolumeMapper vtkUnstructuredGridVolumeMapper 
ArrayVector vtkHAVSVolumeMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHAVSVolumeMapper::New(),"vtkHAVSVolumeMapper",eval);
  } else if (arg[0].className() == "vtkHAVSVolumeMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHAVSVolumeMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHAVSVolumeMapper");
    vtkHAVSVolumeMapper*q = reinterpret_cast<vtkHAVSVolumeMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHAVSVolumeMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHAVSVolumeMapper:GetClassName vtkHAVSVolumeMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHAVSVolumeMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHAVSVolumeMapper requires 1 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:IsA vtkHAVSVolumeMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHAVSVolumeMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHAVSVolumeMapper requires 2 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:NewInstance vtkHAVSVolumeMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHAVSVolumeMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHAVSVolumeMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHAVSVolumeMapper requires 1 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  vtkHAVSVolumeMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHAVSVolumeMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:SafeDownCast vtkHAVSVolumeMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHAVSVolumeMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHAVSVolumeMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHAVSVolumeMapper requires 2 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHAVSVolumeMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHAVSVolumeMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:SetPartiallyRemoveNonConvexities vtkHAVSVolumeMapperSetPartiallyRemoveNonConvexitiesFunction
//input a0 a1 
//output none
ArrayVector vtkHAVSVolumeMapperSetPartiallyRemoveNonConvexitiesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPartiallyRemoveNonConvexities (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPartiallyRemoveNonConvexities for class vtkHAVSVolumeMapper requires 2 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetPartiallyRemoveNonConvexities(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:GetPartiallyRemoveNonConvexities vtkHAVSVolumeMapperGetPartiallyRemoveNonConvexitiesFunction
//input a0 
//output y
ArrayVector vtkHAVSVolumeMapperGetPartiallyRemoveNonConvexitiesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetPartiallyRemoveNonConvexities (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPartiallyRemoveNonConvexities for class vtkHAVSVolumeMapper requires 1 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetPartiallyRemoveNonConvexities();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:SetLevelOfDetailTargetTime vtkHAVSVolumeMapperSetLevelOfDetailTargetTimeFunction
//input a0 a1 
//output none
ArrayVector vtkHAVSVolumeMapperSetLevelOfDetailTargetTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLevelOfDetailTargetTime (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLevelOfDetailTargetTime for class vtkHAVSVolumeMapper requires 2 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLevelOfDetailTargetTime(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:GetLevelOfDetailTargetTime vtkHAVSVolumeMapperGetLevelOfDetailTargetTimeFunction
//input a0 
//output y
ArrayVector vtkHAVSVolumeMapperGetLevelOfDetailTargetTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetLevelOfDetailTargetTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLevelOfDetailTargetTime for class vtkHAVSVolumeMapper requires 1 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetLevelOfDetailTargetTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:SetLevelOfDetail vtkHAVSVolumeMapperSetLevelOfDetailFunction
//input a0 a1 
//output none
ArrayVector vtkHAVSVolumeMapperSetLevelOfDetailFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLevelOfDetail (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLevelOfDetail for class vtkHAVSVolumeMapper requires 2 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetLevelOfDetail(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:GetLevelOfDetail vtkHAVSVolumeMapperGetLevelOfDetailFunction
//input a0 
//output y
ArrayVector vtkHAVSVolumeMapperGetLevelOfDetailFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetLevelOfDetail (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLevelOfDetail for class vtkHAVSVolumeMapper requires 1 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetLevelOfDetail();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:SetLevelOfDetailMethod vtkHAVSVolumeMapperSetLevelOfDetailMethodFunction
//input a0 a1 
//output none
ArrayVector vtkHAVSVolumeMapperSetLevelOfDetailMethodFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLevelOfDetailMethod (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLevelOfDetailMethod for class vtkHAVSVolumeMapper requires 2 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLevelOfDetailMethod(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:GetLevelOfDetailMethod vtkHAVSVolumeMapperGetLevelOfDetailMethodFunction
//input a0 
//output y
ArrayVector vtkHAVSVolumeMapperGetLevelOfDetailMethodFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLevelOfDetailMethod (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLevelOfDetailMethod for class vtkHAVSVolumeMapper requires 1 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLevelOfDetailMethod();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:SetLevelOfDetailMethodField vtkHAVSVolumeMapperSetLevelOfDetailMethodFieldFunction
//input a0 
//output none
ArrayVector vtkHAVSVolumeMapperSetLevelOfDetailMethodFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLevelOfDetailMethodField ();this SetLevelOfDetailMethod VTK_FIELD_LEVEL_OF_DETAIL  */
  if (arg.size() < 1) 
    throw Exception("Function SetLevelOfDetailMethodField for class vtkHAVSVolumeMapper requires 1 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetLevelOfDetailMethodField();
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:SetLevelOfDetailMethodArea vtkHAVSVolumeMapperSetLevelOfDetailMethodAreaFunction
//input a0 
//output none
ArrayVector vtkHAVSVolumeMapperSetLevelOfDetailMethodAreaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLevelOfDetailMethodArea ();this SetLevelOfDetailMethod VTK_AREA_LEVEL_OF_DETAIL  */
  if (arg.size() < 1) 
    throw Exception("Function SetLevelOfDetailMethodArea for class vtkHAVSVolumeMapper requires 1 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetLevelOfDetailMethodArea();
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:SetKBufferSize vtkHAVSVolumeMapperSetKBufferSizeFunction
//input a0 a1 
//output none
ArrayVector vtkHAVSVolumeMapperSetKBufferSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKBufferSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetKBufferSize for class vtkHAVSVolumeMapper requires 2 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetKBufferSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:GetKBufferSize vtkHAVSVolumeMapperGetKBufferSizeFunction
//input a0 
//output y
ArrayVector vtkHAVSVolumeMapperGetKBufferSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetKBufferSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKBufferSize for class vtkHAVSVolumeMapper requires 1 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetKBufferSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:SetKBufferSizeTo2 vtkHAVSVolumeMapperSetKBufferSizeTo2Function
//input a0 
//output none
ArrayVector vtkHAVSVolumeMapperSetKBufferSizeTo2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKBufferSizeTo2 ();this SetKBufferSize VTK_KBUFFER_SIZE_2  */
  if (arg.size() < 1) 
    throw Exception("Function SetKBufferSizeTo2 for class vtkHAVSVolumeMapper requires 1 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetKBufferSizeTo2();
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:SetKBufferSizeTo6 vtkHAVSVolumeMapperSetKBufferSizeTo6Function
//input a0 
//output none
ArrayVector vtkHAVSVolumeMapperSetKBufferSizeTo6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKBufferSizeTo6 ();this SetKBufferSize VTK_KBUFFER_SIZE_6  */
  if (arg.size() < 1) 
    throw Exception("Function SetKBufferSizeTo6 for class vtkHAVSVolumeMapper requires 1 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetKBufferSizeTo6();
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:SupportedByHardware vtkHAVSVolumeMapperSupportedByHardwareFunction
//input a0 
//output y
ArrayVector vtkHAVSVolumeMapperSupportedByHardwareFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool SupportedByHardware ();return false  */
  if (arg.size() < 1) 
    throw Exception("Function SupportedByHardware for class vtkHAVSVolumeMapper requires 1 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->SupportedByHardware();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:SetGPUDataStructures vtkHAVSVolumeMapperSetGPUDataStructuresFunction
//input a0 a1 
//output none
ArrayVector vtkHAVSVolumeMapperSetGPUDataStructuresFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGPUDataStructures (bool ) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function SetGPUDataStructures for class vtkHAVSVolumeMapper requires 2 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetGPUDataStructures(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:GetGPUDataStructures vtkHAVSVolumeMapperGetGPUDataStructuresFunction
//input a0 
//output y
ArrayVector vtkHAVSVolumeMapperGetGPUDataStructuresFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetGPUDataStructures (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGPUDataStructures for class vtkHAVSVolumeMapper requires 1 argument(s)");
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetGPUDataStructures();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkHAVSVolumeMapper:display vtkHAVSVolumeMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHAVSVolumeMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHAVSVolumeMapper* vtk_pointer = GetVTKPointer<vtkHAVSVolumeMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHAVSVolumeMapper:delete vtkHAVSVolumeMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkHAVSVolumeMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHAVSVolumeMapper
//@@Section VTKVolumeRendering
//@@Usage
//
// vtkHAVSVolumeMapper is a class that renders polygonal data
// (represented as an unstructured grid) using the Hardware-Assisted
// Visibility Sorting (HAVS) algorithm.  First the unique triangles are sorted
// in object space, then they are sorted in image space using a fixed size
// A-buffer implemented on the GPU called the k-buffer.  The HAVS algorithm
// excels at rendering large datasets quickly.  The trade-off is that the
// algorithm may produce some rendering artifacts due to an insufficient k
// size (currently 2 or 6 is supported) or read/write race conditions.
// 
// A built in level-of-detail (LOD) approach samples the geometry using one of
// two heuristics (field or area).  If LOD is enabled, the amount of geometry
// that is sampled and rendered changes dynamically to stay within the target
// frame rate.  The field sampling method generally works best for datasets
// with cell sizes that don't vary much in size.  On the contrary, the area
// sampling approach gives better approximations when the volume has a lot of
// variation in cell size.
//
// The HAVS algorithm uses several advanced features on graphics hardware.
// The k-buffer sorting network is implemented using framebuffer objects
// (FBOs) with multiple render targets (MRTs).  Therefore, only cards that
// support these features can run the algorithm (at least an ATI 9500 or an
// NVidia NV40 (6600)).
//
// .SECTION Notes
//
// Several issues had to be addressed to get the HAVS algorithm working within
// the vtk framework.  These additions forced the code to forsake speed for
// the sake of compliance and robustness.
//
// The HAVS algorithm operates on the triangles that compose the mesh.
// Therefore, before rendering, the cells are decomposed into unique triangles
// and stored on the GPU for efficient rendering.  The use of GPU data
// structures is only recommended if the entire geometry can fit in graphics
// memory.  Otherwise this feature should be disabled. 
//
// Another new feature is the handling of mixed data types (eg., polygonal
// data with volume data).  This is handled by reading the z-buffer from the
// current window and copying it into the framebuffer object for off-screen
// rendering.  The depth test is then enabled so that the volume only appears
// over the opaque geometry.  Finally, the results of the off-screen rendering
// are blended into the framebuffer as a transparent, view-aligned texture. 
// 
// Instead of using a preintegrated 3D lookup table for storing the ray
// integral, this implementation uses partial pre-integration.  This improves
// the performance of dynamic transfer function updates by avoiding a costly
// preprocess of the table.
//
// A final change to the original algorithm is the handling of non-convexities
// in the mesh.  Due to read/write hazards that may create undesired artifacts
// with non-convexities when using a inside/outside toggle in the fragment
// program, another approach was employed.  To handle non-convexities, the
// fragment shader determines if a ray-gap is larger than the max cell size
// and kill the fragment if so.  This approximation performs rather well in
// practice but may miss small non-convexities.
// 
// For more information on the HAVS algorithm see:
//
//  "Hardware-Assisted Visibility Sorting for Unstructured Volume
// Rendering" by S. P. Callahan, M. Ikits, J. L. D. Comba, and C. T. Silva, 
// IEEE Transactions of Visualization and Computer Graphics; May/June 2005.
//
// For more information on the Level-of-Detail algorithm, see:
//
// "Interactive Rendering of Large Unstructured Grids Using Dynamic
// Level-of-Detail" by S. P. Callahan, J. L. D. Comba, P. Shirley, and
// C. T. Silva, Proceedings of IEEE Visualization '05, Oct. 2005.
//
// .SECTION Acknowledgments
//
// This code was developed by Steven P. Callahan under the supervision
// of Prof. Claudio T. Silva. The code also contains contributions
// from Milan Ikits, Linh Ha, Huy T. Vo, Carlos E. Scheidegger, and 
// Joao L. D. Comba.  
//
// The work was supported by grants, contracts, and gifts from the
// National Science Foundation, the Department of Energy, the Army
// Research Office, and IBM.
//
// The port of HAVS to VTK and ParaView has been primarily supported
// by Sandia National Labs.
//
//
//To create an instance of class vtkHAVSVolumeMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkHAVSVolumeMapper
//@]
//@@Methods
//The class vtkHAVSVolumeMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHAVSVolumeMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkHAVSVolumeMapper = obj.NewInstance ()|
// \item @|vtkHAVSVolumeMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPartiallyRemoveNonConvexities (bool )| -  regions by removing ray segments larger than the max cell size.
//// \item @|bool = obj.GetPartiallyRemoveNonConvexities ()| -  regions by removing ray segments larger than the max cell size.
//// \item @|obj.SetLevelOfDetailTargetTime (float )| -  Set/get the desired level of detail target time measured in frames/sec.
//// \item @|float = obj.GetLevelOfDetailTargetTime ()| -  Set/get the desired level of detail target time measured in frames/sec.
//// \item @|obj.SetLevelOfDetail (bool )| -  Turn on/off level-of-detail volume rendering
//// \item @|bool = obj.GetLevelOfDetail ()| -  Turn on/off level-of-detail volume rendering
//// \item @|obj.SetLevelOfDetailMethod (int )| -  Set/get the current level-of-detail method
//// \item @|int = obj.GetLevelOfDetailMethod ()| -  Set/get the current level-of-detail method
//// \item @|obj.SetLevelOfDetailMethodField ()| -  Set/get the current level-of-detail method
//// \item @|obj.SetLevelOfDetailMethodArea ()| -  Set the kbuffer size
//// \item @|obj.SetKBufferSize (int )| -  Set the kbuffer size
//// \item @|int = obj.GetKBufferSize ()| -  Set the kbuffer size
//// \item @|obj.SetKBufferSizeTo2 ()| -  Set the kbuffer size
//// \item @|obj.SetKBufferSizeTo6 ()| -  Check hardware support for the HAVS algorithm.  Necessary
// features include off-screen rendering, 32-bit fp textures, multiple
// render targets, and framebuffer objects.
// Subclasses must override this method to indicate if supported by Hardware.
//// \item @|bool = obj.SupportedByHardware ()| -  Set/get whether or not the data structures should be stored on the GPU 
// for better peformance.
//// \item @|obj.SetGPUDataStructures (bool )| -  Set/get whether or not the data structures should be stored on the GPU 
// for better peformance.
//// \item @|bool = obj.GetGPUDataStructures ()| -  Set/get whether or not the data structures should be stored on the GPU 
// for better peformance.
////\end{itemize}
//!
