#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLProjectedTetrahedraMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLProjectedTetrahedraMapper.h"

//@@Signature
//sfunction @vtkOpenGLProjectedTetrahedraMapper:vtkOpenGLProjectedTetrahedraMapper vtkOpenGLProjectedTetrahedraMapperConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLProjectedTetrahedraMapper vtkProjectedTetrahedraMapper 
ArrayVector vtkOpenGLProjectedTetrahedraMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLProjectedTetrahedraMapper::New(),"vtkOpenGLProjectedTetrahedraMapper",eval);
  } else if (arg[0].className() == "vtkOpenGLProjectedTetrahedraMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLProjectedTetrahedraMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLProjectedTetrahedraMapper");
    vtkOpenGLProjectedTetrahedraMapper*q = reinterpret_cast<vtkOpenGLProjectedTetrahedraMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLProjectedTetrahedraMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLProjectedTetrahedraMapper:GetClassName vtkOpenGLProjectedTetrahedraMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLProjectedTetrahedraMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLProjectedTetrahedraMapper requires 1 argument(s)");
  vtkOpenGLProjectedTetrahedraMapper* vtk_pointer = GetVTKPointer<vtkOpenGLProjectedTetrahedraMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLProjectedTetrahedraMapper:IsA vtkOpenGLProjectedTetrahedraMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLProjectedTetrahedraMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLProjectedTetrahedraMapper requires 2 argument(s)");
  vtkOpenGLProjectedTetrahedraMapper* vtk_pointer = GetVTKPointer<vtkOpenGLProjectedTetrahedraMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLProjectedTetrahedraMapper:NewInstance vtkOpenGLProjectedTetrahedraMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLProjectedTetrahedraMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLProjectedTetrahedraMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLProjectedTetrahedraMapper requires 1 argument(s)");
  vtkOpenGLProjectedTetrahedraMapper* vtk_pointer = GetVTKPointer<vtkOpenGLProjectedTetrahedraMapper>(arg[0]);
  Array retval;
  vtkOpenGLProjectedTetrahedraMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLProjectedTetrahedraMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLProjectedTetrahedraMapper:SafeDownCast vtkOpenGLProjectedTetrahedraMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLProjectedTetrahedraMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLProjectedTetrahedraMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLProjectedTetrahedraMapper requires 2 argument(s)");
  vtkOpenGLProjectedTetrahedraMapper* vtk_pointer = GetVTKPointer<vtkOpenGLProjectedTetrahedraMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLProjectedTetrahedraMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLProjectedTetrahedraMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLProjectedTetrahedraMapper:ReleaseGraphicsResources vtkOpenGLProjectedTetrahedraMapperReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkOpenGLProjectedTetrahedraMapperReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *window); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkOpenGLProjectedTetrahedraMapper requires 2 argument(s)");
  vtkOpenGLProjectedTetrahedraMapper* vtk_pointer = GetVTKPointer<vtkOpenGLProjectedTetrahedraMapper>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLProjectedTetrahedraMapper:Render vtkOpenGLProjectedTetrahedraMapperRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOpenGLProjectedTetrahedraMapperRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkRenderer *renderer, vtkVolume *volume); */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkOpenGLProjectedTetrahedraMapper requires 3 argument(s)");
  vtkOpenGLProjectedTetrahedraMapper* vtk_pointer = GetVTKPointer<vtkOpenGLProjectedTetrahedraMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkVolume>(arg[2]);
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLProjectedTetrahedraMapper:display vtkOpenGLProjectedTetrahedraMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLProjectedTetrahedraMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLProjectedTetrahedraMapper* vtk_pointer = GetVTKPointer<vtkOpenGLProjectedTetrahedraMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLProjectedTetrahedraMapper:delete vtkOpenGLProjectedTetrahedraMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLProjectedTetrahedraMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
