#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenGLVolumeTextureMapper2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenGLVolumeTextureMapper2D.h"

//@@Signature
//sfunction @vtkOpenGLVolumeTextureMapper2D:vtkOpenGLVolumeTextureMapper2D vtkOpenGLVolumeTextureMapper2DConstructorFunction
//input a
//output p
//@@Parents vtkOpenGLVolumeTextureMapper2D vtkVolumeTextureMapper2D 
ArrayVector vtkOpenGLVolumeTextureMapper2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenGLVolumeTextureMapper2D::New(),"vtkOpenGLVolumeTextureMapper2D",eval);
  } else if (arg[0].className() == "vtkOpenGLVolumeTextureMapper2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenGLVolumeTextureMapper2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenGLVolumeTextureMapper2D");
    vtkOpenGLVolumeTextureMapper2D*q = reinterpret_cast<vtkOpenGLVolumeTextureMapper2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenGLVolumeTextureMapper2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenGLVolumeTextureMapper2D:GetClassName vtkOpenGLVolumeTextureMapper2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenGLVolumeTextureMapper2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenGLVolumeTextureMapper2D requires 1 argument(s)");
  vtkOpenGLVolumeTextureMapper2D* vtk_pointer = GetVTKPointer<vtkOpenGLVolumeTextureMapper2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLVolumeTextureMapper2D:IsA vtkOpenGLVolumeTextureMapper2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLVolumeTextureMapper2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenGLVolumeTextureMapper2D requires 2 argument(s)");
  vtkOpenGLVolumeTextureMapper2D* vtk_pointer = GetVTKPointer<vtkOpenGLVolumeTextureMapper2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLVolumeTextureMapper2D:NewInstance vtkOpenGLVolumeTextureMapper2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenGLVolumeTextureMapper2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLVolumeTextureMapper2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenGLVolumeTextureMapper2D requires 1 argument(s)");
  vtkOpenGLVolumeTextureMapper2D* vtk_pointer = GetVTKPointer<vtkOpenGLVolumeTextureMapper2D>(arg[0]);
  Array retval;
  vtkOpenGLVolumeTextureMapper2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLVolumeTextureMapper2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLVolumeTextureMapper2D:SafeDownCast vtkOpenGLVolumeTextureMapper2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenGLVolumeTextureMapper2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenGLVolumeTextureMapper2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenGLVolumeTextureMapper2D requires 2 argument(s)");
  vtkOpenGLVolumeTextureMapper2D* vtk_pointer = GetVTKPointer<vtkOpenGLVolumeTextureMapper2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenGLVolumeTextureMapper2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenGLVolumeTextureMapper2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenGLVolumeTextureMapper2D:display vtkOpenGLVolumeTextureMapper2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenGLVolumeTextureMapper2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenGLVolumeTextureMapper2D* vtk_pointer = GetVTKPointer<vtkOpenGLVolumeTextureMapper2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenGLVolumeTextureMapper2D:delete vtkOpenGLVolumeTextureMapper2DDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenGLVolumeTextureMapper2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenGLVolumeTextureMapper2D
//@@Section VTKVolumeRendering
//@@Usage
// vtkOpenGLVolumeTextureMapper2D renders a volume using 2D texture mapping.
//
//To create an instance of class vtkOpenGLVolumeTextureMapper2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenGLVolumeTextureMapper2D
//@]
//@@Methods
//The class vtkOpenGLVolumeTextureMapper2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenGLVolumeTextureMapper2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenGLVolumeTextureMapper2D = obj.NewInstance ()|
// \item @|vtkOpenGLVolumeTextureMapper2D = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
