#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProjectedTetrahedraMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProjectedTetrahedraMapper.h"

//@@Signature
//sfunction @vtkProjectedTetrahedraMapper:vtkProjectedTetrahedraMapper vtkProjectedTetrahedraMapperConstructorFunction
//input a
//output p
//@@Parents vtkProjectedTetrahedraMapper vtkUnstructuredGridVolumeMapper 
ArrayVector vtkProjectedTetrahedraMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProjectedTetrahedraMapper::New(),"vtkProjectedTetrahedraMapper",eval);
  } else if (arg[0].className() == "vtkProjectedTetrahedraMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProjectedTetrahedraMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProjectedTetrahedraMapper");
    vtkProjectedTetrahedraMapper*q = reinterpret_cast<vtkProjectedTetrahedraMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProjectedTetrahedraMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProjectedTetrahedraMapper:GetClassName vtkProjectedTetrahedraMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProjectedTetrahedraMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProjectedTetrahedraMapper requires 1 argument(s)");
  vtkProjectedTetrahedraMapper* vtk_pointer = GetVTKPointer<vtkProjectedTetrahedraMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTetrahedraMapper:IsA vtkProjectedTetrahedraMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProjectedTetrahedraMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProjectedTetrahedraMapper requires 2 argument(s)");
  vtkProjectedTetrahedraMapper* vtk_pointer = GetVTKPointer<vtkProjectedTetrahedraMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTetrahedraMapper:NewInstance vtkProjectedTetrahedraMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProjectedTetrahedraMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProjectedTetrahedraMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProjectedTetrahedraMapper requires 1 argument(s)");
  vtkProjectedTetrahedraMapper* vtk_pointer = GetVTKPointer<vtkProjectedTetrahedraMapper>(arg[0]);
  Array retval;
  vtkProjectedTetrahedraMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProjectedTetrahedraMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTetrahedraMapper:SafeDownCast vtkProjectedTetrahedraMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProjectedTetrahedraMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProjectedTetrahedraMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProjectedTetrahedraMapper requires 2 argument(s)");
  vtkProjectedTetrahedraMapper* vtk_pointer = GetVTKPointer<vtkProjectedTetrahedraMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProjectedTetrahedraMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProjectedTetrahedraMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTetrahedraMapper:SetVisibilitySort vtkProjectedTetrahedraMapperSetVisibilitySortFunction
//input a0 a1 
//output none
ArrayVector vtkProjectedTetrahedraMapperSetVisibilitySortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVisibilitySort (vtkVisibilitySort *sort); */
  if (arg.size() < 2) 
    throw Exception("Function SetVisibilitySort for class vtkProjectedTetrahedraMapper requires 2 argument(s)");
  vtkProjectedTetrahedraMapper* vtk_pointer = GetVTKPointer<vtkProjectedTetrahedraMapper>(arg[0]);
  Array retval;
  vtkVisibilitySort  *temp0;
  temp0 = GetVTKPointer<vtkVisibilitySort>(arg[1]);
  vtk_pointer->SetVisibilitySort(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTetrahedraMapper:GetVisibilitySort vtkProjectedTetrahedraMapperGetVisibilitySortFunction
//input a0 
//output y
ArrayVector vtkProjectedTetrahedraMapperGetVisibilitySortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVisibilitySort *GetVisibilitySort (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVisibilitySort for class vtkProjectedTetrahedraMapper requires 1 argument(s)");
  vtkProjectedTetrahedraMapper* vtk_pointer = GetVTKPointer<vtkProjectedTetrahedraMapper>(arg[0]);
  Array retval;
  vtkVisibilitySort  *temp20;
  temp20 = (vtk_pointer)->GetVisibilitySort();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVisibilitySort",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTetrahedraMapper:MapScalarsToColors vtkProjectedTetrahedraMapperMapScalarsToColorsFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkProjectedTetrahedraMapperMapScalarsToColorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void MapScalarsToColors (vtkDataArray *colors, vtkVolumeProperty *property, vtkDataArray *scalars); */
  if (arg.size() < 4) 
    throw Exception("Function MapScalarsToColors for class vtkProjectedTetrahedraMapper requires 4 argument(s)");
  vtkProjectedTetrahedraMapper* vtk_pointer = GetVTKPointer<vtkProjectedTetrahedraMapper>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  vtkVolumeProperty  *temp1;
  vtkDataArray  *temp2;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  temp1 = GetVTKPointer<vtkVolumeProperty>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  vtk_pointer->MapScalarsToColors(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTetrahedraMapper:TransformPoints vtkProjectedTetrahedraMapperTransformPointsFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkProjectedTetrahedraMapperTransformPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void TransformPoints (vtkPoints *inPoints, const float projection_mat[16], const float modelview_mat[16], vtkFloatArray *outPoints); */
  if (arg.size() < 5) 
    throw Exception("Function TransformPoints for class vtkProjectedTetrahedraMapper requires 5 argument(s)");
  vtkProjectedTetrahedraMapper* vtk_pointer = GetVTKPointer<vtkProjectedTetrahedraMapper>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  float  temp1[16];
  float  temp2[16];
  vtkFloatArray  *temp3;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 16) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
  }
  if ( !(arg[18].isVector() && arg[18].length() == 16) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[18].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
  }
  temp3 = GetVTKPointer<vtkFloatArray>(arg[34]);
  vtk_pointer->TransformPoints(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTetrahedraMapper:display vtkProjectedTetrahedraMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProjectedTetrahedraMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProjectedTetrahedraMapper* vtk_pointer = GetVTKPointer<vtkProjectedTetrahedraMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProjectedTetrahedraMapper:delete vtkProjectedTetrahedraMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkProjectedTetrahedraMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProjectedTetrahedraMapper
//@@Section VTKVolumeRendering
//@@Usage
// vtkProjectedTetrahedraMapper is an implementation of the classic
// Projected Tetrahedra algorithm presented by Shirley and Tuchman in "A
// Polygonal Approximation to Direct Scalar Volume Rendering" in Computer
// Graphics, December 1990.
//
// .SECTION Bugs
// This mapper relies highly on the implementation of the OpenGL pipeline.
// A typical hardware driver has lots of options and some settings can
// cause this mapper to produce artifacts.
//
//
//To create an instance of class vtkProjectedTetrahedraMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkProjectedTetrahedraMapper
//@]
//@@Methods
//The class vtkProjectedTetrahedraMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProjectedTetrahedraMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProjectedTetrahedraMapper = obj.NewInstance ()|
// \item @|vtkProjectedTetrahedraMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetVisibilitySort (vtkVisibilitySort sort)|
// \item @|vtkVisibilitySort = obj.GetVisibilitySort ()|
//\end{itemize}
//!
