#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRayCastImageDisplayHelper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRayCastImageDisplayHelper.h"

//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:vtkRayCastImageDisplayHelper vtkRayCastImageDisplayHelperConstructorFunction
//input a
//output p
//@@Parents vtkRayCastImageDisplayHelper vtkObject 
ArrayVector vtkRayCastImageDisplayHelperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRayCastImageDisplayHelper::New(),"vtkRayCastImageDisplayHelper",eval);
  } else if (arg[0].className() == "vtkRayCastImageDisplayHelper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRayCastImageDisplayHelper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRayCastImageDisplayHelper");
    vtkRayCastImageDisplayHelper*q = reinterpret_cast<vtkRayCastImageDisplayHelper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRayCastImageDisplayHelper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:GetClassName vtkRayCastImageDisplayHelperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRayCastImageDisplayHelperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRayCastImageDisplayHelper requires 1 argument(s)");
  vtkRayCastImageDisplayHelper* vtk_pointer = GetVTKPointer<vtkRayCastImageDisplayHelper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:IsA vtkRayCastImageDisplayHelperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRayCastImageDisplayHelperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRayCastImageDisplayHelper requires 2 argument(s)");
  vtkRayCastImageDisplayHelper* vtk_pointer = GetVTKPointer<vtkRayCastImageDisplayHelper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:NewInstance vtkRayCastImageDisplayHelperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRayCastImageDisplayHelperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRayCastImageDisplayHelper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRayCastImageDisplayHelper requires 1 argument(s)");
  vtkRayCastImageDisplayHelper* vtk_pointer = GetVTKPointer<vtkRayCastImageDisplayHelper>(arg[0]);
  Array retval;
  vtkRayCastImageDisplayHelper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRayCastImageDisplayHelper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:SafeDownCast vtkRayCastImageDisplayHelperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRayCastImageDisplayHelperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRayCastImageDisplayHelper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRayCastImageDisplayHelper requires 2 argument(s)");
  vtkRayCastImageDisplayHelper* vtk_pointer = GetVTKPointer<vtkRayCastImageDisplayHelper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRayCastImageDisplayHelper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRayCastImageDisplayHelper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:RenderTexture__1 vtkRayCastImageDisplayHelperRenderTexture__1Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output none
ArrayVector vtkRayCastImageDisplayHelperRenderTexture__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RenderTexture (vtkVolume *vol, vtkRenderer *ren, int imageMemorySize[2], int imageViewportSize[2], int imageInUseSize[2], int imageOrigin[2], float requestedDepth, unsigned char *image) = 0; */
  if (arg.size() < 9) 
    throw Exception("Function RenderTexture__1 for class vtkRayCastImageDisplayHelper requires 9 argument(s)");
  vtkRayCastImageDisplayHelper* vtk_pointer = GetVTKPointer<vtkRayCastImageDisplayHelper>(arg[0]);
  Array retval;
  vtkVolume  *temp0;
  vtkRenderer  *temp1;
  int    temp2[2];
  int    temp3[2];
  int    temp4[2];
  int    temp5[2];
  float    temp6;
  unsigned char    *temp7;
  temp0 = GetVTKPointer<vtkVolume>(arg[1]);
  temp1 = GetVTKPointer<vtkRenderer>(arg[2]);
  if ( !(arg[3].isVector() && arg[3].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
  }
  if ( !(arg[5].isVector() && arg[5].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (int)data[k+1];
  }
  if ( !(arg[9].isVector() && arg[9].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[9].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp5[k] = (int)data[k+1];
  }
  if ( !arg[11].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[11].asDouble();
    if ( !arg[12].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[12].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp7 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp7[k] = (unsigned char)data[k+1];
      }
  vtk_pointer->RenderTexture(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  return retval;
}

//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:RenderTexture__2 vtkRayCastImageDisplayHelperRenderTexture__2Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output none
ArrayVector vtkRayCastImageDisplayHelperRenderTexture__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RenderTexture (vtkVolume *vol, vtkRenderer *ren, int imageMemorySize[2], int imageViewportSize[2], int imageInUseSize[2], int imageOrigin[2], float requestedDepth, unsigned short *image) = 0; */
  if (arg.size() < 9) 
    throw Exception("Function RenderTexture__2 for class vtkRayCastImageDisplayHelper requires 9 argument(s)");
  vtkRayCastImageDisplayHelper* vtk_pointer = GetVTKPointer<vtkRayCastImageDisplayHelper>(arg[0]);
  Array retval;
  vtkVolume  *temp0;
  vtkRenderer  *temp1;
  int    temp2[2];
  int    temp3[2];
  int    temp4[2];
  int    temp5[2];
  float    temp6;
  unsigned short   *temp7;
  temp0 = GetVTKPointer<vtkVolume>(arg[1]);
  temp1 = GetVTKPointer<vtkRenderer>(arg[2]);
  if ( !(arg[3].isVector() && arg[3].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
  }
  if ( !(arg[5].isVector() && arg[5].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (int)data[k+1];
  }
  if ( !(arg[9].isVector() && arg[9].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[9].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp5[k] = (int)data[k+1];
  }
  if ( !arg[11].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[11].asDouble();
    if ( !arg[12].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[12].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp7 = new unsigned short[length];
      for ( int k = 0; k < length; k++ ) temp7[k] = (unsigned short)data[k+1];
      }
  vtk_pointer->RenderTexture(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  return retval;
}

//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:RenderTexture__3 vtkRayCastImageDisplayHelperRenderTexture__3Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkRayCastImageDisplayHelperRenderTexture__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RenderTexture (vtkVolume *vol, vtkRenderer *ren, vtkFixedPointRayCastImage *image, float requestedDepth) = 0; */
  if (arg.size() < 5) 
    throw Exception("Function RenderTexture__3 for class vtkRayCastImageDisplayHelper requires 5 argument(s)");
  vtkRayCastImageDisplayHelper* vtk_pointer = GetVTKPointer<vtkRayCastImageDisplayHelper>(arg[0]);
  Array retval;
  vtkVolume  *temp0;
  vtkRenderer  *temp1;
  vtkFixedPointRayCastImage  *temp2;
  float    temp3;
  temp0 = GetVTKPointer<vtkVolume>(arg[1]);
  temp1 = GetVTKPointer<vtkRenderer>(arg[2]);
  temp2 = GetVTKPointer<vtkFixedPointRayCastImage>(arg[3]);
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->RenderTexture(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:SetPreMultipliedColors vtkRayCastImageDisplayHelperSetPreMultipliedColorsFunction
//input a0 a1 
//output none
ArrayVector vtkRayCastImageDisplayHelperSetPreMultipliedColorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPreMultipliedColors (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPreMultipliedColors for class vtkRayCastImageDisplayHelper requires 2 argument(s)");
  vtkRayCastImageDisplayHelper* vtk_pointer = GetVTKPointer<vtkRayCastImageDisplayHelper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPreMultipliedColors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:GetPreMultipliedColorsMinValue vtkRayCastImageDisplayHelperGetPreMultipliedColorsMinValueFunction
//input a0 
//output y
ArrayVector vtkRayCastImageDisplayHelperGetPreMultipliedColorsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPreMultipliedColorsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPreMultipliedColorsMinValue for class vtkRayCastImageDisplayHelper requires 1 argument(s)");
  vtkRayCastImageDisplayHelper* vtk_pointer = GetVTKPointer<vtkRayCastImageDisplayHelper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPreMultipliedColorsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:GetPreMultipliedColorsMaxValue vtkRayCastImageDisplayHelperGetPreMultipliedColorsMaxValueFunction
//input a0 
//output y
ArrayVector vtkRayCastImageDisplayHelperGetPreMultipliedColorsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPreMultipliedColorsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPreMultipliedColorsMaxValue for class vtkRayCastImageDisplayHelper requires 1 argument(s)");
  vtkRayCastImageDisplayHelper* vtk_pointer = GetVTKPointer<vtkRayCastImageDisplayHelper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPreMultipliedColorsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:GetPreMultipliedColors vtkRayCastImageDisplayHelperGetPreMultipliedColorsFunction
//input a0 
//output y
ArrayVector vtkRayCastImageDisplayHelperGetPreMultipliedColorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPreMultipliedColors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPreMultipliedColors for class vtkRayCastImageDisplayHelper requires 1 argument(s)");
  vtkRayCastImageDisplayHelper* vtk_pointer = GetVTKPointer<vtkRayCastImageDisplayHelper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPreMultipliedColors();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:PreMultipliedColorsOn vtkRayCastImageDisplayHelperPreMultipliedColorsOnFunction
//input a0 
//output none
ArrayVector vtkRayCastImageDisplayHelperPreMultipliedColorsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreMultipliedColorsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PreMultipliedColorsOn for class vtkRayCastImageDisplayHelper requires 1 argument(s)");
  vtkRayCastImageDisplayHelper* vtk_pointer = GetVTKPointer<vtkRayCastImageDisplayHelper>(arg[0]);
  Array retval;
  vtk_pointer->PreMultipliedColorsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:PreMultipliedColorsOff vtkRayCastImageDisplayHelperPreMultipliedColorsOffFunction
//input a0 
//output none
ArrayVector vtkRayCastImageDisplayHelperPreMultipliedColorsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreMultipliedColorsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PreMultipliedColorsOff for class vtkRayCastImageDisplayHelper requires 1 argument(s)");
  vtkRayCastImageDisplayHelper* vtk_pointer = GetVTKPointer<vtkRayCastImageDisplayHelper>(arg[0]);
  Array retval;
  vtk_pointer->PreMultipliedColorsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:SetPixelScale vtkRayCastImageDisplayHelperSetPixelScaleFunction
//input a0 a1 
//output none
ArrayVector vtkRayCastImageDisplayHelperSetPixelScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPixelScale (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPixelScale for class vtkRayCastImageDisplayHelper requires 2 argument(s)");
  vtkRayCastImageDisplayHelper* vtk_pointer = GetVTKPointer<vtkRayCastImageDisplayHelper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPixelScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:GetPixelScale vtkRayCastImageDisplayHelperGetPixelScaleFunction
//input a0 
//output y
ArrayVector vtkRayCastImageDisplayHelperGetPixelScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetPixelScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPixelScale for class vtkRayCastImageDisplayHelper requires 1 argument(s)");
  vtkRayCastImageDisplayHelper* vtk_pointer = GetVTKPointer<vtkRayCastImageDisplayHelper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetPixelScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:RenderTexture vtkRayCastImageDisplayHelperRenderTextureFunction
//input varargin
//output varargout
ArrayVector vtkRayCastImageDisplayHelperRenderTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 9) && VTKIsClass(arg[1],"vtkVolume") && VTKIsClass(arg[2],"vtkRenderer") && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkRayCastImageDisplayHelperRenderTexture__1Function(nargout,arg,eval);
  if ((arg.size() == 9) && VTKIsClass(arg[1],"vtkVolume") && VTKIsClass(arg[2],"vtkRenderer") && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkRayCastImageDisplayHelperRenderTexture__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkVolume") && VTKIsClass(arg[2],"vtkRenderer") && VTKIsClass(arg[3],"vtkFixedPointRayCastImage") && VTKIsScalarArg(arg[4]))
    return vtkRayCastImageDisplayHelperRenderTexture__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRayCastImageDisplayHelperRenderTexture");
}

//@@Signature
//sfunction @vtkRayCastImageDisplayHelper:display vtkRayCastImageDisplayHelperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRayCastImageDisplayHelperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRayCastImageDisplayHelper* vtk_pointer = GetVTKPointer<vtkRayCastImageDisplayHelper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRayCastImageDisplayHelper:delete vtkRayCastImageDisplayHelperDeleteFunction
//input varargin
//output none
ArrayVector vtkRayCastImageDisplayHelperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRayCastImageDisplayHelper
//@@Section VTKVolumeRendering
//@@Usage
// This is a helper class for drawing images created from ray casting on the screen.
// This is the abstract device-independent superclass.
//
//To create an instance of class vtkRayCastImageDisplayHelper, simply
//invoke its constructor as follows
//@[
//  obj = vtkRayCastImageDisplayHelper
//@]
//@@Methods
//The class vtkRayCastImageDisplayHelper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRayCastImageDisplayHelper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRayCastImageDisplayHelper = obj.NewInstance ()|
// \item @|vtkRayCastImageDisplayHelper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.RenderTexture (vtkVolume vol, vtkRenderer ren, int imageMemorySize[2], int imageViewportSize[2], int imageInUseSize[2], int imageOrigin[2], float requestedDepth, string image)|
// \item @|obj.RenderTexture (vtkVolume vol, vtkRenderer ren, int imageMemorySize[2], int imageViewportSize[2], int imageInUseSize[2], int imageOrigin[2], float requestedDepth, short image)|
// \item @|obj.RenderTexture (vtkVolume vol, vtkRenderer ren, vtkFixedPointRayCastImage image, float requestedDepth)|
// \item @|obj.SetPreMultipliedColors (int )|
// \item @|int = obj.GetPreMultipliedColorsMinValue ()|
// \item @|int = obj.GetPreMultipliedColorsMaxValue ()|
// \item @|int = obj.GetPreMultipliedColors ()|
// \item @|obj.PreMultipliedColorsOn ()|
// \item @|obj.PreMultipliedColorsOff ()|
// \item @|obj.SetPixelScale (float )| -  Set / Get the pixel scale to be applied to the image before display.
// Can be set to scale the incoming pixel values - for example the
// fixed point mapper uses the unsigned short API but with 15 bit
// values so needs a scale of 2.0.
//// \item @|float = obj.GetPixelScale ()| -  Set / Get the pixel scale to be applied to the image before display.
// Can be set to scale the incoming pixel values - for example the
// fixed point mapper uses the unsigned short API but with 15 bit
// values so needs a scale of 2.0.
////\end{itemize}
//!
