#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRecursiveSphereDirectionEncoder object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRecursiveSphereDirectionEncoder.h"

//@@Signature
//sfunction @vtkRecursiveSphereDirectionEncoder:vtkRecursiveSphereDirectionEncoder vtkRecursiveSphereDirectionEncoderConstructorFunction
//input a
//output p
//@@Parents vtkRecursiveSphereDirectionEncoder vtkDirectionEncoder 
ArrayVector vtkRecursiveSphereDirectionEncoderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRecursiveSphereDirectionEncoder::New(),"vtkRecursiveSphereDirectionEncoder",eval);
  } else if (arg[0].className() == "vtkRecursiveSphereDirectionEncoder") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRecursiveSphereDirectionEncoder"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRecursiveSphereDirectionEncoder");
    vtkRecursiveSphereDirectionEncoder*q = reinterpret_cast<vtkRecursiveSphereDirectionEncoder*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRecursiveSphereDirectionEncoder");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRecursiveSphereDirectionEncoder:GetClassName vtkRecursiveSphereDirectionEncoderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRecursiveSphereDirectionEncoderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRecursiveSphereDirectionEncoder requires 1 argument(s)");
  vtkRecursiveSphereDirectionEncoder* vtk_pointer = GetVTKPointer<vtkRecursiveSphereDirectionEncoder>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveSphereDirectionEncoder:IsA vtkRecursiveSphereDirectionEncoderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRecursiveSphereDirectionEncoderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRecursiveSphereDirectionEncoder requires 2 argument(s)");
  vtkRecursiveSphereDirectionEncoder* vtk_pointer = GetVTKPointer<vtkRecursiveSphereDirectionEncoder>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveSphereDirectionEncoder:NewInstance vtkRecursiveSphereDirectionEncoderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRecursiveSphereDirectionEncoderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRecursiveSphereDirectionEncoder *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRecursiveSphereDirectionEncoder requires 1 argument(s)");
  vtkRecursiveSphereDirectionEncoder* vtk_pointer = GetVTKPointer<vtkRecursiveSphereDirectionEncoder>(arg[0]);
  Array retval;
  vtkRecursiveSphereDirectionEncoder  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRecursiveSphereDirectionEncoder",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveSphereDirectionEncoder:SafeDownCast vtkRecursiveSphereDirectionEncoderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRecursiveSphereDirectionEncoderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRecursiveSphereDirectionEncoder *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRecursiveSphereDirectionEncoder requires 2 argument(s)");
  vtkRecursiveSphereDirectionEncoder* vtk_pointer = GetVTKPointer<vtkRecursiveSphereDirectionEncoder>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRecursiveSphereDirectionEncoder  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRecursiveSphereDirectionEncoder",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveSphereDirectionEncoder:GetEncodedDirection vtkRecursiveSphereDirectionEncoderGetEncodedDirectionFunction
//input a0 a1 
//output y
ArrayVector vtkRecursiveSphereDirectionEncoderGetEncodedDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEncodedDirection (float n[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetEncodedDirection for class vtkRecursiveSphereDirectionEncoder requires 2 argument(s)");
  vtkRecursiveSphereDirectionEncoder* vtk_pointer = GetVTKPointer<vtkRecursiveSphereDirectionEncoder>(arg[0]);
  Array retval;
  float  temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->GetEncodedDirection(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveSphereDirectionEncoder:GetDecodedGradient vtkRecursiveSphereDirectionEncoderGetDecodedGradientFunction
//input a0 a1 
//output y
ArrayVector vtkRecursiveSphereDirectionEncoderGetDecodedGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float *GetDecodedGradient (int value); */
  if (arg.size() < 2) 
    throw Exception("Function GetDecodedGradient for class vtkRecursiveSphereDirectionEncoder requires 2 argument(s)");
  vtkRecursiveSphereDirectionEncoder* vtk_pointer = GetVTKPointer<vtkRecursiveSphereDirectionEncoder>(arg[0]);
  Array retval;
  int      temp0;
  float   *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDecodedGradient(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveSphereDirectionEncoder:GetNumberOfEncodedDirections vtkRecursiveSphereDirectionEncoderGetNumberOfEncodedDirectionsFunction
//input a0 
//output y
ArrayVector vtkRecursiveSphereDirectionEncoderGetNumberOfEncodedDirectionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEncodedDirections (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEncodedDirections for class vtkRecursiveSphereDirectionEncoder requires 1 argument(s)");
  vtkRecursiveSphereDirectionEncoder* vtk_pointer = GetVTKPointer<vtkRecursiveSphereDirectionEncoder>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEncodedDirections();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveSphereDirectionEncoder:SetRecursionDepth vtkRecursiveSphereDirectionEncoderSetRecursionDepthFunction
//input a0 a1 
//output none
ArrayVector vtkRecursiveSphereDirectionEncoderSetRecursionDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRecursionDepth (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRecursionDepth for class vtkRecursiveSphereDirectionEncoder requires 2 argument(s)");
  vtkRecursiveSphereDirectionEncoder* vtk_pointer = GetVTKPointer<vtkRecursiveSphereDirectionEncoder>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRecursionDepth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveSphereDirectionEncoder:GetRecursionDepthMinValue vtkRecursiveSphereDirectionEncoderGetRecursionDepthMinValueFunction
//input a0 
//output y
ArrayVector vtkRecursiveSphereDirectionEncoderGetRecursionDepthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRecursionDepthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRecursionDepthMinValue for class vtkRecursiveSphereDirectionEncoder requires 1 argument(s)");
  vtkRecursiveSphereDirectionEncoder* vtk_pointer = GetVTKPointer<vtkRecursiveSphereDirectionEncoder>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRecursionDepthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveSphereDirectionEncoder:GetRecursionDepthMaxValue vtkRecursiveSphereDirectionEncoderGetRecursionDepthMaxValueFunction
//input a0 
//output y
ArrayVector vtkRecursiveSphereDirectionEncoderGetRecursionDepthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRecursionDepthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRecursionDepthMaxValue for class vtkRecursiveSphereDirectionEncoder requires 1 argument(s)");
  vtkRecursiveSphereDirectionEncoder* vtk_pointer = GetVTKPointer<vtkRecursiveSphereDirectionEncoder>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRecursionDepthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveSphereDirectionEncoder:GetRecursionDepth vtkRecursiveSphereDirectionEncoderGetRecursionDepthFunction
//input a0 
//output y
ArrayVector vtkRecursiveSphereDirectionEncoderGetRecursionDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRecursionDepth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRecursionDepth for class vtkRecursiveSphereDirectionEncoder requires 1 argument(s)");
  vtkRecursiveSphereDirectionEncoder* vtk_pointer = GetVTKPointer<vtkRecursiveSphereDirectionEncoder>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRecursionDepth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveSphereDirectionEncoder:display vtkRecursiveSphereDirectionEncoderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRecursiveSphereDirectionEncoderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRecursiveSphereDirectionEncoder* vtk_pointer = GetVTKPointer<vtkRecursiveSphereDirectionEncoder>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRecursiveSphereDirectionEncoder:delete vtkRecursiveSphereDirectionEncoderDeleteFunction
//input varargin
//output none
ArrayVector vtkRecursiveSphereDirectionEncoderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRecursiveSphereDirectionEncoder
//@@Section VTKVolumeRendering
//@@Usage
// vtkRecursiveSphereDirectionEncoder is a direction encoder which uses the 
// vertices of a recursive subdivision of an octahedron (with the vertices
// pushed out onto the surface of an enclosing sphere) to encode directions
// into a two byte value. 
//
//
//To create an instance of class vtkRecursiveSphereDirectionEncoder, simply
//invoke its constructor as follows
//@[
//  obj = vtkRecursiveSphereDirectionEncoder
//@]
//@@Methods
//The class vtkRecursiveSphereDirectionEncoder has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRecursiveSphereDirectionEncoder class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRecursiveSphereDirectionEncoder = obj.NewInstance ()|
// \item @|vtkRecursiveSphereDirectionEncoder = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetEncodedDirection (float n[3])| -  Given a normal vector n, return the encoded direction  
//// \item @|float = obj.GetDecodedGradient (int value)| - / Given an encoded value, return a pointer to the normal vector
//// \item @|int = obj.GetNumberOfEncodedDirections (void )| -  Return the number of encoded directions
//// \item @|obj.SetRecursionDepth (int )| -  Set / Get the recursion depth for the subdivision. This
// indicates how many time one triangle on the initial 8-sided
// sphere model is replaced by four triangles formed by connecting
// triangle edge midpoints. A recursion level of 0 yields 8 triangles
// with 6 unique vertices. The normals are the vectors from the
// sphere center through the vertices. The number of directions
// will be 11 since the four normals with 0 z values will be
// duplicated in the table - once with +0 values and the other
// time with -0 values, and an addition index will be used to
// represent the (0,0,0) normal. If we instead choose a recursion 
// level of 6 (the maximum that can fit within 2 bytes) the number
// of directions is 16643, with 16386 unique directions and a 
// zero normal.
//// \item @|int = obj.GetRecursionDepthMinValue ()| -  Set / Get the recursion depth for the subdivision. This
// indicates how many time one triangle on the initial 8-sided
// sphere model is replaced by four triangles formed by connecting
// triangle edge midpoints. A recursion level of 0 yields 8 triangles
// with 6 unique vertices. The normals are the vectors from the
// sphere center through the vertices. The number of directions
// will be 11 since the four normals with 0 z values will be
// duplicated in the table - once with +0 values and the other
// time with -0 values, and an addition index will be used to
// represent the (0,0,0) normal. If we instead choose a recursion 
// level of 6 (the maximum that can fit within 2 bytes) the number
// of directions is 16643, with 16386 unique directions and a 
// zero normal.
//// \item @|int = obj.GetRecursionDepthMaxValue ()| -  Set / Get the recursion depth for the subdivision. This
// indicates how many time one triangle on the initial 8-sided
// sphere model is replaced by four triangles formed by connecting
// triangle edge midpoints. A recursion level of 0 yields 8 triangles
// with 6 unique vertices. The normals are the vectors from the
// sphere center through the vertices. The number of directions
// will be 11 since the four normals with 0 z values will be
// duplicated in the table - once with +0 values and the other
// time with -0 values, and an addition index will be used to
// represent the (0,0,0) normal. If we instead choose a recursion 
// level of 6 (the maximum that can fit within 2 bytes) the number
// of directions is 16643, with 16386 unique directions and a 
// zero normal.
//// \item @|int = obj.GetRecursionDepth ()| -  Set / Get the recursion depth for the subdivision. This
// indicates how many time one triangle on the initial 8-sided
// sphere model is replaced by four triangles formed by connecting
// triangle edge midpoints. A recursion level of 0 yields 8 triangles
// with 6 unique vertices. The normals are the vectors from the
// sphere center through the vertices. The number of directions
// will be 11 since the four normals with 0 z values will be
// duplicated in the table - once with +0 values and the other
// time with -0 values, and an addition index will be used to
// represent the (0,0,0) normal. If we instead choose a recursion 
// level of 6 (the maximum that can fit within 2 bytes) the number
// of directions is 16643, with 16386 unique directions and a 
// zero normal.
////\end{itemize}
//!
