#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSphericalDirectionEncoder object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSphericalDirectionEncoder.h"

//@@Signature
//sfunction @vtkSphericalDirectionEncoder:vtkSphericalDirectionEncoder vtkSphericalDirectionEncoderConstructorFunction
//input a
//output p
//@@Parents vtkSphericalDirectionEncoder vtkDirectionEncoder 
ArrayVector vtkSphericalDirectionEncoderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSphericalDirectionEncoder::New(),"vtkSphericalDirectionEncoder",eval);
  } else if (arg[0].className() == "vtkSphericalDirectionEncoder") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSphericalDirectionEncoder"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSphericalDirectionEncoder");
    vtkSphericalDirectionEncoder*q = reinterpret_cast<vtkSphericalDirectionEncoder*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSphericalDirectionEncoder");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSphericalDirectionEncoder:GetClassName vtkSphericalDirectionEncoderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSphericalDirectionEncoderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSphericalDirectionEncoder requires 1 argument(s)");
  vtkSphericalDirectionEncoder* vtk_pointer = GetVTKPointer<vtkSphericalDirectionEncoder>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphericalDirectionEncoder:IsA vtkSphericalDirectionEncoderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSphericalDirectionEncoderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSphericalDirectionEncoder requires 2 argument(s)");
  vtkSphericalDirectionEncoder* vtk_pointer = GetVTKPointer<vtkSphericalDirectionEncoder>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphericalDirectionEncoder:NewInstance vtkSphericalDirectionEncoderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSphericalDirectionEncoderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSphericalDirectionEncoder *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSphericalDirectionEncoder requires 1 argument(s)");
  vtkSphericalDirectionEncoder* vtk_pointer = GetVTKPointer<vtkSphericalDirectionEncoder>(arg[0]);
  Array retval;
  vtkSphericalDirectionEncoder  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSphericalDirectionEncoder",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphericalDirectionEncoder:SafeDownCast vtkSphericalDirectionEncoderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSphericalDirectionEncoderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSphericalDirectionEncoder *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSphericalDirectionEncoder requires 2 argument(s)");
  vtkSphericalDirectionEncoder* vtk_pointer = GetVTKPointer<vtkSphericalDirectionEncoder>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSphericalDirectionEncoder  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSphericalDirectionEncoder",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphericalDirectionEncoder:GetEncodedDirection vtkSphericalDirectionEncoderGetEncodedDirectionFunction
//input a0 a1 
//output y
ArrayVector vtkSphericalDirectionEncoderGetEncodedDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEncodedDirection (float n[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetEncodedDirection for class vtkSphericalDirectionEncoder requires 2 argument(s)");
  vtkSphericalDirectionEncoder* vtk_pointer = GetVTKPointer<vtkSphericalDirectionEncoder>(arg[0]);
  Array retval;
  float  temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->GetEncodedDirection(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphericalDirectionEncoder:GetDecodedGradient vtkSphericalDirectionEncoderGetDecodedGradientFunction
//input a0 a1 
//output y
ArrayVector vtkSphericalDirectionEncoderGetDecodedGradientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float *GetDecodedGradient (int value); */
  if (arg.size() < 2) 
    throw Exception("Function GetDecodedGradient for class vtkSphericalDirectionEncoder requires 2 argument(s)");
  vtkSphericalDirectionEncoder* vtk_pointer = GetVTKPointer<vtkSphericalDirectionEncoder>(arg[0]);
  Array retval;
  int      temp0;
  float   *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDecodedGradient(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSphericalDirectionEncoder:GetNumberOfEncodedDirections vtkSphericalDirectionEncoderGetNumberOfEncodedDirectionsFunction
//input a0 
//output y
ArrayVector vtkSphericalDirectionEncoderGetNumberOfEncodedDirectionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEncodedDirections (void );return  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEncodedDirections for class vtkSphericalDirectionEncoder requires 1 argument(s)");
  vtkSphericalDirectionEncoder* vtk_pointer = GetVTKPointer<vtkSphericalDirectionEncoder>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEncodedDirections();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphericalDirectionEncoder:display vtkSphericalDirectionEncoderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSphericalDirectionEncoderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSphericalDirectionEncoder* vtk_pointer = GetVTKPointer<vtkSphericalDirectionEncoder>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSphericalDirectionEncoder:delete vtkSphericalDirectionEncoderDeleteFunction
//input varargin
//output none
ArrayVector vtkSphericalDirectionEncoderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSphericalDirectionEncoder
//@@Section VTKVolumeRendering
//@@Usage
// vtkSphericalDirectionEncoder is a direction encoder which uses spherical
// coordinates for mapping (nx, ny, nz) into an azimuth, elevation pair.
//
//
//To create an instance of class vtkSphericalDirectionEncoder, simply
//invoke its constructor as follows
//@[
//  obj = vtkSphericalDirectionEncoder
//@]
//@@Methods
//The class vtkSphericalDirectionEncoder has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSphericalDirectionEncoder class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSphericalDirectionEncoder = obj.NewInstance ()|
// \item @|vtkSphericalDirectionEncoder = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetEncodedDirection (float n[3])| -  Given a normal vector n, return the encoded direction  
//// \item @|float = obj.GetDecodedGradient (int value)| - / Given an encoded value, return a pointer to the normal vector
//// \item @|int = obj.GetNumberOfEncodedDirections (void )| -  Get the decoded gradient table. There are 
// this->GetNumberOfEncodedDirections() entries in the table, each
// containing a normal (direction) vector. This is a flat structure - 
// 3 times the number of directions floats in an array.
////\end{itemize}
//!
