#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnstructuredGridBunykRayCastFunction object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnstructuredGridBunykRayCastFunction.h"

//@@Signature
//sfunction @vtkUnstructuredGridBunykRayCastFunction:vtkUnstructuredGridBunykRayCastFunction vtkUnstructuredGridBunykRayCastFunctionConstructorFunction
//input a
//output p
//@@Parents vtkUnstructuredGridBunykRayCastFunction vtkUnstructuredGridVolumeRayCastFunction 
ArrayVector vtkUnstructuredGridBunykRayCastFunctionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnstructuredGridBunykRayCastFunction::New(),"vtkUnstructuredGridBunykRayCastFunction",eval);
  } else if (arg[0].className() == "vtkUnstructuredGridBunykRayCastFunction") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnstructuredGridBunykRayCastFunction"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnstructuredGridBunykRayCastFunction");
    vtkUnstructuredGridBunykRayCastFunction*q = reinterpret_cast<vtkUnstructuredGridBunykRayCastFunction*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnstructuredGridBunykRayCastFunction");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnstructuredGridBunykRayCastFunction:GetClassName vtkUnstructuredGridBunykRayCastFunctionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridBunykRayCastFunctionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnstructuredGridBunykRayCastFunction requires 1 argument(s)");
  vtkUnstructuredGridBunykRayCastFunction* vtk_pointer = GetVTKPointer<vtkUnstructuredGridBunykRayCastFunction>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridBunykRayCastFunction:IsA vtkUnstructuredGridBunykRayCastFunctionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridBunykRayCastFunctionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnstructuredGridBunykRayCastFunction requires 2 argument(s)");
  vtkUnstructuredGridBunykRayCastFunction* vtk_pointer = GetVTKPointer<vtkUnstructuredGridBunykRayCastFunction>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridBunykRayCastFunction:NewInstance vtkUnstructuredGridBunykRayCastFunctionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridBunykRayCastFunctionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridBunykRayCastFunction *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnstructuredGridBunykRayCastFunction requires 1 argument(s)");
  vtkUnstructuredGridBunykRayCastFunction* vtk_pointer = GetVTKPointer<vtkUnstructuredGridBunykRayCastFunction>(arg[0]);
  Array retval;
  vtkUnstructuredGridBunykRayCastFunction  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridBunykRayCastFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridBunykRayCastFunction:SafeDownCast vtkUnstructuredGridBunykRayCastFunctionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridBunykRayCastFunctionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridBunykRayCastFunction *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnstructuredGridBunykRayCastFunction requires 2 argument(s)");
  vtkUnstructuredGridBunykRayCastFunction* vtk_pointer = GetVTKPointer<vtkUnstructuredGridBunykRayCastFunction>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnstructuredGridBunykRayCastFunction  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridBunykRayCastFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridBunykRayCastFunction:display vtkUnstructuredGridBunykRayCastFunctionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridBunykRayCastFunctionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnstructuredGridBunykRayCastFunction* vtk_pointer = GetVTKPointer<vtkUnstructuredGridBunykRayCastFunction>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnstructuredGridBunykRayCastFunction:delete vtkUnstructuredGridBunykRayCastFunctionDeleteFunction
//input varargin
//output none
ArrayVector vtkUnstructuredGridBunykRayCastFunctionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnstructuredGridBunykRayCastFunction
//@@Section VTKVolumeRendering
//@@Usage
// vtkUnstructuredGridBunykRayCastFunction is a concrete implementation of a
// ray cast function for unstructured grid data. This class was based on the
// paper "Simple, Fast, Robust Ray Casting of Irregular Grids" by Paul Bunyk,
// Arie Kaufmna, and Claudio Silva. This method is quite memory intensive 
// (with extra explicit copies of the data) and therefore should not be used
// for very large data. This method assumes that the input data is composed
// entirely of tetras - use vtkDataSetTriangleFilter before setting the input
// on the mapper.
//
// The basic idea of this method is as follows:
//
//   1) Enumerate the triangles. At each triangle have space for some 
//      information that will be used during rendering. This includes 
//      which tetra the triangles belong to, the plane equation and the  
//      Barycentric coefficients.
//
//   2) Keep a reference to all four triangles for each tetra.
//
//   3) At the beginning of each render, do the precomputation. This 
//      includes creating an array of transformed points (in view 
//      coordinates) and computing the view dependent info per triangle
//      (plane equations and barycentric coords in view space)
//
//   4) Find all front facing boundary triangles (a triangle is on the
//      boundary if it belongs to only one tetra). For each triangle,
//      find all pixels in the image that intersect the triangle, and
//      add this to the sorted (by depth) intersection list at each 
//      pixel.
//
//   5) For each ray cast, traverse the intersection list. At each
//      intersection, accumulate opacity and color contribution
//      per tetra along the ray until you reach an exiting triangle
//      (on the boundary). 
//
//
//To create an instance of class vtkUnstructuredGridBunykRayCastFunction, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnstructuredGridBunykRayCastFunction
//@]
//@@Methods
//The class vtkUnstructuredGridBunykRayCastFunction has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnstructuredGridBunykRayCastFunction class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnstructuredGridBunykRayCastFunction = obj.NewInstance ()|
// \item @|vtkUnstructuredGridBunykRayCastFunction = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
