#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnstructuredGridHomogeneousRayIntegrator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnstructuredGridHomogeneousRayIntegrator.h"

//@@Signature
//sfunction @vtkUnstructuredGridHomogeneousRayIntegrator:vtkUnstructuredGridHomogeneousRayIntegrator vtkUnstructuredGridHomogeneousRayIntegratorConstructorFunction
//input a
//output p
//@@Parents vtkUnstructuredGridHomogeneousRayIntegrator vtkUnstructuredGridVolumeRayIntegrator 
ArrayVector vtkUnstructuredGridHomogeneousRayIntegratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnstructuredGridHomogeneousRayIntegrator::New(),"vtkUnstructuredGridHomogeneousRayIntegrator",eval);
  } else if (arg[0].className() == "vtkUnstructuredGridHomogeneousRayIntegrator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnstructuredGridHomogeneousRayIntegrator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnstructuredGridHomogeneousRayIntegrator");
    vtkUnstructuredGridHomogeneousRayIntegrator*q = reinterpret_cast<vtkUnstructuredGridHomogeneousRayIntegrator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnstructuredGridHomogeneousRayIntegrator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnstructuredGridHomogeneousRayIntegrator:GetClassName vtkUnstructuredGridHomogeneousRayIntegratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridHomogeneousRayIntegratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnstructuredGridHomogeneousRayIntegrator requires 1 argument(s)");
  vtkUnstructuredGridHomogeneousRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridHomogeneousRayIntegrator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridHomogeneousRayIntegrator:IsA vtkUnstructuredGridHomogeneousRayIntegratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridHomogeneousRayIntegratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnstructuredGridHomogeneousRayIntegrator requires 2 argument(s)");
  vtkUnstructuredGridHomogeneousRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridHomogeneousRayIntegrator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridHomogeneousRayIntegrator:NewInstance vtkUnstructuredGridHomogeneousRayIntegratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridHomogeneousRayIntegratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridHomogeneousRayIntegrator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnstructuredGridHomogeneousRayIntegrator requires 1 argument(s)");
  vtkUnstructuredGridHomogeneousRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridHomogeneousRayIntegrator>(arg[0]);
  Array retval;
  vtkUnstructuredGridHomogeneousRayIntegrator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridHomogeneousRayIntegrator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridHomogeneousRayIntegrator:SafeDownCast vtkUnstructuredGridHomogeneousRayIntegratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridHomogeneousRayIntegratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridHomogeneousRayIntegrator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnstructuredGridHomogeneousRayIntegrator requires 2 argument(s)");
  vtkUnstructuredGridHomogeneousRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridHomogeneousRayIntegrator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnstructuredGridHomogeneousRayIntegrator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridHomogeneousRayIntegrator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridHomogeneousRayIntegrator:Initialize vtkUnstructuredGridHomogeneousRayIntegratorInitializeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridHomogeneousRayIntegratorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (vtkVolume *volume, vtkDataArray *scalars); */
  if (arg.size() < 3) 
    throw Exception("Function Initialize for class vtkUnstructuredGridHomogeneousRayIntegrator requires 3 argument(s)");
  vtkUnstructuredGridHomogeneousRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridHomogeneousRayIntegrator>(arg[0]);
  Array retval;
  vtkVolume  *temp0;
  vtkDataArray  *temp1;
  temp0 = GetVTKPointer<vtkVolume>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  vtk_pointer->Initialize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridHomogeneousRayIntegrator:Integrate vtkUnstructuredGridHomogeneousRayIntegratorIntegrateFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkUnstructuredGridHomogeneousRayIntegratorIntegrateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Integrate (vtkDoubleArray *intersectionLengths, vtkDataArray *nearIntersections, vtkDataArray *farIntersections, float color[4]); */
  if (arg.size() < 5) 
    throw Exception("Function Integrate for class vtkUnstructuredGridHomogeneousRayIntegrator requires 5 argument(s)");
  vtkUnstructuredGridHomogeneousRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridHomogeneousRayIntegrator>(arg[0]);
  Array retval;
  vtkDoubleArray  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  float  temp3[4];
  temp0 = GetVTKPointer<vtkDoubleArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  if ( !(arg[4].isVector() && arg[4].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (float)data[k+1];
  }
  vtk_pointer->Integrate(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridHomogeneousRayIntegrator:SetTransferFunctionTableSize vtkUnstructuredGridHomogeneousRayIntegratorSetTransferFunctionTableSizeFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridHomogeneousRayIntegratorSetTransferFunctionTableSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTransferFunctionTableSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransferFunctionTableSize for class vtkUnstructuredGridHomogeneousRayIntegrator requires 2 argument(s)");
  vtkUnstructuredGridHomogeneousRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridHomogeneousRayIntegrator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTransferFunctionTableSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridHomogeneousRayIntegrator:GetTransferFunctionTableSize vtkUnstructuredGridHomogeneousRayIntegratorGetTransferFunctionTableSizeFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridHomogeneousRayIntegratorGetTransferFunctionTableSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTransferFunctionTableSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransferFunctionTableSize for class vtkUnstructuredGridHomogeneousRayIntegrator requires 1 argument(s)");
  vtkUnstructuredGridHomogeneousRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridHomogeneousRayIntegrator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTransferFunctionTableSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridHomogeneousRayIntegrator:display vtkUnstructuredGridHomogeneousRayIntegratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridHomogeneousRayIntegratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnstructuredGridHomogeneousRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridHomogeneousRayIntegrator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnstructuredGridHomogeneousRayIntegrator:delete vtkUnstructuredGridHomogeneousRayIntegratorDeleteFunction
//input varargin
//output none
ArrayVector vtkUnstructuredGridHomogeneousRayIntegratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnstructuredGridHomogeneousRayIntegrator
//@@Section VTKVolumeRendering
//@@Usage
//
// vtkUnstructuredGridHomogeneousRayIntegrator performs homogeneous ray
// integration.  This is a good method to use when volume rendering scalars
// that are defined on cells.
//
//
//To create an instance of class vtkUnstructuredGridHomogeneousRayIntegrator, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnstructuredGridHomogeneousRayIntegrator
//@]
//@@Methods
//The class vtkUnstructuredGridHomogeneousRayIntegrator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnstructuredGridHomogeneousRayIntegrator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnstructuredGridHomogeneousRayIntegrator = obj.NewInstance ()|
// \item @|vtkUnstructuredGridHomogeneousRayIntegrator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize (vtkVolume volume, vtkDataArray scalars)|
// \item @|obj.Integrate (vtkDoubleArray intersectionLengths, vtkDataArray nearIntersections, vtkDataArray farIntersections, float color[4])|
// \item @|obj.SetTransferFunctionTableSize (int )| -  For quick lookup, the transfer function is sampled into a table.
// This parameter sets how big of a table to use.  By default, 1024
// entries are used.
//// \item @|int = obj.GetTransferFunctionTableSize ()| -  For quick lookup, the transfer function is sampled into a table.
// This parameter sets how big of a table to use.  By default, 1024
// entries are used.
////\end{itemize}
//!
