#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnstructuredGridLinearRayIntegrator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnstructuredGridLinearRayIntegrator.h"

//@@Signature
//sfunction @vtkUnstructuredGridLinearRayIntegrator:vtkUnstructuredGridLinearRayIntegrator vtkUnstructuredGridLinearRayIntegratorConstructorFunction
//input a
//output p
//@@Parents vtkUnstructuredGridLinearRayIntegrator vtkUnstructuredGridVolumeRayIntegrator 
ArrayVector vtkUnstructuredGridLinearRayIntegratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnstructuredGridLinearRayIntegrator::New(),"vtkUnstructuredGridLinearRayIntegrator",eval);
  } else if (arg[0].className() == "vtkUnstructuredGridLinearRayIntegrator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnstructuredGridLinearRayIntegrator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnstructuredGridLinearRayIntegrator");
    vtkUnstructuredGridLinearRayIntegrator*q = reinterpret_cast<vtkUnstructuredGridLinearRayIntegrator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnstructuredGridLinearRayIntegrator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnstructuredGridLinearRayIntegrator:GetClassName vtkUnstructuredGridLinearRayIntegratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridLinearRayIntegratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnstructuredGridLinearRayIntegrator requires 1 argument(s)");
  vtkUnstructuredGridLinearRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridLinearRayIntegrator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridLinearRayIntegrator:IsA vtkUnstructuredGridLinearRayIntegratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridLinearRayIntegratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnstructuredGridLinearRayIntegrator requires 2 argument(s)");
  vtkUnstructuredGridLinearRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridLinearRayIntegrator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridLinearRayIntegrator:NewInstance vtkUnstructuredGridLinearRayIntegratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridLinearRayIntegratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridLinearRayIntegrator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnstructuredGridLinearRayIntegrator requires 1 argument(s)");
  vtkUnstructuredGridLinearRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridLinearRayIntegrator>(arg[0]);
  Array retval;
  vtkUnstructuredGridLinearRayIntegrator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridLinearRayIntegrator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridLinearRayIntegrator:SafeDownCast vtkUnstructuredGridLinearRayIntegratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridLinearRayIntegratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridLinearRayIntegrator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnstructuredGridLinearRayIntegrator requires 2 argument(s)");
  vtkUnstructuredGridLinearRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridLinearRayIntegrator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnstructuredGridLinearRayIntegrator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridLinearRayIntegrator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridLinearRayIntegrator:Initialize vtkUnstructuredGridLinearRayIntegratorInitializeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridLinearRayIntegratorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (vtkVolume *volume, vtkDataArray *scalars); */
  if (arg.size() < 3) 
    throw Exception("Function Initialize for class vtkUnstructuredGridLinearRayIntegrator requires 3 argument(s)");
  vtkUnstructuredGridLinearRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridLinearRayIntegrator>(arg[0]);
  Array retval;
  vtkVolume  *temp0;
  vtkDataArray  *temp1;
  temp0 = GetVTKPointer<vtkVolume>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  vtk_pointer->Initialize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridLinearRayIntegrator:Integrate vtkUnstructuredGridLinearRayIntegratorIntegrateFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkUnstructuredGridLinearRayIntegratorIntegrateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Integrate (vtkDoubleArray *intersectionLengths, vtkDataArray *nearIntersections, vtkDataArray *farIntersections, float color[4]); */
  if (arg.size() < 5) 
    throw Exception("Function Integrate for class vtkUnstructuredGridLinearRayIntegrator requires 5 argument(s)");
  vtkUnstructuredGridLinearRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridLinearRayIntegrator>(arg[0]);
  Array retval;
  vtkDoubleArray  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  float  temp3[4];
  temp0 = GetVTKPointer<vtkDoubleArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  if ( !(arg[4].isVector() && arg[4].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (float)data[k+1];
  }
  vtk_pointer->Integrate(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridLinearRayIntegrator:IntegrateRay__1 vtkUnstructuredGridLinearRayIntegratorIntegrateRay__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkUnstructuredGridLinearRayIntegratorIntegrateRay__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void IntegrateRay (double length, double intensity_front, double attenuation_front, double intensity_back, double attenuation_back, float color[4]); */
  if (arg.size() < 7) 
    throw Exception("Function IntegrateRay__1 for class vtkUnstructuredGridLinearRayIntegrator requires 7 argument(s)");
  vtkUnstructuredGridLinearRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridLinearRayIntegrator>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  float  temp5[4];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !(arg[6].isVector() && arg[6].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[6].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp5[k] = (float)data[k+1];
  }
  vtk_pointer->IntegrateRay(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridLinearRayIntegrator:IntegrateRay__2 vtkUnstructuredGridLinearRayIntegratorIntegrateRay__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkUnstructuredGridLinearRayIntegratorIntegrateRay__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void IntegrateRay (double length, const double color_front[3], double attenuation_front, const double color_back[3], double attenuation_back, float color[4]); */
  if (arg.size() < 7) 
    throw Exception("Function IntegrateRay__2 for class vtkUnstructuredGridLinearRayIntegrator requires 7 argument(s)");
  vtkUnstructuredGridLinearRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridLinearRayIntegrator>(arg[0]);
  Array retval;
  double   temp0;
  double temp1[3];
  double   temp2;
  double temp3[3];
  double   temp4;
  float  temp5[4];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[5].asDouble();
  if ( !(arg[6].isVector() && arg[6].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[6].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !arg[9].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[9].asDouble();
  if ( !(arg[10].isVector() && arg[10].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[10].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp5[k] = (float)data[k+1];
  }
  vtk_pointer->IntegrateRay(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridLinearRayIntegrator:Psi vtkUnstructuredGridLinearRayIntegratorPsiFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkUnstructuredGridLinearRayIntegratorPsiFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static float Psi (float length, float attenuation_front, float attenuation_back); */
  if (arg.size() < 4) 
    throw Exception("Function Psi for class vtkUnstructuredGridLinearRayIntegrator requires 4 argument(s)");
  vtkUnstructuredGridLinearRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridLinearRayIntegrator>(arg[0]);
  Array retval;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->Psi(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridLinearRayIntegrator:IntegrateRay vtkUnstructuredGridLinearRayIntegratorIntegrateRayFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridLinearRayIntegratorIntegrateRayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsVectorArg(arg[6]))
    return vtkUnstructuredGridLinearRayIntegratorIntegrateRay__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsVectorArg(arg[6]))
    return vtkUnstructuredGridLinearRayIntegratorIntegrateRay__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUnstructuredGridLinearRayIntegratorIntegrateRay");
}

//@@Signature
//sfunction @vtkUnstructuredGridLinearRayIntegrator:display vtkUnstructuredGridLinearRayIntegratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridLinearRayIntegratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnstructuredGridLinearRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridLinearRayIntegrator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnstructuredGridLinearRayIntegrator:delete vtkUnstructuredGridLinearRayIntegratorDeleteFunction
//input varargin
//output none
ArrayVector vtkUnstructuredGridLinearRayIntegratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnstructuredGridLinearRayIntegrator
//@@Section VTKVolumeRendering
//@@Usage
//
// vtkUnstructuredGridLinearRayIntegrator performs piecewise linear ray
// integration.  Considering that transfer functions in VTK are piecewise
// linear, this class should give the "correct" integration under most
// circumstances.  However, the computations performed are fairly hefty and
// should, for the most part, only be used as a benchmark for other, faster
// methods.
//
//
//To create an instance of class vtkUnstructuredGridLinearRayIntegrator, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnstructuredGridLinearRayIntegrator
//@]
//@@Methods
//The class vtkUnstructuredGridLinearRayIntegrator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnstructuredGridLinearRayIntegrator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnstructuredGridLinearRayIntegrator = obj.NewInstance ()|
// \item @|vtkUnstructuredGridLinearRayIntegrator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize (vtkVolume volume, vtkDataArray scalars)|
// \item @|obj.Integrate (vtkDoubleArray intersectionLengths, vtkDataArray nearIntersections, vtkDataArray farIntersections, float color[4])|
//\end{itemize}
//!
