#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnstructuredGridPreIntegration object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnstructuredGridPreIntegration.h"

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:vtkUnstructuredGridPreIntegration vtkUnstructuredGridPreIntegrationConstructorFunction
//input a
//output p
//@@Parents vtkUnstructuredGridPreIntegration vtkUnstructuredGridVolumeRayIntegrator 
ArrayVector vtkUnstructuredGridPreIntegrationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnstructuredGridPreIntegration::New(),"vtkUnstructuredGridPreIntegration",eval);
  } else if (arg[0].className() == "vtkUnstructuredGridPreIntegration") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnstructuredGridPreIntegration"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnstructuredGridPreIntegration");
    vtkUnstructuredGridPreIntegration*q = reinterpret_cast<vtkUnstructuredGridPreIntegration*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnstructuredGridPreIntegration");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:GetClassName vtkUnstructuredGridPreIntegrationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridPreIntegrationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnstructuredGridPreIntegration requires 1 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:IsA vtkUnstructuredGridPreIntegrationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridPreIntegrationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnstructuredGridPreIntegration requires 2 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:NewInstance vtkUnstructuredGridPreIntegrationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridPreIntegrationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridPreIntegration *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnstructuredGridPreIntegration requires 1 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  vtkUnstructuredGridPreIntegration  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridPreIntegration",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:SafeDownCast vtkUnstructuredGridPreIntegrationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridPreIntegrationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridPreIntegration *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnstructuredGridPreIntegration requires 2 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnstructuredGridPreIntegration  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridPreIntegration",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:Initialize vtkUnstructuredGridPreIntegrationInitializeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridPreIntegrationInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (vtkVolume *volume, vtkDataArray *scalars); */
  if (arg.size() < 3) 
    throw Exception("Function Initialize for class vtkUnstructuredGridPreIntegration requires 3 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  vtkVolume  *temp0;
  vtkDataArray  *temp1;
  temp0 = GetVTKPointer<vtkVolume>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  vtk_pointer->Initialize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:Integrate vtkUnstructuredGridPreIntegrationIntegrateFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkUnstructuredGridPreIntegrationIntegrateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Integrate (vtkDoubleArray *intersectionLengths, vtkDataArray *nearIntersections, vtkDataArray *farIntersections, float color[4]); */
  if (arg.size() < 5) 
    throw Exception("Function Integrate for class vtkUnstructuredGridPreIntegration requires 5 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  vtkDoubleArray  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  float  temp3[4];
  temp0 = GetVTKPointer<vtkDoubleArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  if ( !(arg[4].isVector() && arg[4].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (float)data[k+1];
  }
  vtk_pointer->Integrate(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:GetIntegrator vtkUnstructuredGridPreIntegrationGetIntegratorFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridPreIntegrationGetIntegratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridVolumeRayIntegrator *GetIntegrator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrator for class vtkUnstructuredGridPreIntegration requires 1 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  vtkUnstructuredGridVolumeRayIntegrator  *temp20;
  temp20 = (vtk_pointer)->GetIntegrator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridVolumeRayIntegrator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:SetIntegrator vtkUnstructuredGridPreIntegrationSetIntegratorFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridPreIntegrationSetIntegratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetIntegrator (vtkUnstructuredGridVolumeRayIntegrator *); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntegrator for class vtkUnstructuredGridPreIntegration requires 2 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  vtkUnstructuredGridVolumeRayIntegrator  *temp0;
  temp0 = GetVTKPointer<vtkUnstructuredGridVolumeRayIntegrator>(arg[1]);
  vtk_pointer->SetIntegrator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:SetIntegrationTableScalarResolution vtkUnstructuredGridPreIntegrationSetIntegrationTableScalarResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridPreIntegrationSetIntegrationTableScalarResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationTableScalarResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntegrationTableScalarResolution for class vtkUnstructuredGridPreIntegration requires 2 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIntegrationTableScalarResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:GetIntegrationTableScalarResolution vtkUnstructuredGridPreIntegrationGetIntegrationTableScalarResolutionFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridPreIntegrationGetIntegrationTableScalarResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntegrationTableScalarResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationTableScalarResolution for class vtkUnstructuredGridPreIntegration requires 1 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntegrationTableScalarResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:SetIntegrationTableLengthResolution vtkUnstructuredGridPreIntegrationSetIntegrationTableLengthResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridPreIntegrationSetIntegrationTableLengthResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationTableLengthResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntegrationTableLengthResolution for class vtkUnstructuredGridPreIntegration requires 2 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIntegrationTableLengthResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:GetIntegrationTableLengthResolution vtkUnstructuredGridPreIntegrationGetIntegrationTableLengthResolutionFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridPreIntegrationGetIntegrationTableLengthResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntegrationTableLengthResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationTableLengthResolution for class vtkUnstructuredGridPreIntegration requires 1 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntegrationTableLengthResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:GetIntegrationTableScalarShift vtkUnstructuredGridPreIntegrationGetIntegrationTableScalarShiftFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridPreIntegrationGetIntegrationTableScalarShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetIntegrationTableScalarShift (int component); */
  if (arg.size() < 2) 
    throw Exception("Function GetIntegrationTableScalarShift for class vtkUnstructuredGridPreIntegration requires 2 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetIntegrationTableScalarShift(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:GetIntegrationTableScalarScale vtkUnstructuredGridPreIntegrationGetIntegrationTableScalarScaleFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridPreIntegrationGetIntegrationTableScalarScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetIntegrationTableScalarScale (int component); */
  if (arg.size() < 2) 
    throw Exception("Function GetIntegrationTableScalarScale for class vtkUnstructuredGridPreIntegration requires 2 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetIntegrationTableScalarScale(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:GetIntegrationTableLengthScale vtkUnstructuredGridPreIntegrationGetIntegrationTableLengthScaleFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridPreIntegrationGetIntegrationTableLengthScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetIntegrationTableLengthScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationTableLengthScale for class vtkUnstructuredGridPreIntegration requires 1 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetIntegrationTableLengthScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:GetIncrementalPreIntegration vtkUnstructuredGridPreIntegrationGetIncrementalPreIntegrationFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridPreIntegrationGetIncrementalPreIntegrationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIncrementalPreIntegration (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIncrementalPreIntegration for class vtkUnstructuredGridPreIntegration requires 1 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIncrementalPreIntegration();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:SetIncrementalPreIntegration vtkUnstructuredGridPreIntegrationSetIncrementalPreIntegrationFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridPreIntegrationSetIncrementalPreIntegrationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIncrementalPreIntegration (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIncrementalPreIntegration for class vtkUnstructuredGridPreIntegration requires 2 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIncrementalPreIntegration(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:IncrementalPreIntegrationOn vtkUnstructuredGridPreIntegrationIncrementalPreIntegrationOnFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridPreIntegrationIncrementalPreIntegrationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IncrementalPreIntegrationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IncrementalPreIntegrationOn for class vtkUnstructuredGridPreIntegration requires 1 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  vtk_pointer->IncrementalPreIntegrationOn();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:IncrementalPreIntegrationOff vtkUnstructuredGridPreIntegrationIncrementalPreIntegrationOffFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridPreIntegrationIncrementalPreIntegrationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IncrementalPreIntegrationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IncrementalPreIntegrationOff for class vtkUnstructuredGridPreIntegration requires 1 argument(s)");
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  Array retval;
  vtk_pointer->IncrementalPreIntegrationOff();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridPreIntegration:display vtkUnstructuredGridPreIntegrationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridPreIntegrationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnstructuredGridPreIntegration* vtk_pointer = GetVTKPointer<vtkUnstructuredGridPreIntegration>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnstructuredGridPreIntegration:delete vtkUnstructuredGridPreIntegrationDeleteFunction
//input varargin
//output none
ArrayVector vtkUnstructuredGridPreIntegrationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnstructuredGridPreIntegration
//@@Section VTKVolumeRendering
//@@Usage
//
// vtkUnstructuredGridPreIntegration performs ray integration by looking
// into a precomputed table.  The result should be equivalent to that
// computed by vtkUnstructuredGridLinearRayIntegrator and
// vtkUnstructuredGridPartialPreIntegration, but faster than either one.
// The pre-integration algorithm was first introduced by Roettger, Kraus,
// and Ertl in "Hardware-Accelerated Volume And Isosurface Rendering Based
// On Cell-Projection."
//
// Due to table size limitations, a table can only be indexed by
// independent scalars.  Thus, dependent scalars are not supported.
//
//
//To create an instance of class vtkUnstructuredGridPreIntegration, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnstructuredGridPreIntegration
//@]
//@@Methods
//The class vtkUnstructuredGridPreIntegration has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnstructuredGridPreIntegration class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnstructuredGridPreIntegration = obj.NewInstance ()|
// \item @|vtkUnstructuredGridPreIntegration = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize (vtkVolume volume, vtkDataArray scalars)|
// \item @|obj.Integrate (vtkDoubleArray intersectionLengths, vtkDataArray nearIntersections, vtkDataArray farIntersections, float color[4])|
// \item @|vtkUnstructuredGridVolumeRayIntegrator = obj.GetIntegrator ()| -  The class used to fill the pre integration table.  By default, a
// vtkUnstructuredGridPartialPreIntegration is built.
//// \item @|obj.SetIntegrator (vtkUnstructuredGridVolumeRayIntegrator )| -  The class used to fill the pre integration table.  By default, a
// vtkUnstructuredGridPartialPreIntegration is built.
//// \item @|obj.SetIntegrationTableScalarResolution (int )| -  Set/Get the size of the integration table built.
//// \item @|int = obj.GetIntegrationTableScalarResolution ()| -  Set/Get the size of the integration table built.
//// \item @|obj.SetIntegrationTableLengthResolution (int )| -  Set/Get the size of the integration table built.
//// \item @|int = obj.GetIntegrationTableLengthResolution ()| -  Set/Get the size of the integration table built.
//// \item @|double = obj.GetIntegrationTableScalarShift (int component)| -  Get how an integration table is indexed.
//// \item @|double = obj.GetIntegrationTableScalarScale (int component)| -  Get how an integration table is indexed.
//// \item @|double = obj.GetIntegrationTableLengthScale ()| -  Get how an integration table is indexed.
//// \item @|int = obj.GetIncrementalPreIntegration ()| -  Get/set whether to use incremental pre-integration (by default it's
// on).  Incremental pre-integration is much faster but can introduce
// error due to numerical imprecision.  Under most circumstances, the
// error is not noticable.
//// \item @|obj.SetIncrementalPreIntegration (int )| -  Get/set whether to use incremental pre-integration (by default it's
// on).  Incremental pre-integration is much faster but can introduce
// error due to numerical imprecision.  Under most circumstances, the
// error is not noticable.
//// \item @|obj.IncrementalPreIntegrationOn ()| -  Get/set whether to use incremental pre-integration (by default it's
// on).  Incremental pre-integration is much faster but can introduce
// error due to numerical imprecision.  Under most circumstances, the
// error is not noticable.
//// \item @|obj.IncrementalPreIntegrationOff ()| -  Get/set whether to use incremental pre-integration (by default it's
// on).  Incremental pre-integration is much faster but can introduce
// error due to numerical imprecision.  Under most circumstances, the
// error is not noticable.
////\end{itemize}
//!
