#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnstructuredGridVolumeMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnstructuredGridVolumeMapper.h"

//@@Signature
//sfunction @vtkUnstructuredGridVolumeMapper:vtkUnstructuredGridVolumeMapper vtkUnstructuredGridVolumeMapperConstructorFunction
//input a
//output p
//@@Parents vtkUnstructuredGridVolumeMapper vtkAbstractVolumeMapper 
ArrayVector vtkUnstructuredGridVolumeMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnstructuredGridVolumeMapper::New(),"vtkUnstructuredGridVolumeMapper",eval);
  } else if (arg[0].className() == "vtkUnstructuredGridVolumeMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnstructuredGridVolumeMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnstructuredGridVolumeMapper");
    vtkUnstructuredGridVolumeMapper*q = reinterpret_cast<vtkUnstructuredGridVolumeMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnstructuredGridVolumeMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnstructuredGridVolumeMapper:GetClassName vtkUnstructuredGridVolumeMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnstructuredGridVolumeMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeMapper:IsA vtkUnstructuredGridVolumeMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridVolumeMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnstructuredGridVolumeMapper requires 2 argument(s)");
  vtkUnstructuredGridVolumeMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeMapper:NewInstance vtkUnstructuredGridVolumeMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridVolumeMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnstructuredGridVolumeMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeMapper>(arg[0]);
  Array retval;
  vtkUnstructuredGridVolumeMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridVolumeMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeMapper:SafeDownCast vtkUnstructuredGridVolumeMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridVolumeMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridVolumeMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnstructuredGridVolumeMapper requires 2 argument(s)");
  vtkUnstructuredGridVolumeMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnstructuredGridVolumeMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridVolumeMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeMapper:SetInput__1 vtkUnstructuredGridVolumeMapperSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridVolumeMapperSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkUnstructuredGrid *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkUnstructuredGridVolumeMapper requires 2 argument(s)");
  vtkUnstructuredGridVolumeMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeMapper>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp0;
  temp0 = GetVTKPointer<vtkUnstructuredGrid>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeMapper:SetInput__2 vtkUnstructuredGridVolumeMapperSetInput__2Function
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridVolumeMapperSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkDataSet *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__2 for class vtkUnstructuredGridVolumeMapper requires 2 argument(s)");
  vtkUnstructuredGridVolumeMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeMapper>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeMapper:GetInput vtkUnstructuredGridVolumeMapperGetInputFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeMapperGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkUnstructuredGridVolumeMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeMapper>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeMapper:SetBlendMode vtkUnstructuredGridVolumeMapperSetBlendModeFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridVolumeMapperSetBlendModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlendMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBlendMode for class vtkUnstructuredGridVolumeMapper requires 2 argument(s)");
  vtkUnstructuredGridVolumeMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBlendMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeMapper:SetBlendModeToComposite vtkUnstructuredGridVolumeMapperSetBlendModeToCompositeFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridVolumeMapperSetBlendModeToCompositeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlendModeToComposite ();this SetBlendMode vtkUnstructuredGridVolumeMapper COMPOSITE_BLEND  */
  if (arg.size() < 1) 
    throw Exception("Function SetBlendModeToComposite for class vtkUnstructuredGridVolumeMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetBlendModeToComposite();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeMapper:SetBlendModeToMaximumIntensity vtkUnstructuredGridVolumeMapperSetBlendModeToMaximumIntensityFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridVolumeMapperSetBlendModeToMaximumIntensityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlendModeToMaximumIntensity ();this SetBlendMode vtkUnstructuredGridVolumeMapper MAXIMUM_INTENSITY_BLEND  */
  if (arg.size() < 1) 
    throw Exception("Function SetBlendModeToMaximumIntensity for class vtkUnstructuredGridVolumeMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetBlendModeToMaximumIntensity();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeMapper:GetBlendMode vtkUnstructuredGridVolumeMapperGetBlendModeFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeMapperGetBlendModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBlendMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBlendMode for class vtkUnstructuredGridVolumeMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBlendMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeMapper:SetInput vtkUnstructuredGridVolumeMapperSetInputFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridVolumeMapperSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkUnstructuredGrid"))
    return vtkUnstructuredGridVolumeMapperSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataSet"))
    return vtkUnstructuredGridVolumeMapperSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUnstructuredGridVolumeMapperSetInput");
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeMapper:display vtkUnstructuredGridVolumeMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridVolumeMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnstructuredGridVolumeMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnstructuredGridVolumeMapper:delete vtkUnstructuredGridVolumeMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkUnstructuredGridVolumeMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnstructuredGridVolumeMapper
//@@Section VTKVolumeRendering
//@@Usage
// vtkUnstructuredGridVolumeMapper is the abstract definition of a volume mapper for 
// unstructured data (vtkUnstructuredGrid).  Several  basic types of volume mappers 
// are supported as subclasses
//
//To create an instance of class vtkUnstructuredGridVolumeMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnstructuredGridVolumeMapper
//@]
//@@Methods
//The class vtkUnstructuredGridVolumeMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnstructuredGridVolumeMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnstructuredGridVolumeMapper = obj.NewInstance ()|
// \item @|vtkUnstructuredGridVolumeMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkUnstructuredGrid )| -  Set/Get the input data
//// \item @|obj.SetInput (vtkDataSet )| -  Set/Get the input data
//// \item @|vtkUnstructuredGrid = obj.GetInput ()| -  Set/Get the input data
//// \item @|obj.SetBlendMode (int )|
// \item @|obj.SetBlendModeToComposite ()|
// \item @|obj.SetBlendModeToMaximumIntensity ()|
// \item @|int = obj.GetBlendMode ()|
//\end{itemize}
//!
