#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnstructuredGridVolumeRayCastFunction object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnstructuredGridVolumeRayCastFunction.h"

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastFunction:vtkUnstructuredGridVolumeRayCastFunction vtkUnstructuredGridVolumeRayCastFunctionConstructorFunction
//input a
//output p
//@@Parents vtkUnstructuredGridVolumeRayCastFunction vtkObject 
ArrayVector vtkUnstructuredGridVolumeRayCastFunctionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnstructuredGridVolumeRayCastFunction::New(),"vtkUnstructuredGridVolumeRayCastFunction",eval);
  } else if (arg[0].className() == "vtkUnstructuredGridVolumeRayCastFunction") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnstructuredGridVolumeRayCastFunction"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnstructuredGridVolumeRayCastFunction");
    vtkUnstructuredGridVolumeRayCastFunction*q = reinterpret_cast<vtkUnstructuredGridVolumeRayCastFunction*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnstructuredGridVolumeRayCastFunction");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastFunction:GetClassName vtkUnstructuredGridVolumeRayCastFunctionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastFunctionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnstructuredGridVolumeRayCastFunction requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastFunction* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastFunction>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastFunction:IsA vtkUnstructuredGridVolumeRayCastFunctionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastFunctionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnstructuredGridVolumeRayCastFunction requires 2 argument(s)");
  vtkUnstructuredGridVolumeRayCastFunction* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastFunction>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastFunction:NewInstance vtkUnstructuredGridVolumeRayCastFunctionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastFunctionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridVolumeRayCastFunction *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnstructuredGridVolumeRayCastFunction requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastFunction* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastFunction>(arg[0]);
  Array retval;
  vtkUnstructuredGridVolumeRayCastFunction  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridVolumeRayCastFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastFunction:SafeDownCast vtkUnstructuredGridVolumeRayCastFunctionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastFunctionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridVolumeRayCastFunction *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnstructuredGridVolumeRayCastFunction requires 2 argument(s)");
  vtkUnstructuredGridVolumeRayCastFunction* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastFunction>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnstructuredGridVolumeRayCastFunction  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridVolumeRayCastFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastFunction:display vtkUnstructuredGridVolumeRayCastFunctionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridVolumeRayCastFunctionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnstructuredGridVolumeRayCastFunction* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastFunction>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnstructuredGridVolumeRayCastFunction:delete vtkUnstructuredGridVolumeRayCastFunctionDeleteFunction
//input varargin
//output none
ArrayVector vtkUnstructuredGridVolumeRayCastFunctionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnstructuredGridVolumeRayCastFunction
//@@Section VTKVolumeRendering
//@@Usage
// vtkUnstructuredGridVolumeRayCastFunction is a superclass for ray casting functions that 
// can be used within a vtkUnstructuredGridVolumeRayCastMapper. 
//
//To create an instance of class vtkUnstructuredGridVolumeRayCastFunction, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnstructuredGridVolumeRayCastFunction
//@]
//@@Methods
//The class vtkUnstructuredGridVolumeRayCastFunction has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnstructuredGridVolumeRayCastFunction class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnstructuredGridVolumeRayCastFunction = obj.NewInstance ()|
// \item @|vtkUnstructuredGridVolumeRayCastFunction = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
