#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnstructuredGridVolumeRayCastMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnstructuredGridVolumeRayCastMapper.h"

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:vtkUnstructuredGridVolumeRayCastMapper vtkUnstructuredGridVolumeRayCastMapperConstructorFunction
//input a
//output p
//@@Parents vtkUnstructuredGridVolumeRayCastMapper vtkUnstructuredGridVolumeMapper 
ArrayVector vtkUnstructuredGridVolumeRayCastMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnstructuredGridVolumeRayCastMapper::New(),"vtkUnstructuredGridVolumeRayCastMapper",eval);
  } else if (arg[0].className() == "vtkUnstructuredGridVolumeRayCastMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnstructuredGridVolumeRayCastMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnstructuredGridVolumeRayCastMapper");
    vtkUnstructuredGridVolumeRayCastMapper*q = reinterpret_cast<vtkUnstructuredGridVolumeRayCastMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnstructuredGridVolumeRayCastMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetClassName vtkUnstructuredGridVolumeRayCastMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:IsA vtkUnstructuredGridVolumeRayCastMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnstructuredGridVolumeRayCastMapper requires 2 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:NewInstance vtkUnstructuredGridVolumeRayCastMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridVolumeRayCastMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkUnstructuredGridVolumeRayCastMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridVolumeRayCastMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:SafeDownCast vtkUnstructuredGridVolumeRayCastMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridVolumeRayCastMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnstructuredGridVolumeRayCastMapper requires 2 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnstructuredGridVolumeRayCastMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridVolumeRayCastMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:SetImageSampleDistance vtkUnstructuredGridVolumeRayCastMapperSetImageSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridVolumeRayCastMapperSetImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageSampleDistance (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageSampleDistance for class vtkUnstructuredGridVolumeRayCastMapper requires 2 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetImageSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetImageSampleDistanceMinValue vtkUnstructuredGridVolumeRayCastMapperGetImageSampleDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetImageSampleDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetImageSampleDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageSampleDistanceMinValue for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetImageSampleDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetImageSampleDistanceMaxValue vtkUnstructuredGridVolumeRayCastMapperGetImageSampleDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetImageSampleDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetImageSampleDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageSampleDistanceMaxValue for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetImageSampleDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetImageSampleDistance vtkUnstructuredGridVolumeRayCastMapperGetImageSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetImageSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageSampleDistance for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetImageSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:SetMinimumImageSampleDistance vtkUnstructuredGridVolumeRayCastMapperSetMinimumImageSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridVolumeRayCastMapperSetMinimumImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumImageSampleDistance (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumImageSampleDistance for class vtkUnstructuredGridVolumeRayCastMapper requires 2 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumImageSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetMinimumImageSampleDistanceMinValue vtkUnstructuredGridVolumeRayCastMapperGetMinimumImageSampleDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetMinimumImageSampleDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMinimumImageSampleDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumImageSampleDistanceMinValue for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMinimumImageSampleDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetMinimumImageSampleDistanceMaxValue vtkUnstructuredGridVolumeRayCastMapperGetMinimumImageSampleDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetMinimumImageSampleDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMinimumImageSampleDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumImageSampleDistanceMaxValue for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMinimumImageSampleDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetMinimumImageSampleDistance vtkUnstructuredGridVolumeRayCastMapperGetMinimumImageSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetMinimumImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMinimumImageSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumImageSampleDistance for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMinimumImageSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:SetMaximumImageSampleDistance vtkUnstructuredGridVolumeRayCastMapperSetMaximumImageSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridVolumeRayCastMapperSetMaximumImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumImageSampleDistance (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumImageSampleDistance for class vtkUnstructuredGridVolumeRayCastMapper requires 2 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumImageSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetMaximumImageSampleDistanceMinValue vtkUnstructuredGridVolumeRayCastMapperGetMaximumImageSampleDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetMaximumImageSampleDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaximumImageSampleDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumImageSampleDistanceMinValue for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaximumImageSampleDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetMaximumImageSampleDistanceMaxValue vtkUnstructuredGridVolumeRayCastMapperGetMaximumImageSampleDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetMaximumImageSampleDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaximumImageSampleDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumImageSampleDistanceMaxValue for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaximumImageSampleDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetMaximumImageSampleDistance vtkUnstructuredGridVolumeRayCastMapperGetMaximumImageSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetMaximumImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaximumImageSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumImageSampleDistance for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaximumImageSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:SetAutoAdjustSampleDistances vtkUnstructuredGridVolumeRayCastMapperSetAutoAdjustSampleDistancesFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridVolumeRayCastMapperSetAutoAdjustSampleDistancesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutoAdjustSampleDistances (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutoAdjustSampleDistances for class vtkUnstructuredGridVolumeRayCastMapper requires 2 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutoAdjustSampleDistances(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetAutoAdjustSampleDistancesMinValue vtkUnstructuredGridVolumeRayCastMapperGetAutoAdjustSampleDistancesMinValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetAutoAdjustSampleDistancesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustSampleDistancesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustSampleDistancesMinValue for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustSampleDistancesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetAutoAdjustSampleDistancesMaxValue vtkUnstructuredGridVolumeRayCastMapperGetAutoAdjustSampleDistancesMaxValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetAutoAdjustSampleDistancesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustSampleDistancesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustSampleDistancesMaxValue for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustSampleDistancesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetAutoAdjustSampleDistances vtkUnstructuredGridVolumeRayCastMapperGetAutoAdjustSampleDistancesFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetAutoAdjustSampleDistancesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustSampleDistances (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustSampleDistances for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustSampleDistances();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:AutoAdjustSampleDistancesOn vtkUnstructuredGridVolumeRayCastMapperAutoAdjustSampleDistancesOnFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridVolumeRayCastMapperAutoAdjustSampleDistancesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoAdjustSampleDistancesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoAdjustSampleDistancesOn for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->AutoAdjustSampleDistancesOn();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:AutoAdjustSampleDistancesOff vtkUnstructuredGridVolumeRayCastMapperAutoAdjustSampleDistancesOffFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridVolumeRayCastMapperAutoAdjustSampleDistancesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoAdjustSampleDistancesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoAdjustSampleDistancesOff for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->AutoAdjustSampleDistancesOff();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:SetNumberOfThreads vtkUnstructuredGridVolumeRayCastMapperSetNumberOfThreadsFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridVolumeRayCastMapperSetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfThreads (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfThreads for class vtkUnstructuredGridVolumeRayCastMapper requires 2 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfThreads(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetNumberOfThreads vtkUnstructuredGridVolumeRayCastMapperGetNumberOfThreadsFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreads (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreads for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreads();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:SetIntermixIntersectingGeometry vtkUnstructuredGridVolumeRayCastMapperSetIntermixIntersectingGeometryFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridVolumeRayCastMapperSetIntermixIntersectingGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntermixIntersectingGeometry (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntermixIntersectingGeometry for class vtkUnstructuredGridVolumeRayCastMapper requires 2 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIntermixIntersectingGeometry(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetIntermixIntersectingGeometryMinValue vtkUnstructuredGridVolumeRayCastMapperGetIntermixIntersectingGeometryMinValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetIntermixIntersectingGeometryMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntermixIntersectingGeometryMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntermixIntersectingGeometryMinValue for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntermixIntersectingGeometryMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetIntermixIntersectingGeometryMaxValue vtkUnstructuredGridVolumeRayCastMapperGetIntermixIntersectingGeometryMaxValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetIntermixIntersectingGeometryMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntermixIntersectingGeometryMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntermixIntersectingGeometryMaxValue for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntermixIntersectingGeometryMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetIntermixIntersectingGeometry vtkUnstructuredGridVolumeRayCastMapperGetIntermixIntersectingGeometryFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetIntermixIntersectingGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntermixIntersectingGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntermixIntersectingGeometry for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntermixIntersectingGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:IntermixIntersectingGeometryOn vtkUnstructuredGridVolumeRayCastMapperIntermixIntersectingGeometryOnFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridVolumeRayCastMapperIntermixIntersectingGeometryOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IntermixIntersectingGeometryOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IntermixIntersectingGeometryOn for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->IntermixIntersectingGeometryOn();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:IntermixIntersectingGeometryOff vtkUnstructuredGridVolumeRayCastMapperIntermixIntersectingGeometryOffFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridVolumeRayCastMapperIntermixIntersectingGeometryOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IntermixIntersectingGeometryOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IntermixIntersectingGeometryOff for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->IntermixIntersectingGeometryOff();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:SetRayCastFunction vtkUnstructuredGridVolumeRayCastMapperSetRayCastFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridVolumeRayCastMapperSetRayCastFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRayCastFunction (vtkUnstructuredGridVolumeRayCastFunction *f); */
  if (arg.size() < 2) 
    throw Exception("Function SetRayCastFunction for class vtkUnstructuredGridVolumeRayCastMapper requires 2 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkUnstructuredGridVolumeRayCastFunction  *temp0;
  temp0 = GetVTKPointer<vtkUnstructuredGridVolumeRayCastFunction>(arg[1]);
  vtk_pointer->SetRayCastFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetRayCastFunction vtkUnstructuredGridVolumeRayCastMapperGetRayCastFunctionFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetRayCastFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridVolumeRayCastFunction *GetRayCastFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRayCastFunction for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkUnstructuredGridVolumeRayCastFunction  *temp20;
  temp20 = (vtk_pointer)->GetRayCastFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridVolumeRayCastFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:SetRayIntegrator vtkUnstructuredGridVolumeRayCastMapperSetRayIntegratorFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridVolumeRayCastMapperSetRayIntegratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRayIntegrator (vtkUnstructuredGridVolumeRayIntegrator *ri); */
  if (arg.size() < 2) 
    throw Exception("Function SetRayIntegrator for class vtkUnstructuredGridVolumeRayCastMapper requires 2 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkUnstructuredGridVolumeRayIntegrator  *temp0;
  temp0 = GetVTKPointer<vtkUnstructuredGridVolumeRayIntegrator>(arg[1]);
  vtk_pointer->SetRayIntegrator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:GetRayIntegrator vtkUnstructuredGridVolumeRayCastMapperGetRayIntegratorFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayCastMapperGetRayIntegratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridVolumeRayIntegrator *GetRayIntegrator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRayIntegrator for class vtkUnstructuredGridVolumeRayCastMapper requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkUnstructuredGridVolumeRayIntegrator  *temp20;
  temp20 = (vtk_pointer)->GetRayIntegrator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridVolumeRayIntegrator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:CastRays vtkUnstructuredGridVolumeRayCastMapperCastRaysFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridVolumeRayCastMapperCastRaysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CastRays (int threadID, int threadCount); */
  if (arg.size() < 3) 
    throw Exception("Function CastRays for class vtkUnstructuredGridVolumeRayCastMapper requires 3 argument(s)");
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->CastRays(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayCastMapper:display vtkUnstructuredGridVolumeRayCastMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridVolumeRayCastMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnstructuredGridVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayCastMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnstructuredGridVolumeRayCastMapper:delete vtkUnstructuredGridVolumeRayCastMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkUnstructuredGridVolumeRayCastMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnstructuredGridVolumeRayCastMapper
//@@Section VTKVolumeRendering
//@@Usage
// This is a software ray caster for rendering volumes in vtkUnstructuredGrid. 
//
//To create an instance of class vtkUnstructuredGridVolumeRayCastMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnstructuredGridVolumeRayCastMapper
//@]
//@@Methods
//The class vtkUnstructuredGridVolumeRayCastMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnstructuredGridVolumeRayCastMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnstructuredGridVolumeRayCastMapper = obj.NewInstance ()|
// \item @|vtkUnstructuredGridVolumeRayCastMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetImageSampleDistance (float )| -  Sampling distance in the XY image dimensions. Default value of 1 meaning
// 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If
// set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.
//// \item @|float = obj.GetImageSampleDistanceMinValue ()| -  Sampling distance in the XY image dimensions. Default value of 1 meaning
// 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If
// set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.
//// \item @|float = obj.GetImageSampleDistanceMaxValue ()| -  Sampling distance in the XY image dimensions. Default value of 1 meaning
// 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If
// set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.
//// \item @|float = obj.GetImageSampleDistance ()| -  Sampling distance in the XY image dimensions. Default value of 1 meaning
// 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If
// set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.
//// \item @|obj.SetMinimumImageSampleDistance (float )| -  This is the minimum image sample distance allow when the image
// sample distance is being automatically adjusted
//// \item @|float = obj.GetMinimumImageSampleDistanceMinValue ()| -  This is the minimum image sample distance allow when the image
// sample distance is being automatically adjusted
//// \item @|float = obj.GetMinimumImageSampleDistanceMaxValue ()| -  This is the minimum image sample distance allow when the image
// sample distance is being automatically adjusted
//// \item @|float = obj.GetMinimumImageSampleDistance ()| -  This is the minimum image sample distance allow when the image
// sample distance is being automatically adjusted
//// \item @|obj.SetMaximumImageSampleDistance (float )| -  This is the maximum image sample distance allow when the image
// sample distance is being automatically adjusted
//// \item @|float = obj.GetMaximumImageSampleDistanceMinValue ()| -  This is the maximum image sample distance allow when the image
// sample distance is being automatically adjusted
//// \item @|float = obj.GetMaximumImageSampleDistanceMaxValue ()| -  This is the maximum image sample distance allow when the image
// sample distance is being automatically adjusted
//// \item @|float = obj.GetMaximumImageSampleDistance ()| -  This is the maximum image sample distance allow when the image
// sample distance is being automatically adjusted
//// \item @|obj.SetAutoAdjustSampleDistances (int )| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this 
// prop (controlled by the desired update rate and any culling in
// use). 
//// \item @|int = obj.GetAutoAdjustSampleDistancesMinValue ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this 
// prop (controlled by the desired update rate and any culling in
// use). 
//// \item @|int = obj.GetAutoAdjustSampleDistancesMaxValue ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this 
// prop (controlled by the desired update rate and any culling in
// use). 
//// \item @|int = obj.GetAutoAdjustSampleDistances ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this 
// prop (controlled by the desired update rate and any culling in
// use). 
//// \item @|obj.AutoAdjustSampleDistancesOn ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this 
// prop (controlled by the desired update rate and any culling in
// use). 
//// \item @|obj.AutoAdjustSampleDistancesOff ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this 
// prop (controlled by the desired update rate and any culling in
// use). 
//// \item @|obj.SetNumberOfThreads (int )| -  Set/Get the number of threads to use. This by default is equal to
// the number of available processors detected.
//// \item @|int = obj.GetNumberOfThreads ()| -  Set/Get the number of threads to use. This by default is equal to
// the number of available processors detected.
//// \item @|obj.SetIntermixIntersectingGeometry (int )| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
//// \item @|int = obj.GetIntermixIntersectingGeometryMinValue ()| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
//// \item @|int = obj.GetIntermixIntersectingGeometryMaxValue ()| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
//// \item @|int = obj.GetIntermixIntersectingGeometry ()| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
//// \item @|obj.IntermixIntersectingGeometryOn ()| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
//// \item @|obj.IntermixIntersectingGeometryOff ()| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
//// \item @|obj.SetRayCastFunction (vtkUnstructuredGridVolumeRayCastFunction f)| -  Set/Get the helper class for casting rays.
//// \item @|vtkUnstructuredGridVolumeRayCastFunction = obj.GetRayCastFunction ()| -  Set/Get the helper class for casting rays.
//// \item @|obj.SetRayIntegrator (vtkUnstructuredGridVolumeRayIntegrator ri)| -  Set/Get the helper class for integrating rays.  If set to NULL, a
// default integrator will be assigned.
//// \item @|vtkUnstructuredGridVolumeRayIntegrator = obj.GetRayIntegrator ()| -  Set/Get the helper class for integrating rays.  If set to NULL, a
// default integrator will be assigned.
//// \item @|obj.CastRays (int threadID, int threadCount)|
//\end{itemize}
//!
