#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnstructuredGridVolumeRayIntegrator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnstructuredGridVolumeRayIntegrator.h"

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayIntegrator:vtkUnstructuredGridVolumeRayIntegrator vtkUnstructuredGridVolumeRayIntegratorConstructorFunction
//input a
//output p
//@@Parents vtkUnstructuredGridVolumeRayIntegrator vtkObject 
ArrayVector vtkUnstructuredGridVolumeRayIntegratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnstructuredGridVolumeRayIntegrator::New(),"vtkUnstructuredGridVolumeRayIntegrator",eval);
  } else if (arg[0].className() == "vtkUnstructuredGridVolumeRayIntegrator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnstructuredGridVolumeRayIntegrator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnstructuredGridVolumeRayIntegrator");
    vtkUnstructuredGridVolumeRayIntegrator*q = reinterpret_cast<vtkUnstructuredGridVolumeRayIntegrator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnstructuredGridVolumeRayIntegrator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayIntegrator:GetClassName vtkUnstructuredGridVolumeRayIntegratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayIntegratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnstructuredGridVolumeRayIntegrator requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayIntegrator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayIntegrator:IsA vtkUnstructuredGridVolumeRayIntegratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridVolumeRayIntegratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnstructuredGridVolumeRayIntegrator requires 2 argument(s)");
  vtkUnstructuredGridVolumeRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayIntegrator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayIntegrator:NewInstance vtkUnstructuredGridVolumeRayIntegratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridVolumeRayIntegratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridVolumeRayIntegrator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnstructuredGridVolumeRayIntegrator requires 1 argument(s)");
  vtkUnstructuredGridVolumeRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayIntegrator>(arg[0]);
  Array retval;
  vtkUnstructuredGridVolumeRayIntegrator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridVolumeRayIntegrator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayIntegrator:SafeDownCast vtkUnstructuredGridVolumeRayIntegratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridVolumeRayIntegratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridVolumeRayIntegrator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnstructuredGridVolumeRayIntegrator requires 2 argument(s)");
  vtkUnstructuredGridVolumeRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayIntegrator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnstructuredGridVolumeRayIntegrator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridVolumeRayIntegrator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayIntegrator:Initialize vtkUnstructuredGridVolumeRayIntegratorInitializeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkUnstructuredGridVolumeRayIntegratorInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (vtkVolume *volume, vtkDataArray *scalars) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function Initialize for class vtkUnstructuredGridVolumeRayIntegrator requires 3 argument(s)");
  vtkUnstructuredGridVolumeRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayIntegrator>(arg[0]);
  Array retval;
  vtkVolume  *temp0;
  vtkDataArray  *temp1;
  temp0 = GetVTKPointer<vtkVolume>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  vtk_pointer->Initialize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayIntegrator:Integrate vtkUnstructuredGridVolumeRayIntegratorIntegrateFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkUnstructuredGridVolumeRayIntegratorIntegrateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Integrate (vtkDoubleArray *intersectionLengths, vtkDataArray *nearIntersections, vtkDataArray *farIntersections, float color[4]) = 0; */
  if (arg.size() < 5) 
    throw Exception("Function Integrate for class vtkUnstructuredGridVolumeRayIntegrator requires 5 argument(s)");
  vtkUnstructuredGridVolumeRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayIntegrator>(arg[0]);
  Array retval;
  vtkDoubleArray  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  float  temp3[4];
  temp0 = GetVTKPointer<vtkDoubleArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  if ( !(arg[4].isVector() && arg[4].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (float)data[k+1];
  }
  vtk_pointer->Integrate(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridVolumeRayIntegrator:display vtkUnstructuredGridVolumeRayIntegratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridVolumeRayIntegratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnstructuredGridVolumeRayIntegrator* vtk_pointer = GetVTKPointer<vtkUnstructuredGridVolumeRayIntegrator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnstructuredGridVolumeRayIntegrator:delete vtkUnstructuredGridVolumeRayIntegratorDeleteFunction
//input varargin
//output none
ArrayVector vtkUnstructuredGridVolumeRayIntegratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnstructuredGridVolumeRayIntegrator
//@@Section VTKVolumeRendering
//@@Usage
//
// vtkUnstructuredGridVolumeRayIntegrator is a superclass for ray
// integration functions that can be used within a
// vtkUnstructuredGridVolumeRayCastMapper.
//
//
//To create an instance of class vtkUnstructuredGridVolumeRayIntegrator, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnstructuredGridVolumeRayIntegrator
//@]
//@@Methods
//The class vtkUnstructuredGridVolumeRayIntegrator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnstructuredGridVolumeRayIntegrator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnstructuredGridVolumeRayIntegrator = obj.NewInstance ()|
// \item @|vtkUnstructuredGridVolumeRayIntegrator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize (vtkVolume volume, vtkDataArray scalars)| -  Set up the integrator with the given properties and scalars.
//// \item @|obj.Integrate (vtkDoubleArray intersectionLengths, vtkDataArray nearIntersections, vtkDataArray farIntersections, float color[4])| -  Given a set of intersections (defined by the three arrays), compute
// the peicewise integration of the array in front to back order.
// /c intersectionLengths holds the lengths of each peicewise segment.
// /c nearIntersections and /c farIntersections hold the scalar values at
// the front and back of each segment.  /c color should contain the RGBA
// value of the volume in front of the segments passed in, and the result
// will be placed back into /c color.
////\end{itemize}
//!
