#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolumeMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolumeMapper.h"

//@@Signature
//sfunction @vtkVolumeMapper:vtkVolumeMapper vtkVolumeMapperConstructorFunction
//input a
//output p
//@@Parents vtkVolumeMapper vtkAbstractVolumeMapper 
ArrayVector vtkVolumeMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolumeMapper::New(),"vtkVolumeMapper",eval);
  } else if (arg[0].className() == "vtkVolumeMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolumeMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolumeMapper");
    vtkVolumeMapper*q = reinterpret_cast<vtkVolumeMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolumeMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolumeMapper:GetClassName vtkVolumeMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumeMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:IsA vtkVolumeMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolumeMapper requires 2 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:NewInstance vtkVolumeMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumeMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  vtkVolumeMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:SafeDownCast vtkVolumeMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolumeMapper requires 2 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolumeMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:SetInput__1 vtkVolumeMapperSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkVolumeMapperSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkImageData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkVolumeMapper requires 2 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:SetInput__2 vtkVolumeMapperSetInput__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumeMapperSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkDataSet *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__2 for class vtkVolumeMapper requires 2 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:GetInput vtkVolumeMapperGetInputFunction
//input a0 
//output y
ArrayVector vtkVolumeMapperGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:SetBlendMode vtkVolumeMapperSetBlendModeFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeMapperSetBlendModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlendMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBlendMode for class vtkVolumeMapper requires 2 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBlendMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:SetBlendModeToComposite vtkVolumeMapperSetBlendModeToCompositeFunction
//input a0 
//output none
ArrayVector vtkVolumeMapperSetBlendModeToCompositeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlendModeToComposite ();this SetBlendMode vtkVolumeMapper COMPOSITE_BLEND  */
  if (arg.size() < 1) 
    throw Exception("Function SetBlendModeToComposite for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetBlendModeToComposite();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:SetBlendModeToMaximumIntensity vtkVolumeMapperSetBlendModeToMaximumIntensityFunction
//input a0 
//output none
ArrayVector vtkVolumeMapperSetBlendModeToMaximumIntensityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlendModeToMaximumIntensity ();this SetBlendMode vtkVolumeMapper MAXIMUM_INTENSITY_BLEND  */
  if (arg.size() < 1) 
    throw Exception("Function SetBlendModeToMaximumIntensity for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetBlendModeToMaximumIntensity();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:SetBlendModeToMinimumIntensity vtkVolumeMapperSetBlendModeToMinimumIntensityFunction
//input a0 
//output none
ArrayVector vtkVolumeMapperSetBlendModeToMinimumIntensityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlendModeToMinimumIntensity ();this SetBlendMode vtkVolumeMapper MINIMUM_INTENSITY_BLEND  */
  if (arg.size() < 1) 
    throw Exception("Function SetBlendModeToMinimumIntensity for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetBlendModeToMinimumIntensity();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:GetBlendMode vtkVolumeMapperGetBlendModeFunction
//input a0 
//output y
ArrayVector vtkVolumeMapperGetBlendModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBlendMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBlendMode for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBlendMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:SetCropping vtkVolumeMapperSetCroppingFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeMapperSetCroppingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCropping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCropping for class vtkVolumeMapper requires 2 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCropping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:GetCroppingMinValue vtkVolumeMapperGetCroppingMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeMapperGetCroppingMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCroppingMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCroppingMinValue for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCroppingMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:GetCroppingMaxValue vtkVolumeMapperGetCroppingMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeMapperGetCroppingMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCroppingMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCroppingMaxValue for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCroppingMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:GetCropping vtkVolumeMapperGetCroppingFunction
//input a0 
//output y
ArrayVector vtkVolumeMapperGetCroppingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCropping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCropping for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCropping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:CroppingOn vtkVolumeMapperCroppingOnFunction
//input a0 
//output none
ArrayVector vtkVolumeMapperCroppingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CroppingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CroppingOn for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->CroppingOn();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:CroppingOff vtkVolumeMapperCroppingOffFunction
//input a0 
//output none
ArrayVector vtkVolumeMapperCroppingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CroppingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CroppingOff for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->CroppingOff();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:SetCroppingRegionPlanes__1 vtkVolumeMapperSetCroppingRegionPlanes__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkVolumeMapperSetCroppingRegionPlanes__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCroppingRegionPlanes (double , double , double , double , double , double ); */
  if (arg.size() < 7) 
    throw Exception("Function SetCroppingRegionPlanes__1 for class vtkVolumeMapper requires 7 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetCroppingRegionPlanes(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:SetCroppingRegionPlanes__2 vtkVolumeMapperSetCroppingRegionPlanes__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumeMapperSetCroppingRegionPlanes__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCroppingRegionPlanes (double  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCroppingRegionPlanes__2 for class vtkVolumeMapper requires 2 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCroppingRegionPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:GetCroppingRegionPlanes vtkVolumeMapperGetCroppingRegionPlanesFunction
//input a0 
//output y
ArrayVector vtkVolumeMapperGetCroppingRegionPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCroppingRegionPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCroppingRegionPlanes for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCroppingRegionPlanes();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:GetVoxelCroppingRegionPlanes vtkVolumeMapperGetVoxelCroppingRegionPlanesFunction
//input a0 
//output y
ArrayVector vtkVolumeMapperGetVoxelCroppingRegionPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetVoxelCroppingRegionPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVoxelCroppingRegionPlanes for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetVoxelCroppingRegionPlanes();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:SetCroppingRegionFlags vtkVolumeMapperSetCroppingRegionFlagsFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeMapperSetCroppingRegionFlagsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCroppingRegionFlags (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCroppingRegionFlags for class vtkVolumeMapper requires 2 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCroppingRegionFlags(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:GetCroppingRegionFlagsMinValue vtkVolumeMapperGetCroppingRegionFlagsMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeMapperGetCroppingRegionFlagsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCroppingRegionFlagsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCroppingRegionFlagsMinValue for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCroppingRegionFlagsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:GetCroppingRegionFlagsMaxValue vtkVolumeMapperGetCroppingRegionFlagsMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeMapperGetCroppingRegionFlagsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCroppingRegionFlagsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCroppingRegionFlagsMaxValue for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCroppingRegionFlagsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:GetCroppingRegionFlags vtkVolumeMapperGetCroppingRegionFlagsFunction
//input a0 
//output y
ArrayVector vtkVolumeMapperGetCroppingRegionFlagsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCroppingRegionFlags (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCroppingRegionFlags for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCroppingRegionFlags();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:SetCroppingRegionFlagsToSubVolume vtkVolumeMapperSetCroppingRegionFlagsToSubVolumeFunction
//input a0 
//output none
ArrayVector vtkVolumeMapperSetCroppingRegionFlagsToSubVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCroppingRegionFlagsToSubVolume ();this SetCroppingRegionFlags VTK_CROP_SUBVOLUME  */
  if (arg.size() < 1) 
    throw Exception("Function SetCroppingRegionFlagsToSubVolume for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetCroppingRegionFlagsToSubVolume();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:SetCroppingRegionFlagsToFence vtkVolumeMapperSetCroppingRegionFlagsToFenceFunction
//input a0 
//output none
ArrayVector vtkVolumeMapperSetCroppingRegionFlagsToFenceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCroppingRegionFlagsToFence ();this SetCroppingRegionFlags VTK_CROP_FENCE  */
  if (arg.size() < 1) 
    throw Exception("Function SetCroppingRegionFlagsToFence for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetCroppingRegionFlagsToFence();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:SetCroppingRegionFlagsToInvertedFence vtkVolumeMapperSetCroppingRegionFlagsToInvertedFenceFunction
//input a0 
//output none
ArrayVector vtkVolumeMapperSetCroppingRegionFlagsToInvertedFenceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCroppingRegionFlagsToInvertedFence ();this SetCroppingRegionFlags VTK_CROP_INVERTED_FENCE  */
  if (arg.size() < 1) 
    throw Exception("Function SetCroppingRegionFlagsToInvertedFence for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetCroppingRegionFlagsToInvertedFence();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:SetCroppingRegionFlagsToCross vtkVolumeMapperSetCroppingRegionFlagsToCrossFunction
//input a0 
//output none
ArrayVector vtkVolumeMapperSetCroppingRegionFlagsToCrossFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCroppingRegionFlagsToCross ();this SetCroppingRegionFlags VTK_CROP_CROSS  */
  if (arg.size() < 1) 
    throw Exception("Function SetCroppingRegionFlagsToCross for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetCroppingRegionFlagsToCross();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:SetCroppingRegionFlagsToInvertedCross vtkVolumeMapperSetCroppingRegionFlagsToInvertedCrossFunction
//input a0 
//output none
ArrayVector vtkVolumeMapperSetCroppingRegionFlagsToInvertedCrossFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCroppingRegionFlagsToInvertedCross ();this SetCroppingRegionFlags VTK_CROP_INVERTED_CROSS  */
  if (arg.size() < 1) 
    throw Exception("Function SetCroppingRegionFlagsToInvertedCross for class vtkVolumeMapper requires 1 argument(s)");
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetCroppingRegionFlagsToInvertedCross();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeMapper:SetInput vtkVolumeMapperSetInputFunction
//input varargin
//output varargout
ArrayVector vtkVolumeMapperSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkImageData"))
    return vtkVolumeMapperSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataSet"))
    return vtkVolumeMapperSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeMapperSetInput");
}

//@@Signature
//sfunction @vtkVolumeMapper:SetCroppingRegionPlanes vtkVolumeMapperSetCroppingRegionPlanesFunction
//input varargin
//output varargout
ArrayVector vtkVolumeMapperSetCroppingRegionPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkVolumeMapperSetCroppingRegionPlanes__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVolumeMapperSetCroppingRegionPlanes__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeMapperSetCroppingRegionPlanes");
}

//@@Signature
//sfunction @vtkVolumeMapper:display vtkVolumeMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumeMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolumeMapper* vtk_pointer = GetVTKPointer<vtkVolumeMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolumeMapper:delete vtkVolumeMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumeMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolumeMapper
//@@Section VTKVolumeRendering
//@@Usage
// vtkVolumeMapper is the abstract definition of a volume mapper for regular
// rectilinear data (vtkImageData).  Several  basic types of volume mappers 
// are supported. 
//
//To create an instance of class vtkVolumeMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolumeMapper
//@]
//@@Methods
//The class vtkVolumeMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolumeMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolumeMapper = obj.NewInstance ()|
// \item @|vtkVolumeMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkImageData )| -  Set/Get the input data
//// \item @|obj.SetInput (vtkDataSet )| -  Set/Get the input data
//// \item @|vtkImageData = obj.GetInput ()| -  Set/Get the input data
//// \item @|obj.SetBlendMode (int )| -  Set/Get the blend mode. Currently this is only supported
// by the vtkFixedPointVolumeRayCastMapper - other mappers
// have different ways to set this (supplying a function
// to a vtkVolumeRayCastMapper) or don't have any options
// (vtkVolumeTextureMapper2D supports only compositing)
//// \item @|obj.SetBlendModeToComposite ()| -  Set/Get the blend mode. Currently this is only supported
// by the vtkFixedPointVolumeRayCastMapper - other mappers
// have different ways to set this (supplying a function
// to a vtkVolumeRayCastMapper) or don't have any options
// (vtkVolumeTextureMapper2D supports only compositing)
//// \item @|obj.SetBlendModeToMaximumIntensity ()| -  Set/Get the blend mode. Currently this is only supported
// by the vtkFixedPointVolumeRayCastMapper - other mappers
// have different ways to set this (supplying a function
// to a vtkVolumeRayCastMapper) or don't have any options
// (vtkVolumeTextureMapper2D supports only compositing)
//// \item @|obj.SetBlendModeToMinimumIntensity ()| -  Set/Get the blend mode. Currently this is only supported
// by the vtkFixedPointVolumeRayCastMapper - other mappers
// have different ways to set this (supplying a function
// to a vtkVolumeRayCastMapper) or don't have any options
// (vtkVolumeTextureMapper2D supports only compositing)
//// \item @|int = obj.GetBlendMode ()| -  Set/Get the blend mode. Currently this is only supported
// by the vtkFixedPointVolumeRayCastMapper - other mappers
// have different ways to set this (supplying a function
// to a vtkVolumeRayCastMapper) or don't have any options
// (vtkVolumeTextureMapper2D supports only compositing)
//// \item @|obj.SetCropping (int )| -  Turn On/Off orthogonal cropping. (Clipping planes are
// perpendicular to the coordinate axes.)
//// \item @|int = obj.GetCroppingMinValue ()| -  Turn On/Off orthogonal cropping. (Clipping planes are
// perpendicular to the coordinate axes.)
//// \item @|int = obj.GetCroppingMaxValue ()| -  Turn On/Off orthogonal cropping. (Clipping planes are
// perpendicular to the coordinate axes.)
//// \item @|int = obj.GetCropping ()| -  Turn On/Off orthogonal cropping. (Clipping planes are
// perpendicular to the coordinate axes.)
//// \item @|obj.CroppingOn ()| -  Turn On/Off orthogonal cropping. (Clipping planes are
// perpendicular to the coordinate axes.)
//// \item @|obj.CroppingOff ()| -  Turn On/Off orthogonal cropping. (Clipping planes are
// perpendicular to the coordinate axes.)
//// \item @|obj.SetCroppingRegionPlanes (double , double , double , double , double , double )| -  Set/Get the Cropping Region Planes ( xmin, xmax, ymin, ymax, zmin, zmax )
// These planes are defined in volume coordinates - spacing and origin are
// considered.
//// \item @|obj.SetCroppingRegionPlanes (double  a[6])| -  Set/Get the Cropping Region Planes ( xmin, xmax, ymin, ymax, zmin, zmax )
// These planes are defined in volume coordinates - spacing and origin are
// considered.
//// \item @|double = obj. GetCroppingRegionPlanes ()| -  Set/Get the Cropping Region Planes ( xmin, xmax, ymin, ymax, zmin, zmax )
// These planes are defined in volume coordinates - spacing and origin are
// considered.
//// \item @|double = obj. GetVoxelCroppingRegionPlanes ()| -  Get the cropping region planes in voxels. Only valid during the 
// rendering process
//// \item @|obj.SetCroppingRegionFlags (int )| -  Set the flags for the cropping regions. The clipping planes divide the
// volume into 27 regions - there is one bit for each region. The regions 
// start from the one containing voxel (0,0,0), moving along the x axis 
// fastest, the y axis next, and the z axis slowest. These are represented 
// from the lowest bit to bit number 27 in the integer containing the 
// flags. There are several convenience functions to set some common 
// configurations - subvolume (the default), fence (between any of the 
// clip plane pairs), inverted fence, cross (between any two of the 
// clip plane pairs) and inverted cross.
//// \item @|int = obj.GetCroppingRegionFlagsMinValue ()| -  Set the flags for the cropping regions. The clipping planes divide the
// volume into 27 regions - there is one bit for each region. The regions 
// start from the one containing voxel (0,0,0), moving along the x axis 
// fastest, the y axis next, and the z axis slowest. These are represented 
// from the lowest bit to bit number 27 in the integer containing the 
// flags. There are several convenience functions to set some common 
// configurations - subvolume (the default), fence (between any of the 
// clip plane pairs), inverted fence, cross (between any two of the 
// clip plane pairs) and inverted cross.
//// \item @|int = obj.GetCroppingRegionFlagsMaxValue ()| -  Set the flags for the cropping regions. The clipping planes divide the
// volume into 27 regions - there is one bit for each region. The regions 
// start from the one containing voxel (0,0,0), moving along the x axis 
// fastest, the y axis next, and the z axis slowest. These are represented 
// from the lowest bit to bit number 27 in the integer containing the 
// flags. There are several convenience functions to set some common 
// configurations - subvolume (the default), fence (between any of the 
// clip plane pairs), inverted fence, cross (between any two of the 
// clip plane pairs) and inverted cross.
//// \item @|int = obj.GetCroppingRegionFlags ()| -  Set the flags for the cropping regions. The clipping planes divide the
// volume into 27 regions - there is one bit for each region. The regions 
// start from the one containing voxel (0,0,0), moving along the x axis 
// fastest, the y axis next, and the z axis slowest. These are represented 
// from the lowest bit to bit number 27 in the integer containing the 
// flags. There are several convenience functions to set some common 
// configurations - subvolume (the default), fence (between any of the 
// clip plane pairs), inverted fence, cross (between any two of the 
// clip plane pairs) and inverted cross.
//// \item @|obj.SetCroppingRegionFlagsToSubVolume ()| -  Set the flags for the cropping regions. The clipping planes divide the
// volume into 27 regions - there is one bit for each region. The regions 
// start from the one containing voxel (0,0,0), moving along the x axis 
// fastest, the y axis next, and the z axis slowest. These are represented 
// from the lowest bit to bit number 27 in the integer containing the 
// flags. There are several convenience functions to set some common 
// configurations - subvolume (the default), fence (between any of the 
// clip plane pairs), inverted fence, cross (between any two of the 
// clip plane pairs) and inverted cross.
//// \item @|obj.SetCroppingRegionFlagsToFence ()| -  Set the flags for the cropping regions. The clipping planes divide the
// volume into 27 regions - there is one bit for each region. The regions 
// start from the one containing voxel (0,0,0), moving along the x axis 
// fastest, the y axis next, and the z axis slowest. These are represented 
// from the lowest bit to bit number 27 in the integer containing the 
// flags. There are several convenience functions to set some common 
// configurations - subvolume (the default), fence (between any of the 
// clip plane pairs), inverted fence, cross (between any two of the 
// clip plane pairs) and inverted cross.
//// \item @|obj.SetCroppingRegionFlagsToInvertedFence ()| -  Set the flags for the cropping regions. The clipping planes divide the
// volume into 27 regions - there is one bit for each region. The regions 
// start from the one containing voxel (0,0,0), moving along the x axis 
// fastest, the y axis next, and the z axis slowest. These are represented 
// from the lowest bit to bit number 27 in the integer containing the 
// flags. There are several convenience functions to set some common 
// configurations - subvolume (the default), fence (between any of the 
// clip plane pairs), inverted fence, cross (between any two of the 
// clip plane pairs) and inverted cross.
//// \item @|obj.SetCroppingRegionFlagsToCross ()| -  Set the flags for the cropping regions. The clipping planes divide the
// volume into 27 regions - there is one bit for each region. The regions 
// start from the one containing voxel (0,0,0), moving along the x axis 
// fastest, the y axis next, and the z axis slowest. These are represented 
// from the lowest bit to bit number 27 in the integer containing the 
// flags. There are several convenience functions to set some common 
// configurations - subvolume (the default), fence (between any of the 
// clip plane pairs), inverted fence, cross (between any two of the 
// clip plane pairs) and inverted cross.
//// \item @|obj.SetCroppingRegionFlagsToInvertedCross ()| -  Set the flags for the cropping regions. The clipping planes divide the
// volume into 27 regions - there is one bit for each region. The regions 
// start from the one containing voxel (0,0,0), moving along the x axis 
// fastest, the y axis next, and the z axis slowest. These are represented 
// from the lowest bit to bit number 27 in the integer containing the 
// flags. There are several convenience functions to set some common 
// configurations - subvolume (the default), fence (between any of the 
// clip plane pairs), inverted fence, cross (between any two of the 
// clip plane pairs) and inverted cross.
////\end{itemize}
//!
