#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolumeOutlineSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolumeOutlineSource.h"

//@@Signature
//sfunction @vtkVolumeOutlineSource:vtkVolumeOutlineSource vtkVolumeOutlineSourceConstructorFunction
//input a
//output p
//@@Parents vtkVolumeOutlineSource vtkPolyDataAlgorithm 
ArrayVector vtkVolumeOutlineSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolumeOutlineSource::New(),"vtkVolumeOutlineSource",eval);
  } else if (arg[0].className() == "vtkVolumeOutlineSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolumeOutlineSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolumeOutlineSource");
    vtkVolumeOutlineSource*q = reinterpret_cast<vtkVolumeOutlineSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolumeOutlineSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolumeOutlineSource:GetClassName vtkVolumeOutlineSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumeOutlineSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolumeOutlineSource requires 1 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:IsA vtkVolumeOutlineSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeOutlineSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolumeOutlineSource requires 2 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:NewInstance vtkVolumeOutlineSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumeOutlineSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeOutlineSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolumeOutlineSource requires 1 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  vtkVolumeOutlineSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeOutlineSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:SafeDownCast vtkVolumeOutlineSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeOutlineSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeOutlineSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolumeOutlineSource requires 2 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolumeOutlineSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeOutlineSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:SetVolumeMapper vtkVolumeOutlineSourceSetVolumeMapperFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeOutlineSourceSetVolumeMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVolumeMapper (vtkVolumeMapper *mapper); */
  if (arg.size() < 2) 
    throw Exception("Function SetVolumeMapper for class vtkVolumeOutlineSource requires 2 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  vtkVolumeMapper  *temp0;
  temp0 = GetVTKPointer<vtkVolumeMapper>(arg[1]);
  vtk_pointer->SetVolumeMapper(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:GetVolumeMapper vtkVolumeOutlineSourceGetVolumeMapperFunction
//input a0 
//output y
ArrayVector vtkVolumeOutlineSourceGetVolumeMapperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeMapper *GetVolumeMapper ();return this VolumeMapper  */
  if (arg.size() < 1) 
    throw Exception("Function GetVolumeMapper for class vtkVolumeOutlineSource requires 1 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  vtkVolumeMapper  *temp20;
  temp20 = (vtk_pointer)->GetVolumeMapper();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:SetGenerateScalars vtkVolumeOutlineSourceSetGenerateScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeOutlineSourceSetGenerateScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateScalars for class vtkVolumeOutlineSource requires 2 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:GenerateScalarsOn vtkVolumeOutlineSourceGenerateScalarsOnFunction
//input a0 
//output none
ArrayVector vtkVolumeOutlineSourceGenerateScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateScalarsOn for class vtkVolumeOutlineSource requires 1 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  vtk_pointer->GenerateScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:GenerateScalarsOff vtkVolumeOutlineSourceGenerateScalarsOffFunction
//input a0 
//output none
ArrayVector vtkVolumeOutlineSourceGenerateScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateScalarsOff for class vtkVolumeOutlineSource requires 1 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  vtk_pointer->GenerateScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:GetGenerateScalars vtkVolumeOutlineSourceGetGenerateScalarsFunction
//input a0 
//output y
ArrayVector vtkVolumeOutlineSourceGetGenerateScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateScalars for class vtkVolumeOutlineSource requires 1 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:SetGenerateFaces vtkVolumeOutlineSourceSetGenerateFacesFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeOutlineSourceSetGenerateFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateFaces (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateFaces for class vtkVolumeOutlineSource requires 2 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateFaces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:GenerateFacesOn vtkVolumeOutlineSourceGenerateFacesOnFunction
//input a0 
//output none
ArrayVector vtkVolumeOutlineSourceGenerateFacesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateFacesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateFacesOn for class vtkVolumeOutlineSource requires 1 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  vtk_pointer->GenerateFacesOn();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:GenerateFacesOff vtkVolumeOutlineSourceGenerateFacesOffFunction
//input a0 
//output none
ArrayVector vtkVolumeOutlineSourceGenerateFacesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateFacesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateFacesOff for class vtkVolumeOutlineSource requires 1 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  vtk_pointer->GenerateFacesOff();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:GetGenerateFaces vtkVolumeOutlineSourceGetGenerateFacesFunction
//input a0 
//output y
ArrayVector vtkVolumeOutlineSourceGetGenerateFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateFaces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateFaces for class vtkVolumeOutlineSource requires 1 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:SetColor__1 vtkVolumeOutlineSourceSetColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkVolumeOutlineSourceSetColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetColor__1 for class vtkVolumeOutlineSource requires 4 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:SetColor__2 vtkVolumeOutlineSourceSetColor__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumeOutlineSourceSetColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetColor__2 for class vtkVolumeOutlineSource requires 2 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:GetColor vtkVolumeOutlineSourceGetColorFunction
//input a0 
//output y
ArrayVector vtkVolumeOutlineSourceGetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColor for class vtkVolumeOutlineSource requires 1 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:SetActivePlaneId vtkVolumeOutlineSourceSetActivePlaneIdFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeOutlineSourceSetActivePlaneIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetActivePlaneId (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetActivePlaneId for class vtkVolumeOutlineSource requires 2 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetActivePlaneId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:GetActivePlaneId vtkVolumeOutlineSourceGetActivePlaneIdFunction
//input a0 
//output y
ArrayVector vtkVolumeOutlineSourceGetActivePlaneIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetActivePlaneId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActivePlaneId for class vtkVolumeOutlineSource requires 1 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetActivePlaneId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:SetActivePlaneColor__1 vtkVolumeOutlineSourceSetActivePlaneColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkVolumeOutlineSourceSetActivePlaneColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetActivePlaneColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetActivePlaneColor__1 for class vtkVolumeOutlineSource requires 4 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetActivePlaneColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:SetActivePlaneColor__2 vtkVolumeOutlineSourceSetActivePlaneColor__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumeOutlineSourceSetActivePlaneColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetActivePlaneColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetActivePlaneColor__2 for class vtkVolumeOutlineSource requires 2 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetActivePlaneColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:GetActivePlaneColor vtkVolumeOutlineSourceGetActivePlaneColorFunction
//input a0 
//output y
ArrayVector vtkVolumeOutlineSourceGetActivePlaneColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetActivePlaneColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActivePlaneColor for class vtkVolumeOutlineSource requires 1 argument(s)");
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetActivePlaneColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:SetColor vtkVolumeOutlineSourceSetColorFunction
//input varargin
//output varargout
ArrayVector vtkVolumeOutlineSourceSetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkVolumeOutlineSourceSetColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVolumeOutlineSourceSetColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeOutlineSourceSetColor");
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:SetActivePlaneColor vtkVolumeOutlineSourceSetActivePlaneColorFunction
//input varargin
//output varargout
ArrayVector vtkVolumeOutlineSourceSetActivePlaneColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkVolumeOutlineSourceSetActivePlaneColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVolumeOutlineSourceSetActivePlaneColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeOutlineSourceSetActivePlaneColor");
}

//@@Signature
//sfunction @vtkVolumeOutlineSource:display vtkVolumeOutlineSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumeOutlineSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolumeOutlineSource* vtk_pointer = GetVTKPointer<vtkVolumeOutlineSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolumeOutlineSource:delete vtkVolumeOutlineSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumeOutlineSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolumeOutlineSource
//@@Section VTKVolumeRendering
//@@Usage
// vtkVolumeOutlineSource generates a wireframe outline that corresponds
// to the cropping region of a vtkVolumeMapper.  It requires a 
// vtkVolumeMapper as input.  The GenerateFaces option turns on the
// solid faces of the outline, and the GenerateScalars option generates
// color scalars.  When GenerateScalars is on, it is possible to set
// an "ActivePlaneId" value in the range [0..6] to highlight one of the
// six cropping planes.
// .SECTION Thanks
// Thanks to David Gobbi for contributing this class to VTK.
//
//To create an instance of class vtkVolumeOutlineSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolumeOutlineSource
//@]
//@@Methods
//The class vtkVolumeOutlineSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolumeOutlineSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolumeOutlineSource = obj.NewInstance ()|
// \item @|vtkVolumeOutlineSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetVolumeMapper (vtkVolumeMapper mapper)| -  Set the mapper that has the cropping region that the outline will
// be generated for.  The mapper must have an input, because the
// bounds of the data must be computed in order to generate the
// outline.
//// \item @|vtkVolumeMapper = obj.GetVolumeMapper ()| -  Set the mapper that has the cropping region that the outline will
// be generated for.  The mapper must have an input, because the
// bounds of the data must be computed in order to generate the
// outline.
//// \item @|obj.SetGenerateScalars (int )| -  Set whether to generate color scalars for the output.  By default,
// the output has no scalars and the color must be set in the
// property of the actor.
//// \item @|obj.GenerateScalarsOn ()| -  Set whether to generate color scalars for the output.  By default,
// the output has no scalars and the color must be set in the
// property of the actor.
//// \item @|obj.GenerateScalarsOff ()| -  Set whether to generate color scalars for the output.  By default,
// the output has no scalars and the color must be set in the
// property of the actor.
//// \item @|int = obj.GetGenerateScalars ()| -  Set whether to generate color scalars for the output.  By default,
// the output has no scalars and the color must be set in the
// property of the actor.
//// \item @|obj.SetGenerateFaces (int )| -  Set whether to generate polygonal faces for the output.  By default,
// only lines are generated.  The faces will form a closed, watertight
// surface.
//// \item @|obj.GenerateFacesOn ()| -  Set whether to generate polygonal faces for the output.  By default,
// only lines are generated.  The faces will form a closed, watertight
// surface.
//// \item @|obj.GenerateFacesOff ()| -  Set whether to generate polygonal faces for the output.  By default,
// only lines are generated.  The faces will form a closed, watertight
// surface.
//// \item @|int = obj.GetGenerateFaces ()| -  Set whether to generate polygonal faces for the output.  By default,
// only lines are generated.  The faces will form a closed, watertight
// surface.
//// \item @|obj.SetColor (double , double , double )| -  Set the color of the outline.  This has no effect unless GenerateScalars
// is On.  The default color is red.
//// \item @|obj.SetColor (double  a[3])| -  Set the color of the outline.  This has no effect unless GenerateScalars
// is On.  The default color is red.
//// \item @|double = obj. GetColor ()| -  Set the color of the outline.  This has no effect unless GenerateScalars
// is On.  The default color is red.
//// \item @|obj.SetActivePlaneId (int )| -  Set the active plane, e.g. to display which plane is currently being
// modified by an interaction.  Set this to -1 if there is no active plane.
// The default value is -1.
//// \item @|int = obj.GetActivePlaneId ()| -  Set the active plane, e.g. to display which plane is currently being
// modified by an interaction.  Set this to -1 if there is no active plane.
// The default value is -1.
//// \item @|obj.SetActivePlaneColor (double , double , double )| -  Set the color of the active cropping plane.  This has no effect unless
// GenerateScalars is On and ActivePlaneId is non-negative.  The default
// color is yellow. 
//// \item @|obj.SetActivePlaneColor (double  a[3])| -  Set the color of the active cropping plane.  This has no effect unless
// GenerateScalars is On and ActivePlaneId is non-negative.  The default
// color is yellow. 
//// \item @|double = obj. GetActivePlaneColor ()| -  Set the color of the active cropping plane.  This has no effect unless
// GenerateScalars is On and ActivePlaneId is non-negative.  The default
// color is yellow. 
////\end{itemize}
//!
