#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolumePicker object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolumePicker.h"

//@@Signature
//sfunction @vtkVolumePicker:vtkVolumePicker vtkVolumePickerConstructorFunction
//input a
//output p
//@@Parents vtkVolumePicker vtkCellPicker 
ArrayVector vtkVolumePickerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolumePicker::New(),"vtkVolumePicker",eval);
  } else if (arg[0].className() == "vtkVolumePicker") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolumePicker"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolumePicker");
    vtkVolumePicker*q = reinterpret_cast<vtkVolumePicker*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolumePicker");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolumePicker:GetClassName vtkVolumePickerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumePickerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolumePicker requires 1 argument(s)");
  vtkVolumePicker* vtk_pointer = GetVTKPointer<vtkVolumePicker>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumePicker:IsA vtkVolumePickerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumePickerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolumePicker requires 2 argument(s)");
  vtkVolumePicker* vtk_pointer = GetVTKPointer<vtkVolumePicker>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumePicker:NewInstance vtkVolumePickerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumePickerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumePicker *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolumePicker requires 1 argument(s)");
  vtkVolumePicker* vtk_pointer = GetVTKPointer<vtkVolumePicker>(arg[0]);
  Array retval;
  vtkVolumePicker  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumePicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumePicker:SafeDownCast vtkVolumePickerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumePickerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumePicker *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolumePicker requires 2 argument(s)");
  vtkVolumePicker* vtk_pointer = GetVTKPointer<vtkVolumePicker>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolumePicker  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumePicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumePicker:SetPickCroppingPlanes vtkVolumePickerSetPickCroppingPlanesFunction
//input a0 a1 
//output none
ArrayVector vtkVolumePickerSetPickCroppingPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPickCroppingPlanes (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPickCroppingPlanes for class vtkVolumePicker requires 2 argument(s)");
  vtkVolumePicker* vtk_pointer = GetVTKPointer<vtkVolumePicker>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPickCroppingPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumePicker:PickCroppingPlanesOn vtkVolumePickerPickCroppingPlanesOnFunction
//input a0 
//output none
ArrayVector vtkVolumePickerPickCroppingPlanesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PickCroppingPlanesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PickCroppingPlanesOn for class vtkVolumePicker requires 1 argument(s)");
  vtkVolumePicker* vtk_pointer = GetVTKPointer<vtkVolumePicker>(arg[0]);
  Array retval;
  vtk_pointer->PickCroppingPlanesOn();
  return retval;
}

//@@Signature
//sfunction @vtkVolumePicker:PickCroppingPlanesOff vtkVolumePickerPickCroppingPlanesOffFunction
//input a0 
//output none
ArrayVector vtkVolumePickerPickCroppingPlanesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PickCroppingPlanesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PickCroppingPlanesOff for class vtkVolumePicker requires 1 argument(s)");
  vtkVolumePicker* vtk_pointer = GetVTKPointer<vtkVolumePicker>(arg[0]);
  Array retval;
  vtk_pointer->PickCroppingPlanesOff();
  return retval;
}

//@@Signature
//sfunction @vtkVolumePicker:GetPickCroppingPlanes vtkVolumePickerGetPickCroppingPlanesFunction
//input a0 
//output y
ArrayVector vtkVolumePickerGetPickCroppingPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPickCroppingPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPickCroppingPlanes for class vtkVolumePicker requires 1 argument(s)");
  vtkVolumePicker* vtk_pointer = GetVTKPointer<vtkVolumePicker>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPickCroppingPlanes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumePicker:GetCroppingPlaneId vtkVolumePickerGetCroppingPlaneIdFunction
//input a0 
//output y
ArrayVector vtkVolumePickerGetCroppingPlaneIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCroppingPlaneId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCroppingPlaneId for class vtkVolumePicker requires 1 argument(s)");
  vtkVolumePicker* vtk_pointer = GetVTKPointer<vtkVolumePicker>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCroppingPlaneId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumePicker:display vtkVolumePickerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumePickerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolumePicker* vtk_pointer = GetVTKPointer<vtkVolumePicker>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolumePicker:delete vtkVolumePickerDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumePickerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolumePicker
//@@Section VTKVolumeRendering
//@@Usage
// vtkVolumePicker is a subclass of vtkCellPicker.  It has one
// advantage over vtkCellPicker for volumes: it will be able to
// correctly perform picking when CroppingPlanes are present.  This
// isn't possible for vtkCellPicker since it doesn't link to
// the VolumeRendering classes and hence cannot access information
// about the CroppingPlanes.
//
//
//To create an instance of class vtkVolumePicker, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolumePicker
//@]
//@@Methods
//The class vtkVolumePicker has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolumePicker class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolumePicker = obj.NewInstance ()|
// \item @|vtkVolumePicker = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPickCroppingPlanes (int )| -  Set whether to pick the cropping planes of props that have them.
// If this is set, then the pick will be done on the cropping planes
// rather than on the data. The GetCroppingPlaneId() method will return
// the index of the cropping plane of the volume that was picked.  This
// setting is only relevant to the picking of volumes.
//// \item @|obj.PickCroppingPlanesOn ()| -  Set whether to pick the cropping planes of props that have them.
// If this is set, then the pick will be done on the cropping planes
// rather than on the data. The GetCroppingPlaneId() method will return
// the index of the cropping plane of the volume that was picked.  This
// setting is only relevant to the picking of volumes.
//// \item @|obj.PickCroppingPlanesOff ()| -  Set whether to pick the cropping planes of props that have them.
// If this is set, then the pick will be done on the cropping planes
// rather than on the data. The GetCroppingPlaneId() method will return
// the index of the cropping plane of the volume that was picked.  This
// setting is only relevant to the picking of volumes.
//// \item @|int = obj.GetPickCroppingPlanes ()| -  Set whether to pick the cropping planes of props that have them.
// If this is set, then the pick will be done on the cropping planes
// rather than on the data. The GetCroppingPlaneId() method will return
// the index of the cropping plane of the volume that was picked.  This
// setting is only relevant to the picking of volumes.
//// \item @|int = obj.GetCroppingPlaneId ()| -  Get the index of the cropping plane that the pick ray passed
// through on its way to the prop. This will be set regardless
// of whether PickCroppingPlanes is on.  The crop planes are ordered
// as follows: xmin, xmax, ymin, ymax, zmin, zmax.  If the volume is
// not cropped, the value will bet set to -1.
////\end{itemize}
//!
