#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolumeProMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolumeProMapper.h"

//@@Signature
//sfunction @vtkVolumeProMapper:vtkVolumeProMapper vtkVolumeProMapperConstructorFunction
//input a
//output p
//@@Parents vtkVolumeProMapper vtkVolumeMapper 
ArrayVector vtkVolumeProMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolumeProMapper::New(),"vtkVolumeProMapper",eval);
  } else if (arg[0].className() == "vtkVolumeProMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolumeProMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolumeProMapper");
    vtkVolumeProMapper*q = reinterpret_cast<vtkVolumeProMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolumeProMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolumeProMapper:GetClassName vtkVolumeProMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:IsA vtkVolumeProMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeProMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:NewInstance vtkVolumeProMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeProMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtkVolumeProMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeProMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SafeDownCast vtkVolumeProMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeProMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeProMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolumeProMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeProMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:Render vtkVolumeProMapperRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkVolumeProMapperRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Render (vtkRenderer *, vtkVolume *); */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkVolumeProMapper requires 3 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkVolume>(arg[2]);
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetBlendMode vtkVolumeProMapperSetBlendModeFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetBlendModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlendMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBlendMode for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBlendMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetBlendModeMinValue vtkVolumeProMapperGetBlendModeMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetBlendModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBlendModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBlendModeMinValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBlendModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetBlendModeMaxValue vtkVolumeProMapperGetBlendModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetBlendModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBlendModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBlendModeMaxValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBlendModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetBlendMode vtkVolumeProMapperGetBlendModeFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetBlendModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBlendMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBlendMode for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBlendMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetBlendModeToComposite vtkVolumeProMapperSetBlendModeToCompositeFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperSetBlendModeToCompositeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlendModeToComposite ();this SetBlendMode VTK_BLEND_MODE_COMPOSITE  */
  if (arg.size() < 1) 
    throw Exception("Function SetBlendModeToComposite for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetBlendModeToComposite();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetBlendModeToMaximumIntensity vtkVolumeProMapperSetBlendModeToMaximumIntensityFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperSetBlendModeToMaximumIntensityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlendModeToMaximumIntensity ();this SetBlendMode VTK_BLEND_MODE_MAX_INTENSITY  */
  if (arg.size() < 1) 
    throw Exception("Function SetBlendModeToMaximumIntensity for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetBlendModeToMaximumIntensity();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetBlendModeToMinimumIntensity vtkVolumeProMapperSetBlendModeToMinimumIntensityFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperSetBlendModeToMinimumIntensityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlendModeToMinimumIntensity ();this SetBlendMode VTK_BLEND_MODE_MIN_INTENSITY  */
  if (arg.size() < 1) 
    throw Exception("Function SetBlendModeToMinimumIntensity for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetBlendModeToMinimumIntensity();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetBlendModeAsString vtkVolumeProMapperGetBlendModeAsStringFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetBlendModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetBlendModeAsString (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetBlendModeAsString for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetBlendModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetSubVolume__1 vtkVolumeProMapperSetSubVolume__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkVolumeProMapperSetSubVolume__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSubVolume (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetSubVolume__1 for class vtkVolumeProMapper requires 7 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetSubVolume(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetSubVolume__2 vtkVolumeProMapperSetSubVolume__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetSubVolume__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSubVolume (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSubVolume__2 for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetSubVolume(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetSubVolume vtkVolumeProMapperGetSubVolumeFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetSubVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetSubVolume (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubVolume for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetSubVolume();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCursor vtkVolumeProMapperSetCursorFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursor (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCursor for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCursor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCursorMinValue vtkVolumeProMapperGetCursorMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCursorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCursorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorMinValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCursorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCursorMaxValue vtkVolumeProMapperGetCursorMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCursorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCursorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorMaxValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCursorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCursor vtkVolumeProMapperGetCursorFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCursor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursor for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCursor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:CursorOn vtkVolumeProMapperCursorOnFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperCursorOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CursorOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CursorOn for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->CursorOn();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:CursorOff vtkVolumeProMapperCursorOffFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperCursorOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CursorOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CursorOff for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->CursorOff();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCursorType vtkVolumeProMapperSetCursorTypeFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetCursorTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCursorType for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCursorType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCursorTypeMinValue vtkVolumeProMapperGetCursorTypeMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCursorTypeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCursorTypeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorTypeMinValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCursorTypeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCursorTypeMaxValue vtkVolumeProMapperGetCursorTypeMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCursorTypeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCursorTypeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorTypeMaxValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCursorTypeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCursorType vtkVolumeProMapperGetCursorTypeFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCursorTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCursorType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorType for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCursorType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCursorTypeToCrossHair vtkVolumeProMapperSetCursorTypeToCrossHairFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperSetCursorTypeToCrossHairFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorTypeToCrossHair ();this SetCursorType VTK_CURSOR_TYPE_CROSSHAIR  */
  if (arg.size() < 1) 
    throw Exception("Function SetCursorTypeToCrossHair for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetCursorTypeToCrossHair();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCursorTypeToPlane vtkVolumeProMapperSetCursorTypeToPlaneFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperSetCursorTypeToPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorTypeToPlane ();this SetCursorType VTK_CURSOR_TYPE_PLANE  */
  if (arg.size() < 1) 
    throw Exception("Function SetCursorTypeToPlane for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->SetCursorTypeToPlane();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCursorTypeAsString vtkVolumeProMapperGetCursorTypeAsStringFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCursorTypeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetCursorTypeAsString (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorTypeAsString for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetCursorTypeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCursorPosition__1 vtkVolumeProMapperSetCursorPosition__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkVolumeProMapperSetCursorPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorPosition (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCursorPosition__1 for class vtkVolumeProMapper requires 4 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCursorPosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCursorPosition__2 vtkVolumeProMapperSetCursorPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetCursorPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorPosition (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCursorPosition__2 for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCursorPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCursorPosition vtkVolumeProMapperGetCursorPositionFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCursorPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCursorPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorPosition for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCursorPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCursorXAxisColor__1 vtkVolumeProMapperSetCursorXAxisColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkVolumeProMapperSetCursorXAxisColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorXAxisColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCursorXAxisColor__1 for class vtkVolumeProMapper requires 4 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCursorXAxisColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCursorXAxisColor__2 vtkVolumeProMapperSetCursorXAxisColor__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetCursorXAxisColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorXAxisColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCursorXAxisColor__2 for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCursorXAxisColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCursorXAxisColor vtkVolumeProMapperGetCursorXAxisColorFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCursorXAxisColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCursorXAxisColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorXAxisColor for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCursorXAxisColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCursorYAxisColor__1 vtkVolumeProMapperSetCursorYAxisColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkVolumeProMapperSetCursorYAxisColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorYAxisColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCursorYAxisColor__1 for class vtkVolumeProMapper requires 4 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCursorYAxisColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCursorYAxisColor__2 vtkVolumeProMapperSetCursorYAxisColor__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetCursorYAxisColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorYAxisColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCursorYAxisColor__2 for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCursorYAxisColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCursorYAxisColor vtkVolumeProMapperGetCursorYAxisColorFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCursorYAxisColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCursorYAxisColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorYAxisColor for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCursorYAxisColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCursorZAxisColor__1 vtkVolumeProMapperSetCursorZAxisColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkVolumeProMapperSetCursorZAxisColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorZAxisColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCursorZAxisColor__1 for class vtkVolumeProMapper requires 4 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCursorZAxisColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCursorZAxisColor__2 vtkVolumeProMapperSetCursorZAxisColor__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetCursorZAxisColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorZAxisColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCursorZAxisColor__2 for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCursorZAxisColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCursorZAxisColor vtkVolumeProMapperGetCursorZAxisColorFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCursorZAxisColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCursorZAxisColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorZAxisColor for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCursorZAxisColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetSuperSampling vtkVolumeProMapperSetSuperSamplingFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetSuperSamplingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSuperSampling (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSuperSampling for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSuperSampling(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetSuperSamplingMinValue vtkVolumeProMapperGetSuperSamplingMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetSuperSamplingMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSuperSamplingMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSuperSamplingMinValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSuperSamplingMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetSuperSamplingMaxValue vtkVolumeProMapperGetSuperSamplingMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetSuperSamplingMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSuperSamplingMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSuperSamplingMaxValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSuperSamplingMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetSuperSampling vtkVolumeProMapperGetSuperSamplingFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetSuperSamplingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSuperSampling (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSuperSampling for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSuperSampling();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SuperSamplingOn vtkVolumeProMapperSuperSamplingOnFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperSuperSamplingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SuperSamplingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SuperSamplingOn for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->SuperSamplingOn();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SuperSamplingOff vtkVolumeProMapperSuperSamplingOffFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperSuperSamplingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SuperSamplingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SuperSamplingOff for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->SuperSamplingOff();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetSuperSamplingFactor__1 vtkVolumeProMapperSetSuperSamplingFactor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkVolumeProMapperSetSuperSamplingFactor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSuperSamplingFactor (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetSuperSamplingFactor__1 for class vtkVolumeProMapper requires 4 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetSuperSamplingFactor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetSuperSamplingFactor__2 vtkVolumeProMapperSetSuperSamplingFactor__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetSuperSamplingFactor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSuperSamplingFactor (double f[3]);this SetSuperSamplingFactor f f f  */
  if (arg.size() < 2) 
    throw Exception("Function SetSuperSamplingFactor__2 for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSuperSamplingFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetSuperSamplingFactor vtkVolumeProMapperGetSuperSamplingFactorFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetSuperSamplingFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSuperSamplingFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSuperSamplingFactor for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSuperSamplingFactor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCutPlane vtkVolumeProMapperSetCutPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetCutPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCutPlane (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCutPlane for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCutPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCutPlaneMinValue vtkVolumeProMapperGetCutPlaneMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCutPlaneMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCutPlaneMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCutPlaneMinValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCutPlaneMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCutPlaneMaxValue vtkVolumeProMapperGetCutPlaneMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCutPlaneMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCutPlaneMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCutPlaneMaxValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCutPlaneMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCutPlane vtkVolumeProMapperGetCutPlaneFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCutPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCutPlane (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCutPlane for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCutPlane();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:CutPlaneOn vtkVolumeProMapperCutPlaneOnFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperCutPlaneOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CutPlaneOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CutPlaneOn for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->CutPlaneOn();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:CutPlaneOff vtkVolumeProMapperCutPlaneOffFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperCutPlaneOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CutPlaneOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CutPlaneOff for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->CutPlaneOff();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCutPlaneEquation__1 vtkVolumeProMapperSetCutPlaneEquation__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkVolumeProMapperSetCutPlaneEquation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCutPlaneEquation (double , double , double , double ); */
  if (arg.size() < 5) 
    throw Exception("Function SetCutPlaneEquation__1 for class vtkVolumeProMapper requires 5 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetCutPlaneEquation(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCutPlaneEquation__2 vtkVolumeProMapperSetCutPlaneEquation__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetCutPlaneEquation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCutPlaneEquation (double  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCutPlaneEquation__2 for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCutPlaneEquation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCutPlaneEquation vtkVolumeProMapperGetCutPlaneEquationFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCutPlaneEquationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCutPlaneEquation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCutPlaneEquation for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCutPlaneEquation();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCutPlaneThickness vtkVolumeProMapperSetCutPlaneThicknessFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetCutPlaneThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCutPlaneThickness (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCutPlaneThickness for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCutPlaneThickness(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCutPlaneThicknessMinValue vtkVolumeProMapperGetCutPlaneThicknessMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCutPlaneThicknessMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCutPlaneThicknessMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCutPlaneThicknessMinValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCutPlaneThicknessMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCutPlaneThicknessMaxValue vtkVolumeProMapperGetCutPlaneThicknessMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCutPlaneThicknessMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCutPlaneThicknessMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCutPlaneThicknessMaxValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCutPlaneThicknessMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCutPlaneThickness vtkVolumeProMapperGetCutPlaneThicknessFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCutPlaneThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCutPlaneThickness (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCutPlaneThickness for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCutPlaneThickness();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCutPlaneFallOffDistance vtkVolumeProMapperSetCutPlaneFallOffDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetCutPlaneFallOffDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCutPlaneFallOffDistance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCutPlaneFallOffDistance for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCutPlaneFallOffDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCutPlaneFallOffDistanceMinValue vtkVolumeProMapperGetCutPlaneFallOffDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCutPlaneFallOffDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCutPlaneFallOffDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCutPlaneFallOffDistanceMinValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCutPlaneFallOffDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCutPlaneFallOffDistanceMaxValue vtkVolumeProMapperGetCutPlaneFallOffDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCutPlaneFallOffDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCutPlaneFallOffDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCutPlaneFallOffDistanceMaxValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCutPlaneFallOffDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetCutPlaneFallOffDistance vtkVolumeProMapperGetCutPlaneFallOffDistanceFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetCutPlaneFallOffDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCutPlaneFallOffDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCutPlaneFallOffDistance for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCutPlaneFallOffDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetGradientOpacityModulation vtkVolumeProMapperSetGradientOpacityModulationFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetGradientOpacityModulationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGradientOpacityModulation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGradientOpacityModulation for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGradientOpacityModulation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetGradientOpacityModulationMinValue vtkVolumeProMapperGetGradientOpacityModulationMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetGradientOpacityModulationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGradientOpacityModulationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientOpacityModulationMinValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGradientOpacityModulationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetGradientOpacityModulationMaxValue vtkVolumeProMapperGetGradientOpacityModulationMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetGradientOpacityModulationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGradientOpacityModulationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientOpacityModulationMaxValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGradientOpacityModulationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetGradientOpacityModulation vtkVolumeProMapperGetGradientOpacityModulationFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetGradientOpacityModulationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGradientOpacityModulation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientOpacityModulation for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGradientOpacityModulation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GradientOpacityModulationOn vtkVolumeProMapperGradientOpacityModulationOnFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperGradientOpacityModulationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GradientOpacityModulationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GradientOpacityModulationOn for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->GradientOpacityModulationOn();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GradientOpacityModulationOff vtkVolumeProMapperGradientOpacityModulationOffFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperGradientOpacityModulationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GradientOpacityModulationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GradientOpacityModulationOff for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->GradientOpacityModulationOff();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetGradientDiffuseModulation vtkVolumeProMapperSetGradientDiffuseModulationFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetGradientDiffuseModulationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGradientDiffuseModulation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGradientDiffuseModulation for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGradientDiffuseModulation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetGradientDiffuseModulationMinValue vtkVolumeProMapperGetGradientDiffuseModulationMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetGradientDiffuseModulationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGradientDiffuseModulationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientDiffuseModulationMinValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGradientDiffuseModulationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetGradientDiffuseModulationMaxValue vtkVolumeProMapperGetGradientDiffuseModulationMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetGradientDiffuseModulationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGradientDiffuseModulationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientDiffuseModulationMaxValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGradientDiffuseModulationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetGradientDiffuseModulation vtkVolumeProMapperGetGradientDiffuseModulationFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetGradientDiffuseModulationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGradientDiffuseModulation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientDiffuseModulation for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGradientDiffuseModulation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GradientDiffuseModulationOn vtkVolumeProMapperGradientDiffuseModulationOnFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperGradientDiffuseModulationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GradientDiffuseModulationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GradientDiffuseModulationOn for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->GradientDiffuseModulationOn();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GradientDiffuseModulationOff vtkVolumeProMapperGradientDiffuseModulationOffFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperGradientDiffuseModulationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GradientDiffuseModulationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GradientDiffuseModulationOff for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->GradientDiffuseModulationOff();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetGradientSpecularModulation vtkVolumeProMapperSetGradientSpecularModulationFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetGradientSpecularModulationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGradientSpecularModulation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGradientSpecularModulation for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGradientSpecularModulation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetGradientSpecularModulationMinValue vtkVolumeProMapperGetGradientSpecularModulationMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetGradientSpecularModulationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGradientSpecularModulationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientSpecularModulationMinValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGradientSpecularModulationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetGradientSpecularModulationMaxValue vtkVolumeProMapperGetGradientSpecularModulationMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetGradientSpecularModulationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGradientSpecularModulationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientSpecularModulationMaxValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGradientSpecularModulationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetGradientSpecularModulation vtkVolumeProMapperGetGradientSpecularModulationFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetGradientSpecularModulationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGradientSpecularModulation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientSpecularModulation for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGradientSpecularModulation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GradientSpecularModulationOn vtkVolumeProMapperGradientSpecularModulationOnFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperGradientSpecularModulationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GradientSpecularModulationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GradientSpecularModulationOn for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->GradientSpecularModulationOn();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GradientSpecularModulationOff vtkVolumeProMapperGradientSpecularModulationOffFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperGradientSpecularModulationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GradientSpecularModulationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GradientSpecularModulationOff for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->GradientSpecularModulationOff();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetNoHardware vtkVolumeProMapperGetNoHardwareFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetNoHardwareFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNoHardware (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNoHardware for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNoHardware();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetWrongVLIVersion vtkVolumeProMapperGetWrongVLIVersionFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetWrongVLIVersionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWrongVLIVersion (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWrongVLIVersion for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWrongVLIVersion();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetNumberOfBoards vtkVolumeProMapperGetNumberOfBoardsFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetNumberOfBoardsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfBoards (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfBoards for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfBoards();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetMajorBoardVersion vtkVolumeProMapperGetMajorBoardVersionFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetMajorBoardVersionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMajorBoardVersion (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMajorBoardVersion for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMajorBoardVersion();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetMinorBoardVersion vtkVolumeProMapperGetMinorBoardVersionFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetMinorBoardVersionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMinorBoardVersion (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinorBoardVersion for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinorBoardVersion();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetAvailableBoardMemory vtkVolumeProMapperGetAvailableBoardMemoryFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetAvailableBoardMemoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetAvailableBoardMemory ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetAvailableBoardMemory for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAvailableBoardMemory();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetLockSizesForBoardMemory vtkVolumeProMapperGetLockSizesForBoardMemoryFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkVolumeProMapperGetLockSizesForBoardMemoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetLockSizesForBoardMemory (unsigned int , unsigned int *, unsigned int *, unsigned int *); */
  if (arg.size() < 5) 
    throw Exception("Function GetLockSizesForBoardMemory for class vtkVolumeProMapper requires 5 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int     *temp1;
  unsigned int     *temp2;
  unsigned int     *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned int)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new unsigned int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (unsigned int)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new unsigned int[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (unsigned int)data[k+1];
      }
  vtk_pointer->GetLockSizesForBoardMemory(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetIntermixIntersectingGeometry vtkVolumeProMapperSetIntermixIntersectingGeometryFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetIntermixIntersectingGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntermixIntersectingGeometry (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntermixIntersectingGeometry for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIntermixIntersectingGeometry(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetIntermixIntersectingGeometryMinValue vtkVolumeProMapperGetIntermixIntersectingGeometryMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetIntermixIntersectingGeometryMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntermixIntersectingGeometryMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntermixIntersectingGeometryMinValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntermixIntersectingGeometryMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetIntermixIntersectingGeometryMaxValue vtkVolumeProMapperGetIntermixIntersectingGeometryMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetIntermixIntersectingGeometryMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntermixIntersectingGeometryMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntermixIntersectingGeometryMaxValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntermixIntersectingGeometryMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetIntermixIntersectingGeometry vtkVolumeProMapperGetIntermixIntersectingGeometryFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetIntermixIntersectingGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntermixIntersectingGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntermixIntersectingGeometry for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntermixIntersectingGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:IntermixIntersectingGeometryOn vtkVolumeProMapperIntermixIntersectingGeometryOnFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperIntermixIntersectingGeometryOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IntermixIntersectingGeometryOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IntermixIntersectingGeometryOn for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->IntermixIntersectingGeometryOn();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:IntermixIntersectingGeometryOff vtkVolumeProMapperIntermixIntersectingGeometryOffFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperIntermixIntersectingGeometryOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IntermixIntersectingGeometryOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IntermixIntersectingGeometryOff for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->IntermixIntersectingGeometryOff();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetAutoAdjustMipmapLevels vtkVolumeProMapperSetAutoAdjustMipmapLevelsFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetAutoAdjustMipmapLevelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutoAdjustMipmapLevels (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutoAdjustMipmapLevels for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutoAdjustMipmapLevels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetAutoAdjustMipmapLevelsMinValue vtkVolumeProMapperGetAutoAdjustMipmapLevelsMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetAutoAdjustMipmapLevelsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustMipmapLevelsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustMipmapLevelsMinValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustMipmapLevelsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetAutoAdjustMipmapLevelsMaxValue vtkVolumeProMapperGetAutoAdjustMipmapLevelsMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetAutoAdjustMipmapLevelsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustMipmapLevelsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustMipmapLevelsMaxValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustMipmapLevelsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetAutoAdjustMipmapLevels vtkVolumeProMapperGetAutoAdjustMipmapLevelsFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetAutoAdjustMipmapLevelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustMipmapLevels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustMipmapLevels for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustMipmapLevels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:AutoAdjustMipmapLevelsOn vtkVolumeProMapperAutoAdjustMipmapLevelsOnFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperAutoAdjustMipmapLevelsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoAdjustMipmapLevelsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoAdjustMipmapLevelsOn for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->AutoAdjustMipmapLevelsOn();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:AutoAdjustMipmapLevelsOff vtkVolumeProMapperAutoAdjustMipmapLevelsOffFunction
//input a0 
//output none
ArrayVector vtkVolumeProMapperAutoAdjustMipmapLevelsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoAdjustMipmapLevelsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoAdjustMipmapLevelsOff for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  vtk_pointer->AutoAdjustMipmapLevelsOff();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetMinimumMipmapLevel vtkVolumeProMapperSetMinimumMipmapLevelFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetMinimumMipmapLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumMipmapLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumMipmapLevel for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMinimumMipmapLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetMinimumMipmapLevelMinValue vtkVolumeProMapperGetMinimumMipmapLevelMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetMinimumMipmapLevelMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMinimumMipmapLevelMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumMipmapLevelMinValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinimumMipmapLevelMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetMinimumMipmapLevelMaxValue vtkVolumeProMapperGetMinimumMipmapLevelMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetMinimumMipmapLevelMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMinimumMipmapLevelMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumMipmapLevelMaxValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinimumMipmapLevelMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetMinimumMipmapLevel vtkVolumeProMapperGetMinimumMipmapLevelFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetMinimumMipmapLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMinimumMipmapLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumMipmapLevel for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinimumMipmapLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetMaximumMipmapLevel vtkVolumeProMapperSetMaximumMipmapLevelFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetMaximumMipmapLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumMipmapLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumMipmapLevel for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumMipmapLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetMaximumMipmapLevelMinValue vtkVolumeProMapperGetMaximumMipmapLevelMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetMaximumMipmapLevelMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumMipmapLevelMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumMipmapLevelMinValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumMipmapLevelMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetMaximumMipmapLevelMaxValue vtkVolumeProMapperGetMaximumMipmapLevelMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetMaximumMipmapLevelMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumMipmapLevelMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumMipmapLevelMaxValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumMipmapLevelMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetMaximumMipmapLevel vtkVolumeProMapperGetMaximumMipmapLevelFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetMaximumMipmapLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumMipmapLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumMipmapLevel for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumMipmapLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetMipmapLevel vtkVolumeProMapperSetMipmapLevelFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeProMapperSetMipmapLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMipmapLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMipmapLevel for class vtkVolumeProMapper requires 2 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMipmapLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetMipmapLevelMinValue vtkVolumeProMapperGetMipmapLevelMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetMipmapLevelMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMipmapLevelMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMipmapLevelMinValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMipmapLevelMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetMipmapLevelMaxValue vtkVolumeProMapperGetMipmapLevelMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetMipmapLevelMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMipmapLevelMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMipmapLevelMaxValue for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMipmapLevelMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:GetMipmapLevel vtkVolumeProMapperGetMipmapLevelFunction
//input a0 
//output y
ArrayVector vtkVolumeProMapperGetMipmapLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMipmapLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMipmapLevel for class vtkVolumeProMapper requires 1 argument(s)");
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMipmapLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetSubVolume vtkVolumeProMapperSetSubVolumeFunction
//input varargin
//output varargout
ArrayVector vtkVolumeProMapperSetSubVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkVolumeProMapperSetSubVolume__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVolumeProMapperSetSubVolume__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeProMapperSetSubVolume");
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCursorPosition vtkVolumeProMapperSetCursorPositionFunction
//input varargin
//output varargout
ArrayVector vtkVolumeProMapperSetCursorPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkVolumeProMapperSetCursorPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVolumeProMapperSetCursorPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeProMapperSetCursorPosition");
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCursorXAxisColor vtkVolumeProMapperSetCursorXAxisColorFunction
//input varargin
//output varargout
ArrayVector vtkVolumeProMapperSetCursorXAxisColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkVolumeProMapperSetCursorXAxisColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVolumeProMapperSetCursorXAxisColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeProMapperSetCursorXAxisColor");
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCursorYAxisColor vtkVolumeProMapperSetCursorYAxisColorFunction
//input varargin
//output varargout
ArrayVector vtkVolumeProMapperSetCursorYAxisColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkVolumeProMapperSetCursorYAxisColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVolumeProMapperSetCursorYAxisColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeProMapperSetCursorYAxisColor");
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCursorZAxisColor vtkVolumeProMapperSetCursorZAxisColorFunction
//input varargin
//output varargout
ArrayVector vtkVolumeProMapperSetCursorZAxisColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkVolumeProMapperSetCursorZAxisColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVolumeProMapperSetCursorZAxisColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeProMapperSetCursorZAxisColor");
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetSuperSamplingFactor vtkVolumeProMapperSetSuperSamplingFactorFunction
//input varargin
//output varargout
ArrayVector vtkVolumeProMapperSetSuperSamplingFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkVolumeProMapperSetSuperSamplingFactor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVolumeProMapperSetSuperSamplingFactor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeProMapperSetSuperSamplingFactor");
}

//@@Signature
//sfunction @vtkVolumeProMapper:SetCutPlaneEquation vtkVolumeProMapperSetCutPlaneEquationFunction
//input varargin
//output varargout
ArrayVector vtkVolumeProMapperSetCutPlaneEquationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkVolumeProMapperSetCutPlaneEquation__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVolumeProMapperSetCutPlaneEquation__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeProMapperSetCutPlaneEquation");
}

//@@Signature
//sfunction @vtkVolumeProMapper:display vtkVolumeProMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumeProMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolumeProMapper* vtk_pointer = GetVTKPointer<vtkVolumeProMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolumeProMapper:delete vtkVolumeProMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumeProMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolumeProMapper
//@@Section VTKVolumeRendering
//@@Usage
// vtkVolumeProMapper is the superclass for VolumePRO volume rendering mappers.
// Any functionality that is general across all VolumePRO implementations is
// placed here in this class. Subclasses of this class are for the specific
// board implementations. Subclasses of that are for underlying graphics 
// languages. Users should not create subclasses directly - 
// a vtkVolumeProMapper will automatically create the object of the right 
// type.
//
// If you do not have the VolumePRO libraries when building this object, then
// the New method will create a default renderer that will not render.
// You can check the NumberOfBoards ivar to see if it is a real rendering class.
// To build with the VolumePRO board see vtkVolumeProVP1000Mapper.h 
// for instructions.
//
// For more information on the VolumePRO hardware, please see:
//
//   http://www.terarecon.com/products/volumepro_prod.html
//
// If you encounter any problems with this class, please inform Kitware, Inc.
// at kitware@kitware.com.
//
//
//
//To create an instance of class vtkVolumeProMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolumeProMapper
//@]
//@@Methods
//The class vtkVolumeProMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolumeProMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolumeProMapper = obj.NewInstance ()|
// \item @|vtkVolumeProMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Render (vtkRenderer , vtkVolume )| -  Set the blend mode
//// \item @|obj.SetBlendMode (int )| -  Set the blend mode
//// \item @|int = obj.GetBlendModeMinValue ()| -  Set the blend mode
//// \item @|int = obj.GetBlendModeMaxValue ()| -  Set the blend mode
//// \item @|int = obj.GetBlendMode ()| -  Set the blend mode
//// \item @|obj.SetBlendModeToComposite ()| -  Set the blend mode
//// \item @|obj.SetBlendModeToMaximumIntensity ()| -  Set the blend mode
//// \item @|obj.SetBlendModeToMinimumIntensity ()| -  Set the blend mode
//// \item @|string = obj.GetBlendModeAsString (void )| -  Set the blend mode
//// \item @|obj.SetSubVolume (int , int , int , int , int , int )| -  Set the subvolume
//// \item @|obj.SetSubVolume (int  a[6])| -  Set the subvolume
//// \item @|int = obj. GetSubVolume ()| -  Set the subvolume
//// \item @|obj.SetCursor (int )| -  Turn the cursor on / off
//// \item @|int = obj.GetCursorMinValue ()| -  Turn the cursor on / off
//// \item @|int = obj.GetCursorMaxValue ()| -  Turn the cursor on / off
//// \item @|int = obj.GetCursor ()| -  Turn the cursor on / off
//// \item @|obj.CursorOn ()| -  Turn the cursor on / off
//// \item @|obj.CursorOff ()| -  Turn the cursor on / off
//// \item @|obj.SetCursorType (int )| -  Set the type of the cursor
//// \item @|int = obj.GetCursorTypeMinValue ()| -  Set the type of the cursor
//// \item @|int = obj.GetCursorTypeMaxValue ()| -  Set the type of the cursor
//// \item @|int = obj.GetCursorType ()| -  Set the type of the cursor
//// \item @|obj.SetCursorTypeToCrossHair ()| -  Set the type of the cursor
//// \item @|obj.SetCursorTypeToPlane ()| -  Set the type of the cursor
//// \item @|string = obj.GetCursorTypeAsString (void )| -  Set the type of the cursor
//// \item @|obj.SetCursorPosition (double , double , double )| -  Set/Get the cursor position
//// \item @|obj.SetCursorPosition (double  a[3])| -  Set/Get the cursor position
//// \item @|double = obj. GetCursorPosition ()| -  Set/Get the cursor position
//// \item @|obj.SetCursorXAxisColor (double , double , double )| -  Set/Get the cursor color
//// \item @|obj.SetCursorXAxisColor (double  a[3])| -  Set/Get the cursor color
//// \item @|double = obj. GetCursorXAxisColor ()| -  Set/Get the cursor color
//// \item @|obj.SetCursorYAxisColor (double , double , double )| -  Set/Get the cursor color
//// \item @|obj.SetCursorYAxisColor (double  a[3])| -  Set/Get the cursor color
//// \item @|double = obj. GetCursorYAxisColor ()| -  Set/Get the cursor color
//// \item @|obj.SetCursorZAxisColor (double , double , double )| -  Set/Get the cursor color
//// \item @|obj.SetCursorZAxisColor (double  a[3])| -  Set/Get the cursor color
//// \item @|double = obj. GetCursorZAxisColor ()| -  Set/Get the cursor color
//// \item @|obj.SetSuperSampling (int )| -  Turn supersampling on/off
//// \item @|int = obj.GetSuperSamplingMinValue ()| -  Turn supersampling on/off
//// \item @|int = obj.GetSuperSamplingMaxValue ()| -  Turn supersampling on/off
//// \item @|int = obj.GetSuperSampling ()| -  Turn supersampling on/off
//// \item @|obj.SuperSamplingOn ()| -  Turn supersampling on/off
//// \item @|obj.SuperSamplingOff ()| -  Turn supersampling on/off
//// \item @|obj.SetSuperSamplingFactor (double x, double y, double z)| -  Set the supersampling factors
//// \item @|obj.SetSuperSamplingFactor (double f[3])| -  Set the supersampling factors
//// \item @|double = obj. GetSuperSamplingFactor ()| -  Set the supersampling factors
//// \item @|obj.SetCutPlane (int )| -  Turn on / off the cut plane
//// \item @|int = obj.GetCutPlaneMinValue ()| -  Turn on / off the cut plane
//// \item @|int = obj.GetCutPlaneMaxValue ()| -  Turn on / off the cut plane
//// \item @|int = obj.GetCutPlane ()| -  Turn on / off the cut plane
//// \item @|obj.CutPlaneOn ()| -  Turn on / off the cut plane
//// \item @|obj.CutPlaneOff ()| -  Turn on / off the cut plane
//// \item @|obj.SetCutPlaneEquation (double , double , double , double )| -  Set/Get the cut plane equation
//// \item @|obj.SetCutPlaneEquation (double  a[4])| -  Set/Get the cut plane equation
//// \item @|double = obj. GetCutPlaneEquation ()| -  Set/Get the cut plane equation
//// \item @|obj.SetCutPlaneThickness (double )| -  Set / Get the cut plane thickness
//// \item @|double = obj.GetCutPlaneThicknessMinValue ()| -  Set / Get the cut plane thickness
//// \item @|double = obj.GetCutPlaneThicknessMaxValue ()| -  Set / Get the cut plane thickness
//// \item @|double = obj.GetCutPlaneThickness ()| -  Set / Get the cut plane thickness
//// \item @|obj.SetCutPlaneFallOffDistance (int )| -  Set / Get the cut plane falloff value for intensities
//// \item @|int = obj.GetCutPlaneFallOffDistanceMinValue ()| -  Set / Get the cut plane falloff value for intensities
//// \item @|int = obj.GetCutPlaneFallOffDistanceMaxValue ()| -  Set / Get the cut plane falloff value for intensities
//// \item @|int = obj.GetCutPlaneFallOffDistance ()| -  Set / Get the cut plane falloff value for intensities
//// \item @|obj.SetGradientOpacityModulation (int )| -  Set/Get the gradient magnitude opacity modulation 
//// \item @|int = obj.GetGradientOpacityModulationMinValue ()| -  Set/Get the gradient magnitude opacity modulation 
//// \item @|int = obj.GetGradientOpacityModulationMaxValue ()| -  Set/Get the gradient magnitude opacity modulation 
//// \item @|int = obj.GetGradientOpacityModulation ()| -  Set/Get the gradient magnitude opacity modulation 
//// \item @|obj.GradientOpacityModulationOn ()| -  Set/Get the gradient magnitude opacity modulation 
//// \item @|obj.GradientOpacityModulationOff ()| -  Set/Get the gradient magnitude opacity modulation 
//// \item @|obj.SetGradientDiffuseModulation (int )| -  Set/Get the gradient magnitude diffuse modulation 
//// \item @|int = obj.GetGradientDiffuseModulationMinValue ()| -  Set/Get the gradient magnitude diffuse modulation 
//// \item @|int = obj.GetGradientDiffuseModulationMaxValue ()| -  Set/Get the gradient magnitude diffuse modulation 
//// \item @|int = obj.GetGradientDiffuseModulation ()| -  Set/Get the gradient magnitude diffuse modulation 
//// \item @|obj.GradientDiffuseModulationOn ()| -  Set/Get the gradient magnitude diffuse modulation 
//// \item @|obj.GradientDiffuseModulationOff ()| -  Set/Get the gradient magnitude diffuse modulation 
//// \item @|obj.SetGradientSpecularModulation (int )| -  Set/Get the gradient magnitude specular modulation 
//// \item @|int = obj.GetGradientSpecularModulationMinValue ()| -  Set/Get the gradient magnitude specular modulation 
//// \item @|int = obj.GetGradientSpecularModulationMaxValue ()| -  Set/Get the gradient magnitude specular modulation 
//// \item @|int = obj.GetGradientSpecularModulation ()| -  Set/Get the gradient magnitude specular modulation 
//// \item @|obj.GradientSpecularModulationOn ()| -  Set/Get the gradient magnitude specular modulation 
//// \item @|obj.GradientSpecularModulationOff ()| -  Set/Get the gradient magnitude specular modulation 
//// \item @|int = obj.GetNoHardware ()| -  Conveniece methods for debugging
//// \item @|int = obj.GetWrongVLIVersion ()| -  Conveniece methods for debugging
//// \item @|int = obj.GetNumberOfBoards ()| -  Access methods for some board info
//// \item @|int = obj.GetMajorBoardVersion ()| -  Access methods for some board info
//// \item @|int = obj.GetMinorBoardVersion ()| -  Access methods for some board info
//// \item @|int = obj.GetAvailableBoardMemory ()| -  Access methods for some board info
//// \item @|obj.GetLockSizesForBoardMemory (int , int , int , int )| -  Access methods for some board info
//// \item @|obj.SetIntermixIntersectingGeometry (int )| -  Specify whether any geometry intersects the volume.
//// \item @|int = obj.GetIntermixIntersectingGeometryMinValue ()| -  Specify whether any geometry intersects the volume.
//// \item @|int = obj.GetIntermixIntersectingGeometryMaxValue ()| -  Specify whether any geometry intersects the volume.
//// \item @|int = obj.GetIntermixIntersectingGeometry ()| -  Specify whether any geometry intersects the volume.
//// \item @|obj.IntermixIntersectingGeometryOn ()| -  Specify whether any geometry intersects the volume.
//// \item @|obj.IntermixIntersectingGeometryOff ()| -  Specify whether any geometry intersects the volume.
//// \item @|obj.SetAutoAdjustMipmapLevels (int )| -  If set to 1, this mapper will select a mipmap level to use based
// on the AllocatedRenderTime of the volume and the amount of time used
// by the previous render.
//// \item @|int = obj.GetAutoAdjustMipmapLevelsMinValue ()| -  If set to 1, this mapper will select a mipmap level to use based
// on the AllocatedRenderTime of the volume and the amount of time used
// by the previous render.
//// \item @|int = obj.GetAutoAdjustMipmapLevelsMaxValue ()| -  If set to 1, this mapper will select a mipmap level to use based
// on the AllocatedRenderTime of the volume and the amount of time used
// by the previous render.
//// \item @|int = obj.GetAutoAdjustMipmapLevels ()| -  If set to 1, this mapper will select a mipmap level to use based
// on the AllocatedRenderTime of the volume and the amount of time used
// by the previous render.
//// \item @|obj.AutoAdjustMipmapLevelsOn ()| -  If set to 1, this mapper will select a mipmap level to use based
// on the AllocatedRenderTime of the volume and the amount of time used
// by the previous render.
//// \item @|obj.AutoAdjustMipmapLevelsOff ()| -  If set to 1, this mapper will select a mipmap level to use based
// on the AllocatedRenderTime of the volume and the amount of time used
// by the previous render.
//// \item @|obj.SetMinimumMipmapLevel (int )| -  Specify the minimum mipmap level to use -- the highest resolution.
// Defaults to 0. This is the mipmap level that is used when interaction
// stops.
//// \item @|int = obj.GetMinimumMipmapLevelMinValue ()| -  Specify the minimum mipmap level to use -- the highest resolution.
// Defaults to 0. This is the mipmap level that is used when interaction
// stops.
//// \item @|int = obj.GetMinimumMipmapLevelMaxValue ()| -  Specify the minimum mipmap level to use -- the highest resolution.
// Defaults to 0. This is the mipmap level that is used when interaction
// stops.
//// \item @|int = obj.GetMinimumMipmapLevel ()| -  Specify the minimum mipmap level to use -- the highest resolution.
// Defaults to 0. This is the mipmap level that is used when interaction
// stops.
//// \item @|obj.SetMaximumMipmapLevel (int )| -  Specify the maximum mipmap level to use -- the lowest resolution.
// Defaults to 4. It will not help to set the level larger than
// this unless your volume is very large because for each successive mipmap
// level, the number of voxels along each axis is cut in half.
//// \item @|int = obj.GetMaximumMipmapLevelMinValue ()| -  Specify the maximum mipmap level to use -- the lowest resolution.
// Defaults to 4. It will not help to set the level larger than
// this unless your volume is very large because for each successive mipmap
// level, the number of voxels along each axis is cut in half.
//// \item @|int = obj.GetMaximumMipmapLevelMaxValue ()| -  Specify the maximum mipmap level to use -- the lowest resolution.
// Defaults to 4. It will not help to set the level larger than
// this unless your volume is very large because for each successive mipmap
// level, the number of voxels along each axis is cut in half.
//// \item @|int = obj.GetMaximumMipmapLevel ()| -  Specify the maximum mipmap level to use -- the lowest resolution.
// Defaults to 4. It will not help to set the level larger than
// this unless your volume is very large because for each successive mipmap
// level, the number of voxels along each axis is cut in half.
//// \item @|obj.SetMipmapLevel (int )| -  Choose a mipmap level. If AutoAdjustMipmapLevels is off, then this
// specifies the mipmap level to use during interaction. If
// AutoAdjustMipmapLevels is on, then this specifies the initial mipmap
// level to use.
//// \item @|int = obj.GetMipmapLevelMinValue ()| -  Choose a mipmap level. If AutoAdjustMipmapLevels is off, then this
// specifies the mipmap level to use during interaction. If
// AutoAdjustMipmapLevels is on, then this specifies the initial mipmap
// level to use.
//// \item @|int = obj.GetMipmapLevelMaxValue ()| -  Choose a mipmap level. If AutoAdjustMipmapLevels is off, then this
// specifies the mipmap level to use during interaction. If
// AutoAdjustMipmapLevels is on, then this specifies the initial mipmap
// level to use.
//// \item @|int = obj.GetMipmapLevel ()| -  Choose a mipmap level. If AutoAdjustMipmapLevels is off, then this
// specifies the mipmap level to use during interaction. If
// AutoAdjustMipmapLevels is on, then this specifies the initial mipmap
// level to use.
////\end{itemize}
//!
