#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolumeRayCastCompositeFunction object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolumeRayCastCompositeFunction.h"

//@@Signature
//sfunction @vtkVolumeRayCastCompositeFunction:vtkVolumeRayCastCompositeFunction vtkVolumeRayCastCompositeFunctionConstructorFunction
//input a
//output p
//@@Parents vtkVolumeRayCastCompositeFunction vtkVolumeRayCastFunction 
ArrayVector vtkVolumeRayCastCompositeFunctionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolumeRayCastCompositeFunction::New(),"vtkVolumeRayCastCompositeFunction",eval);
  } else if (arg[0].className() == "vtkVolumeRayCastCompositeFunction") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolumeRayCastCompositeFunction"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolumeRayCastCompositeFunction");
    vtkVolumeRayCastCompositeFunction*q = reinterpret_cast<vtkVolumeRayCastCompositeFunction*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolumeRayCastCompositeFunction");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolumeRayCastCompositeFunction:GetClassName vtkVolumeRayCastCompositeFunctionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastCompositeFunctionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolumeRayCastCompositeFunction requires 1 argument(s)");
  vtkVolumeRayCastCompositeFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastCompositeFunction>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastCompositeFunction:IsA vtkVolumeRayCastCompositeFunctionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeRayCastCompositeFunctionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolumeRayCastCompositeFunction requires 2 argument(s)");
  vtkVolumeRayCastCompositeFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastCompositeFunction>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastCompositeFunction:NewInstance vtkVolumeRayCastCompositeFunctionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastCompositeFunctionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeRayCastCompositeFunction *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolumeRayCastCompositeFunction requires 1 argument(s)");
  vtkVolumeRayCastCompositeFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastCompositeFunction>(arg[0]);
  Array retval;
  vtkVolumeRayCastCompositeFunction  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeRayCastCompositeFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastCompositeFunction:SafeDownCast vtkVolumeRayCastCompositeFunctionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeRayCastCompositeFunctionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeRayCastCompositeFunction *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolumeRayCastCompositeFunction requires 2 argument(s)");
  vtkVolumeRayCastCompositeFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastCompositeFunction>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolumeRayCastCompositeFunction  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeRayCastCompositeFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastCompositeFunction:SetCompositeMethod vtkVolumeRayCastCompositeFunctionSetCompositeMethodFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeRayCastCompositeFunctionSetCompositeMethodFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompositeMethod (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCompositeMethod for class vtkVolumeRayCastCompositeFunction requires 2 argument(s)");
  vtkVolumeRayCastCompositeFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastCompositeFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCompositeMethod(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastCompositeFunction:GetCompositeMethodMinValue vtkVolumeRayCastCompositeFunctionGetCompositeMethodMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastCompositeFunctionGetCompositeMethodMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCompositeMethodMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompositeMethodMinValue for class vtkVolumeRayCastCompositeFunction requires 1 argument(s)");
  vtkVolumeRayCastCompositeFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastCompositeFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCompositeMethodMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastCompositeFunction:GetCompositeMethodMaxValue vtkVolumeRayCastCompositeFunctionGetCompositeMethodMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastCompositeFunctionGetCompositeMethodMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCompositeMethodMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompositeMethodMaxValue for class vtkVolumeRayCastCompositeFunction requires 1 argument(s)");
  vtkVolumeRayCastCompositeFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastCompositeFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCompositeMethodMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastCompositeFunction:GetCompositeMethod vtkVolumeRayCastCompositeFunctionGetCompositeMethodFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastCompositeFunctionGetCompositeMethodFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCompositeMethod (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompositeMethod for class vtkVolumeRayCastCompositeFunction requires 1 argument(s)");
  vtkVolumeRayCastCompositeFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastCompositeFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCompositeMethod();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastCompositeFunction:SetCompositeMethodToInterpolateFirst vtkVolumeRayCastCompositeFunctionSetCompositeMethodToInterpolateFirstFunction
//input a0 
//output none
ArrayVector vtkVolumeRayCastCompositeFunctionSetCompositeMethodToInterpolateFirstFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompositeMethodToInterpolateFirst ();this SetCompositeMethod VTK_COMPOSITE_INTERPOLATE_FIRST  */
  if (arg.size() < 1) 
    throw Exception("Function SetCompositeMethodToInterpolateFirst for class vtkVolumeRayCastCompositeFunction requires 1 argument(s)");
  vtkVolumeRayCastCompositeFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastCompositeFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetCompositeMethodToInterpolateFirst();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastCompositeFunction:SetCompositeMethodToClassifyFirst vtkVolumeRayCastCompositeFunctionSetCompositeMethodToClassifyFirstFunction
//input a0 
//output none
ArrayVector vtkVolumeRayCastCompositeFunctionSetCompositeMethodToClassifyFirstFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompositeMethodToClassifyFirst ();this SetCompositeMethod VTK_COMPOSITE_CLASSIFY_FIRST  */
  if (arg.size() < 1) 
    throw Exception("Function SetCompositeMethodToClassifyFirst for class vtkVolumeRayCastCompositeFunction requires 1 argument(s)");
  vtkVolumeRayCastCompositeFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastCompositeFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetCompositeMethodToClassifyFirst();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastCompositeFunction:GetCompositeMethodAsString vtkVolumeRayCastCompositeFunctionGetCompositeMethodAsStringFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastCompositeFunctionGetCompositeMethodAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetCompositeMethodAsString (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompositeMethodAsString for class vtkVolumeRayCastCompositeFunction requires 1 argument(s)");
  vtkVolumeRayCastCompositeFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastCompositeFunction>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetCompositeMethodAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastCompositeFunction:display vtkVolumeRayCastCompositeFunctionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumeRayCastCompositeFunctionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolumeRayCastCompositeFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastCompositeFunction>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolumeRayCastCompositeFunction:delete vtkVolumeRayCastCompositeFunctionDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumeRayCastCompositeFunctionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolumeRayCastCompositeFunction
//@@Section VTKVolumeRendering
//@@Usage
// vtkVolumeRayCastCompositeFunction is a ray function that can be used
// within a vtkVolumeRayCastMapper. This function performs compositing along
// the ray according to the properties stored in the vtkVolumeProperty for
// the volume. 
//
//To create an instance of class vtkVolumeRayCastCompositeFunction, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolumeRayCastCompositeFunction
//@]
//@@Methods
//The class vtkVolumeRayCastCompositeFunction has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolumeRayCastCompositeFunction class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolumeRayCastCompositeFunction = obj.NewInstance ()|
// \item @|vtkVolumeRayCastCompositeFunction = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCompositeMethod (int )| -  Set the CompositeMethod to either Classify First or Interpolate First
//// \item @|int = obj.GetCompositeMethodMinValue ()| -  Set the CompositeMethod to either Classify First or Interpolate First
//// \item @|int = obj.GetCompositeMethodMaxValue ()| -  Set the CompositeMethod to either Classify First or Interpolate First
//// \item @|int = obj.GetCompositeMethod ()| -  Set the CompositeMethod to either Classify First or Interpolate First
//// \item @|obj.SetCompositeMethodToInterpolateFirst ()| -  Set the CompositeMethod to either Classify First or Interpolate First
//// \item @|obj.SetCompositeMethodToClassifyFirst ()| -  Set the CompositeMethod to either Classify First or Interpolate First
//// \item @|string = obj.GetCompositeMethodAsString (void )| -  Set the CompositeMethod to either Classify First or Interpolate First
////\end{itemize}
//!
