#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolumeRayCastFunction object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolumeRayCastFunction.h"

//@@Signature
//sfunction @vtkVolumeRayCastFunction:vtkVolumeRayCastFunction vtkVolumeRayCastFunctionConstructorFunction
//input a
//output p
//@@Parents vtkVolumeRayCastFunction vtkObject 
ArrayVector vtkVolumeRayCastFunctionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolumeRayCastFunction::New(),"vtkVolumeRayCastFunction",eval);
  } else if (arg[0].className() == "vtkVolumeRayCastFunction") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolumeRayCastFunction"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolumeRayCastFunction");
    vtkVolumeRayCastFunction*q = reinterpret_cast<vtkVolumeRayCastFunction*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolumeRayCastFunction");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolumeRayCastFunction:GetClassName vtkVolumeRayCastFunctionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastFunctionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolumeRayCastFunction requires 1 argument(s)");
  vtkVolumeRayCastFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastFunction>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastFunction:IsA vtkVolumeRayCastFunctionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeRayCastFunctionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolumeRayCastFunction requires 2 argument(s)");
  vtkVolumeRayCastFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastFunction>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastFunction:NewInstance vtkVolumeRayCastFunctionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastFunctionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeRayCastFunction *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolumeRayCastFunction requires 1 argument(s)");
  vtkVolumeRayCastFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastFunction>(arg[0]);
  Array retval;
  vtkVolumeRayCastFunction  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeRayCastFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastFunction:SafeDownCast vtkVolumeRayCastFunctionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeRayCastFunctionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeRayCastFunction *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolumeRayCastFunction requires 2 argument(s)");
  vtkVolumeRayCastFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastFunction>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolumeRayCastFunction  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeRayCastFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastFunction:GetZeroOpacityThreshold vtkVolumeRayCastFunctionGetZeroOpacityThresholdFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeRayCastFunctionGetZeroOpacityThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual float GetZeroOpacityThreshold (vtkVolume *vol) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetZeroOpacityThreshold for class vtkVolumeRayCastFunction requires 2 argument(s)");
  vtkVolumeRayCastFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastFunction>(arg[0]);
  Array retval;
  vtkVolume  *temp0;
  float    temp20;
  temp0 = GetVTKPointer<vtkVolume>(arg[1]);
  temp20 = (vtk_pointer)->GetZeroOpacityThreshold(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastFunction:display vtkVolumeRayCastFunctionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumeRayCastFunctionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolumeRayCastFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastFunction>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolumeRayCastFunction:delete vtkVolumeRayCastFunctionDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumeRayCastFunctionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolumeRayCastFunction
//@@Section VTKVolumeRendering
//@@Usage
// vtkVolumeRayCastFunction is a superclass for ray casting functions that 
// can be used within a vtkVolumeRayCastMapper. This includes for example,
// vtkVolumeRayCastCompositeFunction, vtkVolumeRayCastMIPFunction, and
// vtkVolumeRayCastIsosurfaceFunction.
//
//To create an instance of class vtkVolumeRayCastFunction, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolumeRayCastFunction
//@]
//@@Methods
//The class vtkVolumeRayCastFunction has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolumeRayCastFunction class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolumeRayCastFunction = obj.NewInstance ()|
// \item @|vtkVolumeRayCastFunction = obj.SafeDownCast (vtkObject o)|
// \item @|float = obj.GetZeroOpacityThreshold (vtkVolume vol)| -  Get the value below which all scalar values are considered to
// have 0 opacity.
////\end{itemize}
//!
