#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolumeRayCastIsosurfaceFunction object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolumeRayCastIsosurfaceFunction.h"

//@@Signature
//sfunction @vtkVolumeRayCastIsosurfaceFunction:vtkVolumeRayCastIsosurfaceFunction vtkVolumeRayCastIsosurfaceFunctionConstructorFunction
//input a
//output p
//@@Parents vtkVolumeRayCastIsosurfaceFunction vtkVolumeRayCastFunction 
ArrayVector vtkVolumeRayCastIsosurfaceFunctionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolumeRayCastIsosurfaceFunction::New(),"vtkVolumeRayCastIsosurfaceFunction",eval);
  } else if (arg[0].className() == "vtkVolumeRayCastIsosurfaceFunction") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolumeRayCastIsosurfaceFunction"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolumeRayCastIsosurfaceFunction");
    vtkVolumeRayCastIsosurfaceFunction*q = reinterpret_cast<vtkVolumeRayCastIsosurfaceFunction*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolumeRayCastIsosurfaceFunction");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolumeRayCastIsosurfaceFunction:GetClassName vtkVolumeRayCastIsosurfaceFunctionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastIsosurfaceFunctionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolumeRayCastIsosurfaceFunction requires 1 argument(s)");
  vtkVolumeRayCastIsosurfaceFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastIsosurfaceFunction>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastIsosurfaceFunction:IsA vtkVolumeRayCastIsosurfaceFunctionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeRayCastIsosurfaceFunctionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolumeRayCastIsosurfaceFunction requires 2 argument(s)");
  vtkVolumeRayCastIsosurfaceFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastIsosurfaceFunction>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastIsosurfaceFunction:NewInstance vtkVolumeRayCastIsosurfaceFunctionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastIsosurfaceFunctionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeRayCastIsosurfaceFunction *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolumeRayCastIsosurfaceFunction requires 1 argument(s)");
  vtkVolumeRayCastIsosurfaceFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastIsosurfaceFunction>(arg[0]);
  Array retval;
  vtkVolumeRayCastIsosurfaceFunction  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeRayCastIsosurfaceFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastIsosurfaceFunction:SafeDownCast vtkVolumeRayCastIsosurfaceFunctionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeRayCastIsosurfaceFunctionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeRayCastIsosurfaceFunction *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolumeRayCastIsosurfaceFunction requires 2 argument(s)");
  vtkVolumeRayCastIsosurfaceFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastIsosurfaceFunction>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolumeRayCastIsosurfaceFunction  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeRayCastIsosurfaceFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastIsosurfaceFunction:GetZeroOpacityThreshold vtkVolumeRayCastIsosurfaceFunctionGetZeroOpacityThresholdFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeRayCastIsosurfaceFunctionGetZeroOpacityThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetZeroOpacityThreshold (vtkVolume *vol); */
  if (arg.size() < 2) 
    throw Exception("Function GetZeroOpacityThreshold for class vtkVolumeRayCastIsosurfaceFunction requires 2 argument(s)");
  vtkVolumeRayCastIsosurfaceFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastIsosurfaceFunction>(arg[0]);
  Array retval;
  vtkVolume  *temp0;
  float    temp20;
  temp0 = GetVTKPointer<vtkVolume>(arg[1]);
  temp20 = (vtk_pointer)->GetZeroOpacityThreshold(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastIsosurfaceFunction:SetIsoValue vtkVolumeRayCastIsosurfaceFunctionSetIsoValueFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeRayCastIsosurfaceFunctionSetIsoValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIsoValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIsoValue for class vtkVolumeRayCastIsosurfaceFunction requires 2 argument(s)");
  vtkVolumeRayCastIsosurfaceFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastIsosurfaceFunction>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetIsoValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastIsosurfaceFunction:GetIsoValue vtkVolumeRayCastIsosurfaceFunctionGetIsoValueFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastIsosurfaceFunctionGetIsoValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetIsoValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIsoValue for class vtkVolumeRayCastIsosurfaceFunction requires 1 argument(s)");
  vtkVolumeRayCastIsosurfaceFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastIsosurfaceFunction>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetIsoValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastIsosurfaceFunction:display vtkVolumeRayCastIsosurfaceFunctionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumeRayCastIsosurfaceFunctionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolumeRayCastIsosurfaceFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastIsosurfaceFunction>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolumeRayCastIsosurfaceFunction:delete vtkVolumeRayCastIsosurfaceFunctionDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumeRayCastIsosurfaceFunctionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolumeRayCastIsosurfaceFunction
//@@Section VTKVolumeRendering
//@@Usage
// vtkVolumeRayCastIsosurfaceFunction is a volume ray cast function that
// intersects a ray with an analytic isosurface in a scalar field. The color
// and shading parameters are defined in the vtkVolumeProperty of the 
// vtkVolume, as well as the interpolation type to use when locating the
// surface (either a nearest neighbor approach or a tri-linear interpolation
// approach)
//
//
//To create an instance of class vtkVolumeRayCastIsosurfaceFunction, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolumeRayCastIsosurfaceFunction
//@]
//@@Methods
//The class vtkVolumeRayCastIsosurfaceFunction has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolumeRayCastIsosurfaceFunction class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolumeRayCastIsosurfaceFunction = obj.NewInstance ()|
// \item @|vtkVolumeRayCastIsosurfaceFunction = obj.SafeDownCast (vtkObject o)|
// \item @|float = obj.GetZeroOpacityThreshold (vtkVolume vol)| -  Get the scalar value below which all scalar values have 0 opacity
//// \item @|obj.SetIsoValue (double )| -  Set/Get the value of IsoValue.
//// \item @|double = obj.GetIsoValue ()| -  Set/Get the value of IsoValue.
////\end{itemize}
//!
