#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolumeRayCastMIPFunction object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolumeRayCastMIPFunction.h"

//@@Signature
//sfunction @vtkVolumeRayCastMIPFunction:vtkVolumeRayCastMIPFunction vtkVolumeRayCastMIPFunctionConstructorFunction
//input a
//output p
//@@Parents vtkVolumeRayCastMIPFunction vtkVolumeRayCastFunction 
ArrayVector vtkVolumeRayCastMIPFunctionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolumeRayCastMIPFunction::New(),"vtkVolumeRayCastMIPFunction",eval);
  } else if (arg[0].className() == "vtkVolumeRayCastMIPFunction") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolumeRayCastMIPFunction"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolumeRayCastMIPFunction");
    vtkVolumeRayCastMIPFunction*q = reinterpret_cast<vtkVolumeRayCastMIPFunction*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolumeRayCastMIPFunction");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolumeRayCastMIPFunction:GetClassName vtkVolumeRayCastMIPFunctionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMIPFunctionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolumeRayCastMIPFunction requires 1 argument(s)");
  vtkVolumeRayCastMIPFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMIPFunction>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMIPFunction:IsA vtkVolumeRayCastMIPFunctionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeRayCastMIPFunctionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolumeRayCastMIPFunction requires 2 argument(s)");
  vtkVolumeRayCastMIPFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMIPFunction>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMIPFunction:NewInstance vtkVolumeRayCastMIPFunctionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMIPFunctionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeRayCastMIPFunction *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolumeRayCastMIPFunction requires 1 argument(s)");
  vtkVolumeRayCastMIPFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMIPFunction>(arg[0]);
  Array retval;
  vtkVolumeRayCastMIPFunction  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeRayCastMIPFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMIPFunction:SafeDownCast vtkVolumeRayCastMIPFunctionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeRayCastMIPFunctionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeRayCastMIPFunction *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolumeRayCastMIPFunction requires 2 argument(s)");
  vtkVolumeRayCastMIPFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMIPFunction>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolumeRayCastMIPFunction  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeRayCastMIPFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMIPFunction:GetZeroOpacityThreshold vtkVolumeRayCastMIPFunctionGetZeroOpacityThresholdFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeRayCastMIPFunctionGetZeroOpacityThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetZeroOpacityThreshold (vtkVolume *vol); */
  if (arg.size() < 2) 
    throw Exception("Function GetZeroOpacityThreshold for class vtkVolumeRayCastMIPFunction requires 2 argument(s)");
  vtkVolumeRayCastMIPFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMIPFunction>(arg[0]);
  Array retval;
  vtkVolume  *temp0;
  float    temp20;
  temp0 = GetVTKPointer<vtkVolume>(arg[1]);
  temp20 = (vtk_pointer)->GetZeroOpacityThreshold(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMIPFunction:SetMaximizeMethod vtkVolumeRayCastMIPFunctionSetMaximizeMethodFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeRayCastMIPFunctionSetMaximizeMethodFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximizeMethod (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximizeMethod for class vtkVolumeRayCastMIPFunction requires 2 argument(s)");
  vtkVolumeRayCastMIPFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMIPFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximizeMethod(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMIPFunction:GetMaximizeMethodMinValue vtkVolumeRayCastMIPFunctionGetMaximizeMethodMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMIPFunctionGetMaximizeMethodMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximizeMethodMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximizeMethodMinValue for class vtkVolumeRayCastMIPFunction requires 1 argument(s)");
  vtkVolumeRayCastMIPFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMIPFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximizeMethodMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMIPFunction:GetMaximizeMethodMaxValue vtkVolumeRayCastMIPFunctionGetMaximizeMethodMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMIPFunctionGetMaximizeMethodMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximizeMethodMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximizeMethodMaxValue for class vtkVolumeRayCastMIPFunction requires 1 argument(s)");
  vtkVolumeRayCastMIPFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMIPFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximizeMethodMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMIPFunction:GetMaximizeMethod vtkVolumeRayCastMIPFunctionGetMaximizeMethodFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMIPFunctionGetMaximizeMethodFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximizeMethod (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximizeMethod for class vtkVolumeRayCastMIPFunction requires 1 argument(s)");
  vtkVolumeRayCastMIPFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMIPFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximizeMethod();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMIPFunction:SetMaximizeMethodToScalarValue vtkVolumeRayCastMIPFunctionSetMaximizeMethodToScalarValueFunction
//input a0 
//output none
ArrayVector vtkVolumeRayCastMIPFunctionSetMaximizeMethodToScalarValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximizeMethodToScalarValue ();this SetMaximizeMethod VTK_MAXIMIZE_SCALAR_VALUE  */
  if (arg.size() < 1) 
    throw Exception("Function SetMaximizeMethodToScalarValue for class vtkVolumeRayCastMIPFunction requires 1 argument(s)");
  vtkVolumeRayCastMIPFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMIPFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetMaximizeMethodToScalarValue();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMIPFunction:SetMaximizeMethodToOpacity vtkVolumeRayCastMIPFunctionSetMaximizeMethodToOpacityFunction
//input a0 
//output none
ArrayVector vtkVolumeRayCastMIPFunctionSetMaximizeMethodToOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximizeMethodToOpacity ();this SetMaximizeMethod VTK_MAXIMIZE_OPACITY  */
  if (arg.size() < 1) 
    throw Exception("Function SetMaximizeMethodToOpacity for class vtkVolumeRayCastMIPFunction requires 1 argument(s)");
  vtkVolumeRayCastMIPFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMIPFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetMaximizeMethodToOpacity();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMIPFunction:GetMaximizeMethodAsString vtkVolumeRayCastMIPFunctionGetMaximizeMethodAsStringFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMIPFunctionGetMaximizeMethodAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetMaximizeMethodAsString (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximizeMethodAsString for class vtkVolumeRayCastMIPFunction requires 1 argument(s)");
  vtkVolumeRayCastMIPFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMIPFunction>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetMaximizeMethodAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMIPFunction:display vtkVolumeRayCastMIPFunctionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumeRayCastMIPFunctionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolumeRayCastMIPFunction* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMIPFunction>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolumeRayCastMIPFunction:delete vtkVolumeRayCastMIPFunctionDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumeRayCastMIPFunctionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolumeRayCastMIPFunction
//@@Section VTKVolumeRendering
//@@Usage
// vtkVolumeRayCastMIPFunction is a volume ray cast function that
// computes the maximum value encountered along the ray. This is
// either the maximum scalar value, or the maximum opacity, as
// defined by the MaximizeMethod. The color and opacity returned
// by this function is based on the color, scalar opacity, and
// gradient opacity transfer functions defined in the vtkVolumeProperty
// of the vtkVolume.
//
//
//To create an instance of class vtkVolumeRayCastMIPFunction, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolumeRayCastMIPFunction
//@]
//@@Methods
//The class vtkVolumeRayCastMIPFunction has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolumeRayCastMIPFunction class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolumeRayCastMIPFunction = obj.NewInstance ()|
// \item @|vtkVolumeRayCastMIPFunction = obj.SafeDownCast (vtkObject o)|
// \item @|float = obj.GetZeroOpacityThreshold (vtkVolume vol)| -  Get the scalar value below which all scalar values have zero opacity.
//// \item @|obj.SetMaximizeMethod (int )| -  Set the MaximizeMethod to either ScalarValue or Opacity.
//// \item @|int = obj.GetMaximizeMethodMinValue ()| -  Set the MaximizeMethod to either ScalarValue or Opacity.
//// \item @|int = obj.GetMaximizeMethodMaxValue ()| -  Set the MaximizeMethod to either ScalarValue or Opacity.
//// \item @|int = obj.GetMaximizeMethod ()| -  Set the MaximizeMethod to either ScalarValue or Opacity.
//// \item @|obj.SetMaximizeMethodToScalarValue ()| -  Set the MaximizeMethod to either ScalarValue or Opacity.
//// \item @|obj.SetMaximizeMethodToOpacity ()| -  Set the MaximizeMethod to either ScalarValue or Opacity.
//// \item @|string = obj.GetMaximizeMethodAsString (void )| -  Set the MaximizeMethod to either ScalarValue or Opacity.
////\end{itemize}
//!
