#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolumeRayCastMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolumeRayCastMapper.h"

//@@Signature
//sfunction @vtkVolumeRayCastMapper:vtkVolumeRayCastMapper vtkVolumeRayCastMapperConstructorFunction
//input a
//output p
//@@Parents vtkVolumeRayCastMapper vtkVolumeMapper 
ArrayVector vtkVolumeRayCastMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolumeRayCastMapper::New(),"vtkVolumeRayCastMapper",eval);
  } else if (arg[0].className() == "vtkVolumeRayCastMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolumeRayCastMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolumeRayCastMapper");
    vtkVolumeRayCastMapper*q = reinterpret_cast<vtkVolumeRayCastMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolumeRayCastMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetClassName vtkVolumeRayCastMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:IsA vtkVolumeRayCastMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeRayCastMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolumeRayCastMapper requires 2 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:NewInstance vtkVolumeRayCastMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeRayCastMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkVolumeRayCastMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeRayCastMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:SafeDownCast vtkVolumeRayCastMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeRayCastMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeRayCastMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolumeRayCastMapper requires 2 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolumeRayCastMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeRayCastMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:SetSampleDistance vtkVolumeRayCastMapperSetSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeRayCastMapperSetSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleDistance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSampleDistance for class vtkVolumeRayCastMapper requires 2 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetSampleDistance vtkVolumeRayCastMapperGetSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSampleDistance for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:SetVolumeRayCastFunction vtkVolumeRayCastMapperSetVolumeRayCastFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeRayCastMapperSetVolumeRayCastFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVolumeRayCastFunction (vtkVolumeRayCastFunction *); */
  if (arg.size() < 2) 
    throw Exception("Function SetVolumeRayCastFunction for class vtkVolumeRayCastMapper requires 2 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkVolumeRayCastFunction  *temp0;
  temp0 = GetVTKPointer<vtkVolumeRayCastFunction>(arg[1]);
  vtk_pointer->SetVolumeRayCastFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetVolumeRayCastFunction vtkVolumeRayCastMapperGetVolumeRayCastFunctionFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetVolumeRayCastFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeRayCastFunction *GetVolumeRayCastFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVolumeRayCastFunction for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkVolumeRayCastFunction  *temp20;
  temp20 = (vtk_pointer)->GetVolumeRayCastFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeRayCastFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:SetGradientEstimator vtkVolumeRayCastMapperSetGradientEstimatorFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeRayCastMapperSetGradientEstimatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGradientEstimator (vtkEncodedGradientEstimator *gradest); */
  if (arg.size() < 2) 
    throw Exception("Function SetGradientEstimator for class vtkVolumeRayCastMapper requires 2 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkEncodedGradientEstimator  *temp0;
  temp0 = GetVTKPointer<vtkEncodedGradientEstimator>(arg[1]);
  vtk_pointer->SetGradientEstimator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetGradientEstimator vtkVolumeRayCastMapperGetGradientEstimatorFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetGradientEstimatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEncodedGradientEstimator *GetGradientEstimator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientEstimator for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkEncodedGradientEstimator  *temp20;
  temp20 = (vtk_pointer)->GetGradientEstimator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEncodedGradientEstimator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetGradientShader vtkVolumeRayCastMapperGetGradientShaderFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetGradientShaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEncodedGradientShader *GetGradientShader (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientShader for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtkEncodedGradientShader  *temp20;
  temp20 = (vtk_pointer)->GetGradientShader();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEncodedGradientShader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:SetImageSampleDistance vtkVolumeRayCastMapperSetImageSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeRayCastMapperSetImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageSampleDistance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageSampleDistance for class vtkVolumeRayCastMapper requires 2 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetImageSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetImageSampleDistanceMinValue vtkVolumeRayCastMapperGetImageSampleDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetImageSampleDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetImageSampleDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageSampleDistanceMinValue for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetImageSampleDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetImageSampleDistanceMaxValue vtkVolumeRayCastMapperGetImageSampleDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetImageSampleDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetImageSampleDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageSampleDistanceMaxValue for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetImageSampleDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetImageSampleDistance vtkVolumeRayCastMapperGetImageSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetImageSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageSampleDistance for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetImageSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:SetMinimumImageSampleDistance vtkVolumeRayCastMapperSetMinimumImageSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeRayCastMapperSetMinimumImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumImageSampleDistance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumImageSampleDistance for class vtkVolumeRayCastMapper requires 2 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumImageSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetMinimumImageSampleDistanceMinValue vtkVolumeRayCastMapperGetMinimumImageSampleDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetMinimumImageSampleDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumImageSampleDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumImageSampleDistanceMinValue for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumImageSampleDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetMinimumImageSampleDistanceMaxValue vtkVolumeRayCastMapperGetMinimumImageSampleDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetMinimumImageSampleDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumImageSampleDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumImageSampleDistanceMaxValue for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumImageSampleDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetMinimumImageSampleDistance vtkVolumeRayCastMapperGetMinimumImageSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetMinimumImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumImageSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumImageSampleDistance for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumImageSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:SetMaximumImageSampleDistance vtkVolumeRayCastMapperSetMaximumImageSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeRayCastMapperSetMaximumImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumImageSampleDistance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumImageSampleDistance for class vtkVolumeRayCastMapper requires 2 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumImageSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetMaximumImageSampleDistanceMinValue vtkVolumeRayCastMapperGetMaximumImageSampleDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetMaximumImageSampleDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumImageSampleDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumImageSampleDistanceMinValue for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumImageSampleDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetMaximumImageSampleDistanceMaxValue vtkVolumeRayCastMapperGetMaximumImageSampleDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetMaximumImageSampleDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumImageSampleDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumImageSampleDistanceMaxValue for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumImageSampleDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetMaximumImageSampleDistance vtkVolumeRayCastMapperGetMaximumImageSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetMaximumImageSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumImageSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumImageSampleDistance for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumImageSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:SetAutoAdjustSampleDistances vtkVolumeRayCastMapperSetAutoAdjustSampleDistancesFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeRayCastMapperSetAutoAdjustSampleDistancesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutoAdjustSampleDistances (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutoAdjustSampleDistances for class vtkVolumeRayCastMapper requires 2 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutoAdjustSampleDistances(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetAutoAdjustSampleDistancesMinValue vtkVolumeRayCastMapperGetAutoAdjustSampleDistancesMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetAutoAdjustSampleDistancesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustSampleDistancesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustSampleDistancesMinValue for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustSampleDistancesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetAutoAdjustSampleDistancesMaxValue vtkVolumeRayCastMapperGetAutoAdjustSampleDistancesMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetAutoAdjustSampleDistancesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustSampleDistancesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustSampleDistancesMaxValue for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustSampleDistancesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetAutoAdjustSampleDistances vtkVolumeRayCastMapperGetAutoAdjustSampleDistancesFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetAutoAdjustSampleDistancesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustSampleDistances (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustSampleDistances for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustSampleDistances();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:AutoAdjustSampleDistancesOn vtkVolumeRayCastMapperAutoAdjustSampleDistancesOnFunction
//input a0 
//output none
ArrayVector vtkVolumeRayCastMapperAutoAdjustSampleDistancesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoAdjustSampleDistancesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoAdjustSampleDistancesOn for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->AutoAdjustSampleDistancesOn();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:AutoAdjustSampleDistancesOff vtkVolumeRayCastMapperAutoAdjustSampleDistancesOffFunction
//input a0 
//output none
ArrayVector vtkVolumeRayCastMapperAutoAdjustSampleDistancesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoAdjustSampleDistancesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoAdjustSampleDistancesOff for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->AutoAdjustSampleDistancesOff();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:SetNumberOfThreads vtkVolumeRayCastMapperSetNumberOfThreadsFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeRayCastMapperSetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfThreads (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfThreads for class vtkVolumeRayCastMapper requires 2 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfThreads(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetNumberOfThreads vtkVolumeRayCastMapperGetNumberOfThreadsFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreads (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreads for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreads();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:SetIntermixIntersectingGeometry vtkVolumeRayCastMapperSetIntermixIntersectingGeometryFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeRayCastMapperSetIntermixIntersectingGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntermixIntersectingGeometry (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntermixIntersectingGeometry for class vtkVolumeRayCastMapper requires 2 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIntermixIntersectingGeometry(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetIntermixIntersectingGeometryMinValue vtkVolumeRayCastMapperGetIntermixIntersectingGeometryMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetIntermixIntersectingGeometryMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntermixIntersectingGeometryMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntermixIntersectingGeometryMinValue for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntermixIntersectingGeometryMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetIntermixIntersectingGeometryMaxValue vtkVolumeRayCastMapperGetIntermixIntersectingGeometryMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetIntermixIntersectingGeometryMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntermixIntersectingGeometryMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntermixIntersectingGeometryMaxValue for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntermixIntersectingGeometryMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:GetIntermixIntersectingGeometry vtkVolumeRayCastMapperGetIntermixIntersectingGeometryFunction
//input a0 
//output y
ArrayVector vtkVolumeRayCastMapperGetIntermixIntersectingGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntermixIntersectingGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntermixIntersectingGeometry for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntermixIntersectingGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:IntermixIntersectingGeometryOn vtkVolumeRayCastMapperIntermixIntersectingGeometryOnFunction
//input a0 
//output none
ArrayVector vtkVolumeRayCastMapperIntermixIntersectingGeometryOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IntermixIntersectingGeometryOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IntermixIntersectingGeometryOn for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->IntermixIntersectingGeometryOn();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:IntermixIntersectingGeometryOff vtkVolumeRayCastMapperIntermixIntersectingGeometryOffFunction
//input a0 
//output none
ArrayVector vtkVolumeRayCastMapperIntermixIntersectingGeometryOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IntermixIntersectingGeometryOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IntermixIntersectingGeometryOff for class vtkVolumeRayCastMapper requires 1 argument(s)");
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  Array retval;
  vtk_pointer->IntermixIntersectingGeometryOff();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRayCastMapper:display vtkVolumeRayCastMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumeRayCastMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolumeRayCastMapper* vtk_pointer = GetVTKPointer<vtkVolumeRayCastMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolumeRayCastMapper:delete vtkVolumeRayCastMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumeRayCastMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolumeRayCastMapper
//@@Section VTKVolumeRendering
//@@Usage
// This is a software ray caster for rendering volumes in vtkImageData. 
//
//To create an instance of class vtkVolumeRayCastMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolumeRayCastMapper
//@]
//@@Methods
//The class vtkVolumeRayCastMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolumeRayCastMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolumeRayCastMapper = obj.NewInstance ()|
// \item @|vtkVolumeRayCastMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSampleDistance (double )| -  Set/Get the distance between samples.  This variable is only
// used for sampling ray casting methods.  Methods that compute
// a ray value by stepping cell-by-cell are not affected by this
// value. 
//// \item @|double = obj.GetSampleDistance ()| -  Set/Get the distance between samples.  This variable is only
// used for sampling ray casting methods.  Methods that compute
// a ray value by stepping cell-by-cell are not affected by this
// value. 
//// \item @|obj.SetVolumeRayCastFunction (vtkVolumeRayCastFunction )| -  Get / Set the volume ray cast function. This is used to process
// values found along the ray to compute a final pixel value.
//// \item @|vtkVolumeRayCastFunction = obj.GetVolumeRayCastFunction ()| -  Get / Set the volume ray cast function. This is used to process
// values found along the ray to compute a final pixel value.
//// \item @|obj.SetGradientEstimator (vtkEncodedGradientEstimator gradest)| -  Set / Get the gradient estimator used to estimate normals
//// \item @|vtkEncodedGradientEstimator = obj.GetGradientEstimator ()| -  Set / Get the gradient estimator used to estimate normals
//// \item @|vtkEncodedGradientShader = obj.GetGradientShader ()| -  Get the gradient shader.
//// \item @|obj.SetImageSampleDistance (double )| -  Sampling distance in the XY image dimensions. Default value of 1 meaning
// 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If
// set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.
//// \item @|double = obj.GetImageSampleDistanceMinValue ()| -  Sampling distance in the XY image dimensions. Default value of 1 meaning
// 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If
// set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.
//// \item @|double = obj.GetImageSampleDistanceMaxValue ()| -  Sampling distance in the XY image dimensions. Default value of 1 meaning
// 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If
// set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.
//// \item @|double = obj.GetImageSampleDistance ()| -  Sampling distance in the XY image dimensions. Default value of 1 meaning
// 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If
// set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.
//// \item @|obj.SetMinimumImageSampleDistance (double )| -  This is the minimum image sample distance allow when the image
// sample distance is being automatically adjusted
//// \item @|double = obj.GetMinimumImageSampleDistanceMinValue ()| -  This is the minimum image sample distance allow when the image
// sample distance is being automatically adjusted
//// \item @|double = obj.GetMinimumImageSampleDistanceMaxValue ()| -  This is the minimum image sample distance allow when the image
// sample distance is being automatically adjusted
//// \item @|double = obj.GetMinimumImageSampleDistance ()| -  This is the minimum image sample distance allow when the image
// sample distance is being automatically adjusted
//// \item @|obj.SetMaximumImageSampleDistance (double )| -  This is the maximum image sample distance allow when the image
// sample distance is being automatically adjusted
//// \item @|double = obj.GetMaximumImageSampleDistanceMinValue ()| -  This is the maximum image sample distance allow when the image
// sample distance is being automatically adjusted
//// \item @|double = obj.GetMaximumImageSampleDistanceMaxValue ()| -  This is the maximum image sample distance allow when the image
// sample distance is being automatically adjusted
//// \item @|double = obj.GetMaximumImageSampleDistance ()| -  This is the maximum image sample distance allow when the image
// sample distance is being automatically adjusted
//// \item @|obj.SetAutoAdjustSampleDistances (int )| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this 
// prop (controlled by the desired update rate and any culling in
// use). 
//// \item @|int = obj.GetAutoAdjustSampleDistancesMinValue ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this 
// prop (controlled by the desired update rate and any culling in
// use). 
//// \item @|int = obj.GetAutoAdjustSampleDistancesMaxValue ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this 
// prop (controlled by the desired update rate and any culling in
// use). 
//// \item @|int = obj.GetAutoAdjustSampleDistances ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this 
// prop (controlled by the desired update rate and any culling in
// use). 
//// \item @|obj.AutoAdjustSampleDistancesOn ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this 
// prop (controlled by the desired update rate and any culling in
// use). 
//// \item @|obj.AutoAdjustSampleDistancesOff ()| -  If AutoAdjustSampleDistances is on, the the ImageSampleDistance
// will be varied to achieve the allocated render time of this 
// prop (controlled by the desired update rate and any culling in
// use). 
//// \item @|obj.SetNumberOfThreads (int num)| -  Set/Get the number of threads to use. This by default is equal to
// the number of available processors detected.
//// \item @|int = obj.GetNumberOfThreads ()| -  Set/Get the number of threads to use. This by default is equal to
// the number of available processors detected.
//// \item @|obj.SetIntermixIntersectingGeometry (int )| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
//// \item @|int = obj.GetIntermixIntersectingGeometryMinValue ()| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
//// \item @|int = obj.GetIntermixIntersectingGeometryMaxValue ()| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
//// \item @|int = obj.GetIntermixIntersectingGeometry ()| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
//// \item @|obj.IntermixIntersectingGeometryOn ()| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
//// \item @|obj.IntermixIntersectingGeometryOff ()| -  If IntermixIntersectingGeometry is turned on, the zbuffer will be
// captured and used to limit the traversal of the rays.
////\end{itemize}
//!
