#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolumeRenderingFactory object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolumeRenderingFactory.h"

//@@Signature
//sfunction @vtkVolumeRenderingFactory:vtkVolumeRenderingFactory vtkVolumeRenderingFactoryConstructorFunction
//input a
//output p
//@@Parents vtkVolumeRenderingFactory vtkObject 
ArrayVector vtkVolumeRenderingFactoryConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolumeRenderingFactory::New(),"vtkVolumeRenderingFactory",eval);
  } else if (arg[0].className() == "vtkVolumeRenderingFactory") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolumeRenderingFactory"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolumeRenderingFactory");
    vtkVolumeRenderingFactory*q = reinterpret_cast<vtkVolumeRenderingFactory*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolumeRenderingFactory");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolumeRenderingFactory:GetClassName vtkVolumeRenderingFactoryGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumeRenderingFactoryGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolumeRenderingFactory requires 1 argument(s)");
  vtkVolumeRenderingFactory* vtk_pointer = GetVTKPointer<vtkVolumeRenderingFactory>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRenderingFactory:IsA vtkVolumeRenderingFactoryIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeRenderingFactoryIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolumeRenderingFactory requires 2 argument(s)");
  vtkVolumeRenderingFactory* vtk_pointer = GetVTKPointer<vtkVolumeRenderingFactory>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRenderingFactory:NewInstance vtkVolumeRenderingFactoryNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumeRenderingFactoryNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeRenderingFactory *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolumeRenderingFactory requires 1 argument(s)");
  vtkVolumeRenderingFactory* vtk_pointer = GetVTKPointer<vtkVolumeRenderingFactory>(arg[0]);
  Array retval;
  vtkVolumeRenderingFactory  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeRenderingFactory",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRenderingFactory:SafeDownCast vtkVolumeRenderingFactorySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeRenderingFactorySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeRenderingFactory *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolumeRenderingFactory requires 2 argument(s)");
  vtkVolumeRenderingFactory* vtk_pointer = GetVTKPointer<vtkVolumeRenderingFactory>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolumeRenderingFactory  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeRenderingFactory",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRenderingFactory:CreateInstance vtkVolumeRenderingFactoryCreateInstanceFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeRenderingFactoryCreateInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkObject *CreateInstance (const char *vtkclassname); */
  if (arg.size() < 2) 
    throw Exception("Function CreateInstance for class vtkVolumeRenderingFactory requires 2 argument(s)");
  vtkVolumeRenderingFactory* vtk_pointer = GetVTKPointer<vtkVolumeRenderingFactory>(arg[0]);
  Array retval;
  char    *temp0;
  vtkObject  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CreateInstance(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeRenderingFactory:display vtkVolumeRenderingFactoryDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumeRenderingFactoryDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolumeRenderingFactory* vtk_pointer = GetVTKPointer<vtkVolumeRenderingFactory>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolumeRenderingFactory:delete vtkVolumeRenderingFactoryDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumeRenderingFactoryDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolumeRenderingFactory
//@@Section VTKVolumeRendering
//@@Usage
//
//To create an instance of class vtkVolumeRenderingFactory, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolumeRenderingFactory
//@]
//@@Methods
//The class vtkVolumeRenderingFactory has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolumeRenderingFactory class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolumeRenderingFactory = obj.NewInstance ()|
// \item @|vtkVolumeRenderingFactory = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
