#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolumeTextureMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolumeTextureMapper.h"

//@@Signature
//sfunction @vtkVolumeTextureMapper:vtkVolumeTextureMapper vtkVolumeTextureMapperConstructorFunction
//input a
//output p
//@@Parents vtkVolumeTextureMapper vtkVolumeMapper 
ArrayVector vtkVolumeTextureMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolumeTextureMapper::New(),"vtkVolumeTextureMapper",eval);
  } else if (arg[0].className() == "vtkVolumeTextureMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolumeTextureMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolumeTextureMapper");
    vtkVolumeTextureMapper*q = reinterpret_cast<vtkVolumeTextureMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolumeTextureMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolumeTextureMapper:GetClassName vtkVolumeTextureMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolumeTextureMapper requires 1 argument(s)");
  vtkVolumeTextureMapper* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper:IsA vtkVolumeTextureMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeTextureMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolumeTextureMapper requires 2 argument(s)");
  vtkVolumeTextureMapper* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper:NewInstance vtkVolumeTextureMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeTextureMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolumeTextureMapper requires 1 argument(s)");
  vtkVolumeTextureMapper* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper>(arg[0]);
  Array retval;
  vtkVolumeTextureMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeTextureMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper:SafeDownCast vtkVolumeTextureMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeTextureMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeTextureMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolumeTextureMapper requires 2 argument(s)");
  vtkVolumeTextureMapper* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolumeTextureMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeTextureMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper:Update vtkVolumeTextureMapperUpdateFunction
//input a0 
//output none
ArrayVector vtkVolumeTextureMapperUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkVolumeTextureMapper requires 1 argument(s)");
  vtkVolumeTextureMapper* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper:SetGradientEstimator vtkVolumeTextureMapperSetGradientEstimatorFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeTextureMapperSetGradientEstimatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGradientEstimator (vtkEncodedGradientEstimator *gradest); */
  if (arg.size() < 2) 
    throw Exception("Function SetGradientEstimator for class vtkVolumeTextureMapper requires 2 argument(s)");
  vtkVolumeTextureMapper* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper>(arg[0]);
  Array retval;
  vtkEncodedGradientEstimator  *temp0;
  temp0 = GetVTKPointer<vtkEncodedGradientEstimator>(arg[1]);
  vtk_pointer->SetGradientEstimator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper:GetGradientEstimator vtkVolumeTextureMapperGetGradientEstimatorFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapperGetGradientEstimatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEncodedGradientEstimator *GetGradientEstimator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientEstimator for class vtkVolumeTextureMapper requires 1 argument(s)");
  vtkVolumeTextureMapper* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper>(arg[0]);
  Array retval;
  vtkEncodedGradientEstimator  *temp20;
  temp20 = (vtk_pointer)->GetGradientEstimator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEncodedGradientEstimator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper:GetGradientShader vtkVolumeTextureMapperGetGradientShaderFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapperGetGradientShaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEncodedGradientShader *GetGradientShader (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientShader for class vtkVolumeTextureMapper requires 1 argument(s)");
  vtkVolumeTextureMapper* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper>(arg[0]);
  Array retval;
  vtkEncodedGradientShader  *temp20;
  temp20 = (vtk_pointer)->GetGradientShader();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEncodedGradientShader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper:display vtkVolumeTextureMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumeTextureMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolumeTextureMapper* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolumeTextureMapper:delete vtkVolumeTextureMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumeTextureMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolumeTextureMapper
//@@Section VTKVolumeRendering
//@@Usage
// vtkVolumeTextureMapper is the abstract definition of a volume mapper
// that uses a texture mapping approach.
//
//To create an instance of class vtkVolumeTextureMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolumeTextureMapper
//@]
//@@Methods
//The class vtkVolumeTextureMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolumeTextureMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolumeTextureMapper = obj.NewInstance ()|
// \item @|vtkVolumeTextureMapper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Update ()| -  Update the volume rendering pipeline by updating the scalar input
//// \item @|obj.SetGradientEstimator (vtkEncodedGradientEstimator gradest)| -  Set / Get the gradient estimator used to estimate normals
//// \item @|vtkEncodedGradientEstimator = obj.GetGradientEstimator ()| -  Set / Get the gradient estimator used to estimate normals
//// \item @|vtkEncodedGradientShader = obj.GetGradientShader ()| -  Get the gradient shader.
////\end{itemize}
//!
