#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolumeTextureMapper2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolumeTextureMapper2D.h"

//@@Signature
//sfunction @vtkVolumeTextureMapper2D:vtkVolumeTextureMapper2D vtkVolumeTextureMapper2DConstructorFunction
//input a
//output p
//@@Parents vtkVolumeTextureMapper2D vtkVolumeTextureMapper 
ArrayVector vtkVolumeTextureMapper2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolumeTextureMapper2D::New(),"vtkVolumeTextureMapper2D",eval);
  } else if (arg[0].className() == "vtkVolumeTextureMapper2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolumeTextureMapper2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolumeTextureMapper2D");
    vtkVolumeTextureMapper2D*q = reinterpret_cast<vtkVolumeTextureMapper2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolumeTextureMapper2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolumeTextureMapper2D:GetClassName vtkVolumeTextureMapper2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapper2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolumeTextureMapper2D requires 1 argument(s)");
  vtkVolumeTextureMapper2D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper2D:IsA vtkVolumeTextureMapper2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeTextureMapper2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolumeTextureMapper2D requires 2 argument(s)");
  vtkVolumeTextureMapper2D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper2D:NewInstance vtkVolumeTextureMapper2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapper2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeTextureMapper2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolumeTextureMapper2D requires 1 argument(s)");
  vtkVolumeTextureMapper2D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper2D>(arg[0]);
  Array retval;
  vtkVolumeTextureMapper2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeTextureMapper2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper2D:SafeDownCast vtkVolumeTextureMapper2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeTextureMapper2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeTextureMapper2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolumeTextureMapper2D requires 2 argument(s)");
  vtkVolumeTextureMapper2D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolumeTextureMapper2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeTextureMapper2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper2D:SetTargetTextureSize__1 vtkVolumeTextureMapper2DSetTargetTextureSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkVolumeTextureMapper2DSetTargetTextureSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTargetTextureSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetTargetTextureSize__1 for class vtkVolumeTextureMapper2D requires 3 argument(s)");
  vtkVolumeTextureMapper2D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetTargetTextureSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper2D:SetTargetTextureSize__2 vtkVolumeTextureMapper2DSetTargetTextureSize__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumeTextureMapper2DSetTargetTextureSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTargetTextureSize (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTargetTextureSize__2 for class vtkVolumeTextureMapper2D requires 2 argument(s)");
  vtkVolumeTextureMapper2D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper2D>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetTargetTextureSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper2D:GetTargetTextureSize vtkVolumeTextureMapper2DGetTargetTextureSizeFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapper2DGetTargetTextureSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetTargetTextureSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTargetTextureSize for class vtkVolumeTextureMapper2D requires 1 argument(s)");
  vtkVolumeTextureMapper2D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper2D>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetTargetTextureSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper2D:SetMaximumNumberOfPlanes vtkVolumeTextureMapper2DSetMaximumNumberOfPlanesFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeTextureMapper2DSetMaximumNumberOfPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumNumberOfPlanes (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumNumberOfPlanes for class vtkVolumeTextureMapper2D requires 2 argument(s)");
  vtkVolumeTextureMapper2D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumNumberOfPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper2D:GetMaximumNumberOfPlanes vtkVolumeTextureMapper2DGetMaximumNumberOfPlanesFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapper2DGetMaximumNumberOfPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumNumberOfPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfPlanes for class vtkVolumeTextureMapper2D requires 1 argument(s)");
  vtkVolumeTextureMapper2D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfPlanes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper2D:SetMaximumStorageSize vtkVolumeTextureMapper2DSetMaximumStorageSizeFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeTextureMapper2DSetMaximumStorageSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumStorageSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumStorageSize for class vtkVolumeTextureMapper2D requires 2 argument(s)");
  vtkVolumeTextureMapper2D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumStorageSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper2D:GetMaximumStorageSize vtkVolumeTextureMapper2DGetMaximumStorageSizeFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapper2DGetMaximumStorageSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumStorageSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumStorageSize for class vtkVolumeTextureMapper2D requires 1 argument(s)");
  vtkVolumeTextureMapper2D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumStorageSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper2D:SetTargetTextureSize vtkVolumeTextureMapper2DSetTargetTextureSizeFunction
//input varargin
//output varargout
ArrayVector vtkVolumeTextureMapper2DSetTargetTextureSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkVolumeTextureMapper2DSetTargetTextureSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVolumeTextureMapper2DSetTargetTextureSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeTextureMapper2DSetTargetTextureSize");
}

//@@Signature
//sfunction @vtkVolumeTextureMapper2D:InitializeRender vtkVolumeTextureMapper2DInitializeRenderFunction
//input varargin
//output varargout
ArrayVector vtkVolumeTextureMapper2DInitializeRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeTextureMapper2DInitializeRender");
}

//@@Signature
//sfunction @vtkVolumeTextureMapper2D:display vtkVolumeTextureMapper2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumeTextureMapper2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolumeTextureMapper2D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolumeTextureMapper2D:delete vtkVolumeTextureMapper2DDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumeTextureMapper2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolumeTextureMapper2D
//@@Section VTKVolumeRendering
//@@Usage
// vtkVolumeTextureMapper2D renders a volume using 2D texture mapping.
//
//To create an instance of class vtkVolumeTextureMapper2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolumeTextureMapper2D
//@]
//@@Methods
//The class vtkVolumeTextureMapper2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolumeTextureMapper2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolumeTextureMapper2D = obj.NewInstance ()|
// \item @|vtkVolumeTextureMapper2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetTargetTextureSize (int , int )| -  Target size in pixels of each size of the texture for downloading. Default is
// 512x512 - so a 512x512 texture will be tiled with as many slices of the volume
// as possible, then all the quads will be rendered. This can be set to optimize
// for a particular architecture. This must be set with numbers that are a power
// of two.
//// \item @|obj.SetTargetTextureSize (int  a[2])| -  Target size in pixels of each size of the texture for downloading. Default is
// 512x512 - so a 512x512 texture will be tiled with as many slices of the volume
// as possible, then all the quads will be rendered. This can be set to optimize
// for a particular architecture. This must be set with numbers that are a power
// of two.
//// \item @|int = obj. GetTargetTextureSize ()| -  Target size in pixels of each size of the texture for downloading. Default is
// 512x512 - so a 512x512 texture will be tiled with as many slices of the volume
// as possible, then all the quads will be rendered. This can be set to optimize
// for a particular architecture. This must be set with numbers that are a power
// of two.
//// \item @|obj.SetMaximumNumberOfPlanes (int )| -  This is the maximum number of planes that will be created for texture mapping
// the volume. If the volume has more voxels than this along the viewing direction,
// then planes of the volume will be skipped to ensure that this maximum is not
// violated. A skip factor is used, and is incremented until the maximum condition
// is satisfied.
//// \item @|int = obj.GetMaximumNumberOfPlanes ()| -  This is the maximum number of planes that will be created for texture mapping
// the volume. If the volume has more voxels than this along the viewing direction,
// then planes of the volume will be skipped to ensure that this maximum is not
// violated. A skip factor is used, and is incremented until the maximum condition
// is satisfied.
//// \item @|obj.SetMaximumStorageSize (int )| -  This is the maximum size of saved textures in bytes. If this size is large
// enough to hold the RGBA textures for all three directions (XxYxZx3x4 is
// the approximate value - it is actually a bit larger due to wasted space in
// the textures) then the textures will be saved.
//// \item @|int = obj.GetMaximumStorageSize ()| -  This is the maximum size of saved textures in bytes. If this size is large
// enough to hold the RGBA textures for all three directions (XxYxZx3x4 is
// the approximate value - it is actually a bit larger due to wasted space in
// the textures) then the textures will be saved.
////\end{itemize}
//!
