#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolumeTextureMapper3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolumeTextureMapper3D.h"

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:vtkVolumeTextureMapper3D vtkVolumeTextureMapper3DConstructorFunction
//input a
//output p
//@@Parents vtkVolumeTextureMapper3D vtkVolumeMapper 
ArrayVector vtkVolumeTextureMapper3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolumeTextureMapper3D::New(),"vtkVolumeTextureMapper3D",eval);
  } else if (arg[0].className() == "vtkVolumeTextureMapper3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolumeTextureMapper3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolumeTextureMapper3D");
    vtkVolumeTextureMapper3D*q = reinterpret_cast<vtkVolumeTextureMapper3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolumeTextureMapper3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolumeTextureMapper3D:GetClassName vtkVolumeTextureMapper3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapper3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolumeTextureMapper3D requires 1 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:IsA vtkVolumeTextureMapper3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeTextureMapper3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolumeTextureMapper3D requires 2 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:NewInstance vtkVolumeTextureMapper3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapper3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeTextureMapper3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolumeTextureMapper3D requires 1 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  vtkVolumeTextureMapper3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeTextureMapper3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:SafeDownCast vtkVolumeTextureMapper3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeTextureMapper3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeTextureMapper3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolumeTextureMapper3D requires 2 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolumeTextureMapper3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeTextureMapper3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:SetSampleDistance vtkVolumeTextureMapper3DSetSampleDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeTextureMapper3DSetSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleDistance (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSampleDistance for class vtkVolumeTextureMapper3D requires 2 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSampleDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:GetSampleDistance vtkVolumeTextureMapper3DGetSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapper3DGetSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSampleDistance for class vtkVolumeTextureMapper3D requires 1 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:GetVolumeDimensions vtkVolumeTextureMapper3DGetVolumeDimensionsFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapper3DGetVolumeDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetVolumeDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVolumeDimensions for class vtkVolumeTextureMapper3D requires 1 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetVolumeDimensions();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:GetVolumeSpacing vtkVolumeTextureMapper3DGetVolumeSpacingFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapper3DGetVolumeSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float  *GetVolumeSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVolumeSpacing for class vtkVolumeTextureMapper3D requires 1 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  float   *temp20;
  temp20 = (vtk_pointer)->GetVolumeSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:IsRenderSupported vtkVolumeTextureMapper3DIsRenderSupportedFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeTextureMapper3DIsRenderSupportedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsRenderSupported (vtkVolumeProperty *);return  */
  if (arg.size() < 2) 
    throw Exception("Function IsRenderSupported for class vtkVolumeTextureMapper3D requires 2 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  vtkVolumeProperty  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkVolumeProperty>(arg[1]);
  temp20 = (vtk_pointer)->IsRenderSupported(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:GetNumberOfPolygons vtkVolumeTextureMapper3DGetNumberOfPolygonsFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapper3DGetNumberOfPolygonsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPolygons (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPolygons for class vtkVolumeTextureMapper3D requires 1 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPolygons();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:GetActualSampleDistance vtkVolumeTextureMapper3DGetActualSampleDistanceFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapper3DGetActualSampleDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetActualSampleDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualSampleDistance for class vtkVolumeTextureMapper3D requires 1 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetActualSampleDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:SetPreferredRenderMethod vtkVolumeTextureMapper3DSetPreferredRenderMethodFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeTextureMapper3DSetPreferredRenderMethodFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPreferredRenderMethod (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPreferredRenderMethod for class vtkVolumeTextureMapper3D requires 2 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPreferredRenderMethod(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:GetPreferredRenderMethodMinValue vtkVolumeTextureMapper3DGetPreferredRenderMethodMinValueFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapper3DGetPreferredRenderMethodMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPreferredRenderMethodMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPreferredRenderMethodMinValue for class vtkVolumeTextureMapper3D requires 1 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPreferredRenderMethodMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:GetPreferredRenderMethodMaxValue vtkVolumeTextureMapper3DGetPreferredRenderMethodMaxValueFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapper3DGetPreferredRenderMethodMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPreferredRenderMethodMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPreferredRenderMethodMaxValue for class vtkVolumeTextureMapper3D requires 1 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPreferredRenderMethodMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:SetPreferredMethodToFragmentProgram vtkVolumeTextureMapper3DSetPreferredMethodToFragmentProgramFunction
//input a0 
//output none
ArrayVector vtkVolumeTextureMapper3DSetPreferredMethodToFragmentProgramFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPreferredMethodToFragmentProgram ();this SetPreferredRenderMethod vtkVolumeTextureMapper3D FRAGMENT_PROGRAM_METHOD  */
  if (arg.size() < 1) 
    throw Exception("Function SetPreferredMethodToFragmentProgram for class vtkVolumeTextureMapper3D requires 1 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  vtk_pointer->SetPreferredMethodToFragmentProgram();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:SetPreferredMethodToNVidia vtkVolumeTextureMapper3DSetPreferredMethodToNVidiaFunction
//input a0 
//output none
ArrayVector vtkVolumeTextureMapper3DSetPreferredMethodToNVidiaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPreferredMethodToNVidia ();this SetPreferredRenderMethod vtkVolumeTextureMapper3D NVIDIA_METHOD  */
  if (arg.size() < 1) 
    throw Exception("Function SetPreferredMethodToNVidia for class vtkVolumeTextureMapper3D requires 1 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  vtk_pointer->SetPreferredMethodToNVidia();
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:GetPreferredRenderMethod vtkVolumeTextureMapper3DGetPreferredRenderMethodFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapper3DGetPreferredRenderMethodFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPreferredRenderMethod (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPreferredRenderMethod for class vtkVolumeTextureMapper3D requires 1 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPreferredRenderMethod();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:SetUseCompressedTexture vtkVolumeTextureMapper3DSetUseCompressedTextureFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeTextureMapper3DSetUseCompressedTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseCompressedTexture (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseCompressedTexture for class vtkVolumeTextureMapper3D requires 2 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseCompressedTexture(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:GetUseCompressedTexture vtkVolumeTextureMapper3DGetUseCompressedTextureFunction
//input a0 
//output y
ArrayVector vtkVolumeTextureMapper3DGetUseCompressedTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseCompressedTexture (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseCompressedTexture for class vtkVolumeTextureMapper3D requires 1 argument(s)");
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseCompressedTexture();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeTextureMapper3D:display vtkVolumeTextureMapper3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumeTextureMapper3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolumeTextureMapper3D* vtk_pointer = GetVTKPointer<vtkVolumeTextureMapper3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolumeTextureMapper3D:delete vtkVolumeTextureMapper3DDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumeTextureMapper3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolumeTextureMapper3D
//@@Section VTKVolumeRendering
//@@Usage
// vtkVolumeTextureMapper3D renders a volume using 3D texture mapping. 
// This class is actually an abstract superclass - with all the actual
// work done by vtkOpenGLVolumeTextureMapper3D. 
// 
// This mappers currently supports:
//
// - any data type as input
// - one component, or two or four non-independent components
// - composite blending
// - intermixed opaque geometry
// - multiple volumes can be rendered if they can
//   be sorted into back-to-front order (use the vtkFrustumCoverageCuller)
// 
// This mapper does not support:
// - more than one independent component
// - maximum intensity projection
// 
// Internally, this mapper will potentially change the resolution of the
// input data. The data will be resampled to be a power of two in each
// direction, and also no greater than 128*256*256 voxels (any aspect) 
// for one or two component data, or 128*128*256 voxels (any aspect)
// for four component data. The limits are currently hardcoded after 
// a check using the GL_PROXY_TEXTURE3D because some graphics drivers 
// were always responding "yes" to the proxy call despite not being
// able to allocate that much texture memory.
//
// Currently, calculations are computed using 8 bits per RGBA channel.
// In the future this should be expanded to handle newer boards that
// can support 15 bit float compositing.
//
// This mapper supports two main families of graphics hardware:
// nvidia and ATI. There are two different implementations of
// 3D texture mapping used - one based on nvidia's GL_NV_texture_shader2
// and GL_NV_register_combiners2 extension, and one based on
// ATI's GL_ATI_fragment_shader (supported also by some nvidia boards)
// To use this class in an application that will run on various 
// hardware configurations, you should have a back-up volume rendering
// method. You should create a vtkVolumeTextureMapper3D, assign its
// input, make sure you have a current OpenGL context (you've rendered
// at least once), then call IsRenderSupported with a vtkVolumeProperty 
// as an argument. This method will return 0 if the input has more than
// one independent component, or if the graphics hardware does not
// support the set of required extensions for using at least one of
// the two implemented methods (nvidia or ati)
//
// .SECTION Thanks
// Thanks to Alexandre Gouaillard at the Megason Lab, Department of Systems
// Biology, Harvard Medical School
// https://wiki.med.harvard.edu/SysBio/Megason/
// for the idea and initial patch to speed-up rendering with compressed
// textures.
//
//
//To create an instance of class vtkVolumeTextureMapper3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolumeTextureMapper3D
//@]
//@@Methods
//The class vtkVolumeTextureMapper3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolumeTextureMapper3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolumeTextureMapper3D = obj.NewInstance ()|
// \item @|vtkVolumeTextureMapper3D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSampleDistance (float )| -  The distance at which to space sampling planes. This
// may not be honored for interactive renders. An interactive
// render is defined as one that has less than 1 second of
// allocated render time.
//// \item @|float = obj.GetSampleDistance ()| -  The distance at which to space sampling planes. This
// may not be honored for interactive renders. An interactive
// render is defined as one that has less than 1 second of
// allocated render time.
//// \item @|int = obj. GetVolumeDimensions ()| -  These are the dimensions of the 3D texture
//// \item @|float = obj. GetVolumeSpacing ()| -  This is the spacing of the 3D texture
//// \item @|int = obj.IsRenderSupported (vtkVolumeProperty )| -  Based on hardware and properties, we may or may not be able to
// render using 3D texture mapping. This indicates if 3D texture
// mapping is supported by the hardware, and if the other extensions
// necessary to support the specific properties are available.
//// \item @|int = obj.GetNumberOfPolygons ()| -  Allow access to the number of polygons used for the
// rendering.
//// \item @|float = obj.GetActualSampleDistance ()| -  Allow access to the actual sample distance used to render
// the image.
//// \item @|obj.SetPreferredRenderMethod (int )| -  Set the preferred render method. If it is supported, this
// one will be used. Don't allow ATI_METHOD - it is not actually
// supported.
//// \item @|int = obj.GetPreferredRenderMethodMinValue ()| -  Set the preferred render method. If it is supported, this
// one will be used. Don't allow ATI_METHOD - it is not actually
// supported.
//// \item @|int = obj.GetPreferredRenderMethodMaxValue ()| -  Set the preferred render method. If it is supported, this
// one will be used. Don't allow ATI_METHOD - it is not actually
// supported.
//// \item @|obj.SetPreferredMethodToFragmentProgram ()| -  Set the preferred render method. If it is supported, this
// one will be used. Don't allow ATI_METHOD - it is not actually
// supported.
//// \item @|obj.SetPreferredMethodToNVidia ()| -  Set the preferred render method. If it is supported, this
// one will be used. Don't allow ATI_METHOD - it is not actually
// supported.
//// \item @|int = obj.GetPreferredRenderMethod ()| -  Set the preferred render method. If it is supported, this
// one will be used. Don't allow ATI_METHOD - it is not actually
// supported.
//// \item @|obj.SetUseCompressedTexture (bool )| -  Set/Get if the mapper use compressed textures (if supported by the
// hardware). Initial value is false.
// There are two reasons to use compressed textures: 1. rendering can be 4
// times faster. 2. It saves some VRAM.
// There is one reason to not use compressed textures: quality may be lower
// than with uncompressed textures.
//// \item @|bool = obj.GetUseCompressedTexture ()| -  Set/Get if the mapper use compressed textures (if supported by the
// hardware). Initial value is false.
// There are two reasons to use compressed textures: 1. rendering can be 4
// times faster. 2. It saves some VRAM.
// There is one reason to not use compressed textures: quality may be lower
// than with uncompressed textures.
////\end{itemize}
//!
