#include "VTKWrap.hpp"

// FreeMat wrapper for vtk3DWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtk3DWidget.h"

//@@Signature
//sfunction @vtk3DWidget:vtk3DWidget vtk3DWidgetConstructorFunction
//input a
//output p
//@@Parents vtk3DWidget vtkInteractorObserver 
ArrayVector vtk3DWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtk3DWidget::New(),"vtk3DWidget",eval);
  } else if (arg[0].className() == "vtk3DWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtk3DWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtk3DWidget");
    vtk3DWidget*q = reinterpret_cast<vtk3DWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtk3DWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtk3DWidget:GetClassName vtk3DWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtk3DWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtk3DWidget requires 1 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:IsA vtk3DWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtk3DWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtk3DWidget requires 2 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:NewInstance vtk3DWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtk3DWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtk3DWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtk3DWidget requires 1 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  vtk3DWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtk3DWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:SafeDownCast vtk3DWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtk3DWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtk3DWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtk3DWidget requires 2 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtk3DWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtk3DWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:PlaceWidget__1 vtk3DWidgetPlaceWidget__1Function
//input a0 a1 
//output none
ArrayVector vtk3DWidgetPlaceWidget__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget__1 for class vtk3DWidget requires 2 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:PlaceWidget__2 vtk3DWidgetPlaceWidget__2Function
//input a0 
//output none
ArrayVector vtk3DWidgetPlaceWidget__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (); */
  if (arg.size() < 1) 
    throw Exception("Function PlaceWidget__2 for class vtk3DWidget requires 1 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  vtk_pointer->PlaceWidget();
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:PlaceWidget__3 vtk3DWidgetPlaceWidget__3Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtk3DWidgetPlaceWidget__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax); */
  if (arg.size() < 7) 
    throw Exception("Function PlaceWidget__3 for class vtk3DWidget requires 7 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:SetProp3D vtk3DWidgetSetProp3DFunction
//input a0 a1 
//output none
ArrayVector vtk3DWidgetSetProp3DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetProp3D (vtkProp3D *); */
  if (arg.size() < 2) 
    throw Exception("Function SetProp3D for class vtk3DWidget requires 2 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  vtkProp3D  *temp0;
  temp0 = GetVTKPointer<vtkProp3D>(arg[1]);
  vtk_pointer->SetProp3D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:GetProp3D vtk3DWidgetGetProp3DFunction
//input a0 
//output y
ArrayVector vtk3DWidgetGetProp3DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp3D *GetProp3D (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProp3D for class vtk3DWidget requires 1 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  vtkProp3D  *temp20;
  temp20 = (vtk_pointer)->GetProp3D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:SetInput vtk3DWidgetSetInputFunction
//input a0 a1 
//output none
ArrayVector vtk3DWidgetSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkDataSet *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtk3DWidget requires 2 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:GetInput vtk3DWidgetGetInputFunction
//input a0 
//output y
ArrayVector vtk3DWidgetGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtk3DWidget requires 1 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:SetPlaceFactor vtk3DWidgetSetPlaceFactorFunction
//input a0 a1 
//output none
ArrayVector vtk3DWidgetSetPlaceFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaceFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlaceFactor for class vtk3DWidget requires 2 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPlaceFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:GetPlaceFactorMinValue vtk3DWidgetGetPlaceFactorMinValueFunction
//input a0 
//output y
ArrayVector vtk3DWidgetGetPlaceFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPlaceFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlaceFactorMinValue for class vtk3DWidget requires 1 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPlaceFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:GetPlaceFactorMaxValue vtk3DWidgetGetPlaceFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtk3DWidgetGetPlaceFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPlaceFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlaceFactorMaxValue for class vtk3DWidget requires 1 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPlaceFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:GetPlaceFactor vtk3DWidgetGetPlaceFactorFunction
//input a0 
//output y
ArrayVector vtk3DWidgetGetPlaceFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPlaceFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlaceFactor for class vtk3DWidget requires 1 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPlaceFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:SetHandleSize vtk3DWidgetSetHandleSizeFunction
//input a0 a1 
//output none
ArrayVector vtk3DWidgetSetHandleSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleSize for class vtk3DWidget requires 2 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHandleSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:GetHandleSizeMinValue vtk3DWidgetGetHandleSizeMinValueFunction
//input a0 
//output y
ArrayVector vtk3DWidgetGetHandleSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHandleSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleSizeMinValue for class vtk3DWidget requires 1 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHandleSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:GetHandleSizeMaxValue vtk3DWidgetGetHandleSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtk3DWidgetGetHandleSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHandleSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleSizeMaxValue for class vtk3DWidget requires 1 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHandleSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:GetHandleSize vtk3DWidgetGetHandleSizeFunction
//input a0 
//output y
ArrayVector vtk3DWidgetGetHandleSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHandleSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleSize for class vtk3DWidget requires 1 argument(s)");
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHandleSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtk3DWidget:PlaceWidget vtk3DWidgetPlaceWidgetFunction
//input varargin
//output varargout
ArrayVector vtk3DWidgetPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtk3DWidgetPlaceWidget__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtk3DWidgetPlaceWidget__2Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtk3DWidgetPlaceWidget__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtk3DWidgetPlaceWidget");
}

//@@Signature
//sfunction @vtk3DWidget:SizeHandles vtk3DWidgetSizeHandlesFunction
//input varargin
//output varargout
ArrayVector vtk3DWidgetSizeHandlesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtk3DWidgetSizeHandles");
}

//@@Signature
//sfunction @vtk3DWidget:display vtk3DWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtk3DWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtk3DWidget* vtk_pointer = GetVTKPointer<vtk3DWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtk3DWidget:delete vtk3DWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtk3DWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtk3DWidget
//@@Section VTKWidgets
//@@Usage
// vtk3DWidget is an abstract superclass for 3D interactor observers. These
// 3D widgets represent themselves in the scene, and have special callbacks
// associated with them that allows interactive manipulation of the widget.
// Inparticular, the difference between a vtk3DWidget and its abstract
// superclass vtkInteractorObserver is that vtk3DWidgets are "placed" in 3D
// space.  vtkInteractorObservers have no notion of where they are placed,
// and may not exist in 3D space at all.  3D widgets also provide auxiliary
// functions like producing a transformation, creating polydata (for seeding
// streamlines, probes, etc.) or creating implicit functions. See the
// concrete subclasses for particulars.
//
// Typically the widget is used by specifying a vtkProp3D or VTK dataset as
// input, and then invoking the "On" method to activate it. (You can also
// specify a bounding box to help position the widget.) Prior to invoking the
// On() method, the user may also wish to use the PlaceWidget() to initially
// position it. The 'i' (for "interactor") keypresses also can be used to
// turn the widgets on and off (methods exist to change the key value
// and enable keypress activiation).
// 
// To support interactive manipulation of objects, this class (and
// subclasses) invoke the events StartInteractionEvent, InteractionEvent, and
// EndInteractionEvent.  These events are invoked when the vtk3DWidget enters
// a state where rapid response is desired: mouse motion, etc. The events can
// be used, for example, to set the desired update frame rate
// (StartInteractionEvent), operate on the vtkProp3D or other object
// (InteractionEvent), and set the desired frame rate back to normal values
// (EndInteractionEvent).
//
// Note that the Priority attribute inherited from vtkInteractorObserver has
// a new default value which is now 0.5 so that all 3D widgets have a higher
// priority than the usual interactor styles.
//
//
//To create an instance of class vtk3DWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtk3DWidget
//@]
//@@Methods
//The class vtk3DWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtk3DWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtk3DWidget = obj.NewInstance ()|
// \item @|vtk3DWidget = obj.SafeDownCast (vtkObject o)|
// \item @|obj.PlaceWidget (double bounds[6])| -  This method is used to initially place the widget.  The placement of the
// widget depends on whether a Prop3D or input dataset is provided. If one
// of these two is provided, they will be used to obtain a bounding box,
// around which the widget is placed. Otherwise, you can manually specify a
// bounds with the PlaceWidget(bounds) method. Note: PlaceWidget(bounds)
// is required by all subclasses; the other methods are provided as
// convenience methods.
//// \item @|obj.PlaceWidget ()| -  This method is used to initially place the widget.  The placement of the
// widget depends on whether a Prop3D or input dataset is provided. If one
// of these two is provided, they will be used to obtain a bounding box,
// around which the widget is placed. Otherwise, you can manually specify a
// bounds with the PlaceWidget(bounds) method. Note: PlaceWidget(bounds)
// is required by all subclasses; the other methods are provided as
// convenience methods.
//// \item @|obj.PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  This method is used to initially place the widget.  The placement of the
// widget depends on whether a Prop3D or input dataset is provided. If one
// of these two is provided, they will be used to obtain a bounding box,
// around which the widget is placed. Otherwise, you can manually specify a
// bounds with the PlaceWidget(bounds) method. Note: PlaceWidget(bounds)
// is required by all subclasses; the other methods are provided as
// convenience methods.
//// \item @|obj.SetProp3D (vtkProp3D )| -  Specify a vtkProp3D around which to place the widget. This 
// is not required, but if supplied, it is used to initially 
// position the widget.
//// \item @|vtkProp3D = obj.GetProp3D ()| -  Specify a vtkProp3D around which to place the widget. This 
// is not required, but if supplied, it is used to initially 
// position the widget.
//// \item @|obj.SetInput (vtkDataSet )| -  Specify the input dataset. This is not required, but if supplied,
// and no vtkProp3D is specified, it is used to initially position 
// the widget.
//// \item @|vtkDataSet = obj.GetInput ()| -  Specify the input dataset. This is not required, but if supplied,
// and no vtkProp3D is specified, it is used to initially position 
// the widget.
//// \item @|obj.SetPlaceFactor (double )| -  Set/Get a factor representing the scaling of the widget upon placement
// (via the PlaceWidget() method). Normally the widget is placed so that
// it just fits within the bounding box defined in PlaceWidget(bounds).
// The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller
// (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.
//// \item @|double = obj.GetPlaceFactorMinValue ()| -  Set/Get a factor representing the scaling of the widget upon placement
// (via the PlaceWidget() method). Normally the widget is placed so that
// it just fits within the bounding box defined in PlaceWidget(bounds).
// The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller
// (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.
//// \item @|double = obj.GetPlaceFactorMaxValue ()| -  Set/Get a factor representing the scaling of the widget upon placement
// (via the PlaceWidget() method). Normally the widget is placed so that
// it just fits within the bounding box defined in PlaceWidget(bounds).
// The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller
// (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.
//// \item @|double = obj.GetPlaceFactor ()| -  Set/Get a factor representing the scaling of the widget upon placement
// (via the PlaceWidget() method). Normally the widget is placed so that
// it just fits within the bounding box defined in PlaceWidget(bounds).
// The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller
// (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.
//// \item @|obj.SetHandleSize (double )| -  Set/Get the factor that controls the size of the handles that
// appear as part of the widget. These handles (like spheres, etc.)
// are used to manipulate the widget, and are sized as a fraction of
// the screen diagonal.
//// \item @|double = obj.GetHandleSizeMinValue ()| -  Set/Get the factor that controls the size of the handles that
// appear as part of the widget. These handles (like spheres, etc.)
// are used to manipulate the widget, and are sized as a fraction of
// the screen diagonal.
//// \item @|double = obj.GetHandleSizeMaxValue ()| -  Set/Get the factor that controls the size of the handles that
// appear as part of the widget. These handles (like spheres, etc.)
// are used to manipulate the widget, and are sized as a fraction of
// the screen diagonal.
//// \item @|double = obj.GetHandleSize ()| -  Set/Get the factor that controls the size of the handles that
// appear as part of the widget. These handles (like spheres, etc.)
// are used to manipulate the widget, and are sized as a fraction of
// the screen diagonal.
////\end{itemize}
//!
