#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAbstractWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAbstractWidget.h"

//@@Signature
//sfunction @vtkAbstractWidget:vtkAbstractWidget vtkAbstractWidgetConstructorFunction
//input a
//output p
//@@Parents vtkAbstractWidget vtkInteractorObserver 
ArrayVector vtkAbstractWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAbstractWidget::New(),"vtkAbstractWidget",eval);
  } else if (arg[0].className() == "vtkAbstractWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAbstractWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAbstractWidget");
    vtkAbstractWidget*q = reinterpret_cast<vtkAbstractWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAbstractWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAbstractWidget:GetClassName vtkAbstractWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAbstractWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAbstractWidget requires 1 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:IsA vtkAbstractWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAbstractWidget requires 2 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:NewInstance vtkAbstractWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAbstractWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAbstractWidget requires 1 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  vtkAbstractWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:SafeDownCast vtkAbstractWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAbstractWidget requires 2 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAbstractWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:SetEnabled vtkAbstractWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkAbstractWidget requires 2 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:SetProcessEvents vtkAbstractWidgetSetProcessEventsFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractWidgetSetProcessEventsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProcessEvents (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProcessEvents for class vtkAbstractWidget requires 2 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProcessEvents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:GetProcessEventsMinValue vtkAbstractWidgetGetProcessEventsMinValueFunction
//input a0 
//output y
ArrayVector vtkAbstractWidgetGetProcessEventsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProcessEventsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProcessEventsMinValue for class vtkAbstractWidget requires 1 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProcessEventsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:GetProcessEventsMaxValue vtkAbstractWidgetGetProcessEventsMaxValueFunction
//input a0 
//output y
ArrayVector vtkAbstractWidgetGetProcessEventsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProcessEventsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProcessEventsMaxValue for class vtkAbstractWidget requires 1 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProcessEventsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:GetProcessEvents vtkAbstractWidgetGetProcessEventsFunction
//input a0 
//output y
ArrayVector vtkAbstractWidgetGetProcessEventsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProcessEvents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProcessEvents for class vtkAbstractWidget requires 1 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProcessEvents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:ProcessEventsOn vtkAbstractWidgetProcessEventsOnFunction
//input a0 
//output none
ArrayVector vtkAbstractWidgetProcessEventsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ProcessEventsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ProcessEventsOn for class vtkAbstractWidget requires 1 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  vtk_pointer->ProcessEventsOn();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:ProcessEventsOff vtkAbstractWidgetProcessEventsOffFunction
//input a0 
//output none
ArrayVector vtkAbstractWidgetProcessEventsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ProcessEventsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ProcessEventsOff for class vtkAbstractWidget requires 1 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  vtk_pointer->ProcessEventsOff();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:GetEventTranslator vtkAbstractWidgetGetEventTranslatorFunction
//input a0 
//output y
ArrayVector vtkAbstractWidgetGetEventTranslatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWidgetEventTranslator *GetEventTranslator ();return this EventTranslator  */
  if (arg.size() < 1) 
    throw Exception("Function GetEventTranslator for class vtkAbstractWidget requires 1 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  vtkWidgetEventTranslator  *temp20;
  temp20 = (vtk_pointer)->GetEventTranslator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWidgetEventTranslator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:CreateDefaultRepresentation vtkAbstractWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkAbstractWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CreateDefaultRepresentation () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkAbstractWidget requires 1 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:Render vtkAbstractWidgetRenderFunction
//input a0 
//output none
ArrayVector vtkAbstractWidgetRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Render (); */
  if (arg.size() < 1) 
    throw Exception("Function Render for class vtkAbstractWidget requires 1 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  vtk_pointer->Render();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:SetParent vtkAbstractWidgetSetParentFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractWidgetSetParentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParent (vtkAbstractWidget *parent);this Parent parent  */
  if (arg.size() < 2) 
    throw Exception("Function SetParent for class vtkAbstractWidget requires 2 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  vtkAbstractWidget  *temp0;
  temp0 = GetVTKPointer<vtkAbstractWidget>(arg[1]);
  vtk_pointer->SetParent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:GetParent vtkAbstractWidgetGetParentFunction
//input a0 
//output y
ArrayVector vtkAbstractWidgetGetParentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractWidget *GetParent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParent for class vtkAbstractWidget requires 1 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  vtkAbstractWidget  *temp20;
  temp20 = (vtk_pointer)->GetParent();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:GetRepresentation vtkAbstractWidgetGetRepresentationFunction
//input a0 
//output y
ArrayVector vtkAbstractWidgetGetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWidgetRepresentation *GetRepresentation ();this CreateDefaultRepresentation return this WidgetRep  */
  if (arg.size() < 1) 
    throw Exception("Function GetRepresentation for class vtkAbstractWidget requires 1 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  vtkWidgetRepresentation  *temp20;
  temp20 = (vtk_pointer)->GetRepresentation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWidgetRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:SetManagesCursor vtkAbstractWidgetSetManagesCursorFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractWidgetSetManagesCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetManagesCursor (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetManagesCursor for class vtkAbstractWidget requires 2 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetManagesCursor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:GetManagesCursor vtkAbstractWidgetGetManagesCursorFunction
//input a0 
//output y
ArrayVector vtkAbstractWidgetGetManagesCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetManagesCursor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetManagesCursor for class vtkAbstractWidget requires 1 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetManagesCursor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:ManagesCursorOn vtkAbstractWidgetManagesCursorOnFunction
//input a0 
//output none
ArrayVector vtkAbstractWidgetManagesCursorOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ManagesCursorOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ManagesCursorOn for class vtkAbstractWidget requires 1 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  vtk_pointer->ManagesCursorOn();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:ManagesCursorOff vtkAbstractWidgetManagesCursorOffFunction
//input a0 
//output none
ArrayVector vtkAbstractWidgetManagesCursorOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ManagesCursorOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ManagesCursorOff for class vtkAbstractWidget requires 1 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  vtk_pointer->ManagesCursorOff();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:SetPriority vtkAbstractWidgetSetPriorityFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractWidgetSetPriorityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPriority (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPriority for class vtkAbstractWidget requires 2 argument(s)");
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPriority(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractWidget:display vtkAbstractWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAbstractWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAbstractWidget* vtk_pointer = GetVTKPointer<vtkAbstractWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAbstractWidget:delete vtkAbstractWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkAbstractWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAbstractWidget
//@@Section VTKWidgets
//@@Usage
// The vtkAbstractWidget defines an API and implements methods common to all
// widgets using the interaction/representation design. In this design, the
// term interaction means that part of the widget that performs event
// handling, while the representation corresponds to a vtkProp (or the
// subclass vtkWidgetRepresentation) used to represent the
// widget. vtkAbstractWidget also implements some methods common to all
// subclasses.
//
// Note that vtkAbstractWidget provides access to the
// vtkWidgetEventTranslator.  This class is responsible for translating VTK
// events (defined in vtkCommand.h) into widget events (defined in
// vtkWidgetEvent.h).  This class can be manipulated so that different VTK
// events can be mapped into widget events, thereby allowing the modification
// of event bindings. Each subclass of vtkAbstractWidget defines the events
// to which it responds.
//
//
//To create an instance of class vtkAbstractWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkAbstractWidget
//@]
//@@Methods
//The class vtkAbstractWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAbstractWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard macros implementing standard VTK methods.
//// \item @|int = obj.IsA (string name)| -  Standard macros implementing standard VTK methods.
//// \item @|vtkAbstractWidget = obj.NewInstance ()| -  Standard macros implementing standard VTK methods.
//// \item @|vtkAbstractWidget = obj.SafeDownCast (vtkObject o)| -  Standard macros implementing standard VTK methods.
//// \item @|obj.SetEnabled (int )| -  Methods for activating this widget. Note that the widget representation
// must be specified or the widget will not appear.
// ProcessEvents (On by default) must be On for Enabled widget to respond 
// to interaction. If ProcessEvents is Off, enabling/disabling a widget 
// merely affects the visibility of the representation.
//// \item @|obj.SetProcessEvents (int )| -  Methods to change the whether the widget responds to interaction.
// Set this to Off to disable interaction. On by default.
// Subclasses must overide SetProcessEvents() to make sure
// that they pass on the flag to all component widgets.
//// \item @|int = obj.GetProcessEventsMinValue ()| -  Methods to change the whether the widget responds to interaction.
// Set this to Off to disable interaction. On by default.
// Subclasses must overide SetProcessEvents() to make sure
// that they pass on the flag to all component widgets.
//// \item @|int = obj.GetProcessEventsMaxValue ()| -  Methods to change the whether the widget responds to interaction.
// Set this to Off to disable interaction. On by default.
// Subclasses must overide SetProcessEvents() to make sure
// that they pass on the flag to all component widgets.
//// \item @|int = obj.GetProcessEvents ()| -  Methods to change the whether the widget responds to interaction.
// Set this to Off to disable interaction. On by default.
// Subclasses must overide SetProcessEvents() to make sure
// that they pass on the flag to all component widgets.
//// \item @|obj.ProcessEventsOn ()| -  Methods to change the whether the widget responds to interaction.
// Set this to Off to disable interaction. On by default.
// Subclasses must overide SetProcessEvents() to make sure
// that they pass on the flag to all component widgets.
//// \item @|obj.ProcessEventsOff ()| -  Methods to change the whether the widget responds to interaction.
// Set this to Off to disable interaction. On by default.
// Subclasses must overide SetProcessEvents() to make sure
// that they pass on the flag to all component widgets.
//// \item @|vtkWidgetEventTranslator = obj.GetEventTranslator ()| -  Create the default widget representation if one is not set. The
// representation defines the geometry of the widget (i.e., how it appears)
// as well as providing special methods for manipulting the state and
// appearance of the widget.
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. The
// representation defines the geometry of the widget (i.e., how it appears)
// as well as providing special methods for manipulting the state and
// appearance of the widget.
//// \item @|obj.Render ()| -  This method is called by subclasses when a render method is to be
// invoked on the vtkRenderWindowInteractor. This method should be called
// (instead of vtkRenderWindow::Render() because it has built into it
// optimizations for minimizing renders and/or speeding renders.
//// \item @|obj.SetParent (vtkAbstractWidget parent)| -  Specifying a parent to this widget is used when creating composite
// widgets. It is an internal method not meant to be used by the public.
// When a widget has a parent, it defers the rendering to the parent. It
// may also defer managing the cursor (see ManagesCursor ivar).
//// \item @|vtkAbstractWidget = obj.GetParent ()| -  Specifying a parent to this widget is used when creating composite
// widgets. It is an internal method not meant to be used by the public.
// When a widget has a parent, it defers the rendering to the parent. It
// may also defer managing the cursor (see ManagesCursor ivar).
//// \item @|vtkWidgetRepresentation = obj.GetRepresentation ()| -  Turn on or off the management of the cursor. Cursor management is
// typically disabled for subclasses when composite widgets are
// created. For example, vtkHandleWidgets are often used to create
// composite widgets, and the parent widget takes over the cursor
// management.
//// \item @|obj.SetManagesCursor (int )| -  Turn on or off the management of the cursor. Cursor management is
// typically disabled for subclasses when composite widgets are
// created. For example, vtkHandleWidgets are often used to create
// composite widgets, and the parent widget takes over the cursor
// management.
//// \item @|int = obj.GetManagesCursor ()| -  Turn on or off the management of the cursor. Cursor management is
// typically disabled for subclasses when composite widgets are
// created. For example, vtkHandleWidgets are often used to create
// composite widgets, and the parent widget takes over the cursor
// management.
//// \item @|obj.ManagesCursorOn ()| -  Turn on or off the management of the cursor. Cursor management is
// typically disabled for subclasses when composite widgets are
// created. For example, vtkHandleWidgets are often used to create
// composite widgets, and the parent widget takes over the cursor
// management.
//// \item @|obj.ManagesCursorOff ()| -  Turn on or off the management of the cursor. Cursor management is
// typically disabled for subclasses when composite widgets are
// created. For example, vtkHandleWidgets are often used to create
// composite widgets, and the parent widget takes over the cursor
// management.
//// \item @|obj.SetPriority (float )| -  Override the superclass method. This will automatically change the
// priority of the widget. Unlike the superclass documentation, no 
// methods such as SetInteractor to null and reset it etc. are necessary
////\end{itemize}
//!
