#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAffineRepresentation2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAffineRepresentation2D.h"

//@@Signature
//sfunction @vtkAffineRepresentation2D:vtkAffineRepresentation2D vtkAffineRepresentation2DConstructorFunction
//input a
//output p
//@@Parents vtkAffineRepresentation2D vtkAffineRepresentation 
ArrayVector vtkAffineRepresentation2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAffineRepresentation2D::New(),"vtkAffineRepresentation2D",eval);
  } else if (arg[0].className() == "vtkAffineRepresentation2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAffineRepresentation2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAffineRepresentation2D");
    vtkAffineRepresentation2D*q = reinterpret_cast<vtkAffineRepresentation2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAffineRepresentation2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAffineRepresentation2D:GetClassName vtkAffineRepresentation2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAffineRepresentation2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:IsA vtkAffineRepresentation2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAffineRepresentation2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:NewInstance vtkAffineRepresentation2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAffineRepresentation2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAffineRepresentation2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  vtkAffineRepresentation2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAffineRepresentation2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:SafeDownCast vtkAffineRepresentation2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAffineRepresentation2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAffineRepresentation2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAffineRepresentation2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAffineRepresentation2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:SetBoxWidth vtkAffineRepresentation2DSetBoxWidthFunction
//input a0 a1 
//output none
ArrayVector vtkAffineRepresentation2DSetBoxWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoxWidth (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoxWidth for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBoxWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:GetBoxWidthMinValue vtkAffineRepresentation2DGetBoxWidthMinValueFunction
//input a0 
//output y
ArrayVector vtkAffineRepresentation2DGetBoxWidthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBoxWidthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoxWidthMinValue for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBoxWidthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:GetBoxWidthMaxValue vtkAffineRepresentation2DGetBoxWidthMaxValueFunction
//input a0 
//output y
ArrayVector vtkAffineRepresentation2DGetBoxWidthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBoxWidthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoxWidthMaxValue for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBoxWidthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:GetBoxWidth vtkAffineRepresentation2DGetBoxWidthFunction
//input a0 
//output y
ArrayVector vtkAffineRepresentation2DGetBoxWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBoxWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoxWidth for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBoxWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:SetCircleWidth vtkAffineRepresentation2DSetCircleWidthFunction
//input a0 a1 
//output none
ArrayVector vtkAffineRepresentation2DSetCircleWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCircleWidth (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCircleWidth for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCircleWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:GetCircleWidthMinValue vtkAffineRepresentation2DGetCircleWidthMinValueFunction
//input a0 
//output y
ArrayVector vtkAffineRepresentation2DGetCircleWidthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCircleWidthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCircleWidthMinValue for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCircleWidthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:GetCircleWidthMaxValue vtkAffineRepresentation2DGetCircleWidthMaxValueFunction
//input a0 
//output y
ArrayVector vtkAffineRepresentation2DGetCircleWidthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCircleWidthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCircleWidthMaxValue for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCircleWidthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:GetCircleWidth vtkAffineRepresentation2DGetCircleWidthFunction
//input a0 
//output y
ArrayVector vtkAffineRepresentation2DGetCircleWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCircleWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCircleWidth for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCircleWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:SetAxesWidth vtkAffineRepresentation2DSetAxesWidthFunction
//input a0 a1 
//output none
ArrayVector vtkAffineRepresentation2DSetAxesWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxesWidth (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAxesWidth for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAxesWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:GetAxesWidthMinValue vtkAffineRepresentation2DGetAxesWidthMinValueFunction
//input a0 
//output y
ArrayVector vtkAffineRepresentation2DGetAxesWidthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxesWidthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxesWidthMinValue for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxesWidthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:GetAxesWidthMaxValue vtkAffineRepresentation2DGetAxesWidthMaxValueFunction
//input a0 
//output y
ArrayVector vtkAffineRepresentation2DGetAxesWidthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxesWidthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxesWidthMaxValue for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxesWidthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:GetAxesWidth vtkAffineRepresentation2DGetAxesWidthFunction
//input a0 
//output y
ArrayVector vtkAffineRepresentation2DGetAxesWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxesWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxesWidth for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxesWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:SetOrigin__1 vtkAffineRepresentation2DSetOrigin__1Function
//input a0 a1 
//output none
ArrayVector vtkAffineRepresentation2DSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double o[3]);this SetOrigin o o o  */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__1 for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:SetOrigin__2 vtkAffineRepresentation2DSetOrigin__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAffineRepresentation2DSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double ox, double oy, double oz); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__2 for class vtkAffineRepresentation2D requires 4 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:GetOrigin vtkAffineRepresentation2DGetOriginFunction
//input a0 
//output y
ArrayVector vtkAffineRepresentation2DGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:GetTransform vtkAffineRepresentation2DGetTransformFunction
//input a0 a1 
//output none
ArrayVector vtkAffineRepresentation2DGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetTransform (vtkTransform *t); */
  if (arg.size() < 2) 
    throw Exception("Function GetTransform for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  vtkTransform  *temp0;
  temp0 = GetVTKPointer<vtkTransform>(arg[1]);
  vtk_pointer->GetTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:SetProperty vtkAffineRepresentation2DSetPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkAffineRepresentation2DSetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProperty (vtkProperty2D *); */
  if (arg.size() < 2) 
    throw Exception("Function SetProperty for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  vtkProperty2D  *temp0;
  temp0 = GetVTKPointer<vtkProperty2D>(arg[1]);
  vtk_pointer->SetProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:SetSelectedProperty vtkAffineRepresentation2DSetSelectedPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkAffineRepresentation2DSetSelectedPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedProperty (vtkProperty2D *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedProperty for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  vtkProperty2D  *temp0;
  temp0 = GetVTKPointer<vtkProperty2D>(arg[1]);
  vtk_pointer->SetSelectedProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:SetTextProperty vtkAffineRepresentation2DSetTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkAffineRepresentation2DSetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextProperty (vtkTextProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextProperty for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:GetProperty vtkAffineRepresentation2DGetPropertyFunction
//input a0 
//output y
ArrayVector vtkAffineRepresentation2DGetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *GetProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProperty for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->GetProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:GetSelectedProperty vtkAffineRepresentation2DGetSelectedPropertyFunction
//input a0 
//output y
ArrayVector vtkAffineRepresentation2DGetSelectedPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *GetSelectedProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedProperty for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->GetSelectedProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:GetTextProperty vtkAffineRepresentation2DGetTextPropertyFunction
//input a0 
//output y
ArrayVector vtkAffineRepresentation2DGetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextProperty for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:SetDisplayText vtkAffineRepresentation2DSetDisplayTextFunction
//input a0 a1 
//output none
ArrayVector vtkAffineRepresentation2DSetDisplayTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisplayText (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplayText for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDisplayText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:GetDisplayText vtkAffineRepresentation2DGetDisplayTextFunction
//input a0 
//output y
ArrayVector vtkAffineRepresentation2DGetDisplayTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDisplayText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplayText for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDisplayText();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:DisplayTextOn vtkAffineRepresentation2DDisplayTextOnFunction
//input a0 
//output none
ArrayVector vtkAffineRepresentation2DDisplayTextOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisplayTextOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DisplayTextOn for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  vtk_pointer->DisplayTextOn();
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:DisplayTextOff vtkAffineRepresentation2DDisplayTextOffFunction
//input a0 
//output none
ArrayVector vtkAffineRepresentation2DDisplayTextOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisplayTextOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DisplayTextOff for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  vtk_pointer->DisplayTextOff();
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:PlaceWidget vtkAffineRepresentation2DPlaceWidgetFunction
//input a0 a1 
//output none
ArrayVector vtkAffineRepresentation2DPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:StartWidgetInteraction vtkAffineRepresentation2DStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkAffineRepresentation2DStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:WidgetInteraction vtkAffineRepresentation2DWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkAffineRepresentation2DWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:EndWidgetInteraction vtkAffineRepresentation2DEndWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkAffineRepresentation2DEndWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndWidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function EndWidgetInteraction for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->EndWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:ComputeInteractionState vtkAffineRepresentation2DComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkAffineRepresentation2DComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkAffineRepresentation2D requires 4 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:BuildRepresentation vtkAffineRepresentation2DBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkAffineRepresentation2DBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkAffineRepresentation2D requires 1 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:ShallowCopy vtkAffineRepresentation2DShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkAffineRepresentation2DShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:GetActors2D vtkAffineRepresentation2DGetActors2DFunction
//input a0 a1 
//output none
ArrayVector vtkAffineRepresentation2DGetActors2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors2D (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors2D for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:ReleaseGraphicsResources vtkAffineRepresentation2DReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkAffineRepresentation2DReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:RenderOverlay vtkAffineRepresentation2DRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkAffineRepresentation2DRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkAffineRepresentation2D requires 2 argument(s)");
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:SetOrigin vtkAffineRepresentation2DSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkAffineRepresentation2DSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAffineRepresentation2DSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkAffineRepresentation2DSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAffineRepresentation2DSetOrigin");
}

//@@Signature
//sfunction @vtkAffineRepresentation2D:display vtkAffineRepresentation2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAffineRepresentation2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAffineRepresentation2D* vtk_pointer = GetVTKPointer<vtkAffineRepresentation2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAffineRepresentation2D:delete vtkAffineRepresentation2DDeleteFunction
//input varargin
//output none
ArrayVector vtkAffineRepresentation2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAffineRepresentation2D
//@@Section VTKWidgets
//@@Usage
// This class is used to represent a vtkAffineWidget. This representation
// consists of three parts: a box, a circle, and a cross. The box is used for
// scaling and shearing, the circle for rotation, and the cross for
// translation. These parts are drawn in the overlay plane and maintain a
// constant size (width and height) specified in terms of normalized viewport
// coordinates. 
//
// The representation maintains an internal transformation matrix (see
// superclass' GetTransform() method). The transformations generated by this
// widget assume that the representation lies in the x-y plane. If this is
// not the case, the user is responsible for transforming this
// representation's matrix into the correct coordinate space (by judicious
// matrix multiplication). Note that the transformation matrix returned by
// GetTransform() is relative to the last PlaceWidget() invocation. (The
// PlaceWidget() sets the origin around which rotation and scaling occurs;
// the origin is the center point of the bounding box provided.)
//
//
//To create an instance of class vtkAffineRepresentation2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkAffineRepresentation2D
//@]
//@@Methods
//The class vtkAffineRepresentation2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAffineRepresentation2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkAffineRepresentation2D = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkAffineRepresentation2D = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|obj.SetBoxWidth (int )| -  Specify the width of the various parts of the representation (in
// pixels).  The three parts are of the representation are the translation
// axes, the rotation circle, and the scale/shear box. Note that since the
// widget resizes itself so that the width and height are always the
// same, only the width needs to be specified.
//// \item @|int = obj.GetBoxWidthMinValue ()| -  Specify the width of the various parts of the representation (in
// pixels).  The three parts are of the representation are the translation
// axes, the rotation circle, and the scale/shear box. Note that since the
// widget resizes itself so that the width and height are always the
// same, only the width needs to be specified.
//// \item @|int = obj.GetBoxWidthMaxValue ()| -  Specify the width of the various parts of the representation (in
// pixels).  The three parts are of the representation are the translation
// axes, the rotation circle, and the scale/shear box. Note that since the
// widget resizes itself so that the width and height are always the
// same, only the width needs to be specified.
//// \item @|int = obj.GetBoxWidth ()| -  Specify the width of the various parts of the representation (in
// pixels).  The three parts are of the representation are the translation
// axes, the rotation circle, and the scale/shear box. Note that since the
// widget resizes itself so that the width and height are always the
// same, only the width needs to be specified.
//// \item @|obj.SetCircleWidth (int )| -  Specify the width of the various parts of the representation (in
// pixels).  The three parts are of the representation are the translation
// axes, the rotation circle, and the scale/shear box. Note that since the
// widget resizes itself so that the width and height are always the
// same, only the width needs to be specified.
//// \item @|int = obj.GetCircleWidthMinValue ()| -  Specify the width of the various parts of the representation (in
// pixels).  The three parts are of the representation are the translation
// axes, the rotation circle, and the scale/shear box. Note that since the
// widget resizes itself so that the width and height are always the
// same, only the width needs to be specified.
//// \item @|int = obj.GetCircleWidthMaxValue ()| -  Specify the width of the various parts of the representation (in
// pixels).  The three parts are of the representation are the translation
// axes, the rotation circle, and the scale/shear box. Note that since the
// widget resizes itself so that the width and height are always the
// same, only the width needs to be specified.
//// \item @|int = obj.GetCircleWidth ()| -  Specify the width of the various parts of the representation (in
// pixels).  The three parts are of the representation are the translation
// axes, the rotation circle, and the scale/shear box. Note that since the
// widget resizes itself so that the width and height are always the
// same, only the width needs to be specified.
//// \item @|obj.SetAxesWidth (int )| -  Specify the width of the various parts of the representation (in
// pixels).  The three parts are of the representation are the translation
// axes, the rotation circle, and the scale/shear box. Note that since the
// widget resizes itself so that the width and height are always the
// same, only the width needs to be specified.
//// \item @|int = obj.GetAxesWidthMinValue ()| -  Specify the width of the various parts of the representation (in
// pixels).  The three parts are of the representation are the translation
// axes, the rotation circle, and the scale/shear box. Note that since the
// widget resizes itself so that the width and height are always the
// same, only the width needs to be specified.
//// \item @|int = obj.GetAxesWidthMaxValue ()| -  Specify the width of the various parts of the representation (in
// pixels).  The three parts are of the representation are the translation
// axes, the rotation circle, and the scale/shear box. Note that since the
// widget resizes itself so that the width and height are always the
// same, only the width needs to be specified.
//// \item @|int = obj.GetAxesWidth ()| -  Specify the width of the various parts of the representation (in
// pixels).  The three parts are of the representation are the translation
// axes, the rotation circle, and the scale/shear box. Note that since the
// widget resizes itself so that the width and height are always the
// same, only the width needs to be specified.
//// \item @|obj.SetOrigin (double o[3])| -  Specify the origin of the widget (in world coordinates). The origin
// is the point where the widget places itself. Note that rotations and
// scaling occurs around the origin.
//// \item @|obj.SetOrigin (double ox, double oy, double oz)| -  Specify the origin of the widget (in world coordinates). The origin
// is the point where the widget places itself. Note that rotations and
// scaling occurs around the origin.
//// \item @|double = obj. GetOrigin ()| -  Specify the origin of the widget (in world coordinates). The origin
// is the point where the widget places itself. Note that rotations and
// scaling occurs around the origin.
//// \item @|obj.GetTransform (vtkTransform t)| -  Retrieve a linear transform characterizing the affine transformation
// generated by this widget. This method copies its internal transform into
// the transform provided. Note that the PlaceWidget() method initializes
// the internal matrix to identity. All subsequent widget operations (i.e.,
// scale, translate, rotate, shear) are concatenated with the internal
// transform.
//// \item @|obj.SetProperty (vtkProperty2D )| -  Set/Get the properties when unselected and selected.
//// \item @|obj.SetSelectedProperty (vtkProperty2D )| -  Set/Get the properties when unselected and selected.
//// \item @|obj.SetTextProperty (vtkTextProperty )| -  Set/Get the properties when unselected and selected.
//// \item @|vtkProperty2D = obj.GetProperty ()| -  Set/Get the properties when unselected and selected.
//// \item @|vtkProperty2D = obj.GetSelectedProperty ()| -  Set/Get the properties when unselected and selected.
//// \item @|vtkTextProperty = obj.GetTextProperty ()| -  Set/Get the properties when unselected and selected.
//// \item @|obj.SetDisplayText (int )| -  Enable the display of text with numeric values characterizing the 
// transformation. Rotation and shear are expressed in degrees; translation
// the distance in world coordinates; and scale normalized (sx,sy) values.
//// \item @|int = obj.GetDisplayText ()| -  Enable the display of text with numeric values characterizing the 
// transformation. Rotation and shear are expressed in degrees; translation
// the distance in world coordinates; and scale normalized (sx,sy) values.
//// \item @|obj.DisplayTextOn ()| -  Enable the display of text with numeric values characterizing the 
// transformation. Rotation and shear are expressed in degrees; translation
// the distance in world coordinates; and scale normalized (sx,sy) values.
//// \item @|obj.DisplayTextOff ()| -  Enable the display of text with numeric values characterizing the 
// transformation. Rotation and shear are expressed in degrees; translation
// the distance in world coordinates; and scale normalized (sx,sy) values.
//// \item @|obj.PlaceWidget (double bounds[6])| -  Subclasses of vtkAffineRepresentation2D must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other. Note: PlaceWidget() reinitializes the 
// transformation matrix (i.e., sets it to identity). It also sets the
// origin for scaling and rotation.
//// \item @|obj.StartWidgetInteraction (double eventPos[2])| -  Subclasses of vtkAffineRepresentation2D must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other. Note: PlaceWidget() reinitializes the 
// transformation matrix (i.e., sets it to identity). It also sets the
// origin for scaling and rotation.
//// \item @|obj.WidgetInteraction (double eventPos[2])| -  Subclasses of vtkAffineRepresentation2D must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other. Note: PlaceWidget() reinitializes the 
// transformation matrix (i.e., sets it to identity). It also sets the
// origin for scaling and rotation.
//// \item @|obj.EndWidgetInteraction (double eventPos[2])| -  Subclasses of vtkAffineRepresentation2D must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other. Note: PlaceWidget() reinitializes the 
// transformation matrix (i.e., sets it to identity). It also sets the
// origin for scaling and rotation.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  Subclasses of vtkAffineRepresentation2D must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other. Note: PlaceWidget() reinitializes the 
// transformation matrix (i.e., sets it to identity). It also sets the
// origin for scaling and rotation.
//// \item @|obj.BuildRepresentation ()| -  Subclasses of vtkAffineRepresentation2D must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other. Note: PlaceWidget() reinitializes the 
// transformation matrix (i.e., sets it to identity). It also sets the
// origin for scaling and rotation.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Methods to make this class behave as a vtkProp.
//// \item @|obj.GetActors2D (vtkPropCollection )| -  Methods to make this class behave as a vtkProp.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Methods to make this class behave as a vtkProp.
////\end{itemize}
//!
