#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAffineWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAffineWidget.h"

//@@Signature
//sfunction @vtkAffineWidget:vtkAffineWidget vtkAffineWidgetConstructorFunction
//input a
//output p
//@@Parents vtkAffineWidget vtkAbstractWidget 
ArrayVector vtkAffineWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAffineWidget::New(),"vtkAffineWidget",eval);
  } else if (arg[0].className() == "vtkAffineWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAffineWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAffineWidget");
    vtkAffineWidget*q = reinterpret_cast<vtkAffineWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAffineWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAffineWidget:GetClassName vtkAffineWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAffineWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAffineWidget requires 1 argument(s)");
  vtkAffineWidget* vtk_pointer = GetVTKPointer<vtkAffineWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAffineWidget:IsA vtkAffineWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAffineWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAffineWidget requires 2 argument(s)");
  vtkAffineWidget* vtk_pointer = GetVTKPointer<vtkAffineWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAffineWidget:NewInstance vtkAffineWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAffineWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAffineWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAffineWidget requires 1 argument(s)");
  vtkAffineWidget* vtk_pointer = GetVTKPointer<vtkAffineWidget>(arg[0]);
  Array retval;
  vtkAffineWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAffineWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAffineWidget:SafeDownCast vtkAffineWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAffineWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAffineWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAffineWidget requires 2 argument(s)");
  vtkAffineWidget* vtk_pointer = GetVTKPointer<vtkAffineWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAffineWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAffineWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAffineWidget:SetRepresentation vtkAffineWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkAffineWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkAffineRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkAffineWidget requires 2 argument(s)");
  vtkAffineWidget* vtk_pointer = GetVTKPointer<vtkAffineWidget>(arg[0]);
  Array retval;
  vtkAffineRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkAffineRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineWidget:CreateDefaultRepresentation vtkAffineWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkAffineWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkAffineWidget requires 1 argument(s)");
  vtkAffineWidget* vtk_pointer = GetVTKPointer<vtkAffineWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkAffineWidget:SetEnabled vtkAffineWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkAffineWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkAffineWidget requires 2 argument(s)");
  vtkAffineWidget* vtk_pointer = GetVTKPointer<vtkAffineWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAffineWidget:display vtkAffineWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAffineWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAffineWidget* vtk_pointer = GetVTKPointer<vtkAffineWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAffineWidget:delete vtkAffineWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkAffineWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAffineWidget
//@@Section VTKWidgets
//@@Usage
// The vtkAffineWidget is used to perform affine transformations on objects.
// (Affine transformations are transformations that keep parallel lines parallel.
// Affine transformations include translation, scaling, rotation, and shearing.)
// 
// To use this widget, set the widget representation. The representation 
// maintains a transformation matrix and other instance variables consistent
// with the transformations applied by this widget.
//
// .SECTION Event Bindings
// By default, the widget responds to the following VTK events (i.e., it
// watches the vtkRenderWindowInteractor for these events):
// <pre>
//   LeftButtonPressEvent - select widget: depending on which part is selected
//                          translation, rotation, scaling, or shearing may follow.
//   LeftButtonReleaseEvent - end selection of widget.
//   MouseMoveEvent - interactive movement across widget
// </pre>
//
// Note that the event bindings described above can be changed using this
// class's vtkWidgetEventTranslator. This class translates VTK events 
// into the vtkAffineWidget's widget events:
// <pre>
//   vtkWidgetEvent::Select -- focal point is being selected
//   vtkWidgetEvent::EndSelect -- the selection process has completed
//   vtkWidgetEvent::Move -- a request for widget motion
// </pre>
//
// In turn, when these widget events are processed, the vtkAffineWidget
// invokes the following VTK events on itself (which observers can listen for):
// <pre>
//   vtkCommand::StartInteractionEvent (on vtkWidgetEvent::Select)
//   vtkCommand::EndInteractionEvent (on vtkWidgetEvent::EndSelect)
//   vtkCommand::InteractionEvent (on vtkWidgetEvent::Move)
// </pre>
//
//
//To create an instance of class vtkAffineWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkAffineWidget
//@]
//@@Methods
//The class vtkAffineWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAffineWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK class macros.
//// \item @|int = obj.IsA (string name)| -  Standard VTK class macros.
//// \item @|vtkAffineWidget = obj.NewInstance ()| -  Standard VTK class macros.
//// \item @|vtkAffineWidget = obj.SafeDownCast (vtkObject o)| -  Standard VTK class macros.
//// \item @|obj.SetRepresentation (vtkAffineRepresentation r)| -  Create the default widget representation if one is not set. 
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
//// \item @|obj.SetEnabled (int )| -  Methods for activiating this widget. This implementation extends the
// superclasses' in order to resize the widget handles due to a render
// start event.
////\end{itemize}
//!
