#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAngleRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAngleRepresentation.h"

//@@Signature
//sfunction @vtkAngleRepresentation:vtkAngleRepresentation vtkAngleRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkAngleRepresentation vtkWidgetRepresentation 
ArrayVector vtkAngleRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAngleRepresentation::New(),"vtkAngleRepresentation",eval);
  } else if (arg[0].className() == "vtkAngleRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAngleRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAngleRepresentation");
    vtkAngleRepresentation*q = reinterpret_cast<vtkAngleRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAngleRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAngleRepresentation:GetClassName vtkAngleRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:IsA vtkAngleRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAngleRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:NewInstance vtkAngleRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAngleRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  vtkAngleRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAngleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:SafeDownCast vtkAngleRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAngleRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAngleRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAngleRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAngleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:GetAngle vtkAngleRepresentationGetAngleFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentationGetAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetAngle () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetAngle for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:GetPoint1WorldPosition vtkAngleRepresentationGetPoint1WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationGetPoint1WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint1WorldPosition (double pos[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint1WorldPosition for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint1WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:GetCenterWorldPosition vtkAngleRepresentationGetCenterWorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationGetCenterWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCenterWorldPosition (double pos[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetCenterWorldPosition for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetCenterWorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:GetPoint2WorldPosition vtkAngleRepresentationGetPoint2WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationGetPoint2WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint2WorldPosition (double pos[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint2WorldPosition for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint2WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:SetPoint1DisplayPosition vtkAngleRepresentationSetPoint1DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationSetPoint1DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint1DisplayPosition (double pos[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1DisplayPosition for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:SetCenterDisplayPosition vtkAngleRepresentationSetCenterDisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationSetCenterDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCenterDisplayPosition (double pos[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function SetCenterDisplayPosition for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenterDisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:SetPoint2DisplayPosition vtkAngleRepresentationSetPoint2DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationSetPoint2DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint2DisplayPosition (double pos[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2DisplayPosition for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:GetPoint1DisplayPosition vtkAngleRepresentationGetPoint1DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationGetPoint1DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint1DisplayPosition (double pos[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint1DisplayPosition for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint1DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:GetCenterDisplayPosition vtkAngleRepresentationGetCenterDisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationGetCenterDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCenterDisplayPosition (double pos[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetCenterDisplayPosition for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetCenterDisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:GetPoint2DisplayPosition vtkAngleRepresentationGetPoint2DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationGetPoint2DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint2DisplayPosition (double pos[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint2DisplayPosition for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint2DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:SetHandleRepresentation vtkAngleRepresentationSetHandleRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationSetHandleRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleRepresentation (vtkHandleRepresentation *handle); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleRepresentation for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  vtkHandleRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkHandleRepresentation>(arg[1]);
  vtk_pointer->SetHandleRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:InstantiateHandleRepresentation vtkAngleRepresentationInstantiateHandleRepresentationFunction
//input a0 
//output none
ArrayVector vtkAngleRepresentationInstantiateHandleRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InstantiateHandleRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function InstantiateHandleRepresentation for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->InstantiateHandleRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:GetPoint1Representation vtkAngleRepresentationGetPoint1RepresentationFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentationGetPoint1RepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHandleRepresentation *GetPoint1Representation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1Representation for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  vtkHandleRepresentation  *temp20;
  temp20 = (vtk_pointer)->GetPoint1Representation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:GetCenterRepresentation vtkAngleRepresentationGetCenterRepresentationFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentationGetCenterRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHandleRepresentation *GetCenterRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenterRepresentation for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  vtkHandleRepresentation  *temp20;
  temp20 = (vtk_pointer)->GetCenterRepresentation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:GetPoint2Representation vtkAngleRepresentationGetPoint2RepresentationFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentationGetPoint2RepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHandleRepresentation *GetPoint2Representation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2Representation for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  vtkHandleRepresentation  *temp20;
  temp20 = (vtk_pointer)->GetPoint2Representation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:SetTolerance vtkAngleRepresentationSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:GetToleranceMinValue vtkAngleRepresentationGetToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentationGetToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMinValue for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:GetToleranceMaxValue vtkAngleRepresentationGetToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentationGetToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMaxValue for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:GetTolerance vtkAngleRepresentationGetToleranceFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentationGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:SetLabelFormat vtkAngleRepresentationSetLabelFormatFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationSetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelFormat (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelFormat for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLabelFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:GetLabelFormat vtkAngleRepresentationGetLabelFormatFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentationGetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLabelFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelFormat for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLabelFormat();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:SetRay1Visibility vtkAngleRepresentationSetRay1VisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationSetRay1VisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRay1Visibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRay1Visibility for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRay1Visibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:GetRay1Visibility vtkAngleRepresentationGetRay1VisibilityFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentationGetRay1VisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRay1Visibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRay1Visibility for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRay1Visibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:Ray1VisibilityOn vtkAngleRepresentationRay1VisibilityOnFunction
//input a0 
//output none
ArrayVector vtkAngleRepresentationRay1VisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Ray1VisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function Ray1VisibilityOn for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->Ray1VisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:Ray1VisibilityOff vtkAngleRepresentationRay1VisibilityOffFunction
//input a0 
//output none
ArrayVector vtkAngleRepresentationRay1VisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Ray1VisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function Ray1VisibilityOff for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->Ray1VisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:SetRay2Visibility vtkAngleRepresentationSetRay2VisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationSetRay2VisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRay2Visibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRay2Visibility for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRay2Visibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:GetRay2Visibility vtkAngleRepresentationGetRay2VisibilityFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentationGetRay2VisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRay2Visibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRay2Visibility for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRay2Visibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:Ray2VisibilityOn vtkAngleRepresentationRay2VisibilityOnFunction
//input a0 
//output none
ArrayVector vtkAngleRepresentationRay2VisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Ray2VisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function Ray2VisibilityOn for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->Ray2VisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:Ray2VisibilityOff vtkAngleRepresentationRay2VisibilityOffFunction
//input a0 
//output none
ArrayVector vtkAngleRepresentationRay2VisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Ray2VisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function Ray2VisibilityOff for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->Ray2VisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:SetArcVisibility vtkAngleRepresentationSetArcVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationSetArcVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArcVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetArcVisibility for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetArcVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:GetArcVisibility vtkAngleRepresentationGetArcVisibilityFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentationGetArcVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArcVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArcVisibility for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArcVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:ArcVisibilityOn vtkAngleRepresentationArcVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkAngleRepresentationArcVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ArcVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ArcVisibilityOn for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ArcVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:ArcVisibilityOff vtkAngleRepresentationArcVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkAngleRepresentationArcVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ArcVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ArcVisibilityOff for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ArcVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:BuildRepresentation vtkAngleRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkAngleRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkAngleRepresentation requires 1 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:ComputeInteractionState vtkAngleRepresentationComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkAngleRepresentationComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkAngleRepresentation requires 4 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:StartWidgetInteraction vtkAngleRepresentationStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:CenterWidgetInteraction vtkAngleRepresentationCenterWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationCenterWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CenterWidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function CenterWidgetInteraction for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->CenterWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:WidgetInteraction vtkAngleRepresentationWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentationWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkAngleRepresentation requires 2 argument(s)");
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation:display vtkAngleRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAngleRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAngleRepresentation* vtk_pointer = GetVTKPointer<vtkAngleRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAngleRepresentation:delete vtkAngleRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkAngleRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAngleRepresentation
//@@Section VTKWidgets
//@@Usage
// The vtkAngleRepresentation is a superclass for classes representing the
// vtkAngleWidget. This representation consists of two rays and three
// vtkHandleRepresentations to place and manipulate the three points defining
// the angle representation. (Note: the three points are referred to as Point1,
// Center, and Point2, at the two end points (Point1 and Point2) and Center
// (around which the angle is measured).
//
//To create an instance of class vtkAngleRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkAngleRepresentation
//@]
//@@Methods
//The class vtkAngleRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAngleRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK methods.
//// \item @|vtkAngleRepresentation = obj.NewInstance ()| -  Standard VTK methods.
//// \item @|vtkAngleRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard VTK methods.
//// \item @|double = obj.GetAngle ()| -  This representation and all subclasses must keep an angle (in degrees)
// consistent with the state of the widget.
//// \item @|obj.GetPoint1WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the three points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetCenterWorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the three points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint2WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the three points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint1DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the three points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetCenterDisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the three points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint2DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the three points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint1DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the three points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetCenterDisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the three points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint2DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the three points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetHandleRepresentation (vtkHandleRepresentation handle)| -  This method is used to specify the type of handle representation to use
// for the three internal vtkHandleWidgets within vtkAngleRepresentation.
// To use this method, create a dummy vtkHandleRepresentation (or
// subclass), and then invoke this method with this dummy. Then the
// vtkAngleRepresentation uses this dummy to clone three
// vtkHandleRepresentations of the same type. Make sure you set the handle
// representation before the widget is enabled. (The method
// InstantiateHandleRepresentation() is invoked by the vtkAngle widget.)
//// \item @|obj.InstantiateHandleRepresentation ()| -  This method is used to specify the type of handle representation to use
// for the three internal vtkHandleWidgets within vtkAngleRepresentation.
// To use this method, create a dummy vtkHandleRepresentation (or
// subclass), and then invoke this method with this dummy. Then the
// vtkAngleRepresentation uses this dummy to clone three
// vtkHandleRepresentations of the same type. Make sure you set the handle
// representation before the widget is enabled. (The method
// InstantiateHandleRepresentation() is invoked by the vtkAngle widget.)
//// \item @|vtkHandleRepresentation = obj.GetPoint1Representation ()| -  Set/Get the handle representations used for the vtkAngleRepresentation.
//// \item @|vtkHandleRepresentation = obj.GetCenterRepresentation ()| -  Set/Get the handle representations used for the vtkAngleRepresentation.
//// \item @|vtkHandleRepresentation = obj.GetPoint2Representation ()| -  Set/Get the handle representations used for the vtkAngleRepresentation.
//// \item @|obj.SetTolerance (int )| -  The tolerance representing the distance to the representation (in
// pixels) in which the cursor is considered near enough to the end points
// of the representation to be active.
//// \item @|int = obj.GetToleranceMinValue ()| -  The tolerance representing the distance to the representation (in
// pixels) in which the cursor is considered near enough to the end points
// of the representation to be active.
//// \item @|int = obj.GetToleranceMaxValue ()| -  The tolerance representing the distance to the representation (in
// pixels) in which the cursor is considered near enough to the end points
// of the representation to be active.
//// \item @|int = obj.GetTolerance ()| -  The tolerance representing the distance to the representation (in
// pixels) in which the cursor is considered near enough to the end points
// of the representation to be active.
//// \item @|obj.SetLabelFormat (string )| -  Specify the format to use for labelling the angle. Note that an empty
// string results in no label, or a format string without a "%" character
// will not print the angle value.
//// \item @|string = obj.GetLabelFormat ()| -  Specify the format to use for labelling the angle. Note that an empty
// string results in no label, or a format string without a "%" character
// will not print the angle value.
//// \item @|obj.SetRay1Visibility (int )| -  Special methods for turning off the rays and arc that define the cone
// and arc of the angle.
//// \item @|int = obj.GetRay1Visibility ()| -  Special methods for turning off the rays and arc that define the cone
// and arc of the angle.
//// \item @|obj.Ray1VisibilityOn ()| -  Special methods for turning off the rays and arc that define the cone
// and arc of the angle.
//// \item @|obj.Ray1VisibilityOff ()| -  Special methods for turning off the rays and arc that define the cone
// and arc of the angle.
//// \item @|obj.SetRay2Visibility (int )| -  Special methods for turning off the rays and arc that define the cone
// and arc of the angle.
//// \item @|int = obj.GetRay2Visibility ()| -  Special methods for turning off the rays and arc that define the cone
// and arc of the angle.
//// \item @|obj.Ray2VisibilityOn ()| -  Special methods for turning off the rays and arc that define the cone
// and arc of the angle.
//// \item @|obj.Ray2VisibilityOff ()| -  Special methods for turning off the rays and arc that define the cone
// and arc of the angle.
//// \item @|obj.SetArcVisibility (int )| -  Special methods for turning off the rays and arc that define the cone
// and arc of the angle.
//// \item @|int = obj.GetArcVisibility ()| -  Special methods for turning off the rays and arc that define the cone
// and arc of the angle.
//// \item @|obj.ArcVisibilityOn ()| -  Special methods for turning off the rays and arc that define the cone
// and arc of the angle.
//// \item @|obj.ArcVisibilityOff ()| -  Special methods for turning off the rays and arc that define the cone
// and arc of the angle.
//// \item @|obj.BuildRepresentation ()| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.StartWidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.CenterWidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.WidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
////\end{itemize}
//!
