#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAngleRepresentation2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAngleRepresentation2D.h"

//@@Signature
//sfunction @vtkAngleRepresentation2D:vtkAngleRepresentation2D vtkAngleRepresentation2DConstructorFunction
//input a
//output p
//@@Parents vtkAngleRepresentation2D vtkAngleRepresentation 
ArrayVector vtkAngleRepresentation2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAngleRepresentation2D::New(),"vtkAngleRepresentation2D",eval);
  } else if (arg[0].className() == "vtkAngleRepresentation2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAngleRepresentation2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAngleRepresentation2D");
    vtkAngleRepresentation2D*q = reinterpret_cast<vtkAngleRepresentation2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAngleRepresentation2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAngleRepresentation2D:GetClassName vtkAngleRepresentation2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentation2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAngleRepresentation2D requires 1 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:IsA vtkAngleRepresentation2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAngleRepresentation2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAngleRepresentation2D requires 2 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:NewInstance vtkAngleRepresentation2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentation2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAngleRepresentation2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAngleRepresentation2D requires 1 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  vtkAngleRepresentation2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAngleRepresentation2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:SafeDownCast vtkAngleRepresentation2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAngleRepresentation2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAngleRepresentation2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAngleRepresentation2D requires 2 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAngleRepresentation2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAngleRepresentation2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:GetAngle vtkAngleRepresentation2DGetAngleFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentation2DGetAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngle for class vtkAngleRepresentation2D requires 1 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:GetPoint1WorldPosition vtkAngleRepresentation2DGetPoint1WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation2DGetPoint1WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint1WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint1WorldPosition for class vtkAngleRepresentation2D requires 2 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint1WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:GetCenterWorldPosition vtkAngleRepresentation2DGetCenterWorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation2DGetCenterWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCenterWorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetCenterWorldPosition for class vtkAngleRepresentation2D requires 2 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetCenterWorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:GetPoint2WorldPosition vtkAngleRepresentation2DGetPoint2WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation2DGetPoint2WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint2WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint2WorldPosition for class vtkAngleRepresentation2D requires 2 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint2WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:SetPoint1DisplayPosition vtkAngleRepresentation2DSetPoint1DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation2DSetPoint1DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint1DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1DisplayPosition for class vtkAngleRepresentation2D requires 2 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:SetCenterDisplayPosition vtkAngleRepresentation2DSetCenterDisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation2DSetCenterDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCenterDisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenterDisplayPosition for class vtkAngleRepresentation2D requires 2 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenterDisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:SetPoint2DisplayPosition vtkAngleRepresentation2DSetPoint2DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation2DSetPoint2DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint2DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2DisplayPosition for class vtkAngleRepresentation2D requires 2 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:GetPoint1DisplayPosition vtkAngleRepresentation2DGetPoint1DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation2DGetPoint1DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint1DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint1DisplayPosition for class vtkAngleRepresentation2D requires 2 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint1DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:GetCenterDisplayPosition vtkAngleRepresentation2DGetCenterDisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation2DGetCenterDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCenterDisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetCenterDisplayPosition for class vtkAngleRepresentation2D requires 2 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetCenterDisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:GetPoint2DisplayPosition vtkAngleRepresentation2DGetPoint2DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation2DGetPoint2DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint2DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint2DisplayPosition for class vtkAngleRepresentation2D requires 2 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint2DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:GetRay1 vtkAngleRepresentation2DGetRay1Function
//input a0 
//output y
ArrayVector vtkAngleRepresentation2DGetRay1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLeaderActor2D *GetRay1 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRay1 for class vtkAngleRepresentation2D requires 1 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  vtkLeaderActor2D  *temp20;
  temp20 = (vtk_pointer)->GetRay1();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLeaderActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:GetRay2 vtkAngleRepresentation2DGetRay2Function
//input a0 
//output y
ArrayVector vtkAngleRepresentation2DGetRay2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLeaderActor2D *GetRay2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRay2 for class vtkAngleRepresentation2D requires 1 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  vtkLeaderActor2D  *temp20;
  temp20 = (vtk_pointer)->GetRay2();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLeaderActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:GetArc vtkAngleRepresentation2DGetArcFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentation2DGetArcFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLeaderActor2D *GetArc (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArc for class vtkAngleRepresentation2D requires 1 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  vtkLeaderActor2D  *temp20;
  temp20 = (vtk_pointer)->GetArc();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLeaderActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:BuildRepresentation vtkAngleRepresentation2DBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkAngleRepresentation2DBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkAngleRepresentation2D requires 1 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:ReleaseGraphicsResources vtkAngleRepresentation2DReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation2DReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *w); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkAngleRepresentation2D requires 2 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:RenderOverlay vtkAngleRepresentation2DRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkAngleRepresentation2DRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkAngleRepresentation2D requires 2 argument(s)");
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation2D:display vtkAngleRepresentation2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAngleRepresentation2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAngleRepresentation2D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAngleRepresentation2D:delete vtkAngleRepresentation2DDeleteFunction
//input varargin
//output none
ArrayVector vtkAngleRepresentation2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAngleRepresentation2D
//@@Section VTKWidgets
//@@Usage
// The vtkAngleRepresentation2D is a representation for the
// vtkAngleWidget. This representation consists of two rays and three
// vtkHandleRepresentations to place and manipulate the three points defining
// the angle representation. (Note: the three points are referred to as Point1,
// Center, and Point2, at the two end points (Point1 and Point2) and Center
// (around which the angle is measured). This particular implementation is a 
// 2D representation, meaning that it draws in the overlay plane.
//
//To create an instance of class vtkAngleRepresentation2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkAngleRepresentation2D
//@]
//@@Methods
//The class vtkAngleRepresentation2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAngleRepresentation2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK methods.
//// \item @|vtkAngleRepresentation2D = obj.NewInstance ()| -  Standard VTK methods.
//// \item @|vtkAngleRepresentation2D = obj.SafeDownCast (vtkObject o)| -  Standard VTK methods.
//// \item @|double = obj.GetAngle ()| -  Satisfy the superclasses API.
//// \item @|obj.GetPoint1WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetCenterWorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint2WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint1DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetCenterDisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint2DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint1DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetCenterDisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint2DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|vtkLeaderActor2D = obj.GetRay1 ()| -  Set/Get the three leaders used to create this representation.
// By obtaining these leaders the user can set the appropriate
// properties, etc.
//// \item @|vtkLeaderActor2D = obj.GetRay2 ()| -  Set/Get the three leaders used to create this representation.
// By obtaining these leaders the user can set the appropriate
// properties, etc.
//// \item @|vtkLeaderActor2D = obj.GetArc ()| -  Set/Get the three leaders used to create this representation.
// By obtaining these leaders the user can set the appropriate
// properties, etc.
//// \item @|obj.BuildRepresentation ()| -  Method defined by vtkWidgetRepresentation superclass and
// needed here.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow w)| -  Methods required by vtkProp superclass.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Methods required by vtkProp superclass.
////\end{itemize}
//!
