#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAngleRepresentation3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAngleRepresentation3D.h"

//@@Signature
//sfunction @vtkAngleRepresentation3D:vtkAngleRepresentation3D vtkAngleRepresentation3DConstructorFunction
//input a
//output p
//@@Parents vtkAngleRepresentation3D vtkAngleRepresentation 
ArrayVector vtkAngleRepresentation3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAngleRepresentation3D::New(),"vtkAngleRepresentation3D",eval);
  } else if (arg[0].className() == "vtkAngleRepresentation3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAngleRepresentation3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAngleRepresentation3D");
    vtkAngleRepresentation3D*q = reinterpret_cast<vtkAngleRepresentation3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAngleRepresentation3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAngleRepresentation3D:GetClassName vtkAngleRepresentation3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentation3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAngleRepresentation3D requires 1 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:IsA vtkAngleRepresentation3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAngleRepresentation3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:NewInstance vtkAngleRepresentation3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentation3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAngleRepresentation3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAngleRepresentation3D requires 1 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  vtkAngleRepresentation3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAngleRepresentation3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:SafeDownCast vtkAngleRepresentation3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAngleRepresentation3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAngleRepresentation3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAngleRepresentation3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAngleRepresentation3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:GetAngle vtkAngleRepresentation3DGetAngleFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentation3DGetAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngle for class vtkAngleRepresentation3D requires 1 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:GetPoint1WorldPosition vtkAngleRepresentation3DGetPoint1WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation3DGetPoint1WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint1WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint1WorldPosition for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint1WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:GetCenterWorldPosition vtkAngleRepresentation3DGetCenterWorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation3DGetCenterWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCenterWorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetCenterWorldPosition for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetCenterWorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:GetPoint2WorldPosition vtkAngleRepresentation3DGetPoint2WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation3DGetPoint2WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint2WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint2WorldPosition for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint2WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:SetPoint1WorldPosition vtkAngleRepresentation3DSetPoint1WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation3DSetPoint1WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint1WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1WorldPosition for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:SetPoint1DisplayPosition vtkAngleRepresentation3DSetPoint1DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation3DSetPoint1DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint1DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1DisplayPosition for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:SetCenterWorldPosition vtkAngleRepresentation3DSetCenterWorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation3DSetCenterWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCenterWorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenterWorldPosition for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenterWorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:SetCenterDisplayPosition vtkAngleRepresentation3DSetCenterDisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation3DSetCenterDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCenterDisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenterDisplayPosition for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenterDisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:SetPoint2WorldPosition vtkAngleRepresentation3DSetPoint2WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation3DSetPoint2WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint2WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2WorldPosition for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:SetPoint2DisplayPosition vtkAngleRepresentation3DSetPoint2DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation3DSetPoint2DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint2DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2DisplayPosition for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:GetPoint1DisplayPosition vtkAngleRepresentation3DGetPoint1DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation3DGetPoint1DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint1DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint1DisplayPosition for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint1DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:GetCenterDisplayPosition vtkAngleRepresentation3DGetCenterDisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation3DGetCenterDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetCenterDisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetCenterDisplayPosition for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetCenterDisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:GetPoint2DisplayPosition vtkAngleRepresentation3DGetPoint2DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation3DGetPoint2DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint2DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint2DisplayPosition for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint2DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:GetRay1 vtkAngleRepresentation3DGetRay1Function
//input a0 
//output y
ArrayVector vtkAngleRepresentation3DGetRay1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor *GetRay1 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRay1 for class vtkAngleRepresentation3D requires 1 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  vtkActor  *temp20;
  temp20 = (vtk_pointer)->GetRay1();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:GetRay2 vtkAngleRepresentation3DGetRay2Function
//input a0 
//output y
ArrayVector vtkAngleRepresentation3DGetRay2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor *GetRay2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRay2 for class vtkAngleRepresentation3D requires 1 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  vtkActor  *temp20;
  temp20 = (vtk_pointer)->GetRay2();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:GetArc vtkAngleRepresentation3DGetArcFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentation3DGetArcFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkActor *GetArc (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArc for class vtkAngleRepresentation3D requires 1 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  vtkActor  *temp20;
  temp20 = (vtk_pointer)->GetArc();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:GetTextActor vtkAngleRepresentation3DGetTextActorFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentation3DGetTextActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFollower *GetTextActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextActor for class vtkAngleRepresentation3D requires 1 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  vtkFollower  *temp20;
  temp20 = (vtk_pointer)->GetTextActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFollower",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:SetTextActorScale vtkAngleRepresentation3DSetTextActorScaleFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation3DSetTextActorScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTextActorScale (double scale[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextActorScale for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetTextActorScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:BuildRepresentation vtkAngleRepresentation3DBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkAngleRepresentation3DBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkAngleRepresentation3D requires 1 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:ReleaseGraphicsResources vtkAngleRepresentation3DReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkAngleRepresentation3DReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *w); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:RenderOpaqueGeometry vtkAngleRepresentation3DRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkAngleRepresentation3DRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:RenderTranslucentPolygonalGeometry vtkAngleRepresentation3DRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkAngleRepresentation3DRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkAngleRepresentation3D requires 2 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:HasTranslucentPolygonalGeometry vtkAngleRepresentation3DHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkAngleRepresentation3DHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkAngleRepresentation3D requires 1 argument(s)");
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleRepresentation3D:display vtkAngleRepresentation3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAngleRepresentation3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAngleRepresentation3D* vtk_pointer = GetVTKPointer<vtkAngleRepresentation3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAngleRepresentation3D:delete vtkAngleRepresentation3DDeleteFunction
//input varargin
//output none
ArrayVector vtkAngleRepresentation3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAngleRepresentation3D
//@@Section VTKWidgets
//@@Usage
// The vtkAngleRepresentation3D is a representation for the
// vtkAngleWidget. This representation consists of two rays and three
// vtkHandleRepresentations to place and manipulate the three points defining
// the angle representation. (Note: the three points are referred to as Point1,
// Center, and Point2, at the two end points (Point1 and Point2) and Center
// (around which the angle is measured). This particular implementation is a 
// 3D representation, meaning that it draws in the overlay plane.
//
//To create an instance of class vtkAngleRepresentation3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkAngleRepresentation3D
//@]
//@@Methods
//The class vtkAngleRepresentation3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAngleRepresentation3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK methods.
//// \item @|vtkAngleRepresentation3D = obj.NewInstance ()| -  Standard VTK methods.
//// \item @|vtkAngleRepresentation3D = obj.SafeDownCast (vtkObject o)| -  Standard VTK methods.
//// \item @|double = obj.GetAngle ()| -  Satisfy the superclasses API. Angle returned is in radians.
//// \item @|obj.GetPoint1WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetCenterWorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint2WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint1WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint1DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetCenterWorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetCenterDisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint2WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint2DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint1DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetCenterDisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint2DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|vtkActor = obj.GetRay1 ()| -  Set/Get the three leaders used to create this representation.
// By obtaining these leaders the user can set the appropriate
// properties, etc.
//// \item @|vtkActor = obj.GetRay2 ()| -  Set/Get the three leaders used to create this representation.
// By obtaining these leaders the user can set the appropriate
// properties, etc.
//// \item @|vtkActor = obj.GetArc ()| -  Set/Get the three leaders used to create this representation.
// By obtaining these leaders the user can set the appropriate
// properties, etc.
//// \item @|vtkFollower = obj.GetTextActor ()| -  Set/Get the three leaders used to create this representation.
// By obtaining these leaders the user can set the appropriate
// properties, etc.
//// \item @|obj.SetTextActorScale (double scale[3])| -  Scale text.
//// \item @|obj.BuildRepresentation ()| -  Method defined by vtkWidgetRepresentation superclass and
// needed here.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow w)| -  Methods required by vtkProp superclass.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  Methods required by vtkProp superclass.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  Methods required by vtkProp superclass.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Methods required by vtkProp superclass.
////\end{itemize}
//!
