#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAngleWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAngleWidget.h"

//@@Signature
//sfunction @vtkAngleWidget:vtkAngleWidget vtkAngleWidgetConstructorFunction
//input a
//output p
//@@Parents vtkAngleWidget vtkAbstractWidget 
ArrayVector vtkAngleWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAngleWidget::New(),"vtkAngleWidget",eval);
  } else if (arg[0].className() == "vtkAngleWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAngleWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAngleWidget");
    vtkAngleWidget*q = reinterpret_cast<vtkAngleWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAngleWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAngleWidget:GetClassName vtkAngleWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAngleWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAngleWidget requires 1 argument(s)");
  vtkAngleWidget* vtk_pointer = GetVTKPointer<vtkAngleWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleWidget:IsA vtkAngleWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAngleWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAngleWidget requires 2 argument(s)");
  vtkAngleWidget* vtk_pointer = GetVTKPointer<vtkAngleWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleWidget:NewInstance vtkAngleWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAngleWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAngleWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAngleWidget requires 1 argument(s)");
  vtkAngleWidget* vtk_pointer = GetVTKPointer<vtkAngleWidget>(arg[0]);
  Array retval;
  vtkAngleWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAngleWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleWidget:SafeDownCast vtkAngleWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAngleWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAngleWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAngleWidget requires 2 argument(s)");
  vtkAngleWidget* vtk_pointer = GetVTKPointer<vtkAngleWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAngleWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAngleWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAngleWidget:SetEnabled vtkAngleWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkAngleWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkAngleWidget requires 2 argument(s)");
  vtkAngleWidget* vtk_pointer = GetVTKPointer<vtkAngleWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleWidget:SetRepresentation vtkAngleWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkAngleWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkAngleRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkAngleWidget requires 2 argument(s)");
  vtkAngleWidget* vtk_pointer = GetVTKPointer<vtkAngleWidget>(arg[0]);
  Array retval;
  vtkAngleRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkAngleRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleWidget:CreateDefaultRepresentation vtkAngleWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkAngleWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkAngleWidget requires 1 argument(s)");
  vtkAngleWidget* vtk_pointer = GetVTKPointer<vtkAngleWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkAngleWidget:IsAngleValid vtkAngleWidgetIsAngleValidFunction
//input a0 
//output y
ArrayVector vtkAngleWidgetIsAngleValidFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsAngleValid (); */
  if (arg.size() < 1) 
    throw Exception("Function IsAngleValid for class vtkAngleWidget requires 1 argument(s)");
  vtkAngleWidget* vtk_pointer = GetVTKPointer<vtkAngleWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsAngleValid();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAngleWidget:SetProcessEvents vtkAngleWidgetSetProcessEventsFunction
//input a0 a1 
//output none
ArrayVector vtkAngleWidgetSetProcessEventsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetProcessEvents (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProcessEvents for class vtkAngleWidget requires 2 argument(s)");
  vtkAngleWidget* vtk_pointer = GetVTKPointer<vtkAngleWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProcessEvents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAngleWidget:display vtkAngleWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAngleWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAngleWidget* vtk_pointer = GetVTKPointer<vtkAngleWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAngleWidget:delete vtkAngleWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkAngleWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAngleWidget
//@@Section VTKWidgets
//@@Usage
// The vtkAngleWidget is used to measure the angle between two rays (defined
// by three points). The three points (two end points and a center)
// can be positioned independently, and when they are released, a special
// PlacePointEvent is invoked so that special operations may be take to
// reposition the point (snap to grid, etc.) The widget has two different
// modes of interaction: when initially defined (i.e., placing the three
// points) and then a manipulate mode (adjusting the position of the 
// three points).
// 
// To use this widget, specify an instance of vtkAngleWidget and a
// representation (a subclass of vtkAngleRepresentation). The widget is
// implemented using three instances of vtkHandleWidget which are used to
// position the three points. The representations for these handle widgets
// are provided by the vtkAngleRepresentation.
//
// .SECTION Event Bindings
// By default, the widget responds to the following VTK events (i.e., it
// watches the vtkRenderWindowInteractor for these events):
// <pre>
//   LeftButtonPressEvent - add a point or select a handle 
//   MouseMoveEvent - position the second or third point, or move a handle
//   LeftButtonReleaseEvent - release the selected handle
// </pre>
//
// Note that the event bindings described above can be changed using this
// class's vtkWidgetEventTranslator. This class translates VTK events 
// into the vtkAngleWidget's widget events:
// <pre>
//   vtkWidgetEvent::AddPoint -- add one point; depending on the state
//                               it may the first, second or third point 
//                               added. Or, if near a handle, select the handle.
//   vtkWidgetEvent::Move -- position the second or third point, or move the
//                           handle depending on the state.
//   vtkWidgetEvent::EndSelect -- the handle manipulation process has completed.
// </pre>
//
// This widget invokes the following VTK events on itself (which observers
// can listen for):
// <pre>
//   vtkCommand::StartInteractionEvent (beginning to interact)
//   vtkCommand::EndInteractionEvent (completing interaction)
//   vtkCommand::InteractionEvent (moving a handle)
//   vtkCommand::PlacePointEvent (after a point is positioned; 
//                                call data includes handle id (0,1,2))
// </pre>
//
//To create an instance of class vtkAngleWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkAngleWidget
//@]
//@@Methods
//The class vtkAngleWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAngleWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for a VTK class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for a VTK class.
//// \item @|vtkAngleWidget = obj.NewInstance ()| -  Standard methods for a VTK class.
//// \item @|vtkAngleWidget = obj.SafeDownCast (vtkObject o)| -  Standard methods for a VTK class.
//// \item @|obj.SetEnabled (int )| -  The method for activiating and deactiviating this widget. This method
// must be overridden because it is a composite widget and does more than
// its superclasses' vtkAbstractWidget::SetEnabled() method.
//// \item @|obj.SetRepresentation (vtkAngleRepresentation r)| -  Create the default widget representation if one is not set. 
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
//// \item @|int = obj.IsAngleValid ()| -  A flag indicates whether the angle is valid. The angle value only becomes
// valid after two of the three points are placed.
//// \item @|obj.SetProcessEvents (int )| -  Methods to change the whether the widget responds to interaction.
// Overridden to pass the state to component widgets.
////\end{itemize}
//!
