#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBalloonRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBalloonRepresentation.h"

//@@Signature
//sfunction @vtkBalloonRepresentation:vtkBalloonRepresentation vtkBalloonRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkBalloonRepresentation vtkWidgetRepresentation 
ArrayVector vtkBalloonRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBalloonRepresentation::New(),"vtkBalloonRepresentation",eval);
  } else if (arg[0].className() == "vtkBalloonRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBalloonRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBalloonRepresentation");
    vtkBalloonRepresentation*q = reinterpret_cast<vtkBalloonRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBalloonRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBalloonRepresentation:GetClassName vtkBalloonRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBalloonRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:IsA vtkBalloonRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBalloonRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBalloonRepresentation requires 2 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:NewInstance vtkBalloonRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBalloonRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBalloonRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtkBalloonRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBalloonRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SafeDownCast vtkBalloonRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBalloonRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBalloonRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBalloonRepresentation requires 2 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBalloonRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBalloonRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetBalloonImage vtkBalloonRepresentationSetBalloonImageFunction
//input a0 a1 
//output none
ArrayVector vtkBalloonRepresentationSetBalloonImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetBalloonImage (vtkImageData *img); */
  if (arg.size() < 2) 
    throw Exception("Function SetBalloonImage for class vtkBalloonRepresentation requires 2 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetBalloonImage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:GetBalloonImage vtkBalloonRepresentationGetBalloonImageFunction
//input a0 
//output y
ArrayVector vtkBalloonRepresentationGetBalloonImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetBalloonImage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBalloonImage for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetBalloonImage();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:GetBalloonText vtkBalloonRepresentationGetBalloonTextFunction
//input a0 
//output y
ArrayVector vtkBalloonRepresentationGetBalloonTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetBalloonText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBalloonText for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetBalloonText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetBalloonText vtkBalloonRepresentationSetBalloonTextFunction
//input a0 a1 
//output none
ArrayVector vtkBalloonRepresentationSetBalloonTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBalloonText (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetBalloonText for class vtkBalloonRepresentation requires 2 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetBalloonText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetImageSize__1 vtkBalloonRepresentationSetImageSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkBalloonRepresentationSetImageSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetImageSize__1 for class vtkBalloonRepresentation requires 3 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetImageSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetImageSize__2 vtkBalloonRepresentationSetImageSize__2Function
//input a0 a1 
//output none
ArrayVector vtkBalloonRepresentationSetImageSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageSize (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageSize__2 for class vtkBalloonRepresentation requires 2 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetImageSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:GetImageSize vtkBalloonRepresentationGetImageSizeFunction
//input a0 
//output y
ArrayVector vtkBalloonRepresentationGetImageSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetImageSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageSize for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetImageSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetTextProperty vtkBalloonRepresentationSetTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkBalloonRepresentationSetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextProperty for class vtkBalloonRepresentation requires 2 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:GetTextProperty vtkBalloonRepresentationGetTextPropertyFunction
//input a0 
//output y
ArrayVector vtkBalloonRepresentationGetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextProperty for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetFrameProperty vtkBalloonRepresentationSetFramePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkBalloonRepresentationSetFramePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFrameProperty (vtkProperty2D *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetFrameProperty for class vtkBalloonRepresentation requires 2 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtkProperty2D  *temp0;
  temp0 = GetVTKPointer<vtkProperty2D>(arg[1]);
  vtk_pointer->SetFrameProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:GetFrameProperty vtkBalloonRepresentationGetFramePropertyFunction
//input a0 
//output y
ArrayVector vtkBalloonRepresentationGetFramePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *GetFrameProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFrameProperty for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->GetFrameProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetImageProperty vtkBalloonRepresentationSetImagePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkBalloonRepresentationSetImagePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetImageProperty (vtkProperty2D *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageProperty for class vtkBalloonRepresentation requires 2 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtkProperty2D  *temp0;
  temp0 = GetVTKPointer<vtkProperty2D>(arg[1]);
  vtk_pointer->SetImageProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:GetImageProperty vtkBalloonRepresentationGetImagePropertyFunction
//input a0 
//output y
ArrayVector vtkBalloonRepresentationGetImagePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *GetImageProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageProperty for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->GetImageProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetBalloonLayout vtkBalloonRepresentationSetBalloonLayoutFunction
//input a0 a1 
//output none
ArrayVector vtkBalloonRepresentationSetBalloonLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBalloonLayout (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBalloonLayout for class vtkBalloonRepresentation requires 2 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBalloonLayout(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:GetBalloonLayout vtkBalloonRepresentationGetBalloonLayoutFunction
//input a0 
//output y
ArrayVector vtkBalloonRepresentationGetBalloonLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBalloonLayout (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBalloonLayout for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBalloonLayout();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetBalloonLayoutToImageLeft vtkBalloonRepresentationSetBalloonLayoutToImageLeftFunction
//input a0 
//output none
ArrayVector vtkBalloonRepresentationSetBalloonLayoutToImageLeftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBalloonLayoutToImageLeft ();this SetBalloonLayout ImageLeft  */
  if (arg.size() < 1) 
    throw Exception("Function SetBalloonLayoutToImageLeft for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetBalloonLayoutToImageLeft();
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetBalloonLayoutToImageRight vtkBalloonRepresentationSetBalloonLayoutToImageRightFunction
//input a0 
//output none
ArrayVector vtkBalloonRepresentationSetBalloonLayoutToImageRightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBalloonLayoutToImageRight ();this SetBalloonLayout ImageRight  */
  if (arg.size() < 1) 
    throw Exception("Function SetBalloonLayoutToImageRight for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetBalloonLayoutToImageRight();
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetBalloonLayoutToImageBottom vtkBalloonRepresentationSetBalloonLayoutToImageBottomFunction
//input a0 
//output none
ArrayVector vtkBalloonRepresentationSetBalloonLayoutToImageBottomFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBalloonLayoutToImageBottom ();this SetBalloonLayout ImageBottom  */
  if (arg.size() < 1) 
    throw Exception("Function SetBalloonLayoutToImageBottom for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetBalloonLayoutToImageBottom();
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetBalloonLayoutToImageTop vtkBalloonRepresentationSetBalloonLayoutToImageTopFunction
//input a0 
//output none
ArrayVector vtkBalloonRepresentationSetBalloonLayoutToImageTopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBalloonLayoutToImageTop ();this SetBalloonLayout ImageTop  */
  if (arg.size() < 1) 
    throw Exception("Function SetBalloonLayoutToImageTop for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetBalloonLayoutToImageTop();
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetBalloonLayoutToTextLeft vtkBalloonRepresentationSetBalloonLayoutToTextLeftFunction
//input a0 
//output none
ArrayVector vtkBalloonRepresentationSetBalloonLayoutToTextLeftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBalloonLayoutToTextLeft ();this SetBalloonLayout ImageRight  */
  if (arg.size() < 1) 
    throw Exception("Function SetBalloonLayoutToTextLeft for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetBalloonLayoutToTextLeft();
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetBalloonLayoutToTextRight vtkBalloonRepresentationSetBalloonLayoutToTextRightFunction
//input a0 
//output none
ArrayVector vtkBalloonRepresentationSetBalloonLayoutToTextRightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBalloonLayoutToTextRight ();this SetBalloonLayout ImageLeft  */
  if (arg.size() < 1) 
    throw Exception("Function SetBalloonLayoutToTextRight for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetBalloonLayoutToTextRight();
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetBalloonLayoutToTextTop vtkBalloonRepresentationSetBalloonLayoutToTextTopFunction
//input a0 
//output none
ArrayVector vtkBalloonRepresentationSetBalloonLayoutToTextTopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBalloonLayoutToTextTop ();this SetBalloonLayout ImageBottom  */
  if (arg.size() < 1) 
    throw Exception("Function SetBalloonLayoutToTextTop for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetBalloonLayoutToTextTop();
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetBalloonLayoutToTextBottom vtkBalloonRepresentationSetBalloonLayoutToTextBottomFunction
//input a0 
//output none
ArrayVector vtkBalloonRepresentationSetBalloonLayoutToTextBottomFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBalloonLayoutToTextBottom ();this SetBalloonLayout ImageTop  */
  if (arg.size() < 1) 
    throw Exception("Function SetBalloonLayoutToTextBottom for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetBalloonLayoutToTextBottom();
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetOffset__1 vtkBalloonRepresentationSetOffset__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkBalloonRepresentationSetOffset__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOffset (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetOffset__1 for class vtkBalloonRepresentation requires 3 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetOffset(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetOffset__2 vtkBalloonRepresentationSetOffset__2Function
//input a0 a1 
//output none
ArrayVector vtkBalloonRepresentationSetOffset__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOffset (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOffset__2 for class vtkBalloonRepresentation requires 2 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:GetOffset vtkBalloonRepresentationGetOffsetFunction
//input a0 
//output y
ArrayVector vtkBalloonRepresentationGetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffset for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetOffset();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetPadding vtkBalloonRepresentationSetPaddingFunction
//input a0 a1 
//output none
ArrayVector vtkBalloonRepresentationSetPaddingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPadding (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPadding for class vtkBalloonRepresentation requires 2 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPadding(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:GetPaddingMinValue vtkBalloonRepresentationGetPaddingMinValueFunction
//input a0 
//output y
ArrayVector vtkBalloonRepresentationGetPaddingMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPaddingMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPaddingMinValue for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPaddingMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:GetPaddingMaxValue vtkBalloonRepresentationGetPaddingMaxValueFunction
//input a0 
//output y
ArrayVector vtkBalloonRepresentationGetPaddingMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPaddingMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPaddingMaxValue for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPaddingMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:GetPadding vtkBalloonRepresentationGetPaddingFunction
//input a0 
//output y
ArrayVector vtkBalloonRepresentationGetPaddingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPadding (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPadding for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPadding();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:StartWidgetInteraction vtkBalloonRepresentationStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkBalloonRepresentationStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkBalloonRepresentation requires 2 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:EndWidgetInteraction vtkBalloonRepresentationEndWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkBalloonRepresentationEndWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndWidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function EndWidgetInteraction for class vtkBalloonRepresentation requires 2 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->EndWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:BuildRepresentation vtkBalloonRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkBalloonRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkBalloonRepresentation requires 1 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:ReleaseGraphicsResources vtkBalloonRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkBalloonRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *w); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkBalloonRepresentation requires 2 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:RenderOverlay vtkBalloonRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkBalloonRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkBalloonRepresentation requires 2 argument(s)");
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetImageSize vtkBalloonRepresentationSetImageSizeFunction
//input varargin
//output varargout
ArrayVector vtkBalloonRepresentationSetImageSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkBalloonRepresentationSetImageSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBalloonRepresentationSetImageSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBalloonRepresentationSetImageSize");
}

//@@Signature
//sfunction @vtkBalloonRepresentation:SetOffset vtkBalloonRepresentationSetOffsetFunction
//input varargin
//output varargout
ArrayVector vtkBalloonRepresentationSetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkBalloonRepresentationSetOffset__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBalloonRepresentationSetOffset__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBalloonRepresentationSetOffset");
}

//@@Signature
//sfunction @vtkBalloonRepresentation:display vtkBalloonRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBalloonRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBalloonRepresentation* vtk_pointer = GetVTKPointer<vtkBalloonRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBalloonRepresentation:delete vtkBalloonRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkBalloonRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBalloonRepresentation
//@@Section VTKWidgets
//@@Usage
// The vtkBalloonRepresentation is used to represent the vtkBalloonWidget.
// This representation is defined by two items: a text string and an image.
// At least one of these two items must be defined, but it is allowable to
// specify both, or just an image or just text. If both the text and image
// are specified, then methods are available for positioning the text and
// image with respect to each other.
//
// The balloon representation consists of three parts: text, a rectangular
// frame behind the text, and an image placed next to the frame and sized
// to match the frame.
//
// The size of the balloon is ultimately controlled by the text properties
// (i.e., font size). This representation uses a layout policy as follows.
// 
// If there is just text and no image, then the text properties and padding
// are used to control the size of the balloon.
//
// If there is just an image and no text, then the ImageSize[2] member is
// used to control the image size. (The image will fit into this rectangle,
// but will not necessarily fill the whole rectangle, i.e., the image is not
// stretched).
//
// If there is text and an image, the following approach ia used. First,
// based on the font size and other related properties (e.g., padding),
// determine the size of the frame. Second, depending on the layout of the
// image and text frame, control the size of the neighboring image (since the
// frame and image share a common edge). However, if this results in an image
// that is smaller than ImageSize[2], then the image size will be set to
// ImageSize[2] and the frame will be adjusted accordingly. The text is
// always placed in the center of the frame if the frame is resized.
//
//To create an instance of class vtkBalloonRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkBalloonRepresentation
//@]
//@@Methods
//The class vtkBalloonRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBalloonRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK methods.
//// \item @|vtkBalloonRepresentation = obj.NewInstance ()| -  Standard VTK methods.
//// \item @|vtkBalloonRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard VTK methods.
//// \item @|obj.SetBalloonImage (vtkImageData img)| -  Specify/retrieve the image to display in the balloon.
//// \item @|vtkImageData = obj.GetBalloonImage ()| -  Specify/retrieve the image to display in the balloon.
//// \item @|string = obj.GetBalloonText ()| -  Specify/retrieve the text to display in the balloon.
//// \item @|obj.SetBalloonText (string )| -  Specify/retrieve the text to display in the balloon.
//// \item @|obj.SetImageSize (int , int )| -  Specify the minimum size for the image. Note that this is a bounding
// rectangle, the image will fit inside of it. However, if the balloon
// consists of text plus an image, then the image may be bigger than
// ImageSize[2] to fit into the balloon frame.
//// \item @|obj.SetImageSize (int  a[2])| -  Specify the minimum size for the image. Note that this is a bounding
// rectangle, the image will fit inside of it. However, if the balloon
// consists of text plus an image, then the image may be bigger than
// ImageSize[2] to fit into the balloon frame.
//// \item @|int = obj. GetImageSize ()| -  Specify the minimum size for the image. Note that this is a bounding
// rectangle, the image will fit inside of it. However, if the balloon
// consists of text plus an image, then the image may be bigger than
// ImageSize[2] to fit into the balloon frame.
//// \item @|obj.SetTextProperty (vtkTextProperty p)| -  Set/get the text property (relevant only if text is shown).
//// \item @|vtkTextProperty = obj.GetTextProperty ()| -  Set/get the text property (relevant only if text is shown).
//// \item @|obj.SetFrameProperty (vtkProperty2D p)| -  Set/get the frame property (relevant only if text is shown).
// The frame lies behind the text.
//// \item @|vtkProperty2D = obj.GetFrameProperty ()| -  Set/get the frame property (relevant only if text is shown).
// The frame lies behind the text.
//// \item @|obj.SetImageProperty (vtkProperty2D p)| -  Set/get the image property (relevant only if an image is shown).
//// \item @|vtkProperty2D = obj.GetImageProperty ()| -  Set/get the image property (relevant only if an image is shown).
//// \item @|obj.SetBalloonLayout (int )| -  Specify the layout of the image and text within the balloon. Note that
// there are reduncies in these methods, for example
// SetBalloonLayoutToImageLeft() results in the same effect as
// SetBalloonLayoutToTextRight(). If only text is specified, or only an
// image is specified, then it doesn't matter how the layout is specified.
//// \item @|int = obj.GetBalloonLayout ()| -  Specify the layout of the image and text within the balloon. Note that
// there are reduncies in these methods, for example
// SetBalloonLayoutToImageLeft() results in the same effect as
// SetBalloonLayoutToTextRight(). If only text is specified, or only an
// image is specified, then it doesn't matter how the layout is specified.
//// \item @|obj.SetBalloonLayoutToImageLeft ()| -  Specify the layout of the image and text within the balloon. Note that
// there are reduncies in these methods, for example
// SetBalloonLayoutToImageLeft() results in the same effect as
// SetBalloonLayoutToTextRight(). If only text is specified, or only an
// image is specified, then it doesn't matter how the layout is specified.
//// \item @|obj.SetBalloonLayoutToImageRight ()| -  Specify the layout of the image and text within the balloon. Note that
// there are reduncies in these methods, for example
// SetBalloonLayoutToImageLeft() results in the same effect as
// SetBalloonLayoutToTextRight(). If only text is specified, or only an
// image is specified, then it doesn't matter how the layout is specified.
//// \item @|obj.SetBalloonLayoutToImageBottom ()| -  Specify the layout of the image and text within the balloon. Note that
// there are reduncies in these methods, for example
// SetBalloonLayoutToImageLeft() results in the same effect as
// SetBalloonLayoutToTextRight(). If only text is specified, or only an
// image is specified, then it doesn't matter how the layout is specified.
//// \item @|obj.SetBalloonLayoutToImageTop ()| -  Specify the layout of the image and text within the balloon. Note that
// there are reduncies in these methods, for example
// SetBalloonLayoutToImageLeft() results in the same effect as
// SetBalloonLayoutToTextRight(). If only text is specified, or only an
// image is specified, then it doesn't matter how the layout is specified.
//// \item @|obj.SetBalloonLayoutToTextLeft ()| -  Specify the layout of the image and text within the balloon. Note that
// there are reduncies in these methods, for example
// SetBalloonLayoutToImageLeft() results in the same effect as
// SetBalloonLayoutToTextRight(). If only text is specified, or only an
// image is specified, then it doesn't matter how the layout is specified.
//// \item @|obj.SetBalloonLayoutToTextRight ()| -  Specify the layout of the image and text within the balloon. Note that
// there are reduncies in these methods, for example
// SetBalloonLayoutToImageLeft() results in the same effect as
// SetBalloonLayoutToTextRight(). If only text is specified, or only an
// image is specified, then it doesn't matter how the layout is specified.
//// \item @|obj.SetBalloonLayoutToTextTop ()| -  Specify the layout of the image and text within the balloon. Note that
// there are reduncies in these methods, for example
// SetBalloonLayoutToImageLeft() results in the same effect as
// SetBalloonLayoutToTextRight(). If only text is specified, or only an
// image is specified, then it doesn't matter how the layout is specified.
//// \item @|obj.SetBalloonLayoutToTextBottom ()| -  Set/Get the offset from the mouse pointer from which to place the
// balloon. The representation will try and honor this offset unless there
// is a collision with the side of the renderer, in which case the balloon 
// will be repositioned to lie within the rendering window.
//// \item @|obj.SetOffset (int , int )| -  Set/Get the offset from the mouse pointer from which to place the
// balloon. The representation will try and honor this offset unless there
// is a collision with the side of the renderer, in which case the balloon 
// will be repositioned to lie within the rendering window.
//// \item @|obj.SetOffset (int  a[2])| -  Set/Get the offset from the mouse pointer from which to place the
// balloon. The representation will try and honor this offset unless there
// is a collision with the side of the renderer, in which case the balloon 
// will be repositioned to lie within the rendering window.
//// \item @|int = obj. GetOffset ()| -  Set/Get the offset from the mouse pointer from which to place the
// balloon. The representation will try and honor this offset unless there
// is a collision with the side of the renderer, in which case the balloon 
// will be repositioned to lie within the rendering window.
//// \item @|obj.SetPadding (int )| -  Set/Get the padding (in pixels) that is used between the text and the
// frame.
//// \item @|int = obj.GetPaddingMinValue ()| -  Set/Get the padding (in pixels) that is used between the text and the
// frame.
//// \item @|int = obj.GetPaddingMaxValue ()| -  Set/Get the padding (in pixels) that is used between the text and the
// frame.
//// \item @|int = obj.GetPadding ()| -  Set/Get the padding (in pixels) that is used between the text and the
// frame.
//// \item @|obj.StartWidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.EndWidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.BuildRepresentation ()| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow w)| -  Methods required by vtkProp superclass.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Methods required by vtkProp superclass.
////\end{itemize}
//!
