#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBalloonWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBalloonWidget.h"

//@@Signature
//sfunction @vtkBalloonWidget:vtkBalloonWidget vtkBalloonWidgetConstructorFunction
//input a
//output p
//@@Parents vtkBalloonWidget vtkHoverWidget 
ArrayVector vtkBalloonWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBalloonWidget::New(),"vtkBalloonWidget",eval);
  } else if (arg[0].className() == "vtkBalloonWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBalloonWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBalloonWidget");
    vtkBalloonWidget*q = reinterpret_cast<vtkBalloonWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBalloonWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBalloonWidget:GetClassName vtkBalloonWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBalloonWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBalloonWidget requires 1 argument(s)");
  vtkBalloonWidget* vtk_pointer = GetVTKPointer<vtkBalloonWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBalloonWidget:IsA vtkBalloonWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBalloonWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBalloonWidget requires 2 argument(s)");
  vtkBalloonWidget* vtk_pointer = GetVTKPointer<vtkBalloonWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBalloonWidget:NewInstance vtkBalloonWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBalloonWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBalloonWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBalloonWidget requires 1 argument(s)");
  vtkBalloonWidget* vtk_pointer = GetVTKPointer<vtkBalloonWidget>(arg[0]);
  Array retval;
  vtkBalloonWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBalloonWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonWidget:SafeDownCast vtkBalloonWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBalloonWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBalloonWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBalloonWidget requires 2 argument(s)");
  vtkBalloonWidget* vtk_pointer = GetVTKPointer<vtkBalloonWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBalloonWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBalloonWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonWidget:SetEnabled vtkBalloonWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkBalloonWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkBalloonWidget requires 2 argument(s)");
  vtkBalloonWidget* vtk_pointer = GetVTKPointer<vtkBalloonWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonWidget:SetRepresentation vtkBalloonWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkBalloonWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkBalloonRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkBalloonWidget requires 2 argument(s)");
  vtkBalloonWidget* vtk_pointer = GetVTKPointer<vtkBalloonWidget>(arg[0]);
  Array retval;
  vtkBalloonRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkBalloonRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonWidget:CreateDefaultRepresentation vtkBalloonWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkBalloonWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkBalloonWidget requires 1 argument(s)");
  vtkBalloonWidget* vtk_pointer = GetVTKPointer<vtkBalloonWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkBalloonWidget:AddBalloon__2 vtkBalloonWidgetAddBalloon__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkBalloonWidgetAddBalloon__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddBalloon (vtkProp *prop, const char *str, vtkImageData *img); */
  if (arg.size() < 4) 
    throw Exception("Function AddBalloon__2 for class vtkBalloonWidget requires 4 argument(s)");
  vtkBalloonWidget* vtk_pointer = GetVTKPointer<vtkBalloonWidget>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  char    *temp1;
  vtkImageData  *temp2;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp2 = GetVTKPointer<vtkImageData>(arg[3]);
  vtk_pointer->AddBalloon(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonWidget:AddBalloon__3 vtkBalloonWidgetAddBalloon__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkBalloonWidgetAddBalloon__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddBalloon (vtkProp *prop, const char *str);this AddBalloon prop str NULL  */
  if (arg.size() < 3) 
    throw Exception("Function AddBalloon__3 for class vtkBalloonWidget requires 3 argument(s)");
  vtkBalloonWidget* vtk_pointer = GetVTKPointer<vtkBalloonWidget>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  char    *temp1;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->AddBalloon(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonWidget:RemoveBalloon vtkBalloonWidgetRemoveBalloonFunction
//input a0 a1 
//output none
ArrayVector vtkBalloonWidgetRemoveBalloonFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveBalloon (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveBalloon for class vtkBalloonWidget requires 2 argument(s)");
  vtkBalloonWidget* vtk_pointer = GetVTKPointer<vtkBalloonWidget>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->RemoveBalloon(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonWidget:GetBalloonString vtkBalloonWidgetGetBalloonStringFunction
//input a0 a1 
//output y
ArrayVector vtkBalloonWidgetGetBalloonStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetBalloonString (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function GetBalloonString for class vtkBalloonWidget requires 2 argument(s)");
  vtkBalloonWidget* vtk_pointer = GetVTKPointer<vtkBalloonWidget>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  const char    *temp20;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  temp20 = (vtk_pointer)->GetBalloonString(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBalloonWidget:GetBalloonImage vtkBalloonWidgetGetBalloonImageFunction
//input a0 a1 
//output y
ArrayVector vtkBalloonWidgetGetBalloonImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetBalloonImage (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function GetBalloonImage for class vtkBalloonWidget requires 2 argument(s)");
  vtkBalloonWidget* vtk_pointer = GetVTKPointer<vtkBalloonWidget>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  vtkImageData  *temp20;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  temp20 = (vtk_pointer)->GetBalloonImage(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonWidget:GetCurrentProp vtkBalloonWidgetGetCurrentPropFunction
//input a0 
//output y
ArrayVector vtkBalloonWidgetGetCurrentPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkProp *GetCurrentProp ();return this CurrentProp  */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentProp for class vtkBalloonWidget requires 1 argument(s)");
  vtkBalloonWidget* vtk_pointer = GetVTKPointer<vtkBalloonWidget>(arg[0]);
  Array retval;
  vtkProp  *temp20;
  temp20 = (vtk_pointer)->GetCurrentProp();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonWidget:SetPicker vtkBalloonWidgetSetPickerFunction
//input a0 a1 
//output none
ArrayVector vtkBalloonWidgetSetPickerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPicker (vtkAbstractPropPicker *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPicker for class vtkBalloonWidget requires 2 argument(s)");
  vtkBalloonWidget* vtk_pointer = GetVTKPointer<vtkBalloonWidget>(arg[0]);
  Array retval;
  vtkAbstractPropPicker  *temp0;
  temp0 = GetVTKPointer<vtkAbstractPropPicker>(arg[1]);
  vtk_pointer->SetPicker(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonWidget:GetPicker vtkBalloonWidgetGetPickerFunction
//input a0 
//output y
ArrayVector vtkBalloonWidgetGetPickerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractPropPicker *GetPicker (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPicker for class vtkBalloonWidget requires 1 argument(s)");
  vtkBalloonWidget* vtk_pointer = GetVTKPointer<vtkBalloonWidget>(arg[0]);
  Array retval;
  vtkAbstractPropPicker  *temp20;
  temp20 = (vtk_pointer)->GetPicker();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractPropPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBalloonWidget:AddBalloon vtkBalloonWidgetAddBalloonFunction
//input varargin
//output varargout
ArrayVector vtkBalloonWidgetAddBalloonFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkProp") && VTKIsClass(arg[3],"vtkImageData"))
    return vtkBalloonWidgetAddBalloon__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkProp"))
    return vtkBalloonWidgetAddBalloon__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBalloonWidgetAddBalloon");
}

//@@Signature
//sfunction @vtkBalloonWidget:display vtkBalloonWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBalloonWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBalloonWidget* vtk_pointer = GetVTKPointer<vtkBalloonWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBalloonWidget:delete vtkBalloonWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkBalloonWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBalloonWidget
//@@Section VTKWidgets
//@@Usage
// The vtkBalloonWidget is used to popup text and/or an image when the mouse
// hovers over an instance of vtkProp. The widget keeps track of
// (vtkProp,vtkBalloon) pairs (where the internal vtkBalloon class is defined
// by a pair of vtkStdString and vtkImageData), and when the mouse stops
// moving for a user-specified period of time over the vtkProp, then the
// vtkBalloon is drawn nearby the vtkProp. Note that an instance of
// vtkBalloonRepresentation is used to draw the balloon.
// 
// To use this widget, specify an instance of vtkBalloonWidget and a
// representation (e.g., vtkBalloonRepresentation). Then list all instances
// of vtkProp, a text string, and/or an instance of vtkImageData to be
// associated with each vtkProp. (Note that you can specify both text and an
// image, or just one or the other.) You may also wish to specify the hover
// delay (i.e., set in the superclass vtkHoverWidget).
//
// .SECTION Event Bindings
// By default, the widget observes the following VTK events (i.e., it
// watches the vtkRenderWindowInteractor for these events):
// <pre>
//   MouseMoveEvent - occurs when mouse is moved in render window.
//   TimerEvent - occurs when the time between events (e.g., mouse move)
//                is greater than TimerDuration.
//   KeyPressEvent - when the "Enter" key is pressed after the balloon appears,
//                   a callback is activited (e.g., WidgetActivateEvent).
// </pre>
//
// Note that the event bindings described above can be changed using this
// class's vtkWidgetEventTranslator. This class translates VTK events 
// into the vtkBalloonWidget's widget events:
// <pre>
//   vtkWidgetEvent::Move -- start the timer
//   vtkWidgetEvent::TimedOut -- when hovering occurs,
//   vtkWidgetEvent::SelectAction -- activate any callbacks associated 
//                                   with the balloon.
// </pre>
//
// This widget invokes the following VTK events on itself (which observers
// can listen for):
// <pre>
//   vtkCommand::TimerEvent (when hovering is determined to occur)
//   vtkCommand::EndInteractionEvent (after a hover has occured and the
//                                    mouse begins moving again).
//   vtkCommand::WidgetActivateEvent (when the balloon is selected with a
//                                    keypress).
// </pre>
//
//To create an instance of class vtkBalloonWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkBalloonWidget
//@]
//@@Methods
//The class vtkBalloonWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBalloonWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for a VTK class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for a VTK class.
//// \item @|vtkBalloonWidget = obj.NewInstance ()| -  Standard methods for a VTK class.
//// \item @|vtkBalloonWidget = obj.SafeDownCast (vtkObject o)| -  Standard methods for a VTK class.
//// \item @|obj.SetEnabled (int )| -  The method for activiating and deactiviating this widget. This method
// must be overridden because it performs special timer-related operations.
//// \item @|obj.SetRepresentation (vtkBalloonRepresentation r)| -  Create the default widget representation if one is not set. 
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
//// \item @|obj.AddBalloon (vtkProp prop, string str, vtkImageData img)| -  Add and remove text and/or an image to be associated with a vtkProp. You
// may add one or both of them. 
//// \item @|obj.AddBalloon (vtkProp prop, string str)| -  Add and remove text and/or an image to be associated with a vtkProp. You
// may add one or both of them. 
//// \item @|obj.RemoveBalloon (vtkProp prop)| -  Add and remove text and/or an image to be associated with a vtkProp. You
// may add one or both of them. 
//// \item @|string = obj.GetBalloonString (vtkProp prop)| -  Methods to retrieve the information associated with each vtkProp (i.e.,
// the information that makes up each balloon). A NULL will be returned if
// the vtkProp does not exist, or if a string or image have not been
// associated with the specified vtkProp.
//// \item @|vtkImageData = obj.GetBalloonImage (vtkProp prop)| -  Methods to retrieve the information associated with each vtkProp (i.e.,
// the information that makes up each balloon). A NULL will be returned if
// the vtkProp does not exist, or if a string or image have not been
// associated with the specified vtkProp.
//// \item @|vtkProp = obj.GetCurrentProp ()| -  Set/Get the object used to perform pick operations. Since the
// vtkBalloonWidget operates on vtkProps, the picker must be a subclass of
// vtkAbstractPropPicker. (Note: if not specified, an instance of
// vtkPropPicker is used.)
//// \item @|obj.SetPicker (vtkAbstractPropPicker )| -  Set/Get the object used to perform pick operations. Since the
// vtkBalloonWidget operates on vtkProps, the picker must be a subclass of
// vtkAbstractPropPicker. (Note: if not specified, an instance of
// vtkPropPicker is used.)
//// \item @|vtkAbstractPropPicker = obj.GetPicker ()| -  Set/Get the object used to perform pick operations. Since the
// vtkBalloonWidget operates on vtkProps, the picker must be a subclass of
// vtkAbstractPropPicker. (Note: if not specified, an instance of
// vtkPropPicker is used.)
////\end{itemize}
//!
