#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBezierContourLineInterpolator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBezierContourLineInterpolator.h"

//@@Signature
//sfunction @vtkBezierContourLineInterpolator:vtkBezierContourLineInterpolator vtkBezierContourLineInterpolatorConstructorFunction
//input a
//output p
//@@Parents vtkBezierContourLineInterpolator vtkContourLineInterpolator 
ArrayVector vtkBezierContourLineInterpolatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBezierContourLineInterpolator::New(),"vtkBezierContourLineInterpolator",eval);
  } else if (arg[0].className() == "vtkBezierContourLineInterpolator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBezierContourLineInterpolator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBezierContourLineInterpolator");
    vtkBezierContourLineInterpolator*q = reinterpret_cast<vtkBezierContourLineInterpolator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBezierContourLineInterpolator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBezierContourLineInterpolator:GetClassName vtkBezierContourLineInterpolatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBezierContourLineInterpolatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBezierContourLineInterpolator requires 1 argument(s)");
  vtkBezierContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkBezierContourLineInterpolator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBezierContourLineInterpolator:IsA vtkBezierContourLineInterpolatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBezierContourLineInterpolatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBezierContourLineInterpolator requires 2 argument(s)");
  vtkBezierContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkBezierContourLineInterpolator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBezierContourLineInterpolator:NewInstance vtkBezierContourLineInterpolatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBezierContourLineInterpolatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBezierContourLineInterpolator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBezierContourLineInterpolator requires 1 argument(s)");
  vtkBezierContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkBezierContourLineInterpolator>(arg[0]);
  Array retval;
  vtkBezierContourLineInterpolator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBezierContourLineInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBezierContourLineInterpolator:SafeDownCast vtkBezierContourLineInterpolatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBezierContourLineInterpolatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBezierContourLineInterpolator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBezierContourLineInterpolator requires 2 argument(s)");
  vtkBezierContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkBezierContourLineInterpolator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBezierContourLineInterpolator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBezierContourLineInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBezierContourLineInterpolator:InterpolateLine vtkBezierContourLineInterpolatorInterpolateLineFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkBezierContourLineInterpolatorInterpolateLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int InterpolateLine (vtkRenderer *ren, vtkContourRepresentation *rep, int idx1, int idx2); */
  if (arg.size() < 5) 
    throw Exception("Function InterpolateLine for class vtkBezierContourLineInterpolator requires 5 argument(s)");
  vtkBezierContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkBezierContourLineInterpolator>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkContourRepresentation  *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkContourRepresentation>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->InterpolateLine(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBezierContourLineInterpolator:SetMaximumCurveError vtkBezierContourLineInterpolatorSetMaximumCurveErrorFunction
//input a0 a1 
//output none
ArrayVector vtkBezierContourLineInterpolatorSetMaximumCurveErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumCurveError (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumCurveError for class vtkBezierContourLineInterpolator requires 2 argument(s)");
  vtkBezierContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkBezierContourLineInterpolator>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumCurveError(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBezierContourLineInterpolator:GetMaximumCurveErrorMinValue vtkBezierContourLineInterpolatorGetMaximumCurveErrorMinValueFunction
//input a0 
//output y
ArrayVector vtkBezierContourLineInterpolatorGetMaximumCurveErrorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumCurveErrorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumCurveErrorMinValue for class vtkBezierContourLineInterpolator requires 1 argument(s)");
  vtkBezierContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkBezierContourLineInterpolator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumCurveErrorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBezierContourLineInterpolator:GetMaximumCurveErrorMaxValue vtkBezierContourLineInterpolatorGetMaximumCurveErrorMaxValueFunction
//input a0 
//output y
ArrayVector vtkBezierContourLineInterpolatorGetMaximumCurveErrorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumCurveErrorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumCurveErrorMaxValue for class vtkBezierContourLineInterpolator requires 1 argument(s)");
  vtkBezierContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkBezierContourLineInterpolator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumCurveErrorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBezierContourLineInterpolator:GetMaximumCurveError vtkBezierContourLineInterpolatorGetMaximumCurveErrorFunction
//input a0 
//output y
ArrayVector vtkBezierContourLineInterpolatorGetMaximumCurveErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumCurveError (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumCurveError for class vtkBezierContourLineInterpolator requires 1 argument(s)");
  vtkBezierContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkBezierContourLineInterpolator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumCurveError();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBezierContourLineInterpolator:SetMaximumCurveLineSegments vtkBezierContourLineInterpolatorSetMaximumCurveLineSegmentsFunction
//input a0 a1 
//output none
ArrayVector vtkBezierContourLineInterpolatorSetMaximumCurveLineSegmentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumCurveLineSegments (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumCurveLineSegments for class vtkBezierContourLineInterpolator requires 2 argument(s)");
  vtkBezierContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkBezierContourLineInterpolator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumCurveLineSegments(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBezierContourLineInterpolator:GetMaximumCurveLineSegmentsMinValue vtkBezierContourLineInterpolatorGetMaximumCurveLineSegmentsMinValueFunction
//input a0 
//output y
ArrayVector vtkBezierContourLineInterpolatorGetMaximumCurveLineSegmentsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumCurveLineSegmentsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumCurveLineSegmentsMinValue for class vtkBezierContourLineInterpolator requires 1 argument(s)");
  vtkBezierContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkBezierContourLineInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumCurveLineSegmentsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBezierContourLineInterpolator:GetMaximumCurveLineSegmentsMaxValue vtkBezierContourLineInterpolatorGetMaximumCurveLineSegmentsMaxValueFunction
//input a0 
//output y
ArrayVector vtkBezierContourLineInterpolatorGetMaximumCurveLineSegmentsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumCurveLineSegmentsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumCurveLineSegmentsMaxValue for class vtkBezierContourLineInterpolator requires 1 argument(s)");
  vtkBezierContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkBezierContourLineInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumCurveLineSegmentsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBezierContourLineInterpolator:GetMaximumCurveLineSegments vtkBezierContourLineInterpolatorGetMaximumCurveLineSegmentsFunction
//input a0 
//output y
ArrayVector vtkBezierContourLineInterpolatorGetMaximumCurveLineSegmentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumCurveLineSegments (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumCurveLineSegments for class vtkBezierContourLineInterpolator requires 1 argument(s)");
  vtkBezierContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkBezierContourLineInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumCurveLineSegments();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBezierContourLineInterpolator:GetSpan vtkBezierContourLineInterpolatorGetSpanFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkBezierContourLineInterpolatorGetSpanFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetSpan (int nodeIndex, vtkIntArray *nodeIndices, vtkContourRepresentation *rep); */
  if (arg.size() < 4) 
    throw Exception("Function GetSpan for class vtkBezierContourLineInterpolator requires 4 argument(s)");
  vtkBezierContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkBezierContourLineInterpolator>(arg[0]);
  Array retval;
  int      temp0;
  vtkIntArray  *temp1;
  vtkContourRepresentation  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIntArray>(arg[2]);
  temp2 = GetVTKPointer<vtkContourRepresentation>(arg[3]);
  vtk_pointer->GetSpan(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkBezierContourLineInterpolator:display vtkBezierContourLineInterpolatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBezierContourLineInterpolatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBezierContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkBezierContourLineInterpolator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBezierContourLineInterpolator:delete vtkBezierContourLineInterpolatorDeleteFunction
//input varargin
//output none
ArrayVector vtkBezierContourLineInterpolatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBezierContourLineInterpolator
//@@Section VTKWidgets
//@@Usage
// The line interpolator interpolates supplied nodes (see InterpolateLine)
// with bezier line segments. The finess of the curve may be controlled using
// SetMaximumCurveError and SetMaximumNumberOfLineSegments.
//
//
//To create an instance of class vtkBezierContourLineInterpolator, simply
//invoke its constructor as follows
//@[
//  obj = vtkBezierContourLineInterpolator
//@]
//@@Methods
//The class vtkBezierContourLineInterpolator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBezierContourLineInterpolator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkBezierContourLineInterpolator = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkBezierContourLineInterpolator = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|int = obj.InterpolateLine (vtkRenderer ren, vtkContourRepresentation rep, int idx1, int idx2)|
// \item @|obj.SetMaximumCurveError (double )| -  The difference between a line segment connecting two points and the curve
// connecting the same points. In the limit of the length of the curve 
// dx -> 0, the two values will be the same. The smaller this number, the 
// finer the bezier curve will be interpolated. Default is 0.005
//// \item @|double = obj.GetMaximumCurveErrorMinValue ()| -  The difference between a line segment connecting two points and the curve
// connecting the same points. In the limit of the length of the curve 
// dx -> 0, the two values will be the same. The smaller this number, the 
// finer the bezier curve will be interpolated. Default is 0.005
//// \item @|double = obj.GetMaximumCurveErrorMaxValue ()| -  The difference between a line segment connecting two points and the curve
// connecting the same points. In the limit of the length of the curve 
// dx -> 0, the two values will be the same. The smaller this number, the 
// finer the bezier curve will be interpolated. Default is 0.005
//// \item @|double = obj.GetMaximumCurveError ()| -  The difference between a line segment connecting two points and the curve
// connecting the same points. In the limit of the length of the curve 
// dx -> 0, the two values will be the same. The smaller this number, the 
// finer the bezier curve will be interpolated. Default is 0.005
//// \item @|obj.SetMaximumCurveLineSegments (int )| -  Maximum number of bezier line segments between two nodes. Larger values
// create a finer interpolation. Default is 100.
//// \item @|int = obj.GetMaximumCurveLineSegmentsMinValue ()| -  Maximum number of bezier line segments between two nodes. Larger values
// create a finer interpolation. Default is 100.
//// \item @|int = obj.GetMaximumCurveLineSegmentsMaxValue ()| -  Maximum number of bezier line segments between two nodes. Larger values
// create a finer interpolation. Default is 100.
//// \item @|int = obj.GetMaximumCurveLineSegments ()| -  Maximum number of bezier line segments between two nodes. Larger values
// create a finer interpolation. Default is 100.
//// \item @|obj.GetSpan (int nodeIndex, vtkIntArray nodeIndices, vtkContourRepresentation rep)| -  Span of the interpolator. ie. the number of control points its supposed
// to interpolate given a node. 
//
// The first argument is the current nodeIndex.
// ie, you'd be trying to interpolate between nodes "nodeIndex" and 
// "nodeIndex-1", unless you're closing the contour in which case, you're
// trying to interpolate "nodeIndex" and "Node=0". The node span is 
// returned in a vtkIntArray. 
//
// The node span is returned in a vtkIntArray. The node span returned by 
// this interpolator will be a 2-tuple with a span of 4.
////\end{itemize}
//!
