#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBiDimensionalRepresentation2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBiDimensionalRepresentation2D.h"

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:vtkBiDimensionalRepresentation2D vtkBiDimensionalRepresentation2DConstructorFunction
//input a
//output p
//@@Parents vtkBiDimensionalRepresentation2D vtkWidgetRepresentation 
ArrayVector vtkBiDimensionalRepresentation2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBiDimensionalRepresentation2D::New(),"vtkBiDimensionalRepresentation2D",eval);
  } else if (arg[0].className() == "vtkBiDimensionalRepresentation2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBiDimensionalRepresentation2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBiDimensionalRepresentation2D");
    vtkBiDimensionalRepresentation2D*q = reinterpret_cast<vtkBiDimensionalRepresentation2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBiDimensionalRepresentation2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetClassName vtkBiDimensionalRepresentation2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:IsA vtkBiDimensionalRepresentation2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBiDimensionalRepresentation2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:NewInstance vtkBiDimensionalRepresentation2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBiDimensionalRepresentation2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtkBiDimensionalRepresentation2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBiDimensionalRepresentation2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:SafeDownCast vtkBiDimensionalRepresentation2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBiDimensionalRepresentation2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBiDimensionalRepresentation2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBiDimensionalRepresentation2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBiDimensionalRepresentation2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:SetPoint1WorldPosition vtkBiDimensionalRepresentation2DSetPoint1WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DSetPoint1WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint1WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1WorldPosition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:SetPoint2WorldPosition vtkBiDimensionalRepresentation2DSetPoint2WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DSetPoint2WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint2WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2WorldPosition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:SetPoint3WorldPosition vtkBiDimensionalRepresentation2DSetPoint3WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DSetPoint3WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint3WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint3WorldPosition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint3WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:SetPoint4WorldPosition vtkBiDimensionalRepresentation2DSetPoint4WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DSetPoint4WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint4WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint4WorldPosition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint4WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetPoint1WorldPosition vtkBiDimensionalRepresentation2DGetPoint1WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DGetPoint1WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint1WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint1WorldPosition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint1WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetPoint2WorldPosition vtkBiDimensionalRepresentation2DGetPoint2WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DGetPoint2WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint2WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint2WorldPosition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint2WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetPoint3WorldPosition vtkBiDimensionalRepresentation2DGetPoint3WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DGetPoint3WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint3WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint3WorldPosition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint3WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetPoint4WorldPosition vtkBiDimensionalRepresentation2DGetPoint4WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DGetPoint4WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint4WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint4WorldPosition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint4WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:SetPoint1DisplayPosition vtkBiDimensionalRepresentation2DSetPoint1DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DSetPoint1DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint1DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1DisplayPosition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:SetPoint2DisplayPosition vtkBiDimensionalRepresentation2DSetPoint2DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DSetPoint2DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint2DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2DisplayPosition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:SetPoint3DisplayPosition vtkBiDimensionalRepresentation2DSetPoint3DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DSetPoint3DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint3DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint3DisplayPosition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint3DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:SetPoint4DisplayPosition vtkBiDimensionalRepresentation2DSetPoint4DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DSetPoint4DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint4DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint4DisplayPosition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint4DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetPoint1DisplayPosition vtkBiDimensionalRepresentation2DGetPoint1DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DGetPoint1DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint1DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint1DisplayPosition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint1DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetPoint2DisplayPosition vtkBiDimensionalRepresentation2DGetPoint2DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DGetPoint2DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint2DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint2DisplayPosition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint2DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetPoint3DisplayPosition vtkBiDimensionalRepresentation2DGetPoint3DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DGetPoint3DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint3DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint3DisplayPosition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint3DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetPoint4DisplayPosition vtkBiDimensionalRepresentation2DGetPoint4DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DGetPoint4DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint4DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint4DisplayPosition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint4DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:SetLine1Visibility vtkBiDimensionalRepresentation2DSetLine1VisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DSetLine1VisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLine1Visibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLine1Visibility for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLine1Visibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetLine1Visibility vtkBiDimensionalRepresentation2DGetLine1VisibilityFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetLine1VisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLine1Visibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLine1Visibility for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLine1Visibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:Line1VisibilityOn vtkBiDimensionalRepresentation2DLine1VisibilityOnFunction
//input a0 
//output none
ArrayVector vtkBiDimensionalRepresentation2DLine1VisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Line1VisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function Line1VisibilityOn for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtk_pointer->Line1VisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:Line1VisibilityOff vtkBiDimensionalRepresentation2DLine1VisibilityOffFunction
//input a0 
//output none
ArrayVector vtkBiDimensionalRepresentation2DLine1VisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Line1VisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function Line1VisibilityOff for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtk_pointer->Line1VisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:SetLine2Visibility vtkBiDimensionalRepresentation2DSetLine2VisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DSetLine2VisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLine2Visibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLine2Visibility for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLine2Visibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetLine2Visibility vtkBiDimensionalRepresentation2DGetLine2VisibilityFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetLine2VisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLine2Visibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLine2Visibility for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLine2Visibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:Line2VisibilityOn vtkBiDimensionalRepresentation2DLine2VisibilityOnFunction
//input a0 
//output none
ArrayVector vtkBiDimensionalRepresentation2DLine2VisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Line2VisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function Line2VisibilityOn for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtk_pointer->Line2VisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:Line2VisibilityOff vtkBiDimensionalRepresentation2DLine2VisibilityOffFunction
//input a0 
//output none
ArrayVector vtkBiDimensionalRepresentation2DLine2VisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Line2VisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function Line2VisibilityOff for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtk_pointer->Line2VisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:SetHandleRepresentation vtkBiDimensionalRepresentation2DSetHandleRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DSetHandleRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleRepresentation (vtkHandleRepresentation *handle); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleRepresentation for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtkHandleRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkHandleRepresentation>(arg[1]);
  vtk_pointer->SetHandleRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:InstantiateHandleRepresentation vtkBiDimensionalRepresentation2DInstantiateHandleRepresentationFunction
//input a0 
//output none
ArrayVector vtkBiDimensionalRepresentation2DInstantiateHandleRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InstantiateHandleRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function InstantiateHandleRepresentation for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtk_pointer->InstantiateHandleRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetPoint1Representation vtkBiDimensionalRepresentation2DGetPoint1RepresentationFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetPoint1RepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHandleRepresentation *GetPoint1Representation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1Representation for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtkHandleRepresentation  *temp20;
  temp20 = (vtk_pointer)->GetPoint1Representation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetPoint2Representation vtkBiDimensionalRepresentation2DGetPoint2RepresentationFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetPoint2RepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHandleRepresentation *GetPoint2Representation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2Representation for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtkHandleRepresentation  *temp20;
  temp20 = (vtk_pointer)->GetPoint2Representation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetPoint3Representation vtkBiDimensionalRepresentation2DGetPoint3RepresentationFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetPoint3RepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHandleRepresentation *GetPoint3Representation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint3Representation for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtkHandleRepresentation  *temp20;
  temp20 = (vtk_pointer)->GetPoint3Representation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetPoint4Representation vtkBiDimensionalRepresentation2DGetPoint4RepresentationFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetPoint4RepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHandleRepresentation *GetPoint4Representation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint4Representation for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtkHandleRepresentation  *temp20;
  temp20 = (vtk_pointer)->GetPoint4Representation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetLineProperty vtkBiDimensionalRepresentation2DGetLinePropertyFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetLinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *GetLineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineProperty for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->GetLineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetSelectedLineProperty vtkBiDimensionalRepresentation2DGetSelectedLinePropertyFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetSelectedLinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *GetSelectedLineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedLineProperty for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->GetSelectedLineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetTextProperty vtkBiDimensionalRepresentation2DGetTextPropertyFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextProperty for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:SetTolerance vtkBiDimensionalRepresentation2DSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetToleranceMinValue vtkBiDimensionalRepresentation2DGetToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMinValue for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetToleranceMaxValue vtkBiDimensionalRepresentation2DGetToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMaxValue for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetTolerance vtkBiDimensionalRepresentation2DGetToleranceFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetLength1 vtkBiDimensionalRepresentation2DGetLength1Function
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetLength1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetLength1 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLength1 for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLength1();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetLength2 vtkBiDimensionalRepresentation2DGetLength2Function
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetLength2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetLength2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLength2 for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLength2();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:SetLabelFormat vtkBiDimensionalRepresentation2DSetLabelFormatFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DSetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelFormat (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelFormat for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLabelFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetLabelFormat vtkBiDimensionalRepresentation2DGetLabelFormatFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLabelFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelFormat for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLabelFormat();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:BuildRepresentation vtkBiDimensionalRepresentation2DBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkBiDimensionalRepresentation2DBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:ComputeInteractionState vtkBiDimensionalRepresentation2DComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkBiDimensionalRepresentation2DComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkBiDimensionalRepresentation2D requires 4 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:StartWidgetDefinition vtkBiDimensionalRepresentation2DStartWidgetDefinitionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DStartWidgetDefinitionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetDefinition (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetDefinition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetDefinition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:Point2WidgetInteraction vtkBiDimensionalRepresentation2DPoint2WidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DPoint2WidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Point2WidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function Point2WidgetInteraction for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->Point2WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:Point3WidgetInteraction vtkBiDimensionalRepresentation2DPoint3WidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DPoint3WidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Point3WidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function Point3WidgetInteraction for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->Point3WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:StartWidgetManipulation vtkBiDimensionalRepresentation2DStartWidgetManipulationFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DStartWidgetManipulationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetManipulation (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetManipulation for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetManipulation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:WidgetInteraction vtkBiDimensionalRepresentation2DWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:Highlight vtkBiDimensionalRepresentation2DHighlightFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DHighlightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Highlight (int highlightOn); */
  if (arg.size() < 2) 
    throw Exception("Function Highlight for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->Highlight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:ReleaseGraphicsResources vtkBiDimensionalRepresentation2DReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *w); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:RenderOverlay vtkBiDimensionalRepresentation2DRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkBiDimensionalRepresentation2DRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:SetShowLabelAboveWidget vtkBiDimensionalRepresentation2DSetShowLabelAboveWidgetFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DSetShowLabelAboveWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShowLabelAboveWidget (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShowLabelAboveWidget for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShowLabelAboveWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetShowLabelAboveWidget vtkBiDimensionalRepresentation2DGetShowLabelAboveWidgetFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetShowLabelAboveWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShowLabelAboveWidget (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShowLabelAboveWidget for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShowLabelAboveWidget();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:ShowLabelAboveWidgetOn vtkBiDimensionalRepresentation2DShowLabelAboveWidgetOnFunction
//input a0 
//output none
ArrayVector vtkBiDimensionalRepresentation2DShowLabelAboveWidgetOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowLabelAboveWidgetOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowLabelAboveWidgetOn for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtk_pointer->ShowLabelAboveWidgetOn();
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:ShowLabelAboveWidgetOff vtkBiDimensionalRepresentation2DShowLabelAboveWidgetOffFunction
//input a0 
//output none
ArrayVector vtkBiDimensionalRepresentation2DShowLabelAboveWidgetOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowLabelAboveWidgetOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowLabelAboveWidgetOff for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  vtk_pointer->ShowLabelAboveWidgetOff();
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:SetID vtkBiDimensionalRepresentation2DSetIDFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DSetIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetID (unsigned long id); */
  if (arg.size() < 2) 
    throw Exception("Function SetID for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  unsigned long     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  vtk_pointer->SetID(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetID vtkBiDimensionalRepresentation2DGetIDFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long unsigned GetID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetID for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetID();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetLabelText vtkBiDimensionalRepresentation2DGetLabelTextFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalRepresentation2DGetLabelTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLabelText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelText for class vtkBiDimensionalRepresentation2D requires 1 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLabelText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetLabelPosition__2 vtkBiDimensionalRepresentation2DGetLabelPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DGetLabelPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetLabelPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetLabelPosition__2 for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetLabelPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetWorldLabelPosition vtkBiDimensionalRepresentation2DGetWorldLabelPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalRepresentation2DGetWorldLabelPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetWorldLabelPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetWorldLabelPosition for class vtkBiDimensionalRepresentation2D requires 2 argument(s)");
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetWorldLabelPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:GetLabelPosition vtkBiDimensionalRepresentation2DGetLabelPositionFunction
//input varargin
//output varargout
ArrayVector vtkBiDimensionalRepresentation2DGetLabelPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBiDimensionalRepresentation2DGetLabelPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBiDimensionalRepresentation2DGetLabelPosition");
}

//@@Signature
//sfunction @vtkBiDimensionalRepresentation2D:display vtkBiDimensionalRepresentation2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBiDimensionalRepresentation2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBiDimensionalRepresentation2D* vtk_pointer = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBiDimensionalRepresentation2D:delete vtkBiDimensionalRepresentation2DDeleteFunction
//input varargin
//output none
ArrayVector vtkBiDimensionalRepresentation2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBiDimensionalRepresentation2D
//@@Section VTKWidgets
//@@Usage
// The vtkBiDimensionalRepresentation2D is used to represent the
// bi-dimensional measure in a 2D (overlay) context. This representation
// consists of two perpendicular lines defined by four
// vtkHandleRepresentations. The four handles can be independently
// manipulated consistent with the orthogonal constraint on the lines. (Note:
// the four points are referred to as Point1, Point2, Point3 and
// Point4. Point1 and Point2 define the first line; and Point3 and Point4
// define the second orthogonal line.)
//
// To create this widget, you click to place the first two points. The third
// point is mirrored with the fourth point; when you place the third point
// (which is orthogonal to the lined defined by the first two points), the
// fourth point is dropped as well. After definition, the four points can be
// moved (in constrained fashion, preserving orthogonality). Further, the
// entire widget can be translated by grabbing the center point of the widget;
// each line can be moved along the other line; and the entire widget can be
// rotated around its center point.
//
//To create an instance of class vtkBiDimensionalRepresentation2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkBiDimensionalRepresentation2D
//@]
//@@Methods
//The class vtkBiDimensionalRepresentation2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBiDimensionalRepresentation2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK methods.
//// \item @|vtkBiDimensionalRepresentation2D = obj.NewInstance ()| -  Standard VTK methods.
//// \item @|vtkBiDimensionalRepresentation2D = obj.SafeDownCast (vtkObject o)| -  Standard VTK methods.
//// \item @|obj.SetPoint1WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the four points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint2WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the four points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint3WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the four points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint4WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the four points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint1WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the four points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint2WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the four points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint3WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the four points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint4WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the four points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint1DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the four points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint2DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the four points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint3DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the four points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint4DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the four points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint1DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the four points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint2DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the four points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint3DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the four points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint4DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the four points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetLine1Visibility (int )| -  Special methods for turning off the lines that define the bi-dimensional
// measure. Generally these methods are used by the vtkBiDimensionalWidget to
// control the appearance of the widget. Note: turning off Line1 actually turns
// off Line1 and Line2.
//// \item @|int = obj.GetLine1Visibility ()| -  Special methods for turning off the lines that define the bi-dimensional
// measure. Generally these methods are used by the vtkBiDimensionalWidget to
// control the appearance of the widget. Note: turning off Line1 actually turns
// off Line1 and Line2.
//// \item @|obj.Line1VisibilityOn ()| -  Special methods for turning off the lines that define the bi-dimensional
// measure. Generally these methods are used by the vtkBiDimensionalWidget to
// control the appearance of the widget. Note: turning off Line1 actually turns
// off Line1 and Line2.
//// \item @|obj.Line1VisibilityOff ()| -  Special methods for turning off the lines that define the bi-dimensional
// measure. Generally these methods are used by the vtkBiDimensionalWidget to
// control the appearance of the widget. Note: turning off Line1 actually turns
// off Line1 and Line2.
//// \item @|obj.SetLine2Visibility (int )| -  Special methods for turning off the lines that define the bi-dimensional
// measure. Generally these methods are used by the vtkBiDimensionalWidget to
// control the appearance of the widget. Note: turning off Line1 actually turns
// off Line1 and Line2.
//// \item @|int = obj.GetLine2Visibility ()| -  Special methods for turning off the lines that define the bi-dimensional
// measure. Generally these methods are used by the vtkBiDimensionalWidget to
// control the appearance of the widget. Note: turning off Line1 actually turns
// off Line1 and Line2.
//// \item @|obj.Line2VisibilityOn ()| -  Special methods for turning off the lines that define the bi-dimensional
// measure. Generally these methods are used by the vtkBiDimensionalWidget to
// control the appearance of the widget. Note: turning off Line1 actually turns
// off Line1 and Line2.
//// \item @|obj.Line2VisibilityOff ()| -  Special methods for turning off the lines that define the bi-dimensional
// measure. Generally these methods are used by the vtkBiDimensionalWidget to
// control the appearance of the widget. Note: turning off Line1 actually turns
// off Line1 and Line2.
//// \item @|obj.SetHandleRepresentation (vtkHandleRepresentation handle)| -  This method is used to specify the type of handle representation to use
// for the four internal vtkHandleRepresentations within
// vtkBiDimensionalRepresentation2D.  To use this method, create a dummy
// vtkHandleRepresentation (or subclass), and then invoke this method with
// this dummy. Then the vtkBiDimensionalRepresentation2D uses this dummy to
// clone four vtkHandleRepresentations of the same type. Make sure you set the
// handle representation before the widget is enabled. (The method
// InstantiateHandleRepresentation() is invoked by the vtkBiDimensionalWidget
// for the purposes of cloning.)
//// \item @|obj.InstantiateHandleRepresentation ()| -  This method is used to specify the type of handle representation to use
// for the four internal vtkHandleRepresentations within
// vtkBiDimensionalRepresentation2D.  To use this method, create a dummy
// vtkHandleRepresentation (or subclass), and then invoke this method with
// this dummy. Then the vtkBiDimensionalRepresentation2D uses this dummy to
// clone four vtkHandleRepresentations of the same type. Make sure you set the
// handle representation before the widget is enabled. (The method
// InstantiateHandleRepresentation() is invoked by the vtkBiDimensionalWidget
// for the purposes of cloning.)
//// \item @|vtkHandleRepresentation = obj.GetPoint1Representation ()| -  Set/Get the handle representations used within the
// vtkBiDimensionalRepresentation2D. (Note: properties can be set by
// grabbing these representations and setting the properties
// appropriately.)
//// \item @|vtkHandleRepresentation = obj.GetPoint2Representation ()| -  Set/Get the handle representations used within the
// vtkBiDimensionalRepresentation2D. (Note: properties can be set by
// grabbing these representations and setting the properties
// appropriately.)
//// \item @|vtkHandleRepresentation = obj.GetPoint3Representation ()| -  Set/Get the handle representations used within the
// vtkBiDimensionalRepresentation2D. (Note: properties can be set by
// grabbing these representations and setting the properties
// appropriately.)
//// \item @|vtkHandleRepresentation = obj.GetPoint4Representation ()| -  Set/Get the handle representations used within the
// vtkBiDimensionalRepresentation2D. (Note: properties can be set by
// grabbing these representations and setting the properties
// appropriately.)
//// \item @|vtkProperty2D = obj.GetLineProperty ()| -  Retrieve the property used to control the appearance of the two
// orthogonal lines.
//// \item @|vtkProperty2D = obj.GetSelectedLineProperty ()| -  Retrieve the property used to control the appearance of the two
// orthogonal lines.
//// \item @|vtkTextProperty = obj.GetTextProperty ()| -  Retrieve the property used to control the appearance of the text
// labels.
//// \item @|obj.SetTolerance (int )| -  The tolerance representing the distance to the representation (in
// pixels) in which the cursor is considered near enough to the
// representation to be active.
//// \item @|int = obj.GetToleranceMinValue ()| -  The tolerance representing the distance to the representation (in
// pixels) in which the cursor is considered near enough to the
// representation to be active.
//// \item @|int = obj.GetToleranceMaxValue ()| -  The tolerance representing the distance to the representation (in
// pixels) in which the cursor is considered near enough to the
// representation to be active.
//// \item @|int = obj.GetTolerance ()| -  The tolerance representing the distance to the representation (in
// pixels) in which the cursor is considered near enough to the
// representation to be active.
//// \item @|double = obj.GetLength1 ()| -  Return the length of the line defined by (Point1,Point2). This is the
// distance in the world coordinate system.
//// \item @|double = obj.GetLength2 ()| -  Return the length of the line defined by (Point3,Point4). This is the
// distance in the world coordinate system.
//// \item @|obj.SetLabelFormat (string )| -  Specify the format to use for labelling the distance. Note that an empty
// string results in no label, or a format string without a "%" character
// will not print the distance value.
//// \item @|string = obj.GetLabelFormat ()| -  Specify the format to use for labelling the distance. Note that an empty
// string results in no label, or a format string without a "%" character
// will not print the distance value.
//// \item @|obj.BuildRepresentation ()| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.StartWidgetDefinition (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.Point2WidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.Point3WidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.StartWidgetManipulation (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.WidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.Highlight (int highlightOn)| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow w)| -  Methods required by vtkProp superclass.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Methods required by vtkProp superclass.
//// \item @|obj.SetShowLabelAboveWidget (int )| -  Toggle whether to display the label above or below the widget.
// Defaults to 1.
//// \item @|int = obj.GetShowLabelAboveWidget ()| -  Toggle whether to display the label above or below the widget.
// Defaults to 1.
//// \item @|obj.ShowLabelAboveWidgetOn ()| -  Toggle whether to display the label above or below the widget.
// Defaults to 1.
//// \item @|obj.ShowLabelAboveWidgetOff ()| -  Toggle whether to display the label above or below the widget.
// Defaults to 1.
//// \item @|obj.SetID (long id)| -  Set/get the id to display in the label.
//// \item @|long = obj.GetID ()| -  Set/get the id to display in the label.
//// \item @|string = obj.GetLabelText ()| -  Get the text shown in the widget's label.
//// \item @|obj.GetLabelPosition (double pos[3])| -  Get the position of the widget's label in display coordinates.
//// \item @|obj.GetWorldLabelPosition (double pos[3])| -  Get the position of the widget's label in display coordinates.
////\end{itemize}
//!
