#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBiDimensionalWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBiDimensionalWidget.h"

//@@Signature
//sfunction @vtkBiDimensionalWidget:vtkBiDimensionalWidget vtkBiDimensionalWidgetConstructorFunction
//input a
//output p
//@@Parents vtkBiDimensionalWidget vtkAbstractWidget 
ArrayVector vtkBiDimensionalWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBiDimensionalWidget::New(),"vtkBiDimensionalWidget",eval);
  } else if (arg[0].className() == "vtkBiDimensionalWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBiDimensionalWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBiDimensionalWidget");
    vtkBiDimensionalWidget*q = reinterpret_cast<vtkBiDimensionalWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBiDimensionalWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBiDimensionalWidget:GetClassName vtkBiDimensionalWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBiDimensionalWidget requires 1 argument(s)");
  vtkBiDimensionalWidget* vtk_pointer = GetVTKPointer<vtkBiDimensionalWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalWidget:IsA vtkBiDimensionalWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBiDimensionalWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBiDimensionalWidget requires 2 argument(s)");
  vtkBiDimensionalWidget* vtk_pointer = GetVTKPointer<vtkBiDimensionalWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalWidget:NewInstance vtkBiDimensionalWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBiDimensionalWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBiDimensionalWidget requires 1 argument(s)");
  vtkBiDimensionalWidget* vtk_pointer = GetVTKPointer<vtkBiDimensionalWidget>(arg[0]);
  Array retval;
  vtkBiDimensionalWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBiDimensionalWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalWidget:SafeDownCast vtkBiDimensionalWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBiDimensionalWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBiDimensionalWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBiDimensionalWidget requires 2 argument(s)");
  vtkBiDimensionalWidget* vtk_pointer = GetVTKPointer<vtkBiDimensionalWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBiDimensionalWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBiDimensionalWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalWidget:SetEnabled vtkBiDimensionalWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkBiDimensionalWidget requires 2 argument(s)");
  vtkBiDimensionalWidget* vtk_pointer = GetVTKPointer<vtkBiDimensionalWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalWidget:SetRepresentation vtkBiDimensionalWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkBiDimensionalRepresentation2D *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkBiDimensionalWidget requires 2 argument(s)");
  vtkBiDimensionalWidget* vtk_pointer = GetVTKPointer<vtkBiDimensionalWidget>(arg[0]);
  Array retval;
  vtkBiDimensionalRepresentation2D  *temp0;
  temp0 = GetVTKPointer<vtkBiDimensionalRepresentation2D>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalWidget:CreateDefaultRepresentation vtkBiDimensionalWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkBiDimensionalWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkBiDimensionalWidget requires 1 argument(s)");
  vtkBiDimensionalWidget* vtk_pointer = GetVTKPointer<vtkBiDimensionalWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalWidget:IsMeasureValid vtkBiDimensionalWidgetIsMeasureValidFunction
//input a0 
//output y
ArrayVector vtkBiDimensionalWidgetIsMeasureValidFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsMeasureValid (); */
  if (arg.size() < 1) 
    throw Exception("Function IsMeasureValid for class vtkBiDimensionalWidget requires 1 argument(s)");
  vtkBiDimensionalWidget* vtk_pointer = GetVTKPointer<vtkBiDimensionalWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsMeasureValid();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalWidget:SetProcessEvents vtkBiDimensionalWidgetSetProcessEventsFunction
//input a0 a1 
//output none
ArrayVector vtkBiDimensionalWidgetSetProcessEventsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetProcessEvents (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProcessEvents for class vtkBiDimensionalWidget requires 2 argument(s)");
  vtkBiDimensionalWidget* vtk_pointer = GetVTKPointer<vtkBiDimensionalWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProcessEvents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBiDimensionalWidget:display vtkBiDimensionalWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBiDimensionalWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBiDimensionalWidget* vtk_pointer = GetVTKPointer<vtkBiDimensionalWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBiDimensionalWidget:delete vtkBiDimensionalWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkBiDimensionalWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBiDimensionalWidget
//@@Section VTKWidgets
//@@Usage
// The vtkBiDimensionalWidget is used to measure the bi-dimensional length of
// an object. The bi-dimensional measure is defined by two finite,
// orthogonal lines that intersect within the finite extent of both lines.
// The lengths of these two lines gives the bi-dimensional measure. Each line
// is defined by two handle widgets at the end points of each line.
//
// The orthognal constraint on the two lines limits how the four end points
// can be positioned. The first two points can be placed arbitrarily to
// define the first line (similar to vtkDistanceWidget). The placement of the
// third point is limited by the finite extent of the first line. As the
// third point is placed, the fourth point is placed on the opposite side of
// the first line. Once the third point is placed, the second line is defined
// since the fourth point is defined at the same time, but the fourth point
// can be moved along the second line (i.e., maintaining the orthogonal
// relationship between the two lines). Onced defined, any of the four points
// can be moved along their constraint lines. Also, each line can be translated
// along the other line (in an orthogonal direction), and the whole
// bi-dimensional widget can be rotated about its center point (see the description
// of the event bindings). Finally, selecting the point where the two orthogonal
// axes intersect, the entire widget can be translated in any direction.
//
// Placement of any point results in a special PlacePointEvent invocation so
// that special operations may be performed to reposition the point. Motion
// of any point, moving the lines, or rotating the widget cause
// InteractionEvents to be invoked. Note that the widget has two fundamental
// modes: a define mode (when initially placing the points) and a manipulate
// mode (after the points are placed). Line translation and rotation are only
// possible in manipulate mode.
// 
// To use this widget, specify an instance of vtkBiDimensionalWidget and a
// representation (e.g., vtkBiDimensionalRepresentation2D). The widget is
// implemented using four instances of vtkHandleWidget which are used to
// position the end points of the two intersecting lines. The representations
// for these handle widgets are provided by the
// vtkBiDimensionalRepresentation2D class.
//
// .SECTION Event Bindings
// By default, the widget responds to the following VTK events (i.e., it
// watches the vtkRenderWindowInteractor for these events):
// <pre>
//   LeftButtonPressEvent - define a point or manipulate a handle, line,
//                          perform rotation or translate the widget.
//   MouseMoveEvent - position the points, move a line, rotate or translate the widget
//   LeftButtonReleaseEvent - release the selected handle and end interaction
// </pre>
//
// Note that the event bindings described above can be changed using this
// class's vtkWidgetEventTranslator. This class translates VTK events 
// into the vtkBiDimensionalWidget's widget events:
// <pre>
//   vtkWidgetEvent::AddPoint -- (In Define mode:) Add one point; depending on the 
//                               state it may the first, second, third or fourth 
//                               point added. (In Manipulate mode:) If near a handle, 
//                               select the handle. Or if near a line, select the line.
//   vtkWidgetEvent::Move -- (In Define mode:) Position the second, third or fourth 
//                           point. (In Manipulate mode:) Move the handle, line or widget.
//   vtkWidgetEvent::EndSelect -- the manipulation process has completed.
// </pre>
//
// This widget invokes the following VTK events on itself (which observers
// can listen for):
// <pre>
//   vtkCommand::StartInteractionEvent (beginning to interact)
//   vtkCommand::EndInteractionEvent (completing interaction)
//   vtkCommand::InteractionEvent (moving a handle, line or performing rotation)
//   vtkCommand::PlacePointEvent (after a point is positioned; 
//                                call data includes handle id (0,1,2,4))
// </pre>
//
//To create an instance of class vtkBiDimensionalWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkBiDimensionalWidget
//@]
//@@Methods
//The class vtkBiDimensionalWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBiDimensionalWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for a VTK class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for a VTK class.
//// \item @|vtkBiDimensionalWidget = obj.NewInstance ()| -  Standard methods for a VTK class.
//// \item @|vtkBiDimensionalWidget = obj.SafeDownCast (vtkObject o)| -  Standard methods for a VTK class.
//// \item @|obj.SetEnabled (int )| -  The method for activiating and deactiviating this widget. This method
// must be overridden because it is a composite widget and does more than
// its superclasses' vtkAbstractWidget::SetEnabled() method.
//// \item @|obj.SetRepresentation (vtkBiDimensionalRepresentation2D r)| -  Create the default widget representation if one is not set. 
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
//// \item @|int = obj.IsMeasureValid ()| -  A flag indicates whether the bi-dimensional measure is valid. The widget
// becomes valid after two of the four points are placed.
//// \item @|obj.SetProcessEvents (int )| -  Methods to change the whether the widget responds to interaction.
// Overridden to pass the state to component widgets.
////\end{itemize}
//!
