#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBorderRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBorderRepresentation.h"

//@@Signature
//sfunction @vtkBorderRepresentation:vtkBorderRepresentation vtkBorderRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkBorderRepresentation vtkWidgetRepresentation 
ArrayVector vtkBorderRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBorderRepresentation::New(),"vtkBorderRepresentation",eval);
  } else if (arg[0].className() == "vtkBorderRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBorderRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBorderRepresentation");
    vtkBorderRepresentation*q = reinterpret_cast<vtkBorderRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBorderRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBorderRepresentation:GetClassName vtkBorderRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:IsA vtkBorderRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBorderRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:NewInstance vtkBorderRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBorderRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtkBorderRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBorderRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:SafeDownCast vtkBorderRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBorderRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBorderRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBorderRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBorderRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetPositionCoordinate vtkBorderRepresentationGetPositionCoordinateFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationGetPositionCoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoordinate *GetPositionCoordinate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPositionCoordinate for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetPositionCoordinate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetPosition__1 vtkBorderRepresentationSetPosition__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkBorderRepresentationSetPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (double, double); */
  if (arg.size() < 3) 
    throw Exception("Function SetPosition__1 for class vtkBorderRepresentation requires 3 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetPosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetPosition__2 vtkBorderRepresentationSetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkBorderRepresentationSetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (double a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPosition__2 for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetPosition vtkBorderRepresentationGetPositionFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationGetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPosition for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPosition();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetPosition2Coordinate vtkBorderRepresentationGetPosition2CoordinateFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationGetPosition2CoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoordinate *GetPosition2Coordinate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPosition2Coordinate for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetPosition2Coordinate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetPosition2__1 vtkBorderRepresentationSetPosition2__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkBorderRepresentationSetPosition2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition2 (double, double); */
  if (arg.size() < 3) 
    throw Exception("Function SetPosition2__1 for class vtkBorderRepresentation requires 3 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetPosition2(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetPosition2__2 vtkBorderRepresentationSetPosition2__2Function
//input a0 a1 
//output none
ArrayVector vtkBorderRepresentationSetPosition2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition2 (double a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPosition2__2 for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPosition2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetPosition2 vtkBorderRepresentationGetPosition2Function
//input a0 
//output y
ArrayVector vtkBorderRepresentationGetPosition2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPosition2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPosition2 for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPosition2();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetShowBorder vtkBorderRepresentationSetShowBorderFunction
//input a0 a1 
//output none
ArrayVector vtkBorderRepresentationSetShowBorderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShowBorder (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShowBorder for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShowBorder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetShowBorderMinValue vtkBorderRepresentationGetShowBorderMinValueFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationGetShowBorderMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShowBorderMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShowBorderMinValue for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShowBorderMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetShowBorderMaxValue vtkBorderRepresentationGetShowBorderMaxValueFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationGetShowBorderMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShowBorderMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShowBorderMaxValue for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShowBorderMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetShowBorder vtkBorderRepresentationGetShowBorderFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationGetShowBorderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShowBorder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShowBorder for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShowBorder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetShowBorderToOff vtkBorderRepresentationSetShowBorderToOffFunction
//input a0 
//output none
ArrayVector vtkBorderRepresentationSetShowBorderToOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShowBorderToOff ();this SetShowBorder BORDER_OFF  */
  if (arg.size() < 1) 
    throw Exception("Function SetShowBorderToOff for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetShowBorderToOff();
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetShowBorderToOn vtkBorderRepresentationSetShowBorderToOnFunction
//input a0 
//output none
ArrayVector vtkBorderRepresentationSetShowBorderToOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShowBorderToOn ();this SetShowBorder BORDER_ON  */
  if (arg.size() < 1) 
    throw Exception("Function SetShowBorderToOn for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetShowBorderToOn();
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetShowBorderToActive vtkBorderRepresentationSetShowBorderToActiveFunction
//input a0 
//output none
ArrayVector vtkBorderRepresentationSetShowBorderToActiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShowBorderToActive ();this SetShowBorder BORDER_ACTIVE  */
  if (arg.size() < 1) 
    throw Exception("Function SetShowBorderToActive for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetShowBorderToActive();
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetBorderProperty vtkBorderRepresentationGetBorderPropertyFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationGetBorderPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *GetBorderProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBorderProperty for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->GetBorderProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetProportionalResize vtkBorderRepresentationSetProportionalResizeFunction
//input a0 a1 
//output none
ArrayVector vtkBorderRepresentationSetProportionalResizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProportionalResize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProportionalResize for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProportionalResize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetProportionalResize vtkBorderRepresentationGetProportionalResizeFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationGetProportionalResizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProportionalResize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProportionalResize for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProportionalResize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:ProportionalResizeOn vtkBorderRepresentationProportionalResizeOnFunction
//input a0 
//output none
ArrayVector vtkBorderRepresentationProportionalResizeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ProportionalResizeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ProportionalResizeOn for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ProportionalResizeOn();
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:ProportionalResizeOff vtkBorderRepresentationProportionalResizeOffFunction
//input a0 
//output none
ArrayVector vtkBorderRepresentationProportionalResizeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ProportionalResizeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ProportionalResizeOff for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ProportionalResizeOff();
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetMinimumSize__1 vtkBorderRepresentationSetMinimumSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkBorderRepresentationSetMinimumSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetMinimumSize__1 for class vtkBorderRepresentation requires 3 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetMinimumSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetMinimumSize__2 vtkBorderRepresentationSetMinimumSize__2Function
//input a0 a1 
//output none
ArrayVector vtkBorderRepresentationSetMinimumSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumSize (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumSize__2 for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetMinimumSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetMinimumSize vtkBorderRepresentationGetMinimumSizeFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationGetMinimumSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetMinimumSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumSize for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetMinimumSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetMaximumSize__1 vtkBorderRepresentationSetMaximumSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkBorderRepresentationSetMaximumSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetMaximumSize__1 for class vtkBorderRepresentation requires 3 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetMaximumSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetMaximumSize__2 vtkBorderRepresentationSetMaximumSize__2Function
//input a0 a1 
//output none
ArrayVector vtkBorderRepresentationSetMaximumSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumSize (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumSize__2 for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetMaximumSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetMaximumSize vtkBorderRepresentationGetMaximumSizeFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationGetMaximumSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetMaximumSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumSize for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetMaximumSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetTolerance vtkBorderRepresentationSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkBorderRepresentationSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetToleranceMinValue vtkBorderRepresentationGetToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationGetToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMinValue for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetToleranceMaxValue vtkBorderRepresentationGetToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationGetToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMaxValue for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetTolerance vtkBorderRepresentationGetToleranceFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetSelectionPoint vtkBorderRepresentationGetSelectionPointFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationGetSelectionPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSelectionPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionPoint for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSelectionPoint();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetMoving vtkBorderRepresentationSetMovingFunction
//input a0 a1 
//output none
ArrayVector vtkBorderRepresentationSetMovingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMoving (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMoving for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMoving(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetMoving vtkBorderRepresentationGetMovingFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationGetMovingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMoving (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMoving for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMoving();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:MovingOn vtkBorderRepresentationMovingOnFunction
//input a0 
//output none
ArrayVector vtkBorderRepresentationMovingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MovingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MovingOn for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->MovingOn();
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:MovingOff vtkBorderRepresentationMovingOffFunction
//input a0 
//output none
ArrayVector vtkBorderRepresentationMovingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MovingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MovingOff for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->MovingOff();
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:BuildRepresentation vtkBorderRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkBorderRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:StartWidgetInteraction vtkBorderRepresentationStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkBorderRepresentationStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:WidgetInteraction vtkBorderRepresentationWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkBorderRepresentationWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetSize vtkBorderRepresentationGetSizeFunction
//input a0 a1 
//output none
ArrayVector vtkBorderRepresentationGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetSize (double size[2]);size size  */
  if (arg.size() < 2) 
    throw Exception("Function GetSize for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:ComputeInteractionState vtkBorderRepresentationComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkBorderRepresentationComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkBorderRepresentation requires 4 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:GetActors2D vtkBorderRepresentationGetActors2DFunction
//input a0 a1 
//output none
ArrayVector vtkBorderRepresentationGetActors2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors2D (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors2D for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:ReleaseGraphicsResources vtkBorderRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkBorderRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:RenderOverlay vtkBorderRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkBorderRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:RenderOpaqueGeometry vtkBorderRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkBorderRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:RenderTranslucentPolygonalGeometry vtkBorderRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkBorderRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkBorderRepresentation requires 2 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:HasTranslucentPolygonalGeometry vtkBorderRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkBorderRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkBorderRepresentation requires 1 argument(s)");
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetPosition vtkBorderRepresentationSetPositionFunction
//input varargin
//output varargout
ArrayVector vtkBorderRepresentationSetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkBorderRepresentationSetPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBorderRepresentationSetPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBorderRepresentationSetPosition");
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetPosition2 vtkBorderRepresentationSetPosition2Function
//input varargin
//output varargout
ArrayVector vtkBorderRepresentationSetPosition2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkBorderRepresentationSetPosition2__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBorderRepresentationSetPosition2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBorderRepresentationSetPosition2");
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetMinimumSize vtkBorderRepresentationSetMinimumSizeFunction
//input varargin
//output varargout
ArrayVector vtkBorderRepresentationSetMinimumSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkBorderRepresentationSetMinimumSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBorderRepresentationSetMinimumSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBorderRepresentationSetMinimumSize");
}

//@@Signature
//sfunction @vtkBorderRepresentation:SetMaximumSize vtkBorderRepresentationSetMaximumSizeFunction
//input varargin
//output varargout
ArrayVector vtkBorderRepresentationSetMaximumSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkBorderRepresentationSetMaximumSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBorderRepresentationSetMaximumSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBorderRepresentationSetMaximumSize");
}

//@@Signature
//sfunction @vtkBorderRepresentation:display vtkBorderRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBorderRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBorderRepresentation* vtk_pointer = GetVTKPointer<vtkBorderRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBorderRepresentation:delete vtkBorderRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkBorderRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBorderRepresentation
//@@Section VTKWidgets
//@@Usage
// This class is used to represent and render a vtBorderWidget. To
// use this class, you need to specify the two corners of a rectangular
// region.
//
// The class is typically subclassed so that specialized representations can
// be created.  The class defines an API and a default implementation that
// the vtkBorderRepresentation interacts with to render itself in the scene.
//
//To create an instance of class vtkBorderRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkBorderRepresentation
//@]
//@@Methods
//The class vtkBorderRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBorderRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Define standard methods.
//// \item @|int = obj.IsA (string name)| -  Define standard methods.
//// \item @|vtkBorderRepresentation = obj.NewInstance ()| -  Define standard methods.
//// \item @|vtkBorderRepresentation = obj.SafeDownCast (vtkObject o)| -  Define standard methods.
//// \item @|vtkCoordinate = obj.GetPositionCoordinate ()| -  Specify opposite corners of the box defining the boundary of the
// widget. By default, these coordinates are in the normalized viewport
// coordinate system, with Position the lower left of the outline, and
// Position2 relative to Position. Note that using these methods are
// affected by the ProportionalResize flag. That is, if the aspect ratio of
// the representation is to be preserved (e.g., ProportionalResize is on),
// then the rectangle (Position,Position2) is a bounding rectangle. Also,
//// \item @|obj.SetPosition (double, double)| -  Specify opposite corners of the box defining the boundary of the
// widget. By default, these coordinates are in the normalized viewport
// coordinate system, with Position the lower left of the outline, and
// Position2 relative to Position. Note that using these methods are
// affected by the ProportionalResize flag. That is, if the aspect ratio of
// the representation is to be preserved (e.g., ProportionalResize is on),
// then the rectangle (Position,Position2) is a bounding rectangle. Also,
//// \item @|obj.SetPosition (double a[2])| -  Specify opposite corners of the box defining the boundary of the
// widget. By default, these coordinates are in the normalized viewport
// coordinate system, with Position the lower left of the outline, and
// Position2 relative to Position. Note that using these methods are
// affected by the ProportionalResize flag. That is, if the aspect ratio of
// the representation is to be preserved (e.g., ProportionalResize is on),
// then the rectangle (Position,Position2) is a bounding rectangle. Also,
//// \item @|double = obj.GetPosition ()| -  Specify opposite corners of the box defining the boundary of the
// widget. By default, these coordinates are in the normalized viewport
// coordinate system, with Position the lower left of the outline, and
// Position2 relative to Position. Note that using these methods are
// affected by the ProportionalResize flag. That is, if the aspect ratio of
// the representation is to be preserved (e.g., ProportionalResize is on),
// then the rectangle (Position,Position2) is a bounding rectangle. Also,
//// \item @|vtkCoordinate = obj.GetPosition2Coordinate ()| -  Specify opposite corners of the box defining the boundary of the
// widget. By default, these coordinates are in the normalized viewport
// coordinate system, with Position the lower left of the outline, and
// Position2 relative to Position. Note that using these methods are
// affected by the ProportionalResize flag. That is, if the aspect ratio of
// the representation is to be preserved (e.g., ProportionalResize is on),
// then the rectangle (Position,Position2) is a bounding rectangle. Also,
//// \item @|obj.SetPosition2 (double, double)| -  Specify opposite corners of the box defining the boundary of the
// widget. By default, these coordinates are in the normalized viewport
// coordinate system, with Position the lower left of the outline, and
// Position2 relative to Position. Note that using these methods are
// affected by the ProportionalResize flag. That is, if the aspect ratio of
// the representation is to be preserved (e.g., ProportionalResize is on),
// then the rectangle (Position,Position2) is a bounding rectangle. Also,
//// \item @|obj.SetPosition2 (double a[2])| -  Specify opposite corners of the box defining the boundary of the
// widget. By default, these coordinates are in the normalized viewport
// coordinate system, with Position the lower left of the outline, and
// Position2 relative to Position. Note that using these methods are
// affected by the ProportionalResize flag. That is, if the aspect ratio of
// the representation is to be preserved (e.g., ProportionalResize is on),
// then the rectangle (Position,Position2) is a bounding rectangle. Also,
//// \item @|double = obj.GetPosition2 ()| -  Specify opposite corners of the box defining the boundary of the
// widget. By default, these coordinates are in the normalized viewport
// coordinate system, with Position the lower left of the outline, and
// Position2 relative to Position. Note that using these methods are
// affected by the ProportionalResize flag. That is, if the aspect ratio of
// the representation is to be preserved (e.g., ProportionalResize is on),
// then the rectangle (Position,Position2) is a bounding rectangle. Also,
//// \item @|obj.SetShowBorder (int )| -  Specify when and if the border should appear. If ShowBorder is "on",
// then the border will always appear. If ShowBorder is "off" then the
// border will never appear.  If ShowBorder is "active" then the border
// will appear when the mouse pointer enters the region bounded by the
// border widget.
//// \item @|int = obj.GetShowBorderMinValue ()| -  Specify when and if the border should appear. If ShowBorder is "on",
// then the border will always appear. If ShowBorder is "off" then the
// border will never appear.  If ShowBorder is "active" then the border
// will appear when the mouse pointer enters the region bounded by the
// border widget.
//// \item @|int = obj.GetShowBorderMaxValue ()| -  Specify when and if the border should appear. If ShowBorder is "on",
// then the border will always appear. If ShowBorder is "off" then the
// border will never appear.  If ShowBorder is "active" then the border
// will appear when the mouse pointer enters the region bounded by the
// border widget.
//// \item @|int = obj.GetShowBorder ()| -  Specify when and if the border should appear. If ShowBorder is "on",
// then the border will always appear. If ShowBorder is "off" then the
// border will never appear.  If ShowBorder is "active" then the border
// will appear when the mouse pointer enters the region bounded by the
// border widget.
//// \item @|obj.SetShowBorderToOff ()| -  Specify when and if the border should appear. If ShowBorder is "on",
// then the border will always appear. If ShowBorder is "off" then the
// border will never appear.  If ShowBorder is "active" then the border
// will appear when the mouse pointer enters the region bounded by the
// border widget.
//// \item @|obj.SetShowBorderToOn ()| -  Specify when and if the border should appear. If ShowBorder is "on",
// then the border will always appear. If ShowBorder is "off" then the
// border will never appear.  If ShowBorder is "active" then the border
// will appear when the mouse pointer enters the region bounded by the
// border widget.
//// \item @|obj.SetShowBorderToActive ()| -  Specify the properties of the border.
//// \item @|vtkProperty2D = obj.GetBorderProperty ()| -  Specify the properties of the border.
//// \item @|obj.SetProportionalResize (int )| -  Indicate whether resizing operations should keep the x-y directions
// proportional to one another. Also, if ProportionalResize is on, then
// the rectangle (Position,Position2) is a bounding rectangle, and the
// representation will be placed in the rectangle in such a way as to 
// preserve the aspect ratio of the representation.
//// \item @|int = obj.GetProportionalResize ()| -  Indicate whether resizing operations should keep the x-y directions
// proportional to one another. Also, if ProportionalResize is on, then
// the rectangle (Position,Position2) is a bounding rectangle, and the
// representation will be placed in the rectangle in such a way as to 
// preserve the aspect ratio of the representation.
//// \item @|obj.ProportionalResizeOn ()| -  Indicate whether resizing operations should keep the x-y directions
// proportional to one another. Also, if ProportionalResize is on, then
// the rectangle (Position,Position2) is a bounding rectangle, and the
// representation will be placed in the rectangle in such a way as to 
// preserve the aspect ratio of the representation.
//// \item @|obj.ProportionalResizeOff ()| -  Indicate whether resizing operations should keep the x-y directions
// proportional to one another. Also, if ProportionalResize is on, then
// the rectangle (Position,Position2) is a bounding rectangle, and the
// representation will be placed in the rectangle in such a way as to 
// preserve the aspect ratio of the representation.
//// \item @|obj.SetMinimumSize (int , int )| -  Specify a minimum and/or maximum size (in pixels) that this representation
// can take. These methods require two values: size values in the x and y
// directions, respectively.
//// \item @|obj.SetMinimumSize (int  a[2])| -  Specify a minimum and/or maximum size (in pixels) that this representation
// can take. These methods require two values: size values in the x and y
// directions, respectively.
//// \item @|int = obj. GetMinimumSize ()| -  Specify a minimum and/or maximum size (in pixels) that this representation
// can take. These methods require two values: size values in the x and y
// directions, respectively.
//// \item @|obj.SetMaximumSize (int , int )| -  Specify a minimum and/or maximum size (in pixels) that this representation
// can take. These methods require two values: size values in the x and y
// directions, respectively.
//// \item @|obj.SetMaximumSize (int  a[2])| -  Specify a minimum and/or maximum size (in pixels) that this representation
// can take. These methods require two values: size values in the x and y
// directions, respectively.
//// \item @|int = obj. GetMaximumSize ()| -  Specify a minimum and/or maximum size (in pixels) that this representation
// can take. These methods require two values: size values in the x and y
// directions, respectively.
//// \item @|obj.SetTolerance (int )| -  The tolerance representing the distance to the widget (in pixels)
// in which the cursor is considered to be on the widget, or on a
// widget feature (e.g., a corner point or edge).
//// \item @|int = obj.GetToleranceMinValue ()| -  The tolerance representing the distance to the widget (in pixels)
// in which the cursor is considered to be on the widget, or on a
// widget feature (e.g., a corner point or edge).
//// \item @|int = obj.GetToleranceMaxValue ()| -  The tolerance representing the distance to the widget (in pixels)
// in which the cursor is considered to be on the widget, or on a
// widget feature (e.g., a corner point or edge).
//// \item @|int = obj.GetTolerance ()| -  The tolerance representing the distance to the widget (in pixels)
// in which the cursor is considered to be on the widget, or on a
// widget feature (e.g., a corner point or edge).
//// \item @|double = obj. GetSelectionPoint ()| -  After a selection event within the region interior to the border; the
// normalized selection coordinates may be obtained.
//// \item @|obj.SetMoving (int )| -  This is a modifier of the interaction state. When set, widget interaction
// allows the border (and stuff inside of it) to be translated with mouse
// motion.
//// \item @|int = obj.GetMoving ()| -  This is a modifier of the interaction state. When set, widget interaction
// allows the border (and stuff inside of it) to be translated with mouse
// motion.
//// \item @|obj.MovingOn ()| -  This is a modifier of the interaction state. When set, widget interaction
// allows the border (and stuff inside of it) to be translated with mouse
// motion.
//// \item @|obj.MovingOff ()| -  This is a modifier of the interaction state. When set, widget interaction
// allows the border (and stuff inside of it) to be translated with mouse
// motion.
//// \item @|obj.BuildRepresentation ()| -  Subclasses should implement these methods. See the superclasses'
// documentation for more information.
//// \item @|obj.StartWidgetInteraction (double eventPos[2])| -  Subclasses should implement these methods. See the superclasses'
// documentation for more information.
//// \item @|obj.WidgetInteraction (double eventPos[2])| -  Subclasses should implement these methods. See the superclasses'
// documentation for more information.
//// \item @|obj.GetSize (double size[2])| -  Subclasses should implement these methods. See the superclasses'
// documentation for more information.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  Subclasses should implement these methods. See the superclasses'
// documentation for more information.
//// \item @|obj.GetActors2D (vtkPropCollection )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderOverlay (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  These methods are necessary to make this representation behave as
// a vtkProp.
////\end{itemize}
//!
