#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBorderWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBorderWidget.h"

//@@Signature
//sfunction @vtkBorderWidget:vtkBorderWidget vtkBorderWidgetConstructorFunction
//input a
//output p
//@@Parents vtkBorderWidget vtkAbstractWidget 
ArrayVector vtkBorderWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBorderWidget::New(),"vtkBorderWidget",eval);
  } else if (arg[0].className() == "vtkBorderWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBorderWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBorderWidget");
    vtkBorderWidget*q = reinterpret_cast<vtkBorderWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBorderWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBorderWidget:GetClassName vtkBorderWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBorderWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBorderWidget requires 1 argument(s)");
  vtkBorderWidget* vtk_pointer = GetVTKPointer<vtkBorderWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderWidget:IsA vtkBorderWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBorderWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBorderWidget requires 2 argument(s)");
  vtkBorderWidget* vtk_pointer = GetVTKPointer<vtkBorderWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderWidget:NewInstance vtkBorderWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBorderWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBorderWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBorderWidget requires 1 argument(s)");
  vtkBorderWidget* vtk_pointer = GetVTKPointer<vtkBorderWidget>(arg[0]);
  Array retval;
  vtkBorderWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBorderWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBorderWidget:SafeDownCast vtkBorderWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBorderWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBorderWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBorderWidget requires 2 argument(s)");
  vtkBorderWidget* vtk_pointer = GetVTKPointer<vtkBorderWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBorderWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBorderWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBorderWidget:SetSelectable vtkBorderWidgetSetSelectableFunction
//input a0 a1 
//output none
ArrayVector vtkBorderWidgetSetSelectableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectable (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectable for class vtkBorderWidget requires 2 argument(s)");
  vtkBorderWidget* vtk_pointer = GetVTKPointer<vtkBorderWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSelectable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBorderWidget:GetSelectable vtkBorderWidgetGetSelectableFunction
//input a0 
//output y
ArrayVector vtkBorderWidgetGetSelectableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectable for class vtkBorderWidget requires 1 argument(s)");
  vtkBorderWidget* vtk_pointer = GetVTKPointer<vtkBorderWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectable();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderWidget:SelectableOn vtkBorderWidgetSelectableOnFunction
//input a0 
//output none
ArrayVector vtkBorderWidgetSelectableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SelectableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SelectableOn for class vtkBorderWidget requires 1 argument(s)");
  vtkBorderWidget* vtk_pointer = GetVTKPointer<vtkBorderWidget>(arg[0]);
  Array retval;
  vtk_pointer->SelectableOn();
  return retval;
}

//@@Signature
//sfunction @vtkBorderWidget:SelectableOff vtkBorderWidgetSelectableOffFunction
//input a0 
//output none
ArrayVector vtkBorderWidgetSelectableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SelectableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SelectableOff for class vtkBorderWidget requires 1 argument(s)");
  vtkBorderWidget* vtk_pointer = GetVTKPointer<vtkBorderWidget>(arg[0]);
  Array retval;
  vtk_pointer->SelectableOff();
  return retval;
}

//@@Signature
//sfunction @vtkBorderWidget:SetResizable vtkBorderWidgetSetResizableFunction
//input a0 a1 
//output none
ArrayVector vtkBorderWidgetSetResizableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResizable (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetResizable for class vtkBorderWidget requires 2 argument(s)");
  vtkBorderWidget* vtk_pointer = GetVTKPointer<vtkBorderWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetResizable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBorderWidget:GetResizable vtkBorderWidgetGetResizableFunction
//input a0 
//output y
ArrayVector vtkBorderWidgetGetResizableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResizable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResizable for class vtkBorderWidget requires 1 argument(s)");
  vtkBorderWidget* vtk_pointer = GetVTKPointer<vtkBorderWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResizable();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBorderWidget:ResizableOn vtkBorderWidgetResizableOnFunction
//input a0 
//output none
ArrayVector vtkBorderWidgetResizableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResizableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ResizableOn for class vtkBorderWidget requires 1 argument(s)");
  vtkBorderWidget* vtk_pointer = GetVTKPointer<vtkBorderWidget>(arg[0]);
  Array retval;
  vtk_pointer->ResizableOn();
  return retval;
}

//@@Signature
//sfunction @vtkBorderWidget:ResizableOff vtkBorderWidgetResizableOffFunction
//input a0 
//output none
ArrayVector vtkBorderWidgetResizableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResizableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ResizableOff for class vtkBorderWidget requires 1 argument(s)");
  vtkBorderWidget* vtk_pointer = GetVTKPointer<vtkBorderWidget>(arg[0]);
  Array retval;
  vtk_pointer->ResizableOff();
  return retval;
}

//@@Signature
//sfunction @vtkBorderWidget:SetRepresentation vtkBorderWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkBorderWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkBorderRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkBorderWidget requires 2 argument(s)");
  vtkBorderWidget* vtk_pointer = GetVTKPointer<vtkBorderWidget>(arg[0]);
  Array retval;
  vtkBorderRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkBorderRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBorderWidget:CreateDefaultRepresentation vtkBorderWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkBorderWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkBorderWidget requires 1 argument(s)");
  vtkBorderWidget* vtk_pointer = GetVTKPointer<vtkBorderWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkBorderWidget:display vtkBorderWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBorderWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBorderWidget* vtk_pointer = GetVTKPointer<vtkBorderWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBorderWidget:delete vtkBorderWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkBorderWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBorderWidget
//@@Section VTKWidgets
//@@Usage
// This class is a superclass for 2D widgets that may require a rectangular
// border. Besides drawing a border, the widget provides methods for resizing
// and moving the rectangular region (and associated border). The widget
// provides methods and internal data members so that subclasses can take
// advantage of this widgets capabilities, requiring only that the subclass
// defines a "representation", i.e., some combination of props or actors
// that can be managed in the 2D rectangular region. 
//
// The class defines basic positioning functionality, including the ability
// to size the widget with locked x/y proportions. The area within the border
// may be made "selectable" as well, meaning that a selection event interior
// to the widget invokes a virtual SelectRegion() method, which can be used
// to pick objects or otherwise manipulate data interior to the widget.
//
// .SECTION Event Bindings
// By default, the widget responds to the following VTK events (i.e., it
// watches the vtkRenderWindowInteractor for these events):
// <pre>
// On the boundary of the widget:
//   LeftButtonPressEvent - select boundary
//   LeftButtonReleaseEvent - deselect boundary
//   MouseMoveEvent - move/resize widget depending on which portion of the
//                    boundary was selected.
// On the interior of the widget:
//   LeftButtonPressEvent - invoke SelectButton() callback (if the ivar
//                          Selectable is on)
// Anywhere on the widget:
//   MiddleButtonPressEvent - move the widget
// </pre>
//
// Note that the event bindings described above can be changed using this
// class's vtkWidgetEventTranslator. This class translates VTK events 
// into the vtkBorderWidget's widget events:
// <pre>
//   vtkWidgetEvent::Select -- some part of the widget has been selected
//   vtkWidgetEvent::EndSelect -- the selection process has completed
//   vtkWidgetEvent::Translate -- the widget is to be translated
//   vtkWidgetEvent::Move -- a request for slider motion has been invoked
// </pre>
//
// In turn, when these widget events are processed, this widget invokes the
// following VTK events on itself (which observers can listen for):
// <pre>
//   vtkCommand::StartInteractionEvent (on vtkWidgetEvent::Select)
//   vtkCommand::EndInteractionEvent (on vtkWidgetEvent::EndSelect)
//   vtkCommand::InteractionEvent (on vtkWidgetEvent::Move)
// </pre>
//
//To create an instance of class vtkBorderWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkBorderWidget
//@]
//@@Methods
//The class vtkBorderWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBorderWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBorderWidget = obj.NewInstance ()|
// \item @|vtkBorderWidget = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSelectable (int )| -  Indicate whether the interior region of the widget can be selected or
// not. If not, then events (such as left mouse down) allow the user to
// "move" the widget, and no selection is possible. Otherwise the
// SelectRegion() method is invoked.
//// \item @|int = obj.GetSelectable ()| -  Indicate whether the interior region of the widget can be selected or
// not. If not, then events (such as left mouse down) allow the user to
// "move" the widget, and no selection is possible. Otherwise the
// SelectRegion() method is invoked.
//// \item @|obj.SelectableOn ()| -  Indicate whether the interior region of the widget can be selected or
// not. If not, then events (such as left mouse down) allow the user to
// "move" the widget, and no selection is possible. Otherwise the
// SelectRegion() method is invoked.
//// \item @|obj.SelectableOff ()| -  Indicate whether the interior region of the widget can be selected or
// not. If not, then events (such as left mouse down) allow the user to
// "move" the widget, and no selection is possible. Otherwise the
// SelectRegion() method is invoked.
//// \item @|obj.SetResizable (int )| -  Indicate whether the boundary of the widget can be resized.
// If not, the cursor will not change to "resize" type when mouse
// over the boundary.
//// \item @|int = obj.GetResizable ()| -  Indicate whether the boundary of the widget can be resized.
// If not, the cursor will not change to "resize" type when mouse
// over the boundary.
//// \item @|obj.ResizableOn ()| -  Indicate whether the boundary of the widget can be resized.
// If not, the cursor will not change to "resize" type when mouse
// over the boundary.
//// \item @|obj.ResizableOff ()| -  Indicate whether the boundary of the widget can be resized.
// If not, the cursor will not change to "resize" type when mouse
// over the boundary.
//// \item @|obj.SetRepresentation (vtkBorderRepresentation r)| -  Create the default widget representation if one is not set. 
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
////\end{itemize}
//!
