#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBoundedPlanePointPlacer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBoundedPlanePointPlacer.h"

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:vtkBoundedPlanePointPlacer vtkBoundedPlanePointPlacerConstructorFunction
//input a
//output p
//@@Parents vtkBoundedPlanePointPlacer vtkPointPlacer 
ArrayVector vtkBoundedPlanePointPlacerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBoundedPlanePointPlacer::New(),"vtkBoundedPlanePointPlacer",eval);
  } else if (arg[0].className() == "vtkBoundedPlanePointPlacer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBoundedPlanePointPlacer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBoundedPlanePointPlacer");
    vtkBoundedPlanePointPlacer*q = reinterpret_cast<vtkBoundedPlanePointPlacer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBoundedPlanePointPlacer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:GetClassName vtkBoundedPlanePointPlacerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBoundedPlanePointPlacerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBoundedPlanePointPlacer requires 1 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:IsA vtkBoundedPlanePointPlacerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBoundedPlanePointPlacerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBoundedPlanePointPlacer requires 2 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:NewInstance vtkBoundedPlanePointPlacerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBoundedPlanePointPlacerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBoundedPlanePointPlacer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBoundedPlanePointPlacer requires 1 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  vtkBoundedPlanePointPlacer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBoundedPlanePointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:SafeDownCast vtkBoundedPlanePointPlacerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBoundedPlanePointPlacerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBoundedPlanePointPlacer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBoundedPlanePointPlacer requires 2 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBoundedPlanePointPlacer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBoundedPlanePointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:SetProjectionNormal vtkBoundedPlanePointPlacerSetProjectionNormalFunction
//input a0 a1 
//output none
ArrayVector vtkBoundedPlanePointPlacerSetProjectionNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormal (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectionNormal for class vtkBoundedPlanePointPlacer requires 2 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProjectionNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:GetProjectionNormalMinValue vtkBoundedPlanePointPlacerGetProjectionNormalMinValueFunction
//input a0 
//output y
ArrayVector vtkBoundedPlanePointPlacerGetProjectionNormalMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionNormalMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionNormalMinValue for class vtkBoundedPlanePointPlacer requires 1 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionNormalMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:GetProjectionNormalMaxValue vtkBoundedPlanePointPlacerGetProjectionNormalMaxValueFunction
//input a0 
//output y
ArrayVector vtkBoundedPlanePointPlacerGetProjectionNormalMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionNormalMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionNormalMaxValue for class vtkBoundedPlanePointPlacer requires 1 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionNormalMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:GetProjectionNormal__1 vtkBoundedPlanePointPlacerGetProjectionNormal__1Function
//input a0 
//output y
ArrayVector vtkBoundedPlanePointPlacerGetProjectionNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionNormal__1 for class vtkBoundedPlanePointPlacer requires 1 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionNormal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:SetProjectionNormalToXAxis vtkBoundedPlanePointPlacerSetProjectionNormalToXAxisFunction
//input a0 
//output none
ArrayVector vtkBoundedPlanePointPlacerSetProjectionNormalToXAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToXAxis ();this SetProjectionNormal vtkBoundedPlanePointPlacer XAxis  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToXAxis for class vtkBoundedPlanePointPlacer requires 1 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToXAxis();
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:SetProjectionNormalToYAxis vtkBoundedPlanePointPlacerSetProjectionNormalToYAxisFunction
//input a0 
//output none
ArrayVector vtkBoundedPlanePointPlacerSetProjectionNormalToYAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToYAxis ();this SetProjectionNormal vtkBoundedPlanePointPlacer YAxis  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToYAxis for class vtkBoundedPlanePointPlacer requires 1 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToYAxis();
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:SetProjectionNormalToZAxis vtkBoundedPlanePointPlacerSetProjectionNormalToZAxisFunction
//input a0 
//output none
ArrayVector vtkBoundedPlanePointPlacerSetProjectionNormalToZAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToZAxis ();this SetProjectionNormal vtkBoundedPlanePointPlacer ZAxis  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToZAxis for class vtkBoundedPlanePointPlacer requires 1 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToZAxis();
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:SetProjectionNormalToOblique vtkBoundedPlanePointPlacerSetProjectionNormalToObliqueFunction
//input a0 
//output none
ArrayVector vtkBoundedPlanePointPlacerSetProjectionNormalToObliqueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToOblique ();this SetProjectionNormal vtkBoundedPlanePointPlacer Oblique  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToOblique for class vtkBoundedPlanePointPlacer requires 1 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToOblique();
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:SetObliquePlane vtkBoundedPlanePointPlacerSetObliquePlaneFunction
//input a0 a1 
//output none
ArrayVector vtkBoundedPlanePointPlacerSetObliquePlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetObliquePlane (vtkPlane *); */
  if (arg.size() < 2) 
    throw Exception("Function SetObliquePlane for class vtkBoundedPlanePointPlacer requires 2 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  vtkPlane  *temp0;
  temp0 = GetVTKPointer<vtkPlane>(arg[1]);
  vtk_pointer->SetObliquePlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:SetProjectionPosition vtkBoundedPlanePointPlacerSetProjectionPositionFunction
//input a0 a1 
//output none
ArrayVector vtkBoundedPlanePointPlacerSetProjectionPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionPosition (double position); */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectionPosition for class vtkBoundedPlanePointPlacer requires 2 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetProjectionPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:GetProjectionPosition vtkBoundedPlanePointPlacerGetProjectionPositionFunction
//input a0 
//output y
ArrayVector vtkBoundedPlanePointPlacerGetProjectionPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetProjectionPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionPosition for class vtkBoundedPlanePointPlacer requires 1 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetProjectionPosition();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:AddBoundingPlane vtkBoundedPlanePointPlacerAddBoundingPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkBoundedPlanePointPlacerAddBoundingPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddBoundingPlane (vtkPlane *plane); */
  if (arg.size() < 2) 
    throw Exception("Function AddBoundingPlane for class vtkBoundedPlanePointPlacer requires 2 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  vtkPlane  *temp0;
  temp0 = GetVTKPointer<vtkPlane>(arg[1]);
  vtk_pointer->AddBoundingPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:RemoveBoundingPlane vtkBoundedPlanePointPlacerRemoveBoundingPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkBoundedPlanePointPlacerRemoveBoundingPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveBoundingPlane (vtkPlane *plane); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveBoundingPlane for class vtkBoundedPlanePointPlacer requires 2 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  vtkPlane  *temp0;
  temp0 = GetVTKPointer<vtkPlane>(arg[1]);
  vtk_pointer->RemoveBoundingPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:RemoveAllBoundingPlanes vtkBoundedPlanePointPlacerRemoveAllBoundingPlanesFunction
//input a0 
//output none
ArrayVector vtkBoundedPlanePointPlacerRemoveAllBoundingPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllBoundingPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllBoundingPlanes for class vtkBoundedPlanePointPlacer requires 1 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllBoundingPlanes();
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:SetBoundingPlanes__1 vtkBoundedPlanePointPlacerSetBoundingPlanes__1Function
//input a0 a1 
//output none
ArrayVector vtkBoundedPlanePointPlacerSetBoundingPlanes__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetBoundingPlanes (vtkPlaneCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoundingPlanes__1 for class vtkBoundedPlanePointPlacer requires 2 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  vtkPlaneCollection  *temp0;
  temp0 = GetVTKPointer<vtkPlaneCollection>(arg[1]);
  vtk_pointer->SetBoundingPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:GetBoundingPlanes vtkBoundedPlanePointPlacerGetBoundingPlanesFunction
//input a0 
//output y
ArrayVector vtkBoundedPlanePointPlacerGetBoundingPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlaneCollection *GetBoundingPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoundingPlanes for class vtkBoundedPlanePointPlacer requires 1 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  vtkPlaneCollection  *temp20;
  temp20 = (vtk_pointer)->GetBoundingPlanes();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlaneCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:SetBoundingPlanes__2 vtkBoundedPlanePointPlacerSetBoundingPlanes__2Function
//input a0 a1 
//output none
ArrayVector vtkBoundedPlanePointPlacerSetBoundingPlanes__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoundingPlanes (vtkPlanes *planes); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoundingPlanes__2 for class vtkBoundedPlanePointPlacer requires 2 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  vtkPlanes  *temp0;
  temp0 = GetVTKPointer<vtkPlanes>(arg[1]);
  vtk_pointer->SetBoundingPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:ComputeWorldPosition__1 vtkBoundedPlanePointPlacerComputeWorldPosition__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkBoundedPlanePointPlacerComputeWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 5) 
    throw Exception("Function ComputeWorldPosition__1 for class vtkBoundedPlanePointPlacer requires 5 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  double temp2[3];
  double temp3[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeWorldPosition(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:ComputeWorldPosition__2 vtkBoundedPlanePointPlacerComputeWorldPosition__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkBoundedPlanePointPlacerComputeWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 6) 
    throw Exception("Function ComputeWorldPosition__2 for class vtkBoundedPlanePointPlacer requires 6 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  double temp2[3];
  double temp3[3];
  double temp4[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !(arg[10].isVector() && arg[10].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[10].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:ValidateWorldPosition__1 vtkBoundedPlanePointPlacerValidateWorldPosition__1Function
//input a0 a1 
//output y
ArrayVector vtkBoundedPlanePointPlacerValidateWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ValidateWorldPosition (double worldPos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function ValidateWorldPosition__1 for class vtkBoundedPlanePointPlacer requires 2 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateWorldPosition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:ValidateWorldPosition__2 vtkBoundedPlanePointPlacerValidateWorldPosition__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkBoundedPlanePointPlacerValidateWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ValidateWorldPosition (double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 3) 
    throw Exception("Function ValidateWorldPosition__2 for class vtkBoundedPlanePointPlacer requires 3 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[9];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateWorldPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:UpdateWorldPosition vtkBoundedPlanePointPlacerUpdateWorldPositionFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkBoundedPlanePointPlacerUpdateWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int UpdateWorldPosition (vtkRenderer *ren, double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 4) 
    throw Exception("Function UpdateWorldPosition for class vtkBoundedPlanePointPlacer requires 4 argument(s)");
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[3];
  double temp2[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[5].isVector() && arg[5].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->UpdateWorldPosition(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:GetProjectionNormal vtkBoundedPlanePointPlacerGetProjectionNormalFunction
//input varargin
//output varargout
ArrayVector vtkBoundedPlanePointPlacerGetProjectionNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkBoundedPlanePointPlacerGetProjectionNormal__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBoundedPlanePointPlacerGetProjectionNormal");
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:SetBoundingPlanes vtkBoundedPlanePointPlacerSetBoundingPlanesFunction
//input varargin
//output varargout
ArrayVector vtkBoundedPlanePointPlacerSetBoundingPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPlaneCollection"))
    return vtkBoundedPlanePointPlacerSetBoundingPlanes__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPlanes"))
    return vtkBoundedPlanePointPlacerSetBoundingPlanes__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBoundedPlanePointPlacerSetBoundingPlanes");
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:ComputeWorldPosition vtkBoundedPlanePointPlacerComputeWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkBoundedPlanePointPlacerComputeWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkBoundedPlanePointPlacerComputeWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]))
    return vtkBoundedPlanePointPlacerComputeWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBoundedPlanePointPlacerComputeWorldPosition");
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:ValidateWorldPosition vtkBoundedPlanePointPlacerValidateWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkBoundedPlanePointPlacerValidateWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBoundedPlanePointPlacerValidateWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkBoundedPlanePointPlacerValidateWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBoundedPlanePointPlacerValidateWorldPosition");
}

//@@Signature
//sfunction @vtkBoundedPlanePointPlacer:display vtkBoundedPlanePointPlacerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBoundedPlanePointPlacerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBoundedPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkBoundedPlanePointPlacer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBoundedPlanePointPlacer:delete vtkBoundedPlanePointPlacerDeleteFunction
//input varargin
//output none
ArrayVector vtkBoundedPlanePointPlacerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBoundedPlanePointPlacer
//@@Section VTKWidgets
//@@Usage
// vtkBoundedPlanePointPlacer is a type of point placer that constrains its
// points to a finite (i.e., bounded) plance.
//
//
//To create an instance of class vtkBoundedPlanePointPlacer, simply
//invoke its constructor as follows
//@[
//  obj = vtkBoundedPlanePointPlacer
//@]
//@@Methods
//The class vtkBoundedPlanePointPlacer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBoundedPlanePointPlacer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkBoundedPlanePointPlacer = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkBoundedPlanePointPlacer = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|obj.SetProjectionNormal (int )| -  Set the projection normal to lie along the x, y, or z axis,
// or to be oblique. If it is oblique, then the plane is 
// defined in the ObliquePlane ivar.
//// \item @|int = obj.GetProjectionNormalMinValue ()| -  Set the projection normal to lie along the x, y, or z axis,
// or to be oblique. If it is oblique, then the plane is 
// defined in the ObliquePlane ivar.
//// \item @|int = obj.GetProjectionNormalMaxValue ()| -  Set the projection normal to lie along the x, y, or z axis,
// or to be oblique. If it is oblique, then the plane is 
// defined in the ObliquePlane ivar.
//// \item @|int = obj.GetProjectionNormal ()| -  Set the projection normal to lie along the x, y, or z axis,
// or to be oblique. If it is oblique, then the plane is 
// defined in the ObliquePlane ivar.
//// \item @|obj.SetProjectionNormalToXAxis ()| -  Set the projection normal to lie along the x, y, or z axis,
// or to be oblique. If it is oblique, then the plane is 
// defined in the ObliquePlane ivar.
//// \item @|obj.SetProjectionNormalToYAxis ()| -  Set the projection normal to lie along the x, y, or z axis,
// or to be oblique. If it is oblique, then the plane is 
// defined in the ObliquePlane ivar.
//// \item @|obj.SetProjectionNormalToZAxis ()| -  Set the projection normal to lie along the x, y, or z axis,
// or to be oblique. If it is oblique, then the plane is 
// defined in the ObliquePlane ivar.
//// \item @|obj.SetProjectionNormalToOblique ()| -  If the ProjectionNormal is set to Oblique, then this is the 
// oblique plane used to constrain the handle position.
//// \item @|obj.SetObliquePlane (vtkPlane )| -  If the ProjectionNormal is set to Oblique, then this is the 
// oblique plane used to constrain the handle position.
//// \item @|obj.SetProjectionPosition (double position)| -  The position of the bounding plane from the origin along the
// normal. The origin and normal are defined in the oblique plane
// when the ProjectionNormal is oblique. For the X, Y, and Z
// axes projection normals, the normal is the axis direction, and
// the origin is (0,0,0).
//// \item @|double = obj.GetProjectionPosition ()| -  The position of the bounding plane from the origin along the
// normal. The origin and normal are defined in the oblique plane
// when the ProjectionNormal is oblique. For the X, Y, and Z
// axes projection normals, the normal is the axis direction, and
// the origin is (0,0,0).
//// \item @|obj.AddBoundingPlane (vtkPlane plane)| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|obj.RemoveBoundingPlane (vtkPlane plane)| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|obj.RemoveAllBoundingPlanes ()| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|obj.SetBoundingPlanes (vtkPlaneCollection )| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|vtkPlaneCollection = obj.GetBoundingPlanes ()| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|obj.SetBoundingPlanes (vtkPlanes planes)| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|int = obj.ComputeWorldPosition (vtkRenderer ren, double displayPos[2], double worldPos[3], double worldOrient[9])| -  Given a renderer and a display position, compute the 
// world position and world orientation for this point. 
// A plane is defined by a combination of the
// ProjectionNormal, ProjectionOrigin, and ObliquePlane
// ivars. The display position is projected onto this
// plane to determine a world position, and the 
// orientation is set to the normal of the plane. If
// the point cannot project onto the plane or if it
// falls outside the bounds imposed by the
// BoundingPlanes, then 0 is returned, otherwise 1 is
// returned to indicate a valid return position and
// orientation.
//// \item @|int = obj.ComputeWorldPosition (vtkRenderer ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9])| -  Given a renderer, a display position, and a reference world
// position, compute the new world position and orientation 
// of this point. This method is typically used by the 
// representation to move the point.
//// \item @|int = obj.ValidateWorldPosition (double worldPos[3])| -  Give a world position check if it is valid - does
// it lie on the plane and within the bounds? Returns
// 1 if it is valid, 0 otherwise.
//// \item @|int = obj.ValidateWorldPosition (double worldPos[3], double worldOrient[9])|
// \item @|int = obj.UpdateWorldPosition (vtkRenderer ren, double worldPos[3], double worldOrient[9])| -  If the constraints on this placer are changed, then
// this method will be called by the representation on
// each of its points. For this placer, the world
// position will be converted to a display position, then
// ComputeWorldPosition will be used to update the 
// point.
////\end{itemize}
//!
