#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBoxRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBoxRepresentation.h"

//@@Signature
//sfunction @vtkBoxRepresentation:vtkBoxRepresentation vtkBoxRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkBoxRepresentation vtkWidgetRepresentation 
ArrayVector vtkBoxRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBoxRepresentation::New(),"vtkBoxRepresentation",eval);
  } else if (arg[0].className() == "vtkBoxRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBoxRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBoxRepresentation");
    vtkBoxRepresentation*q = reinterpret_cast<vtkBoxRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBoxRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBoxRepresentation:GetClassName vtkBoxRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBoxRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:IsA vtkBoxRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBoxRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBoxRepresentation requires 2 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:NewInstance vtkBoxRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBoxRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBoxRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtkBoxRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBoxRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:SafeDownCast vtkBoxRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBoxRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBoxRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBoxRepresentation requires 2 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBoxRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBoxRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:GetPlanes vtkBoxRepresentationGetPlanesFunction
//input a0 a1 
//output none
ArrayVector vtkBoxRepresentationGetPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPlanes (vtkPlanes *planes); */
  if (arg.size() < 2) 
    throw Exception("Function GetPlanes for class vtkBoxRepresentation requires 2 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtkPlanes  *temp0;
  temp0 = GetVTKPointer<vtkPlanes>(arg[1]);
  vtk_pointer->GetPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:SetInsideOut vtkBoxRepresentationSetInsideOutFunction
//input a0 a1 
//output none
ArrayVector vtkBoxRepresentationSetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInsideOut (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInsideOut for class vtkBoxRepresentation requires 2 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInsideOut(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:GetInsideOut vtkBoxRepresentationGetInsideOutFunction
//input a0 
//output y
ArrayVector vtkBoxRepresentationGetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInsideOut (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInsideOut for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInsideOut();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:InsideOutOn vtkBoxRepresentationInsideOutOnFunction
//input a0 
//output none
ArrayVector vtkBoxRepresentationInsideOutOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOn for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOn();
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:InsideOutOff vtkBoxRepresentationInsideOutOffFunction
//input a0 
//output none
ArrayVector vtkBoxRepresentationInsideOutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOff for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOff();
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:GetTransform vtkBoxRepresentationGetTransformFunction
//input a0 a1 
//output none
ArrayVector vtkBoxRepresentationGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetTransform (vtkTransform *t); */
  if (arg.size() < 2) 
    throw Exception("Function GetTransform for class vtkBoxRepresentation requires 2 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtkTransform  *temp0;
  temp0 = GetVTKPointer<vtkTransform>(arg[1]);
  vtk_pointer->GetTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:SetTransform vtkBoxRepresentationSetTransformFunction
//input a0 a1 
//output none
ArrayVector vtkBoxRepresentationSetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTransform (vtkTransform *t); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransform for class vtkBoxRepresentation requires 2 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtkTransform  *temp0;
  temp0 = GetVTKPointer<vtkTransform>(arg[1]);
  vtk_pointer->SetTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:GetPolyData vtkBoxRepresentationGetPolyDataFunction
//input a0 a1 
//output none
ArrayVector vtkBoxRepresentationGetPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPolyData (vtkPolyData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function GetPolyData for class vtkBoxRepresentation requires 2 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->GetPolyData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:GetHandleProperty vtkBoxRepresentationGetHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkBoxRepresentationGetHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleProperty for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:GetSelectedHandleProperty vtkBoxRepresentationGetSelectedHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkBoxRepresentationGetSelectedHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedHandleProperty for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:GetFaceProperty vtkBoxRepresentationGetFacePropertyFunction
//input a0 
//output y
ArrayVector vtkBoxRepresentationGetFacePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetFaceProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFaceProperty for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetFaceProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:GetSelectedFaceProperty vtkBoxRepresentationGetSelectedFacePropertyFunction
//input a0 
//output y
ArrayVector vtkBoxRepresentationGetSelectedFacePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedFaceProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedFaceProperty for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedFaceProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:GetOutlineProperty vtkBoxRepresentationGetOutlinePropertyFunction
//input a0 
//output y
ArrayVector vtkBoxRepresentationGetOutlinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetOutlineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutlineProperty for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetOutlineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:GetSelectedOutlineProperty vtkBoxRepresentationGetSelectedOutlinePropertyFunction
//input a0 
//output y
ArrayVector vtkBoxRepresentationGetSelectedOutlinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedOutlineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedOutlineProperty for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedOutlineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:SetOutlineFaceWires vtkBoxRepresentationSetOutlineFaceWiresFunction
//input a0 a1 
//output none
ArrayVector vtkBoxRepresentationSetOutlineFaceWiresFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutlineFaceWires (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutlineFaceWires for class vtkBoxRepresentation requires 2 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutlineFaceWires(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:GetOutlineFaceWires vtkBoxRepresentationGetOutlineFaceWiresFunction
//input a0 
//output y
ArrayVector vtkBoxRepresentationGetOutlineFaceWiresFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutlineFaceWires (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutlineFaceWires for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutlineFaceWires();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:OutlineFaceWiresOn vtkBoxRepresentationOutlineFaceWiresOnFunction
//input a0 
//output none
ArrayVector vtkBoxRepresentationOutlineFaceWiresOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineFaceWiresOn ();this SetOutlineFaceWires  */
  if (arg.size() < 1) 
    throw Exception("Function OutlineFaceWiresOn for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->OutlineFaceWiresOn();
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:OutlineFaceWiresOff vtkBoxRepresentationOutlineFaceWiresOffFunction
//input a0 
//output none
ArrayVector vtkBoxRepresentationOutlineFaceWiresOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineFaceWiresOff ();this SetOutlineFaceWires  */
  if (arg.size() < 1) 
    throw Exception("Function OutlineFaceWiresOff for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->OutlineFaceWiresOff();
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:SetOutlineCursorWires vtkBoxRepresentationSetOutlineCursorWiresFunction
//input a0 a1 
//output none
ArrayVector vtkBoxRepresentationSetOutlineCursorWiresFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutlineCursorWires (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutlineCursorWires for class vtkBoxRepresentation requires 2 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutlineCursorWires(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:GetOutlineCursorWires vtkBoxRepresentationGetOutlineCursorWiresFunction
//input a0 
//output y
ArrayVector vtkBoxRepresentationGetOutlineCursorWiresFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutlineCursorWires (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutlineCursorWires for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutlineCursorWires();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:OutlineCursorWiresOn vtkBoxRepresentationOutlineCursorWiresOnFunction
//input a0 
//output none
ArrayVector vtkBoxRepresentationOutlineCursorWiresOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineCursorWiresOn ();this SetOutlineCursorWires  */
  if (arg.size() < 1) 
    throw Exception("Function OutlineCursorWiresOn for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->OutlineCursorWiresOn();
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:OutlineCursorWiresOff vtkBoxRepresentationOutlineCursorWiresOffFunction
//input a0 
//output none
ArrayVector vtkBoxRepresentationOutlineCursorWiresOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineCursorWiresOff ();this SetOutlineCursorWires  */
  if (arg.size() < 1) 
    throw Exception("Function OutlineCursorWiresOff for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->OutlineCursorWiresOff();
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:HandlesOn vtkBoxRepresentationHandlesOnFunction
//input a0 
//output none
ArrayVector vtkBoxRepresentationHandlesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void HandlesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HandlesOn for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->HandlesOn();
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:HandlesOff vtkBoxRepresentationHandlesOffFunction
//input a0 
//output none
ArrayVector vtkBoxRepresentationHandlesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void HandlesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HandlesOff for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->HandlesOff();
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:PlaceWidget vtkBoxRepresentationPlaceWidgetFunction
//input a0 a1 
//output none
ArrayVector vtkBoxRepresentationPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget for class vtkBoxRepresentation requires 2 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:BuildRepresentation vtkBoxRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkBoxRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:ComputeInteractionState vtkBoxRepresentationComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkBoxRepresentationComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkBoxRepresentation requires 4 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:StartWidgetInteraction vtkBoxRepresentationStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkBoxRepresentationStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkBoxRepresentation requires 2 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:WidgetInteraction vtkBoxRepresentationWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkBoxRepresentationWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkBoxRepresentation requires 2 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:GetBounds vtkBoxRepresentationGetBoundsFunction
//input a0 
//output y
ArrayVector vtkBoxRepresentationGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:ReleaseGraphicsResources vtkBoxRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkBoxRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkBoxRepresentation requires 2 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:RenderOpaqueGeometry vtkBoxRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkBoxRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkBoxRepresentation requires 2 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:RenderTranslucentPolygonalGeometry vtkBoxRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkBoxRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkBoxRepresentation requires 2 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:HasTranslucentPolygonalGeometry vtkBoxRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkBoxRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkBoxRepresentation requires 1 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:SetInteractionState vtkBoxRepresentationSetInteractionStateFunction
//input a0 a1 
//output none
ArrayVector vtkBoxRepresentationSetInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInteractionState (int state); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractionState for class vtkBoxRepresentation requires 2 argument(s)");
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInteractionState(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxRepresentation:display vtkBoxRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBoxRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBoxRepresentation* vtk_pointer = GetVTKPointer<vtkBoxRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBoxRepresentation:delete vtkBoxRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkBoxRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBoxRepresentation
//@@Section VTKWidgets
//@@Usage
// This class is a concrete representation for the vtkBoxWidget2. It
// represents a box with seven handles: one on each of the six faces, plus a
// center handle. Through interaction with the widget, the box
// representation can be arbitrarily positioned in the 3D space.
//
// To use this representation, you normally use the PlaceWidget() method
// to position the widget at a specified region in space.
//
//
//To create an instance of class vtkBoxRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkBoxRepresentation
//@]
//@@Methods
//The class vtkBoxRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBoxRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for the class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for the class.
//// \item @|vtkBoxRepresentation = obj.NewInstance ()| -  Standard methods for the class.
//// \item @|vtkBoxRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard methods for the class.
//// \item @|obj.GetPlanes (vtkPlanes planes)| -  Get the planes describing the implicit function defined by the box
// widget. The user must provide the instance of the class vtkPlanes. Note
// that vtkPlanes is a subclass of vtkImplicitFunction, meaning that it can
// be used by a variety of filters to perform clipping, cutting, and
// selection of data.  (The direction of the normals of the planes can be
// reversed enabling the InsideOut flag.)
//// \item @|obj.SetInsideOut (int )| -  Set/Get the InsideOut flag. This data memeber is used in conjunction
// with the GetPlanes() method. When off, the normals point out of the
// box. When on, the normals point into the hexahedron.  InsideOut is off
// by default.
//// \item @|int = obj.GetInsideOut ()| -  Set/Get the InsideOut flag. This data memeber is used in conjunction
// with the GetPlanes() method. When off, the normals point out of the
// box. When on, the normals point into the hexahedron.  InsideOut is off
// by default.
//// \item @|obj.InsideOutOn ()| -  Set/Get the InsideOut flag. This data memeber is used in conjunction
// with the GetPlanes() method. When off, the normals point out of the
// box. When on, the normals point into the hexahedron.  InsideOut is off
// by default.
//// \item @|obj.InsideOutOff ()| -  Set/Get the InsideOut flag. This data memeber is used in conjunction
// with the GetPlanes() method. When off, the normals point out of the
// box. When on, the normals point into the hexahedron.  InsideOut is off
// by default.
//// \item @|obj.GetTransform (vtkTransform t)| -  Retrieve a linear transform characterizing the transformation of the
// box. Note that the transformation is relative to where PlaceWidget()
// was initially called. This method modifies the transform provided. The
// transform can be used to control the position of vtkProp3D's, as well as
// other transformation operations (e.g., vtkTranformPolyData).
//// \item @|obj.SetTransform (vtkTransform t)| -  Set the position, scale and orientation of the box widget using the
// transform specified. Note that the transformation is relative to 
// where PlaceWidget() was initially called (i.e., the original bounding
// box). 
//// \item @|obj.GetPolyData (vtkPolyData pd)| -  Grab the polydata (including points) that define the box widget. The
// polydata consists of 6 quadrilateral faces and 15 points. The first
// eight points define the eight corner vertices; the next six define the
// -x,+x, -y,+y, -z,+z face points; and the final point (the 15th out of 15
// points) defines the center of the box. These point values are guaranteed
// to be up-to-date when either the widget's corresponding InteractionEvent
// or EndInteractionEvent events are invoked. The user provides the
// vtkPolyData and the points and cells are added to it.
//// \item @|vtkProperty = obj.GetHandleProperty ()| -  Get the handle properties (the little balls are the handles). The 
// properties of the handles, when selected or normal, can be 
// specified.
//// \item @|vtkProperty = obj.GetSelectedHandleProperty ()| -  Get the handle properties (the little balls are the handles). The 
// properties of the handles, when selected or normal, can be 
// specified.
//// \item @|vtkProperty = obj.GetFaceProperty ()| -  Get the face properties (the faces of the box). The 
// properties of the face when selected and normal can be 
// set.
//// \item @|vtkProperty = obj.GetSelectedFaceProperty ()| -  Get the face properties (the faces of the box). The 
// properties of the face when selected and normal can be 
// set.
//// \item @|vtkProperty = obj.GetOutlineProperty ()| -  Get the outline properties (the outline of the box). The 
// properties of the outline when selected and normal can be 
// set.
//// \item @|vtkProperty = obj.GetSelectedOutlineProperty ()| -  Get the outline properties (the outline of the box). The 
// properties of the outline when selected and normal can be 
// set.
//// \item @|obj.SetOutlineFaceWires (int )| -  Control the representation of the outline. This flag enables
// face wires. By default face wires are off.
//// \item @|int = obj.GetOutlineFaceWires ()| -  Control the representation of the outline. This flag enables
// face wires. By default face wires are off.
//// \item @|obj.OutlineFaceWiresOn ()| -  Control the representation of the outline. This flag enables
// face wires. By default face wires are off.
//// \item @|obj.OutlineFaceWiresOff ()| -  Control the representation of the outline. This flag enables
// the cursor lines running between the handles. By default cursor
// wires are on.
//// \item @|obj.SetOutlineCursorWires (int )| -  Control the representation of the outline. This flag enables
// the cursor lines running between the handles. By default cursor
// wires are on.
//// \item @|int = obj.GetOutlineCursorWires ()| -  Control the representation of the outline. This flag enables
// the cursor lines running between the handles. By default cursor
// wires are on.
//// \item @|obj.OutlineCursorWiresOn ()| -  Control the representation of the outline. This flag enables
// the cursor lines running between the handles. By default cursor
// wires are on.
//// \item @|obj.OutlineCursorWiresOff ()| -  Switches handles (the spheres) on or off by manipulating the underlying
// actor visibility.
//// \item @|obj.HandlesOn ()| -  Switches handles (the spheres) on or off by manipulating the underlying
// actor visibility.
//// \item @|obj.HandlesOff ()| -  Switches handles (the spheres) on or off by manipulating the underlying
// actor visibility.
//// \item @|obj.PlaceWidget (double bounds[6])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.BuildRepresentation ()| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.StartWidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.WidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|double = obj.GetBounds ()| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Methods supporting, and required by, the rendering process.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  Methods supporting, and required by, the rendering process.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  Methods supporting, and required by, the rendering process.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Methods supporting, and required by, the rendering process.
//// \item @|obj.SetInteractionState (int state)| -  The interaction state may be set from a widget (e.g., vtkBoxWidget2) or
// other object. This controls how the interaction with the widget
// proceeds. Normally this method is used as part of a handshaking
// process with the widget: First ComputeInteractionState() is invoked that
// returns a state based on geometric considerations (i.e., cursor near a
// widget feature), then based on events, the widget may modify this
// further.
////\end{itemize}
//!
