#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBoxWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBoxWidget.h"

//@@Signature
//sfunction @vtkBoxWidget:vtkBoxWidget vtkBoxWidgetConstructorFunction
//input a
//output p
//@@Parents vtkBoxWidget vtk3DWidget 
ArrayVector vtkBoxWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBoxWidget::New(),"vtkBoxWidget",eval);
  } else if (arg[0].className() == "vtkBoxWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBoxWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBoxWidget");
    vtkBoxWidget*q = reinterpret_cast<vtkBoxWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBoxWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBoxWidget:GetClassName vtkBoxWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBoxWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:IsA vtkBoxWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBoxWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBoxWidget requires 2 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:NewInstance vtkBoxWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBoxWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBoxWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtkBoxWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBoxWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:SafeDownCast vtkBoxWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBoxWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBoxWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBoxWidget requires 2 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBoxWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBoxWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:SetEnabled vtkBoxWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkBoxWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkBoxWidget requires 2 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:PlaceWidget__1 vtkBoxWidgetPlaceWidget__1Function
//input a0 a1 
//output none
ArrayVector vtkBoxWidgetPlaceWidget__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget__1 for class vtkBoxWidget requires 2 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:PlaceWidget__2 vtkBoxWidgetPlaceWidget__2Function
//input a0 
//output none
ArrayVector vtkBoxWidgetPlaceWidget__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget ();this Superclass PlaceWidget  */
  if (arg.size() < 1) 
    throw Exception("Function PlaceWidget__2 for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtk_pointer->PlaceWidget();
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:PlaceWidget__3 vtkBoxWidgetPlaceWidget__3Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkBoxWidgetPlaceWidget__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax  */
  if (arg.size() < 7) 
    throw Exception("Function PlaceWidget__3 for class vtkBoxWidget requires 7 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:GetPlanes vtkBoxWidgetGetPlanesFunction
//input a0 a1 
//output none
ArrayVector vtkBoxWidgetGetPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPlanes (vtkPlanes *planes); */
  if (arg.size() < 2) 
    throw Exception("Function GetPlanes for class vtkBoxWidget requires 2 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtkPlanes  *temp0;
  temp0 = GetVTKPointer<vtkPlanes>(arg[1]);
  vtk_pointer->GetPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:SetInsideOut vtkBoxWidgetSetInsideOutFunction
//input a0 a1 
//output none
ArrayVector vtkBoxWidgetSetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInsideOut (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInsideOut for class vtkBoxWidget requires 2 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInsideOut(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:GetInsideOut vtkBoxWidgetGetInsideOutFunction
//input a0 
//output y
ArrayVector vtkBoxWidgetGetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInsideOut (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInsideOut for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInsideOut();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:InsideOutOn vtkBoxWidgetInsideOutOnFunction
//input a0 
//output none
ArrayVector vtkBoxWidgetInsideOutOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOn for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOn();
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:InsideOutOff vtkBoxWidgetInsideOutOffFunction
//input a0 
//output none
ArrayVector vtkBoxWidgetInsideOutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOff for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOff();
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:GetTransform vtkBoxWidgetGetTransformFunction
//input a0 a1 
//output none
ArrayVector vtkBoxWidgetGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetTransform (vtkTransform *t); */
  if (arg.size() < 2) 
    throw Exception("Function GetTransform for class vtkBoxWidget requires 2 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtkTransform  *temp0;
  temp0 = GetVTKPointer<vtkTransform>(arg[1]);
  vtk_pointer->GetTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:SetTransform vtkBoxWidgetSetTransformFunction
//input a0 a1 
//output none
ArrayVector vtkBoxWidgetSetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTransform (vtkTransform *t); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransform for class vtkBoxWidget requires 2 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtkTransform  *temp0;
  temp0 = GetVTKPointer<vtkTransform>(arg[1]);
  vtk_pointer->SetTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:GetPolyData vtkBoxWidgetGetPolyDataFunction
//input a0 a1 
//output none
ArrayVector vtkBoxWidgetGetPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPolyData (vtkPolyData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function GetPolyData for class vtkBoxWidget requires 2 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->GetPolyData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:GetHandleProperty vtkBoxWidgetGetHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkBoxWidgetGetHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleProperty for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:GetSelectedHandleProperty vtkBoxWidgetGetSelectedHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkBoxWidgetGetSelectedHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedHandleProperty for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:HandlesOn vtkBoxWidgetHandlesOnFunction
//input a0 
//output none
ArrayVector vtkBoxWidgetHandlesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandlesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HandlesOn for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtk_pointer->HandlesOn();
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:HandlesOff vtkBoxWidgetHandlesOffFunction
//input a0 
//output none
ArrayVector vtkBoxWidgetHandlesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandlesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HandlesOff for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtk_pointer->HandlesOff();
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:GetFaceProperty vtkBoxWidgetGetFacePropertyFunction
//input a0 
//output y
ArrayVector vtkBoxWidgetGetFacePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetFaceProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFaceProperty for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetFaceProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:GetSelectedFaceProperty vtkBoxWidgetGetSelectedFacePropertyFunction
//input a0 
//output y
ArrayVector vtkBoxWidgetGetSelectedFacePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedFaceProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedFaceProperty for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedFaceProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:GetOutlineProperty vtkBoxWidgetGetOutlinePropertyFunction
//input a0 
//output y
ArrayVector vtkBoxWidgetGetOutlinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetOutlineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutlineProperty for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetOutlineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:GetSelectedOutlineProperty vtkBoxWidgetGetSelectedOutlinePropertyFunction
//input a0 
//output y
ArrayVector vtkBoxWidgetGetSelectedOutlinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedOutlineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedOutlineProperty for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedOutlineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:SetOutlineFaceWires vtkBoxWidgetSetOutlineFaceWiresFunction
//input a0 a1 
//output none
ArrayVector vtkBoxWidgetSetOutlineFaceWiresFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutlineFaceWires (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutlineFaceWires for class vtkBoxWidget requires 2 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutlineFaceWires(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:GetOutlineFaceWires vtkBoxWidgetGetOutlineFaceWiresFunction
//input a0 
//output y
ArrayVector vtkBoxWidgetGetOutlineFaceWiresFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutlineFaceWires (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutlineFaceWires for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutlineFaceWires();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:OutlineFaceWiresOn vtkBoxWidgetOutlineFaceWiresOnFunction
//input a0 
//output none
ArrayVector vtkBoxWidgetOutlineFaceWiresOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineFaceWiresOn ();this SetOutlineFaceWires  */
  if (arg.size() < 1) 
    throw Exception("Function OutlineFaceWiresOn for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtk_pointer->OutlineFaceWiresOn();
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:OutlineFaceWiresOff vtkBoxWidgetOutlineFaceWiresOffFunction
//input a0 
//output none
ArrayVector vtkBoxWidgetOutlineFaceWiresOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineFaceWiresOff ();this SetOutlineFaceWires  */
  if (arg.size() < 1) 
    throw Exception("Function OutlineFaceWiresOff for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtk_pointer->OutlineFaceWiresOff();
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:SetOutlineCursorWires vtkBoxWidgetSetOutlineCursorWiresFunction
//input a0 a1 
//output none
ArrayVector vtkBoxWidgetSetOutlineCursorWiresFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutlineCursorWires (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutlineCursorWires for class vtkBoxWidget requires 2 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutlineCursorWires(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:GetOutlineCursorWires vtkBoxWidgetGetOutlineCursorWiresFunction
//input a0 
//output y
ArrayVector vtkBoxWidgetGetOutlineCursorWiresFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutlineCursorWires (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutlineCursorWires for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutlineCursorWires();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:OutlineCursorWiresOn vtkBoxWidgetOutlineCursorWiresOnFunction
//input a0 
//output none
ArrayVector vtkBoxWidgetOutlineCursorWiresOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineCursorWiresOn ();this SetOutlineCursorWires  */
  if (arg.size() < 1) 
    throw Exception("Function OutlineCursorWiresOn for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtk_pointer->OutlineCursorWiresOn();
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:OutlineCursorWiresOff vtkBoxWidgetOutlineCursorWiresOffFunction
//input a0 
//output none
ArrayVector vtkBoxWidgetOutlineCursorWiresOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineCursorWiresOff ();this SetOutlineCursorWires  */
  if (arg.size() < 1) 
    throw Exception("Function OutlineCursorWiresOff for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtk_pointer->OutlineCursorWiresOff();
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:SetTranslationEnabled vtkBoxWidgetSetTranslationEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkBoxWidgetSetTranslationEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTranslationEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTranslationEnabled for class vtkBoxWidget requires 2 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTranslationEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:GetTranslationEnabled vtkBoxWidgetGetTranslationEnabledFunction
//input a0 
//output y
ArrayVector vtkBoxWidgetGetTranslationEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTranslationEnabled (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTranslationEnabled for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTranslationEnabled();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:TranslationEnabledOn vtkBoxWidgetTranslationEnabledOnFunction
//input a0 
//output none
ArrayVector vtkBoxWidgetTranslationEnabledOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TranslationEnabledOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TranslationEnabledOn for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtk_pointer->TranslationEnabledOn();
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:TranslationEnabledOff vtkBoxWidgetTranslationEnabledOffFunction
//input a0 
//output none
ArrayVector vtkBoxWidgetTranslationEnabledOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TranslationEnabledOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TranslationEnabledOff for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtk_pointer->TranslationEnabledOff();
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:SetScalingEnabled vtkBoxWidgetSetScalingEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkBoxWidgetSetScalingEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalingEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalingEnabled for class vtkBoxWidget requires 2 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalingEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:GetScalingEnabled vtkBoxWidgetGetScalingEnabledFunction
//input a0 
//output y
ArrayVector vtkBoxWidgetGetScalingEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalingEnabled (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalingEnabled for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalingEnabled();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:ScalingEnabledOn vtkBoxWidgetScalingEnabledOnFunction
//input a0 
//output none
ArrayVector vtkBoxWidgetScalingEnabledOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalingEnabledOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalingEnabledOn for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtk_pointer->ScalingEnabledOn();
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:ScalingEnabledOff vtkBoxWidgetScalingEnabledOffFunction
//input a0 
//output none
ArrayVector vtkBoxWidgetScalingEnabledOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalingEnabledOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalingEnabledOff for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtk_pointer->ScalingEnabledOff();
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:SetRotationEnabled vtkBoxWidgetSetRotationEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkBoxWidgetSetRotationEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRotationEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRotationEnabled for class vtkBoxWidget requires 2 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRotationEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:GetRotationEnabled vtkBoxWidgetGetRotationEnabledFunction
//input a0 
//output y
ArrayVector vtkBoxWidgetGetRotationEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRotationEnabled (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRotationEnabled for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRotationEnabled();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:RotationEnabledOn vtkBoxWidgetRotationEnabledOnFunction
//input a0 
//output none
ArrayVector vtkBoxWidgetRotationEnabledOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotationEnabledOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RotationEnabledOn for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtk_pointer->RotationEnabledOn();
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:RotationEnabledOff vtkBoxWidgetRotationEnabledOffFunction
//input a0 
//output none
ArrayVector vtkBoxWidgetRotationEnabledOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RotationEnabledOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RotationEnabledOff for class vtkBoxWidget requires 1 argument(s)");
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  Array retval;
  vtk_pointer->RotationEnabledOff();
  return retval;
}

//@@Signature
//sfunction @vtkBoxWidget:PlaceWidget vtkBoxWidgetPlaceWidgetFunction
//input varargin
//output varargout
ArrayVector vtkBoxWidgetPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkBoxWidgetPlaceWidget__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkBoxWidgetPlaceWidget__2Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkBoxWidgetPlaceWidget__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBoxWidgetPlaceWidget");
}

//@@Signature
//sfunction @vtkBoxWidget:display vtkBoxWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBoxWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBoxWidget* vtk_pointer = GetVTKPointer<vtkBoxWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBoxWidget:delete vtkBoxWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkBoxWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBoxWidget
//@@Section VTKWidgets
//@@Usage
// This 3D widget defines a region of interest that is represented by an
// arbitrarily oriented hexahedron with interior face angles of 90 degrees
// (orthogonal faces). The object creates 7 handles that can be moused on and
// manipulated. The first six correspond to the six faces, the seventh is in
// the center of the hexahedron. In addition, a bounding box outline is shown,
// the "faces" of which can be selected for object rotation or scaling. A
// nice feature of the object is that the vtkBoxWidget, like any 3D widget,
// will work with the current interactor style. That is, if vtkBoxWidget does
// not handle an event, then all other registered observers (including the
// interactor style) have an opportunity to process the event. Otherwise, the
// vtkBoxWidget will terminate the processing of the event that it handles.
//
// To use this object, just invoke SetInteractor() with the argument of the
// method a vtkRenderWindowInteractor.  You may also wish to invoke
// "PlaceWidget()" to initially position the widget. The interactor will act
// normally until the "i" key (for "interactor") is pressed, at which point the
// vtkBoxWidget will appear. (See superclass documentation for information
// about changing this behavior.) By grabbing the six face handles (use the
// left mouse button), faces can be moved. By grabbing the center handle
// (with the left mouse button), the entire hexahedron can be
// translated. (Translation can also be employed by using the
// "shift-left-mouse-button" combination inside of the widget.) Scaling is
// achieved by using the right mouse button "up" the render window (makes the
// widget bigger) or "down" the render window (makes the widget smaller). To
// rotate vtkBoxWidget, pick a face (but not a face handle) and move the left
// mouse. (Note: the mouse button must be held down during manipulation.)
// Events that occur outside of the widget (i.e., no part of the widget is
// picked) are propagated to any other registered obsevers (such as the
// interaction style).  Turn off the widget by pressing the "i" key again.
// (See the superclass documentation on key press activiation.)
//
// The vtkBoxWidget is very flexible. It can be used to select, cut, clip, or
// perform any other operation that depends on an implicit function (use the
// GetPlanes() method); or it can be used to transform objects using a linear
// transformation (use the GetTransform() method). Typical usage of the
// widget is to make use of the StartInteractionEvent, InteractionEvent, and
// EndInteractionEvent events. The InteractionEvent is called on mouse
// motion; the other two events are called on button down and button up 
// (either left or right button).
//
// Some additional features of this class include the ability to control the
// rendered properties of the widget. You can set the properties of the
// selected and unselected representations of the parts of the widget. For
// example, you can set the property for the handles, faces, and outline in
// their normal and selected states.
//
//To create an instance of class vtkBoxWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkBoxWidget
//@]
//@@Methods
//The class vtkBoxWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBoxWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBoxWidget = obj.NewInstance ()|
// \item @|vtkBoxWidget = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetEnabled (int )| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double bounds[6])| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget ()| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  Get the planes describing the implicit function defined by the box
// widget. The user must provide the instance of the class vtkPlanes. Note
// that vtkPlanes is a subclass of vtkImplicitFunction, meaning that it can
// be used by a variety of filters to perform clipping, cutting, and
// selection of data.  (The direction of the normals of the planes can be
// reversed enabling the InsideOut flag.)
//// \item @|obj.GetPlanes (vtkPlanes planes)| -  Get the planes describing the implicit function defined by the box
// widget. The user must provide the instance of the class vtkPlanes. Note
// that vtkPlanes is a subclass of vtkImplicitFunction, meaning that it can
// be used by a variety of filters to perform clipping, cutting, and
// selection of data.  (The direction of the normals of the planes can be
// reversed enabling the InsideOut flag.)
//// \item @|obj.SetInsideOut (int )| -  Set/Get the InsideOut flag. When off, the normals point out of the
// box. When on, the normals point into the hexahedron.  InsideOut
// is off by default.
//// \item @|int = obj.GetInsideOut ()| -  Set/Get the InsideOut flag. When off, the normals point out of the
// box. When on, the normals point into the hexahedron.  InsideOut
// is off by default.
//// \item @|obj.InsideOutOn ()| -  Set/Get the InsideOut flag. When off, the normals point out of the
// box. When on, the normals point into the hexahedron.  InsideOut
// is off by default.
//// \item @|obj.InsideOutOff ()| -  Set/Get the InsideOut flag. When off, the normals point out of the
// box. When on, the normals point into the hexahedron.  InsideOut
// is off by default.
//// \item @|obj.GetTransform (vtkTransform t)| -  Retrieve a linear transform characterizing the transformation of the
// box. Note that the transformation is relative to where PlaceWidget
// was initially called. This method modifies the transform provided. The
// transform can be used to control the position of vtkProp3D's, as well as
// other transformation operations (e.g., vtkTranformPolyData).
//// \item @|obj.SetTransform (vtkTransform t)| -  Set the position, scale and orientation of the box widget using the
// transform specified. Note that the transformation is relative to 
// where PlaceWidget was initially called (i.e., the original bounding
// box). 
//// \item @|obj.GetPolyData (vtkPolyData pd)| -  Grab the polydata (including points) that define the box widget. The
// polydata consists of 6 quadrilateral faces and 15 points. The first
// eight points define the eight corner vertices; the next six define the
// -x,+x, -y,+y, -z,+z face points; and the final point (the 15th out of 15
// points) defines the center of the hexahedron. These point values are
// guaranteed to be up-to-date when either the InteractionEvent or
// EndInteractionEvent events are invoked. The user provides the
// vtkPolyData and the points and cells are added to it.
//// \item @|vtkProperty = obj.GetHandleProperty ()| -  Get the handle properties (the little balls are the handles). The 
// properties of the handles when selected and normal can be 
// set.
//// \item @|vtkProperty = obj.GetSelectedHandleProperty ()| -  Get the handle properties (the little balls are the handles). The 
// properties of the handles when selected and normal can be 
// set.
//// \item @|obj.HandlesOn ()| -  Switches handles (the spheres) on or off by manipulating the actor
// visibility.
//// \item @|obj.HandlesOff ()| -  Switches handles (the spheres) on or off by manipulating the actor
// visibility.
//// \item @|vtkProperty = obj.GetFaceProperty ()| -  Get the face properties (the faces of the box). The 
// properties of the face when selected and normal can be 
// set.
//// \item @|vtkProperty = obj.GetSelectedFaceProperty ()| -  Get the face properties (the faces of the box). The 
// properties of the face when selected and normal can be 
// set.
//// \item @|vtkProperty = obj.GetOutlineProperty ()| -  Get the outline properties (the outline of the box). The 
// properties of the outline when selected and normal can be 
// set.
//// \item @|vtkProperty = obj.GetSelectedOutlineProperty ()| -  Get the outline properties (the outline of the box). The 
// properties of the outline when selected and normal can be 
// set.
//// \item @|obj.SetOutlineFaceWires (int )| -  Control the representation of the outline. This flag enables
// face wires. By default face wires are off.
//// \item @|int = obj.GetOutlineFaceWires ()| -  Control the representation of the outline. This flag enables
// face wires. By default face wires are off.
//// \item @|obj.OutlineFaceWiresOn ()| -  Control the representation of the outline. This flag enables
// face wires. By default face wires are off.
//// \item @|obj.OutlineFaceWiresOff ()| -  Control the representation of the outline. This flag enables
// the cursor lines running between the handles. By default cursor
// wires are on.
//// \item @|obj.SetOutlineCursorWires (int )| -  Control the representation of the outline. This flag enables
// the cursor lines running between the handles. By default cursor
// wires are on.
//// \item @|int = obj.GetOutlineCursorWires ()| -  Control the representation of the outline. This flag enables
// the cursor lines running between the handles. By default cursor
// wires are on.
//// \item @|obj.OutlineCursorWiresOn ()| -  Control the representation of the outline. This flag enables
// the cursor lines running between the handles. By default cursor
// wires are on.
//// \item @|obj.OutlineCursorWiresOff ()| -  Control the behavior of the widget. Translation, rotation, and
// scaling can all be enabled and disabled.
//// \item @|obj.SetTranslationEnabled (int )| -  Control the behavior of the widget. Translation, rotation, and
// scaling can all be enabled and disabled.
//// \item @|int = obj.GetTranslationEnabled ()| -  Control the behavior of the widget. Translation, rotation, and
// scaling can all be enabled and disabled.
//// \item @|obj.TranslationEnabledOn ()| -  Control the behavior of the widget. Translation, rotation, and
// scaling can all be enabled and disabled.
//// \item @|obj.TranslationEnabledOff ()| -  Control the behavior of the widget. Translation, rotation, and
// scaling can all be enabled and disabled.
//// \item @|obj.SetScalingEnabled (int )| -  Control the behavior of the widget. Translation, rotation, and
// scaling can all be enabled and disabled.
//// \item @|int = obj.GetScalingEnabled ()| -  Control the behavior of the widget. Translation, rotation, and
// scaling can all be enabled and disabled.
//// \item @|obj.ScalingEnabledOn ()| -  Control the behavior of the widget. Translation, rotation, and
// scaling can all be enabled and disabled.
//// \item @|obj.ScalingEnabledOff ()| -  Control the behavior of the widget. Translation, rotation, and
// scaling can all be enabled and disabled.
//// \item @|obj.SetRotationEnabled (int )| -  Control the behavior of the widget. Translation, rotation, and
// scaling can all be enabled and disabled.
//// \item @|int = obj.GetRotationEnabled ()| -  Control the behavior of the widget. Translation, rotation, and
// scaling can all be enabled and disabled.
//// \item @|obj.RotationEnabledOn ()| -  Control the behavior of the widget. Translation, rotation, and
// scaling can all be enabled and disabled.
//// \item @|obj.RotationEnabledOff ()| -  Control the behavior of the widget. Translation, rotation, and
// scaling can all be enabled and disabled.
////\end{itemize}
//!
