#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCameraRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCameraRepresentation.h"

//@@Signature
//sfunction @vtkCameraRepresentation:vtkCameraRepresentation vtkCameraRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkCameraRepresentation vtkBorderRepresentation 
ArrayVector vtkCameraRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCameraRepresentation::New(),"vtkCameraRepresentation",eval);
  } else if (arg[0].className() == "vtkCameraRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCameraRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCameraRepresentation");
    vtkCameraRepresentation*q = reinterpret_cast<vtkCameraRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCameraRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCameraRepresentation:GetClassName vtkCameraRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCameraRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCameraRepresentation requires 1 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:IsA vtkCameraRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCameraRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCameraRepresentation requires 2 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:NewInstance vtkCameraRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCameraRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCameraRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCameraRepresentation requires 1 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  vtkCameraRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCameraRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:SafeDownCast vtkCameraRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCameraRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCameraRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCameraRepresentation requires 2 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCameraRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCameraRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:SetCamera vtkCameraRepresentationSetCameraFunction
//input a0 a1 
//output none
ArrayVector vtkCameraRepresentationSetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCamera (vtkCamera *camera); */
  if (arg.size() < 2) 
    throw Exception("Function SetCamera for class vtkCameraRepresentation requires 2 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  vtkCamera  *temp0;
  temp0 = GetVTKPointer<vtkCamera>(arg[1]);
  vtk_pointer->SetCamera(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:GetCamera vtkCameraRepresentationGetCameraFunction
//input a0 
//output y
ArrayVector vtkCameraRepresentationGetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCamera *GetCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCamera for class vtkCameraRepresentation requires 1 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  vtkCamera  *temp20;
  temp20 = (vtk_pointer)->GetCamera();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:SetInterpolator vtkCameraRepresentationSetInterpolatorFunction
//input a0 a1 
//output none
ArrayVector vtkCameraRepresentationSetInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolator (vtkCameraInterpolator *camInt); */
  if (arg.size() < 2) 
    throw Exception("Function SetInterpolator for class vtkCameraRepresentation requires 2 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  vtkCameraInterpolator  *temp0;
  temp0 = GetVTKPointer<vtkCameraInterpolator>(arg[1]);
  vtk_pointer->SetInterpolator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:GetInterpolator vtkCameraRepresentationGetInterpolatorFunction
//input a0 
//output y
ArrayVector vtkCameraRepresentationGetInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCameraInterpolator *GetInterpolator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolator for class vtkCameraRepresentation requires 1 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  vtkCameraInterpolator  *temp20;
  temp20 = (vtk_pointer)->GetInterpolator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCameraInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:SetNumberOfFrames vtkCameraRepresentationSetNumberOfFramesFunction
//input a0 a1 
//output none
ArrayVector vtkCameraRepresentationSetNumberOfFramesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfFrames (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfFrames for class vtkCameraRepresentation requires 2 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfFrames(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:GetNumberOfFramesMinValue vtkCameraRepresentationGetNumberOfFramesMinValueFunction
//input a0 
//output y
ArrayVector vtkCameraRepresentationGetNumberOfFramesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFramesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFramesMinValue for class vtkCameraRepresentation requires 1 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFramesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:GetNumberOfFramesMaxValue vtkCameraRepresentationGetNumberOfFramesMaxValueFunction
//input a0 
//output y
ArrayVector vtkCameraRepresentationGetNumberOfFramesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFramesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFramesMaxValue for class vtkCameraRepresentation requires 1 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFramesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:GetNumberOfFrames vtkCameraRepresentationGetNumberOfFramesFunction
//input a0 
//output y
ArrayVector vtkCameraRepresentationGetNumberOfFramesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFrames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFrames for class vtkCameraRepresentation requires 1 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFrames();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:GetProperty vtkCameraRepresentationGetPropertyFunction
//input a0 
//output y
ArrayVector vtkCameraRepresentationGetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *GetProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProperty for class vtkCameraRepresentation requires 1 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->GetProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:AddCameraToPath vtkCameraRepresentationAddCameraToPathFunction
//input a0 
//output none
ArrayVector vtkCameraRepresentationAddCameraToPathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddCameraToPath (); */
  if (arg.size() < 1) 
    throw Exception("Function AddCameraToPath for class vtkCameraRepresentation requires 1 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->AddCameraToPath();
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:AnimatePath vtkCameraRepresentationAnimatePathFunction
//input a0 a1 
//output none
ArrayVector vtkCameraRepresentationAnimatePathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AnimatePath (vtkRenderWindowInteractor *rwi); */
  if (arg.size() < 2) 
    throw Exception("Function AnimatePath for class vtkCameraRepresentation requires 2 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindowInteractor>(arg[1]);
  vtk_pointer->AnimatePath(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:InitializePath vtkCameraRepresentationInitializePathFunction
//input a0 
//output none
ArrayVector vtkCameraRepresentationInitializePathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitializePath (); */
  if (arg.size() < 1) 
    throw Exception("Function InitializePath for class vtkCameraRepresentation requires 1 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->InitializePath();
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:BuildRepresentation vtkCameraRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkCameraRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkCameraRepresentation requires 1 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:GetSize vtkCameraRepresentationGetSizeFunction
//input a0 a1 
//output none
ArrayVector vtkCameraRepresentationGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetSize (double size[2]);size size  */
  if (arg.size() < 2) 
    throw Exception("Function GetSize for class vtkCameraRepresentation requires 2 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:GetActors2D vtkCameraRepresentationGetActors2DFunction
//input a0 a1 
//output none
ArrayVector vtkCameraRepresentationGetActors2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors2D (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors2D for class vtkCameraRepresentation requires 2 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:ReleaseGraphicsResources vtkCameraRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkCameraRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkCameraRepresentation requires 2 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:RenderOverlay vtkCameraRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkCameraRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkCameraRepresentation requires 2 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:RenderOpaqueGeometry vtkCameraRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkCameraRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkCameraRepresentation requires 2 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:RenderTranslucentPolygonalGeometry vtkCameraRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkCameraRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkCameraRepresentation requires 2 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:HasTranslucentPolygonalGeometry vtkCameraRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkCameraRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkCameraRepresentation requires 1 argument(s)");
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraRepresentation:display vtkCameraRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCameraRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCameraRepresentation* vtk_pointer = GetVTKPointer<vtkCameraRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCameraRepresentation:delete vtkCameraRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkCameraRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCameraRepresentation
//@@Section VTKWidgets
//@@Usage
// This class provides support for interactively saving a series of camera
// views into an interpolated path (using vtkCameraInterpolator). The class
// typically works in conjunction with vtkCameraWidget. To use this class
// simply specify the camera to interpolate and use the methods
// AddCameraToPath(), AnimatePath(), and InitializePath() to add a new camera
// view, animate the current views, and initialize the interpolation.
//
//To create an instance of class vtkCameraRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkCameraRepresentation
//@]
//@@Methods
//The class vtkCameraRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCameraRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK class methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK class methods.
//// \item @|vtkCameraRepresentation = obj.NewInstance ()| -  Standard VTK class methods.
//// \item @|vtkCameraRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard VTK class methods.
//// \item @|obj.SetCamera (vtkCamera camera)| -  Specify the camera to interpolate. This must be specified by
// the user.
//// \item @|vtkCamera = obj.GetCamera ()| -  Specify the camera to interpolate. This must be specified by
// the user.
//// \item @|obj.SetInterpolator (vtkCameraInterpolator camInt)| -  Get the vtkCameraInterpolator used to interpolate and save the
// sequence of camera views. If not defined, one is created
// automatically. Note that you can access this object to set
// the interpolation type (linear, spline) and other instance
// variables.
//// \item @|vtkCameraInterpolator = obj.GetInterpolator ()| -  Get the vtkCameraInterpolator used to interpolate and save the
// sequence of camera views. If not defined, one is created
// automatically. Note that you can access this object to set
// the interpolation type (linear, spline) and other instance
// variables.
//// \item @|obj.SetNumberOfFrames (int )| -  Set the number of frames to generate when playback is initiated.
//// \item @|int = obj.GetNumberOfFramesMinValue ()| -  Set the number of frames to generate when playback is initiated.
//// \item @|int = obj.GetNumberOfFramesMaxValue ()| -  Set the number of frames to generate when playback is initiated.
//// \item @|int = obj.GetNumberOfFrames ()| -  Set the number of frames to generate when playback is initiated.
//// \item @|vtkProperty2D = obj.GetProperty ()| -  By obtaining this property you can specify the properties of the 
// representation.
//// \item @|obj.AddCameraToPath ()| -  These methods are used to create interpolated camera paths.  The
// AddCameraToPath() method adds the view defined by the current camera
// (via SetCamera()) to the interpolated camera path. AnimatePath()
// interpolates NumberOfFrames along the current path. InitializePath()
// resets the interpolated path to its initial, empty configuration.
//// \item @|obj.AnimatePath (vtkRenderWindowInteractor rwi)| -  These methods are used to create interpolated camera paths.  The
// AddCameraToPath() method adds the view defined by the current camera
// (via SetCamera()) to the interpolated camera path. AnimatePath()
// interpolates NumberOfFrames along the current path. InitializePath()
// resets the interpolated path to its initial, empty configuration.
//// \item @|obj.InitializePath ()| -  These methods are used to create interpolated camera paths.  The
// AddCameraToPath() method adds the view defined by the current camera
// (via SetCamera()) to the interpolated camera path. AnimatePath()
// interpolates NumberOfFrames along the current path. InitializePath()
// resets the interpolated path to its initial, empty configuration.
//// \item @|obj.BuildRepresentation ()| -  Satisfy the superclasses' API.
//// \item @|obj.GetSize (double size[2])| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|obj.GetActors2D (vtkPropCollection )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderOverlay (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  These methods are necessary to make this representation behave as
// a vtkProp.
////\end{itemize}
//!
