#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCameraWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCameraWidget.h"

//@@Signature
//sfunction @vtkCameraWidget:vtkCameraWidget vtkCameraWidgetConstructorFunction
//input a
//output p
//@@Parents vtkCameraWidget vtkBorderWidget 
ArrayVector vtkCameraWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCameraWidget::New(),"vtkCameraWidget",eval);
  } else if (arg[0].className() == "vtkCameraWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCameraWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCameraWidget");
    vtkCameraWidget*q = reinterpret_cast<vtkCameraWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCameraWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCameraWidget:GetClassName vtkCameraWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCameraWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCameraWidget requires 1 argument(s)");
  vtkCameraWidget* vtk_pointer = GetVTKPointer<vtkCameraWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraWidget:IsA vtkCameraWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCameraWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCameraWidget requires 2 argument(s)");
  vtkCameraWidget* vtk_pointer = GetVTKPointer<vtkCameraWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCameraWidget:NewInstance vtkCameraWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCameraWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCameraWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCameraWidget requires 1 argument(s)");
  vtkCameraWidget* vtk_pointer = GetVTKPointer<vtkCameraWidget>(arg[0]);
  Array retval;
  vtkCameraWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCameraWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraWidget:SafeDownCast vtkCameraWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCameraWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCameraWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCameraWidget requires 2 argument(s)");
  vtkCameraWidget* vtk_pointer = GetVTKPointer<vtkCameraWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCameraWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCameraWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCameraWidget:SetRepresentation vtkCameraWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkCameraWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkCameraRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkCameraWidget requires 2 argument(s)");
  vtkCameraWidget* vtk_pointer = GetVTKPointer<vtkCameraWidget>(arg[0]);
  Array retval;
  vtkCameraRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkCameraRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCameraWidget:CreateDefaultRepresentation vtkCameraWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkCameraWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkCameraWidget requires 1 argument(s)");
  vtkCameraWidget* vtk_pointer = GetVTKPointer<vtkCameraWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkCameraWidget:display vtkCameraWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCameraWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCameraWidget* vtk_pointer = GetVTKPointer<vtkCameraWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCameraWidget:delete vtkCameraWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkCameraWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCameraWidget
//@@Section VTKWidgets
//@@Usage
// This class provides support for interactively saving a series of camera
// views into an interpolated path (using vtkCameraInterpolator). To use the
// class start by specifying a camera to interpolate, and then simply start
// recording by hitting the "record" button, manipulate the camera (by using
// an interactor, direct scripting, or any other means), and then save the
// camera view. Repeat this process to record a series of views.  The user
// can then play back interpolated camera views using the 
// vtkCameraInterpolator.
//
//To create an instance of class vtkCameraWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkCameraWidget
//@]
//@@Methods
//The class vtkCameraWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCameraWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standar VTK class methods.
//// \item @|int = obj.IsA (string name)| -  Standar VTK class methods.
//// \item @|vtkCameraWidget = obj.NewInstance ()| -  Standar VTK class methods.
//// \item @|vtkCameraWidget = obj.SafeDownCast (vtkObject o)| -  Standar VTK class methods.
//// \item @|obj.SetRepresentation (vtkCameraRepresentation r)| -  Create the default widget representation if one is not set. 
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
////\end{itemize}
//!
