#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCaptionRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCaptionRepresentation.h"

//@@Signature
//sfunction @vtkCaptionRepresentation:vtkCaptionRepresentation vtkCaptionRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkCaptionRepresentation vtkBorderRepresentation 
ArrayVector vtkCaptionRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCaptionRepresentation::New(),"vtkCaptionRepresentation",eval);
  } else if (arg[0].className() == "vtkCaptionRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCaptionRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCaptionRepresentation");
    vtkCaptionRepresentation*q = reinterpret_cast<vtkCaptionRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCaptionRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCaptionRepresentation:GetClassName vtkCaptionRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCaptionRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCaptionRepresentation requires 1 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:IsA vtkCaptionRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCaptionRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCaptionRepresentation requires 2 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:NewInstance vtkCaptionRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCaptionRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCaptionRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCaptionRepresentation requires 1 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  vtkCaptionRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCaptionRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:SafeDownCast vtkCaptionRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCaptionRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCaptionRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCaptionRepresentation requires 2 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCaptionRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCaptionRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:SetAnchorPosition vtkCaptionRepresentationSetAnchorPositionFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionRepresentationSetAnchorPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAnchorPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetAnchorPosition for class vtkCaptionRepresentation requires 2 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetAnchorPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:GetAnchorPosition vtkCaptionRepresentationGetAnchorPositionFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionRepresentationGetAnchorPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetAnchorPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetAnchorPosition for class vtkCaptionRepresentation requires 2 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetAnchorPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:SetCaptionActor2D vtkCaptionRepresentationSetCaptionActor2DFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionRepresentationSetCaptionActor2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCaptionActor2D (vtkCaptionActor2D *captionActor); */
  if (arg.size() < 2) 
    throw Exception("Function SetCaptionActor2D for class vtkCaptionRepresentation requires 2 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  vtkCaptionActor2D  *temp0;
  temp0 = GetVTKPointer<vtkCaptionActor2D>(arg[1]);
  vtk_pointer->SetCaptionActor2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:GetCaptionActor2D vtkCaptionRepresentationGetCaptionActor2DFunction
//input a0 
//output y
ArrayVector vtkCaptionRepresentationGetCaptionActor2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCaptionActor2D *GetCaptionActor2D (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCaptionActor2D for class vtkCaptionRepresentation requires 1 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  vtkCaptionActor2D  *temp20;
  temp20 = (vtk_pointer)->GetCaptionActor2D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCaptionActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:SetAnchorRepresentation vtkCaptionRepresentationSetAnchorRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionRepresentationSetAnchorRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAnchorRepresentation (vtkPointHandleRepresentation3D *); */
  if (arg.size() < 2) 
    throw Exception("Function SetAnchorRepresentation for class vtkCaptionRepresentation requires 2 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  vtkPointHandleRepresentation3D  *temp0;
  temp0 = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[1]);
  vtk_pointer->SetAnchorRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:GetAnchorRepresentation vtkCaptionRepresentationGetAnchorRepresentationFunction
//input a0 
//output y
ArrayVector vtkCaptionRepresentationGetAnchorRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointHandleRepresentation3D *GetAnchorRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAnchorRepresentation for class vtkCaptionRepresentation requires 1 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  vtkPointHandleRepresentation3D  *temp20;
  temp20 = (vtk_pointer)->GetAnchorRepresentation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointHandleRepresentation3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:BuildRepresentation vtkCaptionRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkCaptionRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkCaptionRepresentation requires 1 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:GetSize vtkCaptionRepresentationGetSizeFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionRepresentationGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetSize (double size[2]);size size  */
  if (arg.size() < 2) 
    throw Exception("Function GetSize for class vtkCaptionRepresentation requires 2 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:GetActors2D vtkCaptionRepresentationGetActors2DFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionRepresentationGetActors2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors2D (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors2D for class vtkCaptionRepresentation requires 2 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:ReleaseGraphicsResources vtkCaptionRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkCaptionRepresentation requires 2 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:RenderOverlay vtkCaptionRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkCaptionRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkCaptionRepresentation requires 2 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:RenderOpaqueGeometry vtkCaptionRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkCaptionRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkCaptionRepresentation requires 2 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:RenderTranslucentPolygonalGeometry vtkCaptionRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkCaptionRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkCaptionRepresentation requires 2 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:HasTranslucentPolygonalGeometry vtkCaptionRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkCaptionRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkCaptionRepresentation requires 1 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:SetFontFactor vtkCaptionRepresentationSetFontFactorFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionRepresentationSetFontFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFontFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFontFactor for class vtkCaptionRepresentation requires 2 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFontFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:GetFontFactorMinValue vtkCaptionRepresentationGetFontFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkCaptionRepresentationGetFontFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFontFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFontFactorMinValue for class vtkCaptionRepresentation requires 1 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFontFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:GetFontFactorMaxValue vtkCaptionRepresentationGetFontFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkCaptionRepresentationGetFontFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFontFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFontFactorMaxValue for class vtkCaptionRepresentation requires 1 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFontFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:GetFontFactor vtkCaptionRepresentationGetFontFactorFunction
//input a0 
//output y
ArrayVector vtkCaptionRepresentationGetFontFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFontFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFontFactor for class vtkCaptionRepresentation requires 1 argument(s)");
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFontFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionRepresentation:display vtkCaptionRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCaptionRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCaptionRepresentation* vtk_pointer = GetVTKPointer<vtkCaptionRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCaptionRepresentation:delete vtkCaptionRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkCaptionRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCaptionRepresentation
//@@Section VTKWidgets
//@@Usage
// This class represents vtkCaptionWidget. A caption is defined by some text
// with a leader (e.g., arrow) that points from the text to a point in the
// scene. The caption is defined by an instance of vtkCaptionActor2D. It uses
// the event bindings of its superclass (vtkBorderWidget) to control the
// placement of the text, and adds the ability to move the attachment point
// around. In addition, when the caption text is selected, the widget emits a
// ActivateEvent that observers can watch for. This is useful for opening GUI
// dialogoues to adjust font characteristics, etc. (Please see the superclass
// for a description of event bindings.)
//
// Note that this widget extends the behavior of its superclass 
// vtkBorderRepresentation. 
//
//To create an instance of class vtkCaptionRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkCaptionRepresentation
//@]
//@@Methods
//The class vtkCaptionRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCaptionRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK class methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK class methods.
//// \item @|vtkCaptionRepresentation = obj.NewInstance ()| -  Standard VTK class methods.
//// \item @|vtkCaptionRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard VTK class methods.
//// \item @|obj.SetAnchorPosition (double pos[3])| -  Specify the position of the anchor (i.e., the point that the caption is anchored to).
// Note that the position should be specified in world coordinates.
//// \item @|obj.GetAnchorPosition (double pos[3])| -  Specify the position of the anchor (i.e., the point that the caption is anchored to).
// Note that the position should be specified in world coordinates.
//// \item @|obj.SetCaptionActor2D (vtkCaptionActor2D captionActor)| -  Specify the vtkCaptionActor2D to manage. If not specified, then one
// is automatically created.
//// \item @|vtkCaptionActor2D = obj.GetCaptionActor2D ()| -  Specify the vtkCaptionActor2D to manage. If not specified, then one
// is automatically created.
//// \item @|obj.SetAnchorRepresentation (vtkPointHandleRepresentation3D )| -  Set and get the instances of vtkPointHandleRepresention3D used to implement this
// representation. Normally default representations are created, but you can
// specify the ones you want to use.
//// \item @|vtkPointHandleRepresentation3D = obj.GetAnchorRepresentation ()| -  Set and get the instances of vtkPointHandleRepresention3D used to implement this
// representation. Normally default representations are created, but you can
// specify the ones you want to use.
//// \item @|obj.BuildRepresentation ()| -  Satisfy the superclasses API.
//// \item @|obj.GetSize (double size[2])| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|obj.GetActors2D (vtkPropCollection )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderOverlay (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|obj.SetFontFactor (double )| -  Set/Get the factor that controls the overall size of the fonts 
// of the caption when the text actor's ScaledText is OFF 
//// \item @|double = obj.GetFontFactorMinValue ()| -  Set/Get the factor that controls the overall size of the fonts 
// of the caption when the text actor's ScaledText is OFF 
//// \item @|double = obj.GetFontFactorMaxValue ()| -  Set/Get the factor that controls the overall size of the fonts 
// of the caption when the text actor's ScaledText is OFF 
//// \item @|double = obj.GetFontFactor ()| -  Set/Get the factor that controls the overall size of the fonts 
// of the caption when the text actor's ScaledText is OFF 
////\end{itemize}
//!
