#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCaptionWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCaptionWidget.h"

//@@Signature
//sfunction @vtkCaptionWidget:vtkCaptionWidget vtkCaptionWidgetConstructorFunction
//input a
//output p
//@@Parents vtkCaptionWidget vtkBorderWidget 
ArrayVector vtkCaptionWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCaptionWidget::New(),"vtkCaptionWidget",eval);
  } else if (arg[0].className() == "vtkCaptionWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCaptionWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCaptionWidget");
    vtkCaptionWidget*q = reinterpret_cast<vtkCaptionWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCaptionWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCaptionWidget:GetClassName vtkCaptionWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCaptionWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCaptionWidget requires 1 argument(s)");
  vtkCaptionWidget* vtk_pointer = GetVTKPointer<vtkCaptionWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionWidget:IsA vtkCaptionWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCaptionWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCaptionWidget requires 2 argument(s)");
  vtkCaptionWidget* vtk_pointer = GetVTKPointer<vtkCaptionWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionWidget:NewInstance vtkCaptionWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCaptionWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCaptionWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCaptionWidget requires 1 argument(s)");
  vtkCaptionWidget* vtk_pointer = GetVTKPointer<vtkCaptionWidget>(arg[0]);
  Array retval;
  vtkCaptionWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCaptionWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionWidget:SafeDownCast vtkCaptionWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCaptionWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCaptionWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCaptionWidget requires 2 argument(s)");
  vtkCaptionWidget* vtk_pointer = GetVTKPointer<vtkCaptionWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCaptionWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCaptionWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionWidget:SetEnabled vtkCaptionWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int enabling); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkCaptionWidget requires 2 argument(s)");
  vtkCaptionWidget* vtk_pointer = GetVTKPointer<vtkCaptionWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionWidget:SetRepresentation vtkCaptionWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkCaptionRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkCaptionWidget requires 2 argument(s)");
  vtkCaptionWidget* vtk_pointer = GetVTKPointer<vtkCaptionWidget>(arg[0]);
  Array retval;
  vtkCaptionRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkCaptionRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionWidget:SetCaptionActor2D vtkCaptionWidgetSetCaptionActor2DFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionWidgetSetCaptionActor2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCaptionActor2D (vtkCaptionActor2D *capActor); */
  if (arg.size() < 2) 
    throw Exception("Function SetCaptionActor2D for class vtkCaptionWidget requires 2 argument(s)");
  vtkCaptionWidget* vtk_pointer = GetVTKPointer<vtkCaptionWidget>(arg[0]);
  Array retval;
  vtkCaptionActor2D  *temp0;
  temp0 = GetVTKPointer<vtkCaptionActor2D>(arg[1]);
  vtk_pointer->SetCaptionActor2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionWidget:GetCaptionActor2D vtkCaptionWidgetGetCaptionActor2DFunction
//input a0 
//output y
ArrayVector vtkCaptionWidgetGetCaptionActor2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCaptionActor2D *GetCaptionActor2D (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCaptionActor2D for class vtkCaptionWidget requires 1 argument(s)");
  vtkCaptionWidget* vtk_pointer = GetVTKPointer<vtkCaptionWidget>(arg[0]);
  Array retval;
  vtkCaptionActor2D  *temp20;
  temp20 = (vtk_pointer)->GetCaptionActor2D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCaptionActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionWidget:CreateDefaultRepresentation vtkCaptionWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkCaptionWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkCaptionWidget requires 1 argument(s)");
  vtkCaptionWidget* vtk_pointer = GetVTKPointer<vtkCaptionWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkCaptionWidget:display vtkCaptionWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCaptionWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCaptionWidget* vtk_pointer = GetVTKPointer<vtkCaptionWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCaptionWidget:delete vtkCaptionWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkCaptionWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCaptionWidget
//@@Section VTKWidgets
//@@Usage
// This class provides support for interactively placing a caption on the 2D
// overlay plane. A caption is defined by some text with a leader (e.g.,
// arrow) that points from the text to a point in the scene. The caption is
// represented by a vtkCaptionRepresentation. It uses the event bindings of
// its superclass (vtkBorderWidget) to control the placement of the text, and
// adds the ability to move the attachment point around. In addition, when
// the caption text is selected, the widget emits a ActivateEvent that
// observers can watch for. This is useful for opening GUI dialogoues to
// adjust font characteristics, etc. (Please see the superclass for a
// description of event bindings.)
//
// Note that this widget extends the behavior of its superclass 
// vtkBorderWidget. The end point of the leader can be selected and
// moved around with an internal vtkHandleWidget.
//
//To create an instance of class vtkCaptionWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkCaptionWidget
//@]
//@@Methods
//The class vtkCaptionWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCaptionWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK class methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK class methods.
//// \item @|vtkCaptionWidget = obj.NewInstance ()| -  Standard VTK class methods.
//// \item @|vtkCaptionWidget = obj.SafeDownCast (vtkObject o)| -  Standard VTK class methods.
//// \item @|obj.SetEnabled (int enabling)| -  Override superclasses' SetEnabled() method because the caption leader
// has its own dedicated widget.
//// \item @|obj.SetRepresentation (vtkCaptionRepresentation r)| -  Specify a vtkCaptionActor2D to manage. This is convenient, alternative
// method to SetRepresentation(). It internally create a vtkCaptionRepresentation
// and then invokes vtkCaptionRepresentation::SetCaptionActor2D().
//// \item @|obj.SetCaptionActor2D (vtkCaptionActor2D capActor)| -  Specify a vtkCaptionActor2D to manage. This is convenient, alternative
// method to SetRepresentation(). It internally create a vtkCaptionRepresentation
// and then invokes vtkCaptionRepresentation::SetCaptionActor2D().
//// \item @|vtkCaptionActor2D = obj.GetCaptionActor2D ()| -  Specify a vtkCaptionActor2D to manage. This is convenient, alternative
// method to SetRepresentation(). It internally create a vtkCaptionRepresentation
// and then invokes vtkCaptionRepresentation::SetCaptionActor2D().
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
////\end{itemize}
//!
