#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCenteredSliderWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCenteredSliderWidget.h"

//@@Signature
//sfunction @vtkCenteredSliderWidget:vtkCenteredSliderWidget vtkCenteredSliderWidgetConstructorFunction
//input a
//output p
//@@Parents vtkCenteredSliderWidget vtkAbstractWidget 
ArrayVector vtkCenteredSliderWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCenteredSliderWidget::New(),"vtkCenteredSliderWidget",eval);
  } else if (arg[0].className() == "vtkCenteredSliderWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCenteredSliderWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCenteredSliderWidget");
    vtkCenteredSliderWidget*q = reinterpret_cast<vtkCenteredSliderWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCenteredSliderWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCenteredSliderWidget:GetClassName vtkCenteredSliderWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCenteredSliderWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCenteredSliderWidget requires 1 argument(s)");
  vtkCenteredSliderWidget* vtk_pointer = GetVTKPointer<vtkCenteredSliderWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCenteredSliderWidget:IsA vtkCenteredSliderWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCenteredSliderWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCenteredSliderWidget requires 2 argument(s)");
  vtkCenteredSliderWidget* vtk_pointer = GetVTKPointer<vtkCenteredSliderWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCenteredSliderWidget:NewInstance vtkCenteredSliderWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCenteredSliderWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCenteredSliderWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCenteredSliderWidget requires 1 argument(s)");
  vtkCenteredSliderWidget* vtk_pointer = GetVTKPointer<vtkCenteredSliderWidget>(arg[0]);
  Array retval;
  vtkCenteredSliderWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCenteredSliderWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCenteredSliderWidget:SafeDownCast vtkCenteredSliderWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCenteredSliderWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCenteredSliderWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCenteredSliderWidget requires 2 argument(s)");
  vtkCenteredSliderWidget* vtk_pointer = GetVTKPointer<vtkCenteredSliderWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCenteredSliderWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCenteredSliderWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCenteredSliderWidget:SetRepresentation vtkCenteredSliderWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkCenteredSliderWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkSliderRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkCenteredSliderWidget requires 2 argument(s)");
  vtkCenteredSliderWidget* vtk_pointer = GetVTKPointer<vtkCenteredSliderWidget>(arg[0]);
  Array retval;
  vtkSliderRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkSliderRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCenteredSliderWidget:CreateDefaultRepresentation vtkCenteredSliderWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkCenteredSliderWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkCenteredSliderWidget requires 1 argument(s)");
  vtkCenteredSliderWidget* vtk_pointer = GetVTKPointer<vtkCenteredSliderWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkCenteredSliderWidget:GetValue vtkCenteredSliderWidgetGetValueFunction
//input a0 
//output y
ArrayVector vtkCenteredSliderWidgetGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue ();return this Value  */
  if (arg.size() < 1) 
    throw Exception("Function GetValue for class vtkCenteredSliderWidget requires 1 argument(s)");
  vtkCenteredSliderWidget* vtk_pointer = GetVTKPointer<vtkCenteredSliderWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCenteredSliderWidget:display vtkCenteredSliderWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCenteredSliderWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCenteredSliderWidget* vtk_pointer = GetVTKPointer<vtkCenteredSliderWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCenteredSliderWidget:delete vtkCenteredSliderWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkCenteredSliderWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCenteredSliderWidget
//@@Section VTKWidgets
//@@Usage
// The vtkCenteredSliderWidget is used to adjust a scalar value in an application.
// This class measures deviations form the center point on the slider.
// Moving the slider
// modifies the value of the widget, which can be used to set parameters on
// other objects. Note that the actual appearance of the widget depends on
// the specific representation for the widget.
// 
// To use this widget, set the widget representation. The representation is
// assumed to consist of a tube, two end caps, and a slider (the details may
// vary depending on the particulars of the representation). Then in the
// representation you will typically set minimum and maximum value, as well
// as the current value. The position of the slider must also be set, as well
// as various properties.
//
// Note that the value should be obtain from the widget, not from the
// representation. Also note that Minimum and Maximum values are in terms of
// value per second. The value you get from this widget's GetValue method is
// multiplied by time.
//
// .SECTION Event Bindings
// By default, the widget responds to the following VTK events (i.e., it
// watches the vtkRenderWindowInteractor for these events):
// <pre>
// If the slider bead is selected:
//   LeftButtonPressEvent - select slider (if on slider)
//   LeftButtonReleaseEvent - release slider (if selected)
//   MouseMoveEvent - move slider
// If the end caps or slider tube are selected:
//   LeftButtonPressEvent - move (or animate) to cap or point on tube;
// </pre>
//
// Note that the event bindings described above can be changed using this
// class's vtkWidgetEventTranslator. This class translates VTK events 
// into the vtkCenteredSliderWidget's widget events:
// <pre>
//   vtkWidgetEvent::Select -- some part of the widget has been selected
//   vtkWidgetEvent::EndSelect -- the selection process has completed
//   vtkWidgetEvent::Move -- a request for slider motion has been invoked
// </pre>
//
// In turn, when these widget events are processed, the vtkCenteredSliderWidget
// invokes the following VTK events on itself (which observers can listen for):
// <pre>
//   vtkCommand::StartInteractionEvent (on vtkWidgetEvent::Select)
//   vtkCommand::EndInteractionEvent (on vtkWidgetEvent::EndSelect)
//   vtkCommand::InteractionEvent (on vtkWidgetEvent::Move)
// </pre>
//
//
//To create an instance of class vtkCenteredSliderWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkCenteredSliderWidget
//@]
//@@Methods
//The class vtkCenteredSliderWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCenteredSliderWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard macros.
//// \item @|int = obj.IsA (string name)| -  Standard macros.
//// \item @|vtkCenteredSliderWidget = obj.NewInstance ()| -  Standard macros.
//// \item @|vtkCenteredSliderWidget = obj.SafeDownCast (vtkObject o)| -  Standard macros.
//// \item @|obj.SetRepresentation (vtkSliderRepresentation r)| -  Create the default widget representation if one is not set. 
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
//// \item @|double = obj.GetValue ()| -  Get the value fo this widget. 
////\end{itemize}
//!
