#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCheckerboardRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCheckerboardRepresentation.h"

//@@Signature
//sfunction @vtkCheckerboardRepresentation:vtkCheckerboardRepresentation vtkCheckerboardRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkCheckerboardRepresentation vtkWidgetRepresentation 
ArrayVector vtkCheckerboardRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCheckerboardRepresentation::New(),"vtkCheckerboardRepresentation",eval);
  } else if (arg[0].className() == "vtkCheckerboardRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCheckerboardRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCheckerboardRepresentation");
    vtkCheckerboardRepresentation*q = reinterpret_cast<vtkCheckerboardRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCheckerboardRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCheckerboardRepresentation:GetClassName vtkCheckerboardRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCheckerboardRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCheckerboardRepresentation requires 1 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:IsA vtkCheckerboardRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCheckerboardRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCheckerboardRepresentation requires 2 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:NewInstance vtkCheckerboardRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCheckerboardRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCheckerboardRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCheckerboardRepresentation requires 1 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkCheckerboardRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCheckerboardRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:SafeDownCast vtkCheckerboardRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCheckerboardRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCheckerboardRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCheckerboardRepresentation requires 2 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCheckerboardRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCheckerboardRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:SetCheckerboard vtkCheckerboardRepresentationSetCheckerboardFunction
//input a0 a1 
//output none
ArrayVector vtkCheckerboardRepresentationSetCheckerboardFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCheckerboard (vtkImageCheckerboard *chkrbrd); */
  if (arg.size() < 2) 
    throw Exception("Function SetCheckerboard for class vtkCheckerboardRepresentation requires 2 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkImageCheckerboard  *temp0;
  temp0 = GetVTKPointer<vtkImageCheckerboard>(arg[1]);
  vtk_pointer->SetCheckerboard(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:GetCheckerboard vtkCheckerboardRepresentationGetCheckerboardFunction
//input a0 
//output y
ArrayVector vtkCheckerboardRepresentationGetCheckerboardFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageCheckerboard *GetCheckerboard (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCheckerboard for class vtkCheckerboardRepresentation requires 1 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkImageCheckerboard  *temp20;
  temp20 = (vtk_pointer)->GetCheckerboard();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageCheckerboard",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:SetImageActor vtkCheckerboardRepresentationSetImageActorFunction
//input a0 a1 
//output none
ArrayVector vtkCheckerboardRepresentationSetImageActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageActor (vtkImageActor *imageActor); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageActor for class vtkCheckerboardRepresentation requires 2 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkImageActor  *temp0;
  temp0 = GetVTKPointer<vtkImageActor>(arg[1]);
  vtk_pointer->SetImageActor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:GetImageActor vtkCheckerboardRepresentationGetImageActorFunction
//input a0 
//output y
ArrayVector vtkCheckerboardRepresentationGetImageActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageActor *GetImageActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageActor for class vtkCheckerboardRepresentation requires 1 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkImageActor  *temp20;
  temp20 = (vtk_pointer)->GetImageActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:SetCornerOffset vtkCheckerboardRepresentationSetCornerOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkCheckerboardRepresentationSetCornerOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCornerOffset (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCornerOffset for class vtkCheckerboardRepresentation requires 2 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCornerOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:GetCornerOffsetMinValue vtkCheckerboardRepresentationGetCornerOffsetMinValueFunction
//input a0 
//output y
ArrayVector vtkCheckerboardRepresentationGetCornerOffsetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCornerOffsetMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerOffsetMinValue for class vtkCheckerboardRepresentation requires 1 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCornerOffsetMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:GetCornerOffsetMaxValue vtkCheckerboardRepresentationGetCornerOffsetMaxValueFunction
//input a0 
//output y
ArrayVector vtkCheckerboardRepresentationGetCornerOffsetMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCornerOffsetMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerOffsetMaxValue for class vtkCheckerboardRepresentation requires 1 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCornerOffsetMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:GetCornerOffset vtkCheckerboardRepresentationGetCornerOffsetFunction
//input a0 
//output y
ArrayVector vtkCheckerboardRepresentationGetCornerOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCornerOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerOffset for class vtkCheckerboardRepresentation requires 1 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCornerOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:SliderValueChanged vtkCheckerboardRepresentationSliderValueChangedFunction
//input a0 a1 
//output none
ArrayVector vtkCheckerboardRepresentationSliderValueChangedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SliderValueChanged (int sliderNum); */
  if (arg.size() < 2) 
    throw Exception("Function SliderValueChanged for class vtkCheckerboardRepresentation requires 2 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SliderValueChanged(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:SetTopRepresentation vtkCheckerboardRepresentationSetTopRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkCheckerboardRepresentationSetTopRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTopRepresentation (vtkSliderRepresentation3D *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTopRepresentation for class vtkCheckerboardRepresentation requires 2 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkSliderRepresentation3D  *temp0;
  temp0 = GetVTKPointer<vtkSliderRepresentation3D>(arg[1]);
  vtk_pointer->SetTopRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:SetRightRepresentation vtkCheckerboardRepresentationSetRightRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkCheckerboardRepresentationSetRightRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRightRepresentation (vtkSliderRepresentation3D *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRightRepresentation for class vtkCheckerboardRepresentation requires 2 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkSliderRepresentation3D  *temp0;
  temp0 = GetVTKPointer<vtkSliderRepresentation3D>(arg[1]);
  vtk_pointer->SetRightRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:SetBottomRepresentation vtkCheckerboardRepresentationSetBottomRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkCheckerboardRepresentationSetBottomRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBottomRepresentation (vtkSliderRepresentation3D *); */
  if (arg.size() < 2) 
    throw Exception("Function SetBottomRepresentation for class vtkCheckerboardRepresentation requires 2 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkSliderRepresentation3D  *temp0;
  temp0 = GetVTKPointer<vtkSliderRepresentation3D>(arg[1]);
  vtk_pointer->SetBottomRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:SetLeftRepresentation vtkCheckerboardRepresentationSetLeftRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkCheckerboardRepresentationSetLeftRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLeftRepresentation (vtkSliderRepresentation3D *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLeftRepresentation for class vtkCheckerboardRepresentation requires 2 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkSliderRepresentation3D  *temp0;
  temp0 = GetVTKPointer<vtkSliderRepresentation3D>(arg[1]);
  vtk_pointer->SetLeftRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:GetTopRepresentation vtkCheckerboardRepresentationGetTopRepresentationFunction
//input a0 
//output y
ArrayVector vtkCheckerboardRepresentationGetTopRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSliderRepresentation3D *GetTopRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTopRepresentation for class vtkCheckerboardRepresentation requires 1 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkSliderRepresentation3D  *temp20;
  temp20 = (vtk_pointer)->GetTopRepresentation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSliderRepresentation3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:GetRightRepresentation vtkCheckerboardRepresentationGetRightRepresentationFunction
//input a0 
//output y
ArrayVector vtkCheckerboardRepresentationGetRightRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSliderRepresentation3D *GetRightRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightRepresentation for class vtkCheckerboardRepresentation requires 1 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkSliderRepresentation3D  *temp20;
  temp20 = (vtk_pointer)->GetRightRepresentation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSliderRepresentation3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:GetBottomRepresentation vtkCheckerboardRepresentationGetBottomRepresentationFunction
//input a0 
//output y
ArrayVector vtkCheckerboardRepresentationGetBottomRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSliderRepresentation3D *GetBottomRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBottomRepresentation for class vtkCheckerboardRepresentation requires 1 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkSliderRepresentation3D  *temp20;
  temp20 = (vtk_pointer)->GetBottomRepresentation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSliderRepresentation3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:GetLeftRepresentation vtkCheckerboardRepresentationGetLeftRepresentationFunction
//input a0 
//output y
ArrayVector vtkCheckerboardRepresentationGetLeftRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSliderRepresentation3D *GetLeftRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftRepresentation for class vtkCheckerboardRepresentation requires 1 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkSliderRepresentation3D  *temp20;
  temp20 = (vtk_pointer)->GetLeftRepresentation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSliderRepresentation3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:BuildRepresentation vtkCheckerboardRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkCheckerboardRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkCheckerboardRepresentation requires 1 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:GetActors vtkCheckerboardRepresentationGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkCheckerboardRepresentationGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkCheckerboardRepresentation requires 2 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:ReleaseGraphicsResources vtkCheckerboardRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkCheckerboardRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *w); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkCheckerboardRepresentation requires 2 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:RenderOverlay vtkCheckerboardRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkCheckerboardRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkCheckerboardRepresentation requires 2 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:RenderOpaqueGeometry vtkCheckerboardRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkCheckerboardRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkCheckerboardRepresentation requires 2 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:RenderTranslucentPolygonalGeometry vtkCheckerboardRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkCheckerboardRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkCheckerboardRepresentation requires 2 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:HasTranslucentPolygonalGeometry vtkCheckerboardRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkCheckerboardRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkCheckerboardRepresentation requires 1 argument(s)");
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardRepresentation:display vtkCheckerboardRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCheckerboardRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCheckerboardRepresentation* vtk_pointer = GetVTKPointer<vtkCheckerboardRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCheckerboardRepresentation:delete vtkCheckerboardRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkCheckerboardRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCheckerboardRepresentation
//@@Section VTKWidgets
//@@Usage
// The vtkCheckerboardRepresentation is used to implement the representation of
// the vtkCheckerboardWidget. The user can adjust the number of divisions in
// each of the i-j directions in a 2D image. A frame appears around the
// vtkImageActor with sliders along each side of the frame. The user can
// interactively adjust the sliders to the desired number of checkerboard
// subdivisions. The representation uses four instances of 
// vtkSliderRepresentation3D to implement itself.
//
//To create an instance of class vtkCheckerboardRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkCheckerboardRepresentation
//@]
//@@Methods
//The class vtkCheckerboardRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCheckerboardRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK methods.
//// \item @|vtkCheckerboardRepresentation = obj.NewInstance ()| -  Standard VTK methods.
//// \item @|vtkCheckerboardRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard VTK methods.
//// \item @|obj.SetCheckerboard (vtkImageCheckerboard chkrbrd)| -  Specify an instance of vtkImageCheckerboard to manipulate.
//// \item @|vtkImageCheckerboard = obj.GetCheckerboard ()| -  Specify an instance of vtkImageCheckerboard to manipulate.
//// \item @|obj.SetImageActor (vtkImageActor imageActor)| -  Specify an instance of vtkImageActor to decorate.
//// \item @|vtkImageActor = obj.GetImageActor ()| -  Specify an instance of vtkImageActor to decorate.
//// \item @|obj.SetCornerOffset (double )| -  Specify the offset of the ends of the sliders (on the boundary edges of
// the image) from the corner of the image. The offset is expressed as a
// normalized fraction of the border edges.
//// \item @|double = obj.GetCornerOffsetMinValue ()| -  Specify the offset of the ends of the sliders (on the boundary edges of
// the image) from the corner of the image. The offset is expressed as a
// normalized fraction of the border edges.
//// \item @|double = obj.GetCornerOffsetMaxValue ()| -  Specify the offset of the ends of the sliders (on the boundary edges of
// the image) from the corner of the image. The offset is expressed as a
// normalized fraction of the border edges.
//// \item @|double = obj.GetCornerOffset ()| -  Specify the offset of the ends of the sliders (on the boundary edges of
// the image) from the corner of the image. The offset is expressed as a
// normalized fraction of the border edges.
//// \item @|obj.SliderValueChanged (int sliderNum)| -  This method is invoked by the vtkCheckerboardWidget() when a value of some
// slider has changed.
//// \item @|obj.SetTopRepresentation (vtkSliderRepresentation3D )| -  Set and get the instances of vtkSliderRepresention used to implement this
// representation. Normally default representations are created, but you can
// specify the ones you want to use.
//// \item @|obj.SetRightRepresentation (vtkSliderRepresentation3D )| -  Set and get the instances of vtkSliderRepresention used to implement this
// representation. Normally default representations are created, but you can
// specify the ones you want to use.
//// \item @|obj.SetBottomRepresentation (vtkSliderRepresentation3D )| -  Set and get the instances of vtkSliderRepresention used to implement this
// representation. Normally default representations are created, but you can
// specify the ones you want to use.
//// \item @|obj.SetLeftRepresentation (vtkSliderRepresentation3D )| -  Set and get the instances of vtkSliderRepresention used to implement this
// representation. Normally default representations are created, but you can
// specify the ones you want to use.
//// \item @|vtkSliderRepresentation3D = obj.GetTopRepresentation ()| -  Set and get the instances of vtkSliderRepresention used to implement this
// representation. Normally default representations are created, but you can
// specify the ones you want to use.
//// \item @|vtkSliderRepresentation3D = obj.GetRightRepresentation ()| -  Set and get the instances of vtkSliderRepresention used to implement this
// representation. Normally default representations are created, but you can
// specify the ones you want to use.
//// \item @|vtkSliderRepresentation3D = obj.GetBottomRepresentation ()| -  Set and get the instances of vtkSliderRepresention used to implement this
// representation. Normally default representations are created, but you can
// specify the ones you want to use.
//// \item @|vtkSliderRepresentation3D = obj.GetLeftRepresentation ()| -  Set and get the instances of vtkSliderRepresention used to implement this
// representation. Normally default representations are created, but you can
// specify the ones you want to use.
//// \item @|obj.BuildRepresentation ()| -  Methods required by superclass.
//// \item @|obj.GetActors (vtkPropCollection )| -  Methods required by superclass.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow w)| -  Methods required by superclass.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Methods required by superclass.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Methods required by superclass.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport viewport)| -  Methods required by superclass.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Methods required by superclass.
////\end{itemize}
//!
