#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCheckerboardWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCheckerboardWidget.h"

//@@Signature
//sfunction @vtkCheckerboardWidget:vtkCheckerboardWidget vtkCheckerboardWidgetConstructorFunction
//input a
//output p
//@@Parents vtkCheckerboardWidget vtkAbstractWidget 
ArrayVector vtkCheckerboardWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCheckerboardWidget::New(),"vtkCheckerboardWidget",eval);
  } else if (arg[0].className() == "vtkCheckerboardWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCheckerboardWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCheckerboardWidget");
    vtkCheckerboardWidget*q = reinterpret_cast<vtkCheckerboardWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCheckerboardWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCheckerboardWidget:GetClassName vtkCheckerboardWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCheckerboardWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCheckerboardWidget requires 1 argument(s)");
  vtkCheckerboardWidget* vtk_pointer = GetVTKPointer<vtkCheckerboardWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardWidget:IsA vtkCheckerboardWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCheckerboardWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCheckerboardWidget requires 2 argument(s)");
  vtkCheckerboardWidget* vtk_pointer = GetVTKPointer<vtkCheckerboardWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardWidget:NewInstance vtkCheckerboardWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCheckerboardWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCheckerboardWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCheckerboardWidget requires 1 argument(s)");
  vtkCheckerboardWidget* vtk_pointer = GetVTKPointer<vtkCheckerboardWidget>(arg[0]);
  Array retval;
  vtkCheckerboardWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCheckerboardWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardWidget:SafeDownCast vtkCheckerboardWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCheckerboardWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCheckerboardWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCheckerboardWidget requires 2 argument(s)");
  vtkCheckerboardWidget* vtk_pointer = GetVTKPointer<vtkCheckerboardWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCheckerboardWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCheckerboardWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardWidget:SetEnabled vtkCheckerboardWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkCheckerboardWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkCheckerboardWidget requires 2 argument(s)");
  vtkCheckerboardWidget* vtk_pointer = GetVTKPointer<vtkCheckerboardWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardWidget:SetRepresentation vtkCheckerboardWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkCheckerboardWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkCheckerboardRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkCheckerboardWidget requires 2 argument(s)");
  vtkCheckerboardWidget* vtk_pointer = GetVTKPointer<vtkCheckerboardWidget>(arg[0]);
  Array retval;
  vtkCheckerboardRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkCheckerboardRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardWidget:CreateDefaultRepresentation vtkCheckerboardWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkCheckerboardWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkCheckerboardWidget requires 1 argument(s)");
  vtkCheckerboardWidget* vtk_pointer = GetVTKPointer<vtkCheckerboardWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkCheckerboardWidget:display vtkCheckerboardWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCheckerboardWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCheckerboardWidget* vtk_pointer = GetVTKPointer<vtkCheckerboardWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCheckerboardWidget:delete vtkCheckerboardWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkCheckerboardWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCheckerboardWidget
//@@Section VTKWidgets
//@@Usage
// The vtkCheckerboardWidget is used to interactively control an instance of
// vtkImageCheckerboard (and an associated vtkImageActor used to display the
// checkerboard). The user can adjust the number of divisions in each of the
// i-j directions in a 2D image. A frame appears around the vtkImageActor
// with sliders along each side of the frame. The user can interactively
// adjust the sliders to the desired number of checkerboard subdivisions.
// 
// To use this widget, specify an instance of vtkImageCheckerboard and an
// instance of vtkImageActor. By default, the widget responds to the
// following events:
// <pre>
// If the slider bead is selected:
//   LeftButtonPressEvent - select slider (if on slider)
//   LeftButtonReleaseEvent - release slider 
//   MouseMoveEvent - move slider
// If the end caps or slider tube of a slider are selected:
//   LeftButtonPressEvent - jump (or animate) to cap or point on tube;
// </pre>
// It is possible to change these event bindings. Please refer to the
// documentation for vtkSliderWidget for more information. Advanced users may
// directly access and manipulate the sliders by obtaining the instances of
// vtkSliderWidget composing the vtkCheckerboard widget. 
//
//To create an instance of class vtkCheckerboardWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkCheckerboardWidget
//@]
//@@Methods
//The class vtkCheckerboardWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCheckerboardWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for a VTK class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for a VTK class.
//// \item @|vtkCheckerboardWidget = obj.NewInstance ()| -  Standard methods for a VTK class.
//// \item @|vtkCheckerboardWidget = obj.SafeDownCast (vtkObject o)| -  Standard methods for a VTK class.
//// \item @|obj.SetEnabled (int )| -  The method for activiating and deactiviating this widget. This method
// must be overridden because it is a composite widget and does more than
// its superclasses' vtkAbstractWidget::SetEnabled() method.
//// \item @|obj.SetRepresentation (vtkCheckerboardRepresentation r)| -  Create the default widget representation if one is not set. 
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
////\end{itemize}
//!
