#include "VTKWrap.hpp"

// FreeMat wrapper for vtkClosedSurfacePointPlacer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkClosedSurfacePointPlacer.h"

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:vtkClosedSurfacePointPlacer vtkClosedSurfacePointPlacerConstructorFunction
//input a
//output p
//@@Parents vtkClosedSurfacePointPlacer vtkPointPlacer 
ArrayVector vtkClosedSurfacePointPlacerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkClosedSurfacePointPlacer::New(),"vtkClosedSurfacePointPlacer",eval);
  } else if (arg[0].className() == "vtkClosedSurfacePointPlacer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkClosedSurfacePointPlacer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkClosedSurfacePointPlacer");
    vtkClosedSurfacePointPlacer*q = reinterpret_cast<vtkClosedSurfacePointPlacer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkClosedSurfacePointPlacer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:GetClassName vtkClosedSurfacePointPlacerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkClosedSurfacePointPlacerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkClosedSurfacePointPlacer requires 1 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:IsA vtkClosedSurfacePointPlacerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkClosedSurfacePointPlacerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkClosedSurfacePointPlacer requires 2 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:NewInstance vtkClosedSurfacePointPlacerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkClosedSurfacePointPlacerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClosedSurfacePointPlacer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkClosedSurfacePointPlacer requires 1 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkClosedSurfacePointPlacer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClosedSurfacePointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:SafeDownCast vtkClosedSurfacePointPlacerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkClosedSurfacePointPlacerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkClosedSurfacePointPlacer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkClosedSurfacePointPlacer requires 2 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkClosedSurfacePointPlacer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkClosedSurfacePointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:AddBoundingPlane vtkClosedSurfacePointPlacerAddBoundingPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkClosedSurfacePointPlacerAddBoundingPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddBoundingPlane (vtkPlane *plane); */
  if (arg.size() < 2) 
    throw Exception("Function AddBoundingPlane for class vtkClosedSurfacePointPlacer requires 2 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkPlane  *temp0;
  temp0 = GetVTKPointer<vtkPlane>(arg[1]);
  vtk_pointer->AddBoundingPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:RemoveBoundingPlane vtkClosedSurfacePointPlacerRemoveBoundingPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkClosedSurfacePointPlacerRemoveBoundingPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveBoundingPlane (vtkPlane *plane); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveBoundingPlane for class vtkClosedSurfacePointPlacer requires 2 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkPlane  *temp0;
  temp0 = GetVTKPointer<vtkPlane>(arg[1]);
  vtk_pointer->RemoveBoundingPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:RemoveAllBoundingPlanes vtkClosedSurfacePointPlacerRemoveAllBoundingPlanesFunction
//input a0 
//output none
ArrayVector vtkClosedSurfacePointPlacerRemoveAllBoundingPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllBoundingPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllBoundingPlanes for class vtkClosedSurfacePointPlacer requires 1 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllBoundingPlanes();
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:SetBoundingPlanes__1 vtkClosedSurfacePointPlacerSetBoundingPlanes__1Function
//input a0 a1 
//output none
ArrayVector vtkClosedSurfacePointPlacerSetBoundingPlanes__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetBoundingPlanes (vtkPlaneCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoundingPlanes__1 for class vtkClosedSurfacePointPlacer requires 2 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkPlaneCollection  *temp0;
  temp0 = GetVTKPointer<vtkPlaneCollection>(arg[1]);
  vtk_pointer->SetBoundingPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:GetBoundingPlanes vtkClosedSurfacePointPlacerGetBoundingPlanesFunction
//input a0 
//output y
ArrayVector vtkClosedSurfacePointPlacerGetBoundingPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlaneCollection *GetBoundingPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoundingPlanes for class vtkClosedSurfacePointPlacer requires 1 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkPlaneCollection  *temp20;
  temp20 = (vtk_pointer)->GetBoundingPlanes();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlaneCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:SetBoundingPlanes__2 vtkClosedSurfacePointPlacerSetBoundingPlanes__2Function
//input a0 a1 
//output none
ArrayVector vtkClosedSurfacePointPlacerSetBoundingPlanes__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoundingPlanes (vtkPlanes *planes); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoundingPlanes__2 for class vtkClosedSurfacePointPlacer requires 2 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkPlanes  *temp0;
  temp0 = GetVTKPointer<vtkPlanes>(arg[1]);
  vtk_pointer->SetBoundingPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:ComputeWorldPosition__1 vtkClosedSurfacePointPlacerComputeWorldPosition__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkClosedSurfacePointPlacerComputeWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 5) 
    throw Exception("Function ComputeWorldPosition__1 for class vtkClosedSurfacePointPlacer requires 5 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  double temp2[3];
  double temp3[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeWorldPosition(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:ComputeWorldPosition__2 vtkClosedSurfacePointPlacerComputeWorldPosition__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkClosedSurfacePointPlacerComputeWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double refWorldPos[2], double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 6) 
    throw Exception("Function ComputeWorldPosition__2 for class vtkClosedSurfacePointPlacer requires 6 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  double temp2[2];
  double temp3[3];
  double temp4[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[6].isVector() && arg[6].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[6].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !(arg[9].isVector() && arg[9].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[9].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:ValidateWorldPosition__1 vtkClosedSurfacePointPlacerValidateWorldPosition__1Function
//input a0 a1 
//output y
ArrayVector vtkClosedSurfacePointPlacerValidateWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ValidateWorldPosition (double worldPos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function ValidateWorldPosition__1 for class vtkClosedSurfacePointPlacer requires 2 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateWorldPosition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:ValidateWorldPosition__2 vtkClosedSurfacePointPlacerValidateWorldPosition__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkClosedSurfacePointPlacerValidateWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ValidateWorldPosition (double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 3) 
    throw Exception("Function ValidateWorldPosition__2 for class vtkClosedSurfacePointPlacer requires 3 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[9];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateWorldPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:SetMinimumDistance vtkClosedSurfacePointPlacerSetMinimumDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkClosedSurfacePointPlacerSetMinimumDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumDistance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumDistance for class vtkClosedSurfacePointPlacer requires 2 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:GetMinimumDistanceMinValue vtkClosedSurfacePointPlacerGetMinimumDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkClosedSurfacePointPlacerGetMinimumDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumDistanceMinValue for class vtkClosedSurfacePointPlacer requires 1 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:GetMinimumDistanceMaxValue vtkClosedSurfacePointPlacerGetMinimumDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkClosedSurfacePointPlacerGetMinimumDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumDistanceMaxValue for class vtkClosedSurfacePointPlacer requires 1 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:GetMinimumDistance vtkClosedSurfacePointPlacerGetMinimumDistanceFunction
//input a0 
//output y
ArrayVector vtkClosedSurfacePointPlacerGetMinimumDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumDistance for class vtkClosedSurfacePointPlacer requires 1 argument(s)");
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:SetBoundingPlanes vtkClosedSurfacePointPlacerSetBoundingPlanesFunction
//input varargin
//output varargout
ArrayVector vtkClosedSurfacePointPlacerSetBoundingPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPlaneCollection"))
    return vtkClosedSurfacePointPlacerSetBoundingPlanes__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPlanes"))
    return vtkClosedSurfacePointPlacerSetBoundingPlanes__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkClosedSurfacePointPlacerSetBoundingPlanes");
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:ComputeWorldPosition vtkClosedSurfacePointPlacerComputeWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkClosedSurfacePointPlacerComputeWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkClosedSurfacePointPlacerComputeWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]))
    return vtkClosedSurfacePointPlacerComputeWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkClosedSurfacePointPlacerComputeWorldPosition");
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:ValidateWorldPosition vtkClosedSurfacePointPlacerValidateWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkClosedSurfacePointPlacerValidateWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkClosedSurfacePointPlacerValidateWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkClosedSurfacePointPlacerValidateWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkClosedSurfacePointPlacerValidateWorldPosition");
}

//@@Signature
//sfunction @vtkClosedSurfacePointPlacer:display vtkClosedSurfacePointPlacerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkClosedSurfacePointPlacerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkClosedSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkClosedSurfacePointPlacer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkClosedSurfacePointPlacer:delete vtkClosedSurfacePointPlacerDeleteFunction
//input varargin
//output none
ArrayVector vtkClosedSurfacePointPlacerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkClosedSurfacePointPlacer
//@@Section VTKWidgets
//@@Usage
// This placer takes a set of boudning planes and constraints the validity
// within the supplied convex planes. It is used by the 
// ParallelopPipedRepresentation to place constraints on the motion the 
// handles within the parallelopiped.
// 
//
//To create an instance of class vtkClosedSurfacePointPlacer, simply
//invoke its constructor as follows
//@[
//  obj = vtkClosedSurfacePointPlacer
//@]
//@@Methods
//The class vtkClosedSurfacePointPlacer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkClosedSurfacePointPlacer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkClosedSurfacePointPlacer = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkClosedSurfacePointPlacer = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|obj.AddBoundingPlane (vtkPlane plane)| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|obj.RemoveBoundingPlane (vtkPlane plane)| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|obj.RemoveAllBoundingPlanes ()| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|obj.SetBoundingPlanes (vtkPlaneCollection )| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|vtkPlaneCollection = obj.GetBoundingPlanes ()| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|obj.SetBoundingPlanes (vtkPlanes planes)| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|int = obj.ComputeWorldPosition (vtkRenderer ren, double displayPos[2], double worldPos[3], double worldOrient[9])| -  Given a renderer and a display position, compute the 
// world position and world orientation for this point. 
// A plane is defined by a combination of the
// ProjectionNormal, ProjectionOrigin, and ObliquePlane
// ivars. The display position is projected onto this
// plane to determine a world position, and the 
// orientation is set to the normal of the plane. If
// the point cannot project onto the plane or if it
// falls outside the bounds imposed by the
// BoundingPlanes, then 0 is returned, otherwise 1 is
// returned to indicate a valid return position and
// orientation.
//// \item @|int = obj.ComputeWorldPosition (vtkRenderer ren, double displayPos[2], double refWorldPos[2], double worldPos[3], double worldOrient[9])| -  Given a renderer, a display position and a reference position, "worldPos"
// is calculated as :
//   Consider the line "L" that passes through the supplied "displayPos" and
// is parallel to the direction of projection of the camera. Clip this line
// segment with the parallelopiped, let's call it "L_segment". The computed 
// world position, "worldPos" will be the point on "L_segment" that is 
// closest to refWorldPos.
// NOTE: Note that a set of bounding planes must be supplied. The Oblique
//       plane, if supplied is ignored.
//// \item @|int = obj.ValidateWorldPosition (double worldPos[3])| -  Give a world position check if it is valid - does
// it lie on the plane and within the bounds? Returns
// 1 if it is valid, 0 otherwise.
//// \item @|int = obj.ValidateWorldPosition (double worldPos[3], double worldOrient[9])|
// \item @|obj.SetMinimumDistance (double )|
// \item @|double = obj.GetMinimumDistanceMinValue ()|
// \item @|double = obj.GetMinimumDistanceMaxValue ()|
// \item @|double = obj.GetMinimumDistance ()|
//\end{itemize}
//!
