#include "VTKWrap.hpp"

// FreeMat wrapper for vtkConstrainedPointHandleRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkConstrainedPointHandleRepresentation.h"

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:vtkConstrainedPointHandleRepresentation vtkConstrainedPointHandleRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkConstrainedPointHandleRepresentation vtkHandleRepresentation 
ArrayVector vtkConstrainedPointHandleRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkConstrainedPointHandleRepresentation::New(),"vtkConstrainedPointHandleRepresentation",eval);
  } else if (arg[0].className() == "vtkConstrainedPointHandleRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkConstrainedPointHandleRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkConstrainedPointHandleRepresentation");
    vtkConstrainedPointHandleRepresentation*q = reinterpret_cast<vtkConstrainedPointHandleRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkConstrainedPointHandleRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:GetClassName vtkConstrainedPointHandleRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:IsA vtkConstrainedPointHandleRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:NewInstance vtkConstrainedPointHandleRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConstrainedPointHandleRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkConstrainedPointHandleRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConstrainedPointHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SafeDownCast vtkConstrainedPointHandleRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConstrainedPointHandleRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkConstrainedPointHandleRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConstrainedPointHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SetCursorShape vtkConstrainedPointHandleRepresentationSetCursorShapeFunction
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationSetCursorShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorShape (vtkPolyData *cursorShape); */
  if (arg.size() < 2) 
    throw Exception("Function SetCursorShape for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetCursorShape(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:GetCursorShape vtkConstrainedPointHandleRepresentationGetCursorShapeFunction
//input a0 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationGetCursorShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetCursorShape (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorShape for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetCursorShape();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SetActiveCursorShape vtkConstrainedPointHandleRepresentationSetActiveCursorShapeFunction
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationSetActiveCursorShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetActiveCursorShape (vtkPolyData *activeShape); */
  if (arg.size() < 2) 
    throw Exception("Function SetActiveCursorShape for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetActiveCursorShape(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:GetActiveCursorShape vtkConstrainedPointHandleRepresentationGetActiveCursorShapeFunction
//input a0 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationGetActiveCursorShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetActiveCursorShape (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActiveCursorShape for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetActiveCursorShape();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SetProjectionNormal vtkConstrainedPointHandleRepresentationSetProjectionNormalFunction
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationSetProjectionNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormal (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectionNormal for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProjectionNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:GetProjectionNormalMinValue vtkConstrainedPointHandleRepresentationGetProjectionNormalMinValueFunction
//input a0 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationGetProjectionNormalMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionNormalMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionNormalMinValue for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionNormalMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:GetProjectionNormalMaxValue vtkConstrainedPointHandleRepresentationGetProjectionNormalMaxValueFunction
//input a0 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationGetProjectionNormalMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionNormalMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionNormalMaxValue for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionNormalMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:GetProjectionNormal__1 vtkConstrainedPointHandleRepresentationGetProjectionNormal__1Function
//input a0 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationGetProjectionNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionNormal__1 for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionNormal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SetProjectionNormalToXAxis vtkConstrainedPointHandleRepresentationSetProjectionNormalToXAxisFunction
//input a0 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationSetProjectionNormalToXAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToXAxis ();this SetProjectionNormal vtkConstrainedPointHandleRepresentation XAxis  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToXAxis for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToXAxis();
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SetProjectionNormalToYAxis vtkConstrainedPointHandleRepresentationSetProjectionNormalToYAxisFunction
//input a0 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationSetProjectionNormalToYAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToYAxis ();this SetProjectionNormal vtkConstrainedPointHandleRepresentation YAxis  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToYAxis for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToYAxis();
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SetProjectionNormalToZAxis vtkConstrainedPointHandleRepresentationSetProjectionNormalToZAxisFunction
//input a0 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationSetProjectionNormalToZAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToZAxis ();this SetProjectionNormal vtkConstrainedPointHandleRepresentation ZAxis  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToZAxis for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToZAxis();
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SetProjectionNormalToOblique vtkConstrainedPointHandleRepresentationSetProjectionNormalToObliqueFunction
//input a0 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationSetProjectionNormalToObliqueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToOblique ();this SetProjectionNormal vtkConstrainedPointHandleRepresentation Oblique  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToOblique for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToOblique();
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SetObliquePlane vtkConstrainedPointHandleRepresentationSetObliquePlaneFunction
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationSetObliquePlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetObliquePlane (vtkPlane *); */
  if (arg.size() < 2) 
    throw Exception("Function SetObliquePlane for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkPlane  *temp0;
  temp0 = GetVTKPointer<vtkPlane>(arg[1]);
  vtk_pointer->SetObliquePlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:GetObliquePlane vtkConstrainedPointHandleRepresentationGetObliquePlaneFunction
//input a0 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationGetObliquePlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlane *GetObliquePlane (); */
  if (arg.size() < 1) 
    throw Exception("Function GetObliquePlane for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkPlane  *temp20;
  temp20 = (vtk_pointer)->GetObliquePlane();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlane",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SetProjectionPosition vtkConstrainedPointHandleRepresentationSetProjectionPositionFunction
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationSetProjectionPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionPosition (double position); */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectionPosition for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetProjectionPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:GetProjectionPosition vtkConstrainedPointHandleRepresentationGetProjectionPositionFunction
//input a0 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationGetProjectionPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetProjectionPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionPosition for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetProjectionPosition();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:AddBoundingPlane vtkConstrainedPointHandleRepresentationAddBoundingPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationAddBoundingPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddBoundingPlane (vtkPlane *plane); */
  if (arg.size() < 2) 
    throw Exception("Function AddBoundingPlane for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkPlane  *temp0;
  temp0 = GetVTKPointer<vtkPlane>(arg[1]);
  vtk_pointer->AddBoundingPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:RemoveBoundingPlane vtkConstrainedPointHandleRepresentationRemoveBoundingPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationRemoveBoundingPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveBoundingPlane (vtkPlane *plane); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveBoundingPlane for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkPlane  *temp0;
  temp0 = GetVTKPointer<vtkPlane>(arg[1]);
  vtk_pointer->RemoveBoundingPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:RemoveAllBoundingPlanes vtkConstrainedPointHandleRepresentationRemoveAllBoundingPlanesFunction
//input a0 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationRemoveAllBoundingPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllBoundingPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllBoundingPlanes for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllBoundingPlanes();
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SetBoundingPlanes__1 vtkConstrainedPointHandleRepresentationSetBoundingPlanes__1Function
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationSetBoundingPlanes__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetBoundingPlanes (vtkPlaneCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoundingPlanes__1 for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkPlaneCollection  *temp0;
  temp0 = GetVTKPointer<vtkPlaneCollection>(arg[1]);
  vtk_pointer->SetBoundingPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:GetBoundingPlanes vtkConstrainedPointHandleRepresentationGetBoundingPlanesFunction
//input a0 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationGetBoundingPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlaneCollection *GetBoundingPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoundingPlanes for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkPlaneCollection  *temp20;
  temp20 = (vtk_pointer)->GetBoundingPlanes();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlaneCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SetBoundingPlanes__2 vtkConstrainedPointHandleRepresentationSetBoundingPlanes__2Function
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationSetBoundingPlanes__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoundingPlanes (vtkPlanes *planes); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoundingPlanes__2 for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkPlanes  *temp0;
  temp0 = GetVTKPointer<vtkPlanes>(arg[1]);
  vtk_pointer->SetBoundingPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:CheckConstraint vtkConstrainedPointHandleRepresentationCheckConstraintFunction
//input a0 a1 a2 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationCheckConstraintFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CheckConstraint (vtkRenderer *renderer, double pos[2]); */
  if (arg.size() < 3) 
    throw Exception("Function CheckConstraint for class vtkConstrainedPointHandleRepresentation requires 3 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->CheckConstraint(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SetPosition__1 vtkConstrainedPointHandleRepresentationSetPosition__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationSetPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetPosition__1 for class vtkConstrainedPointHandleRepresentation requires 4 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SetPosition__2 vtkConstrainedPointHandleRepresentationSetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationSetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPosition__2 for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:GetPosition__2 vtkConstrainedPointHandleRepresentationGetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationGetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPosition (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPosition__2 for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:GetProperty vtkConstrainedPointHandleRepresentationGetPropertyFunction
//input a0 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationGetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProperty for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:GetSelectedProperty vtkConstrainedPointHandleRepresentationGetSelectedPropertyFunction
//input a0 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationGetSelectedPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedProperty for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:GetActiveProperty vtkConstrainedPointHandleRepresentationGetActivePropertyFunction
//input a0 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationGetActivePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetActiveProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActiveProperty for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetActiveProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SetRenderer vtkConstrainedPointHandleRepresentationSetRendererFunction
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationSetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRenderer (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderer for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:BuildRepresentation vtkConstrainedPointHandleRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:StartWidgetInteraction vtkConstrainedPointHandleRepresentationStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:WidgetInteraction vtkConstrainedPointHandleRepresentationWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:ComputeInteractionState vtkConstrainedPointHandleRepresentationComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkConstrainedPointHandleRepresentation requires 4 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SetDisplayPosition vtkConstrainedPointHandleRepresentationSetDisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationSetDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplayPosition for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:GetActors vtkConstrainedPointHandleRepresentationGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:ReleaseGraphicsResources vtkConstrainedPointHandleRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:RenderOverlay vtkConstrainedPointHandleRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:RenderOpaqueGeometry vtkConstrainedPointHandleRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:RenderTranslucentPolygonalGeometry vtkConstrainedPointHandleRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:HasTranslucentPolygonalGeometry vtkConstrainedPointHandleRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkConstrainedPointHandleRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkConstrainedPointHandleRepresentation requires 1 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:ShallowCopy vtkConstrainedPointHandleRepresentationShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkConstrainedPointHandleRepresentationShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkConstrainedPointHandleRepresentation requires 2 argument(s)");
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:GetProjectionNormal vtkConstrainedPointHandleRepresentationGetProjectionNormalFunction
//input varargin
//output varargout
ArrayVector vtkConstrainedPointHandleRepresentationGetProjectionNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkConstrainedPointHandleRepresentationGetProjectionNormal__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkConstrainedPointHandleRepresentationGetProjectionNormal");
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SetBoundingPlanes vtkConstrainedPointHandleRepresentationSetBoundingPlanesFunction
//input varargin
//output varargout
ArrayVector vtkConstrainedPointHandleRepresentationSetBoundingPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPlaneCollection"))
    return vtkConstrainedPointHandleRepresentationSetBoundingPlanes__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkPlanes"))
    return vtkConstrainedPointHandleRepresentationSetBoundingPlanes__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkConstrainedPointHandleRepresentationSetBoundingPlanes");
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:SetPosition vtkConstrainedPointHandleRepresentationSetPositionFunction
//input varargin
//output varargout
ArrayVector vtkConstrainedPointHandleRepresentationSetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkConstrainedPointHandleRepresentationSetPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkConstrainedPointHandleRepresentationSetPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkConstrainedPointHandleRepresentationSetPosition");
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:GetPosition vtkConstrainedPointHandleRepresentationGetPositionFunction
//input varargin
//output varargout
ArrayVector vtkConstrainedPointHandleRepresentationGetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkConstrainedPointHandleRepresentationGetPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkConstrainedPointHandleRepresentationGetPosition");
}

//@@Signature
//sfunction @vtkConstrainedPointHandleRepresentation:display vtkConstrainedPointHandleRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkConstrainedPointHandleRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkConstrainedPointHandleRepresentation* vtk_pointer = GetVTKPointer<vtkConstrainedPointHandleRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkConstrainedPointHandleRepresentation:delete vtkConstrainedPointHandleRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkConstrainedPointHandleRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkConstrainedPointHandleRepresentation
//@@Section VTKWidgets
//@@Usage
// This class is used to represent a vtkHandleWidget. It represents a
// position in 3D world coordinates that is constrained to a specified plane.
// The default look is to draw a white point when this widget is not selected
// or active, a thin green circle when it is highlighted, and a thicker cyan
// circle when it is active (being positioned). Defaults can be adjusted - but
// take care to define cursor geometry that makes sense for this widget.
// The geometry will be aligned on the constraining plane, with the plane
// normal aligned with the X axis of the geometry (similar behavior to
// vtkGlyph3D). 
//
// TODO: still need to work on 
// 1) translation when mouse is outside bounding planes
// 2) size of the widget
//
//
//To create an instance of class vtkConstrainedPointHandleRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkConstrainedPointHandleRepresentation
//@]
//@@Methods
//The class vtkConstrainedPointHandleRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkConstrainedPointHandleRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkConstrainedPointHandleRepresentation = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkConstrainedPointHandleRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|obj.SetCursorShape (vtkPolyData cursorShape)| -  Specify the cursor shape. Keep in mind that the shape will be
// aligned with the  constraining plane by orienting it such that
// the x axis of the geometry lies along the normal of the plane.
//// \item @|vtkPolyData = obj.GetCursorShape ()| -  Specify the cursor shape. Keep in mind that the shape will be
// aligned with the  constraining plane by orienting it such that
// the x axis of the geometry lies along the normal of the plane.
//// \item @|obj.SetActiveCursorShape (vtkPolyData activeShape)| -  Specify the shape of the cursor (handle) when it is active.
// This is the geometry that will be used when the mouse is
// close to the handle or if the user is manipulating the handle.
//// \item @|vtkPolyData = obj.GetActiveCursorShape ()| -  Specify the shape of the cursor (handle) when it is active.
// This is the geometry that will be used when the mouse is
// close to the handle or if the user is manipulating the handle.
//// \item @|obj.SetProjectionNormal (int )| -  Set the projection normal to lie along the x, y, or z axis,
// or to be oblique. If it is oblique, then the plane is 
// defined in the ObliquePlane ivar.
//// \item @|int = obj.GetProjectionNormalMinValue ()| -  Set the projection normal to lie along the x, y, or z axis,
// or to be oblique. If it is oblique, then the plane is 
// defined in the ObliquePlane ivar.
//// \item @|int = obj.GetProjectionNormalMaxValue ()| -  Set the projection normal to lie along the x, y, or z axis,
// or to be oblique. If it is oblique, then the plane is 
// defined in the ObliquePlane ivar.
//// \item @|int = obj.GetProjectionNormal ()| -  Set the projection normal to lie along the x, y, or z axis,
// or to be oblique. If it is oblique, then the plane is 
// defined in the ObliquePlane ivar.
//// \item @|obj.SetProjectionNormalToXAxis ()|
// \item @|obj.SetProjectionNormalToYAxis ()|
// \item @|obj.SetProjectionNormalToZAxis ()|
// \item @|obj.SetProjectionNormalToOblique ()| -  If the ProjectionNormal is set to Oblique, then this is the 
// oblique plane used to constrain the handle position
//// \item @|obj.SetObliquePlane (vtkPlane )| -  If the ProjectionNormal is set to Oblique, then this is the 
// oblique plane used to constrain the handle position
//// \item @|vtkPlane = obj.GetObliquePlane ()| -  If the ProjectionNormal is set to Oblique, then this is the 
// oblique plane used to constrain the handle position
//// \item @|obj.SetProjectionPosition (double position)| -  The position of the bounding plane from the origin along the
// normal. The origin and normal are defined in the oblique plane
// when the ProjectionNormal is Oblique. For the X, Y, and Z
// axes projection normals, the normal is the axis direction, and
// the origin is (0,0,0).
//// \item @|double = obj.GetProjectionPosition ()| -  The position of the bounding plane from the origin along the
// normal. The origin and normal are defined in the oblique plane
// when the ProjectionNormal is Oblique. For the X, Y, and Z
// axes projection normals, the normal is the axis direction, and
// the origin is (0,0,0).
//// \item @|obj.AddBoundingPlane (vtkPlane plane)| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|obj.RemoveBoundingPlane (vtkPlane plane)| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|obj.RemoveAllBoundingPlanes ()| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|obj.SetBoundingPlanes (vtkPlaneCollection )| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|vtkPlaneCollection = obj.GetBoundingPlanes ()| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|obj.SetBoundingPlanes (vtkPlanes planes)| -  A collection of plane equations used to bound the position of the point.
// This is in addition to confining the point to a plane - these contraints
// are meant to, for example, keep a point within the extent of an image.
// Using a set of plane equations allows for more complex bounds (such as
// bounding a point to an oblique reliced image that has hexagonal shape)
// than a simple extent.
//// \item @|int = obj.CheckConstraint (vtkRenderer renderer, double pos[2])| -  Overridden from the base class. It converts the display
// co-ordinates to world co-ordinates. It returns 1 if the point lies
// within the constrained region, otherwise return 0
//// \item @|obj.SetPosition (double x, double y, double z)| -  Set/Get the position of the point in display coordinates.  These are
// convenience methods that extend the superclasses' GetHandlePosition()
// method. Note that only the x-y coordinate values are used
//// \item @|obj.SetPosition (double xyz[3])| -  Set/Get the position of the point in display coordinates.  These are
// convenience methods that extend the superclasses' GetHandlePosition()
// method. Note that only the x-y coordinate values are used
//// \item @|obj.GetPosition (double xyz[3])| -  Set/Get the position of the point in display coordinates.  These are
// convenience methods that extend the superclasses' GetHandlePosition()
// method. Note that only the x-y coordinate values are used
//// \item @|vtkProperty = obj.GetProperty ()| -  This is the property used when the handle is not active 
// (the mouse is not near the handle)
//// \item @|vtkProperty = obj.GetSelectedProperty ()| -  This is the property used when the mouse is near the
// handle (but the user is not yet interacting with it)
//// \item @|vtkProperty = obj.GetActiveProperty ()| -  This is the property used when the user is interacting
// with the handle.
//// \item @|obj.SetRenderer (vtkRenderer ren)| -  Subclasses of vtkConstrainedPointHandleRepresentation must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other.
//// \item @|obj.BuildRepresentation ()| -  Subclasses of vtkConstrainedPointHandleRepresentation must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other.
//// \item @|obj.StartWidgetInteraction (double eventPos[2])| -  Subclasses of vtkConstrainedPointHandleRepresentation must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other.
//// \item @|obj.WidgetInteraction (double eventPos[2])| -  Subclasses of vtkConstrainedPointHandleRepresentation must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  Subclasses of vtkConstrainedPointHandleRepresentation must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other.
//// \item @|obj.SetDisplayPosition (double pos[3])| -  Method overridden from Superclass. computes the world
// co-ordinates using GetIntersectionPosition()
//// \item @|obj.GetActors (vtkPropCollection )| -  Methods to make this class behave as a vtkProp.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport viewport)| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Methods to make this class behave as a vtkProp.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Methods to make this class behave as a vtkProp.
////\end{itemize}
//!
