#include "VTKWrap.hpp"

// FreeMat wrapper for vtkContinuousValueWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkContinuousValueWidget.h"

//@@Signature
//sfunction @vtkContinuousValueWidget:vtkContinuousValueWidget vtkContinuousValueWidgetConstructorFunction
//input a
//output p
//@@Parents vtkContinuousValueWidget vtkAbstractWidget 
ArrayVector vtkContinuousValueWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkContinuousValueWidget::New(),"vtkContinuousValueWidget",eval);
  } else if (arg[0].className() == "vtkContinuousValueWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkContinuousValueWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkContinuousValueWidget");
    vtkContinuousValueWidget*q = reinterpret_cast<vtkContinuousValueWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkContinuousValueWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkContinuousValueWidget:GetClassName vtkContinuousValueWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkContinuousValueWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkContinuousValueWidget requires 1 argument(s)");
  vtkContinuousValueWidget* vtk_pointer = GetVTKPointer<vtkContinuousValueWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContinuousValueWidget:IsA vtkContinuousValueWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkContinuousValueWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkContinuousValueWidget requires 2 argument(s)");
  vtkContinuousValueWidget* vtk_pointer = GetVTKPointer<vtkContinuousValueWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContinuousValueWidget:NewInstance vtkContinuousValueWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkContinuousValueWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContinuousValueWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkContinuousValueWidget requires 1 argument(s)");
  vtkContinuousValueWidget* vtk_pointer = GetVTKPointer<vtkContinuousValueWidget>(arg[0]);
  Array retval;
  vtkContinuousValueWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContinuousValueWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContinuousValueWidget:SafeDownCast vtkContinuousValueWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkContinuousValueWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContinuousValueWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkContinuousValueWidget requires 2 argument(s)");
  vtkContinuousValueWidget* vtk_pointer = GetVTKPointer<vtkContinuousValueWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkContinuousValueWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContinuousValueWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContinuousValueWidget:SetRepresentation vtkContinuousValueWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkContinuousValueWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkContinuousValueWidgetRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkContinuousValueWidget requires 2 argument(s)");
  vtkContinuousValueWidget* vtk_pointer = GetVTKPointer<vtkContinuousValueWidget>(arg[0]);
  Array retval;
  vtkContinuousValueWidgetRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkContinuousValueWidgetRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContinuousValueWidget:GetValue vtkContinuousValueWidgetGetValueFunction
//input a0 
//output y
ArrayVector vtkContinuousValueWidgetGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValue for class vtkContinuousValueWidget requires 1 argument(s)");
  vtkContinuousValueWidget* vtk_pointer = GetVTKPointer<vtkContinuousValueWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContinuousValueWidget:SetValue vtkContinuousValueWidgetSetValueFunction
//input a0 a1 
//output none
ArrayVector vtkContinuousValueWidgetSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (double v); */
  if (arg.size() < 2) 
    throw Exception("Function SetValue for class vtkContinuousValueWidget requires 2 argument(s)");
  vtkContinuousValueWidget* vtk_pointer = GetVTKPointer<vtkContinuousValueWidget>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContinuousValueWidget:display vtkContinuousValueWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkContinuousValueWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkContinuousValueWidget* vtk_pointer = GetVTKPointer<vtkContinuousValueWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkContinuousValueWidget:delete vtkContinuousValueWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkContinuousValueWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkContinuousValueWidget
//@@Section VTKWidgets
//@@Usage
// The vtkContinuousValueWidget is used to adjust a scalar value in an 
// application. Note that the actual appearance of the widget depends on
// the specific representation for the widget.
// 
// To use this widget, set the widget representation. (the details may
// vary depending on the particulars of the representation). 
//
//
// .SECTION Event Bindings
// By default, the widget responds to the following VTK events (i.e., it
// watches the vtkRenderWindowInteractor for these events):
// <pre>
// If the slider bead is selected:
//   LeftButtonPressEvent - select slider 
//   LeftButtonReleaseEvent - release slider 
//   MouseMoveEvent - move slider
// </pre>
//
// Note that the event bindings described above can be changed using this
// class's vtkWidgetEventTranslator. This class translates VTK events 
// into the vtkContinuousValueWidget's widget events:
// <pre>
//   vtkWidgetEvent::Select -- some part of the widget has been selected
//   vtkWidgetEvent::EndSelect -- the selection process has completed
//   vtkWidgetEvent::Move -- a request for slider motion has been invoked
// </pre>
//
// In turn, when these widget events are processed, the vtkContinuousValueWidget
// invokes the following VTK events on itself (which observers can listen for):
// <pre>
//   vtkCommand::StartInteractionEvent (on vtkWidgetEvent::Select)
//   vtkCommand::EndInteractionEvent (on vtkWidgetEvent::EndSelect)
//   vtkCommand::InteractionEvent (on vtkWidgetEvent::Move)
// </pre>
//
//
//To create an instance of class vtkContinuousValueWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkContinuousValueWidget
//@]
//@@Methods
//The class vtkContinuousValueWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkContinuousValueWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard macros.
//// \item @|int = obj.IsA (string name)| -  Standard macros.
//// \item @|vtkContinuousValueWidget = obj.NewInstance ()| -  Standard macros.
//// \item @|vtkContinuousValueWidget = obj.SafeDownCast (vtkObject o)| -  Standard macros.
//// \item @|obj.SetRepresentation (vtkContinuousValueWidgetRepresentation r)| -  Get the value for this widget. 
//// \item @|double = obj.GetValue ()| -  Get the value for this widget. 
//// \item @|obj.SetValue (double v)| -  Get the value for this widget. 
////\end{itemize}
//!
