#include "VTKWrap.hpp"

// FreeMat wrapper for vtkContinuousValueWidgetRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkContinuousValueWidgetRepresentation.h"

//@@Signature
//sfunction @vtkContinuousValueWidgetRepresentation:vtkContinuousValueWidgetRepresentation vtkContinuousValueWidgetRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkContinuousValueWidgetRepresentation vtkWidgetRepresentation 
ArrayVector vtkContinuousValueWidgetRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkContinuousValueWidgetRepresentation::New(),"vtkContinuousValueWidgetRepresentation",eval);
  } else if (arg[0].className() == "vtkContinuousValueWidgetRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkContinuousValueWidgetRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkContinuousValueWidgetRepresentation");
    vtkContinuousValueWidgetRepresentation*q = reinterpret_cast<vtkContinuousValueWidgetRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkContinuousValueWidgetRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkContinuousValueWidgetRepresentation:GetClassName vtkContinuousValueWidgetRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkContinuousValueWidgetRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkContinuousValueWidgetRepresentation requires 1 argument(s)");
  vtkContinuousValueWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkContinuousValueWidgetRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContinuousValueWidgetRepresentation:IsA vtkContinuousValueWidgetRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkContinuousValueWidgetRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkContinuousValueWidgetRepresentation requires 2 argument(s)");
  vtkContinuousValueWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkContinuousValueWidgetRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContinuousValueWidgetRepresentation:NewInstance vtkContinuousValueWidgetRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkContinuousValueWidgetRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContinuousValueWidgetRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkContinuousValueWidgetRepresentation requires 1 argument(s)");
  vtkContinuousValueWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkContinuousValueWidgetRepresentation>(arg[0]);
  Array retval;
  vtkContinuousValueWidgetRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContinuousValueWidgetRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContinuousValueWidgetRepresentation:SafeDownCast vtkContinuousValueWidgetRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkContinuousValueWidgetRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContinuousValueWidgetRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkContinuousValueWidgetRepresentation requires 2 argument(s)");
  vtkContinuousValueWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkContinuousValueWidgetRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkContinuousValueWidgetRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContinuousValueWidgetRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContinuousValueWidgetRepresentation:PlaceWidget vtkContinuousValueWidgetRepresentationPlaceWidgetFunction
//input a0 a1 
//output none
ArrayVector vtkContinuousValueWidgetRepresentationPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget for class vtkContinuousValueWidgetRepresentation requires 2 argument(s)");
  vtkContinuousValueWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkContinuousValueWidgetRepresentation>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContinuousValueWidgetRepresentation:BuildRepresentation vtkContinuousValueWidgetRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkContinuousValueWidgetRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkContinuousValueWidgetRepresentation requires 1 argument(s)");
  vtkContinuousValueWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkContinuousValueWidgetRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkContinuousValueWidgetRepresentation:StartWidgetInteraction vtkContinuousValueWidgetRepresentationStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkContinuousValueWidgetRepresentationStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double eventPos[2]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkContinuousValueWidgetRepresentation requires 2 argument(s)");
  vtkContinuousValueWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkContinuousValueWidgetRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContinuousValueWidgetRepresentation:WidgetInteraction vtkContinuousValueWidgetRepresentationWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkContinuousValueWidgetRepresentationWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double eventPos[2]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkContinuousValueWidgetRepresentation requires 2 argument(s)");
  vtkContinuousValueWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkContinuousValueWidgetRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContinuousValueWidgetRepresentation:SetValue vtkContinuousValueWidgetRepresentationSetValueFunction
//input a0 a1 
//output none
ArrayVector vtkContinuousValueWidgetRepresentationSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetValue (double value); */
  if (arg.size() < 2) 
    throw Exception("Function SetValue for class vtkContinuousValueWidgetRepresentation requires 2 argument(s)");
  vtkContinuousValueWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkContinuousValueWidgetRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContinuousValueWidgetRepresentation:GetValue vtkContinuousValueWidgetRepresentationGetValueFunction
//input a0 
//output y
ArrayVector vtkContinuousValueWidgetRepresentationGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetValue ();return this Value  */
  if (arg.size() < 1) 
    throw Exception("Function GetValue for class vtkContinuousValueWidgetRepresentation requires 1 argument(s)");
  vtkContinuousValueWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkContinuousValueWidgetRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContinuousValueWidgetRepresentation:display vtkContinuousValueWidgetRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkContinuousValueWidgetRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkContinuousValueWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkContinuousValueWidgetRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkContinuousValueWidgetRepresentation:delete vtkContinuousValueWidgetRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkContinuousValueWidgetRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkContinuousValueWidgetRepresentation
//@@Section VTKWidgets
//@@Usage
// This class is used mainly as a superclass for continuous value widgets
//
//
//To create an instance of class vtkContinuousValueWidgetRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkContinuousValueWidgetRepresentation
//@]
//@@Methods
//The class vtkContinuousValueWidgetRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkContinuousValueWidgetRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for the class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for the class.
//// \item @|vtkContinuousValueWidgetRepresentation = obj.NewInstance ()| -  Standard methods for the class.
//// \item @|vtkContinuousValueWidgetRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard methods for the class.
//// \item @|obj.PlaceWidget (double bounds[6])| -  Methods to interface with the vtkSliderWidget. The PlaceWidget() method
// assumes that the parameter bounds[6] specifies the location in display
// space where the widget should be placed.
//// \item @|obj.BuildRepresentation ()| -  Methods to interface with the vtkSliderWidget. The PlaceWidget() method
// assumes that the parameter bounds[6] specifies the location in display
// space where the widget should be placed.
//// \item @|obj.StartWidgetInteraction (double eventPos[2])| -  Methods to interface with the vtkSliderWidget. The PlaceWidget() method
// assumes that the parameter bounds[6] specifies the location in display
// space where the widget should be placed.
//// \item @|obj.WidgetInteraction (double eventPos[2])| -  Methods to interface with the vtkSliderWidget. The PlaceWidget() method
// assumes that the parameter bounds[6] specifies the location in display
// space where the widget should be placed.
//// \item @|obj.SetValue (double value)|
// \item @|double = obj.GetValue ()|
//\end{itemize}
//!
