#include "VTKWrap.hpp"

// FreeMat wrapper for vtkContourLineInterpolator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkContourLineInterpolator.h"

//@@Signature
//sfunction @vtkContourLineInterpolator:vtkContourLineInterpolator vtkContourLineInterpolatorConstructorFunction
//input a
//output p
//@@Parents vtkContourLineInterpolator vtkObject 
ArrayVector vtkContourLineInterpolatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkContourLineInterpolator::New(),"vtkContourLineInterpolator",eval);
  } else if (arg[0].className() == "vtkContourLineInterpolator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkContourLineInterpolator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkContourLineInterpolator");
    vtkContourLineInterpolator*q = reinterpret_cast<vtkContourLineInterpolator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkContourLineInterpolator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkContourLineInterpolator:GetClassName vtkContourLineInterpolatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkContourLineInterpolatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkContourLineInterpolator requires 1 argument(s)");
  vtkContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkContourLineInterpolator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourLineInterpolator:IsA vtkContourLineInterpolatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkContourLineInterpolatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkContourLineInterpolator requires 2 argument(s)");
  vtkContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkContourLineInterpolator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourLineInterpolator:NewInstance vtkContourLineInterpolatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkContourLineInterpolatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContourLineInterpolator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkContourLineInterpolator requires 1 argument(s)");
  vtkContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkContourLineInterpolator>(arg[0]);
  Array retval;
  vtkContourLineInterpolator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContourLineInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContourLineInterpolator:SafeDownCast vtkContourLineInterpolatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkContourLineInterpolatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContourLineInterpolator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkContourLineInterpolator requires 2 argument(s)");
  vtkContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkContourLineInterpolator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkContourLineInterpolator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContourLineInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContourLineInterpolator:InterpolateLine vtkContourLineInterpolatorInterpolateLineFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkContourLineInterpolatorInterpolateLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int InterpolateLine (vtkRenderer *ren, vtkContourRepresentation *rep, int idx1, int idx2) = 0; */
  if (arg.size() < 5) 
    throw Exception("Function InterpolateLine for class vtkContourLineInterpolator requires 5 argument(s)");
  vtkContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkContourLineInterpolator>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkContourRepresentation  *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkContourRepresentation>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->InterpolateLine(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourLineInterpolator:UpdateNode vtkContourLineInterpolatorUpdateNodeFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkContourLineInterpolatorUpdateNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int UpdateNode (vtkRenderer *, vtkContourRepresentation *, double *, int ); */
  if (arg.size() < 5) 
    throw Exception("Function UpdateNode for class vtkContourLineInterpolator requires 5 argument(s)");
  vtkContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkContourLineInterpolator>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkContourRepresentation  *temp1;
  double  *temp2;
  int      temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkContourRepresentation>(arg[2]);
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->UpdateNode(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourLineInterpolator:GetSpan vtkContourLineInterpolatorGetSpanFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkContourLineInterpolatorGetSpanFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetSpan (int nodeIndex, vtkIntArray *nodeIndices, vtkContourRepresentation *rep); */
  if (arg.size() < 4) 
    throw Exception("Function GetSpan for class vtkContourLineInterpolator requires 4 argument(s)");
  vtkContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkContourLineInterpolator>(arg[0]);
  Array retval;
  int      temp0;
  vtkIntArray  *temp1;
  vtkContourRepresentation  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIntArray>(arg[2]);
  temp2 = GetVTKPointer<vtkContourRepresentation>(arg[3]);
  vtk_pointer->GetSpan(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkContourLineInterpolator:display vtkContourLineInterpolatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkContourLineInterpolatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkContourLineInterpolator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkContourLineInterpolator:delete vtkContourLineInterpolatorDeleteFunction
//input varargin
//output none
ArrayVector vtkContourLineInterpolatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkContourLineInterpolator
//@@Section VTKWidgets
//@@Usage
// vtkContourLineInterpolator is an abstract base class for interpolators
// that work are used by the contour representation class to interpolate 
// and/or modify nodes in a contour. Subclasses must override the virtual
// method: \c InterpolateLine. This is used by the contour representation 
// to give the interpolator a chance to define an interpolation scheme
// between nodes. See vtkBezierContourLineInterpolator for a concrete 
// implementation. Subclasses may also override, \c UpdateNode. This provides
// a way for the representation to give the interpolator a chance to modify
// the nodes, as the user constructs the contours. For instance a sticky
// contour widget may be implemented that moves nodes to nearby regions of
// high gradient, to be used in contour guided segmentation.
//
//
//To create an instance of class vtkContourLineInterpolator, simply
//invoke its constructor as follows
//@[
//  obj = vtkContourLineInterpolator
//@]
//@@Methods
//The class vtkContourLineInterpolator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkContourLineInterpolator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkContourLineInterpolator = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkContourLineInterpolator = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|int = obj.InterpolateLine (vtkRenderer ren, vtkContourRepresentation rep, int idx1, int idx2)| -  Subclasses that wish to interpolate a line segment must implement this.
// For instance vtkBezierContourLineInterpolator adds nodes between idx1
// and idx2, that allow the contour to adhere to a bezier curve.
//// \item @|int = obj.UpdateNode (vtkRenderer , vtkContourRepresentation , double , int )| -  The interpolator is given a chance to update the node. For instance, the
// vtkImageContourLineInterpolator updates the idx'th node in the contour, 
// so it automatically sticks to edges in the vicinity as the user 
// constructs the contour. 
// Returns 0 if the node (world position) is unchanged.
//// \item @|obj.GetSpan (int nodeIndex, vtkIntArray nodeIndices, vtkContourRepresentation rep)| -  Span of the interpolator. ie. the number of control points its supposed
// to interpolate given a node.
//
// The first argument is the current nodeIndex.
// ie, you'd be trying to interpolate between nodes "nodeIndex" and 
// "nodeIndex-1", unless you're closing the contour in which case, you're
// trying to interpolate "nodeIndex" and "Node=0". 
//
// The node span is returned in a vtkIntArray. The default node span is 1 
// (ie. nodeIndices is a 2 tuple (nodeIndex, nodeIndex-1)). However, it 
// need not always be 1. For instance, cubic spline interpolators, which 
// have a span of 3 control points, it can be larger. See
// vtkBezierContourLineInterpolator for instance.
////\end{itemize}
//!
