#include "VTKWrap.hpp"

// FreeMat wrapper for vtkContourRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkContourRepresentation.h"

//@@Signature
//sfunction @vtkContourRepresentation:vtkContourRepresentation vtkContourRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkContourRepresentation vtkWidgetRepresentation 
ArrayVector vtkContourRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkContourRepresentation::New(),"vtkContourRepresentation",eval);
  } else if (arg[0].className() == "vtkContourRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkContourRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkContourRepresentation");
    vtkContourRepresentation*q = reinterpret_cast<vtkContourRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkContourRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkContourRepresentation:GetClassName vtkContourRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:IsA vtkContourRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:NewInstance vtkContourRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContourRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtkContourRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContourRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SafeDownCast vtkContourRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContourRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkContourRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContourRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:AddNodeAtWorldPosition__1 vtkContourRepresentationAddNodeAtWorldPosition__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkContourRepresentationAddNodeAtWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddNodeAtWorldPosition (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function AddNodeAtWorldPosition__1 for class vtkContourRepresentation requires 4 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->AddNodeAtWorldPosition(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:AddNodeAtWorldPosition__2 vtkContourRepresentationAddNodeAtWorldPosition__2Function
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationAddNodeAtWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddNodeAtWorldPosition (double worldPos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function AddNodeAtWorldPosition__2 for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->AddNodeAtWorldPosition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:AddNodeAtWorldPosition__3 vtkContourRepresentationAddNodeAtWorldPosition__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkContourRepresentationAddNodeAtWorldPosition__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddNodeAtWorldPosition (double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 3) 
    throw Exception("Function AddNodeAtWorldPosition__3 for class vtkContourRepresentation requires 3 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[9];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->AddNodeAtWorldPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:AddNodeAtDisplayPosition__1 vtkContourRepresentationAddNodeAtDisplayPosition__1Function
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationAddNodeAtDisplayPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddNodeAtDisplayPosition (double displayPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function AddNodeAtDisplayPosition__1 for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->AddNodeAtDisplayPosition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:AddNodeAtDisplayPosition__2 vtkContourRepresentationAddNodeAtDisplayPosition__2Function
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationAddNodeAtDisplayPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddNodeAtDisplayPosition (int displayPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function AddNodeAtDisplayPosition__2 for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int    temp0[2];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->AddNodeAtDisplayPosition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:AddNodeAtDisplayPosition__3 vtkContourRepresentationAddNodeAtDisplayPosition__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkContourRepresentationAddNodeAtDisplayPosition__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddNodeAtDisplayPosition (int X, int Y); */
  if (arg.size() < 3) 
    throw Exception("Function AddNodeAtDisplayPosition__3 for class vtkContourRepresentation requires 3 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->AddNodeAtDisplayPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:ActivateNode__1 vtkContourRepresentationActivateNode__1Function
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationActivateNode__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ActivateNode (double displayPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function ActivateNode__1 for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ActivateNode(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:ActivateNode__2 vtkContourRepresentationActivateNode__2Function
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationActivateNode__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ActivateNode (int displayPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function ActivateNode__2 for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int    temp0[2];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->ActivateNode(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:ActivateNode__3 vtkContourRepresentationActivateNode__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkContourRepresentationActivateNode__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ActivateNode (int X, int Y); */
  if (arg.size() < 3) 
    throw Exception("Function ActivateNode__3 for class vtkContourRepresentation requires 3 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->ActivateNode(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetActiveNodeToWorldPosition__1 vtkContourRepresentationSetActiveNodeToWorldPosition__1Function
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationSetActiveNodeToWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetActiveNodeToWorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetActiveNodeToWorldPosition__1 for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->SetActiveNodeToWorldPosition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetActiveNodeToWorldPosition__2 vtkContourRepresentationSetActiveNodeToWorldPosition__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkContourRepresentationSetActiveNodeToWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetActiveNodeToWorldPosition (double pos[3], double orient[9]); */
  if (arg.size() < 3) 
    throw Exception("Function SetActiveNodeToWorldPosition__2 for class vtkContourRepresentation requires 3 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[9];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->SetActiveNodeToWorldPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetActiveNodeToDisplayPosition__1 vtkContourRepresentationSetActiveNodeToDisplayPosition__1Function
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationSetActiveNodeToDisplayPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetActiveNodeToDisplayPosition (double pos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetActiveNodeToDisplayPosition__1 for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->SetActiveNodeToDisplayPosition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetActiveNodeToDisplayPosition__2 vtkContourRepresentationSetActiveNodeToDisplayPosition__2Function
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationSetActiveNodeToDisplayPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetActiveNodeToDisplayPosition (int pos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetActiveNodeToDisplayPosition__2 for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int    temp0[2];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->SetActiveNodeToDisplayPosition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetActiveNodeToDisplayPosition__3 vtkContourRepresentationSetActiveNodeToDisplayPosition__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkContourRepresentationSetActiveNodeToDisplayPosition__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetActiveNodeToDisplayPosition (int X, int Y); */
  if (arg.size() < 3) 
    throw Exception("Function SetActiveNodeToDisplayPosition__3 for class vtkContourRepresentation requires 3 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->SetActiveNodeToDisplayPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:ToggleActiveNodeSelected vtkContourRepresentationToggleActiveNodeSelectedFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationToggleActiveNodeSelectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ToggleActiveNodeSelected (); */
  if (arg.size() < 1) 
    throw Exception("Function ToggleActiveNodeSelected for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->ToggleActiveNodeSelected();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetActiveNodeSelected vtkContourRepresentationGetActiveNodeSelectedFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationGetActiveNodeSelectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetActiveNodeSelected (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActiveNodeSelected for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetActiveNodeSelected();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetNthNodeSelected vtkContourRepresentationGetNthNodeSelectedFunction
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationGetNthNodeSelectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNthNodeSelected (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetNthNodeSelected for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNthNodeSelected(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetNthNodeSelected vtkContourRepresentationSetNthNodeSelectedFunction
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationSetNthNodeSelectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetNthNodeSelected (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNthNodeSelected for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->SetNthNodeSelected(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetActiveNodeWorldPosition vtkContourRepresentationGetActiveNodeWorldPositionFunction
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationGetActiveNodeWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetActiveNodeWorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetActiveNodeWorldPosition for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetActiveNodeWorldPosition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetActiveNodeWorldOrientation vtkContourRepresentationGetActiveNodeWorldOrientationFunction
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationGetActiveNodeWorldOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetActiveNodeWorldOrientation (double orient[9]); */
  if (arg.size() < 2) 
    throw Exception("Function GetActiveNodeWorldOrientation for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  double temp0[9];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetActiveNodeWorldOrientation(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetActiveNodeDisplayPosition vtkContourRepresentationGetActiveNodeDisplayPositionFunction
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationGetActiveNodeDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetActiveNodeDisplayPosition (double pos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetActiveNodeDisplayPosition for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetActiveNodeDisplayPosition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetNumberOfNodes vtkContourRepresentationGetNumberOfNodesFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationGetNumberOfNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfNodes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNodes for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfNodes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetNthNodeDisplayPosition vtkContourRepresentationGetNthNodeDisplayPositionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkContourRepresentationGetNthNodeDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNthNodeDisplayPosition (int n, double pos[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GetNthNodeDisplayPosition for class vtkContourRepresentation requires 3 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetNthNodeDisplayPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetNthNodeWorldPosition vtkContourRepresentationGetNthNodeWorldPositionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkContourRepresentationGetNthNodeWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNthNodeWorldPosition (int n, double pos[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetNthNodeWorldPosition for class vtkContourRepresentation requires 3 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetNthNodeWorldPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetNthNodeWorldOrientation vtkContourRepresentationGetNthNodeWorldOrientationFunction
//input a0 a1 a2 
//output y
ArrayVector vtkContourRepresentationGetNthNodeWorldOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNthNodeWorldOrientation (int n, double orient[9]); */
  if (arg.size() < 3) 
    throw Exception("Function GetNthNodeWorldOrientation for class vtkContourRepresentation requires 3 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[9];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetNthNodeWorldOrientation(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetNthNodeDisplayPosition__1 vtkContourRepresentationSetNthNodeDisplayPosition__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkContourRepresentationSetNthNodeDisplayPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetNthNodeDisplayPosition (int n, int X, int Y); */
  if (arg.size() < 4) 
    throw Exception("Function SetNthNodeDisplayPosition__1 for class vtkContourRepresentation requires 4 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->SetNthNodeDisplayPosition(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetNthNodeDisplayPosition__2 vtkContourRepresentationSetNthNodeDisplayPosition__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkContourRepresentationSetNthNodeDisplayPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetNthNodeDisplayPosition (int n, int pos[2]); */
  if (arg.size() < 3) 
    throw Exception("Function SetNthNodeDisplayPosition__2 for class vtkContourRepresentation requires 3 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int    temp1[2];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->SetNthNodeDisplayPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetNthNodeDisplayPosition__3 vtkContourRepresentationSetNthNodeDisplayPosition__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkContourRepresentationSetNthNodeDisplayPosition__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetNthNodeDisplayPosition (int n, double pos[2]); */
  if (arg.size() < 3) 
    throw Exception("Function SetNthNodeDisplayPosition__3 for class vtkContourRepresentation requires 3 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->SetNthNodeDisplayPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetNthNodeWorldPosition__1 vtkContourRepresentationSetNthNodeWorldPosition__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkContourRepresentationSetNthNodeWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetNthNodeWorldPosition (int n, double pos[3]); */
  if (arg.size() < 3) 
    throw Exception("Function SetNthNodeWorldPosition__1 for class vtkContourRepresentation requires 3 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->SetNthNodeWorldPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetNthNodeWorldPosition__2 vtkContourRepresentationSetNthNodeWorldPosition__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkContourRepresentationSetNthNodeWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SetNthNodeWorldPosition (int n, double pos[3], double orient[9]); */
  if (arg.size() < 4) 
    throw Exception("Function SetNthNodeWorldPosition__2 for class vtkContourRepresentation requires 4 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  double temp2[9];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[5].isVector() && arg[5].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->SetNthNodeWorldPosition(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetNthNodeSlope vtkContourRepresentationGetNthNodeSlopeFunction
//input a0 a1 a2 
//output y
ArrayVector vtkContourRepresentationGetNthNodeSlopeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNthNodeSlope (int idx, double slope[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetNthNodeSlope for class vtkContourRepresentation requires 3 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetNthNodeSlope(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetNumberOfIntermediatePoints vtkContourRepresentationGetNumberOfIntermediatePointsFunction
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationGetNumberOfIntermediatePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfIntermediatePoints (int n); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfIntermediatePoints for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfIntermediatePoints(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetIntermediatePointWorldPosition vtkContourRepresentationGetIntermediatePointWorldPositionFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkContourRepresentationGetIntermediatePointWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetIntermediatePointWorldPosition (int n, int idx, double point[3]); */
  if (arg.size() < 4) 
    throw Exception("Function GetIntermediatePointWorldPosition for class vtkContourRepresentation requires 4 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  double temp2[3];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !(arg[3].isVector() && arg[3].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetIntermediatePointWorldPosition(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:AddIntermediatePointWorldPosition vtkContourRepresentationAddIntermediatePointWorldPositionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkContourRepresentationAddIntermediatePointWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddIntermediatePointWorldPosition (int n, double point[3]); */
  if (arg.size() < 3) 
    throw Exception("Function AddIntermediatePointWorldPosition for class vtkContourRepresentation requires 3 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->AddIntermediatePointWorldPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:DeleteLastNode vtkContourRepresentationDeleteLastNodeFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationDeleteLastNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int DeleteLastNode (); */
  if (arg.size() < 1) 
    throw Exception("Function DeleteLastNode for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->DeleteLastNode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:DeleteActiveNode vtkContourRepresentationDeleteActiveNodeFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationDeleteActiveNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int DeleteActiveNode (); */
  if (arg.size() < 1) 
    throw Exception("Function DeleteActiveNode for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->DeleteActiveNode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:DeleteNthNode vtkContourRepresentationDeleteNthNodeFunction
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationDeleteNthNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int DeleteNthNode (int n); */
  if (arg.size() < 2) 
    throw Exception("Function DeleteNthNode for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->DeleteNthNode(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:ClearAllNodes vtkContourRepresentationClearAllNodesFunction
//input a0 
//output none
ArrayVector vtkContourRepresentationClearAllNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ClearAllNodes (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearAllNodes for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ClearAllNodes();
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:AddNodeOnContour vtkContourRepresentationAddNodeOnContourFunction
//input a0 a1 a2 
//output y
ArrayVector vtkContourRepresentationAddNodeOnContourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddNodeOnContour (int X, int Y); */
  if (arg.size() < 3) 
    throw Exception("Function AddNodeOnContour for class vtkContourRepresentation requires 3 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->AddNodeOnContour(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetPixelTolerance vtkContourRepresentationSetPixelToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkContourRepresentationSetPixelToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPixelTolerance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPixelTolerance for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPixelTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetPixelToleranceMinValue vtkContourRepresentationGetPixelToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationGetPixelToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPixelToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPixelToleranceMinValue for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPixelToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetPixelToleranceMaxValue vtkContourRepresentationGetPixelToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationGetPixelToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPixelToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPixelToleranceMaxValue for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPixelToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetPixelTolerance vtkContourRepresentationGetPixelToleranceFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationGetPixelToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPixelTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPixelTolerance for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPixelTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetWorldTolerance vtkContourRepresentationSetWorldToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkContourRepresentationSetWorldToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWorldTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWorldTolerance for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetWorldTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetWorldToleranceMinValue vtkContourRepresentationGetWorldToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationGetWorldToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWorldToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWorldToleranceMinValue for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWorldToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetWorldToleranceMaxValue vtkContourRepresentationGetWorldToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationGetWorldToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWorldToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWorldToleranceMaxValue for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWorldToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetWorldTolerance vtkContourRepresentationGetWorldToleranceFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationGetWorldToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWorldTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWorldTolerance for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWorldTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetCurrentOperation vtkContourRepresentationGetCurrentOperationFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationGetCurrentOperationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCurrentOperation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentOperation for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCurrentOperation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetCurrentOperation vtkContourRepresentationSetCurrentOperationFunction
//input a0 a1 
//output none
ArrayVector vtkContourRepresentationSetCurrentOperationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurrentOperation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCurrentOperation for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCurrentOperation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetCurrentOperationMinValue vtkContourRepresentationGetCurrentOperationMinValueFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationGetCurrentOperationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCurrentOperationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentOperationMinValue for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCurrentOperationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetCurrentOperationMaxValue vtkContourRepresentationGetCurrentOperationMaxValueFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationGetCurrentOperationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCurrentOperationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentOperationMaxValue for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCurrentOperationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetCurrentOperationToInactive vtkContourRepresentationSetCurrentOperationToInactiveFunction
//input a0 
//output none
ArrayVector vtkContourRepresentationSetCurrentOperationToInactiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurrentOperationToInactive ();this SetCurrentOperation vtkContourRepresentation Inactive  */
  if (arg.size() < 1) 
    throw Exception("Function SetCurrentOperationToInactive for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetCurrentOperationToInactive();
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetCurrentOperationToTranslate vtkContourRepresentationSetCurrentOperationToTranslateFunction
//input a0 
//output none
ArrayVector vtkContourRepresentationSetCurrentOperationToTranslateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurrentOperationToTranslate ();this SetCurrentOperation vtkContourRepresentation Translate  */
  if (arg.size() < 1) 
    throw Exception("Function SetCurrentOperationToTranslate for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetCurrentOperationToTranslate();
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetCurrentOperationToShift vtkContourRepresentationSetCurrentOperationToShiftFunction
//input a0 
//output none
ArrayVector vtkContourRepresentationSetCurrentOperationToShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurrentOperationToShift ();this SetCurrentOperation vtkContourRepresentation Shift  */
  if (arg.size() < 1) 
    throw Exception("Function SetCurrentOperationToShift for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetCurrentOperationToShift();
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetCurrentOperationToScale vtkContourRepresentationSetCurrentOperationToScaleFunction
//input a0 
//output none
ArrayVector vtkContourRepresentationSetCurrentOperationToScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCurrentOperationToScale ();this SetCurrentOperation vtkContourRepresentation Scale  */
  if (arg.size() < 1) 
    throw Exception("Function SetCurrentOperationToScale for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetCurrentOperationToScale();
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetPointPlacer vtkContourRepresentationSetPointPlacerFunction
//input a0 a1 
//output none
ArrayVector vtkContourRepresentationSetPointPlacerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointPlacer (vtkPointPlacer *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointPlacer for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtkPointPlacer  *temp0;
  temp0 = GetVTKPointer<vtkPointPlacer>(arg[1]);
  vtk_pointer->SetPointPlacer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetPointPlacer vtkContourRepresentationGetPointPlacerFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationGetPointPlacerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointPlacer *GetPointPlacer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointPlacer for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtkPointPlacer  *temp20;
  temp20 = (vtk_pointer)->GetPointPlacer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetLineInterpolator vtkContourRepresentationSetLineInterpolatorFunction
//input a0 a1 
//output none
ArrayVector vtkContourRepresentationSetLineInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineInterpolator (vtkContourLineInterpolator *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLineInterpolator for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtkContourLineInterpolator  *temp0;
  temp0 = GetVTKPointer<vtkContourLineInterpolator>(arg[1]);
  vtk_pointer->SetLineInterpolator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetLineInterpolator vtkContourRepresentationGetLineInterpolatorFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationGetLineInterpolatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContourLineInterpolator *GetLineInterpolator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineInterpolator for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtkContourLineInterpolator  *temp20;
  temp20 = (vtk_pointer)->GetLineInterpolator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContourLineInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:BuildRepresentation vtkContourRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkContourRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:ComputeInteractionState vtkContourRepresentationComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkContourRepresentationComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modified) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkContourRepresentation requires 4 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:StartWidgetInteraction vtkContourRepresentationStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkContourRepresentationStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double e[2]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:WidgetInteraction vtkContourRepresentationWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkContourRepresentationWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double e[2]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:ReleaseGraphicsResources vtkContourRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkContourRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *w) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:RenderOverlay vtkContourRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *viewport) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:RenderOpaqueGeometry vtkContourRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:RenderTranslucentPolygonalGeometry vtkContourRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkContourRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:HasTranslucentPolygonalGeometry vtkContourRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetClosedLoop vtkContourRepresentationSetClosedLoopFunction
//input a0 a1 
//output none
ArrayVector vtkContourRepresentationSetClosedLoopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClosedLoop (int val); */
  if (arg.size() < 2) 
    throw Exception("Function SetClosedLoop for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClosedLoop(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetClosedLoop vtkContourRepresentationGetClosedLoopFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationGetClosedLoopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClosedLoop (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClosedLoop for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClosedLoop();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:ClosedLoopOn vtkContourRepresentationClosedLoopOnFunction
//input a0 
//output none
ArrayVector vtkContourRepresentationClosedLoopOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClosedLoopOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ClosedLoopOn for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ClosedLoopOn();
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:ClosedLoopOff vtkContourRepresentationClosedLoopOffFunction
//input a0 
//output none
ArrayVector vtkContourRepresentationClosedLoopOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClosedLoopOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ClosedLoopOff for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ClosedLoopOff();
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:SetShowSelectedNodes vtkContourRepresentationSetShowSelectedNodesFunction
//input a0 a1 
//output none
ArrayVector vtkContourRepresentationSetShowSelectedNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetShowSelectedNodes (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShowSelectedNodes for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShowSelectedNodes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetShowSelectedNodes vtkContourRepresentationGetShowSelectedNodesFunction
//input a0 
//output y
ArrayVector vtkContourRepresentationGetShowSelectedNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShowSelectedNodes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShowSelectedNodes for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShowSelectedNodes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:ShowSelectedNodesOn vtkContourRepresentationShowSelectedNodesOnFunction
//input a0 
//output none
ArrayVector vtkContourRepresentationShowSelectedNodesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowSelectedNodesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowSelectedNodesOn for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ShowSelectedNodesOn();
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:ShowSelectedNodesOff vtkContourRepresentationShowSelectedNodesOffFunction
//input a0 
//output none
ArrayVector vtkContourRepresentationShowSelectedNodesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowSelectedNodesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowSelectedNodesOff for class vtkContourRepresentation requires 1 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ShowSelectedNodesOff();
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:GetNodePolyData vtkContourRepresentationGetNodePolyDataFunction
//input a0 a1 
//output none
ArrayVector vtkContourRepresentationGetNodePolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetNodePolyData (vtkPolyData *poly); */
  if (arg.size() < 2) 
    throw Exception("Function GetNodePolyData for class vtkContourRepresentation requires 2 argument(s)");
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->GetNodePolyData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourRepresentation:AddNodeAtWorldPosition vtkContourRepresentationAddNodeAtWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkContourRepresentationAddNodeAtWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkContourRepresentationAddNodeAtWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkContourRepresentationAddNodeAtWorldPosition__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkContourRepresentationAddNodeAtWorldPosition__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkContourRepresentationAddNodeAtWorldPosition");
}

//@@Signature
//sfunction @vtkContourRepresentation:AddNodeAtDisplayPosition vtkContourRepresentationAddNodeAtDisplayPositionFunction
//input varargin
//output varargout
ArrayVector vtkContourRepresentationAddNodeAtDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkContourRepresentationAddNodeAtDisplayPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkContourRepresentationAddNodeAtDisplayPosition__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkContourRepresentationAddNodeAtDisplayPosition__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkContourRepresentationAddNodeAtDisplayPosition");
}

//@@Signature
//sfunction @vtkContourRepresentation:ActivateNode vtkContourRepresentationActivateNodeFunction
//input varargin
//output varargout
ArrayVector vtkContourRepresentationActivateNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkContourRepresentationActivateNode__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkContourRepresentationActivateNode__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkContourRepresentationActivateNode__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkContourRepresentationActivateNode");
}

//@@Signature
//sfunction @vtkContourRepresentation:SetActiveNodeToWorldPosition vtkContourRepresentationSetActiveNodeToWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkContourRepresentationSetActiveNodeToWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkContourRepresentationSetActiveNodeToWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkContourRepresentationSetActiveNodeToWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkContourRepresentationSetActiveNodeToWorldPosition");
}

//@@Signature
//sfunction @vtkContourRepresentation:SetActiveNodeToDisplayPosition vtkContourRepresentationSetActiveNodeToDisplayPositionFunction
//input varargin
//output varargout
ArrayVector vtkContourRepresentationSetActiveNodeToDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkContourRepresentationSetActiveNodeToDisplayPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkContourRepresentationSetActiveNodeToDisplayPosition__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkContourRepresentationSetActiveNodeToDisplayPosition__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkContourRepresentationSetActiveNodeToDisplayPosition");
}

//@@Signature
//sfunction @vtkContourRepresentation:SetNthNodeDisplayPosition vtkContourRepresentationSetNthNodeDisplayPositionFunction
//input varargin
//output varargout
ArrayVector vtkContourRepresentationSetNthNodeDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkContourRepresentationSetNthNodeDisplayPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkContourRepresentationSetNthNodeDisplayPosition__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkContourRepresentationSetNthNodeDisplayPosition__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkContourRepresentationSetNthNodeDisplayPosition");
}

//@@Signature
//sfunction @vtkContourRepresentation:SetNthNodeWorldPosition vtkContourRepresentationSetNthNodeWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkContourRepresentationSetNthNodeWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkContourRepresentationSetNthNodeWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkContourRepresentationSetNthNodeWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkContourRepresentationSetNthNodeWorldPosition");
}

//@@Signature
//sfunction @vtkContourRepresentation:AddNodeAtPositionInternal vtkContourRepresentationAddNodeAtPositionInternalFunction
//input varargin
//output varargout
ArrayVector vtkContourRepresentationAddNodeAtPositionInternalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkContourRepresentationAddNodeAtPositionInternal");
}

//@@Signature
//sfunction @vtkContourRepresentation:GetRendererComputedDisplayPositionFromWorldPosition vtkContourRepresentationGetRendererComputedDisplayPositionFromWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkContourRepresentationGetRendererComputedDisplayPositionFromWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkContourRepresentationGetRendererComputedDisplayPositionFromWorldPosition");
}

//@@Signature
//sfunction @vtkContourRepresentation:display vtkContourRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkContourRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkContourRepresentation* vtk_pointer = GetVTKPointer<vtkContourRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkContourRepresentation:delete vtkContourRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkContourRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkContourRepresentation
//@@Section VTKWidgets
//@@Usage
// The vtkContourRepresentation is a superclass for various types of
// representations for the vtkContourWidget.
//
// .SECTION Managing contour points
// The classes vtkContourRepresentationNode, vtkContourRepresentationInternals, 
// vtkContourRepresentationPoint manage the data structure used to represent 
// nodes and points on a contour. A contour may contain several nodes and 
// several more points. Nodes are usually the result of user clicked points on
// the contour. Additional points are created between nodes to generate a 
// smooth curve using some Interpolator. See the method \c SetLineInterpolator.
// \par
// The data structure stores both the world and display positions for every 
// point. (This may seem like a duplication.) The default behaviour of this 
// class is to use the WorldPosition to do all the math. Typically a point is
// added at a given display position. Its corresponding world position is 
// computed using the point placer and stored. Any query of the display 
// position of a stored point is done via the Renderer, which computes the 
// display position given a world position. 
// 
// \par 
// So why maintain the display position ? Consider drawing a contour on a 
// volume widget. You might want the contour to be located at a certain world
// position in the volume or you might want to be overlayed over the window 
// like an Actor2D. The default behaviour of this class is to provide the 
// former behaviour. 
//
// \par
// To achieve the latter behaviour override the methods that return the display 
// position (to return the set display position instead of computing it from
// the world positions) and the method \c BuildLines() to interpolate lines 
// using their display positions intead of world positions.
//
//
//To create an instance of class vtkContourRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkContourRepresentation
//@]
//@@Methods
//The class vtkContourRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkContourRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK methods.
//// \item @|vtkContourRepresentation = obj.NewInstance ()| -  Standard VTK methods.
//// \item @|vtkContourRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard VTK methods.
//// \item @|int = obj.AddNodeAtWorldPosition (double x, double y, double z)| -  Add a node at a specific world position. Returns 0 if the
// node could not be added, 1 otherwise.
//// \item @|int = obj.AddNodeAtWorldPosition (double worldPos[3])| -  Add a node at a specific world position. Returns 0 if the
// node could not be added, 1 otherwise.
//// \item @|int = obj.AddNodeAtWorldPosition (double worldPos[3], double worldOrient[9])| -  Add a node at a specific world position. Returns 0 if the
// node could not be added, 1 otherwise.
//// \item @|int = obj.AddNodeAtDisplayPosition (double displayPos[2])| -  Add a node at a specific display position. This will be
// converted into a world position according to the current
// constraints of the point placer. Return 0 if a point could
// not be added, 1 otherwise.
//// \item @|int = obj.AddNodeAtDisplayPosition (int displayPos[2])| -  Add a node at a specific display position. This will be
// converted into a world position according to the current
// constraints of the point placer. Return 0 if a point could
// not be added, 1 otherwise.
//// \item @|int = obj.AddNodeAtDisplayPosition (int X, int Y)| -  Add a node at a specific display position. This will be
// converted into a world position according to the current
// constraints of the point placer. Return 0 if a point could
// not be added, 1 otherwise.
//// \item @|int = obj.ActivateNode (double displayPos[2])| -  Given a display position, activate a node. The closest
// node within tolerance will be activated. If a node is
// activated, 1 will be returned, otherwise 0 will be
// returned.
//// \item @|int = obj.ActivateNode (int displayPos[2])| -  Given a display position, activate a node. The closest
// node within tolerance will be activated. If a node is
// activated, 1 will be returned, otherwise 0 will be
// returned.
//// \item @|int = obj.ActivateNode (int X, int Y)| -  Given a display position, activate a node. The closest
// node within tolerance will be activated. If a node is
// activated, 1 will be returned, otherwise 0 will be
// returned.
//// \item @|int = obj.SetActiveNodeToWorldPosition (double pos[3])|
// \item @|int = obj.SetActiveNodeToWorldPosition (double pos[3], double orient[9])|
// \item @|int = obj.SetActiveNodeToDisplayPosition (double pos[2])| -  Move the active node based on a specified display position.
// The display position will be converted into a world
// position. If the new position is not valid or there is
// no active node, a 0 will be returned. Otherwise, on
// success a 1 will be returned.
//// \item @|int = obj.SetActiveNodeToDisplayPosition (int pos[2])| -  Move the active node based on a specified display position.
// The display position will be converted into a world
// position. If the new position is not valid or there is
// no active node, a 0 will be returned. Otherwise, on
// success a 1 will be returned.
//// \item @|int = obj.SetActiveNodeToDisplayPosition (int X, int Y)| -  Move the active node based on a specified display position.
// The display position will be converted into a world
// position. If the new position is not valid or there is
// no active node, a 0 will be returned. Otherwise, on
// success a 1 will be returned.
//// \item @|int = obj.ToggleActiveNodeSelected ()| -  Set/Get whether the active or nth node is selected. 
//// \item @|int = obj.GetActiveNodeSelected ()| -  Set/Get whether the active or nth node is selected. 
//// \item @|int = obj.GetNthNodeSelected (int )| -  Set/Get whether the active or nth node is selected. 
//// \item @|int = obj.SetNthNodeSelected (int )| -  Set/Get whether the active or nth node is selected. 
//// \item @|int = obj.GetActiveNodeWorldPosition (double pos[3])| -  Get the world position of the active node. Will return
// 0 if there is no active node, or 1 otherwise.
//// \item @|int = obj.GetActiveNodeWorldOrientation (double orient[9])| -  Get the world orientation of the active node. Will return
// 0 if there is no active node, or 1 otherwise.  
//// \item @|int = obj.GetActiveNodeDisplayPosition (double pos[2])| -  Get the display position of the active node. Will return
// 0 if there is no active node, or 1 otherwise.
//// \item @|int = obj.GetNumberOfNodes ()| -  Get the number of nodes.
//// \item @|int = obj.GetNthNodeDisplayPosition (int n, double pos[2])| -  Get the nth node's display position. Will return
// 1 on success, or 0 if there are not at least 
// (n+1) nodes (0 based counting).
//// \item @|int = obj.GetNthNodeWorldPosition (int n, double pos[3])| -  Get the nth node's world position. Will return
// 1 on success, or 0 if there are not at least 
// (n+1) nodes (0 based counting).
//// \item @|int = obj.GetNthNodeWorldOrientation (int n, double orient[9])| -  Get the nth node's world orientation. Will return
// 1 on success, or 0 if there are not at least 
// (n+1) nodes (0 based counting).
//// \item @|int = obj.SetNthNodeDisplayPosition (int n, int X, int Y)| -  Set the nth node's display position. Display position
// will be converted into world position according to the
// constraints of the point placer. Will return
// 1 on success, or 0 if there are not at least 
// (n+1) nodes (0 based counting) or the world position
// is not valid.
//// \item @|int = obj.SetNthNodeDisplayPosition (int n, int pos[2])| -  Set the nth node's display position. Display position
// will be converted into world position according to the
// constraints of the point placer. Will return
// 1 on success, or 0 if there are not at least 
// (n+1) nodes (0 based counting) or the world position
// is not valid.
//// \item @|int = obj.SetNthNodeDisplayPosition (int n, double pos[2])| -  Set the nth node's display position. Display position
// will be converted into world position according to the
// constraints of the point placer. Will return
// 1 on success, or 0 if there are not at least 
// (n+1) nodes (0 based counting) or the world position
// is not valid.
//// \item @|int = obj.SetNthNodeWorldPosition (int n, double pos[3])| -  Set the nth node's world position. Will return
// 1 on success, or 0 if there are not at least 
// (n+1) nodes (0 based counting) or the world
// position is not valid according to the point
// placer.
//// \item @|int = obj.SetNthNodeWorldPosition (int n, double pos[3], double orient[9])| -  Set the nth node's world position. Will return
// 1 on success, or 0 if there are not at least 
// (n+1) nodes (0 based counting) or the world
// position is not valid according to the point
// placer.
//// \item @|int = obj.GetNthNodeSlope (int idx, double slope[3])| -  Get the nth node's slope. Will return
// 1 on success, or 0 if there are not at least 
// (n+1) nodes (0 based counting).
//// \item @|int = obj.GetNumberOfIntermediatePoints (int n)|
// \item @|int = obj.GetIntermediatePointWorldPosition (int n, int idx, double point[3])| -  Get the world position of the intermediate point at
// index idx between nodes n and (n+1) (or n and 0 if
// n is the last node and the loop is closed). Returns
// 1 on success or 0 if n or idx are out of range.
//// \item @|int = obj.AddIntermediatePointWorldPosition (int n, double point[3])| -  Add an intermediate point between node n and n+1
// (or n and 0 if n is the last node and the loop is closed).
// Returns 1 on success or 0 if n is out of range.
//// \item @|int = obj.DeleteLastNode ()| -  Delete the last node. Returns 1 on success or 0 if 
// there were not any nodes.
//// \item @|int = obj.DeleteActiveNode ()| -  Delete the active node. Returns 1 on success or 0 if
// the active node did not indicate a valid node.
//// \item @|int = obj.DeleteNthNode (int n)| -  Delete the nth node. Return 1 on success or 0 if n
// is out of range.
//// \item @|obj.ClearAllNodes ()| -  Delete all nodes. 
//// \item @|int = obj.AddNodeOnContour (int X, int Y)| -  Given a specific X, Y pixel location, add a new node 
// on the contour at this location. 
//// \item @|obj.SetPixelTolerance (int )| -  The tolerance to use when calculations are performed in 
// display coordinates
//// \item @|int = obj.GetPixelToleranceMinValue ()| -  The tolerance to use when calculations are performed in 
// display coordinates
//// \item @|int = obj.GetPixelToleranceMaxValue ()| -  The tolerance to use when calculations are performed in 
// display coordinates
//// \item @|int = obj.GetPixelTolerance ()| -  The tolerance to use when calculations are performed in 
// display coordinates
//// \item @|obj.SetWorldTolerance (double )| -  The tolerance to use when calculations are performed in
// world coordinates
//// \item @|double = obj.GetWorldToleranceMinValue ()| -  The tolerance to use when calculations are performed in
// world coordinates
//// \item @|double = obj.GetWorldToleranceMaxValue ()| -  The tolerance to use when calculations are performed in
// world coordinates
//// \item @|double = obj.GetWorldTolerance ()| -  The tolerance to use when calculations are performed in
// world coordinates
//// \item @|int = obj.GetCurrentOperation ()| -  Set / get the current operation. The widget is either
// inactive, or it is being translated.
//// \item @|obj.SetCurrentOperation (int )| -  Set / get the current operation. The widget is either
// inactive, or it is being translated.
//// \item @|int = obj.GetCurrentOperationMinValue ()| -  Set / get the current operation. The widget is either
// inactive, or it is being translated.
//// \item @|int = obj.GetCurrentOperationMaxValue ()| -  Set / get the current operation. The widget is either
// inactive, or it is being translated.
//// \item @|obj.SetCurrentOperationToInactive ()| -  Set / get the current operation. The widget is either
// inactive, or it is being translated.
//// \item @|obj.SetCurrentOperationToTranslate ()| -  Set / get the current operation. The widget is either
// inactive, or it is being translated.
//// \item @|obj.SetCurrentOperationToShift ()| -  Set / get the current operation. The widget is either
// inactive, or it is being translated.
//// \item @|obj.SetCurrentOperationToScale ()|
// \item @|obj.SetPointPlacer (vtkPointPlacer )|
// \item @|vtkPointPlacer = obj.GetPointPlacer ()|
// \item @|obj.SetLineInterpolator (vtkContourLineInterpolator )| -  Set / Get the Line Interpolator. The line interpolator
// is responsible for generating the line segments connecting
// nodes.
//// \item @|vtkContourLineInterpolator = obj.GetLineInterpolator ()| -  Set / Get the Line Interpolator. The line interpolator
// is responsible for generating the line segments connecting
// nodes.
//// \item @|obj.BuildRepresentation ()| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modified)| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.StartWidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.WidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow w)| -  Methods required by vtkProp superclass.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Methods required by vtkProp superclass.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Methods required by vtkProp superclass.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport viewport)| -  Methods required by vtkProp superclass.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Methods required by vtkProp superclass.
//// \item @|obj.SetClosedLoop (int val)| -  Set / Get the ClosedLoop value. This ivar indicates whether the contour
// forms a closed loop. 
//// \item @|int = obj.GetClosedLoop ()| -  Set / Get the ClosedLoop value. This ivar indicates whether the contour
// forms a closed loop. 
//// \item @|obj.ClosedLoopOn ()| -  Set / Get the ClosedLoop value. This ivar indicates whether the contour
// forms a closed loop. 
//// \item @|obj.ClosedLoopOff ()| -  Set / Get the ClosedLoop value. This ivar indicates whether the contour
// forms a closed loop. 
//// \item @|obj.SetShowSelectedNodes (int )| -  A flag to indicate whether to show the Selected nodes
// Default is to set it to false.
//// \item @|int = obj.GetShowSelectedNodes ()| -  A flag to indicate whether to show the Selected nodes
// Default is to set it to false.
//// \item @|obj.ShowSelectedNodesOn ()| -  A flag to indicate whether to show the Selected nodes
// Default is to set it to false.
//// \item @|obj.ShowSelectedNodesOff ()| -  A flag to indicate whether to show the Selected nodes
// Default is to set it to false.
//// \item @|obj.GetNodePolyData (vtkPolyData poly)| -  Get the nodes and not the intermediate points in this 
// contour as a vtkPolyData.
////\end{itemize}
//!
