#include "VTKWrap.hpp"

// FreeMat wrapper for vtkContourWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkContourWidget.h"

//@@Signature
//sfunction @vtkContourWidget:vtkContourWidget vtkContourWidgetConstructorFunction
//input a
//output p
//@@Parents vtkContourWidget vtkAbstractWidget 
ArrayVector vtkContourWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkContourWidget::New(),"vtkContourWidget",eval);
  } else if (arg[0].className() == "vtkContourWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkContourWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkContourWidget");
    vtkContourWidget*q = reinterpret_cast<vtkContourWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkContourWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkContourWidget:GetClassName vtkContourWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkContourWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkContourWidget requires 1 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:IsA vtkContourWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkContourWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkContourWidget requires 2 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:NewInstance vtkContourWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkContourWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContourWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkContourWidget requires 1 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  vtkContourWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContourWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:SafeDownCast vtkContourWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkContourWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContourWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkContourWidget requires 2 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkContourWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContourWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:SetEnabled vtkContourWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkContourWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkContourWidget requires 2 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:SetRepresentation vtkContourWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkContourWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkContourRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkContourWidget requires 2 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  vtkContourRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkContourRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:CreateDefaultRepresentation vtkContourWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkContourWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkContourWidget requires 1 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:CloseLoop vtkContourWidgetCloseLoopFunction
//input a0 
//output none
ArrayVector vtkContourWidgetCloseLoopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CloseLoop (); */
  if (arg.size() < 1) 
    throw Exception("Function CloseLoop for class vtkContourWidget requires 1 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  vtk_pointer->CloseLoop();
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:SetAllowNodePicking vtkContourWidgetSetAllowNodePickingFunction
//input a0 a1 
//output none
ArrayVector vtkContourWidgetSetAllowNodePickingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllowNodePicking (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllowNodePicking for class vtkContourWidget requires 2 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAllowNodePicking(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:GetAllowNodePicking vtkContourWidgetGetAllowNodePickingFunction
//input a0 
//output y
ArrayVector vtkContourWidgetGetAllowNodePickingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAllowNodePicking (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAllowNodePicking for class vtkContourWidget requires 1 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAllowNodePicking();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:AllowNodePickingOn vtkContourWidgetAllowNodePickingOnFunction
//input a0 
//output none
ArrayVector vtkContourWidgetAllowNodePickingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllowNodePickingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AllowNodePickingOn for class vtkContourWidget requires 1 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  vtk_pointer->AllowNodePickingOn();
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:AllowNodePickingOff vtkContourWidgetAllowNodePickingOffFunction
//input a0 
//output none
ArrayVector vtkContourWidgetAllowNodePickingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllowNodePickingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AllowNodePickingOff for class vtkContourWidget requires 1 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  vtk_pointer->AllowNodePickingOff();
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:SetFollowCursor vtkContourWidgetSetFollowCursorFunction
//input a0 a1 
//output none
ArrayVector vtkContourWidgetSetFollowCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFollowCursor (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFollowCursor for class vtkContourWidget requires 2 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFollowCursor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:GetFollowCursor vtkContourWidgetGetFollowCursorFunction
//input a0 
//output y
ArrayVector vtkContourWidgetGetFollowCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFollowCursor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFollowCursor for class vtkContourWidget requires 1 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFollowCursor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:FollowCursorOn vtkContourWidgetFollowCursorOnFunction
//input a0 
//output none
ArrayVector vtkContourWidgetFollowCursorOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FollowCursorOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FollowCursorOn for class vtkContourWidget requires 1 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  vtk_pointer->FollowCursorOn();
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:FollowCursorOff vtkContourWidgetFollowCursorOffFunction
//input a0 
//output none
ArrayVector vtkContourWidgetFollowCursorOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FollowCursorOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FollowCursorOff for class vtkContourWidget requires 1 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  vtk_pointer->FollowCursorOff();
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:SetContinuousDraw vtkContourWidgetSetContinuousDrawFunction
//input a0 a1 
//output none
ArrayVector vtkContourWidgetSetContinuousDrawFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetContinuousDraw (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetContinuousDraw for class vtkContourWidget requires 2 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetContinuousDraw(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:GetContinuousDraw vtkContourWidgetGetContinuousDrawFunction
//input a0 
//output y
ArrayVector vtkContourWidgetGetContinuousDrawFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetContinuousDraw (); */
  if (arg.size() < 1) 
    throw Exception("Function GetContinuousDraw for class vtkContourWidget requires 1 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetContinuousDraw();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:ContinuousDrawOn vtkContourWidgetContinuousDrawOnFunction
//input a0 
//output none
ArrayVector vtkContourWidgetContinuousDrawOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ContinuousDrawOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ContinuousDrawOn for class vtkContourWidget requires 1 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  vtk_pointer->ContinuousDrawOn();
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:ContinuousDrawOff vtkContourWidgetContinuousDrawOffFunction
//input a0 
//output none
ArrayVector vtkContourWidgetContinuousDrawOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ContinuousDrawOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ContinuousDrawOff for class vtkContourWidget requires 1 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  vtk_pointer->ContinuousDrawOff();
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:Initialize__1 vtkContourWidgetInitialize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkContourWidgetInitialize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (vtkPolyData *poly, int state); */
  if (arg.size() < 3) 
    throw Exception("Function Initialize__1 for class vtkContourWidget requires 3 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Initialize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:Initialize__2 vtkContourWidgetInitialize__2Function
//input a0 
//output none
ArrayVector vtkContourWidgetInitialize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize ();this Initialize NULL  */
  if (arg.size() < 1) 
    throw Exception("Function Initialize__2 for class vtkContourWidget requires 1 argument(s)");
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkContourWidget:Initialize vtkContourWidgetInitializeFunction
//input varargin
//output varargout
ArrayVector vtkContourWidgetInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkPolyData") && VTKIsScalarArg(arg[2]))
    return vtkContourWidgetInitialize__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkContourWidgetInitialize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkContourWidgetInitialize");
}

//@@Signature
//sfunction @vtkContourWidget:display vtkContourWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkContourWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkContourWidget* vtk_pointer = GetVTKPointer<vtkContourWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkContourWidget:delete vtkContourWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkContourWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkContourWidget
//@@Section VTKWidgets
//@@Usage
// The vtkContourWidget is used to select a set of points, and draw lines
// between these points. The contour may be opened or closed, depending on
// how the last point is added. The widget handles all processing of widget
// events (that are triggered by VTK events). The vtkContourRepresentation is
// responsible for all placement of the points, calculation of the lines, and
// contour manipulation. This is done through two main helper classes:
// vtkPointPlacer and vtkContourLineInterpolator. The representation is also
// responsible for drawing the points and lines.
//
// .SECTION Event Bindings
// By default, the widget responds to the following VTK events (i.e., it
// watches the vtkRenderWindowInteractor for these events):
// <pre>
//   LeftButtonPressEvent - triggers a Select event
//   RightButtonPressEvent - triggers a AddFinalPoint event
//   MouseMoveEvent - triggers a Move event
//   LeftButtonReleaseEvent - triggers an EndSelect event
//   Delete key event - triggers a Delete event
//   Shift + Delete key event - triggers a Reset event
// </pre>
//
// Note that the event bindings described above can be changed using this
// class's vtkWidgetEventTranslator. This class translates VTK events 
// into the vtkContourWidget's widget events:
// <pre>
//   vtkWidgetEvent::Select 
//        widget state is: 
//            Start or
//            Define: If we already have at least 2 nodes, test
//                 whether the current (X,Y) location is near an existing
//                 node. If so, close the contour and change to Manipulate
//                 state. Otherwise, attempt to add a node at this (X,Y)
//                 location.
//            Manipulate: If this (X,Y) location activates a node, then
//                 set the current operation to Translate. Otherwise, if
//                 this location is near the contour, attempt to add a 
//                 new node on the contour at this (X,Y) location.
//
//   vtkWidgetEvent::AddFinalPoint
//        widget state is: 
//            Start: Do nothing.
//            Define: If we already have at least 2 nodes, test
//                 whether the current (X,Y) location is near an existing
//                 node. If so, close the contour and change to Manipulate
//                 state. Otherwise, attempt to add a node at this (X,Y)
//                 location. If we do, then leave the contour open and
//                 change to Manipulate state.
//            Manipulate: Do nothing.
//
//   vtkWidgetEvent::Move
//        widget state is: 
//            Start or
//            Define: Do nothing.
//            Manipulate: If our operation is Translate, then invoke
//                  WidgetInteraction() on the representation. If our 
//                  operation is Inactive, then just attempt to activate
//                  a node at this (X,Y) location.
//
//   vtkWidgetEvent::EndSelect
//        widget state is: 
//            Start or
//            Define: Do nothing.
//            Manipulate: If our operation is not Inactive, set it to
//                  Inactive.
//
//   vtkWidgetEvent::Delete
//        widget state is: 
//            Start: Do nothing.
//            Define: Remove the last point on the contour.
//            Manipulate: Attempt to activate a node at (X,Y). If
//                   we do activate a node, delete it. If we now
//                   have less than 3 nodes, go back to Define state.
//
//   vtkWidgetEvent::Reset
//        widget state is: 
//            Start: Do nothing.
//            Define: Remove all points and line segments of the contour.
//                 Essentially calls Intialize(NULL) 
//            Manipulate: Do nothing.
// </pre>
//
// This widget invokes the following VTK events on itself (which observers
// can listen for):
// <pre>
//   vtkCommand::StartInteractionEvent (beginning to interact)
//   vtkCommand::EndInteractionEvent (completing interaction)
//   vtkCommand::InteractionEvent (moving after selecting something)
//   vtkCommand::PlacePointEvent (after point is positioned; 
//                                call data includes handle id (0,1))
//   vtkCommand::WidgetValueChangedEvent (Invoked when the contour is closed
//                                        for the first time. )
// </pre>
//
//To create an instance of class vtkContourWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkContourWidget
//@]
//@@Methods
//The class vtkContourWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkContourWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for a VTK class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for a VTK class.
//// \item @|vtkContourWidget = obj.NewInstance ()| -  Standard methods for a VTK class.
//// \item @|vtkContourWidget = obj.SafeDownCast (vtkObject o)| -  Standard methods for a VTK class.
//// \item @|obj.SetEnabled (int )| -  The method for activiating and deactiviating this widget. This method
// must be overridden because it is a composite widget and does more than
// its superclasses' vtkAbstractWidget::SetEnabled() method.
//// \item @|obj.SetRepresentation (vtkContourRepresentation r)| -  Create the default widget representation if one is not set. 
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
//// \item @|obj.CloseLoop ()| -  Convenient method to close the contour loop.
//// \item @|obj.SetAllowNodePicking (int )| -  Set / Get the AllowNodePicking value. This ivar indicates whether the nodes
// and points between nodes can be picked/un-picked by Ctrl+Click on the node.
//// \item @|int = obj.GetAllowNodePicking ()| -  Set / Get the AllowNodePicking value. This ivar indicates whether the nodes
// and points between nodes can be picked/un-picked by Ctrl+Click on the node.
//// \item @|obj.AllowNodePickingOn ()| -  Set / Get the AllowNodePicking value. This ivar indicates whether the nodes
// and points between nodes can be picked/un-picked by Ctrl+Click on the node.
//// \item @|obj.AllowNodePickingOff ()| -  Set / Get the AllowNodePicking value. This ivar indicates whether the nodes
// and points between nodes can be picked/un-picked by Ctrl+Click on the node.
//// \item @|obj.SetFollowCursor (int )| -  Follow the cursor ? If this is ON, during definition, the last node of the
// contour will automatically follow the cursor, without waiting for the the
// point to be dropped. This may be useful for some interpolators, such as the
// live-wire interpolator to see the shape of the contour that will be placed
// as you move the mouse cursor.
//// \item @|int = obj.GetFollowCursor ()| -  Follow the cursor ? If this is ON, during definition, the last node of the
// contour will automatically follow the cursor, without waiting for the the
// point to be dropped. This may be useful for some interpolators, such as the
// live-wire interpolator to see the shape of the contour that will be placed
// as you move the mouse cursor.
//// \item @|obj.FollowCursorOn ()| -  Follow the cursor ? If this is ON, during definition, the last node of the
// contour will automatically follow the cursor, without waiting for the the
// point to be dropped. This may be useful for some interpolators, such as the
// live-wire interpolator to see the shape of the contour that will be placed
// as you move the mouse cursor.
//// \item @|obj.FollowCursorOff ()| -  Follow the cursor ? If this is ON, during definition, the last node of the
// contour will automatically follow the cursor, without waiting for the the
// point to be dropped. This may be useful for some interpolators, such as the
// live-wire interpolator to see the shape of the contour that will be placed
// as you move the mouse cursor.
//// \item @|obj.SetContinuousDraw (int )| -  Define a contour by continuously drawing with the mouse cursor.
// Press and hold the left mouse button down to continuously draw.
// Releasing the left mouse button switches into a snap drawing mode.
// Terminate the contour by pressing the right mouse button.  If you
// do not want to see the nodes as they are added to the contour, set the
// opacity to 0 of the representation's property.  If you do not want to 
// see the last active node as it is being added, set the opacity to 0 
// of the representation's active property.
//// \item @|int = obj.GetContinuousDraw ()| -  Define a contour by continuously drawing with the mouse cursor.
// Press and hold the left mouse button down to continuously draw.
// Releasing the left mouse button switches into a snap drawing mode.
// Terminate the contour by pressing the right mouse button.  If you
// do not want to see the nodes as they are added to the contour, set the
// opacity to 0 of the representation's property.  If you do not want to 
// see the last active node as it is being added, set the opacity to 0 
// of the representation's active property.
//// \item @|obj.ContinuousDrawOn ()| -  Define a contour by continuously drawing with the mouse cursor.
// Press and hold the left mouse button down to continuously draw.
// Releasing the left mouse button switches into a snap drawing mode.
// Terminate the contour by pressing the right mouse button.  If you
// do not want to see the nodes as they are added to the contour, set the
// opacity to 0 of the representation's property.  If you do not want to 
// see the last active node as it is being added, set the opacity to 0 
// of the representation's active property.
//// \item @|obj.ContinuousDrawOff ()| -  Define a contour by continuously drawing with the mouse cursor.
// Press and hold the left mouse button down to continuously draw.
// Releasing the left mouse button switches into a snap drawing mode.
// Terminate the contour by pressing the right mouse button.  If you
// do not want to see the nodes as they are added to the contour, set the
// opacity to 0 of the representation's property.  If you do not want to 
// see the last active node as it is being added, set the opacity to 0 
// of the representation's active property.
//// \item @|obj.Initialize (vtkPolyData poly, int state)| -  Initialize the contour widget from a user supplied set of points. The
// state of the widget decides if you are still defining the widget, or
// if you've finished defining (added the last point) are manipulating
// it. Note that if the polydata supplied is closed, the state will be
// set to manipulate.
//  State: Define = 0, Manipulate = 1.
//// \item @|obj.Initialize ()|
//\end{itemize}
//!
