#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDijkstraImageContourLineInterpolator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDijkstraImageContourLineInterpolator.h"

//@@Signature
//sfunction @vtkDijkstraImageContourLineInterpolator:vtkDijkstraImageContourLineInterpolator vtkDijkstraImageContourLineInterpolatorConstructorFunction
//input a
//output p
//@@Parents vtkDijkstraImageContourLineInterpolator vtkContourLineInterpolator 
ArrayVector vtkDijkstraImageContourLineInterpolatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDijkstraImageContourLineInterpolator::New(),"vtkDijkstraImageContourLineInterpolator",eval);
  } else if (arg[0].className() == "vtkDijkstraImageContourLineInterpolator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDijkstraImageContourLineInterpolator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDijkstraImageContourLineInterpolator");
    vtkDijkstraImageContourLineInterpolator*q = reinterpret_cast<vtkDijkstraImageContourLineInterpolator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDijkstraImageContourLineInterpolator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDijkstraImageContourLineInterpolator:GetClassName vtkDijkstraImageContourLineInterpolatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDijkstraImageContourLineInterpolatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDijkstraImageContourLineInterpolator requires 1 argument(s)");
  vtkDijkstraImageContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkDijkstraImageContourLineInterpolator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraImageContourLineInterpolator:IsA vtkDijkstraImageContourLineInterpolatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDijkstraImageContourLineInterpolatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDijkstraImageContourLineInterpolator requires 2 argument(s)");
  vtkDijkstraImageContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkDijkstraImageContourLineInterpolator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraImageContourLineInterpolator:NewInstance vtkDijkstraImageContourLineInterpolatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDijkstraImageContourLineInterpolatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDijkstraImageContourLineInterpolator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDijkstraImageContourLineInterpolator requires 1 argument(s)");
  vtkDijkstraImageContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkDijkstraImageContourLineInterpolator>(arg[0]);
  Array retval;
  vtkDijkstraImageContourLineInterpolator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDijkstraImageContourLineInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraImageContourLineInterpolator:SafeDownCast vtkDijkstraImageContourLineInterpolatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDijkstraImageContourLineInterpolatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDijkstraImageContourLineInterpolator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDijkstraImageContourLineInterpolator requires 2 argument(s)");
  vtkDijkstraImageContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkDijkstraImageContourLineInterpolator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDijkstraImageContourLineInterpolator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDijkstraImageContourLineInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraImageContourLineInterpolator:InterpolateLine vtkDijkstraImageContourLineInterpolatorInterpolateLineFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkDijkstraImageContourLineInterpolatorInterpolateLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int InterpolateLine (vtkRenderer *ren, vtkContourRepresentation *rep, int idx1, int idx2); */
  if (arg.size() < 5) 
    throw Exception("Function InterpolateLine for class vtkDijkstraImageContourLineInterpolator requires 5 argument(s)");
  vtkDijkstraImageContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkDijkstraImageContourLineInterpolator>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkContourRepresentation  *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkContourRepresentation>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->InterpolateLine(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraImageContourLineInterpolator:SetCostImage vtkDijkstraImageContourLineInterpolatorSetCostImageFunction
//input a0 a1 
//output none
ArrayVector vtkDijkstraImageContourLineInterpolatorSetCostImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCostImage (vtkImageData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCostImage for class vtkDijkstraImageContourLineInterpolator requires 2 argument(s)");
  vtkDijkstraImageContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkDijkstraImageContourLineInterpolator>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetCostImage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraImageContourLineInterpolator:GetCostImage vtkDijkstraImageContourLineInterpolatorGetCostImageFunction
//input a0 
//output y
ArrayVector vtkDijkstraImageContourLineInterpolatorGetCostImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetCostImage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCostImage for class vtkDijkstraImageContourLineInterpolator requires 1 argument(s)");
  vtkDijkstraImageContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkDijkstraImageContourLineInterpolator>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetCostImage();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraImageContourLineInterpolator:GetDijkstraImageGeodesicPath vtkDijkstraImageContourLineInterpolatorGetDijkstraImageGeodesicPathFunction
//input a0 
//output y
ArrayVector vtkDijkstraImageContourLineInterpolatorGetDijkstraImageGeodesicPathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDijkstraImageGeodesicPath *GetDijkstraImageGeodesicPath (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDijkstraImageGeodesicPath for class vtkDijkstraImageContourLineInterpolator requires 1 argument(s)");
  vtkDijkstraImageContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkDijkstraImageContourLineInterpolator>(arg[0]);
  Array retval;
  vtkDijkstraImageGeodesicPath  *temp20;
  temp20 = (vtk_pointer)->GetDijkstraImageGeodesicPath();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDijkstraImageGeodesicPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDijkstraImageContourLineInterpolator:display vtkDijkstraImageContourLineInterpolatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDijkstraImageContourLineInterpolatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDijkstraImageContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkDijkstraImageContourLineInterpolator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDijkstraImageContourLineInterpolator:delete vtkDijkstraImageContourLineInterpolatorDeleteFunction
//input varargin
//output none
ArrayVector vtkDijkstraImageContourLineInterpolatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDijkstraImageContourLineInterpolator
//@@Section VTKWidgets
//@@Usage
// vtkDijkstraImageContourLineInterpolator interpolates and places
// contour points on images. The class interpolates nodes by
// computing a graph lying on the image data. By graph, we mean 
// that the line interpolating the two end points traverses along 
// pixels so as to form a shortest path. A Dijkstra algorithm is 
// used to compute the path.
// 
// The class is meant to be used in conjunction with 
// vtkImageActorPointPlacer. One reason for this coupling is a 
// performance issue: both classes need to perform a cell pick, and 
// coupling avoids multiple cell picks (cell picks are slow).  Another
// issue is that the interpolator may need to set the image input to 
// its vtkDijkstraImageGeodesicPath ivar.
//
//
//To create an instance of class vtkDijkstraImageContourLineInterpolator, simply
//invoke its constructor as follows
//@[
//  obj = vtkDijkstraImageContourLineInterpolator
//@]
//@@Methods
//The class vtkDijkstraImageContourLineInterpolator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDijkstraImageContourLineInterpolator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkDijkstraImageContourLineInterpolator = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkDijkstraImageContourLineInterpolator = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|int = obj.InterpolateLine (vtkRenderer ren, vtkContourRepresentation rep, int idx1, int idx2)| -  Subclasses that wish to interpolate a line segment must implement this.
// For instance vtkBezierContourLineInterpolator adds nodes between idx1
// and idx2, that allow the contour to adhere to a bezier curve.
//// \item @|obj.SetCostImage (vtkImageData )| -  Set the image data for the vtkDijkstraImageGeodesicPath.
// If not set, the interpolator uses the image data input to the image actor.
// The image actor is obtained from the expected vtkImageActorPointPlacer.
//// \item @|vtkImageData = obj.GetCostImage ()| -  Set the image data for the vtkDijkstraImageGeodesicPath.
// If not set, the interpolator uses the image data input to the image actor.
// The image actor is obtained from the expected vtkImageActorPointPlacer.
//// \item @|vtkDijkstraImageGeodesicPath = obj.GetDijkstraImageGeodesicPath ()| -  access to the internal dijkstra path
////\end{itemize}
//!
