#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDistanceRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDistanceRepresentation.h"

//@@Signature
//sfunction @vtkDistanceRepresentation:vtkDistanceRepresentation vtkDistanceRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkDistanceRepresentation vtkWidgetRepresentation 
ArrayVector vtkDistanceRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDistanceRepresentation::New(),"vtkDistanceRepresentation",eval);
  } else if (arg[0].className() == "vtkDistanceRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDistanceRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDistanceRepresentation");
    vtkDistanceRepresentation*q = reinterpret_cast<vtkDistanceRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDistanceRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDistanceRepresentation:GetClassName vtkDistanceRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDistanceRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDistanceRepresentation requires 1 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:IsA vtkDistanceRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDistanceRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDistanceRepresentation requires 2 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:NewInstance vtkDistanceRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDistanceRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDistanceRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDistanceRepresentation requires 1 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  vtkDistanceRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDistanceRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:SafeDownCast vtkDistanceRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDistanceRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDistanceRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDistanceRepresentation requires 2 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDistanceRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDistanceRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:GetDistance vtkDistanceRepresentationGetDistanceFunction
//input a0 
//output y
ArrayVector vtkDistanceRepresentationGetDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetDistance () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetDistance for class vtkDistanceRepresentation requires 1 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:GetPoint1WorldPosition__1 vtkDistanceRepresentationGetPoint1WorldPosition__1Function
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentationGetPoint1WorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint1WorldPosition (double pos[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint1WorldPosition__1 for class vtkDistanceRepresentation requires 2 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint1WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:GetPoint2WorldPosition__1 vtkDistanceRepresentationGetPoint2WorldPosition__1Function
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentationGetPoint2WorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint2WorldPosition (double pos[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint2WorldPosition__1 for class vtkDistanceRepresentation requires 2 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint2WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:GetPoint1WorldPosition__2 vtkDistanceRepresentationGetPoint1WorldPosition__2Function
//input a0 
//output y
ArrayVector vtkDistanceRepresentationGetPoint1WorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetPoint1WorldPosition () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1WorldPosition__2 for class vtkDistanceRepresentation requires 1 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint1WorldPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:GetPoint2WorldPosition__2 vtkDistanceRepresentationGetPoint2WorldPosition__2Function
//input a0 
//output y
ArrayVector vtkDistanceRepresentationGetPoint2WorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetPoint2WorldPosition () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2WorldPosition__2 for class vtkDistanceRepresentation requires 1 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint2WorldPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:SetPoint1DisplayPosition vtkDistanceRepresentationSetPoint1DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentationSetPoint1DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint1DisplayPosition (double pos[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1DisplayPosition for class vtkDistanceRepresentation requires 2 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:SetPoint2DisplayPosition vtkDistanceRepresentationSetPoint2DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentationSetPoint2DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint2DisplayPosition (double pos[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2DisplayPosition for class vtkDistanceRepresentation requires 2 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:GetPoint1DisplayPosition vtkDistanceRepresentationGetPoint1DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentationGetPoint1DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint1DisplayPosition (double pos[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint1DisplayPosition for class vtkDistanceRepresentation requires 2 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint1DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:GetPoint2DisplayPosition vtkDistanceRepresentationGetPoint2DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentationGetPoint2DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetPoint2DisplayPosition (double pos[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint2DisplayPosition for class vtkDistanceRepresentation requires 2 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint2DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:SetPoint1WorldPosition vtkDistanceRepresentationSetPoint1WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentationSetPoint1WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint1WorldPosition (double pos[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1WorldPosition for class vtkDistanceRepresentation requires 2 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:SetPoint2WorldPosition vtkDistanceRepresentationSetPoint2WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentationSetPoint2WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint2WorldPosition (double pos[3]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2WorldPosition for class vtkDistanceRepresentation requires 2 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:SetHandleRepresentation vtkDistanceRepresentationSetHandleRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentationSetHandleRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleRepresentation (vtkHandleRepresentation *handle); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleRepresentation for class vtkDistanceRepresentation requires 2 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  vtkHandleRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkHandleRepresentation>(arg[1]);
  vtk_pointer->SetHandleRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:InstantiateHandleRepresentation vtkDistanceRepresentationInstantiateHandleRepresentationFunction
//input a0 
//output none
ArrayVector vtkDistanceRepresentationInstantiateHandleRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InstantiateHandleRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function InstantiateHandleRepresentation for class vtkDistanceRepresentation requires 1 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->InstantiateHandleRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:GetPoint1Representation vtkDistanceRepresentationGetPoint1RepresentationFunction
//input a0 
//output y
ArrayVector vtkDistanceRepresentationGetPoint1RepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHandleRepresentation *GetPoint1Representation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1Representation for class vtkDistanceRepresentation requires 1 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  vtkHandleRepresentation  *temp20;
  temp20 = (vtk_pointer)->GetPoint1Representation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:GetPoint2Representation vtkDistanceRepresentationGetPoint2RepresentationFunction
//input a0 
//output y
ArrayVector vtkDistanceRepresentationGetPoint2RepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHandleRepresentation *GetPoint2Representation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2Representation for class vtkDistanceRepresentation requires 1 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  vtkHandleRepresentation  *temp20;
  temp20 = (vtk_pointer)->GetPoint2Representation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:SetTolerance vtkDistanceRepresentationSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentationSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkDistanceRepresentation requires 2 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:GetToleranceMinValue vtkDistanceRepresentationGetToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkDistanceRepresentationGetToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMinValue for class vtkDistanceRepresentation requires 1 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:GetToleranceMaxValue vtkDistanceRepresentationGetToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkDistanceRepresentationGetToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMaxValue for class vtkDistanceRepresentation requires 1 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:GetTolerance vtkDistanceRepresentationGetToleranceFunction
//input a0 
//output y
ArrayVector vtkDistanceRepresentationGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkDistanceRepresentation requires 1 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:SetLabelFormat vtkDistanceRepresentationSetLabelFormatFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentationSetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelFormat (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelFormat for class vtkDistanceRepresentation requires 2 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLabelFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:GetLabelFormat vtkDistanceRepresentationGetLabelFormatFunction
//input a0 
//output y
ArrayVector vtkDistanceRepresentationGetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLabelFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelFormat for class vtkDistanceRepresentation requires 1 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLabelFormat();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:BuildRepresentation vtkDistanceRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkDistanceRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkDistanceRepresentation requires 1 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:ComputeInteractionState vtkDistanceRepresentationComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkDistanceRepresentationComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkDistanceRepresentation requires 4 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:StartWidgetInteraction vtkDistanceRepresentationStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentationStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkDistanceRepresentation requires 2 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:WidgetInteraction vtkDistanceRepresentationWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentationWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkDistanceRepresentation requires 2 argument(s)");
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation:GetPoint1WorldPosition vtkDistanceRepresentationGetPoint1WorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkDistanceRepresentationGetPoint1WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDistanceRepresentationGetPoint1WorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkDistanceRepresentationGetPoint1WorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDistanceRepresentationGetPoint1WorldPosition");
}

//@@Signature
//sfunction @vtkDistanceRepresentation:GetPoint2WorldPosition vtkDistanceRepresentationGetPoint2WorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkDistanceRepresentationGetPoint2WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDistanceRepresentationGetPoint2WorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkDistanceRepresentationGetPoint2WorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDistanceRepresentationGetPoint2WorldPosition");
}

//@@Signature
//sfunction @vtkDistanceRepresentation:display vtkDistanceRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDistanceRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDistanceRepresentation* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDistanceRepresentation:delete vtkDistanceRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkDistanceRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDistanceRepresentation
//@@Section VTKWidgets
//@@Usage
// The vtkDistanceRepresentation is a superclass for various types of
// representations for the vtkDistanceWidget. Logically subclasses consist of
// an axis and two handles for placing/manipulating the end points.
//
//To create an instance of class vtkDistanceRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkDistanceRepresentation
//@]
//@@Methods
//The class vtkDistanceRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDistanceRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK methods.
//// \item @|vtkDistanceRepresentation = obj.NewInstance ()| -  Standard VTK methods.
//// \item @|vtkDistanceRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard VTK methods.
//// \item @|double = obj.GetDistance ()| -  This representation and all subclasses must keep a distance
// consistent with the state of the widget.
//// \item @|obj.GetPoint1WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint2WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|double = obj.GetPoint1WorldPosition ()| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|double = obj.GetPoint2WorldPosition ()| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint1DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint2DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint1DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint2DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint1WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint2WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetHandleRepresentation (vtkHandleRepresentation handle)| -  This method is used to specify the type of handle representation to
// use for the two internal vtkHandleWidgets within vtkDistanceWidget.
// To use this method, create a dummy vtkHandleWidget (or subclass),
// and then invoke this method with this dummy. Then the 
// vtkDistanceRepresentation uses this dummy to clone two vtkHandleWidgets
// of the same type. Make sure you set the handle representation before
// the widget is enabled. (The method InstantiateHandleRepresentation()
// is invoked by the vtkDistance widget.)
//// \item @|obj.InstantiateHandleRepresentation ()| -  This method is used to specify the type of handle representation to
// use for the two internal vtkHandleWidgets within vtkDistanceWidget.
// To use this method, create a dummy vtkHandleWidget (or subclass),
// and then invoke this method with this dummy. Then the 
// vtkDistanceRepresentation uses this dummy to clone two vtkHandleWidgets
// of the same type. Make sure you set the handle representation before
// the widget is enabled. (The method InstantiateHandleRepresentation()
// is invoked by the vtkDistance widget.)
//// \item @|vtkHandleRepresentation = obj.GetPoint1Representation ()| -  Set/Get the two handle representations used for the vtkDistanceWidget. (Note:
// properties can be set by grabbing these representations and setting the
// properties appropriately.)
//// \item @|vtkHandleRepresentation = obj.GetPoint2Representation ()| -  Set/Get the two handle representations used for the vtkDistanceWidget. (Note:
// properties can be set by grabbing these representations and setting the
// properties appropriately.)
//// \item @|obj.SetTolerance (int )| -  The tolerance representing the distance to the widget (in pixels) in
// which the cursor is considered near enough to the end points of
// the widget to be active.
//// \item @|int = obj.GetToleranceMinValue ()| -  The tolerance representing the distance to the widget (in pixels) in
// which the cursor is considered near enough to the end points of
// the widget to be active.
//// \item @|int = obj.GetToleranceMaxValue ()| -  The tolerance representing the distance to the widget (in pixels) in
// which the cursor is considered near enough to the end points of
// the widget to be active.
//// \item @|int = obj.GetTolerance ()| -  The tolerance representing the distance to the widget (in pixels) in
// which the cursor is considered near enough to the end points of
// the widget to be active.
//// \item @|obj.SetLabelFormat (string )| -  Specify the format to use for labelling the distance. Note that an empty
// string results in no label, or a format string without a "%" character
// will not print the distance value.
//// \item @|string = obj.GetLabelFormat ()| -  Specify the format to use for labelling the distance. Note that an empty
// string results in no label, or a format string without a "%" character
// will not print the distance value.
//// \item @|obj.BuildRepresentation ()| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.StartWidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.WidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
////\end{itemize}
//!
