#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDistanceRepresentation2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDistanceRepresentation2D.h"

//@@Signature
//sfunction @vtkDistanceRepresentation2D:vtkDistanceRepresentation2D vtkDistanceRepresentation2DConstructorFunction
//input a
//output p
//@@Parents vtkDistanceRepresentation2D vtkDistanceRepresentation 
ArrayVector vtkDistanceRepresentation2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDistanceRepresentation2D::New(),"vtkDistanceRepresentation2D",eval);
  } else if (arg[0].className() == "vtkDistanceRepresentation2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDistanceRepresentation2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDistanceRepresentation2D");
    vtkDistanceRepresentation2D*q = reinterpret_cast<vtkDistanceRepresentation2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDistanceRepresentation2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDistanceRepresentation2D:GetClassName vtkDistanceRepresentation2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDistanceRepresentation2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDistanceRepresentation2D requires 1 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:IsA vtkDistanceRepresentation2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDistanceRepresentation2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDistanceRepresentation2D requires 2 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:NewInstance vtkDistanceRepresentation2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDistanceRepresentation2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDistanceRepresentation2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDistanceRepresentation2D requires 1 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  vtkDistanceRepresentation2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDistanceRepresentation2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:SafeDownCast vtkDistanceRepresentation2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDistanceRepresentation2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDistanceRepresentation2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDistanceRepresentation2D requires 2 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDistanceRepresentation2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDistanceRepresentation2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:GetDistance vtkDistanceRepresentation2DGetDistanceFunction
//input a0 
//output y
ArrayVector vtkDistanceRepresentation2DGetDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetDistance ();return this Distance  */
  if (arg.size() < 1) 
    throw Exception("Function GetDistance for class vtkDistanceRepresentation2D requires 1 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:GetPoint1WorldPosition__2 vtkDistanceRepresentation2DGetPoint1WorldPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentation2DGetPoint1WorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint1WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint1WorldPosition__2 for class vtkDistanceRepresentation2D requires 2 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint1WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:GetPoint2WorldPosition__2 vtkDistanceRepresentation2DGetPoint2WorldPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentation2DGetPoint2WorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint2WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint2WorldPosition__2 for class vtkDistanceRepresentation2D requires 2 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint2WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:SetPoint1WorldPosition vtkDistanceRepresentation2DSetPoint1WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentation2DSetPoint1WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1WorldPosition for class vtkDistanceRepresentation2D requires 2 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:SetPoint2WorldPosition vtkDistanceRepresentation2DSetPoint2WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentation2DSetPoint2WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2WorldPosition for class vtkDistanceRepresentation2D requires 2 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:SetPoint1DisplayPosition vtkDistanceRepresentation2DSetPoint1DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentation2DSetPoint1DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1DisplayPosition for class vtkDistanceRepresentation2D requires 2 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:SetPoint2DisplayPosition vtkDistanceRepresentation2DSetPoint2DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentation2DSetPoint2DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2DisplayPosition for class vtkDistanceRepresentation2D requires 2 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:GetPoint1DisplayPosition vtkDistanceRepresentation2DGetPoint1DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentation2DGetPoint1DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint1DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint1DisplayPosition for class vtkDistanceRepresentation2D requires 2 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint1DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:GetPoint2DisplayPosition vtkDistanceRepresentation2DGetPoint2DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentation2DGetPoint2DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint2DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint2DisplayPosition for class vtkDistanceRepresentation2D requires 2 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint2DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:GetAxis vtkDistanceRepresentation2DGetAxisFunction
//input a0 
//output y
ArrayVector vtkDistanceRepresentation2DGetAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAxisActor2D *GetAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxis for class vtkDistanceRepresentation2D requires 1 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  vtkAxisActor2D  *temp20;
  temp20 = (vtk_pointer)->GetAxis();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAxisActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:BuildRepresentation vtkDistanceRepresentation2DBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkDistanceRepresentation2DBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkDistanceRepresentation2D requires 1 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:ReleaseGraphicsResources vtkDistanceRepresentation2DReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceRepresentation2DReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *w); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkDistanceRepresentation2D requires 2 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:RenderOverlay vtkDistanceRepresentation2DRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkDistanceRepresentation2DRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkDistanceRepresentation2D requires 2 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:RenderOpaqueGeometry vtkDistanceRepresentation2DRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkDistanceRepresentation2DRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkDistanceRepresentation2D requires 2 argument(s)");
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:GetPoint1WorldPosition vtkDistanceRepresentation2DGetPoint1WorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkDistanceRepresentation2DGetPoint1WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDistanceRepresentation2DGetPoint1WorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDistanceRepresentation2DGetPoint1WorldPosition");
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:GetPoint2WorldPosition vtkDistanceRepresentation2DGetPoint2WorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkDistanceRepresentation2DGetPoint2WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDistanceRepresentation2DGetPoint2WorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDistanceRepresentation2DGetPoint2WorldPosition");
}

//@@Signature
//sfunction @vtkDistanceRepresentation2D:display vtkDistanceRepresentation2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDistanceRepresentation2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDistanceRepresentation2D* vtk_pointer = GetVTKPointer<vtkDistanceRepresentation2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDistanceRepresentation2D:delete vtkDistanceRepresentation2DDeleteFunction
//input varargin
//output none
ArrayVector vtkDistanceRepresentation2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDistanceRepresentation2D
//@@Section VTKWidgets
//@@Usage
// The vtkDistanceRepresentation2D is a representation for the
// vtkDistanceWidget. This representation consists of a measuring line (axis)
// and two vtkHandleWidgets to place the end points of the line. Note that
// this particular widget draws its representation in the overlay plane.
//
//To create an instance of class vtkDistanceRepresentation2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkDistanceRepresentation2D
//@]
//@@Methods
//The class vtkDistanceRepresentation2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDistanceRepresentation2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK methods.
//// \item @|vtkDistanceRepresentation2D = obj.NewInstance ()| -  Standard VTK methods.
//// \item @|vtkDistanceRepresentation2D = obj.SafeDownCast (vtkObject o)| -  Standard VTK methods.
//// \item @|double = obj.GetDistance ()| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint1WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint2WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint1WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint2WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint1DisplayPosition (double pos[3])|
// \item @|obj.SetPoint2DisplayPosition (double pos[3])|
// \item @|obj.GetPoint1DisplayPosition (double pos[3])|
// \item @|obj.GetPoint2DisplayPosition (double pos[3])|
// \item @|vtkAxisActor2D = obj.GetAxis ()| -  Retrieve the vtkAxisActor2D used to draw the measurement axis. With this
// properties can be set and so on.
//// \item @|obj.BuildRepresentation ()| -  Method to satisfy superclasses' API.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow w)| -  Methods required by vtkProp superclass.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Methods required by vtkProp superclass.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Methods required by vtkProp superclass.
////\end{itemize}
//!
