#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDistanceWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDistanceWidget.h"

//@@Signature
//sfunction @vtkDistanceWidget:vtkDistanceWidget vtkDistanceWidgetConstructorFunction
//input a
//output p
//@@Parents vtkDistanceWidget vtkAbstractWidget 
ArrayVector vtkDistanceWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDistanceWidget::New(),"vtkDistanceWidget",eval);
  } else if (arg[0].className() == "vtkDistanceWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDistanceWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDistanceWidget");
    vtkDistanceWidget*q = reinterpret_cast<vtkDistanceWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDistanceWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDistanceWidget:GetClassName vtkDistanceWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDistanceWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDistanceWidget requires 1 argument(s)");
  vtkDistanceWidget* vtk_pointer = GetVTKPointer<vtkDistanceWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceWidget:IsA vtkDistanceWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDistanceWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDistanceWidget requires 2 argument(s)");
  vtkDistanceWidget* vtk_pointer = GetVTKPointer<vtkDistanceWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDistanceWidget:NewInstance vtkDistanceWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDistanceWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDistanceWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDistanceWidget requires 1 argument(s)");
  vtkDistanceWidget* vtk_pointer = GetVTKPointer<vtkDistanceWidget>(arg[0]);
  Array retval;
  vtkDistanceWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDistanceWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceWidget:SafeDownCast vtkDistanceWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDistanceWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDistanceWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDistanceWidget requires 2 argument(s)");
  vtkDistanceWidget* vtk_pointer = GetVTKPointer<vtkDistanceWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDistanceWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDistanceWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceWidget:SetEnabled vtkDistanceWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkDistanceWidget requires 2 argument(s)");
  vtkDistanceWidget* vtk_pointer = GetVTKPointer<vtkDistanceWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceWidget:SetRepresentation vtkDistanceWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkDistanceRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkDistanceWidget requires 2 argument(s)");
  vtkDistanceWidget* vtk_pointer = GetVTKPointer<vtkDistanceWidget>(arg[0]);
  Array retval;
  vtkDistanceRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkDistanceRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceWidget:CreateDefaultRepresentation vtkDistanceWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkDistanceWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkDistanceWidget requires 1 argument(s)");
  vtkDistanceWidget* vtk_pointer = GetVTKPointer<vtkDistanceWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkDistanceWidget:SetProcessEvents vtkDistanceWidgetSetProcessEventsFunction
//input a0 a1 
//output none
ArrayVector vtkDistanceWidgetSetProcessEventsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetProcessEvents (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProcessEvents for class vtkDistanceWidget requires 2 argument(s)");
  vtkDistanceWidget* vtk_pointer = GetVTKPointer<vtkDistanceWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProcessEvents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDistanceWidget:display vtkDistanceWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDistanceWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDistanceWidget* vtk_pointer = GetVTKPointer<vtkDistanceWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDistanceWidget:delete vtkDistanceWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkDistanceWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDistanceWidget
//@@Section VTKWidgets
//@@Usage
// The vtkDistanceWidget is used to measure the distance between two points.
// The two end points can be positioned independently, and when they are
// released, a special PlacePointEvent is invoked so that special operations
// may be take to reposition the point (snap to grid, etc.) The widget has
// two different modes of interaction: when initially defined (i.e., placing
// the two points) and then a manipulate mode (adjusting the position of
// the two points).
//
// To use this widget, specify an instance of vtkDistanceWidget and a
// representation (a subclass of vtkDistanceRepresentation). The widget is
// implemented using two instances of vtkHandleWidget which are used to
// position the end points of the line. The representations for these two
// handle widgets are provided by the vtkDistanceRepresentation.
//
// .SECTION Event Bindings
// By default, the widget responds to the following VTK events (i.e., it
// watches the vtkRenderWindowInteractor for these events):
// <pre>
//   LeftButtonPressEvent - add a point or select a handle
//   MouseMoveEvent - position the second point or move a handle
//   LeftButtonReleaseEvent - release the handle
// </pre>
//
// Note that the event bindings described above can be changed using this
// class's vtkWidgetEventTranslator. This class translates VTK events
// into the vtkDistanceWidget's widget events:
// <pre>
//   vtkWidgetEvent::AddPoint -- add one point; depending on the state
//                               it may the first or second point added. Or,
//                               if near a handle, select the handle.
//   vtkWidgetEvent::Move -- move the second point or handle depending on the state.
//   vtkWidgetEvent::EndSelect -- the handle manipulation process has completed.
// </pre>
//
// This widget invokes the following VTK events on itself (which observers
// can listen for):
// <pre>
//   vtkCommand::StartInteractionEvent (beginning to interact)
//   vtkCommand::EndInteractionEvent (completing interaction)
//   vtkCommand::InteractionEvent (moving after selecting something)
//   vtkCommand::PlacePointEvent (after point is positioned;
//                                call data includes handle id (0,1))
// </pre>
//
//To create an instance of class vtkDistanceWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkDistanceWidget
//@]
//@@Methods
//The class vtkDistanceWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDistanceWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for a VTK class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for a VTK class.
//// \item @|vtkDistanceWidget = obj.NewInstance ()| -  Standard methods for a VTK class.
//// \item @|vtkDistanceWidget = obj.SafeDownCast (vtkObject o)| -  Standard methods for a VTK class.
//// \item @|obj.SetEnabled (int )| -  The method for activiating and deactiviating this widget. This method
// must be overridden because it is a composite widget and does more than
// its superclasses' vtkAbstractWidget::SetEnabled() method.
//// \item @|obj.SetRepresentation (vtkDistanceRepresentation r)| -  Create the default widget representation if one is not set.
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set.
//// \item @|obj.SetProcessEvents (int )| -  Methods to change the whether the widget responds to interaction.
// Overridden to pass the state to component widgets.
////\end{itemize}
//!
