#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEvent object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEvent.h"

//@@Signature
//sfunction @vtkEvent:vtkEvent vtkEventConstructorFunction
//input a
//output p
//@@Parents vtkEvent vtkObject 
ArrayVector vtkEventConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEvent::New(),"vtkEvent",eval);
  } else if (arg[0].className() == "vtkEvent") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEvent"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEvent");
    vtkEvent*q = reinterpret_cast<vtkEvent*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEvent");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEvent:GetClassName vtkEventGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEventGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEvent requires 1 argument(s)");
  vtkEvent* vtk_pointer = GetVTKPointer<vtkEvent>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEvent:IsA vtkEventIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEventIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEvent requires 2 argument(s)");
  vtkEvent* vtk_pointer = GetVTKPointer<vtkEvent>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEvent:NewInstance vtkEventNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEventNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEvent *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEvent requires 1 argument(s)");
  vtkEvent* vtk_pointer = GetVTKPointer<vtkEvent>(arg[0]);
  Array retval;
  vtkEvent  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEvent",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEvent:SafeDownCast vtkEventSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEventSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEvent *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEvent requires 2 argument(s)");
  vtkEvent* vtk_pointer = GetVTKPointer<vtkEvent>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEvent  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEvent",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEvent:SetEventId vtkEventSetEventIdFunction
//input a0 a1 
//output none
ArrayVector vtkEventSetEventIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEventId (unsigned long ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEventId for class vtkEvent requires 2 argument(s)");
  vtkEvent* vtk_pointer = GetVTKPointer<vtkEvent>(arg[0]);
  Array retval;
  unsigned long     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  vtk_pointer->SetEventId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEvent:GetEventId vtkEventGetEventIdFunction
//input a0 
//output y
ArrayVector vtkEventGetEventIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long unsigned GetEventId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEventId for class vtkEvent requires 1 argument(s)");
  vtkEvent* vtk_pointer = GetVTKPointer<vtkEvent>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetEventId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEvent:SetModifier vtkEventSetModifierFunction
//input a0 a1 
//output none
ArrayVector vtkEventSetModifierFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModifier (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetModifier for class vtkEvent requires 2 argument(s)");
  vtkEvent* vtk_pointer = GetVTKPointer<vtkEvent>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetModifier(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEvent:GetModifier__1 vtkEventGetModifier__1Function
//input a0 
//output y
ArrayVector vtkEventGetModifier__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetModifier (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModifier__1 for class vtkEvent requires 1 argument(s)");
  vtkEvent* vtk_pointer = GetVTKPointer<vtkEvent>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetModifier();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEvent:SetKeyCode vtkEventSetKeyCodeFunction
//input a0 a1 
//output none
ArrayVector vtkEventSetKeyCodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKeyCode (char ); */
  if (arg.size() < 2) 
    throw Exception("Function SetKeyCode for class vtkEvent requires 2 argument(s)");
  vtkEvent* vtk_pointer = GetVTKPointer<vtkEvent>(arg[0]);
  Array retval;
  char     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (char) arg[1].asDouble();
  vtk_pointer->SetKeyCode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEvent:GetKeyCode vtkEventGetKeyCodeFunction
//input a0 
//output y
ArrayVector vtkEventGetKeyCodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char GetKeyCode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeyCode for class vtkEvent requires 1 argument(s)");
  vtkEvent* vtk_pointer = GetVTKPointer<vtkEvent>(arg[0]);
  Array retval;
  char     temp20;
  temp20 = (vtk_pointer)->GetKeyCode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEvent:SetRepeatCount vtkEventSetRepeatCountFunction
//input a0 a1 
//output none
ArrayVector vtkEventSetRepeatCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepeatCount (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepeatCount for class vtkEvent requires 2 argument(s)");
  vtkEvent* vtk_pointer = GetVTKPointer<vtkEvent>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRepeatCount(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEvent:GetRepeatCount vtkEventGetRepeatCountFunction
//input a0 
//output y
ArrayVector vtkEventGetRepeatCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepeatCount (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepeatCount for class vtkEvent requires 1 argument(s)");
  vtkEvent* vtk_pointer = GetVTKPointer<vtkEvent>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepeatCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEvent:SetKeySym vtkEventSetKeySymFunction
//input a0 a1 
//output none
ArrayVector vtkEventSetKeySymFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKeySym (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetKeySym for class vtkEvent requires 2 argument(s)");
  vtkEvent* vtk_pointer = GetVTKPointer<vtkEvent>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetKeySym(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEvent:GetKeySym vtkEventGetKeySymFunction
//input a0 
//output y
ArrayVector vtkEventGetKeySymFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetKeySym (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeySym for class vtkEvent requires 1 argument(s)");
  vtkEvent* vtk_pointer = GetVTKPointer<vtkEvent>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetKeySym();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEvent:GetModifier__2 vtkEventGetModifier__2Function
//input a0 a1 
//output y
ArrayVector vtkEventGetModifier__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetModifier (vtkRenderWindowInteractor *); */
  if (arg.size() < 2) 
    throw Exception("Function GetModifier__2 for class vtkEvent requires 2 argument(s)");
  vtkEvent* vtk_pointer = GetVTKPointer<vtkEvent>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderWindowInteractor>(arg[1]);
  temp20 = (vtk_pointer)->GetModifier(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEvent:GetModifier vtkEventGetModifierFunction
//input varargin
//output varargout
ArrayVector vtkEventGetModifierFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkEventGetModifier__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkRenderWindowInteractor"))
    return vtkEventGetModifier__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkEventGetModifier");
}

//@@Signature
//sfunction @vtkEvent:display vtkEventDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEventDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEvent* vtk_pointer = GetVTKPointer<vtkEvent>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEvent:delete vtkEventDeleteFunction
//input varargin
//output none
ArrayVector vtkEventDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkEvent
//@@Section VTKWidgets
//@@Usage
// vtkEvent is a class that fully describes a VTK event. It is used by the 
// widgets to help specify the mapping between VTK events and widget events.
//
//To create an instance of class vtkEvent, simply
//invoke its constructor as follows
//@[
//  obj = vtkEvent
//@]
//@@Methods
//The class vtkEvent has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkEvent class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard macros.
//// \item @|int = obj.IsA (string name)| -  Standard macros.
//// \item @|vtkEvent = obj.NewInstance ()| -  Standard macros.
//// \item @|vtkEvent = obj.SafeDownCast (vtkObject o)| -  Standard macros.
//// \item @|obj.SetEventId (long )| -  Set the modifier for the event.
//// \item @|long = obj.GetEventId ()| -  Set the modifier for the event.
//// \item @|obj.SetModifier (int )| -  Set the modifier for the event.
//// \item @|int = obj.GetModifier ()| -  Set the modifier for the event.
//// \item @|obj.SetKeyCode (char )| -  Set the KeyCode for the event.
//// \item @|char = obj.GetKeyCode ()| -  Set the KeyCode for the event.
//// \item @|obj.SetRepeatCount (int )| -  Set the repease count for the event.
//// \item @|int = obj.GetRepeatCount ()| -  Set the repease count for the event.
//// \item @|obj.SetKeySym (string )| -  Set the complex key symbol (compound key strokes) for the event.
//// \item @|string = obj.GetKeySym ()| -  Set the complex key symbol (compound key strokes) for the event.
////\end{itemize}
//!
