#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFocalPlaneContourRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFocalPlaneContourRepresentation.h"

//@@Signature
//sfunction @vtkFocalPlaneContourRepresentation:vtkFocalPlaneContourRepresentation vtkFocalPlaneContourRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkFocalPlaneContourRepresentation vtkContourRepresentation 
ArrayVector vtkFocalPlaneContourRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFocalPlaneContourRepresentation::New(),"vtkFocalPlaneContourRepresentation",eval);
  } else if (arg[0].className() == "vtkFocalPlaneContourRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFocalPlaneContourRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFocalPlaneContourRepresentation");
    vtkFocalPlaneContourRepresentation*q = reinterpret_cast<vtkFocalPlaneContourRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFocalPlaneContourRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFocalPlaneContourRepresentation:GetClassName vtkFocalPlaneContourRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFocalPlaneContourRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFocalPlaneContourRepresentation requires 1 argument(s)");
  vtkFocalPlaneContourRepresentation* vtk_pointer = GetVTKPointer<vtkFocalPlaneContourRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlaneContourRepresentation:IsA vtkFocalPlaneContourRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFocalPlaneContourRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFocalPlaneContourRepresentation requires 2 argument(s)");
  vtkFocalPlaneContourRepresentation* vtk_pointer = GetVTKPointer<vtkFocalPlaneContourRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlaneContourRepresentation:NewInstance vtkFocalPlaneContourRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFocalPlaneContourRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFocalPlaneContourRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFocalPlaneContourRepresentation requires 1 argument(s)");
  vtkFocalPlaneContourRepresentation* vtk_pointer = GetVTKPointer<vtkFocalPlaneContourRepresentation>(arg[0]);
  Array retval;
  vtkFocalPlaneContourRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFocalPlaneContourRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlaneContourRepresentation:SafeDownCast vtkFocalPlaneContourRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFocalPlaneContourRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFocalPlaneContourRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFocalPlaneContourRepresentation requires 2 argument(s)");
  vtkFocalPlaneContourRepresentation* vtk_pointer = GetVTKPointer<vtkFocalPlaneContourRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFocalPlaneContourRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFocalPlaneContourRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlaneContourRepresentation:GetIntermediatePointWorldPosition vtkFocalPlaneContourRepresentationGetIntermediatePointWorldPositionFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkFocalPlaneContourRepresentationGetIntermediatePointWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetIntermediatePointWorldPosition (int n, int idx, double point[3]); */
  if (arg.size() < 4) 
    throw Exception("Function GetIntermediatePointWorldPosition for class vtkFocalPlaneContourRepresentation requires 4 argument(s)");
  vtkFocalPlaneContourRepresentation* vtk_pointer = GetVTKPointer<vtkFocalPlaneContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  double temp2[3];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !(arg[3].isVector() && arg[3].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetIntermediatePointWorldPosition(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlaneContourRepresentation:GetIntermediatePointDisplayPosition vtkFocalPlaneContourRepresentationGetIntermediatePointDisplayPositionFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkFocalPlaneContourRepresentationGetIntermediatePointDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetIntermediatePointDisplayPosition (int n, int idx, double point[3]); */
  if (arg.size() < 4) 
    throw Exception("Function GetIntermediatePointDisplayPosition for class vtkFocalPlaneContourRepresentation requires 4 argument(s)");
  vtkFocalPlaneContourRepresentation* vtk_pointer = GetVTKPointer<vtkFocalPlaneContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  double temp2[3];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !(arg[3].isVector() && arg[3].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetIntermediatePointDisplayPosition(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlaneContourRepresentation:GetNthNodeDisplayPosition vtkFocalPlaneContourRepresentationGetNthNodeDisplayPositionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkFocalPlaneContourRepresentationGetNthNodeDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNthNodeDisplayPosition (int n, double pos[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GetNthNodeDisplayPosition for class vtkFocalPlaneContourRepresentation requires 3 argument(s)");
  vtkFocalPlaneContourRepresentation* vtk_pointer = GetVTKPointer<vtkFocalPlaneContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetNthNodeDisplayPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlaneContourRepresentation:GetNthNodeWorldPosition vtkFocalPlaneContourRepresentationGetNthNodeWorldPositionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkFocalPlaneContourRepresentationGetNthNodeWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNthNodeWorldPosition (int n, double pos[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetNthNodeWorldPosition for class vtkFocalPlaneContourRepresentation requires 3 argument(s)");
  vtkFocalPlaneContourRepresentation* vtk_pointer = GetVTKPointer<vtkFocalPlaneContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetNthNodeWorldPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlaneContourRepresentation:UpdateContourWorldPositionsBasedOnDisplayPositions vtkFocalPlaneContourRepresentationUpdateContourWorldPositionsBasedOnDisplayPositionsFunction
//input a0 
//output none
ArrayVector vtkFocalPlaneContourRepresentationUpdateContourWorldPositionsBasedOnDisplayPositionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateContourWorldPositionsBasedOnDisplayPositions (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateContourWorldPositionsBasedOnDisplayPositions for class vtkFocalPlaneContourRepresentation requires 1 argument(s)");
  vtkFocalPlaneContourRepresentation* vtk_pointer = GetVTKPointer<vtkFocalPlaneContourRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->UpdateContourWorldPositionsBasedOnDisplayPositions();
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlaneContourRepresentation:UpdateContour vtkFocalPlaneContourRepresentationUpdateContourFunction
//input a0 
//output y
ArrayVector vtkFocalPlaneContourRepresentationUpdateContourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int UpdateContour (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateContour for class vtkFocalPlaneContourRepresentation requires 1 argument(s)");
  vtkFocalPlaneContourRepresentation* vtk_pointer = GetVTKPointer<vtkFocalPlaneContourRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->UpdateContour();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlaneContourRepresentation:UpdateLines vtkFocalPlaneContourRepresentationUpdateLinesFunction
//input a0 a1 
//output none
ArrayVector vtkFocalPlaneContourRepresentationUpdateLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateLines (int index); */
  if (arg.size() < 2) 
    throw Exception("Function UpdateLines for class vtkFocalPlaneContourRepresentation requires 2 argument(s)");
  vtkFocalPlaneContourRepresentation* vtk_pointer = GetVTKPointer<vtkFocalPlaneContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->UpdateLines(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlaneContourRepresentation:display vtkFocalPlaneContourRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFocalPlaneContourRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFocalPlaneContourRepresentation* vtk_pointer = GetVTKPointer<vtkFocalPlaneContourRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFocalPlaneContourRepresentation:delete vtkFocalPlaneContourRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkFocalPlaneContourRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFocalPlaneContourRepresentation
//@@Section VTKWidgets
//@@Usage
// The contour will stay on the focal plane irrespective of camera 
// position/orientation changes. The class was written in order to be able to 
// draw contours on a volume widget and have the contours overlayed on the 
// focal plane in order to do contour segmentation. The superclass, 
// vtkContourRepresentation handles contours that are drawn in actual world 
// position co-ordinates, so they would rotate with the camera position/
// orientation changes
//
//
//To create an instance of class vtkFocalPlaneContourRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkFocalPlaneContourRepresentation
//@]
//@@Methods
//The class vtkFocalPlaneContourRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFocalPlaneContourRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK methods.
//// \item @|vtkFocalPlaneContourRepresentation = obj.NewInstance ()| -  Standard VTK methods.
//// \item @|vtkFocalPlaneContourRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard VTK methods.
//// \item @|int = obj.GetIntermediatePointWorldPosition (int n, int idx, double point[3])| -  Get the world position of the intermediate point at
// index idx between nodes n and (n+1) (or n and 0 if
// n is the last node and the loop is closed). Returns
// 1 on success or 0 if n or idx are out of range.
//// \item @|int = obj.GetIntermediatePointDisplayPosition (int n, int idx, double point[3])| -  Get the world position of the intermediate point at
// index idx between nodes n and (n+1) (or n and 0 if
// n is the last node and the loop is closed). Returns
// 1 on success or 0 if n or idx are out of range.
//// \item @|int = obj.GetNthNodeDisplayPosition (int n, double pos[2])| -  Get the nth node's display position. Will return
// 1 on success, or 0 if there are not at least 
// (n+1) nodes (0 based counting).
//// \item @|int = obj.GetNthNodeWorldPosition (int n, double pos[3])| -  Get the nth node's world position. Will return
// 1 on success, or 0 if there are not at least 
// (n+1) nodes (0 based counting).
//// \item @|obj.UpdateContourWorldPositionsBasedOnDisplayPositions ()| -  The class maintains its true contour locations based on display co-ords
// This method syncs the world co-ords data structure with the display co-ords.
//// \item @|int = obj.UpdateContour ()| -  The method must be called whenever the contour needs to be updated, usually
// from RenderOpaqueGeometry()
//// \item @|obj.UpdateLines (int index)|
//\end{itemize}
//!
