#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFocalPlanePointPlacer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFocalPlanePointPlacer.h"

//@@Signature
//sfunction @vtkFocalPlanePointPlacer:vtkFocalPlanePointPlacer vtkFocalPlanePointPlacerConstructorFunction
//input a
//output p
//@@Parents vtkFocalPlanePointPlacer vtkPointPlacer 
ArrayVector vtkFocalPlanePointPlacerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFocalPlanePointPlacer::New(),"vtkFocalPlanePointPlacer",eval);
  } else if (arg[0].className() == "vtkFocalPlanePointPlacer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFocalPlanePointPlacer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFocalPlanePointPlacer");
    vtkFocalPlanePointPlacer*q = reinterpret_cast<vtkFocalPlanePointPlacer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFocalPlanePointPlacer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFocalPlanePointPlacer:GetClassName vtkFocalPlanePointPlacerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFocalPlanePointPlacerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFocalPlanePointPlacer requires 1 argument(s)");
  vtkFocalPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkFocalPlanePointPlacer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlanePointPlacer:IsA vtkFocalPlanePointPlacerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFocalPlanePointPlacerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFocalPlanePointPlacer requires 2 argument(s)");
  vtkFocalPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkFocalPlanePointPlacer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlanePointPlacer:NewInstance vtkFocalPlanePointPlacerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFocalPlanePointPlacerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFocalPlanePointPlacer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFocalPlanePointPlacer requires 1 argument(s)");
  vtkFocalPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkFocalPlanePointPlacer>(arg[0]);
  Array retval;
  vtkFocalPlanePointPlacer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFocalPlanePointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlanePointPlacer:SafeDownCast vtkFocalPlanePointPlacerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFocalPlanePointPlacerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFocalPlanePointPlacer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFocalPlanePointPlacer requires 2 argument(s)");
  vtkFocalPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkFocalPlanePointPlacer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFocalPlanePointPlacer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFocalPlanePointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlanePointPlacer:ComputeWorldPosition__1 vtkFocalPlanePointPlacerComputeWorldPosition__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkFocalPlanePointPlacerComputeWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 5) 
    throw Exception("Function ComputeWorldPosition__1 for class vtkFocalPlanePointPlacer requires 5 argument(s)");
  vtkFocalPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkFocalPlanePointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  double temp2[3];
  double temp3[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeWorldPosition(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlanePointPlacer:ComputeWorldPosition__2 vtkFocalPlanePointPlacerComputeWorldPosition__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkFocalPlanePointPlacerComputeWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 6) 
    throw Exception("Function ComputeWorldPosition__2 for class vtkFocalPlanePointPlacer requires 6 argument(s)");
  vtkFocalPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkFocalPlanePointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  double temp2[3];
  double temp3[3];
  double temp4[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !(arg[10].isVector() && arg[10].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[10].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlanePointPlacer:ValidateWorldPosition__1 vtkFocalPlanePointPlacerValidateWorldPosition__1Function
//input a0 a1 
//output y
ArrayVector vtkFocalPlanePointPlacerValidateWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ValidateWorldPosition (double worldPos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function ValidateWorldPosition__1 for class vtkFocalPlanePointPlacer requires 2 argument(s)");
  vtkFocalPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkFocalPlanePointPlacer>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateWorldPosition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlanePointPlacer:ValidateWorldPosition__2 vtkFocalPlanePointPlacerValidateWorldPosition__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkFocalPlanePointPlacerValidateWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ValidateWorldPosition (double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 3) 
    throw Exception("Function ValidateWorldPosition__2 for class vtkFocalPlanePointPlacer requires 3 argument(s)");
  vtkFocalPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkFocalPlanePointPlacer>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[9];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateWorldPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlanePointPlacer:SetOffset vtkFocalPlanePointPlacerSetOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkFocalPlanePointPlacerSetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOffset (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOffset for class vtkFocalPlanePointPlacer requires 2 argument(s)");
  vtkFocalPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkFocalPlanePointPlacer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlanePointPlacer:GetOffset vtkFocalPlanePointPlacerGetOffsetFunction
//input a0 
//output y
ArrayVector vtkFocalPlanePointPlacerGetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffset for class vtkFocalPlanePointPlacer requires 1 argument(s)");
  vtkFocalPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkFocalPlanePointPlacer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlanePointPlacer:SetPointBounds__1 vtkFocalPlanePointPlacerSetPointBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkFocalPlanePointPlacerSetPointBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointBounds (double , double , double , double , double , double ); */
  if (arg.size() < 7) 
    throw Exception("Function SetPointBounds__1 for class vtkFocalPlanePointPlacer requires 7 argument(s)");
  vtkFocalPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkFocalPlanePointPlacer>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetPointBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlanePointPlacer:SetPointBounds__2 vtkFocalPlanePointPlacerSetPointBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkFocalPlanePointPlacerSetPointBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointBounds (double  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointBounds__2 for class vtkFocalPlanePointPlacer requires 2 argument(s)");
  vtkFocalPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkFocalPlanePointPlacer>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPointBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlanePointPlacer:GetPointBounds vtkFocalPlanePointPlacerGetPointBoundsFunction
//input a0 
//output y
ArrayVector vtkFocalPlanePointPlacerGetPointBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPointBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointBounds for class vtkFocalPlanePointPlacer requires 1 argument(s)");
  vtkFocalPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkFocalPlanePointPlacer>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPointBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkFocalPlanePointPlacer:ComputeWorldPosition vtkFocalPlanePointPlacerComputeWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkFocalPlanePointPlacerComputeWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkFocalPlanePointPlacerComputeWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]))
    return vtkFocalPlanePointPlacerComputeWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFocalPlanePointPlacerComputeWorldPosition");
}

//@@Signature
//sfunction @vtkFocalPlanePointPlacer:ValidateWorldPosition vtkFocalPlanePointPlacerValidateWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkFocalPlanePointPlacerValidateWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkFocalPlanePointPlacerValidateWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkFocalPlanePointPlacerValidateWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFocalPlanePointPlacerValidateWorldPosition");
}

//@@Signature
//sfunction @vtkFocalPlanePointPlacer:SetPointBounds vtkFocalPlanePointPlacerSetPointBoundsFunction
//input varargin
//output varargout
ArrayVector vtkFocalPlanePointPlacerSetPointBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkFocalPlanePointPlacerSetPointBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkFocalPlanePointPlacerSetPointBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFocalPlanePointPlacerSetPointBounds");
}

//@@Signature
//sfunction @vtkFocalPlanePointPlacer:display vtkFocalPlanePointPlacerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFocalPlanePointPlacerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFocalPlanePointPlacer* vtk_pointer = GetVTKPointer<vtkFocalPlanePointPlacer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFocalPlanePointPlacer:delete vtkFocalPlanePointPlacerDeleteFunction
//input varargin
//output none
ArrayVector vtkFocalPlanePointPlacerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFocalPlanePointPlacer
//@@Section VTKWidgets
//@@Usage
// 
//
//
//To create an instance of class vtkFocalPlanePointPlacer, simply
//invoke its constructor as follows
//@[
//  obj = vtkFocalPlanePointPlacer
//@]
//@@Methods
//The class vtkFocalPlanePointPlacer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFocalPlanePointPlacer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkFocalPlanePointPlacer = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkFocalPlanePointPlacer = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|int = obj.ComputeWorldPosition (vtkRenderer ren, double displayPos[2], double worldPos[3], double worldOrient[9])|
// \item @|int = obj.ComputeWorldPosition (vtkRenderer ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9])| -  Given a renderer, a display position, and a reference
// world position, compute a new world position. The
// orientation will be the standard coordinate axes, and the
// computed world position will be created by projecting
// the display point onto a plane that is parallel to
// the focal plane and runs through the reference world
// position. This method is typically used to move existing
// points.
//// \item @|int = obj.ValidateWorldPosition (double worldPos[3])| -  Validate a world position. All world positions
// are valid so these methods always return 1.
//// \item @|int = obj.ValidateWorldPosition (double worldPos[3], double worldOrient[9])| -  Validate a world position. All world positions
// are valid so these methods always return 1.
//// \item @|obj.SetOffset (double )| -  Optionally specify a signed offset from the focal plane for the points to
// be placed at.  If negative, the constraint plane is offset closer to the 
// camera. If positive, its further away from the camera.
//// \item @|double = obj.GetOffset ()| -  Optionally specify a signed offset from the focal plane for the points to
// be placed at.  If negative, the constraint plane is offset closer to the 
// camera. If positive, its further away from the camera.
//// \item @|obj.SetPointBounds (double , double , double , double , double , double )| -  Optionally Restrict the points to a set of bounds. The placer will
// invalidate points outside these bounds.
//// \item @|obj.SetPointBounds (double  a[6])| -  Optionally Restrict the points to a set of bounds. The placer will
// invalidate points outside these bounds.
//// \item @|double = obj. GetPointBounds ()| -  Optionally Restrict the points to a set of bounds. The placer will
// invalidate points outside these bounds.
////\end{itemize}
//!
