#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHandleRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHandleRepresentation.h"

//@@Signature
//sfunction @vtkHandleRepresentation:vtkHandleRepresentation vtkHandleRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkHandleRepresentation vtkWidgetRepresentation 
ArrayVector vtkHandleRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHandleRepresentation::New(),"vtkHandleRepresentation",eval);
  } else if (arg[0].className() == "vtkHandleRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHandleRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHandleRepresentation");
    vtkHandleRepresentation*q = reinterpret_cast<vtkHandleRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHandleRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHandleRepresentation:GetClassName vtkHandleRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHandleRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHandleRepresentation requires 1 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:IsA vtkHandleRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHandleRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHandleRepresentation requires 2 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:NewInstance vtkHandleRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHandleRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHandleRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHandleRepresentation requires 1 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  vtkHandleRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:SafeDownCast vtkHandleRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHandleRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHandleRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHandleRepresentation requires 2 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHandleRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:SetDisplayPosition vtkHandleRepresentationSetDisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkHandleRepresentationSetDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplayPosition for class vtkHandleRepresentation requires 2 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:GetDisplayPosition__1 vtkHandleRepresentationGetDisplayPosition__1Function
//input a0 a1 
//output none
ArrayVector vtkHandleRepresentationGetDisplayPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetDisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetDisplayPosition__1 for class vtkHandleRepresentation requires 2 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetDisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:GetDisplayPosition__2 vtkHandleRepresentationGetDisplayPosition__2Function
//input a0 
//output y
ArrayVector vtkHandleRepresentationGetDisplayPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetDisplayPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplayPosition__2 for class vtkHandleRepresentation requires 1 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDisplayPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:SetWorldPosition vtkHandleRepresentationSetWorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkHandleRepresentationSetWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetWorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetWorldPosition for class vtkHandleRepresentation requires 2 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetWorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:GetWorldPosition__1 vtkHandleRepresentationGetWorldPosition__1Function
//input a0 a1 
//output none
ArrayVector vtkHandleRepresentationGetWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetWorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetWorldPosition__1 for class vtkHandleRepresentation requires 2 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetWorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:GetWorldPosition__2 vtkHandleRepresentationGetWorldPosition__2Function
//input a0 
//output y
ArrayVector vtkHandleRepresentationGetWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetWorldPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWorldPosition__2 for class vtkHandleRepresentation requires 1 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetWorldPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:SetTolerance vtkHandleRepresentationSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkHandleRepresentationSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkHandleRepresentation requires 2 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:GetToleranceMinValue vtkHandleRepresentationGetToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkHandleRepresentationGetToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMinValue for class vtkHandleRepresentation requires 1 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:GetToleranceMaxValue vtkHandleRepresentationGetToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkHandleRepresentationGetToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMaxValue for class vtkHandleRepresentation requires 1 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:GetTolerance vtkHandleRepresentationGetToleranceFunction
//input a0 
//output y
ArrayVector vtkHandleRepresentationGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkHandleRepresentation requires 1 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:SetActiveRepresentation vtkHandleRepresentationSetActiveRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkHandleRepresentationSetActiveRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetActiveRepresentation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetActiveRepresentation for class vtkHandleRepresentation requires 2 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetActiveRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:GetActiveRepresentation vtkHandleRepresentationGetActiveRepresentationFunction
//input a0 
//output y
ArrayVector vtkHandleRepresentationGetActiveRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetActiveRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActiveRepresentation for class vtkHandleRepresentation requires 1 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetActiveRepresentation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:ActiveRepresentationOn vtkHandleRepresentationActiveRepresentationOnFunction
//input a0 
//output none
ArrayVector vtkHandleRepresentationActiveRepresentationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ActiveRepresentationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ActiveRepresentationOn for class vtkHandleRepresentation requires 1 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ActiveRepresentationOn();
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:ActiveRepresentationOff vtkHandleRepresentationActiveRepresentationOffFunction
//input a0 
//output none
ArrayVector vtkHandleRepresentationActiveRepresentationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ActiveRepresentationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ActiveRepresentationOff for class vtkHandleRepresentation requires 1 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ActiveRepresentationOff();
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:SetInteractionState vtkHandleRepresentationSetInteractionStateFunction
//input a0 a1 
//output none
ArrayVector vtkHandleRepresentationSetInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInteractionState (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractionState for class vtkHandleRepresentation requires 2 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInteractionState(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:GetInteractionStateMinValue vtkHandleRepresentationGetInteractionStateMinValueFunction
//input a0 
//output y
ArrayVector vtkHandleRepresentationGetInteractionStateMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInteractionStateMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteractionStateMinValue for class vtkHandleRepresentation requires 1 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInteractionStateMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:GetInteractionStateMaxValue vtkHandleRepresentationGetInteractionStateMaxValueFunction
//input a0 
//output y
ArrayVector vtkHandleRepresentationGetInteractionStateMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInteractionStateMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteractionStateMaxValue for class vtkHandleRepresentation requires 1 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInteractionStateMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:SetConstrained vtkHandleRepresentationSetConstrainedFunction
//input a0 a1 
//output none
ArrayVector vtkHandleRepresentationSetConstrainedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConstrained (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConstrained for class vtkHandleRepresentation requires 2 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetConstrained(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:GetConstrained vtkHandleRepresentationGetConstrainedFunction
//input a0 
//output y
ArrayVector vtkHandleRepresentationGetConstrainedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetConstrained (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConstrained for class vtkHandleRepresentation requires 1 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetConstrained();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:ConstrainedOn vtkHandleRepresentationConstrainedOnFunction
//input a0 
//output none
ArrayVector vtkHandleRepresentationConstrainedOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConstrainedOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ConstrainedOn for class vtkHandleRepresentation requires 1 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ConstrainedOn();
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:ConstrainedOff vtkHandleRepresentationConstrainedOffFunction
//input a0 
//output none
ArrayVector vtkHandleRepresentationConstrainedOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConstrainedOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ConstrainedOff for class vtkHandleRepresentation requires 1 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ConstrainedOff();
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:CheckConstraint vtkHandleRepresentationCheckConstraintFunction
//input a0 a1 a2 
//output y
ArrayVector vtkHandleRepresentationCheckConstraintFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CheckConstraint (vtkRenderer *renderer, double pos[2]); */
  if (arg.size() < 3) 
    throw Exception("Function CheckConstraint for class vtkHandleRepresentation requires 3 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->CheckConstraint(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:ShallowCopy vtkHandleRepresentationShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkHandleRepresentationShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkHandleRepresentation requires 2 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:DeepCopy vtkHandleRepresentationDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkHandleRepresentationDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkHandleRepresentation requires 2 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:SetRenderer vtkHandleRepresentationSetRendererFunction
//input a0 a1 
//output none
ArrayVector vtkHandleRepresentationSetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRenderer (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderer for class vtkHandleRepresentation requires 2 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:GetMTime vtkHandleRepresentationGetMTimeFunction
//input a0 
//output y
ArrayVector vtkHandleRepresentationGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkHandleRepresentation requires 1 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:SetPointPlacer vtkHandleRepresentationSetPointPlacerFunction
//input a0 a1 
//output none
ArrayVector vtkHandleRepresentationSetPointPlacerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPointPlacer (vtkPointPlacer *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointPlacer for class vtkHandleRepresentation requires 2 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  vtkPointPlacer  *temp0;
  temp0 = GetVTKPointer<vtkPointPlacer>(arg[1]);
  vtk_pointer->SetPointPlacer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:GetPointPlacer vtkHandleRepresentationGetPointPlacerFunction
//input a0 
//output y
ArrayVector vtkHandleRepresentationGetPointPlacerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointPlacer *GetPointPlacer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointPlacer for class vtkHandleRepresentation requires 1 argument(s)");
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  Array retval;
  vtkPointPlacer  *temp20;
  temp20 = (vtk_pointer)->GetPointPlacer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHandleRepresentation:GetDisplayPosition vtkHandleRepresentationGetDisplayPositionFunction
//input varargin
//output varargout
ArrayVector vtkHandleRepresentationGetDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkHandleRepresentationGetDisplayPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkHandleRepresentationGetDisplayPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHandleRepresentationGetDisplayPosition");
}

//@@Signature
//sfunction @vtkHandleRepresentation:GetWorldPosition vtkHandleRepresentationGetWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkHandleRepresentationGetWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkHandleRepresentationGetWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkHandleRepresentationGetWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkHandleRepresentationGetWorldPosition");
}

//@@Signature
//sfunction @vtkHandleRepresentation:display vtkHandleRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHandleRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHandleRepresentation* vtk_pointer = GetVTKPointer<vtkHandleRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHandleRepresentation:delete vtkHandleRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkHandleRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHandleRepresentation
//@@Section VTKWidgets
//@@Usage
// This class defines an API for widget handle representations. These
// representations interact with vtkHandleWidget. Various representations
// can be used depending on the nature of the handle. The basic functionality 
// of the handle representation is to maintain a position. The position is
// represented via a vtkCoordinate, meaning that the position can be easily
// obtained in a variety of coordinate systems.
//
// Optional features for this representation include an active mode (the widget
// appears only when the mouse pointer is close to it). The active distance is
// expressed in pixels and represents a circle in display space.
//
// The class may be subclassed so that alternative representations can
// be created.  The class defines an API and a default implementation that
// the vtkHandleWidget interacts with to render itself in the scene.
//
//To create an instance of class vtkHandleRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkHandleRepresentation
//@]
//@@Methods
//The class vtkHandleRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHandleRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkHandleRepresentation = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkHandleRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|obj.SetDisplayPosition (double pos[3])| -  Handles usually have their coordinates set in display coordinates
// (generally by an associated widget) and internally maintain the position
// in world coordinates. (Using world coordinates insures that handles are
// rendered in the right position when the camera view changes.) These
// methods are often subclassed because special constraint operations can
// be used to control the actual positioning.
//// \item @|obj.GetDisplayPosition (double pos[3])| -  Handles usually have their coordinates set in display coordinates
// (generally by an associated widget) and internally maintain the position
// in world coordinates. (Using world coordinates insures that handles are
// rendered in the right position when the camera view changes.) These
// methods are often subclassed because special constraint operations can
// be used to control the actual positioning.
//// \item @|double = obj.GetDisplayPosition ()| -  Handles usually have their coordinates set in display coordinates
// (generally by an associated widget) and internally maintain the position
// in world coordinates. (Using world coordinates insures that handles are
// rendered in the right position when the camera view changes.) These
// methods are often subclassed because special constraint operations can
// be used to control the actual positioning.
//// \item @|obj.SetWorldPosition (double pos[3])| -  Handles usually have their coordinates set in display coordinates
// (generally by an associated widget) and internally maintain the position
// in world coordinates. (Using world coordinates insures that handles are
// rendered in the right position when the camera view changes.) These
// methods are often subclassed because special constraint operations can
// be used to control the actual positioning.
//// \item @|obj.GetWorldPosition (double pos[3])| -  Handles usually have their coordinates set in display coordinates
// (generally by an associated widget) and internally maintain the position
// in world coordinates. (Using world coordinates insures that handles are
// rendered in the right position when the camera view changes.) These
// methods are often subclassed because special constraint operations can
// be used to control the actual positioning.
//// \item @|double = obj.GetWorldPosition ()| -  Handles usually have their coordinates set in display coordinates
// (generally by an associated widget) and internally maintain the position
// in world coordinates. (Using world coordinates insures that handles are
// rendered in the right position when the camera view changes.) These
// methods are often subclassed because special constraint operations can
// be used to control the actual positioning.
//// \item @|obj.SetTolerance (int )| -  The tolerance representing the distance to the widget (in pixels)
// in which the cursor is considered near enough to the widget to
// be active.
//// \item @|int = obj.GetToleranceMinValue ()| -  The tolerance representing the distance to the widget (in pixels)
// in which the cursor is considered near enough to the widget to
// be active.
//// \item @|int = obj.GetToleranceMaxValue ()| -  The tolerance representing the distance to the widget (in pixels)
// in which the cursor is considered near enough to the widget to
// be active.
//// \item @|int = obj.GetTolerance ()| -  The tolerance representing the distance to the widget (in pixels)
// in which the cursor is considered near enough to the widget to
// be active.
//// \item @|obj.SetActiveRepresentation (int )| -  Flag controls whether the widget becomes visible when the mouse pointer
// moves close to it (i.e., the widget becomes active). By default,
// ActiveRepresentation is off and the representation is always visible.
//// \item @|int = obj.GetActiveRepresentation ()| -  Flag controls whether the widget becomes visible when the mouse pointer
// moves close to it (i.e., the widget becomes active). By default,
// ActiveRepresentation is off and the representation is always visible.
//// \item @|obj.ActiveRepresentationOn ()| -  Flag controls whether the widget becomes visible when the mouse pointer
// moves close to it (i.e., the widget becomes active). By default,
// ActiveRepresentation is off and the representation is always visible.
//// \item @|obj.ActiveRepresentationOff ()| -  Flag controls whether the widget becomes visible when the mouse pointer
// moves close to it (i.e., the widget becomes active). By default,
// ActiveRepresentation is off and the representation is always visible.
//// \item @|obj.SetInteractionState (int )| -  The interaction state may be set from a widget (e.g., HandleWidget) or
// other object. This controls how the interaction with the widget
// proceeds. Normally this method is used as part of a handshaking
// processwith the widget: First ComputeInteractionState() is invoked that
// returns a state based on geometric considerations (i.e., cursor near a
// widget feature), then based on events, the widget may modify this
// further.
//// \item @|int = obj.GetInteractionStateMinValue ()| -  The interaction state may be set from a widget (e.g., HandleWidget) or
// other object. This controls how the interaction with the widget
// proceeds. Normally this method is used as part of a handshaking
// processwith the widget: First ComputeInteractionState() is invoked that
// returns a state based on geometric considerations (i.e., cursor near a
// widget feature), then based on events, the widget may modify this
// further.
//// \item @|int = obj.GetInteractionStateMaxValue ()| -  The interaction state may be set from a widget (e.g., HandleWidget) or
// other object. This controls how the interaction with the widget
// proceeds. Normally this method is used as part of a handshaking
// processwith the widget: First ComputeInteractionState() is invoked that
// returns a state based on geometric considerations (i.e., cursor near a
// widget feature), then based on events, the widget may modify this
// further.
//// \item @|obj.SetConstrained (int )| -  Specify whether any motions (such as scale, translate, etc.) are
// constrained in some way (along an axis, etc.) Widgets can use this
// to control the resulting motion.
//// \item @|int = obj.GetConstrained ()| -  Specify whether any motions (such as scale, translate, etc.) are
// constrained in some way (along an axis, etc.) Widgets can use this
// to control the resulting motion.
//// \item @|obj.ConstrainedOn ()| -  Specify whether any motions (such as scale, translate, etc.) are
// constrained in some way (along an axis, etc.) Widgets can use this
// to control the resulting motion.
//// \item @|obj.ConstrainedOff ()| -  Specify whether any motions (such as scale, translate, etc.) are
// constrained in some way (along an axis, etc.) Widgets can use this
// to control the resulting motion.
//// \item @|int = obj.CheckConstraint (vtkRenderer renderer, double pos[2])| -  Method has to be overridden in the subclasses which has
// constraints on placing the handle
// (Ex. vtkConstrainedPointHandleRepresentation). It should return 1
// if the position is within the constraint, else it should return
// 0. By default it returns 1.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Methods to make this class properly act like a vtkWidgetRepresentation.
//// \item @|obj.DeepCopy (vtkProp prop)| -  Methods to make this class properly act like a vtkWidgetRepresentation.
//// \item @|obj.SetRenderer (vtkRenderer ren)| -  Methods to make this class properly act like a vtkWidgetRepresentation.
//// \item @|long = obj.GetMTime ()| -  Overload the superclasses' GetMTime() because the internal vtkCoordinates
// are used to keep the state of the representation.
//// \item @|obj.SetPointPlacer (vtkPointPlacer )| -  Set/Get the point placer. Point placers can be used to dictate constraints 
// on the placement of handles. As an example, see vtkBoundedPlanePointPlacer
// (constrains the placement of handles to a set of bounded planes)
// vtkFocalPlanePointPlacer (constrains placement on the focal plane) etc.
// The default point placer is vtkPointPlacer (which does not apply any 
// constraints, so the handles are free to move anywhere).
//// \item @|vtkPointPlacer = obj.GetPointPlacer ()| -  Set/Get the point placer. Point placers can be used to dictate constraints 
// on the placement of handles. As an example, see vtkBoundedPlanePointPlacer
// (constrains the placement of handles to a set of bounded planes)
// vtkFocalPlanePointPlacer (constrains placement on the focal plane) etc.
// The default point placer is vtkPointPlacer (which does not apply any 
// constraints, so the handles are free to move anywhere).
////\end{itemize}
//!
