#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHandleWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHandleWidget.h"

//@@Signature
//sfunction @vtkHandleWidget:vtkHandleWidget vtkHandleWidgetConstructorFunction
//input a
//output p
//@@Parents vtkHandleWidget vtkAbstractWidget 
ArrayVector vtkHandleWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHandleWidget::New(),"vtkHandleWidget",eval);
  } else if (arg[0].className() == "vtkHandleWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHandleWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHandleWidget");
    vtkHandleWidget*q = reinterpret_cast<vtkHandleWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHandleWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHandleWidget:GetClassName vtkHandleWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHandleWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHandleWidget requires 1 argument(s)");
  vtkHandleWidget* vtk_pointer = GetVTKPointer<vtkHandleWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHandleWidget:IsA vtkHandleWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHandleWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHandleWidget requires 2 argument(s)");
  vtkHandleWidget* vtk_pointer = GetVTKPointer<vtkHandleWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHandleWidget:NewInstance vtkHandleWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHandleWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHandleWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHandleWidget requires 1 argument(s)");
  vtkHandleWidget* vtk_pointer = GetVTKPointer<vtkHandleWidget>(arg[0]);
  Array retval;
  vtkHandleWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHandleWidget:SafeDownCast vtkHandleWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHandleWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHandleWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHandleWidget requires 2 argument(s)");
  vtkHandleWidget* vtk_pointer = GetVTKPointer<vtkHandleWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHandleWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHandleWidget:SetRepresentation vtkHandleWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkHandleWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkHandleRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkHandleWidget requires 2 argument(s)");
  vtkHandleWidget* vtk_pointer = GetVTKPointer<vtkHandleWidget>(arg[0]);
  Array retval;
  vtkHandleRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkHandleRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHandleWidget:CreateDefaultRepresentation vtkHandleWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkHandleWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkHandleWidget requires 1 argument(s)");
  vtkHandleWidget* vtk_pointer = GetVTKPointer<vtkHandleWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkHandleWidget:SetEnableAxisConstraint vtkHandleWidgetSetEnableAxisConstraintFunction
//input a0 a1 
//output none
ArrayVector vtkHandleWidgetSetEnableAxisConstraintFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnableAxisConstraint (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnableAxisConstraint for class vtkHandleWidget requires 2 argument(s)");
  vtkHandleWidget* vtk_pointer = GetVTKPointer<vtkHandleWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnableAxisConstraint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHandleWidget:GetEnableAxisConstraint vtkHandleWidgetGetEnableAxisConstraintFunction
//input a0 
//output y
ArrayVector vtkHandleWidgetGetEnableAxisConstraintFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEnableAxisConstraint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnableAxisConstraint for class vtkHandleWidget requires 1 argument(s)");
  vtkHandleWidget* vtk_pointer = GetVTKPointer<vtkHandleWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEnableAxisConstraint();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHandleWidget:EnableAxisConstraintOn vtkHandleWidgetEnableAxisConstraintOnFunction
//input a0 
//output none
ArrayVector vtkHandleWidgetEnableAxisConstraintOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableAxisConstraintOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableAxisConstraintOn for class vtkHandleWidget requires 1 argument(s)");
  vtkHandleWidget* vtk_pointer = GetVTKPointer<vtkHandleWidget>(arg[0]);
  Array retval;
  vtk_pointer->EnableAxisConstraintOn();
  return retval;
}

//@@Signature
//sfunction @vtkHandleWidget:EnableAxisConstraintOff vtkHandleWidgetEnableAxisConstraintOffFunction
//input a0 
//output none
ArrayVector vtkHandleWidgetEnableAxisConstraintOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableAxisConstraintOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableAxisConstraintOff for class vtkHandleWidget requires 1 argument(s)");
  vtkHandleWidget* vtk_pointer = GetVTKPointer<vtkHandleWidget>(arg[0]);
  Array retval;
  vtk_pointer->EnableAxisConstraintOff();
  return retval;
}

//@@Signature
//sfunction @vtkHandleWidget:SetAllowHandleResize vtkHandleWidgetSetAllowHandleResizeFunction
//input a0 a1 
//output none
ArrayVector vtkHandleWidgetSetAllowHandleResizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllowHandleResize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllowHandleResize for class vtkHandleWidget requires 2 argument(s)");
  vtkHandleWidget* vtk_pointer = GetVTKPointer<vtkHandleWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAllowHandleResize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHandleWidget:GetAllowHandleResize vtkHandleWidgetGetAllowHandleResizeFunction
//input a0 
//output y
ArrayVector vtkHandleWidgetGetAllowHandleResizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAllowHandleResize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAllowHandleResize for class vtkHandleWidget requires 1 argument(s)");
  vtkHandleWidget* vtk_pointer = GetVTKPointer<vtkHandleWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAllowHandleResize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHandleWidget:AllowHandleResizeOn vtkHandleWidgetAllowHandleResizeOnFunction
//input a0 
//output none
ArrayVector vtkHandleWidgetAllowHandleResizeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllowHandleResizeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AllowHandleResizeOn for class vtkHandleWidget requires 1 argument(s)");
  vtkHandleWidget* vtk_pointer = GetVTKPointer<vtkHandleWidget>(arg[0]);
  Array retval;
  vtk_pointer->AllowHandleResizeOn();
  return retval;
}

//@@Signature
//sfunction @vtkHandleWidget:AllowHandleResizeOff vtkHandleWidgetAllowHandleResizeOffFunction
//input a0 
//output none
ArrayVector vtkHandleWidgetAllowHandleResizeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllowHandleResizeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AllowHandleResizeOff for class vtkHandleWidget requires 1 argument(s)");
  vtkHandleWidget* vtk_pointer = GetVTKPointer<vtkHandleWidget>(arg[0]);
  Array retval;
  vtk_pointer->AllowHandleResizeOff();
  return retval;
}

//@@Signature
//sfunction @vtkHandleWidget:GetWidgetState vtkHandleWidgetGetWidgetStateFunction
//input a0 
//output y
ArrayVector vtkHandleWidgetGetWidgetStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWidgetState (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWidgetState for class vtkHandleWidget requires 1 argument(s)");
  vtkHandleWidget* vtk_pointer = GetVTKPointer<vtkHandleWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWidgetState();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHandleWidget:display vtkHandleWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHandleWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHandleWidget* vtk_pointer = GetVTKPointer<vtkHandleWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHandleWidget:delete vtkHandleWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkHandleWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHandleWidget
//@@Section VTKWidgets
//@@Usage
// The vtkHandleWidget is used to position a handle.  A handle is a widget
// with a position (in display and world space). Various appearances are
// available depending on its associated representation. The widget provides
// methods for translation, including constrained translation along
// coordinate axes. To use this widget, create and associate a representation
// with the widget.
//
// .SECTION Event Bindings
// By default, the widget responds to the following VTK events (i.e., it
// watches the vtkRenderWindowInteractor for these events):
// <pre>
//   LeftButtonPressEvent - select focal point of widget
//   LeftButtonReleaseEvent - end selection
//   MiddleButtonPressEvent - translate widget
//   MiddleButtonReleaseEvent - end translation
//   RightButtonPressEvent - scale widget
//   RightButtonReleaseEvent - end scaling
//   MouseMoveEvent - interactive movement across widget
// </pre>
//
// Note that the event bindings described above can be changed using this
// class's vtkWidgetEventTranslator. This class translates VTK events 
// into the vtkHandleWidget's widget events:
// <pre>
//   vtkWidgetEvent::Select -- focal point is being selected
//   vtkWidgetEvent::EndSelect -- the selection process has completed
//   vtkWidgetEvent::Translate -- translate the widget
//   vtkWidgetEvent::EndTranslate -- end widget translation
//   vtkWidgetEvent::Scale -- scale the widget
//   vtkWidgetEvent::EndScale -- end scaling the widget
//   vtkWidgetEvent::Move -- a request for widget motion
// </pre>
//
// In turn, when these widget events are processed, the vtkHandleWidget
// invokes the following VTK events on itself (which observers can listen for):
// <pre>
//   vtkCommand::StartInteractionEvent (on vtkWidgetEvent::Select)
//   vtkCommand::EndInteractionEvent (on vtkWidgetEvent::EndSelect)
//   vtkCommand::InteractionEvent (on vtkWidgetEvent::Move)
// </pre>
//
//
//To create an instance of class vtkHandleWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkHandleWidget
//@]
//@@Methods
//The class vtkHandleWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHandleWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK class macros.
//// \item @|int = obj.IsA (string name)| -  Standard VTK class macros.
//// \item @|vtkHandleWidget = obj.NewInstance ()| -  Standard VTK class macros.
//// \item @|vtkHandleWidget = obj.SafeDownCast (vtkObject o)| -  Standard VTK class macros.
//// \item @|obj.SetRepresentation (vtkHandleRepresentation r)| -  Create the default widget representation if one is not set. By default
// an instance of vtkPointHandleRepresenation3D is created.
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. By default
// an instance of vtkPointHandleRepresenation3D is created.
//// \item @|obj.SetEnableAxisConstraint (int )| -  Enable / disable axis constrained motion of the handles. By default the
// widget responds to the shift modifier to constrain the handle along the
// axis closest aligned with the motion vector.
//// \item @|int = obj.GetEnableAxisConstraint ()| -  Enable / disable axis constrained motion of the handles. By default the
// widget responds to the shift modifier to constrain the handle along the
// axis closest aligned with the motion vector.
//// \item @|obj.EnableAxisConstraintOn ()| -  Enable / disable axis constrained motion of the handles. By default the
// widget responds to the shift modifier to constrain the handle along the
// axis closest aligned with the motion vector.
//// \item @|obj.EnableAxisConstraintOff ()| -  Enable / disable axis constrained motion of the handles. By default the
// widget responds to the shift modifier to constrain the handle along the
// axis closest aligned with the motion vector.
//// \item @|obj.SetAllowHandleResize (int )| -  Allow resizing of handles ? By default the right mouse button scales
// the handle size.
//// \item @|int = obj.GetAllowHandleResize ()| -  Allow resizing of handles ? By default the right mouse button scales
// the handle size.
//// \item @|obj.AllowHandleResizeOn ()| -  Allow resizing of handles ? By default the right mouse button scales
// the handle size.
//// \item @|obj.AllowHandleResizeOff ()| -  Allow resizing of handles ? By default the right mouse button scales
// the handle size.
//// \item @|int = obj.GetWidgetState ()| -  Get the widget state.
////\end{itemize}
//!
