#include "VTKWrap.hpp"

// FreeMat wrapper for vtkHoverWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkHoverWidget.h"

//@@Signature
//sfunction @vtkHoverWidget:vtkHoverWidget vtkHoverWidgetConstructorFunction
//input a
//output p
//@@Parents vtkHoverWidget vtkAbstractWidget 
ArrayVector vtkHoverWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkHoverWidget::New(),"vtkHoverWidget",eval);
  } else if (arg[0].className() == "vtkHoverWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkHoverWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkHoverWidget");
    vtkHoverWidget*q = reinterpret_cast<vtkHoverWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkHoverWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkHoverWidget:GetClassName vtkHoverWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkHoverWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkHoverWidget requires 1 argument(s)");
  vtkHoverWidget* vtk_pointer = GetVTKPointer<vtkHoverWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHoverWidget:IsA vtkHoverWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkHoverWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkHoverWidget requires 2 argument(s)");
  vtkHoverWidget* vtk_pointer = GetVTKPointer<vtkHoverWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHoverWidget:NewInstance vtkHoverWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkHoverWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHoverWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkHoverWidget requires 1 argument(s)");
  vtkHoverWidget* vtk_pointer = GetVTKPointer<vtkHoverWidget>(arg[0]);
  Array retval;
  vtkHoverWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHoverWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHoverWidget:SafeDownCast vtkHoverWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkHoverWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHoverWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkHoverWidget requires 2 argument(s)");
  vtkHoverWidget* vtk_pointer = GetVTKPointer<vtkHoverWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkHoverWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHoverWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkHoverWidget:SetTimerDuration vtkHoverWidgetSetTimerDurationFunction
//input a0 a1 
//output none
ArrayVector vtkHoverWidgetSetTimerDurationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimerDuration (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimerDuration for class vtkHoverWidget requires 2 argument(s)");
  vtkHoverWidget* vtk_pointer = GetVTKPointer<vtkHoverWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimerDuration(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHoverWidget:GetTimerDurationMinValue vtkHoverWidgetGetTimerDurationMinValueFunction
//input a0 
//output y
ArrayVector vtkHoverWidgetGetTimerDurationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimerDurationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimerDurationMinValue for class vtkHoverWidget requires 1 argument(s)");
  vtkHoverWidget* vtk_pointer = GetVTKPointer<vtkHoverWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTimerDurationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHoverWidget:GetTimerDurationMaxValue vtkHoverWidgetGetTimerDurationMaxValueFunction
//input a0 
//output y
ArrayVector vtkHoverWidgetGetTimerDurationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimerDurationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimerDurationMaxValue for class vtkHoverWidget requires 1 argument(s)");
  vtkHoverWidget* vtk_pointer = GetVTKPointer<vtkHoverWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTimerDurationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHoverWidget:GetTimerDuration vtkHoverWidgetGetTimerDurationFunction
//input a0 
//output y
ArrayVector vtkHoverWidgetGetTimerDurationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimerDuration (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimerDuration for class vtkHoverWidget requires 1 argument(s)");
  vtkHoverWidget* vtk_pointer = GetVTKPointer<vtkHoverWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTimerDuration();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkHoverWidget:SetEnabled vtkHoverWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkHoverWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkHoverWidget requires 2 argument(s)");
  vtkHoverWidget* vtk_pointer = GetVTKPointer<vtkHoverWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkHoverWidget:CreateDefaultRepresentation vtkHoverWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkHoverWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation ();this WidgetRep NULL  */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkHoverWidget requires 1 argument(s)");
  vtkHoverWidget* vtk_pointer = GetVTKPointer<vtkHoverWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkHoverWidget:display vtkHoverWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkHoverWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkHoverWidget* vtk_pointer = GetVTKPointer<vtkHoverWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkHoverWidget:delete vtkHoverWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkHoverWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkHoverWidget
//@@Section VTKWidgets
//@@Usage
// The vtkHoverWidget is used to invoke an event when hovering in a render window.
// Hovering occurs when mouse motion (in the render window) does not occur
// for a specified amount of time (i.e., TimerDuration). This class can be used
// as is (by observing TimerEvents) or for class derivation for those classes
// wishing to do more with the hover event.
// 
// To use this widget, specify an instance of vtkHoverWidget and specify the
// time (in milliseconds) defining the hover period. Unlike most widgets,
// this widget does not require a representation (although subclasses like
// vtkBalloonWidget do require a representation).
//
// .SECTION Event Bindings
// By default, the widget observes the following VTK events (i.e., it
// watches the vtkRenderWindowInteractor for these events):
// <pre>
//   MouseMoveEvent - manages a timer used to determine whether the mouse
//                    is hovering.
//   TimerEvent - when the time between events (e.g., mouse move), then a
//                timer event is invoked.
//   KeyPressEvent - when the "Enter" key is pressed after the balloon appears,
//                   a callback is activited (e.g., WidgetActivateEvent).
// </pre>
//
// Note that the event bindings described above can be changed using this
// class's vtkWidgetEventTranslator. This class translates VTK events 
// into the vtkHoverWidget's widget events:
// <pre>
//   vtkWidgetEvent::Move -- start (or reset) the timer
//   vtkWidgetEvent::TimedOut -- when enough time is elapsed between defined
//                               VTK events the hover event is invoked.
//   vtkWidgetEvent::SelectAction -- activate any callbacks associated 
//                                   with the balloon.
// </pre>
//
// This widget invokes the following VTK events on itself when the widget 
// determines that it is hovering. Note that observers of this widget can
// listen for these events and take appropriate action.
// <pre>
//   vtkCommand::TimerEvent (when hovering is determined to occur)
//   vtkCommand::EndInteractionEvent (after a hover has occured and the
//                                    mouse begins moving again).
//   vtkCommand::WidgetActivateEvent (when the balloon is selected with a
//                                    keypress).
// </pre>
//
//To create an instance of class vtkHoverWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkHoverWidget
//@]
//@@Methods
//The class vtkHoverWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkHoverWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for a VTK class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for a VTK class.
//// \item @|vtkHoverWidget = obj.NewInstance ()| -  Standard methods for a VTK class.
//// \item @|vtkHoverWidget = obj.SafeDownCast (vtkObject o)| -  Standard methods for a VTK class.
//// \item @|obj.SetTimerDuration (int )| -  Specify the hovering interval (in milliseconds). If after moving the
// mouse the pointer stays over a vtkProp for this duration, then a
// vtkTimerEvent::TimerEvent is invoked.
//// \item @|int = obj.GetTimerDurationMinValue ()| -  Specify the hovering interval (in milliseconds). If after moving the
// mouse the pointer stays over a vtkProp for this duration, then a
// vtkTimerEvent::TimerEvent is invoked.
//// \item @|int = obj.GetTimerDurationMaxValue ()| -  Specify the hovering interval (in milliseconds). If after moving the
// mouse the pointer stays over a vtkProp for this duration, then a
// vtkTimerEvent::TimerEvent is invoked.
//// \item @|int = obj.GetTimerDuration ()| -  Specify the hovering interval (in milliseconds). If after moving the
// mouse the pointer stays over a vtkProp for this duration, then a
// vtkTimerEvent::TimerEvent is invoked.
//// \item @|obj.SetEnabled (int )| -  The method for activiating and deactiviating this widget. This method
// must be overridden because it performs special timer-related operations.
//// \item @|obj.CreateDefaultRepresentation ()|
//\end{itemize}
//!
