#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageActorPointPlacer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageActorPointPlacer.h"

//@@Signature
//sfunction @vtkImageActorPointPlacer:vtkImageActorPointPlacer vtkImageActorPointPlacerConstructorFunction
//input a
//output p
//@@Parents vtkImageActorPointPlacer vtkPointPlacer 
ArrayVector vtkImageActorPointPlacerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageActorPointPlacer::New(),"vtkImageActorPointPlacer",eval);
  } else if (arg[0].className() == "vtkImageActorPointPlacer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageActorPointPlacer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageActorPointPlacer");
    vtkImageActorPointPlacer*q = reinterpret_cast<vtkImageActorPointPlacer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageActorPointPlacer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageActorPointPlacer:GetClassName vtkImageActorPointPlacerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageActorPointPlacerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageActorPointPlacer requires 1 argument(s)");
  vtkImageActorPointPlacer* vtk_pointer = GetVTKPointer<vtkImageActorPointPlacer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:IsA vtkImageActorPointPlacerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageActorPointPlacerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageActorPointPlacer requires 2 argument(s)");
  vtkImageActorPointPlacer* vtk_pointer = GetVTKPointer<vtkImageActorPointPlacer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:NewInstance vtkImageActorPointPlacerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageActorPointPlacerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageActorPointPlacer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageActorPointPlacer requires 1 argument(s)");
  vtkImageActorPointPlacer* vtk_pointer = GetVTKPointer<vtkImageActorPointPlacer>(arg[0]);
  Array retval;
  vtkImageActorPointPlacer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageActorPointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:SafeDownCast vtkImageActorPointPlacerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageActorPointPlacerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageActorPointPlacer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageActorPointPlacer requires 2 argument(s)");
  vtkImageActorPointPlacer* vtk_pointer = GetVTKPointer<vtkImageActorPointPlacer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageActorPointPlacer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageActorPointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:ComputeWorldPosition__1 vtkImageActorPointPlacerComputeWorldPosition__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkImageActorPointPlacerComputeWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 5) 
    throw Exception("Function ComputeWorldPosition__1 for class vtkImageActorPointPlacer requires 5 argument(s)");
  vtkImageActorPointPlacer* vtk_pointer = GetVTKPointer<vtkImageActorPointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  double temp2[3];
  double temp3[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeWorldPosition(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:ComputeWorldPosition__2 vtkImageActorPointPlacerComputeWorldPosition__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkImageActorPointPlacerComputeWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double refWorldPos[2], double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 6) 
    throw Exception("Function ComputeWorldPosition__2 for class vtkImageActorPointPlacer requires 6 argument(s)");
  vtkImageActorPointPlacer* vtk_pointer = GetVTKPointer<vtkImageActorPointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  double temp2[2];
  double temp3[3];
  double temp4[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[6].isVector() && arg[6].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[6].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !(arg[9].isVector() && arg[9].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[9].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:ValidateWorldPosition__1 vtkImageActorPointPlacerValidateWorldPosition__1Function
//input a0 a1 
//output y
ArrayVector vtkImageActorPointPlacerValidateWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ValidateWorldPosition (double worldPos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function ValidateWorldPosition__1 for class vtkImageActorPointPlacer requires 2 argument(s)");
  vtkImageActorPointPlacer* vtk_pointer = GetVTKPointer<vtkImageActorPointPlacer>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateWorldPosition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:ValidateWorldPosition__2 vtkImageActorPointPlacerValidateWorldPosition__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkImageActorPointPlacerValidateWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ValidateWorldPosition (double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 3) 
    throw Exception("Function ValidateWorldPosition__2 for class vtkImageActorPointPlacer requires 3 argument(s)");
  vtkImageActorPointPlacer* vtk_pointer = GetVTKPointer<vtkImageActorPointPlacer>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[9];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateWorldPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:UpdateWorldPosition vtkImageActorPointPlacerUpdateWorldPositionFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkImageActorPointPlacerUpdateWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int UpdateWorldPosition (vtkRenderer *ren, double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 4) 
    throw Exception("Function UpdateWorldPosition for class vtkImageActorPointPlacer requires 4 argument(s)");
  vtkImageActorPointPlacer* vtk_pointer = GetVTKPointer<vtkImageActorPointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[3];
  double temp2[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[5].isVector() && arg[5].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->UpdateWorldPosition(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:UpdateInternalState vtkImageActorPointPlacerUpdateInternalStateFunction
//input a0 
//output y
ArrayVector vtkImageActorPointPlacerUpdateInternalStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int UpdateInternalState (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateInternalState for class vtkImageActorPointPlacer requires 1 argument(s)");
  vtkImageActorPointPlacer* vtk_pointer = GetVTKPointer<vtkImageActorPointPlacer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->UpdateInternalState();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:SetImageActor vtkImageActorPointPlacerSetImageActorFunction
//input a0 a1 
//output none
ArrayVector vtkImageActorPointPlacerSetImageActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageActor (vtkImageActor *); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageActor for class vtkImageActorPointPlacer requires 2 argument(s)");
  vtkImageActorPointPlacer* vtk_pointer = GetVTKPointer<vtkImageActorPointPlacer>(arg[0]);
  Array retval;
  vtkImageActor  *temp0;
  temp0 = GetVTKPointer<vtkImageActor>(arg[1]);
  vtk_pointer->SetImageActor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:GetImageActor vtkImageActorPointPlacerGetImageActorFunction
//input a0 
//output y
ArrayVector vtkImageActorPointPlacerGetImageActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageActor *GetImageActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageActor for class vtkImageActorPointPlacer requires 1 argument(s)");
  vtkImageActorPointPlacer* vtk_pointer = GetVTKPointer<vtkImageActorPointPlacer>(arg[0]);
  Array retval;
  vtkImageActor  *temp20;
  temp20 = (vtk_pointer)->GetImageActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:SetBounds__1 vtkImageActorPointPlacerSetBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageActorPointPlacerSetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double , double , double , double , double , double ); */
  if (arg.size() < 7) 
    throw Exception("Function SetBounds__1 for class vtkImageActorPointPlacer requires 7 argument(s)");
  vtkImageActorPointPlacer* vtk_pointer = GetVTKPointer<vtkImageActorPointPlacer>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:SetBounds__2 vtkImageActorPointPlacerSetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkImageActorPointPlacerSetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBounds__2 for class vtkImageActorPointPlacer requires 2 argument(s)");
  vtkImageActorPointPlacer* vtk_pointer = GetVTKPointer<vtkImageActorPointPlacer>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:GetBounds vtkImageActorPointPlacerGetBoundsFunction
//input a0 
//output y
ArrayVector vtkImageActorPointPlacerGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds for class vtkImageActorPointPlacer requires 1 argument(s)");
  vtkImageActorPointPlacer* vtk_pointer = GetVTKPointer<vtkImageActorPointPlacer>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:SetWorldTolerance vtkImageActorPointPlacerSetWorldToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkImageActorPointPlacerSetWorldToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetWorldTolerance (double s); */
  if (arg.size() < 2) 
    throw Exception("Function SetWorldTolerance for class vtkImageActorPointPlacer requires 2 argument(s)");
  vtkImageActorPointPlacer* vtk_pointer = GetVTKPointer<vtkImageActorPointPlacer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetWorldTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:ComputeWorldPosition vtkImageActorPointPlacerComputeWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkImageActorPointPlacerComputeWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkImageActorPointPlacerComputeWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]))
    return vtkImageActorPointPlacerComputeWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageActorPointPlacerComputeWorldPosition");
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:ValidateWorldPosition vtkImageActorPointPlacerValidateWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkImageActorPointPlacerValidateWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageActorPointPlacerValidateWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkImageActorPointPlacerValidateWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageActorPointPlacerValidateWorldPosition");
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:SetBounds vtkImageActorPointPlacerSetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkImageActorPointPlacerSetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImageActorPointPlacerSetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageActorPointPlacerSetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageActorPointPlacerSetBounds");
}

//@@Signature
//sfunction @vtkImageActorPointPlacer:display vtkImageActorPointPlacerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageActorPointPlacerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageActorPointPlacer* vtk_pointer = GetVTKPointer<vtkImageActorPointPlacer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageActorPointPlacer:delete vtkImageActorPointPlacerDeleteFunction
//input varargin
//output none
ArrayVector vtkImageActorPointPlacerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageActorPointPlacer
//@@Section VTKWidgets
//@@Usage
// This PointPlacer is used to constrain the placement of points on the
// supplied image actor. Additionally, you may set bounds to restrict the 
// placement of the points. The placement of points will then be constrained 
// to lie not only on the ImageActor but also within the bounds specified. 
// If no bounds are specified, they may lie anywhere on the supplied ImageActor.
//
//To create an instance of class vtkImageActorPointPlacer, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageActorPointPlacer
//@]
//@@Methods
//The class vtkImageActorPointPlacer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageActorPointPlacer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkImageActorPointPlacer = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkImageActorPointPlacer = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|int = obj.ComputeWorldPosition (vtkRenderer ren, double displayPos[2], double worldPos[3], double worldOrient[9])| -  Given and renderer and a display position in pixels,
// find a world position and orientation. In this class
// an internal vtkBoundedPlanePointPlacer is used to compute
// the world position and orientation. The internal placer
// is set to use the plane of the image actor and the bounds
// of the image actor as the constraints for placing points.
//// \item @|int = obj.ComputeWorldPosition (vtkRenderer ren, double displayPos[2], double refWorldPos[2], double worldPos[3], double worldOrient[9])| -  This method is identical to the one above since the
// reference position is ignored by the bounded plane
// point placer.
//// \item @|int = obj.ValidateWorldPosition (double worldPos[3])| -  This method validates a world position by checking to see
// if the world position is valid according to the constraints
// of the internal placer (essentially - is this world position
// on the image?)
//// \item @|int = obj.ValidateWorldPosition (double worldPos[3], double worldOrient[9])| -  This method is identical to the one above since the bounded
// plane point placer ignores orientation
//// \item @|int = obj.UpdateWorldPosition (vtkRenderer ren, double worldPos[3], double worldOrient[9])| -  Update the world position and orientation according the
// the current constraints of the placer. Will be called
// by the representation when it notices that this placer
// has been modified.
//// \item @|int = obj.UpdateInternalState ()| -  A method for configuring the internal placer according
// to the constraints of the image actor.
// Called by the representation to give the placer a chance
// to update itself, which may cause the MTime to change,
// which would then cause the representation to update
// all of its points
//// \item @|obj.SetImageActor (vtkImageActor )| -  Set / get the reference vtkImageActor used to place the points.
// An image actor must be set for this placer to work. An internal
// bounded plane point placer is created and set to match the bounds
// of the displayed image.
//// \item @|vtkImageActor = obj.GetImageActor ()| -  Set / get the reference vtkImageActor used to place the points.
// An image actor must be set for this placer to work. An internal
// bounded plane point placer is created and set to match the bounds
// of the displayed image.
//// \item @|obj.SetBounds (double , double , double , double , double , double )| -  Optionally, you may set bounds to restrict the placement of the points.
// The placement of points will then be constrained to lie not only on
// the ImageActor but also within the bounds specified. If no bounds are
// specified, they may lie anywhere on the supplied ImageActor.
//// \item @|obj.SetBounds (double  a[6])| -  Optionally, you may set bounds to restrict the placement of the points.
// The placement of points will then be constrained to lie not only on
// the ImageActor but also within the bounds specified. If no bounds are
// specified, they may lie anywhere on the supplied ImageActor.
//// \item @|double = obj. GetBounds ()| -  Optionally, you may set bounds to restrict the placement of the points.
// The placement of points will then be constrained to lie not only on
// the ImageActor but also within the bounds specified. If no bounds are
// specified, they may lie anywhere on the supplied ImageActor.
//// \item @|obj.SetWorldTolerance (double s)| -  Set the world tolerance. This propagates it to the internal 
// BoundedPlanePointPlacer.
////\end{itemize}
//!
