#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageOrthoPlanes object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageOrthoPlanes.h"

//@@Signature
//sfunction @vtkImageOrthoPlanes:vtkImageOrthoPlanes vtkImageOrthoPlanesConstructorFunction
//input a
//output p
//@@Parents vtkImageOrthoPlanes vtkObject 
ArrayVector vtkImageOrthoPlanesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageOrthoPlanes::New(),"vtkImageOrthoPlanes",eval);
  } else if (arg[0].className() == "vtkImageOrthoPlanes") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageOrthoPlanes"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageOrthoPlanes");
    vtkImageOrthoPlanes*q = reinterpret_cast<vtkImageOrthoPlanes*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageOrthoPlanes");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageOrthoPlanes:GetClassName vtkImageOrthoPlanesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageOrthoPlanesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageOrthoPlanes requires 1 argument(s)");
  vtkImageOrthoPlanes* vtk_pointer = GetVTKPointer<vtkImageOrthoPlanes>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageOrthoPlanes:IsA vtkImageOrthoPlanesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageOrthoPlanesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageOrthoPlanes requires 2 argument(s)");
  vtkImageOrthoPlanes* vtk_pointer = GetVTKPointer<vtkImageOrthoPlanes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageOrthoPlanes:NewInstance vtkImageOrthoPlanesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageOrthoPlanesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageOrthoPlanes *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageOrthoPlanes requires 1 argument(s)");
  vtkImageOrthoPlanes* vtk_pointer = GetVTKPointer<vtkImageOrthoPlanes>(arg[0]);
  Array retval;
  vtkImageOrthoPlanes  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageOrthoPlanes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageOrthoPlanes:SafeDownCast vtkImageOrthoPlanesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageOrthoPlanesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageOrthoPlanes *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageOrthoPlanes requires 2 argument(s)");
  vtkImageOrthoPlanes* vtk_pointer = GetVTKPointer<vtkImageOrthoPlanes>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageOrthoPlanes  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageOrthoPlanes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageOrthoPlanes:SetPlane vtkImageOrthoPlanesSetPlaneFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageOrthoPlanesSetPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlane (int i, vtkImagePlaneWidget *imagePlaneWidget); */
  if (arg.size() < 3) 
    throw Exception("Function SetPlane for class vtkImageOrthoPlanes requires 3 argument(s)");
  vtkImageOrthoPlanes* vtk_pointer = GetVTKPointer<vtkImageOrthoPlanes>(arg[0]);
  Array retval;
  int      temp0;
  vtkImagePlaneWidget  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkImagePlaneWidget>(arg[2]);
  vtk_pointer->SetPlane(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageOrthoPlanes:GetPlane vtkImageOrthoPlanesGetPlaneFunction
//input a0 a1 
//output y
ArrayVector vtkImageOrthoPlanesGetPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImagePlaneWidget *GetPlane (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetPlane for class vtkImageOrthoPlanes requires 2 argument(s)");
  vtkImageOrthoPlanes* vtk_pointer = GetVTKPointer<vtkImageOrthoPlanes>(arg[0]);
  Array retval;
  int      temp0;
  vtkImagePlaneWidget  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPlane(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImagePlaneWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageOrthoPlanes:ResetPlanes vtkImageOrthoPlanesResetPlanesFunction
//input a0 
//output none
ArrayVector vtkImageOrthoPlanesResetPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResetPlanes (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetPlanes for class vtkImageOrthoPlanes requires 1 argument(s)");
  vtkImageOrthoPlanes* vtk_pointer = GetVTKPointer<vtkImageOrthoPlanes>(arg[0]);
  Array retval;
  vtk_pointer->ResetPlanes();
  return retval;
}

//@@Signature
//sfunction @vtkImageOrthoPlanes:GetTransform vtkImageOrthoPlanesGetTransformFunction
//input a0 
//output y
ArrayVector vtkImageOrthoPlanesGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransform *GetTransform ();return this Transform  */
  if (arg.size() < 1) 
    throw Exception("Function GetTransform for class vtkImageOrthoPlanes requires 1 argument(s)");
  vtkImageOrthoPlanes* vtk_pointer = GetVTKPointer<vtkImageOrthoPlanes>(arg[0]);
  Array retval;
  vtkTransform  *temp20;
  temp20 = (vtk_pointer)->GetTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageOrthoPlanes:HandlePlaneEvent vtkImageOrthoPlanesHandlePlaneEventFunction
//input a0 a1 
//output none
ArrayVector vtkImageOrthoPlanesHandlePlaneEventFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandlePlaneEvent (vtkImagePlaneWidget *imagePlaneWidget); */
  if (arg.size() < 2) 
    throw Exception("Function HandlePlaneEvent for class vtkImageOrthoPlanes requires 2 argument(s)");
  vtkImageOrthoPlanes* vtk_pointer = GetVTKPointer<vtkImageOrthoPlanes>(arg[0]);
  Array retval;
  vtkImagePlaneWidget  *temp0;
  temp0 = GetVTKPointer<vtkImagePlaneWidget>(arg[1]);
  vtk_pointer->HandlePlaneEvent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageOrthoPlanes:display vtkImageOrthoPlanesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageOrthoPlanesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageOrthoPlanes* vtk_pointer = GetVTKPointer<vtkImageOrthoPlanes>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageOrthoPlanes:delete vtkImageOrthoPlanesDeleteFunction
//input varargin
//output none
ArrayVector vtkImageOrthoPlanesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageOrthoPlanes
//@@Section VTKWidgets
//@@Usage
// vtkImageOrthoPlanes is an event observer class that listens to the
// events from three vtkImagePlaneWidgets and keeps their orientations
// and scales synchronized.
//
//To create an instance of class vtkImageOrthoPlanes, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageOrthoPlanes
//@]
//@@Methods
//The class vtkImageOrthoPlanes has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageOrthoPlanes class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageOrthoPlanes = obj.NewInstance ()|
// \item @|vtkImageOrthoPlanes = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPlane (int i, vtkImagePlaneWidget imagePlaneWidget)| -  You must set three planes for the widget.
//// \item @|vtkImagePlaneWidget = obj.GetPlane (int i)| -  You must set three planes for the widget.
//// \item @|obj.ResetPlanes ()| -  Reset the planes to original scale, rotation, and location.
//// \item @|vtkTransform = obj.GetTransform ()| -  Get the transform for the planes.
//// \item @|obj.HandlePlaneEvent (vtkImagePlaneWidget imagePlaneWidget)| -  A public method to be used only by the event callback.
////\end{itemize}
//!
