#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImagePlaneWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImagePlaneWidget.h"

//@@Signature
//sfunction @vtkImagePlaneWidget:vtkImagePlaneWidget vtkImagePlaneWidgetConstructorFunction
//input a
//output p
//@@Parents vtkImagePlaneWidget vtkPolyDataSourceWidget 
ArrayVector vtkImagePlaneWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImagePlaneWidget::New(),"vtkImagePlaneWidget",eval);
  } else if (arg[0].className() == "vtkImagePlaneWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImagePlaneWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImagePlaneWidget");
    vtkImagePlaneWidget*q = reinterpret_cast<vtkImagePlaneWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImagePlaneWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImagePlaneWidget:GetClassName vtkImagePlaneWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:IsA vtkImagePlaneWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImagePlaneWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:NewInstance vtkImagePlaneWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImagePlaneWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkImagePlaneWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImagePlaneWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SafeDownCast vtkImagePlaneWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImagePlaneWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImagePlaneWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImagePlaneWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImagePlaneWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetEnabled vtkImagePlaneWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:PlaceWidget__1 vtkImagePlaneWidgetPlaceWidget__1Function
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetPlaceWidget__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget__1 for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:PlaceWidget__2 vtkImagePlaneWidgetPlaceWidget__2Function
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetPlaceWidget__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget ();this Superclass PlaceWidget  */
  if (arg.size() < 1) 
    throw Exception("Function PlaceWidget__2 for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->PlaceWidget();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:PlaceWidget__3 vtkImagePlaneWidgetPlaceWidget__3Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImagePlaneWidgetPlaceWidget__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax  */
  if (arg.size() < 7) 
    throw Exception("Function PlaceWidget__3 for class vtkImagePlaneWidget requires 7 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetInput vtkImagePlaneWidgetSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataSet *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetOrigin__1 vtkImagePlaneWidgetSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImagePlaneWidgetSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkImagePlaneWidget requires 4 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetOrigin__2 vtkImagePlaneWidgetSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetOrigin__1 vtkImagePlaneWidgetGetOrigin__1Function
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin__1 for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetOrigin__2 vtkImagePlaneWidgetGetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetGetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetOrigin (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetOrigin__2 for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetPoint1__1 vtkImagePlaneWidgetSetPoint1__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImagePlaneWidgetSetPoint1__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1 (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint1__1 for class vtkImagePlaneWidget requires 4 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint1(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetPoint1__2 vtkImagePlaneWidgetSetPoint1__2Function
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetPoint1__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1 (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1__2 for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetPoint1__1 vtkImagePlaneWidgetGetPoint1__1Function
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetPoint1__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPoint1 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1__1 for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint1();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetPoint1__2 vtkImagePlaneWidgetGetPoint1__2Function
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetGetPoint1__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint1 (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint1__2 for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetPoint2__1 vtkImagePlaneWidgetSetPoint2__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImagePlaneWidgetSetPoint2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2 (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint2__1 for class vtkImagePlaneWidget requires 4 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint2(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetPoint2__2 vtkImagePlaneWidgetSetPoint2__2Function
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetPoint2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2 (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2__2 for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetPoint2__1 vtkImagePlaneWidgetGetPoint2__1Function
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetPoint2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPoint2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2__1 for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint2();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetPoint2__2 vtkImagePlaneWidgetGetPoint2__2Function
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetGetPoint2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint2 (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint2__2 for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetCenter__1 vtkImagePlaneWidgetGetCenter__1Function
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter__1 for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetCenter__2 vtkImagePlaneWidgetGetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetGetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCenter (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetCenter__2 for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetNormal__1 vtkImagePlaneWidgetGetNormal__1Function
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormal__1 for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetNormal();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetNormal__2 vtkImagePlaneWidgetGetNormal__2Function
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetGetNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetNormal (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetNormal__2 for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetVector1 vtkImagePlaneWidgetGetVector1Function
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetGetVector1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetVector1 (double v1[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetVector1 for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetVector1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetVector2 vtkImagePlaneWidgetGetVector2Function
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetGetVector2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetVector2 (double v2[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetVector2 for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetVector2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetSliceIndex vtkImagePlaneWidgetGetSliceIndexFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetSliceIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSliceIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSliceIndex for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSliceIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetSliceIndex vtkImagePlaneWidgetSetSliceIndexFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetSliceIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSliceIndex (int index); */
  if (arg.size() < 2) 
    throw Exception("Function SetSliceIndex for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSliceIndex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetSlicePosition vtkImagePlaneWidgetGetSlicePositionFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetSlicePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSlicePosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSlicePosition for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSlicePosition();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetSlicePosition vtkImagePlaneWidgetSetSlicePositionFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetSlicePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSlicePosition (double position); */
  if (arg.size() < 2) 
    throw Exception("Function SetSlicePosition for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSlicePosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetResliceInterpolate vtkImagePlaneWidgetSetResliceInterpolateFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetResliceInterpolateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResliceInterpolate (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetResliceInterpolate for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetResliceInterpolate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetResliceInterpolate vtkImagePlaneWidgetGetResliceInterpolateFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetResliceInterpolateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResliceInterpolate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResliceInterpolate for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResliceInterpolate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetResliceInterpolateToNearestNeighbour vtkImagePlaneWidgetSetResliceInterpolateToNearestNeighbourFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetSetResliceInterpolateToNearestNeighbourFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResliceInterpolateToNearestNeighbour ();this SetResliceInterpolate VTK_NEAREST_RESLICE  */
  if (arg.size() < 1) 
    throw Exception("Function SetResliceInterpolateToNearestNeighbour for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetResliceInterpolateToNearestNeighbour();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetResliceInterpolateToLinear vtkImagePlaneWidgetSetResliceInterpolateToLinearFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetSetResliceInterpolateToLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResliceInterpolateToLinear ();this SetResliceInterpolate VTK_LINEAR_RESLICE  */
  if (arg.size() < 1) 
    throw Exception("Function SetResliceInterpolateToLinear for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetResliceInterpolateToLinear();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetResliceInterpolateToCubic vtkImagePlaneWidgetSetResliceInterpolateToCubicFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetSetResliceInterpolateToCubicFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResliceInterpolateToCubic ();this SetResliceInterpolate VTK_CUBIC_RESLICE  */
  if (arg.size() < 1) 
    throw Exception("Function SetResliceInterpolateToCubic for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetResliceInterpolateToCubic();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetResliceOutput vtkImagePlaneWidgetGetResliceOutputFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetResliceOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetResliceOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResliceOutput for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetResliceOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetRestrictPlaneToVolume vtkImagePlaneWidgetSetRestrictPlaneToVolumeFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetRestrictPlaneToVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRestrictPlaneToVolume (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRestrictPlaneToVolume for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRestrictPlaneToVolume(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetRestrictPlaneToVolume vtkImagePlaneWidgetGetRestrictPlaneToVolumeFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetRestrictPlaneToVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRestrictPlaneToVolume (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRestrictPlaneToVolume for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRestrictPlaneToVolume();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:RestrictPlaneToVolumeOn vtkImagePlaneWidgetRestrictPlaneToVolumeOnFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetRestrictPlaneToVolumeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RestrictPlaneToVolumeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RestrictPlaneToVolumeOn for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->RestrictPlaneToVolumeOn();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:RestrictPlaneToVolumeOff vtkImagePlaneWidgetRestrictPlaneToVolumeOffFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetRestrictPlaneToVolumeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RestrictPlaneToVolumeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RestrictPlaneToVolumeOff for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->RestrictPlaneToVolumeOff();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetUserControlledLookupTable vtkImagePlaneWidgetSetUserControlledLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetUserControlledLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUserControlledLookupTable (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUserControlledLookupTable for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUserControlledLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetUserControlledLookupTable vtkImagePlaneWidgetGetUserControlledLookupTableFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetUserControlledLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUserControlledLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUserControlledLookupTable for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUserControlledLookupTable();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:UserControlledLookupTableOn vtkImagePlaneWidgetUserControlledLookupTableOnFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetUserControlledLookupTableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UserControlledLookupTableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UserControlledLookupTableOn for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->UserControlledLookupTableOn();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:UserControlledLookupTableOff vtkImagePlaneWidgetUserControlledLookupTableOffFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetUserControlledLookupTableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UserControlledLookupTableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UserControlledLookupTableOff for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->UserControlledLookupTableOff();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetTextureInterpolate vtkImagePlaneWidgetSetTextureInterpolateFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetTextureInterpolateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureInterpolate (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextureInterpolate for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTextureInterpolate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetTextureInterpolate vtkImagePlaneWidgetGetTextureInterpolateFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetTextureInterpolateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextureInterpolate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureInterpolate for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextureInterpolate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:TextureInterpolateOn vtkImagePlaneWidgetTextureInterpolateOnFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetTextureInterpolateOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TextureInterpolateOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TextureInterpolateOn for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->TextureInterpolateOn();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:TextureInterpolateOff vtkImagePlaneWidgetTextureInterpolateOffFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetTextureInterpolateOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TextureInterpolateOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TextureInterpolateOff for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->TextureInterpolateOff();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetTextureVisibility vtkImagePlaneWidgetSetTextureVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetTextureVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTextureVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextureVisibility for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTextureVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetTextureVisibility vtkImagePlaneWidgetGetTextureVisibilityFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetTextureVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextureVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureVisibility for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextureVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:TextureVisibilityOn vtkImagePlaneWidgetTextureVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetTextureVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TextureVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TextureVisibilityOn for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->TextureVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:TextureVisibilityOff vtkImagePlaneWidgetTextureVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetTextureVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TextureVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TextureVisibilityOff for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->TextureVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetPolyData vtkImagePlaneWidgetGetPolyDataFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetGetPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPolyData (vtkPolyData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function GetPolyData for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->GetPolyData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetPolyDataAlgorithm vtkImagePlaneWidgetGetPolyDataAlgorithmFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetPolyDataAlgorithmFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataAlgorithm *GetPolyDataAlgorithm (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolyDataAlgorithm for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkPolyDataAlgorithm  *temp20;
  temp20 = (vtk_pointer)->GetPolyDataAlgorithm();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:UpdatePlacement vtkImagePlaneWidgetUpdatePlacementFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetUpdatePlacementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UpdatePlacement (void ); */
  if (arg.size() < 1) 
    throw Exception("Function UpdatePlacement for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->UpdatePlacement();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetTexture vtkImagePlaneWidgetGetTextureFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTexture *GetTexture (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTexture for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkTexture  *temp20;
  temp20 = (vtk_pointer)->GetTexture();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetColorMap vtkImagePlaneWidgetGetColorMapFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetColorMapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMapToColors *GetColorMap (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorMap for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkImageMapToColors  *temp20;
  temp20 = (vtk_pointer)->GetColorMap();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMapToColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetColorMap vtkImagePlaneWidgetSetColorMapFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetColorMapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetColorMap (vtkImageMapToColors *); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorMap for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkImageMapToColors  *temp0;
  temp0 = GetVTKPointer<vtkImageMapToColors>(arg[1]);
  vtk_pointer->SetColorMap(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetPlaneProperty vtkImagePlaneWidgetSetPlanePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetPlanePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPlaneProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlaneProperty for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetPlaneProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetPlaneProperty vtkImagePlaneWidgetGetPlanePropertyFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetPlanePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetPlaneProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlaneProperty for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetPlaneProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetSelectedPlaneProperty vtkImagePlaneWidgetSetSelectedPlanePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetSelectedPlanePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSelectedPlaneProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedPlaneProperty for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetSelectedPlaneProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetSelectedPlaneProperty vtkImagePlaneWidgetGetSelectedPlanePropertyFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetSelectedPlanePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedPlaneProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedPlaneProperty for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedPlaneProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetPlaneOrientation vtkImagePlaneWidgetSetPlaneOrientationFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetPlaneOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaneOrientation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlaneOrientation for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPlaneOrientation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetPlaneOrientation vtkImagePlaneWidgetGetPlaneOrientationFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetPlaneOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPlaneOrientation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlaneOrientation for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPlaneOrientation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetPlaneOrientationToXAxes vtkImagePlaneWidgetSetPlaneOrientationToXAxesFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetSetPlaneOrientationToXAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaneOrientationToXAxes ();this SetPlaneOrientation  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlaneOrientationToXAxes for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetPlaneOrientationToXAxes();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetPlaneOrientationToYAxes vtkImagePlaneWidgetSetPlaneOrientationToYAxesFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetSetPlaneOrientationToYAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaneOrientationToYAxes ();this SetPlaneOrientation  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlaneOrientationToYAxes for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetPlaneOrientationToYAxes();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetPlaneOrientationToZAxes vtkImagePlaneWidgetSetPlaneOrientationToZAxesFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetSetPlaneOrientationToZAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaneOrientationToZAxes ();this SetPlaneOrientation  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlaneOrientationToZAxes for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetPlaneOrientationToZAxes();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetPicker vtkImagePlaneWidgetSetPickerFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetPickerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPicker (vtkAbstractPropPicker *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPicker for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkAbstractPropPicker  *temp0;
  temp0 = GetVTKPointer<vtkAbstractPropPicker>(arg[1]);
  vtk_pointer->SetPicker(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetLookupTable vtkImagePlaneWidgetSetLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLookupTable (vtkLookupTable *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLookupTable for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkLookupTable  *temp0;
  temp0 = GetVTKPointer<vtkLookupTable>(arg[1]);
  vtk_pointer->SetLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetLookupTable vtkImagePlaneWidgetGetLookupTableFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLookupTable *GetLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLookupTable for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkLookupTable  *temp20;
  temp20 = (vtk_pointer)->GetLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLookupTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetDisplayText vtkImagePlaneWidgetSetDisplayTextFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetDisplayTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisplayText (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplayText for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDisplayText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetDisplayText vtkImagePlaneWidgetGetDisplayTextFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetDisplayTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDisplayText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplayText for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDisplayText();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:DisplayTextOn vtkImagePlaneWidgetDisplayTextOnFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetDisplayTextOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisplayTextOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DisplayTextOn for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->DisplayTextOn();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:DisplayTextOff vtkImagePlaneWidgetDisplayTextOffFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetDisplayTextOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisplayTextOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DisplayTextOff for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->DisplayTextOff();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetCursorProperty vtkImagePlaneWidgetSetCursorPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetCursorPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCursorProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCursorProperty for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetCursorProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetCursorProperty vtkImagePlaneWidgetGetCursorPropertyFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetCursorPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetCursorProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorProperty for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetCursorProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetMarginProperty vtkImagePlaneWidgetSetMarginPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetMarginPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetMarginProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetMarginProperty for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetMarginProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetMarginProperty vtkImagePlaneWidgetGetMarginPropertyFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetMarginPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetMarginProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMarginProperty for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetMarginProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetMarginSizeX vtkImagePlaneWidgetSetMarginSizeXFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetMarginSizeXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMarginSizeX (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMarginSizeX for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMarginSizeX(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetMarginSizeXMinValue vtkImagePlaneWidgetGetMarginSizeXMinValueFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetMarginSizeXMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMarginSizeXMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMarginSizeXMinValue for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMarginSizeXMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetMarginSizeXMaxValue vtkImagePlaneWidgetGetMarginSizeXMaxValueFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetMarginSizeXMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMarginSizeXMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMarginSizeXMaxValue for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMarginSizeXMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetMarginSizeX vtkImagePlaneWidgetGetMarginSizeXFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetMarginSizeXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMarginSizeX (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMarginSizeX for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMarginSizeX();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetMarginSizeY vtkImagePlaneWidgetSetMarginSizeYFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetMarginSizeYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMarginSizeY (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMarginSizeY for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMarginSizeY(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetMarginSizeYMinValue vtkImagePlaneWidgetGetMarginSizeYMinValueFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetMarginSizeYMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMarginSizeYMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMarginSizeYMinValue for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMarginSizeYMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetMarginSizeYMaxValue vtkImagePlaneWidgetGetMarginSizeYMaxValueFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetMarginSizeYMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMarginSizeYMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMarginSizeYMaxValue for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMarginSizeYMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetMarginSizeY vtkImagePlaneWidgetGetMarginSizeYFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetMarginSizeYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMarginSizeY (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMarginSizeY for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMarginSizeY();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetTextProperty vtkImagePlaneWidgetSetTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextProperty (vtkTextProperty *tprop); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextProperty for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetTextProperty vtkImagePlaneWidgetGetTextPropertyFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextProperty for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetTexturePlaneProperty vtkImagePlaneWidgetSetTexturePlanePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetTexturePlanePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTexturePlaneProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTexturePlaneProperty for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetTexturePlaneProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetTexturePlaneProperty vtkImagePlaneWidgetGetTexturePlanePropertyFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetTexturePlanePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetTexturePlaneProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTexturePlaneProperty for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetTexturePlaneProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetWindowLevel vtkImagePlaneWidgetSetWindowLevelFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImagePlaneWidgetSetWindowLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWindowLevel (double window, double level, int copy); */
  if (arg.size() < 4) 
    throw Exception("Function SetWindowLevel for class vtkImagePlaneWidget requires 4 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetWindowLevel(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetWindowLevel vtkImagePlaneWidgetGetWindowLevelFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetGetWindowLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetWindowLevel (double wl[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetWindowLevel for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetWindowLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetWindow vtkImagePlaneWidgetGetWindowFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetWindowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWindow ();return this CurrentWindow  */
  if (arg.size() < 1) 
    throw Exception("Function GetWindow for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWindow();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetLevel vtkImagePlaneWidgetGetLevelFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLevel ();return this CurrentLevel  */
  if (arg.size() < 1) 
    throw Exception("Function GetLevel for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetCursorData vtkImagePlaneWidgetGetCursorDataFunction
//input a0 a1 
//output y
ArrayVector vtkImagePlaneWidgetGetCursorDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCursorData (double xyzv[4]); */
  if (arg.size() < 2) 
    throw Exception("Function GetCursorData for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double temp0[4];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetCursorData(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetCursorDataStatus vtkImagePlaneWidgetGetCursorDataStatusFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetCursorDataStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCursorDataStatus (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorDataStatus for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCursorDataStatus();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetCurrentCursorPosition vtkImagePlaneWidgetGetCurrentCursorPositionFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetCurrentCursorPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCurrentCursorPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentCursorPosition for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCurrentCursorPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetCurrentImageValue vtkImagePlaneWidgetGetCurrentImageValueFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetCurrentImageValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCurrentImageValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentImageValue for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCurrentImageValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetUseContinuousCursor vtkImagePlaneWidgetSetUseContinuousCursorFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetUseContinuousCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseContinuousCursor (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseContinuousCursor for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseContinuousCursor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetUseContinuousCursor vtkImagePlaneWidgetGetUseContinuousCursorFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetUseContinuousCursorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseContinuousCursor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseContinuousCursor for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseContinuousCursor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:UseContinuousCursorOn vtkImagePlaneWidgetUseContinuousCursorOnFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetUseContinuousCursorOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseContinuousCursorOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseContinuousCursorOn for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->UseContinuousCursorOn();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:UseContinuousCursorOff vtkImagePlaneWidgetUseContinuousCursorOffFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetUseContinuousCursorOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseContinuousCursorOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseContinuousCursorOff for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->UseContinuousCursorOff();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetInteraction vtkImagePlaneWidgetSetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInteraction (int interact); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteraction for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetInteraction vtkImagePlaneWidgetGetInteractionFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInteraction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteraction for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInteraction();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:InteractionOn vtkImagePlaneWidgetInteractionOnFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetInteractionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InteractionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InteractionOn for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->InteractionOn();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:InteractionOff vtkImagePlaneWidgetInteractionOffFunction
//input a0 
//output none
ArrayVector vtkImagePlaneWidgetInteractionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InteractionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InteractionOff for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->InteractionOff();
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetLeftButtonAction vtkImagePlaneWidgetSetLeftButtonActionFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetLeftButtonActionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLeftButtonAction (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLeftButtonAction for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLeftButtonAction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetLeftButtonActionMinValue vtkImagePlaneWidgetGetLeftButtonActionMinValueFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetLeftButtonActionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeftButtonActionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftButtonActionMinValue for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeftButtonActionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetLeftButtonActionMaxValue vtkImagePlaneWidgetGetLeftButtonActionMaxValueFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetLeftButtonActionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeftButtonActionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftButtonActionMaxValue for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeftButtonActionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetLeftButtonAction vtkImagePlaneWidgetGetLeftButtonActionFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetLeftButtonActionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeftButtonAction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftButtonAction for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeftButtonAction();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetMiddleButtonAction vtkImagePlaneWidgetSetMiddleButtonActionFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetMiddleButtonActionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMiddleButtonAction (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMiddleButtonAction for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMiddleButtonAction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetMiddleButtonActionMinValue vtkImagePlaneWidgetGetMiddleButtonActionMinValueFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetMiddleButtonActionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMiddleButtonActionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMiddleButtonActionMinValue for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMiddleButtonActionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetMiddleButtonActionMaxValue vtkImagePlaneWidgetGetMiddleButtonActionMaxValueFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetMiddleButtonActionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMiddleButtonActionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMiddleButtonActionMaxValue for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMiddleButtonActionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetMiddleButtonAction vtkImagePlaneWidgetGetMiddleButtonActionFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetMiddleButtonActionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMiddleButtonAction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMiddleButtonAction for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMiddleButtonAction();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetRightButtonAction vtkImagePlaneWidgetSetRightButtonActionFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetRightButtonActionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRightButtonAction (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRightButtonAction for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRightButtonAction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetRightButtonActionMinValue vtkImagePlaneWidgetGetRightButtonActionMinValueFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetRightButtonActionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRightButtonActionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightButtonActionMinValue for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRightButtonActionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetRightButtonActionMaxValue vtkImagePlaneWidgetGetRightButtonActionMaxValueFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetRightButtonActionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRightButtonActionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightButtonActionMaxValue for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRightButtonActionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetRightButtonAction vtkImagePlaneWidgetGetRightButtonActionFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetRightButtonActionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRightButtonAction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightButtonAction for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRightButtonAction();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetLeftButtonAutoModifier vtkImagePlaneWidgetSetLeftButtonAutoModifierFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetLeftButtonAutoModifierFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLeftButtonAutoModifier (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLeftButtonAutoModifier for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLeftButtonAutoModifier(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetLeftButtonAutoModifierMinValue vtkImagePlaneWidgetGetLeftButtonAutoModifierMinValueFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetLeftButtonAutoModifierMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeftButtonAutoModifierMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftButtonAutoModifierMinValue for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeftButtonAutoModifierMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetLeftButtonAutoModifierMaxValue vtkImagePlaneWidgetGetLeftButtonAutoModifierMaxValueFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetLeftButtonAutoModifierMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeftButtonAutoModifierMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftButtonAutoModifierMaxValue for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeftButtonAutoModifierMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetLeftButtonAutoModifier vtkImagePlaneWidgetGetLeftButtonAutoModifierFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetLeftButtonAutoModifierFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeftButtonAutoModifier (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftButtonAutoModifier for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeftButtonAutoModifier();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetMiddleButtonAutoModifier vtkImagePlaneWidgetSetMiddleButtonAutoModifierFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetMiddleButtonAutoModifierFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMiddleButtonAutoModifier (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMiddleButtonAutoModifier for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMiddleButtonAutoModifier(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetMiddleButtonAutoModifierMinValue vtkImagePlaneWidgetGetMiddleButtonAutoModifierMinValueFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetMiddleButtonAutoModifierMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMiddleButtonAutoModifierMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMiddleButtonAutoModifierMinValue for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMiddleButtonAutoModifierMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetMiddleButtonAutoModifierMaxValue vtkImagePlaneWidgetGetMiddleButtonAutoModifierMaxValueFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetMiddleButtonAutoModifierMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMiddleButtonAutoModifierMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMiddleButtonAutoModifierMaxValue for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMiddleButtonAutoModifierMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetMiddleButtonAutoModifier vtkImagePlaneWidgetGetMiddleButtonAutoModifierFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetMiddleButtonAutoModifierFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMiddleButtonAutoModifier (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMiddleButtonAutoModifier for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMiddleButtonAutoModifier();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetRightButtonAutoModifier vtkImagePlaneWidgetSetRightButtonAutoModifierFunction
//input a0 a1 
//output none
ArrayVector vtkImagePlaneWidgetSetRightButtonAutoModifierFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRightButtonAutoModifier (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRightButtonAutoModifier for class vtkImagePlaneWidget requires 2 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRightButtonAutoModifier(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetRightButtonAutoModifierMinValue vtkImagePlaneWidgetGetRightButtonAutoModifierMinValueFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetRightButtonAutoModifierMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRightButtonAutoModifierMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightButtonAutoModifierMinValue for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRightButtonAutoModifierMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetRightButtonAutoModifierMaxValue vtkImagePlaneWidgetGetRightButtonAutoModifierMaxValueFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetRightButtonAutoModifierMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRightButtonAutoModifierMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightButtonAutoModifierMaxValue for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRightButtonAutoModifierMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetRightButtonAutoModifier vtkImagePlaneWidgetGetRightButtonAutoModifierFunction
//input a0 
//output y
ArrayVector vtkImagePlaneWidgetGetRightButtonAutoModifierFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRightButtonAutoModifier (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightButtonAutoModifier for class vtkImagePlaneWidget requires 1 argument(s)");
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRightButtonAutoModifier();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePlaneWidget:PlaceWidget vtkImagePlaneWidgetPlaceWidgetFunction
//input varargin
//output varargout
ArrayVector vtkImagePlaneWidgetPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImagePlaneWidgetPlaceWidget__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkImagePlaneWidgetPlaceWidget__2Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImagePlaneWidgetPlaceWidget__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImagePlaneWidgetPlaceWidget");
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetOrigin vtkImagePlaneWidgetSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkImagePlaneWidgetSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImagePlaneWidgetSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImagePlaneWidgetSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImagePlaneWidgetSetOrigin");
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetOrigin vtkImagePlaneWidgetGetOriginFunction
//input varargin
//output varargout
ArrayVector vtkImagePlaneWidgetGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImagePlaneWidgetGetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImagePlaneWidgetGetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImagePlaneWidgetGetOrigin");
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetPoint1 vtkImagePlaneWidgetSetPoint1Function
//input varargin
//output varargout
ArrayVector vtkImagePlaneWidgetSetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImagePlaneWidgetSetPoint1__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImagePlaneWidgetSetPoint1__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImagePlaneWidgetSetPoint1");
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetPoint1 vtkImagePlaneWidgetGetPoint1Function
//input varargin
//output varargout
ArrayVector vtkImagePlaneWidgetGetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImagePlaneWidgetGetPoint1__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImagePlaneWidgetGetPoint1__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImagePlaneWidgetGetPoint1");
}

//@@Signature
//sfunction @vtkImagePlaneWidget:SetPoint2 vtkImagePlaneWidgetSetPoint2Function
//input varargin
//output varargout
ArrayVector vtkImagePlaneWidgetSetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImagePlaneWidgetSetPoint2__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImagePlaneWidgetSetPoint2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImagePlaneWidgetSetPoint2");
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetPoint2 vtkImagePlaneWidgetGetPoint2Function
//input varargin
//output varargout
ArrayVector vtkImagePlaneWidgetGetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImagePlaneWidgetGetPoint2__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImagePlaneWidgetGetPoint2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImagePlaneWidgetGetPoint2");
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetCenter vtkImagePlaneWidgetGetCenterFunction
//input varargin
//output varargout
ArrayVector vtkImagePlaneWidgetGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImagePlaneWidgetGetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImagePlaneWidgetGetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImagePlaneWidgetGetCenter");
}

//@@Signature
//sfunction @vtkImagePlaneWidget:GetNormal vtkImagePlaneWidgetGetNormalFunction
//input varargin
//output varargout
ArrayVector vtkImagePlaneWidgetGetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImagePlaneWidgetGetNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImagePlaneWidgetGetNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImagePlaneWidgetGetNormal");
}

//@@Signature
//sfunction @vtkImagePlaneWidget:display vtkImagePlaneWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImagePlaneWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImagePlaneWidget* vtk_pointer = GetVTKPointer<vtkImagePlaneWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImagePlaneWidget:delete vtkImagePlaneWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkImagePlaneWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImagePlaneWidget
//@@Section VTKWidgets
//@@Usage
// This 3D widget defines a plane that can be interactively placed in an
// image volume. A nice feature of the object is that the
// vtkImagePlaneWidget, like any 3D widget, will work with the current
// interactor style. That is, if vtkImagePlaneWidget does not handle an
// event, then all other registered observers (including the interactor
// style) have an opportunity to process the event. Otherwise, the
// vtkImagePlaneWidget will terminate the processing of the event that it
// handles.
//
// The core functionality of the widget is provided by a vtkImageReslice
// object which passes its output onto a texture mapping pipeline for fast
// slicing through volumetric data. See the key methods: GenerateTexturePlane()
// and UpdatePlane() for implementation details.
//
// To use this object, just invoke SetInteractor() with the argument of the
// method a vtkRenderWindowInteractor.  You may also wish to invoke
// "PlaceWidget()" to initially position the widget. If the "i" key (for
// "interactor") is pressed, the vtkImagePlaneWidget will appear. (See
// superclass documentation for information about changing this behavior.)
//
// Selecting the widget with the middle mouse button with and without holding
// the shift or control keys enables complex reslicing capablilites.
// To facilitate use, a set of 'margins' (left, right, top, bottom) are shown as
// a set of plane-axes aligned lines, the properties of which can be changed
// as a group.
// Without keyboard modifiers: selecting in the middle of the margins
// enables translation of the plane along its normal. Selecting one of the
// corners within the margins enables spinning around the plane's normal at its
// center.  Selecting within a margin allows rotating about the center of the
// plane around an axis aligned with the margin (i.e., selecting left margin
// enables rotating around the plane's local y-prime axis).
// With control key modifier: margin selection enables edge translation (i.e., a
// constrained form of scaling). Selecting within the margins enables
// translation of the entire plane.
// With shift key modifier: uniform plane scaling is enabled.  Moving the mouse
// up enlarges the plane while downward movement shrinks it.
//
// Window-level is achieved by using the right mouse button.  Window-level
// values can be reset by shift + 'r' or control + 'r' while regular reset
// camera is maintained with 'r' or 'R'.
// The left mouse button can be used to query the underlying image data
// with a snap-to cross-hair cursor.  Currently, the nearest point in the input
// image data to the mouse cursor generates the cross-hairs.  With oblique
// slicing, this behaviour may appear unsatisfactory. Text display of
// window-level and image coordinates/data values are provided by a text
// actor/mapper pair.
//
// Events that occur outside of the widget (i.e., no part of the widget is
// picked) are propagated to any other registered obsevers (such as the
// interaction style). Turn off the widget by pressing the "i" key again
// (or invoke the Off() method). To support interactive manipulation of
// objects, this class invokes the events StartInteractionEvent,
// InteractionEvent, and EndInteractionEvent as well as StartWindowLevelEvent,
// WindowLevelEvent, EndWindowLevelEvent and ResetWindowLevelEvent.
//
// The vtkImagePlaneWidget has several methods that can be used in
// conjunction with other VTK objects. The GetPolyData() method can be used
// to get the polygonal representation of the plane and can be used as input
// for other VTK objects. Typical usage of the widget is to make use of the
// StartInteractionEvent, InteractionEvent, and EndInteractionEvent
// events. The InteractionEvent is called on mouse motion; the other two
// events are called on button down and button up (either left or right
// button).
//
// Some additional features of this class include the ability to control the
// properties of the widget. You can set the properties of: the selected and
// unselected representations of the plane's outline; the text actor via its
// vtkTextProperty; the cross-hair cursor. In addition there are methods to
// constrain the plane so that it is aligned along the x-y-z axes.  Finally,
// one can specify the degree of interpolation (vtkImageReslice): nearest
// neighbour, linear, and cubic.
//
//To create an instance of class vtkImagePlaneWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkImagePlaneWidget
//@]
//@@Methods
//The class vtkImagePlaneWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImagePlaneWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImagePlaneWidget = obj.NewInstance ()|
// \item @|vtkImagePlaneWidget = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetEnabled (int )| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double bounds[6])| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget ()| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  Set the vtkImageData* input for the vtkImageReslice.
//// \item @|obj.SetInput (vtkDataSet input)| -  Set the vtkImageData* input for the vtkImageReslice.
//// \item @|obj.SetOrigin (double x, double y, double z)| -  Set/Get the origin of the plane.
//// \item @|obj.SetOrigin (double xyz[3])| -  Set/Get the origin of the plane.
//// \item @|double = obj.GetOrigin ()| -  Set/Get the origin of the plane.
//// \item @|obj.GetOrigin (double xyz[3])| -  Set/Get the origin of the plane.
//// \item @|obj.SetPoint1 (double x, double y, double z)| -  Set/Get the position of the point defining the first axis of the plane.
//// \item @|obj.SetPoint1 (double xyz[3])| -  Set/Get the position of the point defining the first axis of the plane.
//// \item @|double = obj.GetPoint1 ()| -  Set/Get the position of the point defining the first axis of the plane.
//// \item @|obj.GetPoint1 (double xyz[3])| -  Set/Get the position of the point defining the first axis of the plane.
//// \item @|obj.SetPoint2 (double x, double y, double z)| -  Set/Get the position of the point defining the second axis of the plane.
//// \item @|obj.SetPoint2 (double xyz[3])| -  Set/Get the position of the point defining the second axis of the plane.
//// \item @|double = obj.GetPoint2 ()| -  Set/Get the position of the point defining the second axis of the plane.
//// \item @|obj.GetPoint2 (double xyz[3])| -  Set/Get the position of the point defining the second axis of the plane.
//// \item @|double = obj.GetCenter ()| -  Get the center of the plane.
//// \item @|obj.GetCenter (double xyz[3])| -  Get the center of the plane.
//// \item @|double = obj.GetNormal ()| -  Get the normal to the plane.
//// \item @|obj.GetNormal (double xyz[3])| -  Get the normal to the plane.
//// \item @|obj.GetVector1 (double v1[3])| -  Get the vector from the plane origin to point1.
//// \item @|obj.GetVector2 (double v2[3])| -  Get the vector from the plane origin to point2.
//// \item @|int = obj.GetSliceIndex ()| -  Get the slice position in terms of the data extent.
//// \item @|obj.SetSliceIndex (int index)| -  Set the slice position in terms of the data extent.
//// \item @|double = obj.GetSlicePosition ()| -  Get the position of the slice along its normal.
//// \item @|obj.SetSlicePosition (double position)| -  Set the position of the slice along its normal.
//// \item @|obj.SetResliceInterpolate (int )| -  Set the interpolation to use when texturing the plane.
//// \item @|int = obj.GetResliceInterpolate ()| -  Set the interpolation to use when texturing the plane.
//// \item @|obj.SetResliceInterpolateToNearestNeighbour ()| -  Set the interpolation to use when texturing the plane.
//// \item @|obj.SetResliceInterpolateToLinear ()| -  Set the interpolation to use when texturing the plane.
//// \item @|obj.SetResliceInterpolateToCubic ()| -  Convenience method to get the vtkImageReslice output.
//// \item @|vtkImageData = obj.GetResliceOutput ()| -  Convenience method to get the vtkImageReslice output.
//// \item @|obj.SetRestrictPlaneToVolume (int )| -  Make sure that the plane remains within the volume.
// Default is On.
//// \item @|int = obj.GetRestrictPlaneToVolume ()| -  Make sure that the plane remains within the volume.
// Default is On.
//// \item @|obj.RestrictPlaneToVolumeOn ()| -  Make sure that the plane remains within the volume.
// Default is On.
//// \item @|obj.RestrictPlaneToVolumeOff ()| -  Make sure that the plane remains within the volume.
// Default is On.
//// \item @|obj.SetUserControlledLookupTable (int )| -  Let the user control the lookup table. NOTE: apply this method BEFORE
// applying the SetLookupTable method.
// Default is Off.
//// \item @|int = obj.GetUserControlledLookupTable ()| -  Let the user control the lookup table. NOTE: apply this method BEFORE
// applying the SetLookupTable method.
// Default is Off.
//// \item @|obj.UserControlledLookupTableOn ()| -  Let the user control the lookup table. NOTE: apply this method BEFORE
// applying the SetLookupTable method.
// Default is Off.
//// \item @|obj.UserControlledLookupTableOff ()| -  Let the user control the lookup table. NOTE: apply this method BEFORE
// applying the SetLookupTable method.
// Default is Off.
//// \item @|obj.SetTextureInterpolate (int )| -  Specify whether to interpolate the texture or not. When off, the
// reslice interpolation is nearest neighbour regardless of how the
// interpolation is set through the API. Set before setting the
// vtkImageData input. Default is On.
//// \item @|int = obj.GetTextureInterpolate ()| -  Specify whether to interpolate the texture or not. When off, the
// reslice interpolation is nearest neighbour regardless of how the
// interpolation is set through the API. Set before setting the
// vtkImageData input. Default is On.
//// \item @|obj.TextureInterpolateOn ()| -  Specify whether to interpolate the texture or not. When off, the
// reslice interpolation is nearest neighbour regardless of how the
// interpolation is set through the API. Set before setting the
// vtkImageData input. Default is On.
//// \item @|obj.TextureInterpolateOff ()| -  Specify whether to interpolate the texture or not. When off, the
// reslice interpolation is nearest neighbour regardless of how the
// interpolation is set through the API. Set before setting the
// vtkImageData input. Default is On.
//// \item @|obj.SetTextureVisibility (int )| -  Control the visibility of the actual texture mapped reformatted plane.
// in some cases you may only want the plane outline for example.
//// \item @|int = obj.GetTextureVisibility ()| -  Control the visibility of the actual texture mapped reformatted plane.
// in some cases you may only want the plane outline for example.
//// \item @|obj.TextureVisibilityOn ()| -  Control the visibility of the actual texture mapped reformatted plane.
// in some cases you may only want the plane outline for example.
//// \item @|obj.TextureVisibilityOff ()| -  Control the visibility of the actual texture mapped reformatted plane.
// in some cases you may only want the plane outline for example.
//// \item @|obj.GetPolyData (vtkPolyData pd)| -  Grab the polydata (including points) that defines the plane.  The
// polydata consists of (res+1)*(res+1) points, and res*res quadrilateral
// polygons, where res is the resolution of the plane. These point values
// are guaranteed to be up-to-date when either the InteractionEvent or
// EndInteraction events are invoked. The user provides the vtkPolyData and
// the points and polygons are added to it.
//// \item @|vtkPolyDataAlgorithm = obj.GetPolyDataAlgorithm ()| -  Satisfies superclass API.  This returns a pointer to the underlying
// vtkPolyData.  Make changes to this before calling the initial PlaceWidget()
// to have the initial placement follow suit.  Or, make changes after the
// widget has been initialised and call UpdatePlacement() to realise.
//// \item @|obj.UpdatePlacement (void )| -  Satisfies superclass API.  This will change the state of the widget to
// match changes that have been made to the underlying vtkPolyDataSource
//// \item @|vtkTexture = obj.GetTexture ()| -  Convenience method to get the texture used by this widget.  This can be
// used in external slice viewers.
//// \item @|vtkImageMapToColors = obj.GetColorMap ()| -  Convenience method to get the vtkImageMapToColors filter used by this
// widget.  The user can properly render other transparent actors in a
// scene by calling the filter's SetOutputFormatToRGB and 
// PassAlphaToOutputOff.
//// \item @|obj.SetColorMap (vtkImageMapToColors )| -  Convenience method to get the vtkImageMapToColors filter used by this
// widget.  The user can properly render other transparent actors in a
// scene by calling the filter's SetOutputFormatToRGB and 
// PassAlphaToOutputOff.
//// \item @|obj.SetPlaneProperty (vtkProperty )| -  Set/Get the plane's outline properties. The properties of the plane's 
// outline when selected and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetPlaneProperty ()| -  Set/Get the plane's outline properties. The properties of the plane's 
// outline when selected and unselected can be manipulated.
//// \item @|obj.SetSelectedPlaneProperty (vtkProperty )| -  Set/Get the plane's outline properties. The properties of the plane's 
// outline when selected and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetSelectedPlaneProperty ()| -  Set/Get the plane's outline properties. The properties of the plane's 
// outline when selected and unselected can be manipulated.
//// \item @|obj.SetPlaneOrientation (int )| -  Convenience method sets the plane orientation normal to the
// x, y, or z axes.  Default is XAxes (0).
//// \item @|int = obj.GetPlaneOrientation ()| -  Convenience method sets the plane orientation normal to the
// x, y, or z axes.  Default is XAxes (0).
//// \item @|obj.SetPlaneOrientationToXAxes ()| -  Convenience method sets the plane orientation normal to the
// x, y, or z axes.  Default is XAxes (0).
//// \item @|obj.SetPlaneOrientationToYAxes ()| -  Convenience method sets the plane orientation normal to the
// x, y, or z axes.  Default is XAxes (0).
//// \item @|obj.SetPlaneOrientationToZAxes ()| -  Set the internal picker to one defined by the user.  In this way,
// a set of three orthogonal planes can share the same picker so that
// picking is performed correctly.  The default internal picker can be
// re-set/allocated by setting to 0 (NULL).
//// \item @|obj.SetPicker (vtkAbstractPropPicker )| -  Set the internal picker to one defined by the user.  In this way,
// a set of three orthogonal planes can share the same picker so that
// picking is performed correctly.  The default internal picker can be
// re-set/allocated by setting to 0 (NULL).
//// \item @|obj.SetLookupTable (vtkLookupTable )| -  Set/Get the internal lookuptable (lut) to one defined by the user, or,
// alternatively, to the lut of another vtkImgePlaneWidget.  In this way,
// a set of three orthogonal planes can share the same lut so that
// window-levelling is performed uniformly among planes.  The default
// internal lut can be re- set/allocated by setting to 0 (NULL).
//// \item @|vtkLookupTable = obj.GetLookupTable ()| -  Set/Get the internal lookuptable (lut) to one defined by the user, or,
// alternatively, to the lut of another vtkImgePlaneWidget.  In this way,
// a set of three orthogonal planes can share the same lut so that
// window-levelling is performed uniformly among planes.  The default
// internal lut can be re- set/allocated by setting to 0 (NULL).
//// \item @|obj.SetDisplayText (int )| -  Enable/disable text display of window-level, image coordinates and
// scalar values in a render window.
//// \item @|int = obj.GetDisplayText ()| -  Enable/disable text display of window-level, image coordinates and
// scalar values in a render window.
//// \item @|obj.DisplayTextOn ()| -  Enable/disable text display of window-level, image coordinates and
// scalar values in a render window.
//// \item @|obj.DisplayTextOff ()| -  Enable/disable text display of window-level, image coordinates and
// scalar values in a render window.
//// \item @|obj.SetCursorProperty (vtkProperty )| -  Set the properties of the cross-hair cursor.
//// \item @|vtkProperty = obj.GetCursorProperty ()| -  Set the properties of the cross-hair cursor.
//// \item @|obj.SetMarginProperty (vtkProperty )| -  Set the properties of the margins.
//// \item @|vtkProperty = obj.GetMarginProperty ()| -  Set the properties of the margins.
//// \item @|obj.SetMarginSizeX (double )| -  Set the size of the margins based on a percentage of the
// plane's width and height, limited between 0 and 50%.
//// \item @|double = obj.GetMarginSizeXMinValue ()| -  Set the size of the margins based on a percentage of the
// plane's width and height, limited between 0 and 50%.
//// \item @|double = obj.GetMarginSizeXMaxValue ()| -  Set the size of the margins based on a percentage of the
// plane's width and height, limited between 0 and 50%.
//// \item @|double = obj.GetMarginSizeX ()| -  Set the size of the margins based on a percentage of the
// plane's width and height, limited between 0 and 50%.
//// \item @|obj.SetMarginSizeY (double )| -  Set the size of the margins based on a percentage of the
// plane's width and height, limited between 0 and 50%.
//// \item @|double = obj.GetMarginSizeYMinValue ()| -  Set the size of the margins based on a percentage of the
// plane's width and height, limited between 0 and 50%.
//// \item @|double = obj.GetMarginSizeYMaxValue ()| -  Set the size of the margins based on a percentage of the
// plane's width and height, limited between 0 and 50%.
//// \item @|double = obj.GetMarginSizeY ()| -  Set the size of the margins based on a percentage of the
// plane's width and height, limited between 0 and 50%.
//// \item @|obj.SetTextProperty (vtkTextProperty tprop)| -  Set/Get the text property for the image data and window-level annotation.
//// \item @|vtkTextProperty = obj.GetTextProperty ()| -  Set/Get the text property for the image data and window-level annotation.
//// \item @|obj.SetTexturePlaneProperty (vtkProperty )| -  Set/Get the property for the resliced image.
//// \item @|vtkProperty = obj.GetTexturePlaneProperty ()| -  Set/Get the property for the resliced image.
//// \item @|obj.SetWindowLevel (double window, double level, int copy)| -  Set/Get the current window and level values.  SetWindowLevel should
// only be called after SetInput.  If a shared lookup table is being used,
// a callback is required to update the window level values without having
// to update the lookup table again.
//// \item @|obj.GetWindowLevel (double wl[2])| -  Set/Get the current window and level values.  SetWindowLevel should
// only be called after SetInput.  If a shared lookup table is being used,
// a callback is required to update the window level values without having
// to update the lookup table again.
//// \item @|double = obj.GetWindow ()| -  Set/Get the current window and level values.  SetWindowLevel should
// only be called after SetInput.  If a shared lookup table is being used,
// a callback is required to update the window level values without having
// to update the lookup table again.
//// \item @|double = obj.GetLevel ()| -  Get the image coordinate position and voxel value.  Currently only
// supports single component image data.
//// \item @|int = obj.GetCursorData (double xyzv[4])| -  Get the image coordinate position and voxel value.  Currently only
// supports single component image data.
//// \item @|int = obj.GetCursorDataStatus ()| -  Get the status of the cursor data.  If this returns 1 the
// CurrentCursorPosition and CurrentImageValue will have current
// data.  If it returns 0, these values are invalid.
//// \item @|double = obj. GetCurrentCursorPosition ()| -  Get the current cursor position.  To be used in conjunction with
// GetCursorDataStatus.
//// \item @|double = obj.GetCurrentImageValue ()| -  Get the current image value at the current cursor position.  To
// be used in conjunction with GetCursorDataStatus.  The value is
// VTK_DOUBLE_MAX when the data is invalid.
//// \item @|obj.SetUseContinuousCursor (int )| -  Choose between voxel centered or continuous cursor probing.  With voxel
// centered probing, the cursor snaps to the nearest voxel and the reported
// cursor coordinates are extent based.  With continuous probing, voxel data
// is interpolated using vtkDataSetAttributes' InterpolatePoint method and
// the reported coordinates are 3D spatial continuous.
//// \item @|int = obj.GetUseContinuousCursor ()| -  Choose between voxel centered or continuous cursor probing.  With voxel
// centered probing, the cursor snaps to the nearest voxel and the reported
// cursor coordinates are extent based.  With continuous probing, voxel data
// is interpolated using vtkDataSetAttributes' InterpolatePoint method and
// the reported coordinates are 3D spatial continuous.
//// \item @|obj.UseContinuousCursorOn ()| -  Choose between voxel centered or continuous cursor probing.  With voxel
// centered probing, the cursor snaps to the nearest voxel and the reported
// cursor coordinates are extent based.  With continuous probing, voxel data
// is interpolated using vtkDataSetAttributes' InterpolatePoint method and
// the reported coordinates are 3D spatial continuous.
//// \item @|obj.UseContinuousCursorOff ()| -  Choose between voxel centered or continuous cursor probing.  With voxel
// centered probing, the cursor snaps to the nearest voxel and the reported
// cursor coordinates are extent based.  With continuous probing, voxel data
// is interpolated using vtkDataSetAttributes' InterpolatePoint method and
// the reported coordinates are 3D spatial continuous.
//// \item @|obj.SetInteraction (int interact)| -  Enable/disable mouse interaction so the widget remains on display.
//// \item @|int = obj.GetInteraction ()| -  Enable/disable mouse interaction so the widget remains on display.
//// \item @|obj.InteractionOn ()| -  Enable/disable mouse interaction so the widget remains on display.
//// \item @|obj.InteractionOff ()| -  Enable/disable mouse interaction so the widget remains on display.
//// \item @|obj.SetLeftButtonAction (int )| -  Set action associated to buttons.
//// \item @|int = obj.GetLeftButtonActionMinValue ()| -  Set action associated to buttons.
//// \item @|int = obj.GetLeftButtonActionMaxValue ()| -  Set action associated to buttons.
//// \item @|int = obj.GetLeftButtonAction ()| -  Set action associated to buttons.
//// \item @|obj.SetMiddleButtonAction (int )| -  Set action associated to buttons.
//// \item @|int = obj.GetMiddleButtonActionMinValue ()| -  Set action associated to buttons.
//// \item @|int = obj.GetMiddleButtonActionMaxValue ()| -  Set action associated to buttons.
//// \item @|int = obj.GetMiddleButtonAction ()| -  Set action associated to buttons.
//// \item @|obj.SetRightButtonAction (int )| -  Set action associated to buttons.
//// \item @|int = obj.GetRightButtonActionMinValue ()| -  Set action associated to buttons.
//// \item @|int = obj.GetRightButtonActionMaxValue ()| -  Set action associated to buttons.
//// \item @|int = obj.GetRightButtonAction ()| -  Set action associated to buttons.
//// \item @|obj.SetLeftButtonAutoModifier (int )| -  Set the auto-modifiers associated to buttons.
// This allows users to bind some buttons to actions that are usually
// triggered by a key modifier. For example, if you do not need cursoring,
// you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) 
// and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with
// the left button controling panning without pressing a key.
//// \item @|int = obj.GetLeftButtonAutoModifierMinValue ()| -  Set the auto-modifiers associated to buttons.
// This allows users to bind some buttons to actions that are usually
// triggered by a key modifier. For example, if you do not need cursoring,
// you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) 
// and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with
// the left button controling panning without pressing a key.
//// \item @|int = obj.GetLeftButtonAutoModifierMaxValue ()| -  Set the auto-modifiers associated to buttons.
// This allows users to bind some buttons to actions that are usually
// triggered by a key modifier. For example, if you do not need cursoring,
// you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) 
// and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with
// the left button controling panning without pressing a key.
//// \item @|int = obj.GetLeftButtonAutoModifier ()| -  Set the auto-modifiers associated to buttons.
// This allows users to bind some buttons to actions that are usually
// triggered by a key modifier. For example, if you do not need cursoring,
// you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) 
// and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with
// the left button controling panning without pressing a key.
//// \item @|obj.SetMiddleButtonAutoModifier (int )| -  Set the auto-modifiers associated to buttons.
// This allows users to bind some buttons to actions that are usually
// triggered by a key modifier. For example, if you do not need cursoring,
// you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) 
// and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with
// the left button controling panning without pressing a key.
//// \item @|int = obj.GetMiddleButtonAutoModifierMinValue ()| -  Set the auto-modifiers associated to buttons.
// This allows users to bind some buttons to actions that are usually
// triggered by a key modifier. For example, if you do not need cursoring,
// you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) 
// and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with
// the left button controling panning without pressing a key.
//// \item @|int = obj.GetMiddleButtonAutoModifierMaxValue ()| -  Set the auto-modifiers associated to buttons.
// This allows users to bind some buttons to actions that are usually
// triggered by a key modifier. For example, if you do not need cursoring,
// you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) 
// and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with
// the left button controling panning without pressing a key.
//// \item @|int = obj.GetMiddleButtonAutoModifier ()| -  Set the auto-modifiers associated to buttons.
// This allows users to bind some buttons to actions that are usually
// triggered by a key modifier. For example, if you do not need cursoring,
// you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) 
// and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with
// the left button controling panning without pressing a key.
//// \item @|obj.SetRightButtonAutoModifier (int )| -  Set the auto-modifiers associated to buttons.
// This allows users to bind some buttons to actions that are usually
// triggered by a key modifier. For example, if you do not need cursoring,
// you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) 
// and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with
// the left button controling panning without pressing a key.
//// \item @|int = obj.GetRightButtonAutoModifierMinValue ()| -  Set the auto-modifiers associated to buttons.
// This allows users to bind some buttons to actions that are usually
// triggered by a key modifier. For example, if you do not need cursoring,
// you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) 
// and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with
// the left button controling panning without pressing a key.
//// \item @|int = obj.GetRightButtonAutoModifierMaxValue ()| -  Set the auto-modifiers associated to buttons.
// This allows users to bind some buttons to actions that are usually
// triggered by a key modifier. For example, if you do not need cursoring,
// you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) 
// and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with
// the left button controling panning without pressing a key.
//// \item @|int = obj.GetRightButtonAutoModifier ()| -  Set the auto-modifiers associated to buttons.
// This allows users to bind some buttons to actions that are usually
// triggered by a key modifier. For example, if you do not need cursoring,
// you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) 
// and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with
// the left button controling panning without pressing a key.
////\end{itemize}
//!
