#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageTracerWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageTracerWidget.h"

//@@Signature
//sfunction @vtkImageTracerWidget:vtkImageTracerWidget vtkImageTracerWidgetConstructorFunction
//input a
//output p
//@@Parents vtkImageTracerWidget vtk3DWidget 
ArrayVector vtkImageTracerWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageTracerWidget::New(),"vtkImageTracerWidget",eval);
  } else if (arg[0].className() == "vtkImageTracerWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageTracerWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageTracerWidget");
    vtkImageTracerWidget*q = reinterpret_cast<vtkImageTracerWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageTracerWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageTracerWidget:GetClassName vtkImageTracerWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:IsA vtkImageTracerWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageTracerWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:NewInstance vtkImageTracerWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageTracerWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtkImageTracerWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageTracerWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SafeDownCast vtkImageTracerWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageTracerWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageTracerWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageTracerWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageTracerWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetEnabled vtkImageTracerWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:PlaceWidget__1 vtkImageTracerWidgetPlaceWidget__1Function
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetPlaceWidget__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget__1 for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:PlaceWidget__2 vtkImageTracerWidgetPlaceWidget__2Function
//input a0 
//output none
ArrayVector vtkImageTracerWidgetPlaceWidget__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget ();this Superclass PlaceWidget  */
  if (arg.size() < 1) 
    throw Exception("Function PlaceWidget__2 for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtk_pointer->PlaceWidget();
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:PlaceWidget__3 vtkImageTracerWidgetPlaceWidget__3Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageTracerWidgetPlaceWidget__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax  */
  if (arg.size() < 7) 
    throw Exception("Function PlaceWidget__3 for class vtkImageTracerWidget requires 7 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetHandleProperty vtkImageTracerWidgetSetHandlePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetSetHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetHandleProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleProperty for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetHandleProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetHandleProperty vtkImageTracerWidgetGetHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleProperty for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetSelectedHandleProperty vtkImageTracerWidgetSetSelectedHandlePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetSetSelectedHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSelectedHandleProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedHandleProperty for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetSelectedHandleProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetSelectedHandleProperty vtkImageTracerWidgetGetSelectedHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetSelectedHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedHandleProperty for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetLineProperty vtkImageTracerWidgetSetLinePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetSetLinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLineProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLineProperty for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetLineProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetLineProperty vtkImageTracerWidgetGetLinePropertyFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetLinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetLineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineProperty for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetLineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetSelectedLineProperty vtkImageTracerWidgetSetSelectedLinePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetSetSelectedLinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSelectedLineProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedLineProperty for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetSelectedLineProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetSelectedLineProperty vtkImageTracerWidgetGetSelectedLinePropertyFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetSelectedLinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedLineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedLineProperty for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedLineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetViewProp vtkImageTracerWidgetSetViewPropFunction
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetSetViewPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewProp (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function SetViewProp for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->SetViewProp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetProjectToPlane vtkImageTracerWidgetSetProjectToPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetSetProjectToPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectToPlane (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectToPlane for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProjectToPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetProjectToPlane vtkImageTracerWidgetGetProjectToPlaneFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetProjectToPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectToPlane (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectToPlane for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectToPlane();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:ProjectToPlaneOn vtkImageTracerWidgetProjectToPlaneOnFunction
//input a0 
//output none
ArrayVector vtkImageTracerWidgetProjectToPlaneOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ProjectToPlaneOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ProjectToPlaneOn for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtk_pointer->ProjectToPlaneOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:ProjectToPlaneOff vtkImageTracerWidgetProjectToPlaneOffFunction
//input a0 
//output none
ArrayVector vtkImageTracerWidgetProjectToPlaneOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ProjectToPlaneOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ProjectToPlaneOff for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtk_pointer->ProjectToPlaneOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetProjectionNormal vtkImageTracerWidgetSetProjectionNormalFunction
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetSetProjectionNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormal (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectionNormal for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProjectionNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetProjectionNormalMinValue vtkImageTracerWidgetGetProjectionNormalMinValueFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetProjectionNormalMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionNormalMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionNormalMinValue for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionNormalMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetProjectionNormalMaxValue vtkImageTracerWidgetGetProjectionNormalMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetProjectionNormalMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionNormalMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionNormalMaxValue for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionNormalMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetProjectionNormal vtkImageTracerWidgetGetProjectionNormalFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetProjectionNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionNormal for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionNormal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetProjectionNormalToXAxes vtkImageTracerWidgetSetProjectionNormalToXAxesFunction
//input a0 
//output none
ArrayVector vtkImageTracerWidgetSetProjectionNormalToXAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToXAxes ();this SetProjectionNormal  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToXAxes for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToXAxes();
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetProjectionNormalToYAxes vtkImageTracerWidgetSetProjectionNormalToYAxesFunction
//input a0 
//output none
ArrayVector vtkImageTracerWidgetSetProjectionNormalToYAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToYAxes ();this SetProjectionNormal  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToYAxes for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToYAxes();
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetProjectionNormalToZAxes vtkImageTracerWidgetSetProjectionNormalToZAxesFunction
//input a0 
//output none
ArrayVector vtkImageTracerWidgetSetProjectionNormalToZAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToZAxes ();this SetProjectionNormal  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToZAxes for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToZAxes();
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetProjectionPosition vtkImageTracerWidgetSetProjectionPositionFunction
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetSetProjectionPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionPosition (double position); */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectionPosition for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetProjectionPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetProjectionPosition vtkImageTracerWidgetGetProjectionPositionFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetProjectionPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetProjectionPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionPosition for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetProjectionPosition();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetSnapToImage vtkImageTracerWidgetSetSnapToImageFunction
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetSetSnapToImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSnapToImage (int snap); */
  if (arg.size() < 2) 
    throw Exception("Function SetSnapToImage for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSnapToImage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetSnapToImage vtkImageTracerWidgetGetSnapToImageFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetSnapToImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSnapToImage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSnapToImage for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSnapToImage();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SnapToImageOn vtkImageTracerWidgetSnapToImageOnFunction
//input a0 
//output none
ArrayVector vtkImageTracerWidgetSnapToImageOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SnapToImageOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SnapToImageOn for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtk_pointer->SnapToImageOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SnapToImageOff vtkImageTracerWidgetSnapToImageOffFunction
//input a0 
//output none
ArrayVector vtkImageTracerWidgetSnapToImageOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SnapToImageOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SnapToImageOff for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtk_pointer->SnapToImageOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetAutoClose vtkImageTracerWidgetSetAutoCloseFunction
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetSetAutoCloseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutoClose (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutoClose for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutoClose(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetAutoClose vtkImageTracerWidgetGetAutoCloseFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetAutoCloseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoClose (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoClose for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoClose();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:AutoCloseOn vtkImageTracerWidgetAutoCloseOnFunction
//input a0 
//output none
ArrayVector vtkImageTracerWidgetAutoCloseOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoCloseOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoCloseOn for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtk_pointer->AutoCloseOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:AutoCloseOff vtkImageTracerWidgetAutoCloseOffFunction
//input a0 
//output none
ArrayVector vtkImageTracerWidgetAutoCloseOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoCloseOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoCloseOff for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtk_pointer->AutoCloseOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetCaptureRadius vtkImageTracerWidgetSetCaptureRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetSetCaptureRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCaptureRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCaptureRadius for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCaptureRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetCaptureRadius vtkImageTracerWidgetGetCaptureRadiusFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetCaptureRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCaptureRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCaptureRadius for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCaptureRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetPath vtkImageTracerWidgetGetPathFunction
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetGetPathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPath (vtkPolyData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function GetPath for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->GetPath(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetGlyphSource vtkImageTracerWidgetGetGlyphSourceFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetGlyphSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGlyphSource2D *GetGlyphSource ();return this HandleGenerator  */
  if (arg.size() < 1) 
    throw Exception("Function GetGlyphSource for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtkGlyphSource2D  *temp20;
  temp20 = (vtk_pointer)->GetGlyphSource();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGlyphSource2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetImageSnapType vtkImageTracerWidgetSetImageSnapTypeFunction
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetSetImageSnapTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageSnapType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageSnapType for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetImageSnapType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetImageSnapTypeMinValue vtkImageTracerWidgetGetImageSnapTypeMinValueFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetImageSnapTypeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetImageSnapTypeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageSnapTypeMinValue for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetImageSnapTypeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetImageSnapTypeMaxValue vtkImageTracerWidgetGetImageSnapTypeMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetImageSnapTypeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetImageSnapTypeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageSnapTypeMaxValue for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetImageSnapTypeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetImageSnapType vtkImageTracerWidgetGetImageSnapTypeFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetImageSnapTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetImageSnapType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageSnapType for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetImageSnapType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetHandlePosition__1 vtkImageTracerWidgetSetHandlePosition__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageTracerWidgetSetHandlePosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandlePosition (int handle, double xyz[3]); */
  if (arg.size() < 3) 
    throw Exception("Function SetHandlePosition__1 for class vtkImageTracerWidget requires 3 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->SetHandlePosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetHandlePosition__2 vtkImageTracerWidgetSetHandlePosition__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkImageTracerWidgetSetHandlePosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandlePosition (int handle, double x, double y, double z); */
  if (arg.size() < 5) 
    throw Exception("Function SetHandlePosition__2 for class vtkImageTracerWidget requires 5 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetHandlePosition(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetHandlePosition__1 vtkImageTracerWidgetGetHandlePosition__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageTracerWidgetGetHandlePosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetHandlePosition (int handle, double xyz[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetHandlePosition__1 for class vtkImageTracerWidget requires 3 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetHandlePosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetHandlePosition__2 vtkImageTracerWidgetGetHandlePosition__2Function
//input a0 a1 
//output y
ArrayVector vtkImageTracerWidgetGetHandlePosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetHandlePosition (int handle); */
  if (arg.size() < 2) 
    throw Exception("Function GetHandlePosition__2 for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetHandlePosition(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetNumberOfHandles vtkImageTracerWidgetGetNumberOfHandlesFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetNumberOfHandlesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfHandles (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfHandles for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfHandles();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetInteraction vtkImageTracerWidgetSetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetSetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInteraction (int interact); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteraction for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetInteraction vtkImageTracerWidgetGetInteractionFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetGetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInteraction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteraction for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInteraction();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:InteractionOn vtkImageTracerWidgetInteractionOnFunction
//input a0 
//output none
ArrayVector vtkImageTracerWidgetInteractionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InteractionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InteractionOn for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtk_pointer->InteractionOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:InteractionOff vtkImageTracerWidgetInteractionOffFunction
//input a0 
//output none
ArrayVector vtkImageTracerWidgetInteractionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InteractionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InteractionOff for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtk_pointer->InteractionOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:InitializeHandles vtkImageTracerWidgetInitializeHandlesFunction
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetInitializeHandlesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitializeHandles (vtkPoints *); */
  if (arg.size() < 2) 
    throw Exception("Function InitializeHandles for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->InitializeHandles(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:IsClosed vtkImageTracerWidgetIsClosedFunction
//input a0 
//output y
ArrayVector vtkImageTracerWidgetIsClosedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsClosed (); */
  if (arg.size() < 1) 
    throw Exception("Function IsClosed for class vtkImageTracerWidget requires 1 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsClosed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetProp vtkImageTracerWidgetSetPropFunction
//input a0 a1 
//output none
ArrayVector vtkImageTracerWidgetSetPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProp (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function SetProp for class vtkImageTracerWidget requires 2 argument(s)");
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->SetProp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTracerWidget:PlaceWidget vtkImageTracerWidgetPlaceWidgetFunction
//input varargin
//output varargout
ArrayVector vtkImageTracerWidgetPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageTracerWidgetPlaceWidget__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkImageTracerWidgetPlaceWidget__2Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImageTracerWidgetPlaceWidget__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageTracerWidgetPlaceWidget");
}

//@@Signature
//sfunction @vtkImageTracerWidget:SetHandlePosition vtkImageTracerWidgetSetHandlePositionFunction
//input varargin
//output varargout
ArrayVector vtkImageTracerWidgetSetHandlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkImageTracerWidgetSetHandlePosition__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkImageTracerWidgetSetHandlePosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageTracerWidgetSetHandlePosition");
}

//@@Signature
//sfunction @vtkImageTracerWidget:GetHandlePosition vtkImageTracerWidgetGetHandlePositionFunction
//input varargin
//output varargout
ArrayVector vtkImageTracerWidgetGetHandlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkImageTracerWidgetGetHandlePosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkImageTracerWidgetGetHandlePosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageTracerWidgetGetHandlePosition");
}

//@@Signature
//sfunction @vtkImageTracerWidget:display vtkImageTracerWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageTracerWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageTracerWidget* vtk_pointer = GetVTKPointer<vtkImageTracerWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageTracerWidget:delete vtkImageTracerWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkImageTracerWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageTracerWidget
//@@Section VTKWidgets
//@@Usage
// vtkImageTracerWidget is different from other widgets in three distinct ways:
// 1) any sub-class of vtkProp can be input rather than just vtkProp3D, so that
// vtkImageActor can be set as the prop and then traced over, 2) the widget fires
// pick events at the input prop to decide where to move its handles, 3) the
// widget has 2D glyphs for handles instead of 3D spheres as is done in other
// sub-classes of vtk3DWidget. This widget is primarily designed for manually
// tracing over image data.
// The button actions and key modifiers are as follows for controlling the
// widget:
// 1) left button click over the image, hold and drag draws a free hand line.
// 2) left button click and release erases the widget line,
// if it exists, and repositions the first handle.
// 3) middle button click starts a snap drawn line.  The line is terminated by 
// clicking the middle button while depressing the ctrl key.
// 4) when tracing a continuous or snap drawn line, if the last cursor position
// is within a specified tolerance to the first handle, the widget line will form
// a closed loop.
// 5) right button clicking and holding on any handle that is part of a snap
// drawn line allows handle dragging: existing line segments are updated
// accordingly.  If the path is open and AutoClose is set to On, the path can
// be closed by repositioning the first and last points over one another.
// 6) ctrl key + right button down on any handle will erase it: existing
// snap drawn line segments are updated accordingly.  If the line was formed by
// continous tracing, the line is deleted leaving one handle.
// 7) shift key + right button down on any snap drawn line segment will insert
// a handle at the cursor position.  The line segment is split accordingly.
//
//To create an instance of class vtkImageTracerWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageTracerWidget
//@]
//@@Methods
//The class vtkImageTracerWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageTracerWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageTracerWidget = obj.NewInstance ()|
// \item @|vtkImageTracerWidget = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetEnabled (int )| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double bounds[6])| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget ()| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  Set/Get the handle properties (the 2D glyphs are the handles). The
// properties of the handles when selected and normal can be manipulated.
//// \item @|obj.SetHandleProperty (vtkProperty )| -  Set/Get the handle properties (the 2D glyphs are the handles). The
// properties of the handles when selected and normal can be manipulated.
//// \item @|vtkProperty = obj.GetHandleProperty ()| -  Set/Get the handle properties (the 2D glyphs are the handles). The
// properties of the handles when selected and normal can be manipulated.
//// \item @|obj.SetSelectedHandleProperty (vtkProperty )| -  Set/Get the handle properties (the 2D glyphs are the handles). The
// properties of the handles when selected and normal can be manipulated.
//// \item @|vtkProperty = obj.GetSelectedHandleProperty ()| -  Set/Get the handle properties (the 2D glyphs are the handles). The
// properties of the handles when selected and normal can be manipulated.
//// \item @|obj.SetLineProperty (vtkProperty )| -  Set/Get the line properties. The properties of the line when selected
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetLineProperty ()| -  Set/Get the line properties. The properties of the line when selected
// and unselected can be manipulated.
//// \item @|obj.SetSelectedLineProperty (vtkProperty )| -  Set/Get the line properties. The properties of the line when selected
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetSelectedLineProperty ()| -  Set/Get the line properties. The properties of the line when selected
// and unselected can be manipulated.
//// \item @|obj.SetViewProp (vtkProp prop)| -  Set the prop, usually a vtkImageActor, to trace over.
//// \item @|obj.SetProjectToPlane (int )| -  Force handles to be on a specific ortho plane. Default is Off.
//// \item @|int = obj.GetProjectToPlane ()| -  Force handles to be on a specific ortho plane. Default is Off.
//// \item @|obj.ProjectToPlaneOn ()| -  Force handles to be on a specific ortho plane. Default is Off.
//// \item @|obj.ProjectToPlaneOff ()| -  Force handles to be on a specific ortho plane. Default is Off.
//// \item @|obj.SetProjectionNormal (int )| -  Set the projection normal.  The normal in SetProjectionNormal is 0,1,2
// for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is
// necessary to specify a plane on which to generate them, even though
// ProjectToPlane may be turned off.
//// \item @|int = obj.GetProjectionNormalMinValue ()| -  Set the projection normal.  The normal in SetProjectionNormal is 0,1,2
// for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is
// necessary to specify a plane on which to generate them, even though
// ProjectToPlane may be turned off.
//// \item @|int = obj.GetProjectionNormalMaxValue ()| -  Set the projection normal.  The normal in SetProjectionNormal is 0,1,2
// for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is
// necessary to specify a plane on which to generate them, even though
// ProjectToPlane may be turned off.
//// \item @|int = obj.GetProjectionNormal ()| -  Set the projection normal.  The normal in SetProjectionNormal is 0,1,2
// for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is
// necessary to specify a plane on which to generate them, even though
// ProjectToPlane may be turned off.
//// \item @|obj.SetProjectionNormalToXAxes ()| -  Set the projection normal.  The normal in SetProjectionNormal is 0,1,2
// for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is
// necessary to specify a plane on which to generate them, even though
// ProjectToPlane may be turned off.
//// \item @|obj.SetProjectionNormalToYAxes ()| -  Set the projection normal.  The normal in SetProjectionNormal is 0,1,2
// for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is
// necessary to specify a plane on which to generate them, even though
// ProjectToPlane may be turned off.
//// \item @|obj.SetProjectionNormalToZAxes ()| -  Set the position of the widgets' handles in terms of a plane's position.
// e.g., if ProjectionNormal is 0, all of the x-coordinate values of the
// handles are set to ProjectionPosition.  No attempt is made to ensure that
// the position is within the bounds of either the underlying image data or
// the prop on which tracing is performed.
//// \item @|obj.SetProjectionPosition (double position)| -  Set the position of the widgets' handles in terms of a plane's position.
// e.g., if ProjectionNormal is 0, all of the x-coordinate values of the
// handles are set to ProjectionPosition.  No attempt is made to ensure that
// the position is within the bounds of either the underlying image data or
// the prop on which tracing is performed.
//// \item @|double = obj.GetProjectionPosition ()| -  Set the position of the widgets' handles in terms of a plane's position.
// e.g., if ProjectionNormal is 0, all of the x-coordinate values of the
// handles are set to ProjectionPosition.  No attempt is made to ensure that
// the position is within the bounds of either the underlying image data or
// the prop on which tracing is performed.
//// \item @|obj.SetSnapToImage (int snap)| -  Force snapping to image data while tracing. Default is Off.
//// \item @|int = obj.GetSnapToImage ()| -  Force snapping to image data while tracing. Default is Off.
//// \item @|obj.SnapToImageOn ()| -  Force snapping to image data while tracing. Default is Off.
//// \item @|obj.SnapToImageOff ()| -  Force snapping to image data while tracing. Default is Off.
//// \item @|obj.SetAutoClose (int )| -  In concert with a CaptureRadius value, automatically
// form a closed path by connecting first to last path points.
// Default is Off.
//// \item @|int = obj.GetAutoClose ()| -  In concert with a CaptureRadius value, automatically
// form a closed path by connecting first to last path points.
// Default is Off.
//// \item @|obj.AutoCloseOn ()| -  In concert with a CaptureRadius value, automatically
// form a closed path by connecting first to last path points.
// Default is Off.
//// \item @|obj.AutoCloseOff ()| -  In concert with a CaptureRadius value, automatically
// form a closed path by connecting first to last path points.
// Default is Off.
//// \item @|obj.SetCaptureRadius (double )| -  Set/Get the capture radius for automatic path closing.  For image
// data, capture radius should be half the distance between voxel/pixel
// centers.
// Default is 1.0
//// \item @|double = obj.GetCaptureRadius ()| -  Set/Get the capture radius for automatic path closing.  For image
// data, capture radius should be half the distance between voxel/pixel
// centers.
// Default is 1.0
//// \item @|obj.GetPath (vtkPolyData pd)| -  Grab the points and lines that define the traced path. These point values
// are guaranteed to be up-to-date when either the InteractionEvent or
// EndInteraction events are invoked. The user provides the vtkPolyData and
// the points and cells representing the line are added to it.
//// \item @|vtkGlyphSource2D = obj.GetGlyphSource ()| -  Set/Get the type of snapping to image data: center of a pixel/voxel or
// nearest point defining a pixel/voxel.
//// \item @|obj.SetImageSnapType (int )| -  Set/Get the type of snapping to image data: center of a pixel/voxel or
// nearest point defining a pixel/voxel.
//// \item @|int = obj.GetImageSnapTypeMinValue ()| -  Set/Get the type of snapping to image data: center of a pixel/voxel or
// nearest point defining a pixel/voxel.
//// \item @|int = obj.GetImageSnapTypeMaxValue ()| -  Set/Get the type of snapping to image data: center of a pixel/voxel or
// nearest point defining a pixel/voxel.
//// \item @|int = obj.GetImageSnapType ()| -  Set/Get the type of snapping to image data: center of a pixel/voxel or
// nearest point defining a pixel/voxel.
//// \item @|obj.SetHandlePosition (int handle, double xyz[3])| -  Set/Get the handle position in terms of a zero-based array of handles.
//// \item @|obj.SetHandlePosition (int handle, double x, double y, double z)| -  Set/Get the handle position in terms of a zero-based array of handles.
//// \item @|obj.GetHandlePosition (int handle, double xyz[3])| -  Set/Get the handle position in terms of a zero-based array of handles.
//// \item @|double = obj.GetHandlePosition (int handle)| -  Set/Get the handle position in terms of a zero-based array of handles.
//// \item @|int = obj.GetNumberOfHandles ()| -  Get the number of handles.
//// \item @|obj.SetInteraction (int interact)| -  Enable/disable mouse interaction when the widget is visible.
//// \item @|int = obj.GetInteraction ()| -  Enable/disable mouse interaction when the widget is visible.
//// \item @|obj.InteractionOn ()| -  Enable/disable mouse interaction when the widget is visible.
//// \item @|obj.InteractionOff ()| -  Enable/disable mouse interaction when the widget is visible.
//// \item @|obj.InitializeHandles (vtkPoints )| -  Initialize the widget with a set of points and generate
// lines between them.  If AutoClose is on it will handle the
// case wherein the first and last points are congruent.
//// \item @|int = obj.IsClosed ()| -  Is the path closed or open?
//// \item @|obj.SetProp (vtkProp prop)| -  @deprecated Replaced by vtkImageTracerWidget::SetViewProp() as of VTK 5.0.
////\end{itemize}
//!
