#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImplicitPlaneRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImplicitPlaneRepresentation.h"

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:vtkImplicitPlaneRepresentation vtkImplicitPlaneRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkImplicitPlaneRepresentation vtkWidgetRepresentation 
ArrayVector vtkImplicitPlaneRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImplicitPlaneRepresentation::New(),"vtkImplicitPlaneRepresentation",eval);
  } else if (arg[0].className() == "vtkImplicitPlaneRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImplicitPlaneRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImplicitPlaneRepresentation");
    vtkImplicitPlaneRepresentation*q = reinterpret_cast<vtkImplicitPlaneRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImplicitPlaneRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetClassName vtkImplicitPlaneRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:IsA vtkImplicitPlaneRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitPlaneRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:NewInstance vtkImplicitPlaneRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitPlaneRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtkImplicitPlaneRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitPlaneRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:SafeDownCast vtkImplicitPlaneRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitPlaneRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitPlaneRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImplicitPlaneRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitPlaneRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:SetOrigin__1 vtkImplicitPlaneRepresentationSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImplicitPlaneRepresentationSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkImplicitPlaneRepresentation requires 4 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:SetOrigin__2 vtkImplicitPlaneRepresentationSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetOrigin__1 vtkImplicitPlaneRepresentationGetOrigin__1Function
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin__1 for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetOrigin__2 vtkImplicitPlaneRepresentationGetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationGetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetOrigin (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetOrigin__2 for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:SetNormal__1 vtkImplicitPlaneRepresentationSetNormal__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImplicitPlaneRepresentationSetNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetNormal__1 for class vtkImplicitPlaneRepresentation requires 4 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetNormal(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:SetNormal__2 vtkImplicitPlaneRepresentationSetNormal__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationSetNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormal__2 for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetNormal__1 vtkImplicitPlaneRepresentationGetNormal__1Function
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormal__1 for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetNormal();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetNormal__2 vtkImplicitPlaneRepresentationGetNormal__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationGetNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetNormal (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetNormal__2 for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:SetNormalToXAxis vtkImplicitPlaneRepresentationSetNormalToXAxisFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationSetNormalToXAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalToXAxis (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalToXAxis for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalToXAxis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetNormalToXAxis vtkImplicitPlaneRepresentationGetNormalToXAxisFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetNormalToXAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalToXAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalToXAxis for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalToXAxis();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:NormalToXAxisOn vtkImplicitPlaneRepresentationNormalToXAxisOnFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationNormalToXAxisOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToXAxisOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToXAxisOn for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->NormalToXAxisOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:NormalToXAxisOff vtkImplicitPlaneRepresentationNormalToXAxisOffFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationNormalToXAxisOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToXAxisOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToXAxisOff for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->NormalToXAxisOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:SetNormalToYAxis vtkImplicitPlaneRepresentationSetNormalToYAxisFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationSetNormalToYAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalToYAxis (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalToYAxis for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalToYAxis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetNormalToYAxis vtkImplicitPlaneRepresentationGetNormalToYAxisFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetNormalToYAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalToYAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalToYAxis for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalToYAxis();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:NormalToYAxisOn vtkImplicitPlaneRepresentationNormalToYAxisOnFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationNormalToYAxisOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToYAxisOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToYAxisOn for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->NormalToYAxisOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:NormalToYAxisOff vtkImplicitPlaneRepresentationNormalToYAxisOffFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationNormalToYAxisOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToYAxisOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToYAxisOff for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->NormalToYAxisOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:SetNormalToZAxis vtkImplicitPlaneRepresentationSetNormalToZAxisFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationSetNormalToZAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalToZAxis (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalToZAxis for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalToZAxis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetNormalToZAxis vtkImplicitPlaneRepresentationGetNormalToZAxisFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetNormalToZAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalToZAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalToZAxis for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalToZAxis();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:NormalToZAxisOn vtkImplicitPlaneRepresentationNormalToZAxisOnFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationNormalToZAxisOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToZAxisOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToZAxisOn for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->NormalToZAxisOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:NormalToZAxisOff vtkImplicitPlaneRepresentationNormalToZAxisOffFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationNormalToZAxisOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToZAxisOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToZAxisOff for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->NormalToZAxisOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:SetTubing vtkImplicitPlaneRepresentationSetTubingFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationSetTubingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTubing (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTubing for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTubing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetTubing vtkImplicitPlaneRepresentationGetTubingFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetTubingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTubing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTubing for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTubing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:TubingOn vtkImplicitPlaneRepresentationTubingOnFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationTubingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TubingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TubingOn for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->TubingOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:TubingOff vtkImplicitPlaneRepresentationTubingOffFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationTubingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TubingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TubingOff for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->TubingOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:SetDrawPlane vtkImplicitPlaneRepresentationSetDrawPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationSetDrawPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDrawPlane (int plane); */
  if (arg.size() < 2) 
    throw Exception("Function SetDrawPlane for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDrawPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetDrawPlane vtkImplicitPlaneRepresentationGetDrawPlaneFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetDrawPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDrawPlane (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDrawPlane for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDrawPlane();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:DrawPlaneOn vtkImplicitPlaneRepresentationDrawPlaneOnFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationDrawPlaneOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawPlaneOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DrawPlaneOn for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->DrawPlaneOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:DrawPlaneOff vtkImplicitPlaneRepresentationDrawPlaneOffFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationDrawPlaneOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawPlaneOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DrawPlaneOff for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->DrawPlaneOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:SetOutlineTranslation vtkImplicitPlaneRepresentationSetOutlineTranslationFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationSetOutlineTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutlineTranslation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutlineTranslation for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutlineTranslation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetOutlineTranslation vtkImplicitPlaneRepresentationGetOutlineTranslationFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetOutlineTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutlineTranslation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutlineTranslation for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutlineTranslation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:OutlineTranslationOn vtkImplicitPlaneRepresentationOutlineTranslationOnFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationOutlineTranslationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineTranslationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OutlineTranslationOn for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->OutlineTranslationOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:OutlineTranslationOff vtkImplicitPlaneRepresentationOutlineTranslationOffFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationOutlineTranslationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineTranslationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OutlineTranslationOff for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->OutlineTranslationOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:SetOutsideBounds vtkImplicitPlaneRepresentationSetOutsideBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationSetOutsideBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutsideBounds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutsideBounds for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutsideBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetOutsideBounds vtkImplicitPlaneRepresentationGetOutsideBoundsFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetOutsideBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutsideBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutsideBounds for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutsideBounds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:OutsideBoundsOn vtkImplicitPlaneRepresentationOutsideBoundsOnFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationOutsideBoundsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutsideBoundsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OutsideBoundsOn for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->OutsideBoundsOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:OutsideBoundsOff vtkImplicitPlaneRepresentationOutsideBoundsOffFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationOutsideBoundsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutsideBoundsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OutsideBoundsOff for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->OutsideBoundsOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:SetScaleEnabled vtkImplicitPlaneRepresentationSetScaleEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationSetScaleEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaleEnabled for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScaleEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetScaleEnabled vtkImplicitPlaneRepresentationGetScaleEnabledFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetScaleEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScaleEnabled (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleEnabled for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScaleEnabled();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:ScaleEnabledOn vtkImplicitPlaneRepresentationScaleEnabledOnFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationScaleEnabledOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaleEnabledOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaleEnabledOn for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ScaleEnabledOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:ScaleEnabledOff vtkImplicitPlaneRepresentationScaleEnabledOffFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationScaleEnabledOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaleEnabledOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaleEnabledOff for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ScaleEnabledOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetPolyData vtkImplicitPlaneRepresentationGetPolyDataFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationGetPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPolyData (vtkPolyData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function GetPolyData for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->GetPolyData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetPolyDataAlgorithm vtkImplicitPlaneRepresentationGetPolyDataAlgorithmFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetPolyDataAlgorithmFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataAlgorithm *GetPolyDataAlgorithm (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolyDataAlgorithm for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtkPolyDataAlgorithm  *temp20;
  temp20 = (vtk_pointer)->GetPolyDataAlgorithm();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetPlane vtkImplicitPlaneRepresentationGetPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationGetPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPlane (vtkPlane *plane); */
  if (arg.size() < 2) 
    throw Exception("Function GetPlane for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtkPlane  *temp0;
  temp0 = GetVTKPointer<vtkPlane>(arg[1]);
  vtk_pointer->GetPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:UpdatePlacement vtkImplicitPlaneRepresentationUpdatePlacementFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationUpdatePlacementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UpdatePlacement (void ); */
  if (arg.size() < 1) 
    throw Exception("Function UpdatePlacement for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->UpdatePlacement();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetNormalProperty vtkImplicitPlaneRepresentationGetNormalPropertyFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetNormalPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetNormalProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalProperty for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetNormalProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetSelectedNormalProperty vtkImplicitPlaneRepresentationGetSelectedNormalPropertyFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetSelectedNormalPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedNormalProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedNormalProperty for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedNormalProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetPlaneProperty vtkImplicitPlaneRepresentationGetPlanePropertyFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetPlanePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetPlaneProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlaneProperty for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetPlaneProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetSelectedPlaneProperty vtkImplicitPlaneRepresentationGetSelectedPlanePropertyFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetSelectedPlanePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedPlaneProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedPlaneProperty for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedPlaneProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetOutlineProperty vtkImplicitPlaneRepresentationGetOutlinePropertyFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetOutlinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetOutlineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutlineProperty for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetOutlineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetSelectedOutlineProperty vtkImplicitPlaneRepresentationGetSelectedOutlinePropertyFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetSelectedOutlinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedOutlineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedOutlineProperty for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedOutlineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetEdgesProperty vtkImplicitPlaneRepresentationGetEdgesPropertyFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetEdgesPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetEdgesProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgesProperty for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetEdgesProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:ComputeInteractionState vtkImplicitPlaneRepresentationComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkImplicitPlaneRepresentationComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkImplicitPlaneRepresentation requires 4 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:PlaceWidget vtkImplicitPlaneRepresentationPlaceWidgetFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:BuildRepresentation vtkImplicitPlaneRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:StartWidgetInteraction vtkImplicitPlaneRepresentationStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:WidgetInteraction vtkImplicitPlaneRepresentationWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double newEventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:EndWidgetInteraction vtkImplicitPlaneRepresentationEndWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationEndWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndWidgetInteraction (double newEventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function EndWidgetInteraction for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->EndWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetBounds vtkImplicitPlaneRepresentationGetBoundsFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetActors vtkImplicitPlaneRepresentationGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors (vtkPropCollection *pc); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:ReleaseGraphicsResources vtkImplicitPlaneRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:RenderOpaqueGeometry vtkImplicitPlaneRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitPlaneRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:RenderTranslucentPolygonalGeometry vtkImplicitPlaneRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitPlaneRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:HasTranslucentPolygonalGeometry vtkImplicitPlaneRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:SetInteractionState vtkImplicitPlaneRepresentationSetInteractionStateFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationSetInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInteractionState (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractionState for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInteractionState(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetInteractionStateMinValue vtkImplicitPlaneRepresentationGetInteractionStateMinValueFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetInteractionStateMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInteractionStateMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteractionStateMinValue for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInteractionStateMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetInteractionStateMaxValue vtkImplicitPlaneRepresentationGetInteractionStateMaxValueFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetInteractionStateMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInteractionStateMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteractionStateMaxValue for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInteractionStateMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:SetRepresentationState vtkImplicitPlaneRepresentationSetRepresentationStateFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneRepresentationSetRepresentationStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRepresentationState (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentationState for class vtkImplicitPlaneRepresentation requires 2 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRepresentationState(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetRepresentationState vtkImplicitPlaneRepresentationGetRepresentationStateFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneRepresentationGetRepresentationStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepresentationState (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepresentationState for class vtkImplicitPlaneRepresentation requires 1 argument(s)");
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepresentationState();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:SetOrigin vtkImplicitPlaneRepresentationSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkImplicitPlaneRepresentationSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitPlaneRepresentationSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitPlaneRepresentationSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitPlaneRepresentationSetOrigin");
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetOrigin vtkImplicitPlaneRepresentationGetOriginFunction
//input varargin
//output varargout
ArrayVector vtkImplicitPlaneRepresentationGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImplicitPlaneRepresentationGetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitPlaneRepresentationGetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitPlaneRepresentationGetOrigin");
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:SetNormal vtkImplicitPlaneRepresentationSetNormalFunction
//input varargin
//output varargout
ArrayVector vtkImplicitPlaneRepresentationSetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitPlaneRepresentationSetNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitPlaneRepresentationSetNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitPlaneRepresentationSetNormal");
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:GetNormal vtkImplicitPlaneRepresentationGetNormalFunction
//input varargin
//output varargout
ArrayVector vtkImplicitPlaneRepresentationGetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImplicitPlaneRepresentationGetNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitPlaneRepresentationGetNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitPlaneRepresentationGetNormal");
}

//@@Signature
//sfunction @vtkImplicitPlaneRepresentation:display vtkImplicitPlaneRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImplicitPlaneRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImplicitPlaneRepresentation* vtk_pointer = GetVTKPointer<vtkImplicitPlaneRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImplicitPlaneRepresentation:delete vtkImplicitPlaneRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkImplicitPlaneRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImplicitPlaneRepresentation
//@@Section VTKWidgets
//@@Usage
// This class is a concrete representation for the
// vtkImplicitPlaneWidget2. It represents an infinite plane defined by a
// normal and point in the context of a bounding box. Through interaction
// with the widget, the plane can be manipulated by adjusting the plane
// normal or moving the origin point.
//
// To use this representation, you normally define a (plane) origin and (plane)
// normal. The PlaceWidget() method is also used to intially position the
// representation.
//
//To create an instance of class vtkImplicitPlaneRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkImplicitPlaneRepresentation
//@]
//@@Methods
//The class vtkImplicitPlaneRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImplicitPlaneRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for the class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for the class.
//// \item @|vtkImplicitPlaneRepresentation = obj.NewInstance ()| -  Standard methods for the class.
//// \item @|vtkImplicitPlaneRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard methods for the class.
//// \item @|obj.SetOrigin (double x, double y, double z)| -  Get the origin of the plane.
//// \item @|obj.SetOrigin (double x[3])| -  Get the origin of the plane.
//// \item @|double = obj.GetOrigin ()| -  Get the origin of the plane.
//// \item @|obj.GetOrigin (double xyz[3])| -  Get the origin of the plane.
//// \item @|obj.SetNormal (double x, double y, double z)| -  Get the normal to the plane.
//// \item @|obj.SetNormal (double x[3])| -  Get the normal to the plane.
//// \item @|double = obj.GetNormal ()| -  Get the normal to the plane.
//// \item @|obj.GetNormal (double xyz[3])| -  Get the normal to the plane.
//// \item @|obj.SetNormalToXAxis (int )| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|int = obj.GetNormalToXAxis ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToXAxisOn ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToXAxisOff ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.SetNormalToYAxis (int )| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|int = obj.GetNormalToYAxis ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToYAxisOn ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToYAxisOff ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.SetNormalToZAxis (int )| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|int = obj.GetNormalToZAxis ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToZAxisOn ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToZAxisOff ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.SetTubing (int )| -  Turn on/off tubing of the wire outline of the plane. The tube thickens
// the line by wrapping with a vtkTubeFilter.
//// \item @|int = obj.GetTubing ()| -  Turn on/off tubing of the wire outline of the plane. The tube thickens
// the line by wrapping with a vtkTubeFilter.
//// \item @|obj.TubingOn ()| -  Turn on/off tubing of the wire outline of the plane. The tube thickens
// the line by wrapping with a vtkTubeFilter.
//// \item @|obj.TubingOff ()| -  Turn on/off tubing of the wire outline of the plane. The tube thickens
// the line by wrapping with a vtkTubeFilter.
//// \item @|obj.SetDrawPlane (int plane)| -  Enable/disable the drawing of the plane. In some cases the plane
// interferes with the object that it is operating on (i.e., the
// plane interferes with the cut surface it produces producing
// z-buffer artifacts.)
//// \item @|int = obj.GetDrawPlane ()| -  Enable/disable the drawing of the plane. In some cases the plane
// interferes with the object that it is operating on (i.e., the
// plane interferes with the cut surface it produces producing
// z-buffer artifacts.)
//// \item @|obj.DrawPlaneOn ()| -  Enable/disable the drawing of the plane. In some cases the plane
// interferes with the object that it is operating on (i.e., the
// plane interferes with the cut surface it produces producing
// z-buffer artifacts.)
//// \item @|obj.DrawPlaneOff ()| -  Enable/disable the drawing of the plane. In some cases the plane
// interferes with the object that it is operating on (i.e., the
// plane interferes with the cut surface it produces producing
// z-buffer artifacts.)
//// \item @|obj.SetOutlineTranslation (int )| -  Turn on/off the ability to translate the bounding box by grabbing it
// with the left mouse button.
//// \item @|int = obj.GetOutlineTranslation ()| -  Turn on/off the ability to translate the bounding box by grabbing it
// with the left mouse button.
//// \item @|obj.OutlineTranslationOn ()| -  Turn on/off the ability to translate the bounding box by grabbing it
// with the left mouse button.
//// \item @|obj.OutlineTranslationOff ()| -  Turn on/off the ability to translate the bounding box by grabbing it
// with the left mouse button.
//// \item @|obj.SetOutsideBounds (int )| -  Turn on/off the ability to move the widget outside of the bounds
// specified in the initial PlaceWidget() invocation.
//// \item @|int = obj.GetOutsideBounds ()| -  Turn on/off the ability to move the widget outside of the bounds
// specified in the initial PlaceWidget() invocation.
//// \item @|obj.OutsideBoundsOn ()| -  Turn on/off the ability to move the widget outside of the bounds
// specified in the initial PlaceWidget() invocation.
//// \item @|obj.OutsideBoundsOff ()| -  Turn on/off the ability to move the widget outside of the bounds
// specified in the initial PlaceWidget() invocation.
//// \item @|obj.SetScaleEnabled (int )| -  Turn on/off the ability to scale the widget with the mouse.
//// \item @|int = obj.GetScaleEnabled ()| -  Turn on/off the ability to scale the widget with the mouse.
//// \item @|obj.ScaleEnabledOn ()| -  Turn on/off the ability to scale the widget with the mouse.
//// \item @|obj.ScaleEnabledOff ()| -  Turn on/off the ability to scale the widget with the mouse.
//// \item @|obj.GetPolyData (vtkPolyData pd)| -  Grab the polydata that defines the plane. The polydata contains a single
// polygon that is clipped by the bounding box.
//// \item @|vtkPolyDataAlgorithm = obj.GetPolyDataAlgorithm ()| -  Satisfies superclass API.  This returns a pointer to the underlying
// PolyData (which represents the plane).
//// \item @|obj.GetPlane (vtkPlane plane)| -  Get the implicit function for the plane. The user must provide the
// instance of the class vtkPlane. Note that vtkPlane is a subclass of
// vtkImplicitFunction, meaning that it can be used by a variety of filters
// to perform clipping, cutting, and selection of data.
//// \item @|obj.UpdatePlacement (void )| -  Satisfies the superclass API.  This will change the state of the widget
// to match changes that have been made to the underlying PolyDataSource
//// \item @|vtkProperty = obj.GetNormalProperty ()| -  Get the properties on the normal (line and cone).
//// \item @|vtkProperty = obj.GetSelectedNormalProperty ()| -  Get the properties on the normal (line and cone).
//// \item @|vtkProperty = obj.GetPlaneProperty ()| -  Get the plane properties. The properties of the plane when selected 
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetSelectedPlaneProperty ()| -  Get the plane properties. The properties of the plane when selected 
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetOutlineProperty ()| -  Get the property of the outline.
//// \item @|vtkProperty = obj.GetSelectedOutlineProperty ()| -  Get the property of the outline.
//// \item @|vtkProperty = obj.GetEdgesProperty ()| -  Get the property of the intersection edges. (This property also
// applies to the edges when tubed.)
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  Methods to interface with the vtkSliderWidget.
//// \item @|obj.PlaceWidget (double bounds[6])| -  Methods to interface with the vtkSliderWidget.
//// \item @|obj.BuildRepresentation ()| -  Methods to interface with the vtkSliderWidget.
//// \item @|obj.StartWidgetInteraction (double eventPos[2])| -  Methods to interface with the vtkSliderWidget.
//// \item @|obj.WidgetInteraction (double newEventPos[2])| -  Methods to interface with the vtkSliderWidget.
//// \item @|obj.EndWidgetInteraction (double newEventPos[2])| -  Methods to interface with the vtkSliderWidget.
//// \item @|double = obj.GetBounds ()|
// \item @|obj.GetActors (vtkPropCollection pc)|
// \item @|obj.ReleaseGraphicsResources (vtkWindow )|
// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )|
// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )|
// \item @|int = obj.HasTranslucentPolygonalGeometry ()|
// \item @|obj.SetInteractionState (int )| -  The interaction state may be set from a widget (e.g.,
// vtkImplicitPlaneWidget2) or other object. This controls how the
// interaction with the widget proceeds. Normally this method is used as
// part of a handshaking process with the widget: First
// ComputeInteractionState() is invoked that returns a state based on
// geometric considerations (i.e., cursor near a widget feature), then
// based on events, the widget may modify this further.
//// \item @|int = obj.GetInteractionStateMinValue ()| -  The interaction state may be set from a widget (e.g.,
// vtkImplicitPlaneWidget2) or other object. This controls how the
// interaction with the widget proceeds. Normally this method is used as
// part of a handshaking process with the widget: First
// ComputeInteractionState() is invoked that returns a state based on
// geometric considerations (i.e., cursor near a widget feature), then
// based on events, the widget may modify this further.
//// \item @|int = obj.GetInteractionStateMaxValue ()| -  The interaction state may be set from a widget (e.g.,
// vtkImplicitPlaneWidget2) or other object. This controls how the
// interaction with the widget proceeds. Normally this method is used as
// part of a handshaking process with the widget: First
// ComputeInteractionState() is invoked that returns a state based on
// geometric considerations (i.e., cursor near a widget feature), then
// based on events, the widget may modify this further.
//// \item @|obj.SetRepresentationState (int )| -  Sets the visual appearance of the representation based on the
// state it is in. This state is usually the same as InteractionState.
//// \item @|int = obj.GetRepresentationState ()| -  Sets the visual appearance of the representation based on the
// state it is in. This state is usually the same as InteractionState.
////\end{itemize}
//!
