#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImplicitPlaneWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImplicitPlaneWidget.h"

//@@Signature
//sfunction @vtkImplicitPlaneWidget:vtkImplicitPlaneWidget vtkImplicitPlaneWidgetConstructorFunction
//input a
//output p
//@@Parents vtkImplicitPlaneWidget vtkPolyDataSourceWidget 
ArrayVector vtkImplicitPlaneWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImplicitPlaneWidget::New(),"vtkImplicitPlaneWidget",eval);
  } else if (arg[0].className() == "vtkImplicitPlaneWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImplicitPlaneWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImplicitPlaneWidget");
    vtkImplicitPlaneWidget*q = reinterpret_cast<vtkImplicitPlaneWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImplicitPlaneWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetClassName vtkImplicitPlaneWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:IsA vtkImplicitPlaneWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitPlaneWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:NewInstance vtkImplicitPlaneWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitPlaneWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtkImplicitPlaneWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitPlaneWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SafeDownCast vtkImplicitPlaneWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitPlaneWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitPlaneWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImplicitPlaneWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitPlaneWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SetEnabled vtkImplicitPlaneWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:PlaceWidget__1 vtkImplicitPlaneWidgetPlaceWidget__1Function
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetPlaceWidget__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget__1 for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:PlaceWidget__2 vtkImplicitPlaneWidgetPlaceWidget__2Function
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetPlaceWidget__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget ();this Superclass PlaceWidget  */
  if (arg.size() < 1) 
    throw Exception("Function PlaceWidget__2 for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->PlaceWidget();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:PlaceWidget__3 vtkImplicitPlaneWidgetPlaceWidget__3Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImplicitPlaneWidgetPlaceWidget__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax  */
  if (arg.size() < 7) 
    throw Exception("Function PlaceWidget__3 for class vtkImplicitPlaneWidget requires 7 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SetOrigin__1 vtkImplicitPlaneWidgetSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImplicitPlaneWidgetSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOrigin (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkImplicitPlaneWidget requires 4 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SetOrigin__2 vtkImplicitPlaneWidgetSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOrigin (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetOrigin__1 vtkImplicitPlaneWidgetGetOrigin__1Function
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin__1 for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetOrigin__2 vtkImplicitPlaneWidgetGetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetGetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetOrigin (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetOrigin__2 for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SetNormal__1 vtkImplicitPlaneWidgetSetNormal__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImplicitPlaneWidgetSetNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetNormal__1 for class vtkImplicitPlaneWidget requires 4 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetNormal(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SetNormal__2 vtkImplicitPlaneWidgetSetNormal__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetSetNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormal__2 for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetNormal__1 vtkImplicitPlaneWidgetGetNormal__1Function
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormal__1 for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetNormal();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetNormal__2 vtkImplicitPlaneWidgetGetNormal__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetGetNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetNormal (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetNormal__2 for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SetNormalToXAxis vtkImplicitPlaneWidgetSetNormalToXAxisFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetSetNormalToXAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalToXAxis (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalToXAxis for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalToXAxis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetNormalToXAxis vtkImplicitPlaneWidgetGetNormalToXAxisFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetNormalToXAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalToXAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalToXAxis for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalToXAxis();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:NormalToXAxisOn vtkImplicitPlaneWidgetNormalToXAxisOnFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetNormalToXAxisOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToXAxisOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToXAxisOn for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->NormalToXAxisOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:NormalToXAxisOff vtkImplicitPlaneWidgetNormalToXAxisOffFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetNormalToXAxisOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToXAxisOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToXAxisOff for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->NormalToXAxisOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SetNormalToYAxis vtkImplicitPlaneWidgetSetNormalToYAxisFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetSetNormalToYAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalToYAxis (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalToYAxis for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalToYAxis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetNormalToYAxis vtkImplicitPlaneWidgetGetNormalToYAxisFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetNormalToYAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalToYAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalToYAxis for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalToYAxis();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:NormalToYAxisOn vtkImplicitPlaneWidgetNormalToYAxisOnFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetNormalToYAxisOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToYAxisOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToYAxisOn for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->NormalToYAxisOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:NormalToYAxisOff vtkImplicitPlaneWidgetNormalToYAxisOffFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetNormalToYAxisOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToYAxisOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToYAxisOff for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->NormalToYAxisOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SetNormalToZAxis vtkImplicitPlaneWidgetSetNormalToZAxisFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetSetNormalToZAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalToZAxis (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalToZAxis for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalToZAxis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetNormalToZAxis vtkImplicitPlaneWidgetGetNormalToZAxisFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetNormalToZAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalToZAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalToZAxis for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalToZAxis();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:NormalToZAxisOn vtkImplicitPlaneWidgetNormalToZAxisOnFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetNormalToZAxisOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToZAxisOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToZAxisOn for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->NormalToZAxisOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:NormalToZAxisOff vtkImplicitPlaneWidgetNormalToZAxisOffFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetNormalToZAxisOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToZAxisOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToZAxisOff for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->NormalToZAxisOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SetTubing vtkImplicitPlaneWidgetSetTubingFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetSetTubingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTubing (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTubing for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTubing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetTubing vtkImplicitPlaneWidgetGetTubingFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetTubingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTubing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTubing for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTubing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:TubingOn vtkImplicitPlaneWidgetTubingOnFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetTubingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TubingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TubingOn for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->TubingOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:TubingOff vtkImplicitPlaneWidgetTubingOffFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetTubingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TubingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TubingOff for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->TubingOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SetDrawPlane vtkImplicitPlaneWidgetSetDrawPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetSetDrawPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDrawPlane (int plane); */
  if (arg.size() < 2) 
    throw Exception("Function SetDrawPlane for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDrawPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetDrawPlane vtkImplicitPlaneWidgetGetDrawPlaneFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetDrawPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDrawPlane (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDrawPlane for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDrawPlane();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:DrawPlaneOn vtkImplicitPlaneWidgetDrawPlaneOnFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetDrawPlaneOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawPlaneOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DrawPlaneOn for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->DrawPlaneOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:DrawPlaneOff vtkImplicitPlaneWidgetDrawPlaneOffFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetDrawPlaneOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawPlaneOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DrawPlaneOff for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->DrawPlaneOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SetOutlineTranslation vtkImplicitPlaneWidgetSetOutlineTranslationFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetSetOutlineTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutlineTranslation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutlineTranslation for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutlineTranslation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetOutlineTranslation vtkImplicitPlaneWidgetGetOutlineTranslationFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetOutlineTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutlineTranslation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutlineTranslation for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutlineTranslation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:OutlineTranslationOn vtkImplicitPlaneWidgetOutlineTranslationOnFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetOutlineTranslationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineTranslationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OutlineTranslationOn for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->OutlineTranslationOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:OutlineTranslationOff vtkImplicitPlaneWidgetOutlineTranslationOffFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetOutlineTranslationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineTranslationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OutlineTranslationOff for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->OutlineTranslationOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SetOutsideBounds vtkImplicitPlaneWidgetSetOutsideBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetSetOutsideBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutsideBounds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutsideBounds for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutsideBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetOutsideBounds vtkImplicitPlaneWidgetGetOutsideBoundsFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetOutsideBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutsideBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutsideBounds for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutsideBounds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:OutsideBoundsOn vtkImplicitPlaneWidgetOutsideBoundsOnFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetOutsideBoundsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutsideBoundsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OutsideBoundsOn for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->OutsideBoundsOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:OutsideBoundsOff vtkImplicitPlaneWidgetOutsideBoundsOffFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetOutsideBoundsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutsideBoundsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OutsideBoundsOff for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->OutsideBoundsOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SetScaleEnabled vtkImplicitPlaneWidgetSetScaleEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetSetScaleEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaleEnabled for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScaleEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetScaleEnabled vtkImplicitPlaneWidgetGetScaleEnabledFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetScaleEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScaleEnabled (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleEnabled for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScaleEnabled();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:ScaleEnabledOn vtkImplicitPlaneWidgetScaleEnabledOnFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetScaleEnabledOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaleEnabledOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaleEnabledOn for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->ScaleEnabledOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:ScaleEnabledOff vtkImplicitPlaneWidgetScaleEnabledOffFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetScaleEnabledOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaleEnabledOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaleEnabledOff for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->ScaleEnabledOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SetOriginTranslation vtkImplicitPlaneWidgetSetOriginTranslationFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetSetOriginTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOriginTranslation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOriginTranslation for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOriginTranslation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetOriginTranslation vtkImplicitPlaneWidgetGetOriginTranslationFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetOriginTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOriginTranslation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOriginTranslation for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOriginTranslation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:OriginTranslationOn vtkImplicitPlaneWidgetOriginTranslationOnFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetOriginTranslationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OriginTranslationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OriginTranslationOn for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->OriginTranslationOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:OriginTranslationOff vtkImplicitPlaneWidgetOriginTranslationOffFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetOriginTranslationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OriginTranslationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OriginTranslationOff for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->OriginTranslationOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SetDiagonalRatio vtkImplicitPlaneWidgetSetDiagonalRatioFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetSetDiagonalRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiagonalRatio (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDiagonalRatio for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDiagonalRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetDiagonalRatioMinValue vtkImplicitPlaneWidgetGetDiagonalRatioMinValueFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetDiagonalRatioMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDiagonalRatioMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiagonalRatioMinValue for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDiagonalRatioMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetDiagonalRatioMaxValue vtkImplicitPlaneWidgetGetDiagonalRatioMaxValueFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetDiagonalRatioMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDiagonalRatioMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiagonalRatioMaxValue for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDiagonalRatioMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetDiagonalRatio vtkImplicitPlaneWidgetGetDiagonalRatioFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetDiagonalRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDiagonalRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiagonalRatio for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDiagonalRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetPolyData vtkImplicitPlaneWidgetGetPolyDataFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetGetPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPolyData (vtkPolyData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function GetPolyData for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->GetPolyData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetPolyDataAlgorithm vtkImplicitPlaneWidgetGetPolyDataAlgorithmFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetPolyDataAlgorithmFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataAlgorithm *GetPolyDataAlgorithm (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolyDataAlgorithm for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtkPolyDataAlgorithm  *temp20;
  temp20 = (vtk_pointer)->GetPolyDataAlgorithm();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetPlane vtkImplicitPlaneWidgetGetPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitPlaneWidgetGetPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPlane (vtkPlane *plane); */
  if (arg.size() < 2) 
    throw Exception("Function GetPlane for class vtkImplicitPlaneWidget requires 2 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtkPlane  *temp0;
  temp0 = GetVTKPointer<vtkPlane>(arg[1]);
  vtk_pointer->GetPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:UpdatePlacement vtkImplicitPlaneWidgetUpdatePlacementFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetUpdatePlacementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UpdatePlacement (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdatePlacement for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->UpdatePlacement();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SizeHandles vtkImplicitPlaneWidgetSizeHandlesFunction
//input a0 
//output none
ArrayVector vtkImplicitPlaneWidgetSizeHandlesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SizeHandles (); */
  if (arg.size() < 1) 
    throw Exception("Function SizeHandles for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->SizeHandles();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetNormalProperty vtkImplicitPlaneWidgetGetNormalPropertyFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetNormalPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetNormalProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalProperty for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetNormalProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetSelectedNormalProperty vtkImplicitPlaneWidgetGetSelectedNormalPropertyFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetSelectedNormalPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedNormalProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedNormalProperty for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedNormalProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetPlaneProperty vtkImplicitPlaneWidgetGetPlanePropertyFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetPlanePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetPlaneProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlaneProperty for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetPlaneProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetSelectedPlaneProperty vtkImplicitPlaneWidgetGetSelectedPlanePropertyFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetSelectedPlanePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedPlaneProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedPlaneProperty for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedPlaneProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetOutlineProperty vtkImplicitPlaneWidgetGetOutlinePropertyFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetOutlinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetOutlineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutlineProperty for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetOutlineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetSelectedOutlineProperty vtkImplicitPlaneWidgetGetSelectedOutlinePropertyFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetSelectedOutlinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedOutlineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedOutlineProperty for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedOutlineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetEdgesProperty vtkImplicitPlaneWidgetGetEdgesPropertyFunction
//input a0 
//output y
ArrayVector vtkImplicitPlaneWidgetGetEdgesPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetEdgesProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgesProperty for class vtkImplicitPlaneWidget requires 1 argument(s)");
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetEdgesProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:PlaceWidget vtkImplicitPlaneWidgetPlaceWidgetFunction
//input varargin
//output varargout
ArrayVector vtkImplicitPlaneWidgetPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitPlaneWidgetPlaceWidget__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkImplicitPlaneWidgetPlaceWidget__2Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImplicitPlaneWidgetPlaceWidget__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitPlaneWidgetPlaceWidget");
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SetOrigin vtkImplicitPlaneWidgetSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkImplicitPlaneWidgetSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitPlaneWidgetSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitPlaneWidgetSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitPlaneWidgetSetOrigin");
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetOrigin vtkImplicitPlaneWidgetGetOriginFunction
//input varargin
//output varargout
ArrayVector vtkImplicitPlaneWidgetGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImplicitPlaneWidgetGetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitPlaneWidgetGetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitPlaneWidgetGetOrigin");
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:SetNormal vtkImplicitPlaneWidgetSetNormalFunction
//input varargin
//output varargout
ArrayVector vtkImplicitPlaneWidgetSetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitPlaneWidgetSetNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitPlaneWidgetSetNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitPlaneWidgetSetNormal");
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:GetNormal vtkImplicitPlaneWidgetGetNormalFunction
//input varargin
//output varargout
ArrayVector vtkImplicitPlaneWidgetGetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImplicitPlaneWidgetGetNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitPlaneWidgetGetNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitPlaneWidgetGetNormal");
}

//@@Signature
//sfunction @vtkImplicitPlaneWidget:display vtkImplicitPlaneWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImplicitPlaneWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImplicitPlaneWidget* vtk_pointer = GetVTKPointer<vtkImplicitPlaneWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImplicitPlaneWidget:delete vtkImplicitPlaneWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkImplicitPlaneWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImplicitPlaneWidget
//@@Section VTKWidgets
//@@Usage
// This 3D widget defines an infinite plane that can be interactively placed
// in a scene. The widget is represented by a plane with a normal vector; the
// plane is contained by a bounding box, and where the plane intersects the
// bounding box the edges are shown (possibly tubed). The normal can be
// selected and moved to rotate the plane; the plane itself can be selected
// and translated in various directions. As the plane is moved, the implicit
// plane function and polygon (representing the plane cut against the bounding
// box) is updated.
//
// To use this object, just invoke SetInteractor() with the argument of the
// method a vtkRenderWindowInteractor.  You may also wish to invoke
// "PlaceWidget()" to initially position the widget. If the "i" key (for
// "interactor") is pressed, the vtkImplicitPlaneWidget will appear. (See
// superclass documentation for information about changing this behavior.)
// If you select the normal vector, the plane can be arbitrarily rotated. The
// plane can be translated along the normal by selecting the plane and moving
// it. The plane (the plane origin) can also be arbitrary moved by selecting
// the plane with the middle mouse button. The right mouse button can be used
// to uniformly scale the bounding box (moving "up" the box scales larger;
// moving "down" the box scales smaller). Events that occur outside of the
// widget (i.e., no part of the widget is picked) are propagated to any other
// registered obsevers (such as the interaction style).  Turn off the widget
// by pressing the "i" key again (or invoke the Off() method).
//
// The vtkImplicitPlaneWidget has several methods that can be used in
// conjunction with other VTK objects.  The GetPolyData() method can be used
// to get a polygonal representation (the single polygon clipped by the
// bounding box).  Typical usage of the widget is to make use of the
// StartInteractionEvent, InteractionEvent, and EndInteractionEvent
// events. The InteractionEvent is called on mouse motion; the other two
// events are called on button down and button up (either left or right
// button). (Note: there is also a PlaceWidgetEvent that is invoked when
// the widget is placed with PlaceWidget().)
//
// Some additional features of this class include the ability to control the
// properties of the widget. You do this by setting property values on the
// normal vector (selected and unselected properties); the plane (selected
// and unselected properties); the outline (selected and unselected
// properties); and the edges. The edges may also be tubed or not.
//
//To create an instance of class vtkImplicitPlaneWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkImplicitPlaneWidget
//@]
//@@Methods
//The class vtkImplicitPlaneWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImplicitPlaneWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImplicitPlaneWidget = obj.NewInstance ()|
// \item @|vtkImplicitPlaneWidget = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetEnabled (int )| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double bounds[6])| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget ()| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  Get the origin of the plane.
//// \item @|obj.SetOrigin (double x, double y, double z)| -  Get the origin of the plane.
//// \item @|obj.SetOrigin (double x[3])| -  Get the origin of the plane.
//// \item @|double = obj.GetOrigin ()| -  Get the origin of the plane.
//// \item @|obj.GetOrigin (double xyz[3])| -  Get the origin of the plane.
//// \item @|obj.SetNormal (double x, double y, double z)| -  Get the normal to the plane.
//// \item @|obj.SetNormal (double x[3])| -  Get the normal to the plane.
//// \item @|double = obj.GetNormal ()| -  Get the normal to the plane.
//// \item @|obj.GetNormal (double xyz[3])| -  Get the normal to the plane.
//// \item @|obj.SetNormalToXAxis (int )| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|int = obj.GetNormalToXAxis ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToXAxisOn ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToXAxisOff ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.SetNormalToYAxis (int )| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|int = obj.GetNormalToYAxis ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToYAxisOn ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToYAxisOff ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.SetNormalToZAxis (int )| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|int = obj.GetNormalToZAxis ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToZAxisOn ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToZAxisOff ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// If one axis is set on, the other two will be set off.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.SetTubing (int )| -  Turn on/off tubing of the wire outline of the plane. The tube thickens
// the line by wrapping with a vtkTubeFilter.
//// \item @|int = obj.GetTubing ()| -  Turn on/off tubing of the wire outline of the plane. The tube thickens
// the line by wrapping with a vtkTubeFilter.
//// \item @|obj.TubingOn ()| -  Turn on/off tubing of the wire outline of the plane. The tube thickens
// the line by wrapping with a vtkTubeFilter.
//// \item @|obj.TubingOff ()| -  Turn on/off tubing of the wire outline of the plane. The tube thickens
// the line by wrapping with a vtkTubeFilter.
//// \item @|obj.SetDrawPlane (int plane)| -  Enable/disable the drawing of the plane. In some cases the plane
// interferes with the object that it is operating on (i.e., the
// plane interferes with the cut surface it produces producing
// z-buffer artifacts.)
//// \item @|int = obj.GetDrawPlane ()| -  Enable/disable the drawing of the plane. In some cases the plane
// interferes with the object that it is operating on (i.e., the
// plane interferes with the cut surface it produces producing
// z-buffer artifacts.)
//// \item @|obj.DrawPlaneOn ()| -  Enable/disable the drawing of the plane. In some cases the plane
// interferes with the object that it is operating on (i.e., the
// plane interferes with the cut surface it produces producing
// z-buffer artifacts.)
//// \item @|obj.DrawPlaneOff ()| -  Enable/disable the drawing of the plane. In some cases the plane
// interferes with the object that it is operating on (i.e., the
// plane interferes with the cut surface it produces producing
// z-buffer artifacts.)
//// \item @|obj.SetOutlineTranslation (int )| -  Turn on/off the ability to translate the bounding box by grabbing it
// with the left mouse button.
//// \item @|int = obj.GetOutlineTranslation ()| -  Turn on/off the ability to translate the bounding box by grabbing it
// with the left mouse button.
//// \item @|obj.OutlineTranslationOn ()| -  Turn on/off the ability to translate the bounding box by grabbing it
// with the left mouse button.
//// \item @|obj.OutlineTranslationOff ()| -  Turn on/off the ability to translate the bounding box by grabbing it
// with the left mouse button.
//// \item @|obj.SetOutsideBounds (int )| -  Turn on/off the ability to move the widget outside of the input's bound
//// \item @|int = obj.GetOutsideBounds ()| -  Turn on/off the ability to move the widget outside of the input's bound
//// \item @|obj.OutsideBoundsOn ()| -  Turn on/off the ability to move the widget outside of the input's bound
//// \item @|obj.OutsideBoundsOff ()| -  Turn on/off the ability to move the widget outside of the input's bound
//// \item @|obj.SetScaleEnabled (int )| -  Turn on/off the ability to scale with the mouse
//// \item @|int = obj.GetScaleEnabled ()| -  Turn on/off the ability to scale with the mouse
//// \item @|obj.ScaleEnabledOn ()| -  Turn on/off the ability to scale with the mouse
//// \item @|obj.ScaleEnabledOff ()| -  Turn on/off the ability to scale with the mouse
//// \item @|obj.SetOriginTranslation (int )| -  Turn on/off the ability to translate the origin (sphere)
// with the left mouse button.
//// \item @|int = obj.GetOriginTranslation ()| -  Turn on/off the ability to translate the origin (sphere)
// with the left mouse button.
//// \item @|obj.OriginTranslationOn ()| -  Turn on/off the ability to translate the origin (sphere)
// with the left mouse button.
//// \item @|obj.OriginTranslationOff ()| -  Turn on/off the ability to translate the origin (sphere)
// with the left mouse button.
//// \item @|obj.SetDiagonalRatio (double )| -  By default the arrow is 30% of the diagonal length. DiagonalRatio control
// this ratio in the interval [0-2]
//// \item @|double = obj.GetDiagonalRatioMinValue ()| -  By default the arrow is 30% of the diagonal length. DiagonalRatio control
// this ratio in the interval [0-2]
//// \item @|double = obj.GetDiagonalRatioMaxValue ()| -  By default the arrow is 30% of the diagonal length. DiagonalRatio control
// this ratio in the interval [0-2]
//// \item @|double = obj.GetDiagonalRatio ()| -  By default the arrow is 30% of the diagonal length. DiagonalRatio control
// this ratio in the interval [0-2]
//// \item @|obj.GetPolyData (vtkPolyData pd)| -  Grab the polydata that defines the plane. The polydata contains a single
// polygon that is clipped by the bounding box.
//// \item @|vtkPolyDataAlgorithm = obj.GetPolyDataAlgorithm ()| -  Satisfies superclass API.  This returns a pointer to the underlying
// PolyData (which represents the plane).
//// \item @|obj.GetPlane (vtkPlane plane)| -  Get the implicit function for the plane. The user must provide the
// instance of the class vtkPlane. Note that vtkPlane is a subclass of
// vtkImplicitFunction, meaning that it can be used by a variety of filters
// to perform clipping, cutting, and selection of data.
//// \item @|obj.UpdatePlacement ()| -  Satisfies the superclass API.  This will change the state of the widget
// to match changes that have been made to the underlying PolyDataSource
//// \item @|obj.SizeHandles ()| -  Control widget appearance
//// \item @|vtkProperty = obj.GetNormalProperty ()| -  Get the properties on the normal (line and cone).
//// \item @|vtkProperty = obj.GetSelectedNormalProperty ()| -  Get the properties on the normal (line and cone).
//// \item @|vtkProperty = obj.GetPlaneProperty ()| -  Get the plane properties. The properties of the plane when selected
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetSelectedPlaneProperty ()| -  Get the plane properties. The properties of the plane when selected
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetOutlineProperty ()| -  Get the property of the outline.
//// \item @|vtkProperty = obj.GetSelectedOutlineProperty ()| -  Get the property of the outline.
//// \item @|vtkProperty = obj.GetEdgesProperty ()| -  Get the property of the intersection edges. (This property also
// applies to the edges when tubed.)
////\end{itemize}
//!
