#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLineRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLineRepresentation.h"

//@@Signature
//sfunction @vtkLineRepresentation:vtkLineRepresentation vtkLineRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkLineRepresentation vtkWidgetRepresentation 
ArrayVector vtkLineRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLineRepresentation::New(),"vtkLineRepresentation",eval);
  } else if (arg[0].className() == "vtkLineRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLineRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLineRepresentation");
    vtkLineRepresentation*q = reinterpret_cast<vtkLineRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLineRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLineRepresentation:GetClassName vtkLineRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:IsA vtkLineRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLineRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:NewInstance vtkLineRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLineRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkLineRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLineRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:SafeDownCast vtkLineRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLineRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLineRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLineRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLineRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetPoint1WorldPosition__1 vtkLineRepresentationGetPoint1WorldPosition__1Function
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationGetPoint1WorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint1WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint1WorldPosition__1 for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint1WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetPoint1WorldPosition__2 vtkLineRepresentationGetPoint1WorldPosition__2Function
//input a0 
//output y
ArrayVector vtkLineRepresentationGetPoint1WorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPoint1WorldPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1WorldPosition__2 for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint1WorldPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetPoint1DisplayPosition__1 vtkLineRepresentationGetPoint1DisplayPosition__1Function
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationGetPoint1DisplayPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint1DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint1DisplayPosition__1 for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint1DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetPoint1DisplayPosition__2 vtkLineRepresentationGetPoint1DisplayPosition__2Function
//input a0 
//output y
ArrayVector vtkLineRepresentationGetPoint1DisplayPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPoint1DisplayPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1DisplayPosition__2 for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint1DisplayPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:SetPoint1WorldPosition vtkLineRepresentationSetPoint1WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationSetPoint1WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1WorldPosition for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:SetPoint1DisplayPosition vtkLineRepresentationSetPoint1DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationSetPoint1DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1DisplayPosition for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetPoint2DisplayPosition__1 vtkLineRepresentationGetPoint2DisplayPosition__1Function
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationGetPoint2DisplayPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint2DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint2DisplayPosition__1 for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint2DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetPoint2DisplayPosition__2 vtkLineRepresentationGetPoint2DisplayPosition__2Function
//input a0 
//output y
ArrayVector vtkLineRepresentationGetPoint2DisplayPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPoint2DisplayPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2DisplayPosition__2 for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint2DisplayPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetPoint2WorldPosition__1 vtkLineRepresentationGetPoint2WorldPosition__1Function
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationGetPoint2WorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint2WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint2WorldPosition__1 for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint2WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetPoint2WorldPosition__2 vtkLineRepresentationGetPoint2WorldPosition__2Function
//input a0 
//output y
ArrayVector vtkLineRepresentationGetPoint2WorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPoint2WorldPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2WorldPosition__2 for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint2WorldPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:SetPoint2WorldPosition vtkLineRepresentationSetPoint2WorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationSetPoint2WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2WorldPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2WorldPosition for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2WorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:SetPoint2DisplayPosition vtkLineRepresentationSetPoint2DisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationSetPoint2DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2DisplayPosition (double pos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2DisplayPosition for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2DisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:SetHandleRepresentation vtkLineRepresentationSetHandleRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationSetHandleRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleRepresentation (vtkPointHandleRepresentation3D *handle); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleRepresentation for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkPointHandleRepresentation3D  *temp0;
  temp0 = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[1]);
  vtk_pointer->SetHandleRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:InstantiateHandleRepresentation vtkLineRepresentationInstantiateHandleRepresentationFunction
//input a0 
//output none
ArrayVector vtkLineRepresentationInstantiateHandleRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InstantiateHandleRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function InstantiateHandleRepresentation for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->InstantiateHandleRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetPoint1Representation vtkLineRepresentationGetPoint1RepresentationFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetPoint1RepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointHandleRepresentation3D *GetPoint1Representation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1Representation for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkPointHandleRepresentation3D  *temp20;
  temp20 = (vtk_pointer)->GetPoint1Representation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointHandleRepresentation3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetPoint2Representation vtkLineRepresentationGetPoint2RepresentationFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetPoint2RepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointHandleRepresentation3D *GetPoint2Representation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2Representation for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkPointHandleRepresentation3D  *temp20;
  temp20 = (vtk_pointer)->GetPoint2Representation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointHandleRepresentation3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetLineHandleRepresentation vtkLineRepresentationGetLineHandleRepresentationFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetLineHandleRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointHandleRepresentation3D *GetLineHandleRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineHandleRepresentation for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkPointHandleRepresentation3D  *temp20;
  temp20 = (vtk_pointer)->GetLineHandleRepresentation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointHandleRepresentation3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetEndPointProperty vtkLineRepresentationGetEndPointPropertyFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetEndPointPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetEndPointProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndPointProperty for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetEndPointProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetSelectedEndPointProperty vtkLineRepresentationGetSelectedEndPointPropertyFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetSelectedEndPointPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedEndPointProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedEndPointProperty for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedEndPointProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetEndPoint2Property vtkLineRepresentationGetEndPoint2PropertyFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetEndPoint2PropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetEndPoint2Property (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndPoint2Property for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetEndPoint2Property();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetSelectedEndPoint2Property vtkLineRepresentationGetSelectedEndPoint2PropertyFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetSelectedEndPoint2PropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedEndPoint2Property (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedEndPoint2Property for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedEndPoint2Property();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetLineProperty vtkLineRepresentationGetLinePropertyFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetLinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetLineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineProperty for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetLineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetSelectedLineProperty vtkLineRepresentationGetSelectedLinePropertyFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetSelectedLinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedLineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedLineProperty for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedLineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:SetTolerance vtkLineRepresentationSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetToleranceMinValue vtkLineRepresentationGetToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMinValue for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetToleranceMaxValue vtkLineRepresentationGetToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMaxValue for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetTolerance vtkLineRepresentationGetToleranceFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:SetResolution vtkLineRepresentationSetResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationSetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResolution (int res); */
  if (arg.size() < 2) 
    throw Exception("Function SetResolution for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetResolution vtkLineRepresentationGetResolutionFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolution for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetPolyData vtkLineRepresentationGetPolyDataFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationGetPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPolyData (vtkPolyData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function GetPolyData for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->GetPolyData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:PlaceWidget vtkLineRepresentationPlaceWidgetFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:BuildRepresentation vtkLineRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkLineRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:ComputeInteractionState vtkLineRepresentationComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkLineRepresentationComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkLineRepresentation requires 4 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:StartWidgetInteraction vtkLineRepresentationStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:WidgetInteraction vtkLineRepresentationWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetBounds vtkLineRepresentationGetBoundsFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetActors vtkLineRepresentationGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors (vtkPropCollection *pc); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:ReleaseGraphicsResources vtkLineRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:RenderOpaqueGeometry vtkLineRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkLineRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:RenderTranslucentPolygonalGeometry vtkLineRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkLineRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:HasTranslucentPolygonalGeometry vtkLineRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:SetInteractionState vtkLineRepresentationSetInteractionStateFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationSetInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInteractionState (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractionState for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInteractionState(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetInteractionStateMinValue vtkLineRepresentationGetInteractionStateMinValueFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetInteractionStateMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInteractionStateMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteractionStateMinValue for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInteractionStateMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetInteractionStateMaxValue vtkLineRepresentationGetInteractionStateMaxValueFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetInteractionStateMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInteractionStateMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteractionStateMaxValue for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInteractionStateMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:SetRepresentationState vtkLineRepresentationSetRepresentationStateFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationSetRepresentationStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRepresentationState (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentationState for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRepresentationState(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetRepresentationState vtkLineRepresentationGetRepresentationStateFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetRepresentationStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepresentationState (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepresentationState for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepresentationState();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetMTime vtkLineRepresentationGetMTimeFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:SetRenderer vtkLineRepresentationSetRendererFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationSetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRenderer (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderer for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:SetDistanceAnnotationVisibility vtkLineRepresentationSetDistanceAnnotationVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationSetDistanceAnnotationVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDistanceAnnotationVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDistanceAnnotationVisibility for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDistanceAnnotationVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetDistanceAnnotationVisibility vtkLineRepresentationGetDistanceAnnotationVisibilityFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetDistanceAnnotationVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDistanceAnnotationVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistanceAnnotationVisibility for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDistanceAnnotationVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:DistanceAnnotationVisibilityOn vtkLineRepresentationDistanceAnnotationVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkLineRepresentationDistanceAnnotationVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DistanceAnnotationVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DistanceAnnotationVisibilityOn for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->DistanceAnnotationVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:DistanceAnnotationVisibilityOff vtkLineRepresentationDistanceAnnotationVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkLineRepresentationDistanceAnnotationVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DistanceAnnotationVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DistanceAnnotationVisibilityOff for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->DistanceAnnotationVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:SetDistanceAnnotationFormat vtkLineRepresentationSetDistanceAnnotationFormatFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationSetDistanceAnnotationFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDistanceAnnotationFormat (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDistanceAnnotationFormat for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetDistanceAnnotationFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetDistanceAnnotationFormat vtkLineRepresentationGetDistanceAnnotationFormatFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetDistanceAnnotationFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetDistanceAnnotationFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistanceAnnotationFormat for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetDistanceAnnotationFormat();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:SetDistanceAnnotationScale vtkLineRepresentationSetDistanceAnnotationScaleFunction
//input a0 a1 
//output none
ArrayVector vtkLineRepresentationSetDistanceAnnotationScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDistanceAnnotationScale (double scale[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDistanceAnnotationScale for class vtkLineRepresentation requires 2 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDistanceAnnotationScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetDistance vtkLineRepresentationGetDistanceFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistance for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:SetLineColor vtkLineRepresentationSetLineColorFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLineRepresentationSetLineColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineColor (double r, double g, double b); */
  if (arg.size() < 4) 
    throw Exception("Function SetLineColor for class vtkLineRepresentation requires 4 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetLineColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetDistanceAnnotationProperty vtkLineRepresentationGetDistanceAnnotationPropertyFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetDistanceAnnotationPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkProperty *GetDistanceAnnotationProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistanceAnnotationProperty for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetDistanceAnnotationProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetTextActor vtkLineRepresentationGetTextActorFunction
//input a0 
//output y
ArrayVector vtkLineRepresentationGetTextActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFollower *GetTextActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextActor for class vtkLineRepresentation requires 1 argument(s)");
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  Array retval;
  vtkFollower  *temp20;
  temp20 = (vtk_pointer)->GetTextActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFollower",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineRepresentation:GetPoint1WorldPosition vtkLineRepresentationGetPoint1WorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkLineRepresentationGetPoint1WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLineRepresentationGetPoint1WorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkLineRepresentationGetPoint1WorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLineRepresentationGetPoint1WorldPosition");
}

//@@Signature
//sfunction @vtkLineRepresentation:GetPoint1DisplayPosition vtkLineRepresentationGetPoint1DisplayPositionFunction
//input varargin
//output varargout
ArrayVector vtkLineRepresentationGetPoint1DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLineRepresentationGetPoint1DisplayPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkLineRepresentationGetPoint1DisplayPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLineRepresentationGetPoint1DisplayPosition");
}

//@@Signature
//sfunction @vtkLineRepresentation:GetPoint2DisplayPosition vtkLineRepresentationGetPoint2DisplayPositionFunction
//input varargin
//output varargout
ArrayVector vtkLineRepresentationGetPoint2DisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLineRepresentationGetPoint2DisplayPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkLineRepresentationGetPoint2DisplayPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLineRepresentationGetPoint2DisplayPosition");
}

//@@Signature
//sfunction @vtkLineRepresentation:GetPoint2WorldPosition vtkLineRepresentationGetPoint2WorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkLineRepresentationGetPoint2WorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLineRepresentationGetPoint2WorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkLineRepresentationGetPoint2WorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLineRepresentationGetPoint2WorldPosition");
}

//@@Signature
//sfunction @vtkLineRepresentation:display vtkLineRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLineRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLineRepresentation* vtk_pointer = GetVTKPointer<vtkLineRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLineRepresentation:delete vtkLineRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkLineRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLineRepresentation
//@@Section VTKWidgets
//@@Usage
// This class is a concrete representation for the vtkLineWidget2. It
// represents a straight line with three handles: one at the beginning and
// ending of the line, and one used to translate the line. Through
// interaction with the widget, the line representation can be arbitrarily
// placed in the 3D space.
//
// To use this representation, you normally specify the position of the two
// end points (either in world or display coordinates). The PlaceWidget()
// method is also used to intially position the representation.
//
//To create an instance of class vtkLineRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkLineRepresentation
//@]
//@@Methods
//The class vtkLineRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLineRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for the class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for the class.
//// \item @|vtkLineRepresentation = obj.NewInstance ()| -  Standard methods for the class.
//// \item @|vtkLineRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard methods for the class.
//// \item @|obj.GetPoint1WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|double = obj.GetPoint1WorldPosition ()| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint1DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|double = obj.GetPoint1DisplayPosition ()| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint1WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint1DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint2DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|double = obj.GetPoint2DisplayPosition ()| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.GetPoint2WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|double = obj.GetPoint2WorldPosition ()| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint2WorldPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetPoint2DisplayPosition (double pos[3])| -  Methods to Set/Get the coordinates of the two points defining
// this representation. Note that methods are available for both
// display and world coordinates.
//// \item @|obj.SetHandleRepresentation (vtkPointHandleRepresentation3D handle)| -  This method is used to specify the type of handle representation to
// use for the three internal vtkHandleWidgets within vtkLineWidget2.
// To use this method, create a dummy vtkHandleWidget (or subclass),
// and then invoke this method with this dummy. Then the 
// vtkLineRepresentation uses this dummy to clone three vtkHandleWidgets
// of the same type. Make sure you set the handle representation before
// the widget is enabled. (The method InstantiateHandleRepresentation()
// is invoked by the vtkLineWidget2.)
//// \item @|obj.InstantiateHandleRepresentation ()| -  This method is used to specify the type of handle representation to
// use for the three internal vtkHandleWidgets within vtkLineWidget2.
// To use this method, create a dummy vtkHandleWidget (or subclass),
// and then invoke this method with this dummy. Then the 
// vtkLineRepresentation uses this dummy to clone three vtkHandleWidgets
// of the same type. Make sure you set the handle representation before
// the widget is enabled. (The method InstantiateHandleRepresentation()
// is invoked by the vtkLineWidget2.)
//// \item @|vtkPointHandleRepresentation3D = obj.GetPoint1Representation ()| -  Get the three handle representations used for the vtkLineWidget2. 
//// \item @|vtkPointHandleRepresentation3D = obj.GetPoint2Representation ()| -  Get the three handle representations used for the vtkLineWidget2. 
//// \item @|vtkPointHandleRepresentation3D = obj.GetLineHandleRepresentation ()| -  Get the three handle representations used for the vtkLineWidget2. 
//// \item @|vtkProperty = obj.GetEndPointProperty ()| -  Get the end-point (sphere) properties. The properties of the end-points 
// when selected and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetSelectedEndPointProperty ()| -  Get the end-point (sphere) properties. The properties of the end-points 
// when selected and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetEndPoint2Property ()| -  Get the end-point (sphere) properties. The properties of the end-points 
// when selected and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetSelectedEndPoint2Property ()| -  Get the end-point (sphere) properties. The properties of the end-points 
// when selected and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetLineProperty ()| -  Get the line properties. The properties of the line when selected
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetSelectedLineProperty ()| -  Get the line properties. The properties of the line when selected
// and unselected can be manipulated.
//// \item @|obj.SetTolerance (int )| -  The tolerance representing the distance to the widget (in pixels) in
// which the cursor is considered near enough to the line or end point 
// to be active.
//// \item @|int = obj.GetToleranceMinValue ()| -  The tolerance representing the distance to the widget (in pixels) in
// which the cursor is considered near enough to the line or end point 
// to be active.
//// \item @|int = obj.GetToleranceMaxValue ()| -  The tolerance representing the distance to the widget (in pixels) in
// which the cursor is considered near enough to the line or end point 
// to be active.
//// \item @|int = obj.GetTolerance ()| -  The tolerance representing the distance to the widget (in pixels) in
// which the cursor is considered near enough to the line or end point 
// to be active.
//// \item @|obj.SetResolution (int res)| -  Set/Get the resolution (number of subdivisions) of the line. A line with
// resolution greater than one is useful when points along the line are
// desired; e.g., generating a rake of streamlines.
//// \item @|int = obj.GetResolution ()| -  Set/Get the resolution (number of subdivisions) of the line. A line with
// resolution greater than one is useful when points along the line are
// desired; e.g., generating a rake of streamlines.
//// \item @|obj.GetPolyData (vtkPolyData pd)| -  Retrieve the polydata (including points) that defines the line.  The
// polydata consists of n+1 points, where n is the resolution of the
// line. These point values are guaranteed to be up-to-date whenever any
// one of the three handles are moved. To use this method, the user
// provides the vtkPolyData as an input argument, and the points and
// polyline are copied into it.
//// \item @|obj.PlaceWidget (double bounds[6])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.BuildRepresentation ()| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.StartWidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.WidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|double = obj.GetBounds ()| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|obj.GetActors (vtkPropCollection pc)| -  Methods supporting the rendering process.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Methods supporting the rendering process.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  Methods supporting the rendering process.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  Methods supporting the rendering process.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Methods supporting the rendering process.
//// \item @|obj.SetInteractionState (int )| -  The interaction state may be set from a widget (e.g., vtkLineWidget2) or
// other object. This controls how the interaction with the widget
// proceeds. Normally this method is used as part of a handshaking
// process with the widget: First ComputeInteractionState() is invoked that
// returns a state based on geometric considerations (i.e., cursor near a
// widget feature), then based on events, the widget may modify this
// further.
//// \item @|int = obj.GetInteractionStateMinValue ()| -  The interaction state may be set from a widget (e.g., vtkLineWidget2) or
// other object. This controls how the interaction with the widget
// proceeds. Normally this method is used as part of a handshaking
// process with the widget: First ComputeInteractionState() is invoked that
// returns a state based on geometric considerations (i.e., cursor near a
// widget feature), then based on events, the widget may modify this
// further.
//// \item @|int = obj.GetInteractionStateMaxValue ()| -  The interaction state may be set from a widget (e.g., vtkLineWidget2) or
// other object. This controls how the interaction with the widget
// proceeds. Normally this method is used as part of a handshaking
// process with the widget: First ComputeInteractionState() is invoked that
// returns a state based on geometric considerations (i.e., cursor near a
// widget feature), then based on events, the widget may modify this
// further.
//// \item @|obj.SetRepresentationState (int )| -  Sets the visual appearance of the representation based on the
// state it is in. This state is usually the same as InteractionState.
//// \item @|int = obj.GetRepresentationState ()| -  Sets the visual appearance of the representation based on the
// state it is in. This state is usually the same as InteractionState.
//// \item @|long = obj.GetMTime ()| -  Overload the superclasses' GetMTime() because internal classes
// are used to keep the state of the representation.
//// \item @|obj.SetRenderer (vtkRenderer ren)| -  Overridden to set the rendererer on the internal representations.
//// \item @|obj.SetDistanceAnnotationVisibility (int )| -  Show the distance between the points
//// \item @|int = obj.GetDistanceAnnotationVisibility ()| -  Show the distance between the points
//// \item @|obj.DistanceAnnotationVisibilityOn ()| -  Show the distance between the points
//// \item @|obj.DistanceAnnotationVisibilityOff ()| -  Show the distance between the points
//// \item @|obj.SetDistanceAnnotationFormat (string )| -  Specify the format to use for labelling the angle. Note that an empty
// string results in no label, or a format string without a "%" character
// will not print the angle value.
//// \item @|string = obj.GetDistanceAnnotationFormat ()| -  Specify the format to use for labelling the angle. Note that an empty
// string results in no label, or a format string without a "%" character
// will not print the angle value.
//// \item @|obj.SetDistanceAnnotationScale (double scale[3])| -  Scale text (font size along each dimension).
//// \item @|double = obj.GetDistance ()| -  Get the distance between the points.
//// \item @|obj.SetLineColor (double r, double g, double b)| -  Convenience method to set the line color.
// Ideally one should use GetLineProperty()->SetColor().
//// \item @|vtkProperty = obj.GetDistanceAnnotationProperty ()| -  Get the distance annotation property
//// \item @|vtkFollower = obj.GetTextActor ()| -  Get the text actor
////\end{itemize}
//!
