#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLineWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLineWidget.h"

//@@Signature
//sfunction @vtkLineWidget:vtkLineWidget vtkLineWidgetConstructorFunction
//input a
//output p
//@@Parents vtkLineWidget vtk3DWidget 
ArrayVector vtkLineWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLineWidget::New(),"vtkLineWidget",eval);
  } else if (arg[0].className() == "vtkLineWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLineWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLineWidget");
    vtkLineWidget*q = reinterpret_cast<vtkLineWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLineWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLineWidget:GetClassName vtkLineWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLineWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:IsA vtkLineWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLineWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLineWidget requires 2 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:NewInstance vtkLineWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLineWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLineWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  vtkLineWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLineWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:SafeDownCast vtkLineWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLineWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLineWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLineWidget requires 2 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLineWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLineWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:SetEnabled vtkLineWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkLineWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkLineWidget requires 2 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:PlaceWidget__1 vtkLineWidgetPlaceWidget__1Function
//input a0 a1 
//output none
ArrayVector vtkLineWidgetPlaceWidget__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget__1 for class vtkLineWidget requires 2 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:PlaceWidget__2 vtkLineWidgetPlaceWidget__2Function
//input a0 
//output none
ArrayVector vtkLineWidgetPlaceWidget__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget ();this Superclass PlaceWidget  */
  if (arg.size() < 1) 
    throw Exception("Function PlaceWidget__2 for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  vtk_pointer->PlaceWidget();
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:PlaceWidget__3 vtkLineWidgetPlaceWidget__3Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkLineWidgetPlaceWidget__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax  */
  if (arg.size() < 7) 
    throw Exception("Function PlaceWidget__3 for class vtkLineWidget requires 7 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:SetResolution vtkLineWidgetSetResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkLineWidgetSetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResolution (int r);this LineSource SetResolution r  */
  if (arg.size() < 2) 
    throw Exception("Function SetResolution for class vtkLineWidget requires 2 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:GetResolution vtkLineWidgetGetResolutionFunction
//input a0 
//output y
ArrayVector vtkLineWidgetGetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolution ();return this LineSource GetResolution  */
  if (arg.size() < 1) 
    throw Exception("Function GetResolution for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:SetPoint1__1 vtkLineWidgetSetPoint1__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLineWidgetSetPoint1__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1 (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint1__1 for class vtkLineWidget requires 4 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint1(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:SetPoint1__2 vtkLineWidgetSetPoint1__2Function
//input a0 a1 
//output none
ArrayVector vtkLineWidgetSetPoint1__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1 (double x[3]);this SetPoint1 x x x  */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1__2 for class vtkLineWidget requires 2 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:GetPoint1__1 vtkLineWidgetGetPoint1__1Function
//input a0 
//output y
ArrayVector vtkLineWidgetGetPoint1__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPoint1 ();return this LineSource GetPoint1  */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1__1 for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint1();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:GetPoint1__2 vtkLineWidgetGetPoint1__2Function
//input a0 a1 
//output none
ArrayVector vtkLineWidgetGetPoint1__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint1 (double xyz[3]);this LineSource GetPoint1 xyz  */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint1__2 for class vtkLineWidget requires 2 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:SetPoint2__1 vtkLineWidgetSetPoint2__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLineWidgetSetPoint2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2 (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint2__1 for class vtkLineWidget requires 4 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint2(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:SetPoint2__2 vtkLineWidgetSetPoint2__2Function
//input a0 a1 
//output none
ArrayVector vtkLineWidgetSetPoint2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2 (double x[3]);this SetPoint2 x x x  */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2__2 for class vtkLineWidget requires 2 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:GetPoint2__1 vtkLineWidgetGetPoint2__1Function
//input a0 
//output y
ArrayVector vtkLineWidgetGetPoint2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPoint2 ();return this LineSource GetPoint2  */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2__1 for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint2();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:GetPoint2__2 vtkLineWidgetGetPoint2__2Function
//input a0 a1 
//output none
ArrayVector vtkLineWidgetGetPoint2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint2 (double xyz[3]);this LineSource GetPoint2 xyz  */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint2__2 for class vtkLineWidget requires 2 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:SetAlign vtkLineWidgetSetAlignFunction
//input a0 a1 
//output none
ArrayVector vtkLineWidgetSetAlignFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAlign (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAlign for class vtkLineWidget requires 2 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAlign(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:GetAlignMinValue vtkLineWidgetGetAlignMinValueFunction
//input a0 
//output y
ArrayVector vtkLineWidgetGetAlignMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAlignMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAlignMinValue for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAlignMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:GetAlignMaxValue vtkLineWidgetGetAlignMaxValueFunction
//input a0 
//output y
ArrayVector vtkLineWidgetGetAlignMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAlignMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAlignMaxValue for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAlignMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:GetAlign vtkLineWidgetGetAlignFunction
//input a0 
//output y
ArrayVector vtkLineWidgetGetAlignFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAlign (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAlign for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAlign();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:SetAlignToXAxis vtkLineWidgetSetAlignToXAxisFunction
//input a0 
//output none
ArrayVector vtkLineWidgetSetAlignToXAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAlignToXAxis ();this SetAlign XAxis  */
  if (arg.size() < 1) 
    throw Exception("Function SetAlignToXAxis for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetAlignToXAxis();
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:SetAlignToYAxis vtkLineWidgetSetAlignToYAxisFunction
//input a0 
//output none
ArrayVector vtkLineWidgetSetAlignToYAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAlignToYAxis ();this SetAlign YAxis  */
  if (arg.size() < 1) 
    throw Exception("Function SetAlignToYAxis for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetAlignToYAxis();
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:SetAlignToZAxis vtkLineWidgetSetAlignToZAxisFunction
//input a0 
//output none
ArrayVector vtkLineWidgetSetAlignToZAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAlignToZAxis ();this SetAlign ZAxis  */
  if (arg.size() < 1) 
    throw Exception("Function SetAlignToZAxis for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetAlignToZAxis();
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:SetAlignToNone vtkLineWidgetSetAlignToNoneFunction
//input a0 
//output none
ArrayVector vtkLineWidgetSetAlignToNoneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAlignToNone ();this SetAlign None  */
  if (arg.size() < 1) 
    throw Exception("Function SetAlignToNone for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetAlignToNone();
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:SetClampToBounds vtkLineWidgetSetClampToBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkLineWidgetSetClampToBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClampToBounds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetClampToBounds for class vtkLineWidget requires 2 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClampToBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:GetClampToBounds vtkLineWidgetGetClampToBoundsFunction
//input a0 
//output y
ArrayVector vtkLineWidgetGetClampToBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClampToBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClampToBounds for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClampToBounds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:ClampToBoundsOn vtkLineWidgetClampToBoundsOnFunction
//input a0 
//output none
ArrayVector vtkLineWidgetClampToBoundsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClampToBoundsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ClampToBoundsOn for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  vtk_pointer->ClampToBoundsOn();
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:ClampToBoundsOff vtkLineWidgetClampToBoundsOffFunction
//input a0 
//output none
ArrayVector vtkLineWidgetClampToBoundsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClampToBoundsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ClampToBoundsOff for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  vtk_pointer->ClampToBoundsOff();
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:GetPolyData vtkLineWidgetGetPolyDataFunction
//input a0 a1 
//output none
ArrayVector vtkLineWidgetGetPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPolyData (vtkPolyData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function GetPolyData for class vtkLineWidget requires 2 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->GetPolyData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:GetHandleProperty vtkLineWidgetGetHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkLineWidgetGetHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleProperty for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:GetSelectedHandleProperty vtkLineWidgetGetSelectedHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkLineWidgetGetSelectedHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedHandleProperty for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:GetLineProperty vtkLineWidgetGetLinePropertyFunction
//input a0 
//output y
ArrayVector vtkLineWidgetGetLinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetLineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineProperty for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetLineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:GetSelectedLineProperty vtkLineWidgetGetSelectedLinePropertyFunction
//input a0 
//output y
ArrayVector vtkLineWidgetGetSelectedLinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedLineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedLineProperty for class vtkLineWidget requires 1 argument(s)");
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedLineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLineWidget:PlaceWidget vtkLineWidgetPlaceWidgetFunction
//input varargin
//output varargout
ArrayVector vtkLineWidgetPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLineWidgetPlaceWidget__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkLineWidgetPlaceWidget__2Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkLineWidgetPlaceWidget__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLineWidgetPlaceWidget");
}

//@@Signature
//sfunction @vtkLineWidget:SetPoint1 vtkLineWidgetSetPoint1Function
//input varargin
//output varargout
ArrayVector vtkLineWidgetSetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLineWidgetSetPoint1__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLineWidgetSetPoint1__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLineWidgetSetPoint1");
}

//@@Signature
//sfunction @vtkLineWidget:GetPoint1 vtkLineWidgetGetPoint1Function
//input varargin
//output varargout
ArrayVector vtkLineWidgetGetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkLineWidgetGetPoint1__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLineWidgetGetPoint1__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLineWidgetGetPoint1");
}

//@@Signature
//sfunction @vtkLineWidget:SetPoint2 vtkLineWidgetSetPoint2Function
//input varargin
//output varargout
ArrayVector vtkLineWidgetSetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLineWidgetSetPoint2__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLineWidgetSetPoint2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLineWidgetSetPoint2");
}

//@@Signature
//sfunction @vtkLineWidget:GetPoint2 vtkLineWidgetGetPoint2Function
//input varargin
//output varargout
ArrayVector vtkLineWidgetGetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkLineWidgetGetPoint2__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLineWidgetGetPoint2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLineWidgetGetPoint2");
}

//@@Signature
//sfunction @vtkLineWidget:display vtkLineWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLineWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLineWidget* vtk_pointer = GetVTKPointer<vtkLineWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLineWidget:delete vtkLineWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkLineWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLineWidget
//@@Section VTKWidgets
//@@Usage
// This 3D widget defines a line that can be interactively placed in a
// scene. The line has two handles (at its endpoints), plus the line can be
// picked to translate it in the scene.  A nice feature of the object is that
// the vtkLineWidget, like any 3D widget, will work with the current
// interactor style and any other widgets present in the scene. That is, if
// vtkLineWidget does not handle an event, then all other registered
// observers (including the interactor style) have an opportunity to process
// the event. Otherwise, the vtkLineWidget will terminate the processing of
// the event that it handles.
//
// To use this object, just invoke SetInteractor() with the argument of the
// method a vtkRenderWindowInteractor.  You may also wish to invoke
// "PlaceWidget()" to initially position the widget. The interactor will act
// normally until the "i" key (for "interactor") is pressed, at which point
// the vtkLineWidget will appear. (See superclass documentation for
// information about changing this behavior.) By grabbing one of the two end
// point handles (use the left mouse button), the line can be oriented and
// stretched (the other end point remains fixed). By grabbing the line
// itself, or using the middle mouse button, the entire line can be
// translated.  Scaling (about the center of the line) is achieved by using
// the right mouse button. By moving the mouse "up" the render window the
// line will be made bigger; by moving "down" the render window the widget
// will be made smaller. Turn off the widget by pressing the "i" key again
// (or invoke the Off() method). (Note: picking the line or either one of the
// two end point handles causes a vtkPointWidget to appear.  This widget has
// the ability to constrain motion to an axis by pressing the "shift" key
// while moving the mouse.)
//
// The vtkLineWidget has several methods that can be used in conjunction with
// other VTK objects. The Set/GetResolution() methods control the number of
// subdivisions of the line; the GetPolyData() method can be used to get the
// polygonal representation and can be used for things like seeding
// streamlines. Typical usage of the widget is to make use of the
// StartInteractionEvent, InteractionEvent, and EndInteractionEvent
// events. The InteractionEvent is called on mouse motion; the other two
// events are called on button down and button up (either left or right
// button).
//
// Some additional features of this class include the ability to control the
// properties of the widget. You can set the properties of the selected and
// unselected representations of the line. For example, you can set the
// property for the handles and line. In addition there are methods to
// constrain the line so that it is aligned along the x-y-z axes.
//
//To create an instance of class vtkLineWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkLineWidget
//@]
//@@Methods
//The class vtkLineWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLineWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLineWidget = obj.NewInstance ()|
// \item @|vtkLineWidget = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetEnabled (int )| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double bounds[6])| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget ()| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  Set/Get the resolution (number of subdivisions) of the line.
//// \item @|obj.SetResolution (int r)| -  Set/Get the resolution (number of subdivisions) of the line.
//// \item @|int = obj.GetResolution ()| -  Set/Get the position of first end point.
//// \item @|obj.SetPoint1 (double x, double y, double z)| -  Set/Get the position of first end point.
//// \item @|obj.SetPoint1 (double x[3])| -  Set/Get the position of first end point.
//// \item @|double = obj.GetPoint1 ()| -  Set/Get the position of first end point.
//// \item @|obj.GetPoint1 (double xyz[3])| -  Set position of other end point.
//// \item @|obj.SetPoint2 (double x, double y, double z)| -  Set position of other end point.
//// \item @|obj.SetPoint2 (double x[3])| -  Set position of other end point.
//// \item @|double = obj.GetPoint2 ()| -  Set position of other end point.
//// \item @|obj.GetPoint2 (double xyz[3])| -  Force the line widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the line to the axes if it is orginally
// not aligned.
//// \item @|obj.SetAlign (int )| -  Force the line widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the line to the axes if it is orginally
// not aligned.
//// \item @|int = obj.GetAlignMinValue ()| -  Force the line widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the line to the axes if it is orginally
// not aligned.
//// \item @|int = obj.GetAlignMaxValue ()| -  Force the line widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the line to the axes if it is orginally
// not aligned.
//// \item @|int = obj.GetAlign ()| -  Force the line widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the line to the axes if it is orginally
// not aligned.
//// \item @|obj.SetAlignToXAxis ()| -  Force the line widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the line to the axes if it is orginally
// not aligned.
//// \item @|obj.SetAlignToYAxis ()| -  Force the line widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the line to the axes if it is orginally
// not aligned.
//// \item @|obj.SetAlignToZAxis ()| -  Force the line widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the line to the axes if it is orginally
// not aligned.
//// \item @|obj.SetAlignToNone ()| -  Enable/disable clamping of the point end points to the bounding box
// of the data. The bounding box is defined from the last PlaceWidget()
// invocation, and includes the effect of the PlaceFactor which is used
// to gram/shrink the bounding box.
//// \item @|obj.SetClampToBounds (int )| -  Enable/disable clamping of the point end points to the bounding box
// of the data. The bounding box is defined from the last PlaceWidget()
// invocation, and includes the effect of the PlaceFactor which is used
// to gram/shrink the bounding box.
//// \item @|int = obj.GetClampToBounds ()| -  Enable/disable clamping of the point end points to the bounding box
// of the data. The bounding box is defined from the last PlaceWidget()
// invocation, and includes the effect of the PlaceFactor which is used
// to gram/shrink the bounding box.
//// \item @|obj.ClampToBoundsOn ()| -  Enable/disable clamping of the point end points to the bounding box
// of the data. The bounding box is defined from the last PlaceWidget()
// invocation, and includes the effect of the PlaceFactor which is used
// to gram/shrink the bounding box.
//// \item @|obj.ClampToBoundsOff ()| -  Enable/disable clamping of the point end points to the bounding box
// of the data. The bounding box is defined from the last PlaceWidget()
// invocation, and includes the effect of the PlaceFactor which is used
// to gram/shrink the bounding box.
//// \item @|obj.GetPolyData (vtkPolyData pd)| -  Grab the polydata (including points) that defines the line.  The
// polydata consists of n+1 points, where n is the resolution of the
// line. These point values are guaranteed to be up-to-date when either the
// InteractionEvent or EndInteraction events are invoked. The user provides
// the vtkPolyData and the points and polyline are added to it.
//// \item @|vtkProperty = obj.GetHandleProperty ()| -  Get the handle properties (the little balls are the handles). The
// properties of the handles when selected and normal can be
// manipulated.
//// \item @|vtkProperty = obj.GetSelectedHandleProperty ()| -  Get the handle properties (the little balls are the handles). The
// properties of the handles when selected and normal can be
// manipulated.
//// \item @|vtkProperty = obj.GetLineProperty ()| -  Get the line properties. The properties of the line when selected
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetSelectedLineProperty ()| -  Get the line properties. The properties of the line when selected
// and unselected can be manipulated.
////\end{itemize}
//!
