#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLinearContourLineInterpolator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLinearContourLineInterpolator.h"

//@@Signature
//sfunction @vtkLinearContourLineInterpolator:vtkLinearContourLineInterpolator vtkLinearContourLineInterpolatorConstructorFunction
//input a
//output p
//@@Parents vtkLinearContourLineInterpolator vtkContourLineInterpolator 
ArrayVector vtkLinearContourLineInterpolatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLinearContourLineInterpolator::New(),"vtkLinearContourLineInterpolator",eval);
  } else if (arg[0].className() == "vtkLinearContourLineInterpolator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLinearContourLineInterpolator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLinearContourLineInterpolator");
    vtkLinearContourLineInterpolator*q = reinterpret_cast<vtkLinearContourLineInterpolator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLinearContourLineInterpolator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLinearContourLineInterpolator:GetClassName vtkLinearContourLineInterpolatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLinearContourLineInterpolatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLinearContourLineInterpolator requires 1 argument(s)");
  vtkLinearContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkLinearContourLineInterpolator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinearContourLineInterpolator:IsA vtkLinearContourLineInterpolatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLinearContourLineInterpolatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLinearContourLineInterpolator requires 2 argument(s)");
  vtkLinearContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkLinearContourLineInterpolator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinearContourLineInterpolator:NewInstance vtkLinearContourLineInterpolatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLinearContourLineInterpolatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLinearContourLineInterpolator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLinearContourLineInterpolator requires 1 argument(s)");
  vtkLinearContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkLinearContourLineInterpolator>(arg[0]);
  Array retval;
  vtkLinearContourLineInterpolator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLinearContourLineInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLinearContourLineInterpolator:SafeDownCast vtkLinearContourLineInterpolatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLinearContourLineInterpolatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLinearContourLineInterpolator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLinearContourLineInterpolator requires 2 argument(s)");
  vtkLinearContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkLinearContourLineInterpolator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLinearContourLineInterpolator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLinearContourLineInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLinearContourLineInterpolator:InterpolateLine vtkLinearContourLineInterpolatorInterpolateLineFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkLinearContourLineInterpolatorInterpolateLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int InterpolateLine (vtkRenderer *ren, vtkContourRepresentation *rep, int idx1, int idx2); */
  if (arg.size() < 5) 
    throw Exception("Function InterpolateLine for class vtkLinearContourLineInterpolator requires 5 argument(s)");
  vtkLinearContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkLinearContourLineInterpolator>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkContourRepresentation  *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkContourRepresentation>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->InterpolateLine(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLinearContourLineInterpolator:display vtkLinearContourLineInterpolatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLinearContourLineInterpolatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLinearContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkLinearContourLineInterpolator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLinearContourLineInterpolator:delete vtkLinearContourLineInterpolatorDeleteFunction
//input varargin
//output none
ArrayVector vtkLinearContourLineInterpolatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLinearContourLineInterpolator
//@@Section VTKWidgets
//@@Usage
// The line interpolator interpolates supplied nodes (see InterpolateLine)
// with line segments. The finess of the curve may be controlled using
// SetMaximumCurveError and SetMaximumNumberOfLineSegments.
//
//
//To create an instance of class vtkLinearContourLineInterpolator, simply
//invoke its constructor as follows
//@[
//  obj = vtkLinearContourLineInterpolator
//@]
//@@Methods
//The class vtkLinearContourLineInterpolator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLinearContourLineInterpolator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkLinearContourLineInterpolator = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkLinearContourLineInterpolator = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|int = obj.InterpolateLine (vtkRenderer ren, vtkContourRepresentation rep, int idx1, int idx2)|
//\end{itemize}
//!
