#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLogoRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLogoRepresentation.h"

//@@Signature
//sfunction @vtkLogoRepresentation:vtkLogoRepresentation vtkLogoRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkLogoRepresentation vtkBorderRepresentation 
ArrayVector vtkLogoRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLogoRepresentation::New(),"vtkLogoRepresentation",eval);
  } else if (arg[0].className() == "vtkLogoRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLogoRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLogoRepresentation");
    vtkLogoRepresentation*q = reinterpret_cast<vtkLogoRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLogoRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLogoRepresentation:GetClassName vtkLogoRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLogoRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLogoRepresentation requires 1 argument(s)");
  vtkLogoRepresentation* vtk_pointer = GetVTKPointer<vtkLogoRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLogoRepresentation:IsA vtkLogoRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLogoRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLogoRepresentation requires 2 argument(s)");
  vtkLogoRepresentation* vtk_pointer = GetVTKPointer<vtkLogoRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLogoRepresentation:NewInstance vtkLogoRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLogoRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLogoRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLogoRepresentation requires 1 argument(s)");
  vtkLogoRepresentation* vtk_pointer = GetVTKPointer<vtkLogoRepresentation>(arg[0]);
  Array retval;
  vtkLogoRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLogoRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLogoRepresentation:SafeDownCast vtkLogoRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLogoRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLogoRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLogoRepresentation requires 2 argument(s)");
  vtkLogoRepresentation* vtk_pointer = GetVTKPointer<vtkLogoRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLogoRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLogoRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLogoRepresentation:SetImage vtkLogoRepresentationSetImageFunction
//input a0 a1 
//output none
ArrayVector vtkLogoRepresentationSetImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetImage (vtkImageData *img); */
  if (arg.size() < 2) 
    throw Exception("Function SetImage for class vtkLogoRepresentation requires 2 argument(s)");
  vtkLogoRepresentation* vtk_pointer = GetVTKPointer<vtkLogoRepresentation>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetImage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLogoRepresentation:GetImage vtkLogoRepresentationGetImageFunction
//input a0 
//output y
ArrayVector vtkLogoRepresentationGetImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetImage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImage for class vtkLogoRepresentation requires 1 argument(s)");
  vtkLogoRepresentation* vtk_pointer = GetVTKPointer<vtkLogoRepresentation>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetImage();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLogoRepresentation:SetImageProperty vtkLogoRepresentationSetImagePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkLogoRepresentationSetImagePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetImageProperty (vtkProperty2D *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageProperty for class vtkLogoRepresentation requires 2 argument(s)");
  vtkLogoRepresentation* vtk_pointer = GetVTKPointer<vtkLogoRepresentation>(arg[0]);
  Array retval;
  vtkProperty2D  *temp0;
  temp0 = GetVTKPointer<vtkProperty2D>(arg[1]);
  vtk_pointer->SetImageProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLogoRepresentation:GetImageProperty vtkLogoRepresentationGetImagePropertyFunction
//input a0 
//output y
ArrayVector vtkLogoRepresentationGetImagePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *GetImageProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageProperty for class vtkLogoRepresentation requires 1 argument(s)");
  vtkLogoRepresentation* vtk_pointer = GetVTKPointer<vtkLogoRepresentation>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->GetImageProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLogoRepresentation:BuildRepresentation vtkLogoRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkLogoRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkLogoRepresentation requires 1 argument(s)");
  vtkLogoRepresentation* vtk_pointer = GetVTKPointer<vtkLogoRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkLogoRepresentation:GetActors2D vtkLogoRepresentationGetActors2DFunction
//input a0 a1 
//output none
ArrayVector vtkLogoRepresentationGetActors2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors2D (vtkPropCollection *pc); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors2D for class vtkLogoRepresentation requires 2 argument(s)");
  vtkLogoRepresentation* vtk_pointer = GetVTKPointer<vtkLogoRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLogoRepresentation:ReleaseGraphicsResources vtkLogoRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkLogoRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkLogoRepresentation requires 2 argument(s)");
  vtkLogoRepresentation* vtk_pointer = GetVTKPointer<vtkLogoRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLogoRepresentation:RenderOverlay vtkLogoRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkLogoRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkLogoRepresentation requires 2 argument(s)");
  vtkLogoRepresentation* vtk_pointer = GetVTKPointer<vtkLogoRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLogoRepresentation:display vtkLogoRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLogoRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLogoRepresentation* vtk_pointer = GetVTKPointer<vtkLogoRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLogoRepresentation:delete vtkLogoRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkLogoRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLogoRepresentation
//@@Section VTKWidgets
//@@Usage
//
//To create an instance of class vtkLogoRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkLogoRepresentation
//@]
//@@Methods
//The class vtkLogoRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLogoRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK class methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK class methods.
//// \item @|vtkLogoRepresentation = obj.NewInstance ()| -  Standard VTK class methods.
//// \item @|vtkLogoRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard VTK class methods.
//// \item @|obj.SetImage (vtkImageData img)| -  Specify/retrieve the image to display in the balloon.
//// \item @|vtkImageData = obj.GetImage ()| -  Specify/retrieve the image to display in the balloon.
//// \item @|obj.SetImageProperty (vtkProperty2D p)| -  Set/get the image property (relevant only if an image is shown).
//// \item @|vtkProperty2D = obj.GetImageProperty ()| -  Set/get the image property (relevant only if an image is shown).
//// \item @|obj.BuildRepresentation ()| -  Satisfy the superclasses' API.
//// \item @|obj.GetActors2D (vtkPropCollection pc)| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderOverlay (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
////\end{itemize}
//!
