#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLogoWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLogoWidget.h"

//@@Signature
//sfunction @vtkLogoWidget:vtkLogoWidget vtkLogoWidgetConstructorFunction
//input a
//output p
//@@Parents vtkLogoWidget vtkBorderWidget 
ArrayVector vtkLogoWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLogoWidget::New(),"vtkLogoWidget",eval);
  } else if (arg[0].className() == "vtkLogoWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLogoWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLogoWidget");
    vtkLogoWidget*q = reinterpret_cast<vtkLogoWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLogoWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLogoWidget:GetClassName vtkLogoWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLogoWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLogoWidget requires 1 argument(s)");
  vtkLogoWidget* vtk_pointer = GetVTKPointer<vtkLogoWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLogoWidget:IsA vtkLogoWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLogoWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLogoWidget requires 2 argument(s)");
  vtkLogoWidget* vtk_pointer = GetVTKPointer<vtkLogoWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLogoWidget:NewInstance vtkLogoWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLogoWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLogoWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLogoWidget requires 1 argument(s)");
  vtkLogoWidget* vtk_pointer = GetVTKPointer<vtkLogoWidget>(arg[0]);
  Array retval;
  vtkLogoWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLogoWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLogoWidget:SafeDownCast vtkLogoWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLogoWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLogoWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLogoWidget requires 2 argument(s)");
  vtkLogoWidget* vtk_pointer = GetVTKPointer<vtkLogoWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLogoWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLogoWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLogoWidget:SetRepresentation vtkLogoWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkLogoWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkLogoRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkLogoWidget requires 2 argument(s)");
  vtkLogoWidget* vtk_pointer = GetVTKPointer<vtkLogoWidget>(arg[0]);
  Array retval;
  vtkLogoRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkLogoRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLogoWidget:CreateDefaultRepresentation vtkLogoWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkLogoWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkLogoWidget requires 1 argument(s)");
  vtkLogoWidget* vtk_pointer = GetVTKPointer<vtkLogoWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkLogoWidget:display vtkLogoWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLogoWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLogoWidget* vtk_pointer = GetVTKPointer<vtkLogoWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLogoWidget:delete vtkLogoWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkLogoWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLogoWidget
//@@Section VTKWidgets
//@@Usage
// This class provides support for interactively displaying and manipulating
// a logo. Logos are defined by an image; this widget simply allows you to
// interactively place and resize the image logo. To use this widget, simply
// create a vtkLogoRepresentation (or subclass) and associate it with the
// vtkLogoWidget.
//
//To create an instance of class vtkLogoWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkLogoWidget
//@]
//@@Methods
//The class vtkLogoWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLogoWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standar VTK class methods.
//// \item @|int = obj.IsA (string name)| -  Standar VTK class methods.
//// \item @|vtkLogoWidget = obj.NewInstance ()| -  Standar VTK class methods.
//// \item @|vtkLogoWidget = obj.SafeDownCast (vtkObject o)| -  Standar VTK class methods.
//// \item @|obj.SetRepresentation (vtkLogoRepresentation r)| -  Create the default widget representation if one is not set. 
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
////\end{itemize}
//!
