#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOrientationMarkerWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOrientationMarkerWidget.h"

//@@Signature
//sfunction @vtkOrientationMarkerWidget:vtkOrientationMarkerWidget vtkOrientationMarkerWidgetConstructorFunction
//input a
//output p
//@@Parents vtkOrientationMarkerWidget vtkInteractorObserver 
ArrayVector vtkOrientationMarkerWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOrientationMarkerWidget::New(),"vtkOrientationMarkerWidget",eval);
  } else if (arg[0].className() == "vtkOrientationMarkerWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOrientationMarkerWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOrientationMarkerWidget");
    vtkOrientationMarkerWidget*q = reinterpret_cast<vtkOrientationMarkerWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOrientationMarkerWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOrientationMarkerWidget:GetClassName vtkOrientationMarkerWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOrientationMarkerWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOrientationMarkerWidget requires 1 argument(s)");
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrientationMarkerWidget:IsA vtkOrientationMarkerWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOrientationMarkerWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOrientationMarkerWidget requires 2 argument(s)");
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrientationMarkerWidget:NewInstance vtkOrientationMarkerWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOrientationMarkerWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOrientationMarkerWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOrientationMarkerWidget requires 1 argument(s)");
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  Array retval;
  vtkOrientationMarkerWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOrientationMarkerWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOrientationMarkerWidget:SafeDownCast vtkOrientationMarkerWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOrientationMarkerWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOrientationMarkerWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOrientationMarkerWidget requires 2 argument(s)");
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOrientationMarkerWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOrientationMarkerWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOrientationMarkerWidget:SetOrientationMarker vtkOrientationMarkerWidgetSetOrientationMarkerFunction
//input a0 a1 
//output none
ArrayVector vtkOrientationMarkerWidgetSetOrientationMarkerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOrientationMarker (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrientationMarker for class vtkOrientationMarkerWidget requires 2 argument(s)");
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->SetOrientationMarker(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrientationMarkerWidget:GetOrientationMarker vtkOrientationMarkerWidgetGetOrientationMarkerFunction
//input a0 
//output y
ArrayVector vtkOrientationMarkerWidgetGetOrientationMarkerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp *GetOrientationMarker (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientationMarker for class vtkOrientationMarkerWidget requires 1 argument(s)");
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  Array retval;
  vtkProp  *temp20;
  temp20 = (vtk_pointer)->GetOrientationMarker();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOrientationMarkerWidget:SetEnabled vtkOrientationMarkerWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkOrientationMarkerWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkOrientationMarkerWidget requires 2 argument(s)");
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrientationMarkerWidget:SetInteractive vtkOrientationMarkerWidgetSetInteractiveFunction
//input a0 a1 
//output none
ArrayVector vtkOrientationMarkerWidgetSetInteractiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInteractive (int state); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractive for class vtkOrientationMarkerWidget requires 2 argument(s)");
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInteractive(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrientationMarkerWidget:GetInteractive vtkOrientationMarkerWidgetGetInteractiveFunction
//input a0 
//output y
ArrayVector vtkOrientationMarkerWidgetGetInteractiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInteractive (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteractive for class vtkOrientationMarkerWidget requires 1 argument(s)");
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInteractive();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrientationMarkerWidget:InteractiveOn vtkOrientationMarkerWidgetInteractiveOnFunction
//input a0 
//output none
ArrayVector vtkOrientationMarkerWidgetInteractiveOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InteractiveOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InteractiveOn for class vtkOrientationMarkerWidget requires 1 argument(s)");
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  Array retval;
  vtk_pointer->InteractiveOn();
  return retval;
}

//@@Signature
//sfunction @vtkOrientationMarkerWidget:InteractiveOff vtkOrientationMarkerWidgetInteractiveOffFunction
//input a0 
//output none
ArrayVector vtkOrientationMarkerWidgetInteractiveOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InteractiveOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InteractiveOff for class vtkOrientationMarkerWidget requires 1 argument(s)");
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  Array retval;
  vtk_pointer->InteractiveOff();
  return retval;
}

//@@Signature
//sfunction @vtkOrientationMarkerWidget:SetOutlineColor vtkOrientationMarkerWidgetSetOutlineColorFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkOrientationMarkerWidgetSetOutlineColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutlineColor (double r, double g, double b); */
  if (arg.size() < 4) 
    throw Exception("Function SetOutlineColor for class vtkOrientationMarkerWidget requires 4 argument(s)");
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOutlineColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkOrientationMarkerWidget:SetViewport vtkOrientationMarkerWidgetSetViewportFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkOrientationMarkerWidgetSetViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewport (double minX, double minY, double maxX, double maxY); */
  if (arg.size() < 5) 
    throw Exception("Function SetViewport for class vtkOrientationMarkerWidget requires 5 argument(s)");
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetViewport(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkOrientationMarkerWidget:SetTolerance vtkOrientationMarkerWidgetSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkOrientationMarkerWidgetSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkOrientationMarkerWidget requires 2 argument(s)");
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrientationMarkerWidget:GetToleranceMinValue vtkOrientationMarkerWidgetGetToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkOrientationMarkerWidgetGetToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMinValue for class vtkOrientationMarkerWidget requires 1 argument(s)");
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrientationMarkerWidget:GetToleranceMaxValue vtkOrientationMarkerWidgetGetToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkOrientationMarkerWidgetGetToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMaxValue for class vtkOrientationMarkerWidget requires 1 argument(s)");
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrientationMarkerWidget:GetTolerance vtkOrientationMarkerWidgetGetToleranceFunction
//input a0 
//output y
ArrayVector vtkOrientationMarkerWidgetGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkOrientationMarkerWidget requires 1 argument(s)");
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrientationMarkerWidget:display vtkOrientationMarkerWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOrientationMarkerWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOrientationMarkerWidget* vtk_pointer = GetVTKPointer<vtkOrientationMarkerWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOrientationMarkerWidget:delete vtkOrientationMarkerWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkOrientationMarkerWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOrientationMarkerWidget
//@@Section VTKWidgets
//@@Usage
// This class provides support for interactively manipulating the position,
// size, and apparent orientation of a prop that represents an orientation
// marker.  This class works by adding its internal renderer to an external
// "parent" renderer on a different layer.  The input orientation marker is
// rendered as an overlay on the parent renderer and, thus, appears superposed
// over all props in the parent's scene.  The camera view of the orientation
// the marker is made to match that of the parent's by means of an observer
// mechanism, giving the illusion that the orientation of the marker reflects
// that of the prop(s) in the parent's scene.
//
// The widget listens to left mouse button and mouse movement events. It will
// change the cursor shape based on its location. If the cursor is over the
// overlay renderer, it will change the cursor shape to a SIZEALL shape
// or to a resize corner shape (e.g., SIZENW) if the cursor is near a corner.
// If the left mouse button is pressed and held down while moving, the overlay
// renderer, and hence, the orientation marker, is resized or moved.  I the case
// of a resize operation, releasing the left mouse button causes the widget
// to enforce its renderer to be square.  The diagonally opposite corner to the
// one moved is repositioned such that all edges of the renderer have the same
// length: the minimum.
//
// To use this object, there are two key steps: 1) invoke SetInteractor() with
// the argument of the method a vtkRenderWindowInteractor, and 2) invoke
// SetOrientationMarker with an instance of vtkProp (see caveats below).
// Specifically, vtkAxesActor and vtkAnnotatedCubeActor are two classes
// designed to work with this class.  A composite orientation marker can be
// generated by adding instances of vtkAxesActor and vtkAnnotatedCubeActor to a
// vtkPropAssembly, which can then be set as the input orientation marker.
// The widget can be also be set up in a non-interactive fashion by setting 
// Ineractive to Off and sizing/placing the overlay renderer in its parent 
// renderer by calling the widget's SetViewport method.
//
//To create an instance of class vtkOrientationMarkerWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkOrientationMarkerWidget
//@]
//@@Methods
//The class vtkOrientationMarkerWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOrientationMarkerWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOrientationMarkerWidget = obj.NewInstance ()|
// \item @|vtkOrientationMarkerWidget = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOrientationMarker (vtkProp prop)| -  Set/get the orientation marker to be displayed in this widget.
//// \item @|vtkProp = obj.GetOrientationMarker ()| -  Set/get the orientation marker to be displayed in this widget.
//// \item @|obj.SetEnabled (int )| -  Enable/disable the widget. Default is 0 (disabled).
//// \item @|obj.SetInteractive (int state)| -  Set/get whether to allow this widget to be interactively moved/scaled.
// Default is On.
//// \item @|int = obj.GetInteractive ()| -  Set/get whether to allow this widget to be interactively moved/scaled.
// Default is On.
//// \item @|obj.InteractiveOn ()| -  Set/get whether to allow this widget to be interactively moved/scaled.
// Default is On.
//// \item @|obj.InteractiveOff ()| -  Set/get whether to allow this widget to be interactively moved/scaled.
// Default is On.
//// \item @|obj.SetOutlineColor (double r, double g, double b)| -  Set/get the color of the outline of this widget.  The outline is visible
// when (in interactive mode) the cursor is over this widget.
// Default is white (1,1,1).
//// \item @|obj.SetViewport (double minX, double minY, double maxX, double maxY)| -  Set/get the viewport to position/size this widget.
// Default is bottom left corner (0,0,0.2,0.2).
//// \item @|obj.SetTolerance (int )| -  The tolerance representing the distance to the widget (in pixels)
// in which the cursor is considered to be on the widget, or on a
// widget feature (e.g., a corner point or edge).
//// \item @|int = obj.GetToleranceMinValue ()| -  The tolerance representing the distance to the widget (in pixels)
// in which the cursor is considered to be on the widget, or on a
// widget feature (e.g., a corner point or edge).
//// \item @|int = obj.GetToleranceMaxValue ()| -  The tolerance representing the distance to the widget (in pixels)
// in which the cursor is considered to be on the widget, or on a
// widget feature (e.g., a corner point or edge).
//// \item @|int = obj.GetTolerance ()| -  The tolerance representing the distance to the widget (in pixels)
// in which the cursor is considered to be on the widget, or on a
// widget feature (e.g., a corner point or edge).
////\end{itemize}
//!
