#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOrientedGlyphContourRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOrientedGlyphContourRepresentation.h"

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:vtkOrientedGlyphContourRepresentation vtkOrientedGlyphContourRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkOrientedGlyphContourRepresentation vtkContourRepresentation 
ArrayVector vtkOrientedGlyphContourRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOrientedGlyphContourRepresentation::New(),"vtkOrientedGlyphContourRepresentation",eval);
  } else if (arg[0].className() == "vtkOrientedGlyphContourRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOrientedGlyphContourRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOrientedGlyphContourRepresentation");
    vtkOrientedGlyphContourRepresentation*q = reinterpret_cast<vtkOrientedGlyphContourRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOrientedGlyphContourRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:GetClassName vtkOrientedGlyphContourRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOrientedGlyphContourRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOrientedGlyphContourRepresentation requires 1 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:IsA vtkOrientedGlyphContourRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOrientedGlyphContourRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOrientedGlyphContourRepresentation requires 2 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:NewInstance vtkOrientedGlyphContourRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOrientedGlyphContourRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOrientedGlyphContourRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOrientedGlyphContourRepresentation requires 1 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtkOrientedGlyphContourRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOrientedGlyphContourRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:SafeDownCast vtkOrientedGlyphContourRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOrientedGlyphContourRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOrientedGlyphContourRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOrientedGlyphContourRepresentation requires 2 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOrientedGlyphContourRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOrientedGlyphContourRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:SetCursorShape vtkOrientedGlyphContourRepresentationSetCursorShapeFunction
//input a0 a1 
//output none
ArrayVector vtkOrientedGlyphContourRepresentationSetCursorShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorShape (vtkPolyData *cursorShape); */
  if (arg.size() < 2) 
    throw Exception("Function SetCursorShape for class vtkOrientedGlyphContourRepresentation requires 2 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetCursorShape(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:GetCursorShape vtkOrientedGlyphContourRepresentationGetCursorShapeFunction
//input a0 
//output y
ArrayVector vtkOrientedGlyphContourRepresentationGetCursorShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetCursorShape (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorShape for class vtkOrientedGlyphContourRepresentation requires 1 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetCursorShape();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:SetActiveCursorShape vtkOrientedGlyphContourRepresentationSetActiveCursorShapeFunction
//input a0 a1 
//output none
ArrayVector vtkOrientedGlyphContourRepresentationSetActiveCursorShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetActiveCursorShape (vtkPolyData *activeShape); */
  if (arg.size() < 2) 
    throw Exception("Function SetActiveCursorShape for class vtkOrientedGlyphContourRepresentation requires 2 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetActiveCursorShape(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:GetActiveCursorShape vtkOrientedGlyphContourRepresentationGetActiveCursorShapeFunction
//input a0 
//output y
ArrayVector vtkOrientedGlyphContourRepresentationGetActiveCursorShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetActiveCursorShape (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActiveCursorShape for class vtkOrientedGlyphContourRepresentation requires 1 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetActiveCursorShape();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:GetProperty vtkOrientedGlyphContourRepresentationGetPropertyFunction
//input a0 
//output y
ArrayVector vtkOrientedGlyphContourRepresentationGetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProperty for class vtkOrientedGlyphContourRepresentation requires 1 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:GetActiveProperty vtkOrientedGlyphContourRepresentationGetActivePropertyFunction
//input a0 
//output y
ArrayVector vtkOrientedGlyphContourRepresentationGetActivePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetActiveProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActiveProperty for class vtkOrientedGlyphContourRepresentation requires 1 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetActiveProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:GetLinesProperty vtkOrientedGlyphContourRepresentationGetLinesPropertyFunction
//input a0 
//output y
ArrayVector vtkOrientedGlyphContourRepresentationGetLinesPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetLinesProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLinesProperty for class vtkOrientedGlyphContourRepresentation requires 1 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetLinesProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:SetRenderer vtkOrientedGlyphContourRepresentationSetRendererFunction
//input a0 a1 
//output none
ArrayVector vtkOrientedGlyphContourRepresentationSetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRenderer (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderer for class vtkOrientedGlyphContourRepresentation requires 2 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:BuildRepresentation vtkOrientedGlyphContourRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkOrientedGlyphContourRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkOrientedGlyphContourRepresentation requires 1 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:StartWidgetInteraction vtkOrientedGlyphContourRepresentationStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkOrientedGlyphContourRepresentationStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkOrientedGlyphContourRepresentation requires 2 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:WidgetInteraction vtkOrientedGlyphContourRepresentationWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkOrientedGlyphContourRepresentationWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkOrientedGlyphContourRepresentation requires 2 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:ComputeInteractionState vtkOrientedGlyphContourRepresentationComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkOrientedGlyphContourRepresentationComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modified); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkOrientedGlyphContourRepresentation requires 4 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:GetActors vtkOrientedGlyphContourRepresentationGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkOrientedGlyphContourRepresentationGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkOrientedGlyphContourRepresentation requires 2 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:ReleaseGraphicsResources vtkOrientedGlyphContourRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkOrientedGlyphContourRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkOrientedGlyphContourRepresentation requires 2 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:RenderOverlay vtkOrientedGlyphContourRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkOrientedGlyphContourRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkOrientedGlyphContourRepresentation requires 2 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:RenderOpaqueGeometry vtkOrientedGlyphContourRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkOrientedGlyphContourRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkOrientedGlyphContourRepresentation requires 2 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:RenderTranslucentPolygonalGeometry vtkOrientedGlyphContourRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkOrientedGlyphContourRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkOrientedGlyphContourRepresentation requires 2 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:HasTranslucentPolygonalGeometry vtkOrientedGlyphContourRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkOrientedGlyphContourRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkOrientedGlyphContourRepresentation requires 1 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:GetContourRepresentationAsPolyData vtkOrientedGlyphContourRepresentationGetContourRepresentationAsPolyDataFunction
//input a0 
//output y
ArrayVector vtkOrientedGlyphContourRepresentationGetContourRepresentationAsPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkPolyData *GetContourRepresentationAsPolyData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetContourRepresentationAsPolyData for class vtkOrientedGlyphContourRepresentation requires 1 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetContourRepresentationAsPolyData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:SetAlwaysOnTop vtkOrientedGlyphContourRepresentationSetAlwaysOnTopFunction
//input a0 a1 
//output none
ArrayVector vtkOrientedGlyphContourRepresentationSetAlwaysOnTopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAlwaysOnTop (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAlwaysOnTop for class vtkOrientedGlyphContourRepresentation requires 2 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAlwaysOnTop(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:GetAlwaysOnTop vtkOrientedGlyphContourRepresentationGetAlwaysOnTopFunction
//input a0 
//output y
ArrayVector vtkOrientedGlyphContourRepresentationGetAlwaysOnTopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAlwaysOnTop (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAlwaysOnTop for class vtkOrientedGlyphContourRepresentation requires 1 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAlwaysOnTop();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:AlwaysOnTopOn vtkOrientedGlyphContourRepresentationAlwaysOnTopOnFunction
//input a0 
//output none
ArrayVector vtkOrientedGlyphContourRepresentationAlwaysOnTopOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AlwaysOnTopOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AlwaysOnTopOn for class vtkOrientedGlyphContourRepresentation requires 1 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->AlwaysOnTopOn();
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:AlwaysOnTopOff vtkOrientedGlyphContourRepresentationAlwaysOnTopOffFunction
//input a0 
//output none
ArrayVector vtkOrientedGlyphContourRepresentationAlwaysOnTopOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AlwaysOnTopOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AlwaysOnTopOff for class vtkOrientedGlyphContourRepresentation requires 1 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->AlwaysOnTopOff();
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:SetLineColor vtkOrientedGlyphContourRepresentationSetLineColorFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkOrientedGlyphContourRepresentationSetLineColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineColor (double r, double g, double b); */
  if (arg.size() < 4) 
    throw Exception("Function SetLineColor for class vtkOrientedGlyphContourRepresentation requires 4 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetLineColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:SetShowSelectedNodes vtkOrientedGlyphContourRepresentationSetShowSelectedNodesFunction
//input a0 a1 
//output none
ArrayVector vtkOrientedGlyphContourRepresentationSetShowSelectedNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetShowSelectedNodes (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShowSelectedNodes for class vtkOrientedGlyphContourRepresentation requires 2 argument(s)");
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShowSelectedNodes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrientedGlyphContourRepresentation:display vtkOrientedGlyphContourRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOrientedGlyphContourRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOrientedGlyphContourRepresentation* vtk_pointer = GetVTKPointer<vtkOrientedGlyphContourRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOrientedGlyphContourRepresentation:delete vtkOrientedGlyphContourRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkOrientedGlyphContourRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOrientedGlyphContourRepresentation
//@@Section VTKWidgets
//@@Usage
// This class provides the default concrete representation for the 
// vtkContourWidget. It works in conjunction with the 
// vtkContourLineInterpolator and vtkPointPlacer. See vtkContourWidget
// for details.
//
//To create an instance of class vtkOrientedGlyphContourRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkOrientedGlyphContourRepresentation
//@]
//@@Methods
//The class vtkOrientedGlyphContourRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOrientedGlyphContourRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkOrientedGlyphContourRepresentation = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkOrientedGlyphContourRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|obj.SetCursorShape (vtkPolyData cursorShape)| -  Specify the cursor shape. Keep in mind that the shape will be
// aligned with the  constraining plane by orienting it such that
// the x axis of the geometry lies along the normal of the plane.
//// \item @|vtkPolyData = obj.GetCursorShape ()| -  Specify the cursor shape. Keep in mind that the shape will be
// aligned with the  constraining plane by orienting it such that
// the x axis of the geometry lies along the normal of the plane.
//// \item @|obj.SetActiveCursorShape (vtkPolyData activeShape)| -  Specify the shape of the cursor (handle) when it is active.
// This is the geometry that will be used when the mouse is
// close to the handle or if the user is manipulating the handle.
//// \item @|vtkPolyData = obj.GetActiveCursorShape ()| -  Specify the shape of the cursor (handle) when it is active.
// This is the geometry that will be used when the mouse is
// close to the handle or if the user is manipulating the handle.
//// \item @|vtkProperty = obj.GetProperty ()| -  This is the property used when the handle is not active 
// (the mouse is not near the handle)
//// \item @|vtkProperty = obj.GetActiveProperty ()| -  This is the property used when the user is interacting
// with the handle.
//// \item @|vtkProperty = obj.GetLinesProperty ()| -  This is the property used by the lines.
//// \item @|obj.SetRenderer (vtkRenderer ren)| -  Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other.
//// \item @|obj.BuildRepresentation ()| -  Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other.
//// \item @|obj.StartWidgetInteraction (double eventPos[2])| -  Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other.
//// \item @|obj.WidgetInteraction (double eventPos[2])| -  Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modified)| -  Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other.
//// \item @|obj.GetActors (vtkPropCollection )| -  Methods to make this class behave as a vtkProp.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport viewport)| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Methods to make this class behave as a vtkProp.
//// \item @|vtkPolyData = obj.GetContourRepresentationAsPolyData ()| -  Get the points in this contour as a vtkPolyData. 
//// \item @|obj.SetAlwaysOnTop (int )| -  Controls whether the contour widget should always appear on top
// of other actors in the scene. (In effect, this will disable OpenGL
// Depth buffer tests while rendering the contour).
// Default is to set it to false.
//// \item @|int = obj.GetAlwaysOnTop ()| -  Controls whether the contour widget should always appear on top
// of other actors in the scene. (In effect, this will disable OpenGL
// Depth buffer tests while rendering the contour).
// Default is to set it to false.
//// \item @|obj.AlwaysOnTopOn ()| -  Controls whether the contour widget should always appear on top
// of other actors in the scene. (In effect, this will disable OpenGL
// Depth buffer tests while rendering the contour).
// Default is to set it to false.
//// \item @|obj.AlwaysOnTopOff ()| -  Controls whether the contour widget should always appear on top
// of other actors in the scene. (In effect, this will disable OpenGL
// Depth buffer tests while rendering the contour).
// Default is to set it to false.
//// \item @|obj.SetLineColor (double r, double g, double b)| -  Convenience method to set the line color.
// Ideally one should use GetLinesProperty()->SetColor().
//// \item @|obj.SetShowSelectedNodes (int )| -  A flag to indicate whether to show the Selected nodes
// Default is to set it to false.
////\end{itemize}
//!
