#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParallelopipedRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParallelopipedRepresentation.h"

//@@Signature
//sfunction @vtkParallelopipedRepresentation:vtkParallelopipedRepresentation vtkParallelopipedRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkParallelopipedRepresentation vtkWidgetRepresentation 
ArrayVector vtkParallelopipedRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParallelopipedRepresentation::New(),"vtkParallelopipedRepresentation",eval);
  } else if (arg[0].className() == "vtkParallelopipedRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParallelopipedRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParallelopipedRepresentation");
    vtkParallelopipedRepresentation*q = reinterpret_cast<vtkParallelopipedRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParallelopipedRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParallelopipedRepresentation:GetClassName vtkParallelopipedRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParallelopipedRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParallelopipedRepresentation requires 1 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:IsA vtkParallelopipedRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParallelopipedRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParallelopipedRepresentation requires 2 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:NewInstance vtkParallelopipedRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParallelopipedRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParallelopipedRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParallelopipedRepresentation requires 1 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkParallelopipedRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParallelopipedRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:SafeDownCast vtkParallelopipedRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParallelopipedRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParallelopipedRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParallelopipedRepresentation requires 2 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParallelopipedRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParallelopipedRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:GetActors vtkParallelopipedRepresentationGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkParallelopipedRepresentationGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors (vtkPropCollection *pc); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkParallelopipedRepresentation requires 2 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:PlaceWidget__2 vtkParallelopipedRepresentationPlaceWidget__2Function
//input a0 a1 
//output none
ArrayVector vtkParallelopipedRepresentationPlaceWidget__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget__2 for class vtkParallelopipedRepresentation requires 2 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:SetInteractionState vtkParallelopipedRepresentationSetInteractionStateFunction
//input a0 a1 
//output none
ArrayVector vtkParallelopipedRepresentationSetInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInteractionState (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractionState for class vtkParallelopipedRepresentation requires 2 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInteractionState(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:GetBoundingPlanes vtkParallelopipedRepresentationGetBoundingPlanesFunction
//input a0 a1 
//output none
ArrayVector vtkParallelopipedRepresentationGetBoundingPlanesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBoundingPlanes (vtkPlaneCollection *pc); */
  if (arg.size() < 2) 
    throw Exception("Function GetBoundingPlanes for class vtkParallelopipedRepresentation requires 2 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkPlaneCollection  *temp0;
  temp0 = GetVTKPointer<vtkPlaneCollection>(arg[1]);
  vtk_pointer->GetBoundingPlanes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:GetPolyData vtkParallelopipedRepresentationGetPolyDataFunction
//input a0 a1 
//output none
ArrayVector vtkParallelopipedRepresentationGetPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPolyData (vtkPolyData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function GetPolyData for class vtkParallelopipedRepresentation requires 2 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->GetPolyData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:GetBounds vtkParallelopipedRepresentationGetBoundsFunction
//input a0 
//output y
ArrayVector vtkParallelopipedRepresentationGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds for class vtkParallelopipedRepresentation requires 1 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:SetHandleProperty vtkParallelopipedRepresentationSetHandlePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkParallelopipedRepresentationSetHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetHandleProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleProperty for class vtkParallelopipedRepresentation requires 2 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetHandleProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:SetHoveredHandleProperty vtkParallelopipedRepresentationSetHoveredHandlePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkParallelopipedRepresentationSetHoveredHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetHoveredHandleProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetHoveredHandleProperty for class vtkParallelopipedRepresentation requires 2 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetHoveredHandleProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:SetSelectedHandleProperty vtkParallelopipedRepresentationSetSelectedHandlePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkParallelopipedRepresentationSetSelectedHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSelectedHandleProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedHandleProperty for class vtkParallelopipedRepresentation requires 2 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetSelectedHandleProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:GetHandleProperty vtkParallelopipedRepresentationGetHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkParallelopipedRepresentationGetHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleProperty for class vtkParallelopipedRepresentation requires 1 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:GetHoveredHandleProperty vtkParallelopipedRepresentationGetHoveredHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkParallelopipedRepresentationGetHoveredHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetHoveredHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHoveredHandleProperty for class vtkParallelopipedRepresentation requires 1 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetHoveredHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:GetSelectedHandleProperty vtkParallelopipedRepresentationGetSelectedHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkParallelopipedRepresentationGetSelectedHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedHandleProperty for class vtkParallelopipedRepresentation requires 1 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:SetHandleRepresentation vtkParallelopipedRepresentationSetHandleRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkParallelopipedRepresentationSetHandleRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleRepresentation (vtkHandleRepresentation *handle); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleRepresentation for class vtkParallelopipedRepresentation requires 2 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkHandleRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkHandleRepresentation>(arg[1]);
  vtk_pointer->SetHandleRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:GetHandleRepresentation vtkParallelopipedRepresentationGetHandleRepresentationFunction
//input a0 a1 
//output y
ArrayVector vtkParallelopipedRepresentationGetHandleRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHandleRepresentation *GetHandleRepresentation (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetHandleRepresentation for class vtkParallelopipedRepresentation requires 2 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  vtkHandleRepresentation  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetHandleRepresentation(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:HandlesOn vtkParallelopipedRepresentationHandlesOnFunction
//input a0 
//output none
ArrayVector vtkParallelopipedRepresentationHandlesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandlesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HandlesOn for class vtkParallelopipedRepresentation requires 1 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->HandlesOn();
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:HandlesOff vtkParallelopipedRepresentationHandlesOffFunction
//input a0 
//output none
ArrayVector vtkParallelopipedRepresentationHandlesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandlesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HandlesOff for class vtkParallelopipedRepresentation requires 1 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->HandlesOff();
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:GetFaceProperty vtkParallelopipedRepresentationGetFacePropertyFunction
//input a0 
//output y
ArrayVector vtkParallelopipedRepresentationGetFacePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetFaceProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFaceProperty for class vtkParallelopipedRepresentation requires 1 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetFaceProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:GetSelectedFaceProperty vtkParallelopipedRepresentationGetSelectedFacePropertyFunction
//input a0 
//output y
ArrayVector vtkParallelopipedRepresentationGetSelectedFacePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedFaceProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedFaceProperty for class vtkParallelopipedRepresentation requires 1 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedFaceProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:GetOutlineProperty vtkParallelopipedRepresentationGetOutlinePropertyFunction
//input a0 
//output y
ArrayVector vtkParallelopipedRepresentationGetOutlinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetOutlineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutlineProperty for class vtkParallelopipedRepresentation requires 1 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetOutlineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:GetSelectedOutlineProperty vtkParallelopipedRepresentationGetSelectedOutlinePropertyFunction
//input a0 
//output y
ArrayVector vtkParallelopipedRepresentationGetSelectedOutlinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedOutlineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedOutlineProperty for class vtkParallelopipedRepresentation requires 1 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedOutlineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:BuildRepresentation vtkParallelopipedRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkParallelopipedRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkParallelopipedRepresentation requires 1 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:ReleaseGraphicsResources vtkParallelopipedRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkParallelopipedRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *w); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkParallelopipedRepresentation requires 2 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:RenderOverlay vtkParallelopipedRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkParallelopipedRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkParallelopipedRepresentation requires 2 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:RenderOpaqueGeometry vtkParallelopipedRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkParallelopipedRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkParallelopipedRepresentation requires 2 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:ComputeInteractionState vtkParallelopipedRepresentationComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkParallelopipedRepresentationComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkParallelopipedRepresentation requires 4 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:Translate__1 vtkParallelopipedRepresentationTranslate__1Function
//input a0 a1 
//output none
ArrayVector vtkParallelopipedRepresentationTranslate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Translate (double translation[3]); */
  if (arg.size() < 2) 
    throw Exception("Function Translate__1 for class vtkParallelopipedRepresentation requires 2 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->Translate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:Translate__2 vtkParallelopipedRepresentationTranslate__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkParallelopipedRepresentationTranslate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Translate (int X, int Y); */
  if (arg.size() < 3) 
    throw Exception("Function Translate__2 for class vtkParallelopipedRepresentation requires 3 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Translate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:Scale vtkParallelopipedRepresentationScaleFunction
//input a0 a1 a2 
//output none
ArrayVector vtkParallelopipedRepresentationScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Scale (int X, int Y); */
  if (arg.size() < 3) 
    throw Exception("Function Scale for class vtkParallelopipedRepresentation requires 3 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Scale(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:PositionHandles vtkParallelopipedRepresentationPositionHandlesFunction
//input a0 
//output none
ArrayVector vtkParallelopipedRepresentationPositionHandlesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PositionHandles (); */
  if (arg.size() < 1) 
    throw Exception("Function PositionHandles for class vtkParallelopipedRepresentation requires 1 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->PositionHandles();
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:SetMinimumThickness vtkParallelopipedRepresentationSetMinimumThicknessFunction
//input a0 a1 
//output none
ArrayVector vtkParallelopipedRepresentationSetMinimumThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumThickness (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumThickness for class vtkParallelopipedRepresentation requires 2 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumThickness(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:GetMinimumThickness vtkParallelopipedRepresentationGetMinimumThicknessFunction
//input a0 
//output y
ArrayVector vtkParallelopipedRepresentationGetMinimumThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumThickness (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumThickness for class vtkParallelopipedRepresentation requires 1 argument(s)");
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumThickness();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:PlaceWidget vtkParallelopipedRepresentationPlaceWidgetFunction
//input varargin
//output varargout
ArrayVector vtkParallelopipedRepresentationPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkParallelopipedRepresentationPlaceWidget__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkParallelopipedRepresentationPlaceWidget");
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:Translate vtkParallelopipedRepresentationTranslateFunction
//input varargin
//output varargout
ArrayVector vtkParallelopipedRepresentationTranslateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkParallelopipedRepresentationTranslate__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkParallelopipedRepresentationTranslate__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkParallelopipedRepresentationTranslate");
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:DefinePlane vtkParallelopipedRepresentationDefinePlaneFunction
//input varargin
//output varargout
ArrayVector vtkParallelopipedRepresentationDefinePlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkParallelopipedRepresentationDefinePlane");
}

//@@Signature
//sfunction @vtkParallelopipedRepresentation:display vtkParallelopipedRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParallelopipedRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParallelopipedRepresentation* vtk_pointer = GetVTKPointer<vtkParallelopipedRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParallelopipedRepresentation:delete vtkParallelopipedRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkParallelopipedRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParallelopipedRepresentation
//@@Section VTKWidgets
//@@Usage
// This class provides the default geometrical representation for 
// vtkParallelopipedWidget. As a result of interactions of the widget, this
// representation can take on of the following shapes:
// <p>1) A parallelopiped. (8 handles, 6 faces)
// <p>2) Paralleopiped with a chair depression on any one handle. (A chair
// is a depression on one of the handles that carves inwards so as to allow 
// the user to visualize cuts in the volume). (14 handles, 9 faces).
//
//
//To create an instance of class vtkParallelopipedRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkParallelopipedRepresentation
//@]
//@@Methods
//The class vtkParallelopipedRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParallelopipedRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkParallelopipedRepresentation = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkParallelopipedRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|obj.GetActors (vtkPropCollection pc)| -  Methods to satisfy the superclass.
//// \item @|obj.PlaceWidget (double bounds[6])| -  Place the widget in the scene. You can use either of the two APIs : 
// 1) PlaceWidget( double bounds[6] ) 
//      Creates a cuboid conforming to the said bounds.
// 2) PlaceWidget( double corners[8][3] )
//      Creates a parallelopiped with corners specified. The order in 
//      which corners are specified must obey the following rule:
//      Corner 0 - 1 - 2 - 3 - 0  forms a face
//      Corner 4 - 5 - 6 - 7 - 4  forms a face
//      Corner 0 - 4 - 5 - 1 - 0  forms a face
//      Corner 1 - 5 - 6 - 2 - 1  forms a face
//      Corner 2 - 6 - 7 - 3 - 2  forms a face
//      Corner 3 - 7 - 4 - 0 - 3  forms a face
//// \item @|obj.SetInteractionState (int )| -  The interaction state may be set from a widget (e.g., PointWidget) 
// or other object. This controls how the interaction with the
// widget proceeds.
//// \item @|obj.GetBoundingPlanes (vtkPlaneCollection pc)| -  Get the bounding planes of the object. The first 6 planes will
// be bounding planes of the parallelopiped. If in chair mode, three 
// additional planes will be present. The last three planes will be those
// of the chair. The normals of all the planes will point into the object.
//// \item @|obj.GetPolyData (vtkPolyData pd)| -  The parallelopiped polydata.
//// \item @|double = obj.GetBounds ()| -  The parallelopiped polydata.
//// \item @|obj.SetHandleProperty (vtkProperty )| -  Set/Get the handle properties. 
//// \item @|obj.SetHoveredHandleProperty (vtkProperty )| -  Set/Get the handle properties. 
//// \item @|obj.SetSelectedHandleProperty (vtkProperty )| -  Set/Get the handle properties. 
//// \item @|vtkProperty = obj.GetHandleProperty ()| -  Set/Get the handle properties. 
//// \item @|vtkProperty = obj.GetHoveredHandleProperty ()| -  Set/Get the handle properties. 
//// \item @|vtkProperty = obj.GetSelectedHandleProperty ()| -  Set/Get the handle properties. 
//// \item @|obj.SetHandleRepresentation (vtkHandleRepresentation handle)|
// \item @|vtkHandleRepresentation = obj.GetHandleRepresentation (int index)|
// \item @|obj.HandlesOn ()| -  Turns the visibility of the handles on/off. Sometimes they may get in
// the way of visualization.
//// \item @|obj.HandlesOff ()| -  Turns the visibility of the handles on/off. Sometimes they may get in
// the way of visualization.
//// \item @|vtkProperty = obj.GetFaceProperty ()| -  Get the face properties. When a face is being translated, the face gets
// highlighted with the SelectedFaceProperty.
//// \item @|vtkProperty = obj.GetSelectedFaceProperty ()| -  Get the face properties. When a face is being translated, the face gets
// highlighted with the SelectedFaceProperty.
//// \item @|vtkProperty = obj.GetOutlineProperty ()| -  Get the outline properties. These are the properties with which the
// parallelopiped wireframe is rendered.
//// \item @|vtkProperty = obj.GetSelectedOutlineProperty ()| -  Get the outline properties. These are the properties with which the
// parallelopiped wireframe is rendered.
//// \item @|obj.BuildRepresentation ()| -  This actually constructs the geometry of the widget from the various
// data parameters.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow w)| -  Methods required by vtkProp superclass.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Methods required by vtkProp superclass.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Methods required by vtkProp superclass.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  Given and x-y display coordinate, compute the interaction state of 
// the widget.
//// \item @|obj.Translate (double translation[3])|
// \item @|obj.Translate (int X, int Y)|
// \item @|obj.Scale (int X, int Y)|
// \item @|obj.PositionHandles ()| -  Synchronize the parallelopiped handle positions with the 
// Polygonal datastructure.
//// \item @|obj.SetMinimumThickness (double )| -  Minimum thickness for the parallelopiped. User interactions cannot make
// any individual axis of the parallopiped thinner than this value.
// Default is 0.05 expressed as a fraction of the diagonal of the bounding
// box used in the PlaceWidget() invocation.
//// \item @|double = obj.GetMinimumThickness ()| -  Minimum thickness for the parallelopiped. User interactions cannot make
// any individual axis of the parallopiped thinner than this value.
// Default is 0.05 expressed as a fraction of the diagonal of the bounding
// box used in the PlaceWidget() invocation.
////\end{itemize}
//!
