#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParallelopipedWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParallelopipedWidget.h"

//@@Signature
//sfunction @vtkParallelopipedWidget:vtkParallelopipedWidget vtkParallelopipedWidgetConstructorFunction
//input a
//output p
//@@Parents vtkParallelopipedWidget vtkAbstractWidget 
ArrayVector vtkParallelopipedWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParallelopipedWidget::New(),"vtkParallelopipedWidget",eval);
  } else if (arg[0].className() == "vtkParallelopipedWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParallelopipedWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParallelopipedWidget");
    vtkParallelopipedWidget*q = reinterpret_cast<vtkParallelopipedWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParallelopipedWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParallelopipedWidget:GetClassName vtkParallelopipedWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParallelopipedWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParallelopipedWidget requires 1 argument(s)");
  vtkParallelopipedWidget* vtk_pointer = GetVTKPointer<vtkParallelopipedWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedWidget:IsA vtkParallelopipedWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParallelopipedWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParallelopipedWidget requires 2 argument(s)");
  vtkParallelopipedWidget* vtk_pointer = GetVTKPointer<vtkParallelopipedWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedWidget:NewInstance vtkParallelopipedWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParallelopipedWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParallelopipedWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParallelopipedWidget requires 1 argument(s)");
  vtkParallelopipedWidget* vtk_pointer = GetVTKPointer<vtkParallelopipedWidget>(arg[0]);
  Array retval;
  vtkParallelopipedWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParallelopipedWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedWidget:SafeDownCast vtkParallelopipedWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParallelopipedWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParallelopipedWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParallelopipedWidget requires 2 argument(s)");
  vtkParallelopipedWidget* vtk_pointer = GetVTKPointer<vtkParallelopipedWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParallelopipedWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParallelopipedWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedWidget:SetEnabled vtkParallelopipedWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkParallelopipedWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkParallelopipedWidget requires 2 argument(s)");
  vtkParallelopipedWidget* vtk_pointer = GetVTKPointer<vtkParallelopipedWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedWidget:SetRepresentation vtkParallelopipedWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkParallelopipedWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkParallelopipedRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkParallelopipedWidget requires 2 argument(s)");
  vtkParallelopipedWidget* vtk_pointer = GetVTKPointer<vtkParallelopipedWidget>(arg[0]);
  Array retval;
  vtkParallelopipedRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkParallelopipedRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedWidget:SetEnableChairCreation vtkParallelopipedWidgetSetEnableChairCreationFunction
//input a0 a1 
//output none
ArrayVector vtkParallelopipedWidgetSetEnableChairCreationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnableChairCreation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnableChairCreation for class vtkParallelopipedWidget requires 2 argument(s)");
  vtkParallelopipedWidget* vtk_pointer = GetVTKPointer<vtkParallelopipedWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnableChairCreation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedWidget:GetEnableChairCreation vtkParallelopipedWidgetGetEnableChairCreationFunction
//input a0 
//output y
ArrayVector vtkParallelopipedWidgetGetEnableChairCreationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEnableChairCreation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnableChairCreation for class vtkParallelopipedWidget requires 1 argument(s)");
  vtkParallelopipedWidget* vtk_pointer = GetVTKPointer<vtkParallelopipedWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEnableChairCreation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedWidget:EnableChairCreationOn vtkParallelopipedWidgetEnableChairCreationOnFunction
//input a0 
//output none
ArrayVector vtkParallelopipedWidgetEnableChairCreationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableChairCreationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableChairCreationOn for class vtkParallelopipedWidget requires 1 argument(s)");
  vtkParallelopipedWidget* vtk_pointer = GetVTKPointer<vtkParallelopipedWidget>(arg[0]);
  Array retval;
  vtk_pointer->EnableChairCreationOn();
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedWidget:EnableChairCreationOff vtkParallelopipedWidgetEnableChairCreationOffFunction
//input a0 
//output none
ArrayVector vtkParallelopipedWidgetEnableChairCreationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableChairCreationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableChairCreationOff for class vtkParallelopipedWidget requires 1 argument(s)");
  vtkParallelopipedWidget* vtk_pointer = GetVTKPointer<vtkParallelopipedWidget>(arg[0]);
  Array retval;
  vtk_pointer->EnableChairCreationOff();
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedWidget:CreateDefaultRepresentation vtkParallelopipedWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkParallelopipedWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkParallelopipedWidget requires 1 argument(s)");
  vtkParallelopipedWidget* vtk_pointer = GetVTKPointer<vtkParallelopipedWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedWidget:SetProcessEvents vtkParallelopipedWidgetSetProcessEventsFunction
//input a0 a1 
//output none
ArrayVector vtkParallelopipedWidgetSetProcessEventsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetProcessEvents (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProcessEvents for class vtkParallelopipedWidget requires 2 argument(s)");
  vtkParallelopipedWidget* vtk_pointer = GetVTKPointer<vtkParallelopipedWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProcessEvents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParallelopipedWidget:display vtkParallelopipedWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParallelopipedWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParallelopipedWidget* vtk_pointer = GetVTKPointer<vtkParallelopipedWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParallelopipedWidget:delete vtkParallelopipedWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkParallelopipedWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParallelopipedWidget
//@@Section VTKWidgets
//@@Usage
// This widget was designed with the aim of visualizing / probing cuts on
// a skewed image data / structured grid. 
//
// .SECTION Interaction
// The widget allows you to create a parallelopiped (defined by 8 handles).
// The widget is initially placed by using the "PlaceWidget" method in the
// representation class. After the widget has been created, the following
// interactions may be used to manipulate it :
// 1) Click on a handle and drag it around moves the handle in space, while
//    keeping the same axis alignment of the parallelopiped
// 2) Dragging a handle with the shift button pressed resizes the piped
//    along an axis.
// 3) Control-click on a handle creates a chair at that position. (A chair
//    is a depression in the piped that allows you to visualize cuts in the
//    volume). 
// 4) Clicking on a chair and dragging it around moves the chair within the
//    piped.
// 5) Shift-click on the piped enables you to translate it.
//
//
//To create an instance of class vtkParallelopipedWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkParallelopipedWidget
//@]
//@@Methods
//The class vtkParallelopipedWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParallelopipedWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParallelopipedWidget = obj.NewInstance ()|
// \item @|vtkParallelopipedWidget = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetEnabled (int )| -  Override the superclass method. This is a composite widget, (it internally
// consists of handle widgets). We will override the superclass method, so
// that we can pass the enabled state to the internal widgets as well.
//// \item @|obj.SetRepresentation (vtkParallelopipedRepresentation r)| -  Enable/disable the creation of a chair on this widget. If off,
// chairs cannot be created.
//// \item @|obj.SetEnableChairCreation (int )| -  Enable/disable the creation of a chair on this widget. If off,
// chairs cannot be created.
//// \item @|int = obj.GetEnableChairCreation ()| -  Enable/disable the creation of a chair on this widget. If off,
// chairs cannot be created.
//// \item @|obj.EnableChairCreationOn ()| -  Enable/disable the creation of a chair on this widget. If off,
// chairs cannot be created.
//// \item @|obj.EnableChairCreationOff ()| -  Enable/disable the creation of a chair on this widget. If off,
// chairs cannot be created.
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
//// \item @|obj.SetProcessEvents (int )| -  Methods to change the whether the widget responds to interaction.
// Overridden to pass the state to component widgets.
////\end{itemize}
//!
