#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPlaneWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPlaneWidget.h"

//@@Signature
//sfunction @vtkPlaneWidget:vtkPlaneWidget vtkPlaneWidgetConstructorFunction
//input a
//output p
//@@Parents vtkPlaneWidget vtkPolyDataSourceWidget 
ArrayVector vtkPlaneWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPlaneWidget::New(),"vtkPlaneWidget",eval);
  } else if (arg[0].className() == "vtkPlaneWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPlaneWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPlaneWidget");
    vtkPlaneWidget*q = reinterpret_cast<vtkPlaneWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPlaneWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPlaneWidget:GetClassName vtkPlaneWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:IsA vtkPlaneWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPlaneWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:NewInstance vtkPlaneWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPlaneWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlaneWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtkPlaneWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlaneWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SafeDownCast vtkPlaneWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPlaneWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlaneWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPlaneWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlaneWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetEnabled vtkPlaneWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:PlaceWidget__1 vtkPlaneWidgetPlaceWidget__1Function
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetPlaceWidget__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget__1 for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:PlaceWidget__2 vtkPlaneWidgetPlaceWidget__2Function
//input a0 
//output none
ArrayVector vtkPlaneWidgetPlaceWidget__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget ();this Superclass PlaceWidget  */
  if (arg.size() < 1) 
    throw Exception("Function PlaceWidget__2 for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->PlaceWidget();
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:PlaceWidget__3 vtkPlaneWidgetPlaceWidget__3Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkPlaneWidgetPlaceWidget__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax  */
  if (arg.size() < 7) 
    throw Exception("Function PlaceWidget__3 for class vtkPlaneWidget requires 7 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetResolution vtkPlaneWidgetSetResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetSetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResolution (int r); */
  if (arg.size() < 2) 
    throw Exception("Function SetResolution for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetResolution vtkPlaneWidgetGetResolutionFunction
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolution for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetOrigin__1 vtkPlaneWidgetSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPlaneWidgetSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkPlaneWidget requires 4 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetOrigin__2 vtkPlaneWidgetSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetOrigin__1 vtkPlaneWidgetGetOrigin__1Function
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin__1 for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetOrigin__2 vtkPlaneWidgetGetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetGetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetOrigin (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetOrigin__2 for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetPoint1__1 vtkPlaneWidgetSetPoint1__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPlaneWidgetSetPoint1__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1 (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint1__1 for class vtkPlaneWidget requires 4 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint1(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetPoint1__2 vtkPlaneWidgetSetPoint1__2Function
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetSetPoint1__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1 (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1__2 for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetPoint1__1 vtkPlaneWidgetGetPoint1__1Function
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetPoint1__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPoint1 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1__1 for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint1();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetPoint1__2 vtkPlaneWidgetGetPoint1__2Function
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetGetPoint1__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint1 (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint1__2 for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetPoint2__1 vtkPlaneWidgetSetPoint2__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPlaneWidgetSetPoint2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2 (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint2__1 for class vtkPlaneWidget requires 4 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint2(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetPoint2__2 vtkPlaneWidgetSetPoint2__2Function
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetSetPoint2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2 (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2__2 for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetPoint2__1 vtkPlaneWidgetGetPoint2__1Function
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetPoint2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPoint2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2__1 for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint2();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetPoint2__2 vtkPlaneWidgetGetPoint2__2Function
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetGetPoint2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPoint2 (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetPoint2__2 for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPoint2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetCenter__1 vtkPlaneWidgetSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPlaneWidgetSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkPlaneWidget requires 4 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetCenter__2 vtkPlaneWidgetSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetCenter__1 vtkPlaneWidgetGetCenter__1Function
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter__1 for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetCenter__2 vtkPlaneWidgetGetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetGetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCenter (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetCenter__2 for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetNormal__1 vtkPlaneWidgetSetNormal__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPlaneWidgetSetNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetNormal__1 for class vtkPlaneWidget requires 4 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetNormal(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetNormal__2 vtkPlaneWidgetSetNormal__2Function
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetSetNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormal__2 for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetNormal__1 vtkPlaneWidgetGetNormal__1Function
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormal__1 for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetNormal();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetNormal__2 vtkPlaneWidgetGetNormal__2Function
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetGetNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetNormal (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetNormal__2 for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetRepresentation vtkPlaneWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetRepresentationMinValue vtkPlaneWidgetGetRepresentationMinValueFunction
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetRepresentationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepresentationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepresentationMinValue for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepresentationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetRepresentationMaxValue vtkPlaneWidgetGetRepresentationMaxValueFunction
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetRepresentationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepresentationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepresentationMaxValue for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepresentationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetRepresentation vtkPlaneWidgetGetRepresentationFunction
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepresentation for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepresentation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetRepresentationToOff vtkPlaneWidgetSetRepresentationToOffFunction
//input a0 
//output none
ArrayVector vtkPlaneWidgetSetRepresentationToOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentationToOff ();this SetRepresentation VTK_PLANE_OFF  */
  if (arg.size() < 1) 
    throw Exception("Function SetRepresentationToOff for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetRepresentationToOff();
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetRepresentationToOutline vtkPlaneWidgetSetRepresentationToOutlineFunction
//input a0 
//output none
ArrayVector vtkPlaneWidgetSetRepresentationToOutlineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentationToOutline ();this SetRepresentation VTK_PLANE_OUTLINE  */
  if (arg.size() < 1) 
    throw Exception("Function SetRepresentationToOutline for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetRepresentationToOutline();
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetRepresentationToWireframe vtkPlaneWidgetSetRepresentationToWireframeFunction
//input a0 
//output none
ArrayVector vtkPlaneWidgetSetRepresentationToWireframeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentationToWireframe ();this SetRepresentation VTK_PLANE_WIREFRAME  */
  if (arg.size() < 1) 
    throw Exception("Function SetRepresentationToWireframe for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetRepresentationToWireframe();
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetRepresentationToSurface vtkPlaneWidgetSetRepresentationToSurfaceFunction
//input a0 
//output none
ArrayVector vtkPlaneWidgetSetRepresentationToSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentationToSurface ();this SetRepresentation VTK_PLANE_SURFACE  */
  if (arg.size() < 1) 
    throw Exception("Function SetRepresentationToSurface for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetRepresentationToSurface();
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetNormalToXAxis vtkPlaneWidgetSetNormalToXAxisFunction
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetSetNormalToXAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalToXAxis (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalToXAxis for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalToXAxis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetNormalToXAxis vtkPlaneWidgetGetNormalToXAxisFunction
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetNormalToXAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalToXAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalToXAxis for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalToXAxis();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:NormalToXAxisOn vtkPlaneWidgetNormalToXAxisOnFunction
//input a0 
//output none
ArrayVector vtkPlaneWidgetNormalToXAxisOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToXAxisOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToXAxisOn for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->NormalToXAxisOn();
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:NormalToXAxisOff vtkPlaneWidgetNormalToXAxisOffFunction
//input a0 
//output none
ArrayVector vtkPlaneWidgetNormalToXAxisOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToXAxisOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToXAxisOff for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->NormalToXAxisOff();
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetNormalToYAxis vtkPlaneWidgetSetNormalToYAxisFunction
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetSetNormalToYAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalToYAxis (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalToYAxis for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalToYAxis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetNormalToYAxis vtkPlaneWidgetGetNormalToYAxisFunction
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetNormalToYAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalToYAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalToYAxis for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalToYAxis();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:NormalToYAxisOn vtkPlaneWidgetNormalToYAxisOnFunction
//input a0 
//output none
ArrayVector vtkPlaneWidgetNormalToYAxisOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToYAxisOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToYAxisOn for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->NormalToYAxisOn();
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:NormalToYAxisOff vtkPlaneWidgetNormalToYAxisOffFunction
//input a0 
//output none
ArrayVector vtkPlaneWidgetNormalToYAxisOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToYAxisOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToYAxisOff for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->NormalToYAxisOff();
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetNormalToZAxis vtkPlaneWidgetSetNormalToZAxisFunction
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetSetNormalToZAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalToZAxis (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalToZAxis for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalToZAxis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetNormalToZAxis vtkPlaneWidgetGetNormalToZAxisFunction
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetNormalToZAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalToZAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalToZAxis for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalToZAxis();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:NormalToZAxisOn vtkPlaneWidgetNormalToZAxisOnFunction
//input a0 
//output none
ArrayVector vtkPlaneWidgetNormalToZAxisOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToZAxisOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToZAxisOn for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->NormalToZAxisOn();
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:NormalToZAxisOff vtkPlaneWidgetNormalToZAxisOffFunction
//input a0 
//output none
ArrayVector vtkPlaneWidgetNormalToZAxisOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalToZAxisOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalToZAxisOff for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->NormalToZAxisOff();
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetPolyData vtkPlaneWidgetGetPolyDataFunction
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetGetPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPolyData (vtkPolyData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function GetPolyData for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->GetPolyData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetPlane vtkPlaneWidgetGetPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetGetPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPlane (vtkPlane *plane); */
  if (arg.size() < 2) 
    throw Exception("Function GetPlane for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtkPlane  *temp0;
  temp0 = GetVTKPointer<vtkPlane>(arg[1]);
  vtk_pointer->GetPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetPolyDataAlgorithm vtkPlaneWidgetGetPolyDataAlgorithmFunction
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetPolyDataAlgorithmFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataAlgorithm *GetPolyDataAlgorithm (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolyDataAlgorithm for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtkPolyDataAlgorithm  *temp20;
  temp20 = (vtk_pointer)->GetPolyDataAlgorithm();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:UpdatePlacement vtkPlaneWidgetUpdatePlacementFunction
//input a0 
//output none
ArrayVector vtkPlaneWidgetUpdatePlacementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UpdatePlacement (void ); */
  if (arg.size() < 1) 
    throw Exception("Function UpdatePlacement for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtk_pointer->UpdatePlacement();
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetHandleProperty vtkPlaneWidgetGetHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleProperty for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetSelectedHandleProperty vtkPlaneWidgetGetSelectedHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetSelectedHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedHandleProperty for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:SetPlaneProperty vtkPlaneWidgetSetPlanePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkPlaneWidgetSetPlanePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPlaneProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlaneProperty for class vtkPlaneWidget requires 2 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetPlaneProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetPlaneProperty vtkPlaneWidgetGetPlanePropertyFunction
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetPlanePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetPlaneProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlaneProperty for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetPlaneProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:GetSelectedPlaneProperty vtkPlaneWidgetGetSelectedPlanePropertyFunction
//input a0 
//output y
ArrayVector vtkPlaneWidgetGetSelectedPlanePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedPlaneProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedPlaneProperty for class vtkPlaneWidget requires 1 argument(s)");
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedPlaneProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneWidget:PlaceWidget vtkPlaneWidgetPlaceWidgetFunction
//input varargin
//output varargout
ArrayVector vtkPlaneWidgetPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneWidgetPlaceWidget__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkPlaneWidgetPlaceWidget__2Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkPlaneWidgetPlaceWidget__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneWidgetPlaceWidget");
}

//@@Signature
//sfunction @vtkPlaneWidget:SetOrigin vtkPlaneWidgetSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkPlaneWidgetSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPlaneWidgetSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneWidgetSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneWidgetSetOrigin");
}

//@@Signature
//sfunction @vtkPlaneWidget:GetOrigin vtkPlaneWidgetGetOriginFunction
//input varargin
//output varargout
ArrayVector vtkPlaneWidgetGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPlaneWidgetGetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneWidgetGetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneWidgetGetOrigin");
}

//@@Signature
//sfunction @vtkPlaneWidget:SetPoint1 vtkPlaneWidgetSetPoint1Function
//input varargin
//output varargout
ArrayVector vtkPlaneWidgetSetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPlaneWidgetSetPoint1__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneWidgetSetPoint1__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneWidgetSetPoint1");
}

//@@Signature
//sfunction @vtkPlaneWidget:GetPoint1 vtkPlaneWidgetGetPoint1Function
//input varargin
//output varargout
ArrayVector vtkPlaneWidgetGetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPlaneWidgetGetPoint1__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneWidgetGetPoint1__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneWidgetGetPoint1");
}

//@@Signature
//sfunction @vtkPlaneWidget:SetPoint2 vtkPlaneWidgetSetPoint2Function
//input varargin
//output varargout
ArrayVector vtkPlaneWidgetSetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPlaneWidgetSetPoint2__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneWidgetSetPoint2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneWidgetSetPoint2");
}

//@@Signature
//sfunction @vtkPlaneWidget:GetPoint2 vtkPlaneWidgetGetPoint2Function
//input varargin
//output varargout
ArrayVector vtkPlaneWidgetGetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPlaneWidgetGetPoint2__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneWidgetGetPoint2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneWidgetGetPoint2");
}

//@@Signature
//sfunction @vtkPlaneWidget:SetCenter vtkPlaneWidgetSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkPlaneWidgetSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPlaneWidgetSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneWidgetSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneWidgetSetCenter");
}

//@@Signature
//sfunction @vtkPlaneWidget:GetCenter vtkPlaneWidgetGetCenterFunction
//input varargin
//output varargout
ArrayVector vtkPlaneWidgetGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPlaneWidgetGetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneWidgetGetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneWidgetGetCenter");
}

//@@Signature
//sfunction @vtkPlaneWidget:SetNormal vtkPlaneWidgetSetNormalFunction
//input varargin
//output varargout
ArrayVector vtkPlaneWidgetSetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPlaneWidgetSetNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneWidgetSetNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneWidgetSetNormal");
}

//@@Signature
//sfunction @vtkPlaneWidget:GetNormal vtkPlaneWidgetGetNormalFunction
//input varargin
//output varargout
ArrayVector vtkPlaneWidgetGetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPlaneWidgetGetNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneWidgetGetNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneWidgetGetNormal");
}

//@@Signature
//sfunction @vtkPlaneWidget:display vtkPlaneWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPlaneWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPlaneWidget* vtk_pointer = GetVTKPointer<vtkPlaneWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPlaneWidget:delete vtkPlaneWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkPlaneWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPlaneWidget
//@@Section VTKWidgets
//@@Usage
// This 3D widget defines a finite (bounded) plane that can be interactively
// placed in a scene. The plane has four handles (at its corner vertices), a
// normal vector, and the plane itself. The handles are used to resize the
// plane; the normal vector to rotate it, and the plane can be picked and
// translated. Selecting the plane while pressing CTRL makes it spin around 
// the normal. A nice feature of the object is that the vtkPlaneWidget, like
// any 3D widget, will work with the current interactor style. That is, if
// vtkPlaneWidget does not handle an event, then all other registered
// observers (including the interactor style) have an opportunity to process
// the event. Otherwise, the vtkPlaneWidget will terminate the processing of
// the event that it handles.
//
// To use this object, just invoke SetInteractor() with the argument of the
// method a vtkRenderWindowInteractor.  You may also wish to invoke
// "PlaceWidget()" to initially position the widget. If the "i" key (for
// "interactor") is pressed, the vtkPlaneWidget will appear. (See superclass
// documentation for information about changing this behavior.) By grabbing
// the one of the four handles (use the left mouse button), the plane can be
// resized.  By grabbing the plane itself, the entire plane can be
// arbitrarily translated. Pressing CTRL while grabbing the plane will spin
// the plane around the normal. If you select the normal vector, the plane can be
// arbitrarily rotated. Selecting any part of the widget with the middle
// mouse button enables translation of the plane along its normal. (Once
// selected using middle mouse, moving the mouse in the direction of the
// normal translates the plane in the direction of the normal; moving in the
// direction opposite the normal translates the plane in the direction
// opposite the normal.) Scaling (about the center of the plane) is achieved
// by using the right mouse button. By moving the mouse "up" the render
// window the plane will be made bigger; by moving "down" the render window
// the widget will be made smaller. Events that occur outside of the widget
// (i.e., no part of the widget is picked) are propagated to any other
// registered obsevers (such as the interaction style).  Turn off the widget
// by pressing the "i" key again (or invoke the Off() method).
//
// The vtkPlaneWidget has several methods that can be used in conjunction
// with other VTK objects. The Set/GetResolution() methods control the number
// of subdivisions of the plane; the GetPolyData() method can be used to get
// the polygonal representation and can be used for things like seeding
// stream lines. GetPlane() can be used to update a vtkPlane implicit
// function. Typical usage of the widget is to make use of the
// StartInteractionEvent, InteractionEvent, and EndInteractionEvent
// events. The InteractionEvent is called on mouse motion; the other two
// events are called on button down and button up (either left or right
// button).
//
// Some additional features of this class include the ability to control the
// properties of the widget. You can set the properties of the selected and
// unselected representations of the plane. For example, you can set the
// property for the handles and plane. In addition there are methods to
// constrain the plane so that it is perpendicular to the x-y-z axes.
//
//To create an instance of class vtkPlaneWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkPlaneWidget
//@]
//@@Methods
//The class vtkPlaneWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPlaneWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPlaneWidget = obj.NewInstance ()|
// \item @|vtkPlaneWidget = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetEnabled (int )| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double bounds[6])| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget ()| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  Set/Get the resolution (number of subdivisions) of the plane.
//// \item @|obj.SetResolution (int r)| -  Set/Get the resolution (number of subdivisions) of the plane.
//// \item @|int = obj.GetResolution ()| -  Set/Get the resolution (number of subdivisions) of the plane.
//// \item @|obj.SetOrigin (double x, double y, double z)| -  Set/Get the origin of the plane.
//// \item @|obj.SetOrigin (double x[3])| -  Set/Get the origin of the plane.
//// \item @|double = obj.GetOrigin ()| -  Set/Get the origin of the plane.
//// \item @|obj.GetOrigin (double xyz[3])| -  Set/Get the origin of the plane.
//// \item @|obj.SetPoint1 (double x, double y, double z)| -  Set/Get the position of the point defining the first axis of the plane.
//// \item @|obj.SetPoint1 (double x[3])| -  Set/Get the position of the point defining the first axis of the plane.
//// \item @|double = obj.GetPoint1 ()| -  Set/Get the position of the point defining the first axis of the plane.
//// \item @|obj.GetPoint1 (double xyz[3])| -  Set/Get the position of the point defining the first axis of the plane.
//// \item @|obj.SetPoint2 (double x, double y, double z)| -  Set/Get the position of the point defining the second axis of the plane.
//// \item @|obj.SetPoint2 (double x[3])| -  Set/Get the position of the point defining the second axis of the plane.
//// \item @|double = obj.GetPoint2 ()| -  Set/Get the position of the point defining the second axis of the plane.
//// \item @|obj.GetPoint2 (double xyz[3])| -  Set/Get the position of the point defining the second axis of the plane.
//// \item @|obj.SetCenter (double x, double y, double z)| -  Get the center of the plane.
//// \item @|obj.SetCenter (double x[3])| -  Get the center of the plane.
//// \item @|double = obj.GetCenter ()| -  Get the center of the plane.
//// \item @|obj.GetCenter (double xyz[3])| -  Get the center of the plane.
//// \item @|obj.SetNormal (double x, double y, double z)| -  Get the normal to the plane.
//// \item @|obj.SetNormal (double x[3])| -  Get the normal to the plane.
//// \item @|double = obj.GetNormal ()| -  Get the normal to the plane.
//// \item @|obj.GetNormal (double xyz[3])| -  Get the normal to the plane.
//// \item @|obj.SetRepresentation (int )| -  Control how the plane appears when GetPolyData() is invoked.
// If the mode is "outline", then just the outline of the plane
// is shown. If the mode is "wireframe" then the plane is drawn
// with the outline plus the interior mesh (corresponding to the
// resolution specified). If the mode is "surface" then the plane
// is drawn as a surface.
//// \item @|int = obj.GetRepresentationMinValue ()| -  Control how the plane appears when GetPolyData() is invoked.
// If the mode is "outline", then just the outline of the plane
// is shown. If the mode is "wireframe" then the plane is drawn
// with the outline plus the interior mesh (corresponding to the
// resolution specified). If the mode is "surface" then the plane
// is drawn as a surface.
//// \item @|int = obj.GetRepresentationMaxValue ()| -  Control how the plane appears when GetPolyData() is invoked.
// If the mode is "outline", then just the outline of the plane
// is shown. If the mode is "wireframe" then the plane is drawn
// with the outline plus the interior mesh (corresponding to the
// resolution specified). If the mode is "surface" then the plane
// is drawn as a surface.
//// \item @|int = obj.GetRepresentation ()| -  Control how the plane appears when GetPolyData() is invoked.
// If the mode is "outline", then just the outline of the plane
// is shown. If the mode is "wireframe" then the plane is drawn
// with the outline plus the interior mesh (corresponding to the
// resolution specified). If the mode is "surface" then the plane
// is drawn as a surface.
//// \item @|obj.SetRepresentationToOff ()| -  Control how the plane appears when GetPolyData() is invoked.
// If the mode is "outline", then just the outline of the plane
// is shown. If the mode is "wireframe" then the plane is drawn
// with the outline plus the interior mesh (corresponding to the
// resolution specified). If the mode is "surface" then the plane
// is drawn as a surface.
//// \item @|obj.SetRepresentationToOutline ()| -  Control how the plane appears when GetPolyData() is invoked.
// If the mode is "outline", then just the outline of the plane
// is shown. If the mode is "wireframe" then the plane is drawn
// with the outline plus the interior mesh (corresponding to the
// resolution specified). If the mode is "surface" then the plane
// is drawn as a surface.
//// \item @|obj.SetRepresentationToWireframe ()| -  Control how the plane appears when GetPolyData() is invoked.
// If the mode is "outline", then just the outline of the plane
// is shown. If the mode is "wireframe" then the plane is drawn
// with the outline plus the interior mesh (corresponding to the
// resolution specified). If the mode is "surface" then the plane
// is drawn as a surface.
//// \item @|obj.SetRepresentationToSurface ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.SetNormalToXAxis (int )| -  Force the plane widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|int = obj.GetNormalToXAxis ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToXAxisOn ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToXAxisOff ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.SetNormalToYAxis (int )| -  Force the plane widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|int = obj.GetNormalToYAxis ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToYAxisOn ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToYAxisOff ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.SetNormalToZAxis (int )| -  Force the plane widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|int = obj.GetNormalToZAxis ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToZAxisOn ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.NormalToZAxisOff ()| -  Force the plane widget to be aligned with one of the x-y-z axes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the plane to the axes if it is orginally
// not aligned.
//// \item @|obj.GetPolyData (vtkPolyData pd)| -  Grab the polydata (including points) that defines the plane.  The
// polydata consists of (res+1)*(res+1) points, and res*res quadrilateral
// polygons, where res is the resolution of the plane. These point values
// are guaranteed to be up-to-date when either the InteractionEvent or
// EndInteraction events are invoked. The user provides the vtkPolyData and
// the points and polyplane are added to it.
//// \item @|obj.GetPlane (vtkPlane plane)| -  Get the planes describing the implicit function defined by the plane
// widget. The user must provide the instance of the class vtkPlane. Note
// that vtkPlane is a subclass of vtkImplicitFunction, meaning that it can
// be used by a variety of filters to perform clipping, cutting, and
// selection of data.
//// \item @|vtkPolyDataAlgorithm = obj.GetPolyDataAlgorithm ()| -  Satisfies superclass API.  This returns a pointer to the underlying
// PolyData.  Make changes to this before calling the initial PlaceWidget()
// to have the initial placement follow suit.  Or, make changes after the
// widget has been initialised and call UpdatePlacement() to realise.
//// \item @|obj.UpdatePlacement (void )| -  Satisfies superclass API.  This will change the state of the widget to
// match changes that have been made to the underlying PolyDataSource
//// \item @|vtkProperty = obj.GetHandleProperty ()| -  Get the handle properties (the little balls are the handles). The 
// properties of the handles when selected and normal can be 
// manipulated.
//// \item @|vtkProperty = obj.GetSelectedHandleProperty ()| -  Get the handle properties (the little balls are the handles). The 
// properties of the handles when selected and normal can be 
// manipulated.
//// \item @|obj.SetPlaneProperty (vtkProperty )| -  Get the plane properties. The properties of the plane when selected 
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetPlaneProperty ()| -  Get the plane properties. The properties of the plane when selected 
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetSelectedPlaneProperty ()| -  Get the plane properties. The properties of the plane when selected 
// and unselected can be manipulated.
////\end{itemize}
//!
