#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPlaybackRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPlaybackRepresentation.h"

//@@Signature
//sfunction @vtkPlaybackRepresentation:vtkPlaybackRepresentation vtkPlaybackRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkPlaybackRepresentation vtkBorderRepresentation 
ArrayVector vtkPlaybackRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPlaybackRepresentation::New(),"vtkPlaybackRepresentation",eval);
  } else if (arg[0].className() == "vtkPlaybackRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPlaybackRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPlaybackRepresentation");
    vtkPlaybackRepresentation*q = reinterpret_cast<vtkPlaybackRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPlaybackRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPlaybackRepresentation:GetClassName vtkPlaybackRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPlaybackRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPlaybackRepresentation requires 1 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:IsA vtkPlaybackRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPlaybackRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPlaybackRepresentation requires 2 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:NewInstance vtkPlaybackRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPlaybackRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlaybackRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPlaybackRepresentation requires 1 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  vtkPlaybackRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlaybackRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:SafeDownCast vtkPlaybackRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPlaybackRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlaybackRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPlaybackRepresentation requires 2 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPlaybackRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlaybackRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:GetProperty vtkPlaybackRepresentationGetPropertyFunction
//input a0 
//output y
ArrayVector vtkPlaybackRepresentationGetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *GetProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProperty for class vtkPlaybackRepresentation requires 1 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->GetProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:Play vtkPlaybackRepresentationPlayFunction
//input a0 
//output none
ArrayVector vtkPlaybackRepresentationPlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Play (); */
  if (arg.size() < 1) 
    throw Exception("Function Play for class vtkPlaybackRepresentation requires 1 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->Play();
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:Stop vtkPlaybackRepresentationStopFunction
//input a0 
//output none
ArrayVector vtkPlaybackRepresentationStopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Stop (); */
  if (arg.size() < 1) 
    throw Exception("Function Stop for class vtkPlaybackRepresentation requires 1 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->Stop();
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:ForwardOneFrame vtkPlaybackRepresentationForwardOneFrameFunction
//input a0 
//output none
ArrayVector vtkPlaybackRepresentationForwardOneFrameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ForwardOneFrame (); */
  if (arg.size() < 1) 
    throw Exception("Function ForwardOneFrame for class vtkPlaybackRepresentation requires 1 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ForwardOneFrame();
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:BackwardOneFrame vtkPlaybackRepresentationBackwardOneFrameFunction
//input a0 
//output none
ArrayVector vtkPlaybackRepresentationBackwardOneFrameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BackwardOneFrame (); */
  if (arg.size() < 1) 
    throw Exception("Function BackwardOneFrame for class vtkPlaybackRepresentation requires 1 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BackwardOneFrame();
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:JumpToBeginning vtkPlaybackRepresentationJumpToBeginningFunction
//input a0 
//output none
ArrayVector vtkPlaybackRepresentationJumpToBeginningFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void JumpToBeginning (); */
  if (arg.size() < 1) 
    throw Exception("Function JumpToBeginning for class vtkPlaybackRepresentation requires 1 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->JumpToBeginning();
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:JumpToEnd vtkPlaybackRepresentationJumpToEndFunction
//input a0 
//output none
ArrayVector vtkPlaybackRepresentationJumpToEndFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void JumpToEnd (); */
  if (arg.size() < 1) 
    throw Exception("Function JumpToEnd for class vtkPlaybackRepresentation requires 1 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->JumpToEnd();
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:BuildRepresentation vtkPlaybackRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkPlaybackRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkPlaybackRepresentation requires 1 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:GetSize vtkPlaybackRepresentationGetSizeFunction
//input a0 a1 
//output none
ArrayVector vtkPlaybackRepresentationGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetSize (double size[2]);size size  */
  if (arg.size() < 2) 
    throw Exception("Function GetSize for class vtkPlaybackRepresentation requires 2 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:GetActors2D vtkPlaybackRepresentationGetActors2DFunction
//input a0 a1 
//output none
ArrayVector vtkPlaybackRepresentationGetActors2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors2D (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors2D for class vtkPlaybackRepresentation requires 2 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:ReleaseGraphicsResources vtkPlaybackRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkPlaybackRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkPlaybackRepresentation requires 2 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:RenderOverlay vtkPlaybackRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkPlaybackRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkPlaybackRepresentation requires 2 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:RenderOpaqueGeometry vtkPlaybackRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkPlaybackRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkPlaybackRepresentation requires 2 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:RenderTranslucentPolygonalGeometry vtkPlaybackRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkPlaybackRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkPlaybackRepresentation requires 2 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:HasTranslucentPolygonalGeometry vtkPlaybackRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkPlaybackRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkPlaybackRepresentation requires 1 argument(s)");
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackRepresentation:display vtkPlaybackRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPlaybackRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPlaybackRepresentation* vtk_pointer = GetVTKPointer<vtkPlaybackRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPlaybackRepresentation:delete vtkPlaybackRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkPlaybackRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPlaybackRepresentation
//@@Section VTKWidgets
//@@Usage
// This class is used to represent the vtkPlaybackWidget. Besides defining
// geometry, this class defines a series of virtual method stubs that are
// meant to be subclassed by applications for controlling playback.
//
//To create an instance of class vtkPlaybackRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkPlaybackRepresentation
//@]
//@@Methods
//The class vtkPlaybackRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPlaybackRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK class methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK class methods.
//// \item @|vtkPlaybackRepresentation = obj.NewInstance ()| -  Standard VTK class methods.
//// \item @|vtkPlaybackRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard VTK class methods.
//// \item @|vtkProperty2D = obj.GetProperty ()| -  By obtaining this property you can specify the properties of the 
// representation.
//// \item @|obj.Play ()| -  Virtual callbacks that subclasses should implement.
//// \item @|obj.Stop ()| -  Virtual callbacks that subclasses should implement.
//// \item @|obj.ForwardOneFrame ()| -  Virtual callbacks that subclasses should implement.
//// \item @|obj.BackwardOneFrame ()| -  Virtual callbacks that subclasses should implement.
//// \item @|obj.JumpToBeginning ()| -  Virtual callbacks that subclasses should implement.
//// \item @|obj.JumpToEnd ()| -  Satisfy the superclasses' API.
//// \item @|obj.BuildRepresentation ()| -  Satisfy the superclasses' API.
//// \item @|obj.GetSize (double size[2])| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|obj.GetActors2D (vtkPropCollection )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderOverlay (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  These methods are necessary to make this representation behave as
// a vtkProp.
////\end{itemize}
//!
