#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPlaybackWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPlaybackWidget.h"

//@@Signature
//sfunction @vtkPlaybackWidget:vtkPlaybackWidget vtkPlaybackWidgetConstructorFunction
//input a
//output p
//@@Parents vtkPlaybackWidget vtkBorderWidget 
ArrayVector vtkPlaybackWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPlaybackWidget::New(),"vtkPlaybackWidget",eval);
  } else if (arg[0].className() == "vtkPlaybackWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPlaybackWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPlaybackWidget");
    vtkPlaybackWidget*q = reinterpret_cast<vtkPlaybackWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPlaybackWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPlaybackWidget:GetClassName vtkPlaybackWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPlaybackWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPlaybackWidget requires 1 argument(s)");
  vtkPlaybackWidget* vtk_pointer = GetVTKPointer<vtkPlaybackWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackWidget:IsA vtkPlaybackWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPlaybackWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPlaybackWidget requires 2 argument(s)");
  vtkPlaybackWidget* vtk_pointer = GetVTKPointer<vtkPlaybackWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackWidget:NewInstance vtkPlaybackWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPlaybackWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlaybackWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPlaybackWidget requires 1 argument(s)");
  vtkPlaybackWidget* vtk_pointer = GetVTKPointer<vtkPlaybackWidget>(arg[0]);
  Array retval;
  vtkPlaybackWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlaybackWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackWidget:SafeDownCast vtkPlaybackWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPlaybackWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlaybackWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPlaybackWidget requires 2 argument(s)");
  vtkPlaybackWidget* vtk_pointer = GetVTKPointer<vtkPlaybackWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPlaybackWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlaybackWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackWidget:SetRepresentation vtkPlaybackWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkPlaybackWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkPlaybackRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkPlaybackWidget requires 2 argument(s)");
  vtkPlaybackWidget* vtk_pointer = GetVTKPointer<vtkPlaybackWidget>(arg[0]);
  Array retval;
  vtkPlaybackRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkPlaybackRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackWidget:CreateDefaultRepresentation vtkPlaybackWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkPlaybackWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkPlaybackWidget requires 1 argument(s)");
  vtkPlaybackWidget* vtk_pointer = GetVTKPointer<vtkPlaybackWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkPlaybackWidget:display vtkPlaybackWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPlaybackWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPlaybackWidget* vtk_pointer = GetVTKPointer<vtkPlaybackWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPlaybackWidget:delete vtkPlaybackWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkPlaybackWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPlaybackWidget
//@@Section VTKWidgets
//@@Usage
// This class provides support for interactively controlling the playback of
// a serial stream of information (e.g., animation sequence, video, etc.). 
// Controls for play, stop, advance one step forward, advance one step backward, 
// jump to beginning, and jump to end are available. 
//
//To create an instance of class vtkPlaybackWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkPlaybackWidget
//@]
//@@Methods
//The class vtkPlaybackWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPlaybackWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standar VTK class methods.
//// \item @|int = obj.IsA (string name)| -  Standar VTK class methods.
//// \item @|vtkPlaybackWidget = obj.NewInstance ()| -  Standar VTK class methods.
//// \item @|vtkPlaybackWidget = obj.SafeDownCast (vtkObject o)| -  Standar VTK class methods.
//// \item @|obj.SetRepresentation (vtkPlaybackRepresentation r)| -  Create the default widget representation if one is not set. 
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
////\end{itemize}
//!
