#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPointHandleRepresentation2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPointHandleRepresentation2D.h"

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:vtkPointHandleRepresentation2D vtkPointHandleRepresentation2DConstructorFunction
//input a
//output p
//@@Parents vtkPointHandleRepresentation2D vtkHandleRepresentation 
ArrayVector vtkPointHandleRepresentation2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPointHandleRepresentation2D::New(),"vtkPointHandleRepresentation2D",eval);
  } else if (arg[0].className() == "vtkPointHandleRepresentation2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPointHandleRepresentation2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPointHandleRepresentation2D");
    vtkPointHandleRepresentation2D*q = reinterpret_cast<vtkPointHandleRepresentation2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPointHandleRepresentation2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPointHandleRepresentation2D:GetClassName vtkPointHandleRepresentation2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPointHandleRepresentation2D requires 1 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:IsA vtkPointHandleRepresentation2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPointHandleRepresentation2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPointHandleRepresentation2D requires 2 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:NewInstance vtkPointHandleRepresentation2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointHandleRepresentation2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPointHandleRepresentation2D requires 1 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  vtkPointHandleRepresentation2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointHandleRepresentation2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:SafeDownCast vtkPointHandleRepresentation2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPointHandleRepresentation2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointHandleRepresentation2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPointHandleRepresentation2D requires 2 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPointHandleRepresentation2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointHandleRepresentation2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:SetCursorShape vtkPointHandleRepresentation2DSetCursorShapeFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation2DSetCursorShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorShape (vtkPolyData *cursorShape); */
  if (arg.size() < 2) 
    throw Exception("Function SetCursorShape for class vtkPointHandleRepresentation2D requires 2 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetCursorShape(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:GetCursorShape vtkPointHandleRepresentation2DGetCursorShapeFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation2DGetCursorShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetCursorShape (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorShape for class vtkPointHandleRepresentation2D requires 1 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetCursorShape();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:SetDisplayPosition vtkPointHandleRepresentation2DSetDisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation2DSetDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDisplayPosition (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplayPosition for class vtkPointHandleRepresentation2D requires 2 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:SetProperty vtkPointHandleRepresentation2DSetPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation2DSetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProperty (vtkProperty2D *); */
  if (arg.size() < 2) 
    throw Exception("Function SetProperty for class vtkPointHandleRepresentation2D requires 2 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  vtkProperty2D  *temp0;
  temp0 = GetVTKPointer<vtkProperty2D>(arg[1]);
  vtk_pointer->SetProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:SetSelectedProperty vtkPointHandleRepresentation2DSetSelectedPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation2DSetSelectedPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedProperty (vtkProperty2D *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedProperty for class vtkPointHandleRepresentation2D requires 2 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  vtkProperty2D  *temp0;
  temp0 = GetVTKPointer<vtkProperty2D>(arg[1]);
  vtk_pointer->SetSelectedProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:GetProperty vtkPointHandleRepresentation2DGetPropertyFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation2DGetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *GetProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProperty for class vtkPointHandleRepresentation2D requires 1 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->GetProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:GetSelectedProperty vtkPointHandleRepresentation2DGetSelectedPropertyFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation2DGetSelectedPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *GetSelectedProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedProperty for class vtkPointHandleRepresentation2D requires 1 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->GetSelectedProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:GetBounds vtkPointHandleRepresentation2DGetBoundsFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation2DGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds for class vtkPointHandleRepresentation2D requires 1 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:BuildRepresentation vtkPointHandleRepresentation2DBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkPointHandleRepresentation2DBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkPointHandleRepresentation2D requires 1 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:StartWidgetInteraction vtkPointHandleRepresentation2DStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation2DStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkPointHandleRepresentation2D requires 2 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:WidgetInteraction vtkPointHandleRepresentation2DWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation2DWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkPointHandleRepresentation2D requires 2 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:ComputeInteractionState vtkPointHandleRepresentation2DComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPointHandleRepresentation2DComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkPointHandleRepresentation2D requires 4 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:ShallowCopy vtkPointHandleRepresentation2DShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation2DShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkPointHandleRepresentation2D requires 2 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:DeepCopy vtkPointHandleRepresentation2DDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation2DDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkPointHandleRepresentation2D requires 2 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:GetActors2D vtkPointHandleRepresentation2DGetActors2DFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation2DGetActors2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors2D (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors2D for class vtkPointHandleRepresentation2D requires 2 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:ReleaseGraphicsResources vtkPointHandleRepresentation2DReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation2DReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkPointHandleRepresentation2D requires 2 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:RenderOverlay vtkPointHandleRepresentation2DRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkPointHandleRepresentation2DRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkPointHandleRepresentation2D requires 2 argument(s)");
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation2D:display vtkPointHandleRepresentation2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPointHandleRepresentation2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPointHandleRepresentation2D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPointHandleRepresentation2D:delete vtkPointHandleRepresentation2DDeleteFunction
//input varargin
//output none
ArrayVector vtkPointHandleRepresentation2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPointHandleRepresentation2D
//@@Section VTKWidgets
//@@Usage
// This class is used to represent a vtkHandleWidget. It represents a
// position in 2D world coordinates using a x-y cursor (the cursor defined by
// an instance of vtkPolyData and generated by a vtkPolyDataAlgorithm).
//
//To create an instance of class vtkPointHandleRepresentation2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkPointHandleRepresentation2D
//@]
//@@Methods
//The class vtkPointHandleRepresentation2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPointHandleRepresentation2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkPointHandleRepresentation2D = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkPointHandleRepresentation2D = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|obj.SetCursorShape (vtkPolyData cursorShape)| -  Specify the cursor shape with an instance of vtkPolyData. Note that
// shape is assumed to be defined in the display coordinate system. By
// default a vtkCursor2D shape is used.
//// \item @|vtkPolyData = obj.GetCursorShape ()| -  Specify the cursor shape with an instance of vtkPolyData. Note that
// shape is assumed to be defined in the display coordinate system. By
// default a vtkCursor2D shape is used.
//// \item @|obj.SetDisplayPosition (double xyz[3])| -  Set/Get the position of the point in display coordinates.  This overloads
// the superclasses SetDisplayPosition in order to set the focal point
// of the cursor.
//// \item @|obj.SetProperty (vtkProperty2D )| -  Set/Get the handle properties when unselected and selected.
//// \item @|obj.SetSelectedProperty (vtkProperty2D )| -  Set/Get the handle properties when unselected and selected.
//// \item @|vtkProperty2D = obj.GetProperty ()| -  Set/Get the handle properties when unselected and selected.
//// \item @|vtkProperty2D = obj.GetSelectedProperty ()| -  Set/Get the handle properties when unselected and selected.
//// \item @|double = obj.GetBounds ()| -  Subclasses of vtkPointHandleRepresentation2D must implement these
// methods. These are the methods that the widget and its representation
// use to communicate with each other.
//// \item @|obj.BuildRepresentation ()| -  Subclasses of vtkPointHandleRepresentation2D must implement these
// methods. These are the methods that the widget and its representation
// use to communicate with each other.
//// \item @|obj.StartWidgetInteraction (double eventPos[2])| -  Subclasses of vtkPointHandleRepresentation2D must implement these
// methods. These are the methods that the widget and its representation
// use to communicate with each other.
//// \item @|obj.WidgetInteraction (double eventPos[2])| -  Subclasses of vtkPointHandleRepresentation2D must implement these
// methods. These are the methods that the widget and its representation
// use to communicate with each other.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  Subclasses of vtkPointHandleRepresentation2D must implement these
// methods. These are the methods that the widget and its representation
// use to communicate with each other.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Methods to make this class behave as a vtkProp.
//// \item @|obj.DeepCopy (vtkProp prop)| -  Methods to make this class behave as a vtkProp.
//// \item @|obj.GetActors2D (vtkPropCollection )| -  Methods to make this class behave as a vtkProp.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Methods to make this class behave as a vtkProp.
////\end{itemize}
//!
