#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPointHandleRepresentation3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPointHandleRepresentation3D.h"

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:vtkPointHandleRepresentation3D vtkPointHandleRepresentation3DConstructorFunction
//input a
//output p
//@@Parents vtkPointHandleRepresentation3D vtkHandleRepresentation 
ArrayVector vtkPointHandleRepresentation3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPointHandleRepresentation3D::New(),"vtkPointHandleRepresentation3D",eval);
  } else if (arg[0].className() == "vtkPointHandleRepresentation3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPointHandleRepresentation3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPointHandleRepresentation3D");
    vtkPointHandleRepresentation3D*q = reinterpret_cast<vtkPointHandleRepresentation3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPointHandleRepresentation3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPointHandleRepresentation3D:GetClassName vtkPointHandleRepresentation3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:IsA vtkPointHandleRepresentation3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPointHandleRepresentation3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:NewInstance vtkPointHandleRepresentation3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointHandleRepresentation3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtkPointHandleRepresentation3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointHandleRepresentation3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:SafeDownCast vtkPointHandleRepresentation3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPointHandleRepresentation3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointHandleRepresentation3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPointHandleRepresentation3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointHandleRepresentation3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:SetWorldPosition vtkPointHandleRepresentation3DSetWorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation3DSetWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetWorldPosition (double p[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetWorldPosition for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetWorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:SetDisplayPosition vtkPointHandleRepresentation3DSetDisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation3DSetDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDisplayPosition (double p[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplayPosition for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:SetOutline vtkPointHandleRepresentation3DSetOutlineFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation3DSetOutlineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutline (int o);this Cursor3D SetOutline o  */
  if (arg.size() < 2) 
    throw Exception("Function SetOutline for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutline(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:GetOutline vtkPointHandleRepresentation3DGetOutlineFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation3DGetOutlineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutline ();return this Cursor3D GetOutline  */
  if (arg.size() < 1) 
    throw Exception("Function GetOutline for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutline();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:OutlineOn vtkPointHandleRepresentation3DOutlineOnFunction
//input a0 
//output none
ArrayVector vtkPointHandleRepresentation3DOutlineOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineOn ();this Cursor3D OutlineOn  */
  if (arg.size() < 1) 
    throw Exception("Function OutlineOn for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtk_pointer->OutlineOn();
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:OutlineOff vtkPointHandleRepresentation3DOutlineOffFunction
//input a0 
//output none
ArrayVector vtkPointHandleRepresentation3DOutlineOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineOff ();this Cursor3D OutlineOff  */
  if (arg.size() < 1) 
    throw Exception("Function OutlineOff for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtk_pointer->OutlineOff();
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:SetXShadows vtkPointHandleRepresentation3DSetXShadowsFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation3DSetXShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXShadows (int o);this Cursor3D SetXShadows o  */
  if (arg.size() < 2) 
    throw Exception("Function SetXShadows for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetXShadows(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:GetXShadows vtkPointHandleRepresentation3DGetXShadowsFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation3DGetXShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXShadows ();return this Cursor3D GetXShadows  */
  if (arg.size() < 1) 
    throw Exception("Function GetXShadows for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXShadows();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:XShadowsOn vtkPointHandleRepresentation3DXShadowsOnFunction
//input a0 
//output none
ArrayVector vtkPointHandleRepresentation3DXShadowsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void XShadowsOn ();this Cursor3D XShadowsOn  */
  if (arg.size() < 1) 
    throw Exception("Function XShadowsOn for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtk_pointer->XShadowsOn();
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:XShadowsOff vtkPointHandleRepresentation3DXShadowsOffFunction
//input a0 
//output none
ArrayVector vtkPointHandleRepresentation3DXShadowsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void XShadowsOff ();this Cursor3D XShadowsOff  */
  if (arg.size() < 1) 
    throw Exception("Function XShadowsOff for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtk_pointer->XShadowsOff();
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:SetYShadows vtkPointHandleRepresentation3DSetYShadowsFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation3DSetYShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYShadows (int o);this Cursor3D SetYShadows o  */
  if (arg.size() < 2) 
    throw Exception("Function SetYShadows for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetYShadows(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:GetYShadows vtkPointHandleRepresentation3DGetYShadowsFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation3DGetYShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYShadows ();return this Cursor3D GetYShadows  */
  if (arg.size() < 1) 
    throw Exception("Function GetYShadows for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYShadows();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:YShadowsOn vtkPointHandleRepresentation3DYShadowsOnFunction
//input a0 
//output none
ArrayVector vtkPointHandleRepresentation3DYShadowsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void YShadowsOn ();this Cursor3D YShadowsOn  */
  if (arg.size() < 1) 
    throw Exception("Function YShadowsOn for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtk_pointer->YShadowsOn();
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:YShadowsOff vtkPointHandleRepresentation3DYShadowsOffFunction
//input a0 
//output none
ArrayVector vtkPointHandleRepresentation3DYShadowsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void YShadowsOff ();this Cursor3D YShadowsOff  */
  if (arg.size() < 1) 
    throw Exception("Function YShadowsOff for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtk_pointer->YShadowsOff();
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:SetZShadows vtkPointHandleRepresentation3DSetZShadowsFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation3DSetZShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZShadows (int o);this Cursor3D SetZShadows o  */
  if (arg.size() < 2) 
    throw Exception("Function SetZShadows for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetZShadows(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:GetZShadows vtkPointHandleRepresentation3DGetZShadowsFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation3DGetZShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZShadows ();return this Cursor3D GetZShadows  */
  if (arg.size() < 1) 
    throw Exception("Function GetZShadows for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZShadows();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:ZShadowsOn vtkPointHandleRepresentation3DZShadowsOnFunction
//input a0 
//output none
ArrayVector vtkPointHandleRepresentation3DZShadowsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ZShadowsOn ();this Cursor3D ZShadowsOn  */
  if (arg.size() < 1) 
    throw Exception("Function ZShadowsOn for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtk_pointer->ZShadowsOn();
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:ZShadowsOff vtkPointHandleRepresentation3DZShadowsOffFunction
//input a0 
//output none
ArrayVector vtkPointHandleRepresentation3DZShadowsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ZShadowsOff ();this Cursor3D ZShadowsOff  */
  if (arg.size() < 1) 
    throw Exception("Function ZShadowsOff for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtk_pointer->ZShadowsOff();
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:SetTranslationMode vtkPointHandleRepresentation3DSetTranslationModeFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation3DSetTranslationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTranslationMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTranslationMode for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTranslationMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:GetTranslationMode vtkPointHandleRepresentation3DGetTranslationModeFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation3DGetTranslationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTranslationMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTranslationMode for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTranslationMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:TranslationModeOn vtkPointHandleRepresentation3DTranslationModeOnFunction
//input a0 
//output none
ArrayVector vtkPointHandleRepresentation3DTranslationModeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TranslationModeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TranslationModeOn for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtk_pointer->TranslationModeOn();
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:TranslationModeOff vtkPointHandleRepresentation3DTranslationModeOffFunction
//input a0 
//output none
ArrayVector vtkPointHandleRepresentation3DTranslationModeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TranslationModeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TranslationModeOff for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtk_pointer->TranslationModeOff();
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:AllOn vtkPointHandleRepresentation3DAllOnFunction
//input a0 
//output none
ArrayVector vtkPointHandleRepresentation3DAllOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllOn ();this OutlineOn this XShadowsOn this YShadowsOn this ZShadowsOn  */
  if (arg.size() < 1) 
    throw Exception("Function AllOn for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtk_pointer->AllOn();
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:AllOff vtkPointHandleRepresentation3DAllOffFunction
//input a0 
//output none
ArrayVector vtkPointHandleRepresentation3DAllOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllOff ();this OutlineOff this XShadowsOff this YShadowsOff this ZShadowsOff  */
  if (arg.size() < 1) 
    throw Exception("Function AllOff for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtk_pointer->AllOff();
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:SetProperty vtkPointHandleRepresentation3DSetPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation3DSetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetProperty for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:SetSelectedProperty vtkPointHandleRepresentation3DSetSelectedPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation3DSetSelectedPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedProperty for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetSelectedProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:GetProperty vtkPointHandleRepresentation3DGetPropertyFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation3DGetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProperty for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:GetSelectedProperty vtkPointHandleRepresentation3DGetSelectedPropertyFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation3DGetSelectedPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedProperty for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:SetHotSpotSize vtkPointHandleRepresentation3DSetHotSpotSizeFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation3DSetHotSpotSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHotSpotSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHotSpotSize for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHotSpotSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:GetHotSpotSizeMinValue vtkPointHandleRepresentation3DGetHotSpotSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation3DGetHotSpotSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHotSpotSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHotSpotSizeMinValue for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHotSpotSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:GetHotSpotSizeMaxValue vtkPointHandleRepresentation3DGetHotSpotSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation3DGetHotSpotSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHotSpotSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHotSpotSizeMaxValue for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHotSpotSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:GetHotSpotSize vtkPointHandleRepresentation3DGetHotSpotSizeFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation3DGetHotSpotSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHotSpotSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHotSpotSize for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHotSpotSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:SetHandleSize vtkPointHandleRepresentation3DSetHandleSizeFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation3DSetHandleSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetHandleSize (double size); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleSize for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHandleSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:GetBounds vtkPointHandleRepresentation3DGetBoundsFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation3DGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:BuildRepresentation vtkPointHandleRepresentation3DBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkPointHandleRepresentation3DBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:StartWidgetInteraction vtkPointHandleRepresentation3DStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation3DStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:WidgetInteraction vtkPointHandleRepresentation3DWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation3DWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:ComputeInteractionState vtkPointHandleRepresentation3DComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPointHandleRepresentation3DComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkPointHandleRepresentation3D requires 4 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:PlaceWidget vtkPointHandleRepresentation3DPlaceWidgetFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation3DPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:ShallowCopy vtkPointHandleRepresentation3DShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation3DShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:GetActors vtkPointHandleRepresentation3DGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation3DGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:ReleaseGraphicsResources vtkPointHandleRepresentation3DReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkPointHandleRepresentation3DReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:RenderOpaqueGeometry vtkPointHandleRepresentation3DRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkPointHandleRepresentation3DRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:RenderTranslucentPolygonalGeometry vtkPointHandleRepresentation3DRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkPointHandleRepresentation3DRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkPointHandleRepresentation3D requires 2 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:HasTranslucentPolygonalGeometry vtkPointHandleRepresentation3DHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkPointHandleRepresentation3DHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkPointHandleRepresentation3D requires 1 argument(s)");
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointHandleRepresentation3D:display vtkPointHandleRepresentation3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPointHandleRepresentation3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPointHandleRepresentation3D* vtk_pointer = GetVTKPointer<vtkPointHandleRepresentation3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPointHandleRepresentation3D:delete vtkPointHandleRepresentation3DDeleteFunction
//input varargin
//output none
ArrayVector vtkPointHandleRepresentation3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPointHandleRepresentation3D
//@@Section VTKWidgets
//@@Usage
// This class is used to represent a vtkHandleWidget. It represents a position
// in 3D world coordinates using a x-y-z cursor. The cursor can be configured to
// show a bounding box and/or shadows.
//
//To create an instance of class vtkPointHandleRepresentation3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkPointHandleRepresentation3D
//@]
//@@Methods
//The class vtkPointHandleRepresentation3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPointHandleRepresentation3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkPointHandleRepresentation3D = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkPointHandleRepresentation3D = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|obj.SetWorldPosition (double p[3])| -  Set the position of the point in world and display coordinates. Note 
// that if the position is set outside of the bounding box, it will be 
// clamped to the boundary of the bounding box. This method overloads
// the superclasses' SetWorldPosition() and SetDisplayPosition() in 
// order to set the focal point of the cursor properly.
//// \item @|obj.SetDisplayPosition (double p[3])| -  Set the position of the point in world and display coordinates. Note 
// that if the position is set outside of the bounding box, it will be 
// clamped to the boundary of the bounding box. This method overloads
// the superclasses' SetWorldPosition() and SetDisplayPosition() in 
// order to set the focal point of the cursor properly.
//// \item @|obj.SetOutline (int o)| -  Turn on/off the wireframe bounding box.
//// \item @|int = obj.GetOutline ()| -  Turn on/off the wireframe bounding box.
//// \item @|obj.OutlineOn ()| -  Turn on/off the wireframe bounding box.
//// \item @|obj.OutlineOff ()| -  Turn on/off the wireframe x-shadows.
//// \item @|obj.SetXShadows (int o)| -  Turn on/off the wireframe x-shadows.
//// \item @|int = obj.GetXShadows ()| -  Turn on/off the wireframe x-shadows.
//// \item @|obj.XShadowsOn ()| -  Turn on/off the wireframe x-shadows.
//// \item @|obj.XShadowsOff ()| -  Turn on/off the wireframe y-shadows.
//// \item @|obj.SetYShadows (int o)| -  Turn on/off the wireframe y-shadows.
//// \item @|int = obj.GetYShadows ()| -  Turn on/off the wireframe y-shadows.
//// \item @|obj.YShadowsOn ()| -  Turn on/off the wireframe y-shadows.
//// \item @|obj.YShadowsOff ()| -  Turn on/off the wireframe z-shadows.
//// \item @|obj.SetZShadows (int o)| -  Turn on/off the wireframe z-shadows.
//// \item @|int = obj.GetZShadows ()| -  Turn on/off the wireframe z-shadows.
//// \item @|obj.ZShadowsOn ()| -  Turn on/off the wireframe z-shadows.
//// \item @|obj.ZShadowsOff ()| -  If translation mode is on, as the widget is moved the bounding box,
// shadows, and cursor are all translated and sized simultaneously as the
// point moves (i.e., the left and middle mouse buttons act the same). If
// translation mode is off, the cursor does not scale itself (based on the
// specified handle size), and the bounding box and shadows do not move or
// size themselves as the cursor focal point moves, which is constrained by
// the bounds of the point representation. (Note that the bounds can be
// scaled up using the right mouse button, and the bounds can be manually
// set with the SetBounds() method.)
//// \item @|obj.SetTranslationMode (int )| -  If translation mode is on, as the widget is moved the bounding box,
// shadows, and cursor are all translated and sized simultaneously as the
// point moves (i.e., the left and middle mouse buttons act the same). If
// translation mode is off, the cursor does not scale itself (based on the
// specified handle size), and the bounding box and shadows do not move or
// size themselves as the cursor focal point moves, which is constrained by
// the bounds of the point representation. (Note that the bounds can be
// scaled up using the right mouse button, and the bounds can be manually
// set with the SetBounds() method.)
//// \item @|int = obj.GetTranslationMode ()| -  If translation mode is on, as the widget is moved the bounding box,
// shadows, and cursor are all translated and sized simultaneously as the
// point moves (i.e., the left and middle mouse buttons act the same). If
// translation mode is off, the cursor does not scale itself (based on the
// specified handle size), and the bounding box and shadows do not move or
// size themselves as the cursor focal point moves, which is constrained by
// the bounds of the point representation. (Note that the bounds can be
// scaled up using the right mouse button, and the bounds can be manually
// set with the SetBounds() method.)
//// \item @|obj.TranslationModeOn ()| -  If translation mode is on, as the widget is moved the bounding box,
// shadows, and cursor are all translated and sized simultaneously as the
// point moves (i.e., the left and middle mouse buttons act the same). If
// translation mode is off, the cursor does not scale itself (based on the
// specified handle size), and the bounding box and shadows do not move or
// size themselves as the cursor focal point moves, which is constrained by
// the bounds of the point representation. (Note that the bounds can be
// scaled up using the right mouse button, and the bounds can be manually
// set with the SetBounds() method.)
//// \item @|obj.TranslationModeOff ()| -  If translation mode is on, as the widget is moved the bounding box,
// shadows, and cursor are all translated and sized simultaneously as the
// point moves (i.e., the left and middle mouse buttons act the same). If
// translation mode is off, the cursor does not scale itself (based on the
// specified handle size), and the bounding box and shadows do not move or
// size themselves as the cursor focal point moves, which is constrained by
// the bounds of the point representation. (Note that the bounds can be
// scaled up using the right mouse button, and the bounds can be manually
// set with the SetBounds() method.)
//// \item @|obj.AllOn ()| -  Convenience methods to turn outline and shadows on and off.
//// \item @|obj.AllOff ()| -  Set/Get the handle properties when unselected and selected.
//// \item @|obj.SetProperty (vtkProperty )| -  Set/Get the handle properties when unselected and selected.
//// \item @|obj.SetSelectedProperty (vtkProperty )| -  Set/Get the handle properties when unselected and selected.
//// \item @|vtkProperty = obj.GetProperty ()| -  Set/Get the handle properties when unselected and selected.
//// \item @|vtkProperty = obj.GetSelectedProperty ()| -  Set/Get the handle properties when unselected and selected.
//// \item @|obj.SetHotSpotSize (double )| -  Set the "hot spot" size; i.e., the region around the focus, in which the
// motion vector is used to control the constrained sliding action. Note the
// size is specified as a fraction of the length of the diagonal of the 
// point widget's bounding box.
//// \item @|double = obj.GetHotSpotSizeMinValue ()| -  Set the "hot spot" size; i.e., the region around the focus, in which the
// motion vector is used to control the constrained sliding action. Note the
// size is specified as a fraction of the length of the diagonal of the 
// point widget's bounding box.
//// \item @|double = obj.GetHotSpotSizeMaxValue ()| -  Set the "hot spot" size; i.e., the region around the focus, in which the
// motion vector is used to control the constrained sliding action. Note the
// size is specified as a fraction of the length of the diagonal of the 
// point widget's bounding box.
//// \item @|double = obj.GetHotSpotSize ()| -  Set the "hot spot" size; i.e., the region around the focus, in which the
// motion vector is used to control the constrained sliding action. Note the
// size is specified as a fraction of the length of the diagonal of the 
// point widget's bounding box.
//// \item @|obj.SetHandleSize (double size)| -  Overload the superclasses SetHandleSize() method to update internal variables.
//// \item @|double = obj.GetBounds ()| -  Methods to make this class properly act like a vtkWidgetRepresentation.
//// \item @|obj.BuildRepresentation ()| -  Methods to make this class properly act like a vtkWidgetRepresentation.
//// \item @|obj.StartWidgetInteraction (double eventPos[2])| -  Methods to make this class properly act like a vtkWidgetRepresentation.
//// \item @|obj.WidgetInteraction (double eventPos[2])| -  Methods to make this class properly act like a vtkWidgetRepresentation.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  Methods to make this class properly act like a vtkWidgetRepresentation.
//// \item @|obj.PlaceWidget (double bounds[6])| -  Methods to make this class properly act like a vtkWidgetRepresentation.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Methods to make this class behave as a vtkProp.
//// \item @|obj.GetActors (vtkPropCollection )| -  Methods to make this class behave as a vtkProp.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport viewport)| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Methods to make this class behave as a vtkProp.
////\end{itemize}
//!
