#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPointPlacer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPointPlacer.h"

//@@Signature
//sfunction @vtkPointPlacer:vtkPointPlacer vtkPointPlacerConstructorFunction
//input a
//output p
//@@Parents vtkPointPlacer vtkObject 
ArrayVector vtkPointPlacerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPointPlacer::New(),"vtkPointPlacer",eval);
  } else if (arg[0].className() == "vtkPointPlacer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPointPlacer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPointPlacer");
    vtkPointPlacer*q = reinterpret_cast<vtkPointPlacer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPointPlacer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPointPlacer:GetClassName vtkPointPlacerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPointPlacerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPointPlacer requires 1 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:IsA vtkPointPlacerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPointPlacerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPointPlacer requires 2 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:NewInstance vtkPointPlacerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPointPlacerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointPlacer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPointPlacer requires 1 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  vtkPointPlacer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:SafeDownCast vtkPointPlacerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPointPlacerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointPlacer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPointPlacer requires 2 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPointPlacer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:ComputeWorldPosition__1 vtkPointPlacerComputeWorldPosition__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPointPlacerComputeWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 5) 
    throw Exception("Function ComputeWorldPosition__1 for class vtkPointPlacer requires 5 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  double temp2[3];
  double temp3[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeWorldPosition(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:ComputeWorldPosition__2 vtkPointPlacerComputeWorldPosition__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkPointPlacerComputeWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 6) 
    throw Exception("Function ComputeWorldPosition__2 for class vtkPointPlacer requires 6 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  double temp2[3];
  double temp3[3];
  double temp4[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !(arg[10].isVector() && arg[10].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[10].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:ValidateWorldPosition__1 vtkPointPlacerValidateWorldPosition__1Function
//input a0 a1 
//output y
ArrayVector vtkPointPlacerValidateWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ValidateWorldPosition (double worldPos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function ValidateWorldPosition__1 for class vtkPointPlacer requires 2 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateWorldPosition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:ValidateDisplayPosition vtkPointPlacerValidateDisplayPositionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPointPlacerValidateDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ValidateDisplayPosition (vtkRenderer *, double displayPos[2]); */
  if (arg.size() < 3) 
    throw Exception("Function ValidateDisplayPosition for class vtkPointPlacer requires 3 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateDisplayPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:ValidateWorldPosition__2 vtkPointPlacerValidateWorldPosition__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkPointPlacerValidateWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ValidateWorldPosition (double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 3) 
    throw Exception("Function ValidateWorldPosition__2 for class vtkPointPlacer requires 3 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[9];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateWorldPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:UpdateWorldPosition vtkPointPlacerUpdateWorldPositionFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPointPlacerUpdateWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int UpdateWorldPosition (vtkRenderer *ren, double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 4) 
    throw Exception("Function UpdateWorldPosition for class vtkPointPlacer requires 4 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[3];
  double temp2[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[5].isVector() && arg[5].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->UpdateWorldPosition(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:UpdateInternalState vtkPointPlacerUpdateInternalStateFunction
//input a0 
//output y
ArrayVector vtkPointPlacerUpdateInternalStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int UpdateInternalState ();return  */
  if (arg.size() < 1) 
    throw Exception("Function UpdateInternalState for class vtkPointPlacer requires 1 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->UpdateInternalState();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:SetPixelTolerance vtkPointPlacerSetPixelToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkPointPlacerSetPixelToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPixelTolerance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPixelTolerance for class vtkPointPlacer requires 2 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPixelTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:GetPixelToleranceMinValue vtkPointPlacerGetPixelToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkPointPlacerGetPixelToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPixelToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPixelToleranceMinValue for class vtkPointPlacer requires 1 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPixelToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:GetPixelToleranceMaxValue vtkPointPlacerGetPixelToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkPointPlacerGetPixelToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPixelToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPixelToleranceMaxValue for class vtkPointPlacer requires 1 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPixelToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:GetPixelTolerance vtkPointPlacerGetPixelToleranceFunction
//input a0 
//output y
ArrayVector vtkPointPlacerGetPixelToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPixelTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPixelTolerance for class vtkPointPlacer requires 1 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPixelTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:SetWorldTolerance vtkPointPlacerSetWorldToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkPointPlacerSetWorldToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWorldTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWorldTolerance for class vtkPointPlacer requires 2 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetWorldTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:GetWorldToleranceMinValue vtkPointPlacerGetWorldToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkPointPlacerGetWorldToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWorldToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWorldToleranceMinValue for class vtkPointPlacer requires 1 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWorldToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:GetWorldToleranceMaxValue vtkPointPlacerGetWorldToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkPointPlacerGetWorldToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWorldToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWorldToleranceMaxValue for class vtkPointPlacer requires 1 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWorldToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:GetWorldTolerance vtkPointPlacerGetWorldToleranceFunction
//input a0 
//output y
ArrayVector vtkPointPlacerGetWorldToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWorldTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWorldTolerance for class vtkPointPlacer requires 1 argument(s)");
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWorldTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointPlacer:ComputeWorldPosition vtkPointPlacerComputeWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkPointPlacerComputeWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkPointPlacerComputeWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]))
    return vtkPointPlacerComputeWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointPlacerComputeWorldPosition");
}

//@@Signature
//sfunction @vtkPointPlacer:ValidateWorldPosition vtkPointPlacerValidateWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkPointPlacerValidateWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPointPlacerValidateWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPointPlacerValidateWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointPlacerValidateWorldPosition");
}

//@@Signature
//sfunction @vtkPointPlacer:display vtkPointPlacerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPointPlacerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPointPlacer* vtk_pointer = GetVTKPointer<vtkPointPlacer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPointPlacer:delete vtkPointPlacerDeleteFunction
//input varargin
//output none
ArrayVector vtkPointPlacerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPointPlacer
//@@Section VTKWidgets
//@@Usage
// Most widgets in VTK have a need to translate of 2D display coordinates (as
// reported by the RenderWindowInteractor) to 3D world coordinates. This class
// is an abstraction of this functionality. A few subclasses are listed below:
// <p>1) vtkFocalPlanePointPlacer: This class converts 2D display positions to 
// world positions such that they lie on the focal plane.
// <p>2) vtkPolygonalSurfacePointPlacer: Converts 2D display positions to 
// world positions such that they lie on the surface of one or more specified 
// polydatas.
// <p>3) vtkImageActorPointPlacer: Converts 2D display positions to world 
// positions such that they lie on an ImageActor
// <p>4) vtkBoundedPlanePointPlacer: Converts 2D display positions to world 
// positions such that they lie within a set of specified bounding planes.
// <p>5) vtkTerrainDataPointPlacer: Converts 2D display positions to world 
// positions such that they lie on a height field.
// <p> Point placers provide an extensible framework to specify constraints on 
// points. The methods ComputeWorldPosition, ValidateDisplayPosition and
// ValidateWorldPosition may be overridden to dictate whether a world or
// display position is allowed. These classes are currently used by the
// HandleWidget and the ContourWidget to allow various constraints to be 
// enforced on the placement of their handles.
//
//To create an instance of class vtkPointPlacer, simply
//invoke its constructor as follows
//@[
//  obj = vtkPointPlacer
//@]
//@@Methods
//The class vtkPointPlacer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPointPlacer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkPointPlacer = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkPointPlacer = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|int = obj.ComputeWorldPosition (vtkRenderer ren, double displayPos[2], double worldPos[3], double worldOrient[9])| -  Given a renderer and a display position in pixel coordinates,
// compute the world position and orientation where this point
// will be placed. This method is typically used by the
// representation to place the point initially. A return value of 1
// indicates that constraints of the placer are met.
//// \item @|int = obj.ComputeWorldPosition (vtkRenderer ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9])| -  Given a renderer, a display position, and a reference world
// position, compute the new world position and orientation 
// of this point. This method is typically used by the 
// representation to move the point. A return value of 1 indicates that 
// constraints of the placer are met.
//// \item @|int = obj.ValidateWorldPosition (double worldPos[3])| -  Given a world position check the validity of this 
// position according to the constraints of the placer.
//// \item @|int = obj.ValidateDisplayPosition (vtkRenderer , double displayPos[2])| -  Given a display position, check the validity of this position.
//// \item @|int = obj.ValidateWorldPosition (double worldPos[3], double worldOrient[9])| -  Given a world position and a world orientation,
// validate it according to the constraints of the placer.
//// \item @|int = obj.UpdateWorldPosition (vtkRenderer ren, double worldPos[3], double worldOrient[9])| -  Given a current renderer, world position and orientation,
// update them according to the constraints of the placer.
// This method is typically used when UpdateContour is called
// on the representation, which must be called after changes
// are made to the constraints in the placer. A return 
// value of 1 indicates that the point has been updated. A
// return value of 0 indicates that the point could not
// be updated and was left alone. By default this is a no-op - 
// leaving the point as is.
//// \item @|int = obj.UpdateInternalState ()| -  Set/get the tolerance used when performing computations
// in display coordinates.
//// \item @|obj.SetPixelTolerance (int )| -  Set/get the tolerance used when performing computations
// in display coordinates.
//// \item @|int = obj.GetPixelToleranceMinValue ()| -  Set/get the tolerance used when performing computations
// in display coordinates.
//// \item @|int = obj.GetPixelToleranceMaxValue ()| -  Set/get the tolerance used when performing computations
// in display coordinates.
//// \item @|int = obj.GetPixelTolerance ()| -  Set/get the tolerance used when performing computations
// in display coordinates.
//// \item @|obj.SetWorldTolerance (double )| -  Set/get the tolerance used when performing computations
// in world coordinates.
//// \item @|double = obj.GetWorldToleranceMinValue ()| -  Set/get the tolerance used when performing computations
// in world coordinates.
//// \item @|double = obj.GetWorldToleranceMaxValue ()| -  Set/get the tolerance used when performing computations
// in world coordinates.
//// \item @|double = obj.GetWorldTolerance ()| -  Set/get the tolerance used when performing computations
// in world coordinates.
////\end{itemize}
//!
