#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPointWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPointWidget.h"

//@@Signature
//sfunction @vtkPointWidget:vtkPointWidget vtkPointWidgetConstructorFunction
//input a
//output p
//@@Parents vtkPointWidget vtk3DWidget 
ArrayVector vtkPointWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPointWidget::New(),"vtkPointWidget",eval);
  } else if (arg[0].className() == "vtkPointWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPointWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPointWidget");
    vtkPointWidget*q = reinterpret_cast<vtkPointWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPointWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPointWidget:GetClassName vtkPointWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPointWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:IsA vtkPointWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPointWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPointWidget requires 2 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:NewInstance vtkPointWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPointWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtkPointWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:SafeDownCast vtkPointWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPointWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPointWidget requires 2 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPointWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:SetEnabled vtkPointWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkPointWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkPointWidget requires 2 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:PlaceWidget__1 vtkPointWidgetPlaceWidget__1Function
//input a0 a1 
//output none
ArrayVector vtkPointWidgetPlaceWidget__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget__1 for class vtkPointWidget requires 2 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:PlaceWidget__2 vtkPointWidgetPlaceWidget__2Function
//input a0 
//output none
ArrayVector vtkPointWidgetPlaceWidget__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget ();this Superclass PlaceWidget  */
  if (arg.size() < 1) 
    throw Exception("Function PlaceWidget__2 for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtk_pointer->PlaceWidget();
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:PlaceWidget__3 vtkPointWidgetPlaceWidget__3Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkPointWidgetPlaceWidget__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax  */
  if (arg.size() < 7) 
    throw Exception("Function PlaceWidget__3 for class vtkPointWidget requires 7 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:GetPolyData vtkPointWidgetGetPolyDataFunction
//input a0 a1 
//output none
ArrayVector vtkPointWidgetGetPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPolyData (vtkPolyData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function GetPolyData for class vtkPointWidget requires 2 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->GetPolyData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:SetPosition__1 vtkPointWidgetSetPosition__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPointWidgetSetPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (double x, double y, double z);this Cursor3D SetFocalPoint x y z  */
  if (arg.size() < 4) 
    throw Exception("Function SetPosition__1 for class vtkPointWidget requires 4 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:SetPosition__2 vtkPointWidgetSetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkPointWidgetSetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (double x[3]);this SetPosition x x x  */
  if (arg.size() < 2) 
    throw Exception("Function SetPosition__2 for class vtkPointWidget requires 2 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:GetPosition__1 vtkPointWidgetGetPosition__1Function
//input a0 
//output y
ArrayVector vtkPointWidgetGetPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPosition ();return this Cursor3D GetFocalPoint  */
  if (arg.size() < 1) 
    throw Exception("Function GetPosition__1 for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:GetPosition__2 vtkPointWidgetGetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkPointWidgetGetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPosition (double xyz[3]);this Cursor3D GetFocalPoint xyz  */
  if (arg.size() < 2) 
    throw Exception("Function GetPosition__2 for class vtkPointWidget requires 2 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:SetOutline vtkPointWidgetSetOutlineFunction
//input a0 a1 
//output none
ArrayVector vtkPointWidgetSetOutlineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutline (int o);this Cursor3D SetOutline o  */
  if (arg.size() < 2) 
    throw Exception("Function SetOutline for class vtkPointWidget requires 2 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutline(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:GetOutline vtkPointWidgetGetOutlineFunction
//input a0 
//output y
ArrayVector vtkPointWidgetGetOutlineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutline ();return this Cursor3D GetOutline  */
  if (arg.size() < 1) 
    throw Exception("Function GetOutline for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutline();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:OutlineOn vtkPointWidgetOutlineOnFunction
//input a0 
//output none
ArrayVector vtkPointWidgetOutlineOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineOn ();this Cursor3D OutlineOn  */
  if (arg.size() < 1) 
    throw Exception("Function OutlineOn for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtk_pointer->OutlineOn();
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:OutlineOff vtkPointWidgetOutlineOffFunction
//input a0 
//output none
ArrayVector vtkPointWidgetOutlineOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineOff ();this Cursor3D OutlineOff  */
  if (arg.size() < 1) 
    throw Exception("Function OutlineOff for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtk_pointer->OutlineOff();
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:SetXShadows vtkPointWidgetSetXShadowsFunction
//input a0 a1 
//output none
ArrayVector vtkPointWidgetSetXShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXShadows (int o);this Cursor3D SetXShadows o  */
  if (arg.size() < 2) 
    throw Exception("Function SetXShadows for class vtkPointWidget requires 2 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetXShadows(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:GetXShadows vtkPointWidgetGetXShadowsFunction
//input a0 
//output y
ArrayVector vtkPointWidgetGetXShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXShadows ();return this Cursor3D GetXShadows  */
  if (arg.size() < 1) 
    throw Exception("Function GetXShadows for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXShadows();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:XShadowsOn vtkPointWidgetXShadowsOnFunction
//input a0 
//output none
ArrayVector vtkPointWidgetXShadowsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void XShadowsOn ();this Cursor3D XShadowsOn  */
  if (arg.size() < 1) 
    throw Exception("Function XShadowsOn for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtk_pointer->XShadowsOn();
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:XShadowsOff vtkPointWidgetXShadowsOffFunction
//input a0 
//output none
ArrayVector vtkPointWidgetXShadowsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void XShadowsOff ();this Cursor3D XShadowsOff  */
  if (arg.size() < 1) 
    throw Exception("Function XShadowsOff for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtk_pointer->XShadowsOff();
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:SetYShadows vtkPointWidgetSetYShadowsFunction
//input a0 a1 
//output none
ArrayVector vtkPointWidgetSetYShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYShadows (int o);this Cursor3D SetYShadows o  */
  if (arg.size() < 2) 
    throw Exception("Function SetYShadows for class vtkPointWidget requires 2 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetYShadows(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:GetYShadows vtkPointWidgetGetYShadowsFunction
//input a0 
//output y
ArrayVector vtkPointWidgetGetYShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYShadows ();return this Cursor3D GetYShadows  */
  if (arg.size() < 1) 
    throw Exception("Function GetYShadows for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYShadows();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:YShadowsOn vtkPointWidgetYShadowsOnFunction
//input a0 
//output none
ArrayVector vtkPointWidgetYShadowsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void YShadowsOn ();this Cursor3D YShadowsOn  */
  if (arg.size() < 1) 
    throw Exception("Function YShadowsOn for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtk_pointer->YShadowsOn();
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:YShadowsOff vtkPointWidgetYShadowsOffFunction
//input a0 
//output none
ArrayVector vtkPointWidgetYShadowsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void YShadowsOff ();this Cursor3D YShadowsOff  */
  if (arg.size() < 1) 
    throw Exception("Function YShadowsOff for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtk_pointer->YShadowsOff();
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:SetZShadows vtkPointWidgetSetZShadowsFunction
//input a0 a1 
//output none
ArrayVector vtkPointWidgetSetZShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZShadows (int o);this Cursor3D SetZShadows o  */
  if (arg.size() < 2) 
    throw Exception("Function SetZShadows for class vtkPointWidget requires 2 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetZShadows(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:GetZShadows vtkPointWidgetGetZShadowsFunction
//input a0 
//output y
ArrayVector vtkPointWidgetGetZShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZShadows ();return this Cursor3D GetZShadows  */
  if (arg.size() < 1) 
    throw Exception("Function GetZShadows for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZShadows();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:ZShadowsOn vtkPointWidgetZShadowsOnFunction
//input a0 
//output none
ArrayVector vtkPointWidgetZShadowsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ZShadowsOn ();this Cursor3D ZShadowsOn  */
  if (arg.size() < 1) 
    throw Exception("Function ZShadowsOn for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtk_pointer->ZShadowsOn();
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:ZShadowsOff vtkPointWidgetZShadowsOffFunction
//input a0 
//output none
ArrayVector vtkPointWidgetZShadowsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ZShadowsOff ();this Cursor3D ZShadowsOff  */
  if (arg.size() < 1) 
    throw Exception("Function ZShadowsOff for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtk_pointer->ZShadowsOff();
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:SetTranslationMode vtkPointWidgetSetTranslationModeFunction
//input a0 a1 
//output none
ArrayVector vtkPointWidgetSetTranslationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTranslationMode (int mode);this Cursor3D SetTranslationMode mode this Cursor3D Update  */
  if (arg.size() < 2) 
    throw Exception("Function SetTranslationMode for class vtkPointWidget requires 2 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTranslationMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:GetTranslationMode vtkPointWidgetGetTranslationModeFunction
//input a0 
//output y
ArrayVector vtkPointWidgetGetTranslationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTranslationMode ();return this Cursor3D GetTranslationMode  */
  if (arg.size() < 1) 
    throw Exception("Function GetTranslationMode for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTranslationMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:TranslationModeOn vtkPointWidgetTranslationModeOnFunction
//input a0 
//output none
ArrayVector vtkPointWidgetTranslationModeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TranslationModeOn ();this SetTranslationMode  */
  if (arg.size() < 1) 
    throw Exception("Function TranslationModeOn for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtk_pointer->TranslationModeOn();
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:TranslationModeOff vtkPointWidgetTranslationModeOffFunction
//input a0 
//output none
ArrayVector vtkPointWidgetTranslationModeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TranslationModeOff ();this SetTranslationMode  */
  if (arg.size() < 1) 
    throw Exception("Function TranslationModeOff for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtk_pointer->TranslationModeOff();
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:AllOn vtkPointWidgetAllOnFunction
//input a0 
//output none
ArrayVector vtkPointWidgetAllOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllOn ();this OutlineOn this XShadowsOn this YShadowsOn this ZShadowsOn  */
  if (arg.size() < 1) 
    throw Exception("Function AllOn for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtk_pointer->AllOn();
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:AllOff vtkPointWidgetAllOffFunction
//input a0 
//output none
ArrayVector vtkPointWidgetAllOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllOff ();this OutlineOff this XShadowsOff this YShadowsOff this ZShadowsOff  */
  if (arg.size() < 1) 
    throw Exception("Function AllOff for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtk_pointer->AllOff();
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:GetProperty vtkPointWidgetGetPropertyFunction
//input a0 
//output y
ArrayVector vtkPointWidgetGetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProperty for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:GetSelectedProperty vtkPointWidgetGetSelectedPropertyFunction
//input a0 
//output y
ArrayVector vtkPointWidgetGetSelectedPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedProperty for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:SetHotSpotSize vtkPointWidgetSetHotSpotSizeFunction
//input a0 a1 
//output none
ArrayVector vtkPointWidgetSetHotSpotSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHotSpotSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHotSpotSize for class vtkPointWidget requires 2 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHotSpotSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:GetHotSpotSizeMinValue vtkPointWidgetGetHotSpotSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkPointWidgetGetHotSpotSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHotSpotSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHotSpotSizeMinValue for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHotSpotSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:GetHotSpotSizeMaxValue vtkPointWidgetGetHotSpotSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkPointWidgetGetHotSpotSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHotSpotSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHotSpotSizeMaxValue for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHotSpotSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:GetHotSpotSize vtkPointWidgetGetHotSpotSizeFunction
//input a0 
//output y
ArrayVector vtkPointWidgetGetHotSpotSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHotSpotSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHotSpotSize for class vtkPointWidget requires 1 argument(s)");
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHotSpotSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointWidget:PlaceWidget vtkPointWidgetPlaceWidgetFunction
//input varargin
//output varargout
ArrayVector vtkPointWidgetPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPointWidgetPlaceWidget__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkPointWidgetPlaceWidget__2Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkPointWidgetPlaceWidget__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointWidgetPlaceWidget");
}

//@@Signature
//sfunction @vtkPointWidget:SetPosition vtkPointWidgetSetPositionFunction
//input varargin
//output varargout
ArrayVector vtkPointWidgetSetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPointWidgetSetPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPointWidgetSetPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointWidgetSetPosition");
}

//@@Signature
//sfunction @vtkPointWidget:GetPosition vtkPointWidgetGetPositionFunction
//input varargin
//output varargout
ArrayVector vtkPointWidgetGetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPointWidgetGetPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPointWidgetGetPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointWidgetGetPosition");
}

//@@Signature
//sfunction @vtkPointWidget:display vtkPointWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPointWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPointWidget* vtk_pointer = GetVTKPointer<vtkPointWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPointWidget:delete vtkPointWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkPointWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPointWidget
//@@Section VTKWidgets
//@@Usage
// This 3D widget allows the user to position a point in 3D space using a 3D
// cursor. The cursor has an outline bounding box, axes-aligned cross-hairs,
// and axes shadows. (The outline and shadows can be turned off.) Any of
// these can be turned off. A nice feature of the object is that the
// vtkPointWidget, like any 3D widget, will work with the current interactor
// style. That is, if vtkPointWidget does not handle an event, then all other
// registered observers (including the interactor style) have an opportunity
// to process the event. Otherwise, the vtkPointWidget will terminate the
// processing of the event that it handles.
//
// To use this object, just invoke SetInteractor() with the argument of the
// method a vtkRenderWindowInteractor.  You may also wish to invoke
// "PlaceWidget()" to initially position the widget. The interactor will act
// normally until the "i" key (for "interactor") is pressed, at which point
// the vtkPointWidget will appear. (See superclass documentation for
// information about changing this behavior.) To move the point, the user can
// grab (left mouse) on any widget line and "slide" the point into
// position. Scaling is achieved by using the right mouse button "up" the
// render window (makes the widget bigger) or "down" the render window (makes
// the widget smaller). To translate the widget use the middle mouse button.
// (Note: all of the translation interactions can be constrained to one of
// the x-y-z axes by using the "shift" key.) The vtkPointWidget produces as
// output a polydata with a single point and a vertex cell.
//
// Some additional features of this class include the ability to control the
// rendered properties of the widget. You can set the properties of the
// selected and unselected representations of the parts of the widget. For
// example, you can set the property of the 3D cursor in its normal and
// selected states.
//
//To create an instance of class vtkPointWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkPointWidget
//@]
//@@Methods
//The class vtkPointWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPointWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPointWidget = obj.NewInstance ()|
// \item @|vtkPointWidget = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetEnabled (int )| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double bounds[6])| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget ()| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  Grab the polydata (including points) that defines the point. A
// single point and a vertex compose the vtkPolyData.
//// \item @|obj.GetPolyData (vtkPolyData pd)| -  Grab the polydata (including points) that defines the point. A
// single point and a vertex compose the vtkPolyData.
//// \item @|obj.SetPosition (double x, double y, double z)| -  Set/Get the position of the point. Note that if the position is set
// outside of the bounding box, it will be clamped to the boundary of
// the bounding box.
//// \item @|obj.SetPosition (double x[3])| -  Set/Get the position of the point. Note that if the position is set
// outside of the bounding box, it will be clamped to the boundary of
// the bounding box.
//// \item @|double = obj.GetPosition ()| -  Set/Get the position of the point. Note that if the position is set
// outside of the bounding box, it will be clamped to the boundary of
// the bounding box.
//// \item @|obj.GetPosition (double xyz[3])| -  Turn on/off the wireframe bounding box.
//// \item @|obj.SetOutline (int o)| -  Turn on/off the wireframe bounding box.
//// \item @|int = obj.GetOutline ()| -  Turn on/off the wireframe bounding box.
//// \item @|obj.OutlineOn ()| -  Turn on/off the wireframe bounding box.
//// \item @|obj.OutlineOff ()| -  Turn on/off the wireframe x-shadows.
//// \item @|obj.SetXShadows (int o)| -  Turn on/off the wireframe x-shadows.
//// \item @|int = obj.GetXShadows ()| -  Turn on/off the wireframe x-shadows.
//// \item @|obj.XShadowsOn ()| -  Turn on/off the wireframe x-shadows.
//// \item @|obj.XShadowsOff ()| -  Turn on/off the wireframe y-shadows.
//// \item @|obj.SetYShadows (int o)| -  Turn on/off the wireframe y-shadows.
//// \item @|int = obj.GetYShadows ()| -  Turn on/off the wireframe y-shadows.
//// \item @|obj.YShadowsOn ()| -  Turn on/off the wireframe y-shadows.
//// \item @|obj.YShadowsOff ()| -  Turn on/off the wireframe z-shadows.
//// \item @|obj.SetZShadows (int o)| -  Turn on/off the wireframe z-shadows.
//// \item @|int = obj.GetZShadows ()| -  Turn on/off the wireframe z-shadows.
//// \item @|obj.ZShadowsOn ()| -  Turn on/off the wireframe z-shadows.
//// \item @|obj.ZShadowsOff ()| -  If translation mode is on, as the widget is moved the bounding box,
// shadows, and cursor are all translated simultaneously as the point
// moves.
//// \item @|obj.SetTranslationMode (int mode)| -  If translation mode is on, as the widget is moved the bounding box,
// shadows, and cursor are all translated simultaneously as the point
// moves.
//// \item @|int = obj.GetTranslationMode ()| -  If translation mode is on, as the widget is moved the bounding box,
// shadows, and cursor are all translated simultaneously as the point
// moves.
//// \item @|obj.TranslationModeOn ()| -  If translation mode is on, as the widget is moved the bounding box,
// shadows, and cursor are all translated simultaneously as the point
// moves.
//// \item @|obj.TranslationModeOff ()| -  Convenience methods to turn outline and shadows on and off.
//// \item @|obj.AllOn ()| -  Convenience methods to turn outline and shadows on and off.
//// \item @|obj.AllOff ()| -  Get the handle properties (the little balls are the handles). The 
// properties of the handles when selected and normal can be 
// set.
//// \item @|vtkProperty = obj.GetProperty ()| -  Get the handle properties (the little balls are the handles). The 
// properties of the handles when selected and normal can be 
// set.
//// \item @|vtkProperty = obj.GetSelectedProperty ()| -  Get the handle properties (the little balls are the handles). The 
// properties of the handles when selected and normal can be 
// set.
//// \item @|obj.SetHotSpotSize (double )| -  Set the "hot spot" size; i.e., the region around the focus, in which the
// motion vector is used to control the constrained sliding action. Note the
// size is specified as a fraction of the length of the diagonal of the 
// point widget's bounding box.
//// \item @|double = obj.GetHotSpotSizeMinValue ()| -  Set the "hot spot" size; i.e., the region around the focus, in which the
// motion vector is used to control the constrained sliding action. Note the
// size is specified as a fraction of the length of the diagonal of the 
// point widget's bounding box.
//// \item @|double = obj.GetHotSpotSizeMaxValue ()| -  Set the "hot spot" size; i.e., the region around the focus, in which the
// motion vector is used to control the constrained sliding action. Note the
// size is specified as a fraction of the length of the diagonal of the 
// point widget's bounding box.
//// \item @|double = obj.GetHotSpotSize ()| -  Set the "hot spot" size; i.e., the region around the focus, in which the
// motion vector is used to control the constrained sliding action. Note the
// size is specified as a fraction of the length of the diagonal of the 
// point widget's bounding box.
////\end{itemize}
//!
