#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataContourLineInterpolator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataContourLineInterpolator.h"

//@@Signature
//sfunction @vtkPolyDataContourLineInterpolator:vtkPolyDataContourLineInterpolator vtkPolyDataContourLineInterpolatorConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataContourLineInterpolator vtkContourLineInterpolator 
ArrayVector vtkPolyDataContourLineInterpolatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataContourLineInterpolator::New(),"vtkPolyDataContourLineInterpolator",eval);
  } else if (arg[0].className() == "vtkPolyDataContourLineInterpolator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataContourLineInterpolator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataContourLineInterpolator");
    vtkPolyDataContourLineInterpolator*q = reinterpret_cast<vtkPolyDataContourLineInterpolator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataContourLineInterpolator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataContourLineInterpolator:GetClassName vtkPolyDataContourLineInterpolatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataContourLineInterpolatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataContourLineInterpolator requires 1 argument(s)");
  vtkPolyDataContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkPolyDataContourLineInterpolator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataContourLineInterpolator:IsA vtkPolyDataContourLineInterpolatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataContourLineInterpolatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataContourLineInterpolator requires 2 argument(s)");
  vtkPolyDataContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkPolyDataContourLineInterpolator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataContourLineInterpolator:NewInstance vtkPolyDataContourLineInterpolatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataContourLineInterpolatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataContourLineInterpolator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataContourLineInterpolator requires 1 argument(s)");
  vtkPolyDataContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkPolyDataContourLineInterpolator>(arg[0]);
  Array retval;
  vtkPolyDataContourLineInterpolator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataContourLineInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataContourLineInterpolator:SafeDownCast vtkPolyDataContourLineInterpolatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataContourLineInterpolatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataContourLineInterpolator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataContourLineInterpolator requires 2 argument(s)");
  vtkPolyDataContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkPolyDataContourLineInterpolator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataContourLineInterpolator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataContourLineInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataContourLineInterpolator:InterpolateLine vtkPolyDataContourLineInterpolatorInterpolateLineFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPolyDataContourLineInterpolatorInterpolateLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int InterpolateLine (vtkRenderer *ren, vtkContourRepresentation *rep, int idx1, int idx2) = 0; */
  if (arg.size() < 5) 
    throw Exception("Function InterpolateLine for class vtkPolyDataContourLineInterpolator requires 5 argument(s)");
  vtkPolyDataContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkPolyDataContourLineInterpolator>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkContourRepresentation  *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkContourRepresentation>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->InterpolateLine(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataContourLineInterpolator:UpdateNode vtkPolyDataContourLineInterpolatorUpdateNodeFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPolyDataContourLineInterpolatorUpdateNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int UpdateNode (vtkRenderer *, vtkContourRepresentation *, double *, int ) = 0; */
  if (arg.size() < 5) 
    throw Exception("Function UpdateNode for class vtkPolyDataContourLineInterpolator requires 5 argument(s)");
  vtkPolyDataContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkPolyDataContourLineInterpolator>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkContourRepresentation  *temp1;
  double  *temp2;
  int      temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkContourRepresentation>(arg[2]);
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->UpdateNode(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataContourLineInterpolator:GetPolys vtkPolyDataContourLineInterpolatorGetPolysFunction
//input a0 
//output y
ArrayVector vtkPolyDataContourLineInterpolatorGetPolysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataCollection *GetPolys (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolys for class vtkPolyDataContourLineInterpolator requires 1 argument(s)");
  vtkPolyDataContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkPolyDataContourLineInterpolator>(arg[0]);
  Array retval;
  vtkPolyDataCollection  *temp20;
  temp20 = (vtk_pointer)->GetPolys();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataContourLineInterpolator:display vtkPolyDataContourLineInterpolatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataContourLineInterpolatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkPolyDataContourLineInterpolator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataContourLineInterpolator:delete vtkPolyDataContourLineInterpolatorDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataContourLineInterpolatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataContourLineInterpolator
//@@Section VTKWidgets
//@@Usage
// vtkPolyDataContourLineInterpolator is an abstract base class for contour
// line interpolators that interpolate on polygonal data.
//
//
//To create an instance of class vtkPolyDataContourLineInterpolator, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataContourLineInterpolator
//@]
//@@Methods
//The class vtkPolyDataContourLineInterpolator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataContourLineInterpolator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkPolyDataContourLineInterpolator = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkPolyDataContourLineInterpolator = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|int = obj.InterpolateLine (vtkRenderer ren, vtkContourRepresentation rep, int idx1, int idx2)| -  Subclasses that wish to interpolate a line segment must implement this.
// For instance vtkBezierContourLineInterpolator adds nodes between idx1
// and idx2, that allow the contour to adhere to a bezier curve.
//// \item @|int = obj.UpdateNode (vtkRenderer , vtkContourRepresentation , double , int )| -  The interpolator is given a chance to update the node.
// vtkImageContourLineInterpolator updates the idx'th node in the contour, 
// so it automatically sticks to edges in the vicinity as the user 
// constructs the contour. 
// Returns 0 if the node (world position) is unchanged.
//// \item @|vtkPolyDataCollection = obj.GetPolys ()| -  Be sure to add polydata on which you wish to place points to this list
// or they will not be considered for placement.
////\end{itemize}
//!
