#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataPointPlacer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataPointPlacer.h"

//@@Signature
//sfunction @vtkPolyDataPointPlacer:vtkPolyDataPointPlacer vtkPolyDataPointPlacerConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataPointPlacer vtkPointPlacer 
ArrayVector vtkPolyDataPointPlacerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataPointPlacer::New(),"vtkPolyDataPointPlacer",eval);
  } else if (arg[0].className() == "vtkPolyDataPointPlacer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataPointPlacer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataPointPlacer");
    vtkPolyDataPointPlacer*q = reinterpret_cast<vtkPolyDataPointPlacer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataPointPlacer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataPointPlacer:GetClassName vtkPolyDataPointPlacerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataPointPlacerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataPointPlacer requires 1 argument(s)");
  vtkPolyDataPointPlacer* vtk_pointer = GetVTKPointer<vtkPolyDataPointPlacer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointPlacer:IsA vtkPolyDataPointPlacerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataPointPlacerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataPointPlacer requires 2 argument(s)");
  vtkPolyDataPointPlacer* vtk_pointer = GetVTKPointer<vtkPolyDataPointPlacer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointPlacer:NewInstance vtkPolyDataPointPlacerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataPointPlacerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataPointPlacer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataPointPlacer requires 1 argument(s)");
  vtkPolyDataPointPlacer* vtk_pointer = GetVTKPointer<vtkPolyDataPointPlacer>(arg[0]);
  Array retval;
  vtkPolyDataPointPlacer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataPointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointPlacer:SafeDownCast vtkPolyDataPointPlacerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataPointPlacerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataPointPlacer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataPointPlacer requires 2 argument(s)");
  vtkPolyDataPointPlacer* vtk_pointer = GetVTKPointer<vtkPolyDataPointPlacer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataPointPlacer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataPointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointPlacer:AddProp vtkPolyDataPointPlacerAddPropFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataPointPlacerAddPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddProp (vtkProp *); */
  if (arg.size() < 2) 
    throw Exception("Function AddProp for class vtkPolyDataPointPlacer requires 2 argument(s)");
  vtkPolyDataPointPlacer* vtk_pointer = GetVTKPointer<vtkPolyDataPointPlacer>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->AddProp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointPlacer:RemoveViewProp vtkPolyDataPointPlacerRemoveViewPropFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataPointPlacerRemoveViewPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveViewProp (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveViewProp for class vtkPolyDataPointPlacer requires 2 argument(s)");
  vtkPolyDataPointPlacer* vtk_pointer = GetVTKPointer<vtkPolyDataPointPlacer>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->RemoveViewProp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointPlacer:RemoveAllProps vtkPolyDataPointPlacerRemoveAllPropsFunction
//input a0 
//output none
ArrayVector vtkPolyDataPointPlacerRemoveAllPropsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveAllProps (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllProps for class vtkPolyDataPointPlacer requires 1 argument(s)");
  vtkPolyDataPointPlacer* vtk_pointer = GetVTKPointer<vtkPolyDataPointPlacer>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllProps();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointPlacer:HasProp vtkPolyDataPointPlacerHasPropFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataPointPlacerHasPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int HasProp (vtkProp *); */
  if (arg.size() < 2) 
    throw Exception("Function HasProp for class vtkPolyDataPointPlacer requires 2 argument(s)");
  vtkPolyDataPointPlacer* vtk_pointer = GetVTKPointer<vtkPolyDataPointPlacer>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  temp20 = (vtk_pointer)->HasProp(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointPlacer:GetNumberOfProps vtkPolyDataPointPlacerGetNumberOfPropsFunction
//input a0 
//output y
ArrayVector vtkPolyDataPointPlacerGetNumberOfPropsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfProps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfProps for class vtkPolyDataPointPlacer requires 1 argument(s)");
  vtkPolyDataPointPlacer* vtk_pointer = GetVTKPointer<vtkPolyDataPointPlacer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfProps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointPlacer:ComputeWorldPosition__1 vtkPolyDataPointPlacerComputeWorldPosition__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPolyDataPointPlacerComputeWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 5) 
    throw Exception("Function ComputeWorldPosition__1 for class vtkPolyDataPointPlacer requires 5 argument(s)");
  vtkPolyDataPointPlacer* vtk_pointer = GetVTKPointer<vtkPolyDataPointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  double temp2[3];
  double temp3[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeWorldPosition(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointPlacer:ComputeWorldPosition__2 vtkPolyDataPointPlacerComputeWorldPosition__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkPolyDataPointPlacerComputeWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 6) 
    throw Exception("Function ComputeWorldPosition__2 for class vtkPolyDataPointPlacer requires 6 argument(s)");
  vtkPolyDataPointPlacer* vtk_pointer = GetVTKPointer<vtkPolyDataPointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  double temp2[3];
  double temp3[3];
  double temp4[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !(arg[10].isVector() && arg[10].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[10].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointPlacer:ValidateWorldPosition__1 vtkPolyDataPointPlacerValidateWorldPosition__1Function
//input a0 a1 
//output y
ArrayVector vtkPolyDataPointPlacerValidateWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ValidateWorldPosition (double worldPos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function ValidateWorldPosition__1 for class vtkPolyDataPointPlacer requires 2 argument(s)");
  vtkPolyDataPointPlacer* vtk_pointer = GetVTKPointer<vtkPolyDataPointPlacer>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateWorldPosition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointPlacer:ValidateDisplayPosition vtkPolyDataPointPlacerValidateDisplayPositionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPolyDataPointPlacerValidateDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ValidateDisplayPosition (vtkRenderer *, double displayPos[2]); */
  if (arg.size() < 3) 
    throw Exception("Function ValidateDisplayPosition for class vtkPolyDataPointPlacer requires 3 argument(s)");
  vtkPolyDataPointPlacer* vtk_pointer = GetVTKPointer<vtkPolyDataPointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateDisplayPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointPlacer:ValidateWorldPosition__2 vtkPolyDataPointPlacerValidateWorldPosition__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkPolyDataPointPlacerValidateWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ValidateWorldPosition (double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 3) 
    throw Exception("Function ValidateWorldPosition__2 for class vtkPolyDataPointPlacer requires 3 argument(s)");
  vtkPolyDataPointPlacer* vtk_pointer = GetVTKPointer<vtkPolyDataPointPlacer>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[9];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateWorldPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointPlacer:GetPropPicker vtkPolyDataPointPlacerGetPropPickerFunction
//input a0 
//output y
ArrayVector vtkPolyDataPointPlacerGetPropPickerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPropPicker *GetPropPicker (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPropPicker for class vtkPolyDataPointPlacer requires 1 argument(s)");
  vtkPolyDataPointPlacer* vtk_pointer = GetVTKPointer<vtkPolyDataPointPlacer>(arg[0]);
  Array retval;
  vtkPropPicker  *temp20;
  temp20 = (vtk_pointer)->GetPropPicker();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPropPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointPlacer:ComputeWorldPosition vtkPolyDataPointPlacerComputeWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataPointPlacerComputeWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkPolyDataPointPlacerComputeWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]))
    return vtkPolyDataPointPlacerComputeWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataPointPlacerComputeWorldPosition");
}

//@@Signature
//sfunction @vtkPolyDataPointPlacer:ValidateWorldPosition vtkPolyDataPointPlacerValidateWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataPointPlacerValidateWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPolyDataPointPlacerValidateWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPolyDataPointPlacerValidateWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataPointPlacerValidateWorldPosition");
}

//@@Signature
//sfunction @vtkPolyDataPointPlacer:display vtkPolyDataPointPlacerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataPointPlacerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataPointPlacer* vtk_pointer = GetVTKPointer<vtkPolyDataPointPlacer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataPointPlacer:delete vtkPolyDataPointPlacerDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataPointPlacerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataPointPlacer
//@@Section VTKWidgets
//@@Usage
// vtkPolyDataPointPlacer is a base class to place points on the surface of 
// polygonal data.
//
// .SECTION Usage
// The actors that render polygonal data and wish to be considered 
// for placement by this placer are added to the list as
// \begin{verbatim}
// placer->AddProp( polyDataActor );
// \end{verbatim}
//
//
//To create an instance of class vtkPolyDataPointPlacer, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataPointPlacer
//@]
//@@Methods
//The class vtkPolyDataPointPlacer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataPointPlacer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkPolyDataPointPlacer = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkPolyDataPointPlacer = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|obj.AddProp (vtkProp )|
// \item @|obj.RemoveViewProp (vtkProp prop)|
// \item @|obj.RemoveAllProps ()|
// \item @|int = obj.HasProp (vtkProp )|
// \item @|int = obj.GetNumberOfProps ()|
// \item @|int = obj.ComputeWorldPosition (vtkRenderer ren, double displayPos[2], double worldPos[3], double worldOrient[9])| -  Given a renderer and a display position in pixel coordinates,
// compute the world position and orientation where this point
// will be placed. This method is typically used by the
// representation to place the point initially.
// For the Terrain point placer this computes world points that
// lie at the specified height above the terrain.
//// \item @|int = obj.ComputeWorldPosition (vtkRenderer ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9])| -  Given a renderer, a display position, and a reference world
// position, compute the new world position and orientation 
// of this point. This method is typically used by the 
// representation to move the point.
//// \item @|int = obj.ValidateWorldPosition (double worldPos[3])| -  Given a world position check the validity of this 
// position according to the constraints of the placer
//// \item @|int = obj.ValidateDisplayPosition (vtkRenderer , double displayPos[2])| -  Given a display position, check the validity of this position.
//// \item @|int = obj.ValidateWorldPosition (double worldPos[3], double worldOrient[9])| -  Given a world position and a world orientation,
// validate it according to the constraints of the placer.
//// \item @|vtkPropPicker = obj.GetPropPicker ()| -  Get the Prop picker.
////\end{itemize}
//!
