#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataSourceWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataSourceWidget.h"

//@@Signature
//sfunction @vtkPolyDataSourceWidget:vtkPolyDataSourceWidget vtkPolyDataSourceWidgetConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataSourceWidget vtk3DWidget 
ArrayVector vtkPolyDataSourceWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataSourceWidget::New(),"vtkPolyDataSourceWidget",eval);
  } else if (arg[0].className() == "vtkPolyDataSourceWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataSourceWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataSourceWidget");
    vtkPolyDataSourceWidget*q = reinterpret_cast<vtkPolyDataSourceWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataSourceWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataSourceWidget:GetClassName vtkPolyDataSourceWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataSourceWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataSourceWidget requires 1 argument(s)");
  vtkPolyDataSourceWidget* vtk_pointer = GetVTKPointer<vtkPolyDataSourceWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSourceWidget:IsA vtkPolyDataSourceWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataSourceWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataSourceWidget requires 2 argument(s)");
  vtkPolyDataSourceWidget* vtk_pointer = GetVTKPointer<vtkPolyDataSourceWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSourceWidget:NewInstance vtkPolyDataSourceWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataSourceWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataSourceWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataSourceWidget requires 1 argument(s)");
  vtkPolyDataSourceWidget* vtk_pointer = GetVTKPointer<vtkPolyDataSourceWidget>(arg[0]);
  Array retval;
  vtkPolyDataSourceWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataSourceWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSourceWidget:SafeDownCast vtkPolyDataSourceWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataSourceWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataSourceWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataSourceWidget requires 2 argument(s)");
  vtkPolyDataSourceWidget* vtk_pointer = GetVTKPointer<vtkPolyDataSourceWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataSourceWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataSourceWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSourceWidget:PlaceWidget__1 vtkPolyDataSourceWidgetPlaceWidget__1Function
//input a0 
//output none
ArrayVector vtkPolyDataSourceWidgetPlaceWidget__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (); */
  if (arg.size() < 1) 
    throw Exception("Function PlaceWidget__1 for class vtkPolyDataSourceWidget requires 1 argument(s)");
  vtkPolyDataSourceWidget* vtk_pointer = GetVTKPointer<vtkPolyDataSourceWidget>(arg[0]);
  Array retval;
  vtk_pointer->PlaceWidget();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSourceWidget:PlaceWidget__2 vtkPolyDataSourceWidgetPlaceWidget__2Function
//input a0 a1 
//output none
ArrayVector vtkPolyDataSourceWidgetPlaceWidget__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget__2 for class vtkPolyDataSourceWidget requires 2 argument(s)");
  vtkPolyDataSourceWidget* vtk_pointer = GetVTKPointer<vtkPolyDataSourceWidget>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSourceWidget:PlaceWidget__3 vtkPolyDataSourceWidgetPlaceWidget__3Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkPolyDataSourceWidgetPlaceWidget__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax  */
  if (arg.size() < 7) 
    throw Exception("Function PlaceWidget__3 for class vtkPolyDataSourceWidget requires 7 argument(s)");
  vtkPolyDataSourceWidget* vtk_pointer = GetVTKPointer<vtkPolyDataSourceWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSourceWidget:GetPolyDataSource vtkPolyDataSourceWidgetGetPolyDataSourceFunction
//input a0 
//output y
ArrayVector vtkPolyDataSourceWidgetGetPolyDataSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkPolyDataSource *GetPolyDataSource (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolyDataSource for class vtkPolyDataSourceWidget requires 1 argument(s)");
  vtkPolyDataSourceWidget* vtk_pointer = GetVTKPointer<vtkPolyDataSourceWidget>(arg[0]);
  Array retval;
  vtkPolyDataSource  *temp20;
  temp20 = (vtk_pointer)->GetPolyDataSource();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSourceWidget:GetPolyDataAlgorithm vtkPolyDataSourceWidgetGetPolyDataAlgorithmFunction
//input a0 
//output y
ArrayVector vtkPolyDataSourceWidgetGetPolyDataAlgorithmFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkPolyDataAlgorithm *GetPolyDataAlgorithm () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetPolyDataAlgorithm for class vtkPolyDataSourceWidget requires 1 argument(s)");
  vtkPolyDataSourceWidget* vtk_pointer = GetVTKPointer<vtkPolyDataSourceWidget>(arg[0]);
  Array retval;
  vtkPolyDataAlgorithm  *temp20;
  temp20 = (vtk_pointer)->GetPolyDataAlgorithm();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSourceWidget:UpdatePlacement vtkPolyDataSourceWidgetUpdatePlacementFunction
//input a0 
//output none
ArrayVector vtkPolyDataSourceWidgetUpdatePlacementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdatePlacement () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function UpdatePlacement for class vtkPolyDataSourceWidget requires 1 argument(s)");
  vtkPolyDataSourceWidget* vtk_pointer = GetVTKPointer<vtkPolyDataSourceWidget>(arg[0]);
  Array retval;
  vtk_pointer->UpdatePlacement();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSourceWidget:PlaceWidget vtkPolyDataSourceWidgetPlaceWidgetFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataSourceWidgetPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPolyDataSourceWidgetPlaceWidget__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPolyDataSourceWidgetPlaceWidget__2Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkPolyDataSourceWidgetPlaceWidget__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataSourceWidgetPlaceWidget");
}

//@@Signature
//sfunction @vtkPolyDataSourceWidget:display vtkPolyDataSourceWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataSourceWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataSourceWidget* vtk_pointer = GetVTKPointer<vtkPolyDataSourceWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataSourceWidget:delete vtkPolyDataSourceWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataSourceWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataSourceWidget
//@@Section VTKWidgets
//@@Usage
// This abstract class serves as parent to 3D widgets that have simple
// vtkPolyDataSource instances defining their geometry.
//
// In addition to what is offered by the vtk3DWidget parent, this class
// makes it possible to manipulate the underlying polydatasource and to
// PlaceWidget() according to that, instead of having to make use of
// SetInput() or SetProp3D().
//
// Implementors of child classes HAVE to implement their PlaceWidget(bounds)
// to check for the existence of Input and Prop3D FIRST.  If these don't
// exist, place according to the underlying PolyDataSource.  Child classes
// also have to imprement UpdatePlacement(), which updates the widget according
// to the geometry of the underlying PolyDataSource.
//
//To create an instance of class vtkPolyDataSourceWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataSourceWidget
//@]
//@@Methods
//The class vtkPolyDataSourceWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataSourceWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolyDataSourceWidget = obj.NewInstance ()|
// \item @|vtkPolyDataSourceWidget = obj.SafeDownCast (vtkObject o)|
// \item @|obj.PlaceWidget ()| -  Overrides vtk3DWidget PlaceWidget() so that it doesn't complain if
// there's no Input and no Prop3D.
//// \item @|obj.PlaceWidget (double bounds[6])| -  We have to redeclare this abstract, PlaceWidget() requires it.  You HAVE
// to override this in your concrete child classes.  If there's no Prop3D
// and no Input, your PlaceWidget must make use of the underlying 
// PolyDataSource to do its work.
//// \item @|obj.PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  Returns underlying vtkPolyDataSource that determines geometry.  This
// can be modified after which PlaceWidget() or UpdatePlacement() can be
// called.  UpdatePlacement() will always update the planewidget according
// to the geometry of the underlying PolyDataSource.  PlaceWidget() will
// only make use of this geometry if there is no Input and no Prop3D set.
//// \item @|vtkPolyDataSource = obj.GetPolyDataSource ()| -  Returns underlying vtkPolyDataSource that determines geometry.  This
// can be modified after which PlaceWidget() or UpdatePlacement() can be
// called.  UpdatePlacement() will always update the planewidget according
// to the geometry of the underlying PolyDataSource.  PlaceWidget() will
// only make use of this geometry if there is no Input and no Prop3D set.
//// \item @|vtkPolyDataAlgorithm = obj.GetPolyDataAlgorithm ()| -  Returns underlying vtkPolyDataSource that determines geometry.  This
// can be modified after which PlaceWidget() or UpdatePlacement() can be
// called.  UpdatePlacement() will always update the planewidget according
// to the geometry of the underlying PolyDataSource.  PlaceWidget() will
// only make use of this geometry if there is no Input and no Prop3D set.
//// \item @|obj.UpdatePlacement ()| -  If you've made changes to the underlying vtkPolyDataSource AFTER your
// initial call to PlaceWidget(), use this method to realise the changes
// in the widget.
////\end{itemize}
//!
