#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolygonalSurfaceContourLineInterpolator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolygonalSurfaceContourLineInterpolator.h"

//@@Signature
//sfunction @vtkPolygonalSurfaceContourLineInterpolator:vtkPolygonalSurfaceContourLineInterpolator vtkPolygonalSurfaceContourLineInterpolatorConstructorFunction
//input a
//output p
//@@Parents vtkPolygonalSurfaceContourLineInterpolator vtkPolyDataContourLineInterpolator 
ArrayVector vtkPolygonalSurfaceContourLineInterpolatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolygonalSurfaceContourLineInterpolator::New(),"vtkPolygonalSurfaceContourLineInterpolator",eval);
  } else if (arg[0].className() == "vtkPolygonalSurfaceContourLineInterpolator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolygonalSurfaceContourLineInterpolator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolygonalSurfaceContourLineInterpolator");
    vtkPolygonalSurfaceContourLineInterpolator*q = reinterpret_cast<vtkPolygonalSurfaceContourLineInterpolator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolygonalSurfaceContourLineInterpolator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolygonalSurfaceContourLineInterpolator:GetClassName vtkPolygonalSurfaceContourLineInterpolatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolygonalSurfaceContourLineInterpolatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolygonalSurfaceContourLineInterpolator requires 1 argument(s)");
  vtkPolygonalSurfaceContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkPolygonalSurfaceContourLineInterpolator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfaceContourLineInterpolator:IsA vtkPolygonalSurfaceContourLineInterpolatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolygonalSurfaceContourLineInterpolatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolygonalSurfaceContourLineInterpolator requires 2 argument(s)");
  vtkPolygonalSurfaceContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkPolygonalSurfaceContourLineInterpolator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfaceContourLineInterpolator:NewInstance vtkPolygonalSurfaceContourLineInterpolatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolygonalSurfaceContourLineInterpolatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolygonalSurfaceContourLineInterpolator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolygonalSurfaceContourLineInterpolator requires 1 argument(s)");
  vtkPolygonalSurfaceContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkPolygonalSurfaceContourLineInterpolator>(arg[0]);
  Array retval;
  vtkPolygonalSurfaceContourLineInterpolator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolygonalSurfaceContourLineInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfaceContourLineInterpolator:SafeDownCast vtkPolygonalSurfaceContourLineInterpolatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolygonalSurfaceContourLineInterpolatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolygonalSurfaceContourLineInterpolator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolygonalSurfaceContourLineInterpolator requires 2 argument(s)");
  vtkPolygonalSurfaceContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkPolygonalSurfaceContourLineInterpolator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolygonalSurfaceContourLineInterpolator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolygonalSurfaceContourLineInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfaceContourLineInterpolator:InterpolateLine vtkPolygonalSurfaceContourLineInterpolatorInterpolateLineFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPolygonalSurfaceContourLineInterpolatorInterpolateLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int InterpolateLine (vtkRenderer *ren, vtkContourRepresentation *rep, int idx1, int idx2); */
  if (arg.size() < 5) 
    throw Exception("Function InterpolateLine for class vtkPolygonalSurfaceContourLineInterpolator requires 5 argument(s)");
  vtkPolygonalSurfaceContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkPolygonalSurfaceContourLineInterpolator>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkContourRepresentation  *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkContourRepresentation>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->InterpolateLine(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfaceContourLineInterpolator:UpdateNode vtkPolygonalSurfaceContourLineInterpolatorUpdateNodeFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPolygonalSurfaceContourLineInterpolatorUpdateNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int UpdateNode (vtkRenderer *, vtkContourRepresentation *, double *, int ); */
  if (arg.size() < 5) 
    throw Exception("Function UpdateNode for class vtkPolygonalSurfaceContourLineInterpolator requires 5 argument(s)");
  vtkPolygonalSurfaceContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkPolygonalSurfaceContourLineInterpolator>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkContourRepresentation  *temp1;
  double  *temp2;
  int      temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkContourRepresentation>(arg[2]);
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->UpdateNode(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfaceContourLineInterpolator:SetDistanceOffset vtkPolygonalSurfaceContourLineInterpolatorSetDistanceOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkPolygonalSurfaceContourLineInterpolatorSetDistanceOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDistanceOffset (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDistanceOffset for class vtkPolygonalSurfaceContourLineInterpolator requires 2 argument(s)");
  vtkPolygonalSurfaceContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkPolygonalSurfaceContourLineInterpolator>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDistanceOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfaceContourLineInterpolator:GetDistanceOffset vtkPolygonalSurfaceContourLineInterpolatorGetDistanceOffsetFunction
//input a0 
//output y
ArrayVector vtkPolygonalSurfaceContourLineInterpolatorGetDistanceOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistanceOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistanceOffset for class vtkPolygonalSurfaceContourLineInterpolator requires 1 argument(s)");
  vtkPolygonalSurfaceContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkPolygonalSurfaceContourLineInterpolator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistanceOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfaceContourLineInterpolator:display vtkPolygonalSurfaceContourLineInterpolatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolygonalSurfaceContourLineInterpolatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolygonalSurfaceContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkPolygonalSurfaceContourLineInterpolator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolygonalSurfaceContourLineInterpolator:delete vtkPolygonalSurfaceContourLineInterpolatorDeleteFunction
//input varargin
//output none
ArrayVector vtkPolygonalSurfaceContourLineInterpolatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolygonalSurfaceContourLineInterpolator
//@@Section VTKWidgets
//@@Usage
// vtkPolygonalSurfaceContourLineInterpolator interpolates and places
// contour points on polygonal surfaces. The class interpolates nodes by
// computing a \em graph \em geodesic lying on the polygonal data. By \em 
// graph \em Geodesic, we mean that the line interpolating the two end
// points traverses along on the mesh edges so as to form the shortest
// path. A Dijkstra algorithm is used to compute the path. See
// vtkDijkstraGraphGeodesicPath.
// 
// The class is mean to be used in conjunction with 
// vtkPolygonalSurfacePointPlacer. The reason for this weak coupling is a 
// performance issue, both classes need to perform a cell pick, and 
// coupling avoids multiple cell picks (cell picks are slow).
// 
//
//To create an instance of class vtkPolygonalSurfaceContourLineInterpolator, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolygonalSurfaceContourLineInterpolator
//@]
//@@Methods
//The class vtkPolygonalSurfaceContourLineInterpolator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolygonalSurfaceContourLineInterpolator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkPolygonalSurfaceContourLineInterpolator = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkPolygonalSurfaceContourLineInterpolator = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|int = obj.InterpolateLine (vtkRenderer ren, vtkContourRepresentation rep, int idx1, int idx2)| -  Subclasses that wish to interpolate a line segment must implement this.
// For instance vtkBezierContourLineInterpolator adds nodes between idx1
// and idx2, that allow the contour to adhere to a bezier curve.
//// \item @|int = obj.UpdateNode (vtkRenderer , vtkContourRepresentation , double , int )| -  The interpolator is given a chance to update the node.
// vtkImageContourLineInterpolator updates the idx'th node in the contour, 
// so it automatically sticks to edges in the vicinity as the user 
// constructs the contour. 
// Returns 0 if the node (world position) is unchanged.
//// \item @|obj.SetDistanceOffset (double )| -  Height offset at which points may be placed on the polygonal surface.
// If you specify a non-zero value here, be sure to have computed vertex
// normals on your input polygonal data. (easily done with 
// vtkPolyDataNormals).
//// \item @|double = obj.GetDistanceOffset ()| -  Height offset at which points may be placed on the polygonal surface.
// If you specify a non-zero value here, be sure to have computed vertex
// normals on your input polygonal data. (easily done with 
// vtkPolyDataNormals).
////\end{itemize}
//!
