#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolygonalSurfacePointPlacer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolygonalSurfacePointPlacer.h"

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:vtkPolygonalSurfacePointPlacer vtkPolygonalSurfacePointPlacerConstructorFunction
//input a
//output p
//@@Parents vtkPolygonalSurfacePointPlacer vtkPolyDataPointPlacer 
ArrayVector vtkPolygonalSurfacePointPlacerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolygonalSurfacePointPlacer::New(),"vtkPolygonalSurfacePointPlacer",eval);
  } else if (arg[0].className() == "vtkPolygonalSurfacePointPlacer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolygonalSurfacePointPlacer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolygonalSurfacePointPlacer");
    vtkPolygonalSurfacePointPlacer*q = reinterpret_cast<vtkPolygonalSurfacePointPlacer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolygonalSurfacePointPlacer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:GetClassName vtkPolygonalSurfacePointPlacerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolygonalSurfacePointPlacerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolygonalSurfacePointPlacer requires 1 argument(s)");
  vtkPolygonalSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkPolygonalSurfacePointPlacer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:IsA vtkPolygonalSurfacePointPlacerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolygonalSurfacePointPlacerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolygonalSurfacePointPlacer requires 2 argument(s)");
  vtkPolygonalSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkPolygonalSurfacePointPlacer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:NewInstance vtkPolygonalSurfacePointPlacerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolygonalSurfacePointPlacerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolygonalSurfacePointPlacer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolygonalSurfacePointPlacer requires 1 argument(s)");
  vtkPolygonalSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkPolygonalSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkPolygonalSurfacePointPlacer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolygonalSurfacePointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:SafeDownCast vtkPolygonalSurfacePointPlacerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolygonalSurfacePointPlacerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolygonalSurfacePointPlacer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolygonalSurfacePointPlacer requires 2 argument(s)");
  vtkPolygonalSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkPolygonalSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolygonalSurfacePointPlacer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolygonalSurfacePointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:AddProp vtkPolygonalSurfacePointPlacerAddPropFunction
//input a0 a1 
//output none
ArrayVector vtkPolygonalSurfacePointPlacerAddPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddProp (vtkProp *); */
  if (arg.size() < 2) 
    throw Exception("Function AddProp for class vtkPolygonalSurfacePointPlacer requires 2 argument(s)");
  vtkPolygonalSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkPolygonalSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->AddProp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:RemoveViewProp vtkPolygonalSurfacePointPlacerRemoveViewPropFunction
//input a0 a1 
//output none
ArrayVector vtkPolygonalSurfacePointPlacerRemoveViewPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveViewProp (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveViewProp for class vtkPolygonalSurfacePointPlacer requires 2 argument(s)");
  vtkPolygonalSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkPolygonalSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->RemoveViewProp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:RemoveAllProps vtkPolygonalSurfacePointPlacerRemoveAllPropsFunction
//input a0 
//output none
ArrayVector vtkPolygonalSurfacePointPlacerRemoveAllPropsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveAllProps (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllProps for class vtkPolygonalSurfacePointPlacer requires 1 argument(s)");
  vtkPolygonalSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkPolygonalSurfacePointPlacer>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllProps();
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:ComputeWorldPosition__1 vtkPolygonalSurfacePointPlacerComputeWorldPosition__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPolygonalSurfacePointPlacerComputeWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 5) 
    throw Exception("Function ComputeWorldPosition__1 for class vtkPolygonalSurfacePointPlacer requires 5 argument(s)");
  vtkPolygonalSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkPolygonalSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  double temp2[3];
  double temp3[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeWorldPosition(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:ComputeWorldPosition__2 vtkPolygonalSurfacePointPlacerComputeWorldPosition__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkPolygonalSurfacePointPlacerComputeWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 6) 
    throw Exception("Function ComputeWorldPosition__2 for class vtkPolygonalSurfacePointPlacer requires 6 argument(s)");
  vtkPolygonalSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkPolygonalSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  double temp2[3];
  double temp3[3];
  double temp4[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !(arg[10].isVector() && arg[10].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[10].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:ValidateWorldPosition__1 vtkPolygonalSurfacePointPlacerValidateWorldPosition__1Function
//input a0 a1 
//output y
ArrayVector vtkPolygonalSurfacePointPlacerValidateWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ValidateWorldPosition (double worldPos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function ValidateWorldPosition__1 for class vtkPolygonalSurfacePointPlacer requires 2 argument(s)");
  vtkPolygonalSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkPolygonalSurfacePointPlacer>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateWorldPosition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:ValidateDisplayPosition vtkPolygonalSurfacePointPlacerValidateDisplayPositionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPolygonalSurfacePointPlacerValidateDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ValidateDisplayPosition (vtkRenderer *, double displayPos[2]); */
  if (arg.size() < 3) 
    throw Exception("Function ValidateDisplayPosition for class vtkPolygonalSurfacePointPlacer requires 3 argument(s)");
  vtkPolygonalSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkPolygonalSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateDisplayPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:ValidateWorldPosition__2 vtkPolygonalSurfacePointPlacerValidateWorldPosition__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkPolygonalSurfacePointPlacerValidateWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ValidateWorldPosition (double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 3) 
    throw Exception("Function ValidateWorldPosition__2 for class vtkPolygonalSurfacePointPlacer requires 3 argument(s)");
  vtkPolygonalSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkPolygonalSurfacePointPlacer>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[9];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateWorldPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:GetCellPicker vtkPolygonalSurfacePointPlacerGetCellPickerFunction
//input a0 
//output y
ArrayVector vtkPolygonalSurfacePointPlacerGetCellPickerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellPicker *GetCellPicker (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellPicker for class vtkPolygonalSurfacePointPlacer requires 1 argument(s)");
  vtkPolygonalSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkPolygonalSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkCellPicker  *temp20;
  temp20 = (vtk_pointer)->GetCellPicker();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:GetPolys vtkPolygonalSurfacePointPlacerGetPolysFunction
//input a0 
//output y
ArrayVector vtkPolygonalSurfacePointPlacerGetPolysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataCollection *GetPolys (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolys for class vtkPolygonalSurfacePointPlacer requires 1 argument(s)");
  vtkPolygonalSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkPolygonalSurfacePointPlacer>(arg[0]);
  Array retval;
  vtkPolyDataCollection  *temp20;
  temp20 = (vtk_pointer)->GetPolys();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:SetDistanceOffset vtkPolygonalSurfacePointPlacerSetDistanceOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkPolygonalSurfacePointPlacerSetDistanceOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDistanceOffset (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDistanceOffset for class vtkPolygonalSurfacePointPlacer requires 2 argument(s)");
  vtkPolygonalSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkPolygonalSurfacePointPlacer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDistanceOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:GetDistanceOffset vtkPolygonalSurfacePointPlacerGetDistanceOffsetFunction
//input a0 
//output y
ArrayVector vtkPolygonalSurfacePointPlacerGetDistanceOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistanceOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistanceOffset for class vtkPolygonalSurfacePointPlacer requires 1 argument(s)");
  vtkPolygonalSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkPolygonalSurfacePointPlacer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistanceOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:ComputeWorldPosition vtkPolygonalSurfacePointPlacerComputeWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkPolygonalSurfacePointPlacerComputeWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkPolygonalSurfacePointPlacerComputeWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]))
    return vtkPolygonalSurfacePointPlacerComputeWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolygonalSurfacePointPlacerComputeWorldPosition");
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:ValidateWorldPosition vtkPolygonalSurfacePointPlacerValidateWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkPolygonalSurfacePointPlacerValidateWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPolygonalSurfacePointPlacerValidateWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPolygonalSurfacePointPlacerValidateWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolygonalSurfacePointPlacerValidateWorldPosition");
}

//@@Signature
//sfunction @vtkPolygonalSurfacePointPlacer:display vtkPolygonalSurfacePointPlacerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolygonalSurfacePointPlacerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolygonalSurfacePointPlacer* vtk_pointer = GetVTKPointer<vtkPolygonalSurfacePointPlacer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolygonalSurfacePointPlacer:delete vtkPolygonalSurfacePointPlacerDeleteFunction
//input varargin
//output none
ArrayVector vtkPolygonalSurfacePointPlacerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolygonalSurfacePointPlacer
//@@Section VTKWidgets
//@@Usage
// vtkPolygonalSurfacePointPlacer places points on polygonal data and is
// meant to be used in conjunction with 
// vtkPolygonalSurfaceContourLineInterpolator.
//
// .SECTION Usage
//
//
//To create an instance of class vtkPolygonalSurfacePointPlacer, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolygonalSurfacePointPlacer
//@]
//@@Methods
//The class vtkPolygonalSurfacePointPlacer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolygonalSurfacePointPlacer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkPolygonalSurfacePointPlacer = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkPolygonalSurfacePointPlacer = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|obj.AddProp (vtkProp )|
// \item @|obj.RemoveViewProp (vtkProp prop)|
// \item @|obj.RemoveAllProps ()|
// \item @|int = obj.ComputeWorldPosition (vtkRenderer ren, double displayPos[2], double worldPos[3], double worldOrient[9])| -  Given a renderer and a display position in pixel coordinates,
// compute the world position and orientation where this point
// will be placed. This method is typically used by the
// representation to place the point initially.
// For the Terrain point placer this computes world points that
// lie at the specified height above the terrain.
//// \item @|int = obj.ComputeWorldPosition (vtkRenderer ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9])| -  Given a renderer, a display position, and a reference world
// position, compute the new world position and orientation 
// of this point. This method is typically used by the 
// representation to move the point.
//// \item @|int = obj.ValidateWorldPosition (double worldPos[3])| -  Given a world position check the validity of this 
// position according to the constraints of the placer
//// \item @|int = obj.ValidateDisplayPosition (vtkRenderer , double displayPos[2])| -  Given a display position, check the validity of this position.
//// \item @|int = obj.ValidateWorldPosition (double worldPos[3], double worldOrient[9])| -  Given a world position and a world orientation,
// validate it according to the constraints of the placer.
//// \item @|vtkCellPicker = obj.GetCellPicker ()| -  Get the Prop picker.
//// \item @|vtkPolyDataCollection = obj.GetPolys ()| -  Be sure to add polydata on which you wish to place points to this list
// or they will not be considered for placement.
//// \item @|obj.SetDistanceOffset (double )| -  Height offset at which points may be placed on the polygonal surface.
// If you specify a non-zero value here, be sure to compute cell normals
// on your input polygonal data (easily done with vtkPolyDataNormals).
//// \item @|double = obj.GetDistanceOffset ()| -  Height offset at which points may be placed on the polygonal surface.
// If you specify a non-zero value here, be sure to compute cell normals
// on your input polygonal data (easily done with vtkPolyDataNormals).
////\end{itemize}
//!
