#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRectilinearWipeRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRectilinearWipeRepresentation.h"

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:vtkRectilinearWipeRepresentation vtkRectilinearWipeRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkRectilinearWipeRepresentation vtkWidgetRepresentation 
ArrayVector vtkRectilinearWipeRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRectilinearWipeRepresentation::New(),"vtkRectilinearWipeRepresentation",eval);
  } else if (arg[0].className() == "vtkRectilinearWipeRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRectilinearWipeRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRectilinearWipeRepresentation");
    vtkRectilinearWipeRepresentation*q = reinterpret_cast<vtkRectilinearWipeRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRectilinearWipeRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:GetClassName vtkRectilinearWipeRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRectilinearWipeRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRectilinearWipeRepresentation requires 1 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:IsA vtkRectilinearWipeRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearWipeRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRectilinearWipeRepresentation requires 2 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:NewInstance vtkRectilinearWipeRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRectilinearWipeRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearWipeRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRectilinearWipeRepresentation requires 1 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  vtkRectilinearWipeRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearWipeRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:SafeDownCast vtkRectilinearWipeRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearWipeRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearWipeRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRectilinearWipeRepresentation requires 2 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRectilinearWipeRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearWipeRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:SetRectilinearWipe vtkRectilinearWipeRepresentationSetRectilinearWipeFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearWipeRepresentationSetRectilinearWipeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRectilinearWipe (vtkImageRectilinearWipe *wipe); */
  if (arg.size() < 2) 
    throw Exception("Function SetRectilinearWipe for class vtkRectilinearWipeRepresentation requires 2 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  vtkImageRectilinearWipe  *temp0;
  temp0 = GetVTKPointer<vtkImageRectilinearWipe>(arg[1]);
  vtk_pointer->SetRectilinearWipe(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:GetRectilinearWipe vtkRectilinearWipeRepresentationGetRectilinearWipeFunction
//input a0 
//output y
ArrayVector vtkRectilinearWipeRepresentationGetRectilinearWipeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageRectilinearWipe *GetRectilinearWipe (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRectilinearWipe for class vtkRectilinearWipeRepresentation requires 1 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  vtkImageRectilinearWipe  *temp20;
  temp20 = (vtk_pointer)->GetRectilinearWipe();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageRectilinearWipe",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:SetImageActor vtkRectilinearWipeRepresentationSetImageActorFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearWipeRepresentationSetImageActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageActor (vtkImageActor *imageActor); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageActor for class vtkRectilinearWipeRepresentation requires 2 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  vtkImageActor  *temp0;
  temp0 = GetVTKPointer<vtkImageActor>(arg[1]);
  vtk_pointer->SetImageActor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:GetImageActor vtkRectilinearWipeRepresentationGetImageActorFunction
//input a0 
//output y
ArrayVector vtkRectilinearWipeRepresentationGetImageActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageActor *GetImageActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageActor for class vtkRectilinearWipeRepresentation requires 1 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  vtkImageActor  *temp20;
  temp20 = (vtk_pointer)->GetImageActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:SetTolerance vtkRectilinearWipeRepresentationSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearWipeRepresentationSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkRectilinearWipeRepresentation requires 2 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:GetToleranceMinValue vtkRectilinearWipeRepresentationGetToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkRectilinearWipeRepresentationGetToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMinValue for class vtkRectilinearWipeRepresentation requires 1 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:GetToleranceMaxValue vtkRectilinearWipeRepresentationGetToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkRectilinearWipeRepresentationGetToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMaxValue for class vtkRectilinearWipeRepresentation requires 1 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:GetTolerance vtkRectilinearWipeRepresentationGetToleranceFunction
//input a0 
//output y
ArrayVector vtkRectilinearWipeRepresentationGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkRectilinearWipeRepresentation requires 1 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:GetProperty vtkRectilinearWipeRepresentationGetPropertyFunction
//input a0 
//output y
ArrayVector vtkRectilinearWipeRepresentationGetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *GetProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProperty for class vtkRectilinearWipeRepresentation requires 1 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->GetProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:BuildRepresentation vtkRectilinearWipeRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkRectilinearWipeRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkRectilinearWipeRepresentation requires 1 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:StartWidgetInteraction vtkRectilinearWipeRepresentationStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearWipeRepresentationStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkRectilinearWipeRepresentation requires 2 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:WidgetInteraction vtkRectilinearWipeRepresentationWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearWipeRepresentationWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkRectilinearWipeRepresentation requires 2 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:ComputeInteractionState vtkRectilinearWipeRepresentationComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkRectilinearWipeRepresentationComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkRectilinearWipeRepresentation requires 4 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:GetActors2D vtkRectilinearWipeRepresentationGetActors2DFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearWipeRepresentationGetActors2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors2D (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors2D for class vtkRectilinearWipeRepresentation requires 2 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:ReleaseGraphicsResources vtkRectilinearWipeRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearWipeRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkRectilinearWipeRepresentation requires 2 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:RenderOverlay vtkRectilinearWipeRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearWipeRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkRectilinearWipeRepresentation requires 2 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:RenderOpaqueGeometry vtkRectilinearWipeRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearWipeRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkRectilinearWipeRepresentation requires 2 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:RenderTranslucentPolygonalGeometry vtkRectilinearWipeRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearWipeRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkRectilinearWipeRepresentation requires 2 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:HasTranslucentPolygonalGeometry vtkRectilinearWipeRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkRectilinearWipeRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkRectilinearWipeRepresentation requires 1 argument(s)");
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeRepresentation:display vtkRectilinearWipeRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearWipeRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRectilinearWipeRepresentation* vtk_pointer = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRectilinearWipeRepresentation:delete vtkRectilinearWipeRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkRectilinearWipeRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRectilinearWipeRepresentation
//@@Section VTKWidgets
//@@Usage
// This class is used to represent and render a vtkRectilinearWipeWidget. To
// use this class, you need to specify an instance of a
// vtkImageRectilinearWipe and vtkImageActor. This provides the information
// for this representation to construct and place itself.
//
// The class may be subclassed so that alternative representations can
// be created.  The class defines an API and a default implementation that
// the vtkRectilinearWipeWidget interacts with to render itself in the scene.
//
//To create an instance of class vtkRectilinearWipeRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkRectilinearWipeRepresentation
//@]
//@@Methods
//The class vtkRectilinearWipeRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRectilinearWipeRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkRectilinearWipeRepresentation = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkRectilinearWipeRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|obj.SetRectilinearWipe (vtkImageRectilinearWipe wipe)| -  Specify an instance of vtkImageRectilinearWipe to manipulate.
//// \item @|vtkImageRectilinearWipe = obj.GetRectilinearWipe ()| -  Specify an instance of vtkImageRectilinearWipe to manipulate.
//// \item @|obj.SetImageActor (vtkImageActor imageActor)| -  Specify an instance of vtkImageActor to decorate.
//// \item @|vtkImageActor = obj.GetImageActor ()| -  Specify an instance of vtkImageActor to decorate.
//// \item @|obj.SetTolerance (int )| -  The tolerance representing the distance to the widget (in pixels)
// in which the cursor is considered to be on the widget, or on a
// widget feature (e.g., a corner point or edge).
//// \item @|int = obj.GetToleranceMinValue ()| -  The tolerance representing the distance to the widget (in pixels)
// in which the cursor is considered to be on the widget, or on a
// widget feature (e.g., a corner point or edge).
//// \item @|int = obj.GetToleranceMaxValue ()| -  The tolerance representing the distance to the widget (in pixels)
// in which the cursor is considered to be on the widget, or on a
// widget feature (e.g., a corner point or edge).
//// \item @|int = obj.GetTolerance ()| -  The tolerance representing the distance to the widget (in pixels)
// in which the cursor is considered to be on the widget, or on a
// widget feature (e.g., a corner point or edge).
//// \item @|vtkProperty2D = obj.GetProperty ()| -  Get the properties for the widget. This can be manipulated to set
// different colors, line widths, etc.
//// \item @|obj.BuildRepresentation ()| -  Subclasses of vtkRectilinearWipeRepresentation must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other.
//// \item @|obj.StartWidgetInteraction (double eventPos[2])| -  Subclasses of vtkRectilinearWipeRepresentation must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other.
//// \item @|obj.WidgetInteraction (double eventPos[2])| -  Subclasses of vtkRectilinearWipeRepresentation must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  Subclasses of vtkRectilinearWipeRepresentation must implement these methods. These
// are the methods that the widget and its representation use to
// communicate with each other.
//// \item @|obj.GetActors2D (vtkPropCollection )| -  Methods to make this class behave as a vtkProp.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport viewport)| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Methods to make this class behave as a vtkProp.
////\end{itemize}
//!
