#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRectilinearWipeWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRectilinearWipeWidget.h"

//@@Signature
//sfunction @vtkRectilinearWipeWidget:vtkRectilinearWipeWidget vtkRectilinearWipeWidgetConstructorFunction
//input a
//output p
//@@Parents vtkRectilinearWipeWidget vtkAbstractWidget 
ArrayVector vtkRectilinearWipeWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRectilinearWipeWidget::New(),"vtkRectilinearWipeWidget",eval);
  } else if (arg[0].className() == "vtkRectilinearWipeWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRectilinearWipeWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRectilinearWipeWidget");
    vtkRectilinearWipeWidget*q = reinterpret_cast<vtkRectilinearWipeWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRectilinearWipeWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRectilinearWipeWidget:GetClassName vtkRectilinearWipeWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRectilinearWipeWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRectilinearWipeWidget requires 1 argument(s)");
  vtkRectilinearWipeWidget* vtk_pointer = GetVTKPointer<vtkRectilinearWipeWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeWidget:IsA vtkRectilinearWipeWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearWipeWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRectilinearWipeWidget requires 2 argument(s)");
  vtkRectilinearWipeWidget* vtk_pointer = GetVTKPointer<vtkRectilinearWipeWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeWidget:NewInstance vtkRectilinearWipeWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRectilinearWipeWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearWipeWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRectilinearWipeWidget requires 1 argument(s)");
  vtkRectilinearWipeWidget* vtk_pointer = GetVTKPointer<vtkRectilinearWipeWidget>(arg[0]);
  Array retval;
  vtkRectilinearWipeWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearWipeWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeWidget:SafeDownCast vtkRectilinearWipeWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearWipeWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearWipeWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRectilinearWipeWidget requires 2 argument(s)");
  vtkRectilinearWipeWidget* vtk_pointer = GetVTKPointer<vtkRectilinearWipeWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRectilinearWipeWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearWipeWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeWidget:SetRepresentation vtkRectilinearWipeWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearWipeWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkRectilinearWipeRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkRectilinearWipeWidget requires 2 argument(s)");
  vtkRectilinearWipeWidget* vtk_pointer = GetVTKPointer<vtkRectilinearWipeWidget>(arg[0]);
  Array retval;
  vtkRectilinearWipeRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkRectilinearWipeRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeWidget:CreateDefaultRepresentation vtkRectilinearWipeWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkRectilinearWipeWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkRectilinearWipeWidget requires 1 argument(s)");
  vtkRectilinearWipeWidget* vtk_pointer = GetVTKPointer<vtkRectilinearWipeWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearWipeWidget:display vtkRectilinearWipeWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearWipeWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRectilinearWipeWidget* vtk_pointer = GetVTKPointer<vtkRectilinearWipeWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRectilinearWipeWidget:delete vtkRectilinearWipeWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkRectilinearWipeWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRectilinearWipeWidget
//@@Section VTKWidgets
//@@Usage
// The vtkRectilinearWipeWidget is used to interactively control an instance
// of vtkImageRectilinearWipe (and an associated vtkImageActor used to
// display the rectilinear wipe). A rectilinear wipe is a 2x2 checkerboard
// pattern created by combining two separate images, where various
// combinations of the checker squares are possible. Using this widget, the
// user can adjust the layout of the checker pattern, such as moving the
// center point, moving the horizontal separator, or moving the vertical
// separator. These capabilities are particularly useful for comparing two
// images.
// 
// To use this widget, specify its representation (by default the
// representation is an instance of vtkRectilinearWipeProp). The
// representation generally requires that you specify an instance of
// vtkImageRectilinearWipe and an instance of vtkImageActor. Other instance
// variables may also be required to be set -- see the documentation for
// vtkRectilinearWipeProp (or appropriate subclass).
//
// By default, the widget responds to the following events:
// <pre>
// Selecting the center point, horizontal separator, and verticel separator:
//   LeftButtonPressEvent - move the separators
//   LeftButtonReleaseEvent - release the separators 
//   MouseMoveEvent - move the separators
// </pre>
// Selecting the center point allows you to move the horizontal and vertical
// separators simultaneously. Otherwise only horizontal or vertical motion
// is possible/
//
// Note that the event bindings described above can be changed using this
// class's vtkWidgetEventTranslator. This class translates VTK events into
// the vtkRectilinearWipeWidget's widget events:
// <pre>
//   vtkWidgetEvent::Select -- some part of the widget has been selected
//   vtkWidgetEvent::EndSelect -- the selection process has completed
//   vtkWidgetEvent::Move -- a request for motion has been invoked
// </pre>
//
// In turn, when these widget events are processed, the
// vtkRectilinearWipeWidget invokes the following VTK events (which
// observers can listen for):
// <pre>
//   vtkCommand::StartInteractionEvent (on vtkWidgetEvent::Select)
//   vtkCommand::EndInteractionEvent (on vtkWidgetEvent::EndSelect)
//   vtkCommand::InteractionEvent (on vtkWidgetEvent::Move)
// </pre>
//
//
//To create an instance of class vtkRectilinearWipeWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkRectilinearWipeWidget
//@]
//@@Methods
//The class vtkRectilinearWipeWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRectilinearWipeWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard macros.
//// \item @|int = obj.IsA (string name)| -  Standard macros.
//// \item @|vtkRectilinearWipeWidget = obj.NewInstance ()| -  Standard macros.
//// \item @|vtkRectilinearWipeWidget = obj.SafeDownCast (vtkObject o)| -  Standard macros.
//// \item @|obj.SetRepresentation (vtkRectilinearWipeRepresentation r)| -  Create the default widget representation if one is not set. 
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
////\end{itemize}
//!
