#include "VTKWrap.hpp"

// FreeMat wrapper for vtkScalarBarRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkScalarBarRepresentation.h"

//@@Signature
//sfunction @vtkScalarBarRepresentation:vtkScalarBarRepresentation vtkScalarBarRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkScalarBarRepresentation vtkBorderRepresentation 
ArrayVector vtkScalarBarRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkScalarBarRepresentation::New(),"vtkScalarBarRepresentation",eval);
  } else if (arg[0].className() == "vtkScalarBarRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkScalarBarRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkScalarBarRepresentation");
    vtkScalarBarRepresentation*q = reinterpret_cast<vtkScalarBarRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkScalarBarRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkScalarBarRepresentation:GetClassName vtkScalarBarRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkScalarBarRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkScalarBarRepresentation requires 1 argument(s)");
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarRepresentation:IsA vtkScalarBarRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkScalarBarRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkScalarBarRepresentation requires 2 argument(s)");
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarRepresentation:NewInstance vtkScalarBarRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkScalarBarRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarBarRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkScalarBarRepresentation requires 1 argument(s)");
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  Array retval;
  vtkScalarBarRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarBarRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarRepresentation:SafeDownCast vtkScalarBarRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkScalarBarRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarBarRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkScalarBarRepresentation requires 2 argument(s)");
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkScalarBarRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarBarRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarRepresentation:GetScalarBarActor vtkScalarBarRepresentationGetScalarBarActorFunction
//input a0 
//output y
ArrayVector vtkScalarBarRepresentationGetScalarBarActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarBarActor *GetScalarBarActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarBarActor for class vtkScalarBarRepresentation requires 1 argument(s)");
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  Array retval;
  vtkScalarBarActor  *temp20;
  temp20 = (vtk_pointer)->GetScalarBarActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarBarActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarRepresentation:SetScalarBarActor vtkScalarBarRepresentationSetScalarBarActorFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarRepresentationSetScalarBarActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetScalarBarActor (vtkScalarBarActor *); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarBarActor for class vtkScalarBarRepresentation requires 2 argument(s)");
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  Array retval;
  vtkScalarBarActor  *temp0;
  temp0 = GetVTKPointer<vtkScalarBarActor>(arg[1]);
  vtk_pointer->SetScalarBarActor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarRepresentation:BuildRepresentation vtkScalarBarRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkScalarBarRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkScalarBarRepresentation requires 1 argument(s)");
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarRepresentation:WidgetInteraction vtkScalarBarRepresentationWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarRepresentationWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkScalarBarRepresentation requires 2 argument(s)");
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarRepresentation:GetSize vtkScalarBarRepresentationGetSizeFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarRepresentationGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetSize (double size[2]);size size  */
  if (arg.size() < 2) 
    throw Exception("Function GetSize for class vtkScalarBarRepresentation requires 2 argument(s)");
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarRepresentation:GetActors2D vtkScalarBarRepresentationGetActors2DFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarRepresentationGetActors2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors2D (vtkPropCollection *collection); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors2D for class vtkScalarBarRepresentation requires 2 argument(s)");
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarRepresentation:ReleaseGraphicsResources vtkScalarBarRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *window); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkScalarBarRepresentation requires 2 argument(s)");
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarRepresentation:RenderOverlay vtkScalarBarRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkScalarBarRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkScalarBarRepresentation requires 2 argument(s)");
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarRepresentation:RenderOpaqueGeometry vtkScalarBarRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkScalarBarRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkScalarBarRepresentation requires 2 argument(s)");
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarRepresentation:RenderTranslucentPolygonalGeometry vtkScalarBarRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkScalarBarRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkScalarBarRepresentation requires 2 argument(s)");
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarRepresentation:HasTranslucentPolygonalGeometry vtkScalarBarRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkScalarBarRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkScalarBarRepresentation requires 1 argument(s)");
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarRepresentation:SetOrientation vtkScalarBarRepresentationSetOrientationFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarRepresentationSetOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrientation (int orient); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrientation for class vtkScalarBarRepresentation requires 2 argument(s)");
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOrientation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarRepresentation:GetOrientation vtkScalarBarRepresentationGetOrientationFunction
//input a0 
//output y
ArrayVector vtkScalarBarRepresentationGetOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOrientation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientation for class vtkScalarBarRepresentation requires 1 argument(s)");
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOrientation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarRepresentation:display vtkScalarBarRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkScalarBarRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkScalarBarRepresentation* vtk_pointer = GetVTKPointer<vtkScalarBarRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkScalarBarRepresentation:delete vtkScalarBarRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkScalarBarRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkScalarBarRepresentation
//@@Section VTKWidgets
//@@Usage
//
// This class represents a scalar bar for a vtkScalarBarWidget.  This class
// provides support for interactively placing a scalar bar on the 2D overlay
// plane.  The scalar bar is defined by an instance of vtkScalarBarActor.
//
// One specialty of this class is that if the scalar bar is moved near enough
// to an edge, it's orientation is flipped to match that edge.
//
//
//To create an instance of class vtkScalarBarRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkScalarBarRepresentation
//@]
//@@Methods
//The class vtkScalarBarRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkScalarBarRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkScalarBarRepresentation = obj.NewInstance ()|
// \item @|vtkScalarBarRepresentation = obj.SafeDownCast (vtkObject o)|
// \item @|vtkScalarBarActor = obj.GetScalarBarActor ()| -  The prop that is placed in the renderer.
//// \item @|obj.SetScalarBarActor (vtkScalarBarActor )| -  The prop that is placed in the renderer.
//// \item @|obj.BuildRepresentation ()| -  Satisfy the superclass' API.
//// \item @|obj.WidgetInteraction (double eventPos[2])| -  Satisfy the superclass' API.
//// \item @|obj.GetSize (double size[2])| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|obj.GetActors2D (vtkPropCollection collection)| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow window)| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderOverlay (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|obj.SetOrientation (int orient)| -  Get/Set the orientation.
//// \item @|int = obj.GetOrientation ()| -  Get/Set the orientation.
////\end{itemize}
//!
