#include "VTKWrap.hpp"

// FreeMat wrapper for vtkScalarBarWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkScalarBarWidget.h"

//@@Signature
//sfunction @vtkScalarBarWidget:vtkScalarBarWidget vtkScalarBarWidgetConstructorFunction
//input a
//output p
//@@Parents vtkScalarBarWidget vtkBorderWidget 
ArrayVector vtkScalarBarWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkScalarBarWidget::New(),"vtkScalarBarWidget",eval);
  } else if (arg[0].className() == "vtkScalarBarWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkScalarBarWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkScalarBarWidget");
    vtkScalarBarWidget*q = reinterpret_cast<vtkScalarBarWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkScalarBarWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkScalarBarWidget:GetClassName vtkScalarBarWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkScalarBarWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkScalarBarWidget requires 1 argument(s)");
  vtkScalarBarWidget* vtk_pointer = GetVTKPointer<vtkScalarBarWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarWidget:IsA vtkScalarBarWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkScalarBarWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkScalarBarWidget requires 2 argument(s)");
  vtkScalarBarWidget* vtk_pointer = GetVTKPointer<vtkScalarBarWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarWidget:NewInstance vtkScalarBarWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkScalarBarWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarBarWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkScalarBarWidget requires 1 argument(s)");
  vtkScalarBarWidget* vtk_pointer = GetVTKPointer<vtkScalarBarWidget>(arg[0]);
  Array retval;
  vtkScalarBarWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarBarWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarWidget:SafeDownCast vtkScalarBarWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkScalarBarWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarBarWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkScalarBarWidget requires 2 argument(s)");
  vtkScalarBarWidget* vtk_pointer = GetVTKPointer<vtkScalarBarWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkScalarBarWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarBarWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarWidget:SetRepresentation vtkScalarBarWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRepresentation (vtkScalarBarRepresentation *rep); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkScalarBarWidget requires 2 argument(s)");
  vtkScalarBarWidget* vtk_pointer = GetVTKPointer<vtkScalarBarWidget>(arg[0]);
  Array retval;
  vtkScalarBarRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkScalarBarRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarWidget:GetScalarBarRepresentation vtkScalarBarWidgetGetScalarBarRepresentationFunction
//input a0 
//output y
ArrayVector vtkScalarBarWidgetGetScalarBarRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarBarRepresentation *GetScalarBarRepresentation ();return reinterpret_cast vtkScalarBarRepresentation this GetRepresentation  */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarBarRepresentation for class vtkScalarBarWidget requires 1 argument(s)");
  vtkScalarBarWidget* vtk_pointer = GetVTKPointer<vtkScalarBarWidget>(arg[0]);
  Array retval;
  vtkScalarBarRepresentation  *temp20;
  temp20 = (vtk_pointer)->GetScalarBarRepresentation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarBarRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarWidget:SetScalarBarActor vtkScalarBarWidgetSetScalarBarActorFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarWidgetSetScalarBarActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetScalarBarActor (vtkScalarBarActor *actor); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarBarActor for class vtkScalarBarWidget requires 2 argument(s)");
  vtkScalarBarWidget* vtk_pointer = GetVTKPointer<vtkScalarBarWidget>(arg[0]);
  Array retval;
  vtkScalarBarActor  *temp0;
  temp0 = GetVTKPointer<vtkScalarBarActor>(arg[1]);
  vtk_pointer->SetScalarBarActor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarWidget:GetScalarBarActor vtkScalarBarWidgetGetScalarBarActorFunction
//input a0 
//output y
ArrayVector vtkScalarBarWidgetGetScalarBarActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkScalarBarActor *GetScalarBarActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarBarActor for class vtkScalarBarWidget requires 1 argument(s)");
  vtkScalarBarWidget* vtk_pointer = GetVTKPointer<vtkScalarBarWidget>(arg[0]);
  Array retval;
  vtkScalarBarActor  *temp20;
  temp20 = (vtk_pointer)->GetScalarBarActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarBarActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarWidget:SetRepositionable vtkScalarBarWidgetSetRepositionableFunction
//input a0 a1 
//output none
ArrayVector vtkScalarBarWidgetSetRepositionableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepositionable (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepositionable for class vtkScalarBarWidget requires 2 argument(s)");
  vtkScalarBarWidget* vtk_pointer = GetVTKPointer<vtkScalarBarWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRepositionable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarWidget:GetRepositionable vtkScalarBarWidgetGetRepositionableFunction
//input a0 
//output y
ArrayVector vtkScalarBarWidgetGetRepositionableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepositionable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepositionable for class vtkScalarBarWidget requires 1 argument(s)");
  vtkScalarBarWidget* vtk_pointer = GetVTKPointer<vtkScalarBarWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepositionable();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarWidget:RepositionableOn vtkScalarBarWidgetRepositionableOnFunction
//input a0 
//output none
ArrayVector vtkScalarBarWidgetRepositionableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RepositionableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RepositionableOn for class vtkScalarBarWidget requires 1 argument(s)");
  vtkScalarBarWidget* vtk_pointer = GetVTKPointer<vtkScalarBarWidget>(arg[0]);
  Array retval;
  vtk_pointer->RepositionableOn();
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarWidget:RepositionableOff vtkScalarBarWidgetRepositionableOffFunction
//input a0 
//output none
ArrayVector vtkScalarBarWidgetRepositionableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RepositionableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RepositionableOff for class vtkScalarBarWidget requires 1 argument(s)");
  vtkScalarBarWidget* vtk_pointer = GetVTKPointer<vtkScalarBarWidget>(arg[0]);
  Array retval;
  vtk_pointer->RepositionableOff();
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarWidget:CreateDefaultRepresentation vtkScalarBarWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkScalarBarWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkScalarBarWidget requires 1 argument(s)");
  vtkScalarBarWidget* vtk_pointer = GetVTKPointer<vtkScalarBarWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkScalarBarWidget:display vtkScalarBarWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkScalarBarWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkScalarBarWidget* vtk_pointer = GetVTKPointer<vtkScalarBarWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkScalarBarWidget:delete vtkScalarBarWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkScalarBarWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkScalarBarWidget
//@@Section VTKWidgets
//@@Usage
// This class provides support for interactively manipulating the position,
// size, and orientation of a scalar bar. It listens to Left mouse events and
// mouse movement. It also listens to Right mouse events and notifies any 
// observers of Right mouse events on this object when they occur.
// It will change the cursor shape based on its location. If
// the cursor is over an edge of the scalar bar it will change the cursor
// shape to a resize edge shape. If the position of a scalar bar is moved to
// be close to the center of one of the four edges of the viewport, then the
// scalar bar will change its orientation to align with that edge. This
// orientation is sticky in that it will stay that orientation until the
// position is moved close to another edge.
//
//To create an instance of class vtkScalarBarWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkScalarBarWidget
//@]
//@@Methods
//The class vtkScalarBarWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkScalarBarWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkScalarBarWidget = obj.NewInstance ()|
// \item @|vtkScalarBarWidget = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRepresentation (vtkScalarBarRepresentation rep)| -  Specify an instance of vtkWidgetRepresentation used to represent this
// widget in the scene. Note that the representation is a subclass of vtkProp
// so it can be added to the renderer independent of the widget.
//// \item @|vtkScalarBarRepresentation = obj.GetScalarBarRepresentation ()| -  Get the ScalarBar used by this Widget. One is created automatically.
//// \item @|obj.SetScalarBarActor (vtkScalarBarActor actor)| -  Get the ScalarBar used by this Widget. One is created automatically.
//// \item @|vtkScalarBarActor = obj.GetScalarBarActor ()| -  Get the ScalarBar used by this Widget. One is created automatically.
//// \item @|obj.SetRepositionable (int )| -  Can the widget be moved. On by default. If off, the widget cannot be moved
// around.
//
// TODO: This functionality should probably be moved to the superclass.
//// \item @|int = obj.GetRepositionable ()| -  Can the widget be moved. On by default. If off, the widget cannot be moved
// around.
//
// TODO: This functionality should probably be moved to the superclass.
//// \item @|obj.RepositionableOn ()| -  Can the widget be moved. On by default. If off, the widget cannot be moved
// around.
//
// TODO: This functionality should probably be moved to the superclass.
//// \item @|obj.RepositionableOff ()| -  Can the widget be moved. On by default. If off, the widget cannot be moved
// around.
//
// TODO: This functionality should probably be moved to the superclass.
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
////\end{itemize}
//!
