#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSeedRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSeedRepresentation.h"

//@@Signature
//sfunction @vtkSeedRepresentation:vtkSeedRepresentation vtkSeedRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkSeedRepresentation vtkWidgetRepresentation 
ArrayVector vtkSeedRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSeedRepresentation::New(),"vtkSeedRepresentation",eval);
  } else if (arg[0].className() == "vtkSeedRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSeedRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSeedRepresentation");
    vtkSeedRepresentation*q = reinterpret_cast<vtkSeedRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSeedRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSeedRepresentation:GetClassName vtkSeedRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSeedRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSeedRepresentation requires 1 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:IsA vtkSeedRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSeedRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSeedRepresentation requires 2 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:NewInstance vtkSeedRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSeedRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSeedRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSeedRepresentation requires 1 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  vtkSeedRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSeedRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:SafeDownCast vtkSeedRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSeedRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSeedRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSeedRepresentation requires 2 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSeedRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSeedRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:GetSeedWorldPosition vtkSeedRepresentationGetSeedWorldPositionFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSeedRepresentationGetSeedWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetSeedWorldPosition (unsigned int seedNum, double pos[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetSeedWorldPosition for class vtkSeedRepresentation requires 3 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  unsigned int      temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetSeedWorldPosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:SetSeedDisplayPosition vtkSeedRepresentationSetSeedDisplayPositionFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSeedRepresentationSetSeedDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSeedDisplayPosition (unsigned int seedNum, double pos[3]); */
  if (arg.size() < 3) 
    throw Exception("Function SetSeedDisplayPosition for class vtkSeedRepresentation requires 3 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  unsigned int      temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->SetSeedDisplayPosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:GetSeedDisplayPosition vtkSeedRepresentationGetSeedDisplayPositionFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSeedRepresentationGetSeedDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetSeedDisplayPosition (unsigned int seedNum, double pos[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetSeedDisplayPosition for class vtkSeedRepresentation requires 3 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  unsigned int      temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetSeedDisplayPosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:GetNumberOfSeeds vtkSeedRepresentationGetNumberOfSeedsFunction
//input a0 
//output y
ArrayVector vtkSeedRepresentationGetNumberOfSeedsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSeeds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSeeds for class vtkSeedRepresentation requires 1 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSeeds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:SetHandleRepresentation vtkSeedRepresentationSetHandleRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkSeedRepresentationSetHandleRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleRepresentation (vtkHandleRepresentation *handle); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleRepresentation for class vtkSeedRepresentation requires 2 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  vtkHandleRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkHandleRepresentation>(arg[1]);
  vtk_pointer->SetHandleRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:GetHandleRepresentation__1 vtkSeedRepresentationGetHandleRepresentation__1Function
//input a0 a1 
//output y
ArrayVector vtkSeedRepresentationGetHandleRepresentation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHandleRepresentation *GetHandleRepresentation (unsigned int num); */
  if (arg.size() < 2) 
    throw Exception("Function GetHandleRepresentation__1 for class vtkSeedRepresentation requires 2 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  unsigned int      temp0;
  vtkHandleRepresentation  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetHandleRepresentation(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:GetHandleRepresentation__2 vtkSeedRepresentationGetHandleRepresentation__2Function
//input a0 
//output y
ArrayVector vtkSeedRepresentationGetHandleRepresentation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHandleRepresentation *GetHandleRepresentation ();return this HandleRepresentation  */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleRepresentation__2 for class vtkSeedRepresentation requires 1 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  vtkHandleRepresentation  *temp20;
  temp20 = (vtk_pointer)->GetHandleRepresentation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:SetTolerance vtkSeedRepresentationSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkSeedRepresentationSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkSeedRepresentation requires 2 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:GetToleranceMinValue vtkSeedRepresentationGetToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkSeedRepresentationGetToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMinValue for class vtkSeedRepresentation requires 1 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:GetToleranceMaxValue vtkSeedRepresentationGetToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkSeedRepresentationGetToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMaxValue for class vtkSeedRepresentation requires 1 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:GetTolerance vtkSeedRepresentationGetToleranceFunction
//input a0 
//output y
ArrayVector vtkSeedRepresentationGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkSeedRepresentation requires 1 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:GetActiveHandle vtkSeedRepresentationGetActiveHandleFunction
//input a0 
//output y
ArrayVector vtkSeedRepresentationGetActiveHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetActiveHandle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActiveHandle for class vtkSeedRepresentation requires 1 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetActiveHandle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:CreateHandle vtkSeedRepresentationCreateHandleFunction
//input a0 a1 
//output y
ArrayVector vtkSeedRepresentationCreateHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CreateHandle (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function CreateHandle for class vtkSeedRepresentation requires 2 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->CreateHandle(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:RemoveLastHandle vtkSeedRepresentationRemoveLastHandleFunction
//input a0 
//output none
ArrayVector vtkSeedRepresentationRemoveLastHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveLastHandle (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveLastHandle for class vtkSeedRepresentation requires 1 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->RemoveLastHandle();
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:RemoveActiveHandle vtkSeedRepresentationRemoveActiveHandleFunction
//input a0 
//output none
ArrayVector vtkSeedRepresentationRemoveActiveHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveActiveHandle (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveActiveHandle for class vtkSeedRepresentation requires 1 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->RemoveActiveHandle();
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:RemoveHandle vtkSeedRepresentationRemoveHandleFunction
//input a0 a1 
//output none
ArrayVector vtkSeedRepresentationRemoveHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveHandle (int n); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveHandle for class vtkSeedRepresentation requires 2 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveHandle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:BuildRepresentation vtkSeedRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkSeedRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkSeedRepresentation requires 1 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:ComputeInteractionState vtkSeedRepresentationComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSeedRepresentationComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkSeedRepresentation requires 4 argument(s)");
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSeedRepresentation:GetHandleRepresentation vtkSeedRepresentationGetHandleRepresentationFunction
//input varargin
//output varargout
ArrayVector vtkSeedRepresentationGetHandleRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkSeedRepresentationGetHandleRepresentation__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkSeedRepresentationGetHandleRepresentation__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSeedRepresentationGetHandleRepresentation");
}

//@@Signature
//sfunction @vtkSeedRepresentation:display vtkSeedRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSeedRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSeedRepresentation* vtk_pointer = GetVTKPointer<vtkSeedRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSeedRepresentation:delete vtkSeedRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkSeedRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSeedRepresentation
//@@Section VTKWidgets
//@@Usage
// The vtkSeedRepresentation is a superclass for classes representing the
// vtkSeedWidget. This representation consists of one or more handles
// (vtkHandleRepresentation) which are used to place and manipulate the
// points defining the collection of seeds. 
//
//To create an instance of class vtkSeedRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkSeedRepresentation
//@]
//@@Methods
//The class vtkSeedRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSeedRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK methods.
//// \item @|vtkSeedRepresentation = obj.NewInstance ()| -  Standard VTK methods.
//// \item @|vtkSeedRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard VTK methods.
//// \item @|obj.GetSeedWorldPosition (int seedNum, double pos[3])| -  Methods to Set/Get the coordinates of seed points defining
// this representation. Note that methods are available for both
// display and world coordinates. The seeds are accessed by a seed
// number.
//// \item @|obj.SetSeedDisplayPosition (int seedNum, double pos[3])| -  Methods to Set/Get the coordinates of seed points defining
// this representation. Note that methods are available for both
// display and world coordinates. The seeds are accessed by a seed
// number.
//// \item @|obj.GetSeedDisplayPosition (int seedNum, double pos[3])| -  Methods to Set/Get the coordinates of seed points defining
// this representation. Note that methods are available for both
// display and world coordinates. The seeds are accessed by a seed
// number.
//// \item @|int = obj.GetNumberOfSeeds ()| -  Return the number of seeds (or handles) that have been created.
//// \item @|obj.SetHandleRepresentation (vtkHandleRepresentation handle)| -  This method is used to specify the type of handle representation to use
// for the internal vtkHandleWidgets within vtkSeedWidget.  To use this
// method, create a dummy vtkHandleWidget (or subclass), and then invoke
// this method with this dummy. Then the vtkSeedRepresentation uses this
// dummy to clone vtkHandleWidgets of the same type. Make sure you set the
// handle representation before the widget is enabled. 
//// \item @|vtkHandleRepresentation = obj.GetHandleRepresentation (int num)| -  Get the handle representations used for a particular seed. A side effect of
// this method is that it will create a handle representation in the list of
// representations if one has not yet been created.
//// \item @|vtkHandleRepresentation = obj.GetHandleRepresentation ()| -  Returns the model HandleRepresentation.
//// \item @|obj.SetTolerance (int )| -  The tolerance representing the distance to the widget (in pixels) in
// which the cursor is considered near enough to the end points of
// the widget to be active.
//// \item @|int = obj.GetToleranceMinValue ()| -  The tolerance representing the distance to the widget (in pixels) in
// which the cursor is considered near enough to the end points of
// the widget to be active.
//// \item @|int = obj.GetToleranceMaxValue ()| -  The tolerance representing the distance to the widget (in pixels) in
// which the cursor is considered near enough to the end points of
// the widget to be active.
//// \item @|int = obj.GetTolerance ()| -  The tolerance representing the distance to the widget (in pixels) in
// which the cursor is considered near enough to the end points of
// the widget to be active.
//// \item @|int = obj.GetActiveHandle ()| -  These are methods specific to vtkSeedRepresentation and which are
// invoked from vtkSeedWidget.
//// \item @|int = obj.CreateHandle (double e[2])| -  These are methods specific to vtkSeedRepresentation and which are
// invoked from vtkSeedWidget.
//// \item @|obj.RemoveLastHandle ()| -  These are methods specific to vtkSeedRepresentation and which are
// invoked from vtkSeedWidget.
//// \item @|obj.RemoveActiveHandle ()| -  These are methods specific to vtkSeedRepresentation and which are
// invoked from vtkSeedWidget.
//// \item @|obj.RemoveHandle (int n)| -  Remove the nth handle.
//// \item @|obj.BuildRepresentation ()| -  These are methods that satisfy vtkWidgetRepresentation's API.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  These are methods that satisfy vtkWidgetRepresentation's API.
////\end{itemize}
//!
