#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSeedWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSeedWidget.h"

//@@Signature
//sfunction @vtkSeedWidget:vtkSeedWidget vtkSeedWidgetConstructorFunction
//input a
//output p
//@@Parents vtkSeedWidget vtkAbstractWidget 
ArrayVector vtkSeedWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSeedWidget::New(),"vtkSeedWidget",eval);
  } else if (arg[0].className() == "vtkSeedWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSeedWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSeedWidget");
    vtkSeedWidget*q = reinterpret_cast<vtkSeedWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSeedWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSeedWidget:GetClassName vtkSeedWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSeedWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSeedWidget requires 1 argument(s)");
  vtkSeedWidget* vtk_pointer = GetVTKPointer<vtkSeedWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSeedWidget:IsA vtkSeedWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSeedWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSeedWidget requires 2 argument(s)");
  vtkSeedWidget* vtk_pointer = GetVTKPointer<vtkSeedWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSeedWidget:NewInstance vtkSeedWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSeedWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSeedWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSeedWidget requires 1 argument(s)");
  vtkSeedWidget* vtk_pointer = GetVTKPointer<vtkSeedWidget>(arg[0]);
  Array retval;
  vtkSeedWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSeedWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSeedWidget:SafeDownCast vtkSeedWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSeedWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSeedWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSeedWidget requires 2 argument(s)");
  vtkSeedWidget* vtk_pointer = GetVTKPointer<vtkSeedWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSeedWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSeedWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSeedWidget:SetEnabled vtkSeedWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkSeedWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkSeedWidget requires 2 argument(s)");
  vtkSeedWidget* vtk_pointer = GetVTKPointer<vtkSeedWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSeedWidget:SetCurrentRenderer vtkSeedWidgetSetCurrentRendererFunction
//input a0 a1 
//output none
ArrayVector vtkSeedWidgetSetCurrentRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCurrentRenderer (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCurrentRenderer for class vtkSeedWidget requires 2 argument(s)");
  vtkSeedWidget* vtk_pointer = GetVTKPointer<vtkSeedWidget>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetCurrentRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSeedWidget:SetInteractor vtkSeedWidgetSetInteractorFunction
//input a0 a1 
//output none
ArrayVector vtkSeedWidgetSetInteractorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInteractor (vtkRenderWindowInteractor *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractor for class vtkSeedWidget requires 2 argument(s)");
  vtkSeedWidget* vtk_pointer = GetVTKPointer<vtkSeedWidget>(arg[0]);
  Array retval;
  vtkRenderWindowInteractor  *temp0;
  temp0 = GetVTKPointer<vtkRenderWindowInteractor>(arg[1]);
  vtk_pointer->SetInteractor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSeedWidget:SetRepresentation vtkSeedWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkSeedWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkSeedRepresentation *rep);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation rep  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkSeedWidget requires 2 argument(s)");
  vtkSeedWidget* vtk_pointer = GetVTKPointer<vtkSeedWidget>(arg[0]);
  Array retval;
  vtkSeedRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkSeedRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSeedWidget:CreateDefaultRepresentation vtkSeedWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkSeedWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkSeedWidget requires 1 argument(s)");
  vtkSeedWidget* vtk_pointer = GetVTKPointer<vtkSeedWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkSeedWidget:SetProcessEvents vtkSeedWidgetSetProcessEventsFunction
//input a0 a1 
//output none
ArrayVector vtkSeedWidgetSetProcessEventsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetProcessEvents (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProcessEvents for class vtkSeedWidget requires 2 argument(s)");
  vtkSeedWidget* vtk_pointer = GetVTKPointer<vtkSeedWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProcessEvents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSeedWidget:CompleteInteraction vtkSeedWidgetCompleteInteractionFunction
//input a0 
//output none
ArrayVector vtkSeedWidgetCompleteInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CompleteInteraction (); */
  if (arg.size() < 1) 
    throw Exception("Function CompleteInteraction for class vtkSeedWidget requires 1 argument(s)");
  vtkSeedWidget* vtk_pointer = GetVTKPointer<vtkSeedWidget>(arg[0]);
  Array retval;
  vtk_pointer->CompleteInteraction();
  return retval;
}

//@@Signature
//sfunction @vtkSeedWidget:RestartInteraction vtkSeedWidgetRestartInteractionFunction
//input a0 
//output none
ArrayVector vtkSeedWidgetRestartInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RestartInteraction (); */
  if (arg.size() < 1) 
    throw Exception("Function RestartInteraction for class vtkSeedWidget requires 1 argument(s)");
  vtkSeedWidget* vtk_pointer = GetVTKPointer<vtkSeedWidget>(arg[0]);
  Array retval;
  vtk_pointer->RestartInteraction();
  return retval;
}

//@@Signature
//sfunction @vtkSeedWidget:CreateNewHandle vtkSeedWidgetCreateNewHandleFunction
//input a0 
//output y
ArrayVector vtkSeedWidgetCreateNewHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkHandleWidget *CreateNewHandle (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateNewHandle for class vtkSeedWidget requires 1 argument(s)");
  vtkSeedWidget* vtk_pointer = GetVTKPointer<vtkSeedWidget>(arg[0]);
  Array retval;
  vtkHandleWidget  *temp20;
  temp20 = (vtk_pointer)->CreateNewHandle();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSeedWidget:DeleteSeed vtkSeedWidgetDeleteSeedFunction
//input a0 a1 
//output none
ArrayVector vtkSeedWidgetDeleteSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeleteSeed (int n); */
  if (arg.size() < 2) 
    throw Exception("Function DeleteSeed for class vtkSeedWidget requires 2 argument(s)");
  vtkSeedWidget* vtk_pointer = GetVTKPointer<vtkSeedWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->DeleteSeed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSeedWidget:GetSeed vtkSeedWidgetGetSeedFunction
//input a0 a1 
//output y
ArrayVector vtkSeedWidgetGetSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHandleWidget *GetSeed (int n); */
  if (arg.size() < 2) 
    throw Exception("Function GetSeed for class vtkSeedWidget requires 2 argument(s)");
  vtkSeedWidget* vtk_pointer = GetVTKPointer<vtkSeedWidget>(arg[0]);
  Array retval;
  int      temp0;
  vtkHandleWidget  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetSeed(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHandleWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSeedWidget:display vtkSeedWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSeedWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSeedWidget* vtk_pointer = GetVTKPointer<vtkSeedWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSeedWidget:delete vtkSeedWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkSeedWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSeedWidget
//@@Section VTKWidgets
//@@Usage
// The vtkSeedWidget is used to placed multiple seed points in the scene.
// The seed points can be used for operations like connectivity, segmentation,
// and region growing. 
// 
// To use this widget, specify an instance of vtkSeedWidget and a
// representation (a subclass of vtkSeedRepresentation). The widget is
// implemented using multiple instances of vtkHandleWidget which can be used
// to position the seed points (after they are initially placed). The
// representations for these handle widgets are provided by the
// vtkSeedRepresentation.
//
// .SECTION Event Bindings
// By default, the widget responds to the following VTK events (i.e., it
// watches the vtkRenderWindowInteractor for these events):
// <pre>
//   LeftButtonPressEvent - add a point or select a handle (i.e., seed)
//   RightButtonPressEvent - finish adding the seeds
//   MouseMoveEvent - move a handle (i.e., seed)
//   LeftButtonReleaseEvent - release the selected handle (seed)
// </pre>
//
// Note that the event bindings described above can be changed using this
// class's vtkWidgetEventTranslator. This class translates VTK events 
// into the vtkSeedWidget's widget events:
// <pre>
//   vtkWidgetEvent::AddPoint -- add one point; depending on the state
//                               it may the first or second point added. Or,
//                               if near handle, select handle.
//   vtkWidgetEvent::Completed -- finished adding seeds.
//   vtkWidgetEvent::Move -- move the second point or handle depending on the state.
//   vtkWidgetEvent::EndSelect -- the handle manipulation process has completed.
// </pre>
//
// This widget invokes the following VTK events on itself (which observers
// can listen for):
// <pre>
//   vtkCommand::StartInteractionEvent (beginning to interact)
//   vtkCommand::EndInteractionEvent (completing interaction)
//   vtkCommand::InteractionEvent (moving after selecting something)
//   vtkCommand::PlacePointEvent (after point is positioned; 
//                                call data includes handle id (0,1))
// </pre>
//
//To create an instance of class vtkSeedWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkSeedWidget
//@]
//@@Methods
//The class vtkSeedWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSeedWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for a VTK class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for a VTK class.
//// \item @|vtkSeedWidget = obj.NewInstance ()| -  Standard methods for a VTK class.
//// \item @|vtkSeedWidget = obj.SafeDownCast (vtkObject o)| -  Standard methods for a VTK class.
//// \item @|obj.SetEnabled (int )| -  The method for activiating and deactiviating this widget. This method
// must be overridden because it is a composite widget and does more than
// its superclasses' vtkAbstractWidget::SetEnabled() method.
//// \item @|obj.SetCurrentRenderer (vtkRenderer )| -  Set the current renderer. This method also propagates to all the child
// handle widgets, if any exist
//// \item @|obj.SetInteractor (vtkRenderWindowInteractor )| -  Set the interactor. This method also propagates to all the child
// handle widgets, if any exist
//// \item @|obj.SetRepresentation (vtkSeedRepresentation rep)| -  Create the default widget representation if one is not set. 
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
//// \item @|obj.SetProcessEvents (int )| -  Methods to change the whether the widget responds to interaction.
// Overridden to pass the state to component widgets.
//// \item @|obj.CompleteInteraction ()| -  Method to be called when the seed widget should stop responding to
// the place point interaction. The seed widget, when defined allows you 
// place seeds by clicking on the render window. Use this method to 
// indicate that you would like to stop placing seeds interactively. If
// you'd like the widget to stop responding to *any* user interaction
// simply disable event processing by the widget by calling
//   widget->ProcessEventsOff()
//// \item @|obj.RestartInteraction ()| -  Method to be called when the seed widget should start responding
// to the interaction.  
//// \item @|vtkHandleWidget = obj.CreateNewHandle ()| -  Use this method to programmatically create a new handle. In interactive 
// mode, (when the widget is in the PlacingSeeds state) this method is 
// automatically invoked. The method returns the handle created.
// A valid seed representation must exist for the widget to create a new
// handle.
//// \item @|obj.DeleteSeed (int n)| -  Delete the nth seed.
//// \item @|vtkHandleWidget = obj.GetSeed (int n)| -  Get the nth seed
////\end{itemize}
//!
