#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSliderRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSliderRepresentation.h"

//@@Signature
//sfunction @vtkSliderRepresentation:vtkSliderRepresentation vtkSliderRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkSliderRepresentation vtkWidgetRepresentation 
ArrayVector vtkSliderRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSliderRepresentation::New(),"vtkSliderRepresentation",eval);
  } else if (arg[0].className() == "vtkSliderRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSliderRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSliderRepresentation");
    vtkSliderRepresentation*q = reinterpret_cast<vtkSliderRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSliderRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSliderRepresentation:GetClassName vtkSliderRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:IsA vtkSliderRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSliderRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSliderRepresentation requires 2 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:NewInstance vtkSliderRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSliderRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  vtkSliderRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSliderRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:SafeDownCast vtkSliderRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSliderRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSliderRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSliderRepresentation requires 2 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSliderRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSliderRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:SetValue vtkSliderRepresentationSetValueFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentationSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (double value); */
  if (arg.size() < 2) 
    throw Exception("Function SetValue for class vtkSliderRepresentation requires 2 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetValue vtkSliderRepresentationGetValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValue for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:SetMinimumValue vtkSliderRepresentationSetMinimumValueFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentationSetMinimumValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumValue (double value); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumValue for class vtkSliderRepresentation requires 2 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetMinimumValue vtkSliderRepresentationGetMinimumValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetMinimumValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumValue for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:SetMaximumValue vtkSliderRepresentationSetMaximumValueFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentationSetMaximumValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumValue (double value); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumValue for class vtkSliderRepresentation requires 2 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetMaximumValue vtkSliderRepresentationGetMaximumValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetMaximumValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumValue for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:SetSliderLength vtkSliderRepresentationSetSliderLengthFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentationSetSliderLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSliderLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSliderLength for class vtkSliderRepresentation requires 2 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSliderLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetSliderLengthMinValue vtkSliderRepresentationGetSliderLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetSliderLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSliderLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSliderLengthMinValue for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSliderLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetSliderLengthMaxValue vtkSliderRepresentationGetSliderLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetSliderLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSliderLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSliderLengthMaxValue for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSliderLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetSliderLength vtkSliderRepresentationGetSliderLengthFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetSliderLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSliderLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSliderLength for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSliderLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:SetSliderWidth vtkSliderRepresentationSetSliderWidthFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentationSetSliderWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSliderWidth (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSliderWidth for class vtkSliderRepresentation requires 2 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSliderWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetSliderWidthMinValue vtkSliderRepresentationGetSliderWidthMinValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetSliderWidthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSliderWidthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSliderWidthMinValue for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSliderWidthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetSliderWidthMaxValue vtkSliderRepresentationGetSliderWidthMaxValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetSliderWidthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSliderWidthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSliderWidthMaxValue for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSliderWidthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetSliderWidth vtkSliderRepresentationGetSliderWidthFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetSliderWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSliderWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSliderWidth for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSliderWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:SetTubeWidth vtkSliderRepresentationSetTubeWidthFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentationSetTubeWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTubeWidth (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTubeWidth for class vtkSliderRepresentation requires 2 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTubeWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetTubeWidthMinValue vtkSliderRepresentationGetTubeWidthMinValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetTubeWidthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTubeWidthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTubeWidthMinValue for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTubeWidthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetTubeWidthMaxValue vtkSliderRepresentationGetTubeWidthMaxValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetTubeWidthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTubeWidthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTubeWidthMaxValue for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTubeWidthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetTubeWidth vtkSliderRepresentationGetTubeWidthFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetTubeWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTubeWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTubeWidth for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTubeWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:SetEndCapLength vtkSliderRepresentationSetEndCapLengthFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentationSetEndCapLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEndCapLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEndCapLength for class vtkSliderRepresentation requires 2 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetEndCapLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetEndCapLengthMinValue vtkSliderRepresentationGetEndCapLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetEndCapLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndCapLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndCapLengthMinValue for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndCapLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetEndCapLengthMaxValue vtkSliderRepresentationGetEndCapLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetEndCapLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndCapLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndCapLengthMaxValue for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndCapLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetEndCapLength vtkSliderRepresentationGetEndCapLengthFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetEndCapLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndCapLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndCapLength for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndCapLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:SetEndCapWidth vtkSliderRepresentationSetEndCapWidthFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentationSetEndCapWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEndCapWidth (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEndCapWidth for class vtkSliderRepresentation requires 2 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetEndCapWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetEndCapWidthMinValue vtkSliderRepresentationGetEndCapWidthMinValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetEndCapWidthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndCapWidthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndCapWidthMinValue for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndCapWidthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetEndCapWidthMaxValue vtkSliderRepresentationGetEndCapWidthMaxValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetEndCapWidthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndCapWidthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndCapWidthMaxValue for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndCapWidthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetEndCapWidth vtkSliderRepresentationGetEndCapWidthFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetEndCapWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndCapWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndCapWidth for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndCapWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:SetTitleText vtkSliderRepresentationSetTitleTextFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentationSetTitleTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTitleText (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitleText for class vtkSliderRepresentation requires 2 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTitleText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetTitleText vtkSliderRepresentationGetTitleTextFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetTitleTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetTitleText ();return NULL  */
  if (arg.size() < 1) 
    throw Exception("Function GetTitleText for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetTitleText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:SetLabelFormat vtkSliderRepresentationSetLabelFormatFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentationSetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelFormat (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelFormat for class vtkSliderRepresentation requires 2 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLabelFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetLabelFormat vtkSliderRepresentationGetLabelFormatFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLabelFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelFormat for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLabelFormat();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:SetLabelHeight vtkSliderRepresentationSetLabelHeightFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentationSetLabelHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelHeight (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelHeight for class vtkSliderRepresentation requires 2 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLabelHeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetLabelHeightMinValue vtkSliderRepresentationGetLabelHeightMinValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetLabelHeightMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLabelHeightMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelHeightMinValue for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLabelHeightMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetLabelHeightMaxValue vtkSliderRepresentationGetLabelHeightMaxValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetLabelHeightMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLabelHeightMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelHeightMaxValue for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLabelHeightMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetLabelHeight vtkSliderRepresentationGetLabelHeightFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetLabelHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLabelHeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelHeight for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLabelHeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:SetTitleHeight vtkSliderRepresentationSetTitleHeightFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentationSetTitleHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitleHeight (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitleHeight for class vtkSliderRepresentation requires 2 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTitleHeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetTitleHeightMinValue vtkSliderRepresentationGetTitleHeightMinValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetTitleHeightMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTitleHeightMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitleHeightMinValue for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTitleHeightMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetTitleHeightMaxValue vtkSliderRepresentationGetTitleHeightMaxValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetTitleHeightMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTitleHeightMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitleHeightMaxValue for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTitleHeightMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetTitleHeight vtkSliderRepresentationGetTitleHeightFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetTitleHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTitleHeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitleHeight for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTitleHeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:SetShowSliderLabel vtkSliderRepresentationSetShowSliderLabelFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentationSetShowSliderLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShowSliderLabel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShowSliderLabel for class vtkSliderRepresentation requires 2 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShowSliderLabel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetShowSliderLabel vtkSliderRepresentationGetShowSliderLabelFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetShowSliderLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShowSliderLabel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShowSliderLabel for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShowSliderLabel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:ShowSliderLabelOn vtkSliderRepresentationShowSliderLabelOnFunction
//input a0 
//output none
ArrayVector vtkSliderRepresentationShowSliderLabelOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowSliderLabelOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowSliderLabelOn for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ShowSliderLabelOn();
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:ShowSliderLabelOff vtkSliderRepresentationShowSliderLabelOffFunction
//input a0 
//output none
ArrayVector vtkSliderRepresentationShowSliderLabelOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowSliderLabelOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowSliderLabelOff for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ShowSliderLabelOff();
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetCurrentT vtkSliderRepresentationGetCurrentTFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetCurrentTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetCurrentT ();return this CurrentT  */
  if (arg.size() < 1) 
    throw Exception("Function GetCurrentT for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCurrentT();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:GetPickedT vtkSliderRepresentationGetPickedTFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentationGetPickedTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetPickedT ();return this PickedT  */
  if (arg.size() < 1) 
    throw Exception("Function GetPickedT for class vtkSliderRepresentation requires 1 argument(s)");
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPickedT();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation:display vtkSliderRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSliderRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSliderRepresentation* vtk_pointer = GetVTKPointer<vtkSliderRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSliderRepresentation:delete vtkSliderRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkSliderRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSliderRepresentation
//@@Section VTKWidgets
//@@Usage
// This abstract class is used to specify how the vtkSliderWidget should
// interact with representations of the vtkSliderWidget. This class may be
// subclassed so that alternative representations can be created. The class
// defines an API, and a default implementation, that the vtkSliderWidget
// interacts with to render itself in the scene.
//
//To create an instance of class vtkSliderRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkSliderRepresentation
//@]
//@@Methods
//The class vtkSliderRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSliderRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for the class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for the class.
//// \item @|vtkSliderRepresentation = obj.NewInstance ()| -  Standard methods for the class.
//// \item @|vtkSliderRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard methods for the class.
//// \item @|obj.SetValue (double value)| -  Specify the current value for the widget. The value should lie between
// the minimum and maximum values.
//// \item @|double = obj.GetValue ()| -  Specify the current value for the widget. The value should lie between
// the minimum and maximum values.
//// \item @|obj.SetMinimumValue (double value)| -  Set the current minimum value that the slider can take. Setting the
// minimum value greater than the maximum value will cause the maximum
// value to grow to (minimum value + 1).
//// \item @|double = obj.GetMinimumValue ()| -  Set the current minimum value that the slider can take. Setting the
// minimum value greater than the maximum value will cause the maximum
// value to grow to (minimum value + 1).
//// \item @|obj.SetMaximumValue (double value)| -  Set the current maximum value that the slider can take. Setting the
// maximum value less than the minimum value will cause the minimum
// value to change to (maximum value - 1).
//// \item @|double = obj.GetMaximumValue ()| -  Set the current maximum value that the slider can take. Setting the
// maximum value less than the minimum value will cause the minimum
// value to change to (maximum value - 1).
//// \item @|obj.SetSliderLength (double )| -  Specify the length of the slider shape (in normalized display coordinates
// [0.01,0.5]). The slider length by default is 0.05.
//// \item @|double = obj.GetSliderLengthMinValue ()| -  Specify the length of the slider shape (in normalized display coordinates
// [0.01,0.5]). The slider length by default is 0.05.
//// \item @|double = obj.GetSliderLengthMaxValue ()| -  Specify the length of the slider shape (in normalized display coordinates
// [0.01,0.5]). The slider length by default is 0.05.
//// \item @|double = obj.GetSliderLength ()| -  Specify the length of the slider shape (in normalized display coordinates
// [0.01,0.5]). The slider length by default is 0.05.
//// \item @|obj.SetSliderWidth (double )| -  Set the width of the slider in the directions orthogonal to the
// slider axis. Using this it is possible to create ellipsoidal and hockey
// puck sliders (in some subclasses). By default the width is 0.05.
//// \item @|double = obj.GetSliderWidthMinValue ()| -  Set the width of the slider in the directions orthogonal to the
// slider axis. Using this it is possible to create ellipsoidal and hockey
// puck sliders (in some subclasses). By default the width is 0.05.
//// \item @|double = obj.GetSliderWidthMaxValue ()| -  Set the width of the slider in the directions orthogonal to the
// slider axis. Using this it is possible to create ellipsoidal and hockey
// puck sliders (in some subclasses). By default the width is 0.05.
//// \item @|double = obj.GetSliderWidth ()| -  Set the width of the slider in the directions orthogonal to the
// slider axis. Using this it is possible to create ellipsoidal and hockey
// puck sliders (in some subclasses). By default the width is 0.05.
//// \item @|obj.SetTubeWidth (double )| -  Set the width of the tube (in normalized display coordinates) on which
// the slider moves. By default the width is 0.05.
//// \item @|double = obj.GetTubeWidthMinValue ()| -  Set the width of the tube (in normalized display coordinates) on which
// the slider moves. By default the width is 0.05.
//// \item @|double = obj.GetTubeWidthMaxValue ()| -  Set the width of the tube (in normalized display coordinates) on which
// the slider moves. By default the width is 0.05.
//// \item @|double = obj.GetTubeWidth ()| -  Set the width of the tube (in normalized display coordinates) on which
// the slider moves. By default the width is 0.05.
//// \item @|obj.SetEndCapLength (double )| -  Specify the length of each end cap (in normalized coordinates
// [0.0,0.25]). By default the length is 0.025. If the end cap length
// is set to 0.0, then the end cap will not display at all.
//// \item @|double = obj.GetEndCapLengthMinValue ()| -  Specify the length of each end cap (in normalized coordinates
// [0.0,0.25]). By default the length is 0.025. If the end cap length
// is set to 0.0, then the end cap will not display at all.
//// \item @|double = obj.GetEndCapLengthMaxValue ()| -  Specify the length of each end cap (in normalized coordinates
// [0.0,0.25]). By default the length is 0.025. If the end cap length
// is set to 0.0, then the end cap will not display at all.
//// \item @|double = obj.GetEndCapLength ()| -  Specify the length of each end cap (in normalized coordinates
// [0.0,0.25]). By default the length is 0.025. If the end cap length
// is set to 0.0, then the end cap will not display at all.
//// \item @|obj.SetEndCapWidth (double )| -  Specify the width of each end cap (in normalized coordinates
// [0.0,0.25]). By default the width is twice the tube width. 
//// \item @|double = obj.GetEndCapWidthMinValue ()| -  Specify the width of each end cap (in normalized coordinates
// [0.0,0.25]). By default the width is twice the tube width. 
//// \item @|double = obj.GetEndCapWidthMaxValue ()| -  Specify the width of each end cap (in normalized coordinates
// [0.0,0.25]). By default the width is twice the tube width. 
//// \item @|double = obj.GetEndCapWidth ()| -  Specify the width of each end cap (in normalized coordinates
// [0.0,0.25]). By default the width is twice the tube width. 
//// \item @|obj.SetTitleText (string )| -  Specify the label text for this widget. If the value is not set, or set
// to the empty string "", then the label text is not displayed.
//// \item @|string = obj.GetTitleText ()| -  Set/Get the format with which to print the slider value.
//// \item @|obj.SetLabelFormat (string )| -  Set/Get the format with which to print the slider value.
//// \item @|string = obj.GetLabelFormat ()| -  Set/Get the format with which to print the slider value.
//// \item @|obj.SetLabelHeight (double )| -  Specify the relative height of the label as compared to the length of the
// slider. 
//// \item @|double = obj.GetLabelHeightMinValue ()| -  Specify the relative height of the label as compared to the length of the
// slider. 
//// \item @|double = obj.GetLabelHeightMaxValue ()| -  Specify the relative height of the label as compared to the length of the
// slider. 
//// \item @|double = obj.GetLabelHeight ()| -  Specify the relative height of the label as compared to the length of the
// slider. 
//// \item @|obj.SetTitleHeight (double )| -  Specify the relative height of the title as compared to the length of the
// slider. 
//// \item @|double = obj.GetTitleHeightMinValue ()| -  Specify the relative height of the title as compared to the length of the
// slider. 
//// \item @|double = obj.GetTitleHeightMaxValue ()| -  Specify the relative height of the title as compared to the length of the
// slider. 
//// \item @|double = obj.GetTitleHeight ()| -  Specify the relative height of the title as compared to the length of the
// slider. 
//// \item @|obj.SetShowSliderLabel (int )| -  Indicate whether the slider text label should be displayed. This is
// a number corresponding to the current Value of this widget.
//// \item @|int = obj.GetShowSliderLabel ()| -  Indicate whether the slider text label should be displayed. This is
// a number corresponding to the current Value of this widget.
//// \item @|obj.ShowSliderLabelOn ()| -  Indicate whether the slider text label should be displayed. This is
// a number corresponding to the current Value of this widget.
//// \item @|obj.ShowSliderLabelOff ()| -  Indicate whether the slider text label should be displayed. This is
// a number corresponding to the current Value of this widget.
//// \item @|double = obj.GetCurrentT ()| -  Methods to interface with the vtkSliderWidget. Subclasses of this class 
// actually do something.
//// \item @|double = obj.GetPickedT ()|
//\end{itemize}
//!
