#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSliderRepresentation3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSliderRepresentation3D.h"

//@@Signature
//sfunction @vtkSliderRepresentation3D:vtkSliderRepresentation3D vtkSliderRepresentation3DConstructorFunction
//input a
//output p
//@@Parents vtkSliderRepresentation3D vtkSliderRepresentation 
ArrayVector vtkSliderRepresentation3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSliderRepresentation3D::New(),"vtkSliderRepresentation3D",eval);
  } else if (arg[0].className() == "vtkSliderRepresentation3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSliderRepresentation3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSliderRepresentation3D");
    vtkSliderRepresentation3D*q = reinterpret_cast<vtkSliderRepresentation3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSliderRepresentation3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSliderRepresentation3D:GetClassName vtkSliderRepresentation3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentation3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:IsA vtkSliderRepresentation3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSliderRepresentation3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSliderRepresentation3D requires 2 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:NewInstance vtkSliderRepresentation3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentation3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSliderRepresentation3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  vtkSliderRepresentation3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSliderRepresentation3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:SafeDownCast vtkSliderRepresentation3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSliderRepresentation3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSliderRepresentation3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSliderRepresentation3D requires 2 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSliderRepresentation3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSliderRepresentation3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:GetPoint1Coordinate vtkSliderRepresentation3DGetPoint1CoordinateFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentation3DGetPoint1CoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoordinate *GetPoint1Coordinate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1Coordinate for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetPoint1Coordinate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:SetPoint1InWorldCoordinates vtkSliderRepresentation3DSetPoint1InWorldCoordinatesFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSliderRepresentation3DSetPoint1InWorldCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1InWorldCoordinates (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint1InWorldCoordinates for class vtkSliderRepresentation3D requires 4 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint1InWorldCoordinates(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:GetPoint2Coordinate vtkSliderRepresentation3DGetPoint2CoordinateFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentation3DGetPoint2CoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoordinate *GetPoint2Coordinate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2Coordinate for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetPoint2Coordinate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:SetPoint2InWorldCoordinates vtkSliderRepresentation3DSetPoint2InWorldCoordinatesFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSliderRepresentation3DSetPoint2InWorldCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2InWorldCoordinates (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint2InWorldCoordinates for class vtkSliderRepresentation3D requires 4 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint2InWorldCoordinates(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:SetTitleText vtkSliderRepresentation3DSetTitleTextFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentation3DSetTitleTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTitleText (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitleText for class vtkSliderRepresentation3D requires 2 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTitleText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:GetTitleText vtkSliderRepresentation3DGetTitleTextFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentation3DGetTitleTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetTitleText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitleText for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetTitleText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:SetSliderShape vtkSliderRepresentation3DSetSliderShapeFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentation3DSetSliderShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSliderShape (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSliderShape for class vtkSliderRepresentation3D requires 2 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSliderShape(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:GetSliderShapeMinValue vtkSliderRepresentation3DGetSliderShapeMinValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentation3DGetSliderShapeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSliderShapeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSliderShapeMinValue for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSliderShapeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:GetSliderShapeMaxValue vtkSliderRepresentation3DGetSliderShapeMaxValueFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentation3DGetSliderShapeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSliderShapeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSliderShapeMaxValue for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSliderShapeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:GetSliderShape vtkSliderRepresentation3DGetSliderShapeFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentation3DGetSliderShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSliderShape (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSliderShape for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSliderShape();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:SetSliderShapeToSphere vtkSliderRepresentation3DSetSliderShapeToSphereFunction
//input a0 
//output none
ArrayVector vtkSliderRepresentation3DSetSliderShapeToSphereFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSliderShapeToSphere ();this SetSliderShape SphereShape  */
  if (arg.size() < 1) 
    throw Exception("Function SetSliderShapeToSphere for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  vtk_pointer->SetSliderShapeToSphere();
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:SetSliderShapeToCylinder vtkSliderRepresentation3DSetSliderShapeToCylinderFunction
//input a0 
//output none
ArrayVector vtkSliderRepresentation3DSetSliderShapeToCylinderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSliderShapeToCylinder ();this SetSliderShape CylinderShape  */
  if (arg.size() < 1) 
    throw Exception("Function SetSliderShapeToCylinder for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  vtk_pointer->SetSliderShapeToCylinder();
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:SetRotation vtkSliderRepresentation3DSetRotationFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentation3DSetRotationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRotation (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRotation for class vtkSliderRepresentation3D requires 2 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRotation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:GetRotation vtkSliderRepresentation3DGetRotationFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentation3DGetRotationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRotation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRotation for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRotation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:GetSliderProperty vtkSliderRepresentation3DGetSliderPropertyFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentation3DGetSliderPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSliderProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSliderProperty for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSliderProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:GetTubeProperty vtkSliderRepresentation3DGetTubePropertyFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentation3DGetTubePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetTubeProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTubeProperty for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetTubeProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:GetCapProperty vtkSliderRepresentation3DGetCapPropertyFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentation3DGetCapPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetCapProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCapProperty for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetCapProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:GetSelectedProperty vtkSliderRepresentation3DGetSelectedPropertyFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentation3DGetSelectedPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedProperty for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:PlaceWidget vtkSliderRepresentation3DPlaceWidgetFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentation3DPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget for class vtkSliderRepresentation3D requires 2 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:BuildRepresentation vtkSliderRepresentation3DBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkSliderRepresentation3DBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:StartWidgetInteraction vtkSliderRepresentation3DStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentation3DStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkSliderRepresentation3D requires 2 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:WidgetInteraction vtkSliderRepresentation3DWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentation3DWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double newEventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkSliderRepresentation3D requires 2 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:Highlight vtkSliderRepresentation3DHighlightFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentation3DHighlightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Highlight (int ); */
  if (arg.size() < 2) 
    throw Exception("Function Highlight for class vtkSliderRepresentation3D requires 2 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->Highlight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:GetBounds vtkSliderRepresentation3DGetBoundsFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentation3DGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:GetActors vtkSliderRepresentation3DGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentation3DGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkSliderRepresentation3D requires 2 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:ReleaseGraphicsResources vtkSliderRepresentation3DReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkSliderRepresentation3DReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkSliderRepresentation3D requires 2 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:RenderOpaqueGeometry vtkSliderRepresentation3DRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkSliderRepresentation3DRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkSliderRepresentation3D requires 2 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:RenderTranslucentPolygonalGeometry vtkSliderRepresentation3DRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkSliderRepresentation3DRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkSliderRepresentation3D requires 2 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:HasTranslucentPolygonalGeometry vtkSliderRepresentation3DHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentation3DHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:GetMTime vtkSliderRepresentation3DGetMTimeFunction
//input a0 
//output y
ArrayVector vtkSliderRepresentation3DGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkSliderRepresentation3D requires 1 argument(s)");
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderRepresentation3D:display vtkSliderRepresentation3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSliderRepresentation3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSliderRepresentation3D* vtk_pointer = GetVTKPointer<vtkSliderRepresentation3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSliderRepresentation3D:delete vtkSliderRepresentation3DDeleteFunction
//input varargin
//output none
ArrayVector vtkSliderRepresentation3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSliderRepresentation3D
//@@Section VTKWidgets
//@@Usage
// This class is used to represent and render a vtkSliderWidget. To use this
// class, you must at a minimum specify the end points of the
// slider. Optional instance variable can be used to modify the appearance of
// the widget.
//
//
//To create an instance of class vtkSliderRepresentation3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkSliderRepresentation3D
//@]
//@@Methods
//The class vtkSliderRepresentation3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSliderRepresentation3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for the class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for the class.
//// \item @|vtkSliderRepresentation3D = obj.NewInstance ()| -  Standard methods for the class.
//// \item @|vtkSliderRepresentation3D = obj.SafeDownCast (vtkObject o)| -  Standard methods for the class.
//// \item @|vtkCoordinate = obj.GetPoint1Coordinate ()| -  Position the first end point of the slider. Note that this point is an
// instance of vtkCoordinate, meaning that Point 1 can be specified in a
// variety of coordinate systems, and can even be relative to another
// point. To set the point, you'll want to get the Point1Coordinate and
// then invoke the necessary methods to put it into the correct coordinate
// system and set the correct initial value.
//// \item @|obj.SetPoint1InWorldCoordinates (double x, double y, double z)| -  Position the first end point of the slider. Note that this point is an
// instance of vtkCoordinate, meaning that Point 1 can be specified in a
// variety of coordinate systems, and can even be relative to another
// point. To set the point, you'll want to get the Point1Coordinate and
// then invoke the necessary methods to put it into the correct coordinate
// system and set the correct initial value.
//// \item @|vtkCoordinate = obj.GetPoint2Coordinate ()| -  Position the second end point of the slider. Note that this point is an
// instance of vtkCoordinate, meaning that Point 1 can be specified in a
// variety of coordinate systems, and can even be relative to another
// point. To set the point, you'll want to get the Point2Coordinate and
// then invoke the necessary methods to put it into the correct coordinate
// system and set the correct initial value.
//// \item @|obj.SetPoint2InWorldCoordinates (double x, double y, double z)| -  Position the second end point of the slider. Note that this point is an
// instance of vtkCoordinate, meaning that Point 1 can be specified in a
// variety of coordinate systems, and can even be relative to another
// point. To set the point, you'll want to get the Point2Coordinate and
// then invoke the necessary methods to put it into the correct coordinate
// system and set the correct initial value.
//// \item @|obj.SetTitleText (string )| -  Specify the title text for this widget. If the value is not set, or set
// to the empty string "", then the title text is not displayed.
//// \item @|string = obj.GetTitleText ()| -  Specify the title text for this widget. If the value is not set, or set
// to the empty string "", then the title text is not displayed.
//// \item @|obj.SetSliderShape (int )| -  Specify whether to use a sphere or cylinder slider shape. By default, a
// sphere shape is used.
//// \item @|int = obj.GetSliderShapeMinValue ()| -  Specify whether to use a sphere or cylinder slider shape. By default, a
// sphere shape is used.
//// \item @|int = obj.GetSliderShapeMaxValue ()| -  Specify whether to use a sphere or cylinder slider shape. By default, a
// sphere shape is used.
//// \item @|int = obj.GetSliderShape ()| -  Specify whether to use a sphere or cylinder slider shape. By default, a
// sphere shape is used.
//// \item @|obj.SetSliderShapeToSphere ()| -  Specify whether to use a sphere or cylinder slider shape. By default, a
// sphere shape is used.
//// \item @|obj.SetSliderShapeToCylinder ()| -  Set the rotation of the slider widget around the axis of the widget. This is
// used to control which way the widget is initially oriented. (This is especially
// important for the label and title.)
//// \item @|obj.SetRotation (double )| -  Set the rotation of the slider widget around the axis of the widget. This is
// used to control which way the widget is initially oriented. (This is especially
// important for the label and title.)
//// \item @|double = obj.GetRotation ()| -  Set the rotation of the slider widget around the axis of the widget. This is
// used to control which way the widget is initially oriented. (This is especially
// important for the label and title.)
//// \item @|vtkProperty = obj.GetSliderProperty ()| -  Get the slider properties. The properties of the slider when selected 
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetTubeProperty ()| -  Get the properties for the tube and end caps. 
//// \item @|vtkProperty = obj.GetCapProperty ()| -  Get the properties for the tube and end caps. 
//// \item @|vtkProperty = obj.GetSelectedProperty ()| -  Get the selection property. This property is used to modify the appearance of
// selected objects (e.g., the slider).
//// \item @|obj.PlaceWidget (double bounds[6])| -  Methods to interface with the vtkSliderWidget.
//// \item @|obj.BuildRepresentation ()| -  Methods to interface with the vtkSliderWidget.
//// \item @|obj.StartWidgetInteraction (double eventPos[2])| -  Methods to interface with the vtkSliderWidget.
//// \item @|obj.WidgetInteraction (double newEventPos[2])| -  Methods to interface with the vtkSliderWidget.
//// \item @|obj.Highlight (int )| -  Methods to interface with the vtkSliderWidget.
//// \item @|double = obj.GetBounds ()|
// \item @|obj.GetActors (vtkPropCollection )|
// \item @|obj.ReleaseGraphicsResources (vtkWindow )|
// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )|
// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )|
// \item @|int = obj.HasTranslucentPolygonalGeometry ()|
// \item @|long = obj.GetMTime ()| -  Override GetMTime to include point coordinates
////\end{itemize}
//!
