#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSliderWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSliderWidget.h"

//@@Signature
//sfunction @vtkSliderWidget:vtkSliderWidget vtkSliderWidgetConstructorFunction
//input a
//output p
//@@Parents vtkSliderWidget vtkAbstractWidget 
ArrayVector vtkSliderWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSliderWidget::New(),"vtkSliderWidget",eval);
  } else if (arg[0].className() == "vtkSliderWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSliderWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSliderWidget");
    vtkSliderWidget*q = reinterpret_cast<vtkSliderWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSliderWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSliderWidget:GetClassName vtkSliderWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSliderWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSliderWidget requires 1 argument(s)");
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderWidget:IsA vtkSliderWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSliderWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSliderWidget requires 2 argument(s)");
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderWidget:NewInstance vtkSliderWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSliderWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSliderWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSliderWidget requires 1 argument(s)");
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  Array retval;
  vtkSliderWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSliderWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSliderWidget:SafeDownCast vtkSliderWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSliderWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSliderWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSliderWidget requires 2 argument(s)");
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSliderWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSliderWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSliderWidget:SetRepresentation vtkSliderWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkSliderWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkSliderRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkSliderWidget requires 2 argument(s)");
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  Array retval;
  vtkSliderRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkSliderRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderWidget:SetAnimationMode vtkSliderWidgetSetAnimationModeFunction
//input a0 a1 
//output none
ArrayVector vtkSliderWidgetSetAnimationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAnimationMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAnimationMode for class vtkSliderWidget requires 2 argument(s)");
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAnimationMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderWidget:GetAnimationModeMinValue vtkSliderWidgetGetAnimationModeMinValueFunction
//input a0 
//output y
ArrayVector vtkSliderWidgetGetAnimationModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAnimationModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAnimationModeMinValue for class vtkSliderWidget requires 1 argument(s)");
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAnimationModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderWidget:GetAnimationModeMaxValue vtkSliderWidgetGetAnimationModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkSliderWidgetGetAnimationModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAnimationModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAnimationModeMaxValue for class vtkSliderWidget requires 1 argument(s)");
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAnimationModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderWidget:GetAnimationMode vtkSliderWidgetGetAnimationModeFunction
//input a0 
//output y
ArrayVector vtkSliderWidgetGetAnimationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAnimationMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAnimationMode for class vtkSliderWidget requires 1 argument(s)");
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAnimationMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderWidget:SetAnimationModeToOff vtkSliderWidgetSetAnimationModeToOffFunction
//input a0 
//output none
ArrayVector vtkSliderWidgetSetAnimationModeToOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAnimationModeToOff ();this SetAnimationMode AnimateOff  */
  if (arg.size() < 1) 
    throw Exception("Function SetAnimationModeToOff for class vtkSliderWidget requires 1 argument(s)");
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetAnimationModeToOff();
  return retval;
}

//@@Signature
//sfunction @vtkSliderWidget:SetAnimationModeToJump vtkSliderWidgetSetAnimationModeToJumpFunction
//input a0 
//output none
ArrayVector vtkSliderWidgetSetAnimationModeToJumpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAnimationModeToJump ();this SetAnimationMode Jump  */
  if (arg.size() < 1) 
    throw Exception("Function SetAnimationModeToJump for class vtkSliderWidget requires 1 argument(s)");
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetAnimationModeToJump();
  return retval;
}

//@@Signature
//sfunction @vtkSliderWidget:SetAnimationModeToAnimate vtkSliderWidgetSetAnimationModeToAnimateFunction
//input a0 
//output none
ArrayVector vtkSliderWidgetSetAnimationModeToAnimateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAnimationModeToAnimate ();this SetAnimationMode Animate  */
  if (arg.size() < 1) 
    throw Exception("Function SetAnimationModeToAnimate for class vtkSliderWidget requires 1 argument(s)");
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetAnimationModeToAnimate();
  return retval;
}

//@@Signature
//sfunction @vtkSliderWidget:SetNumberOfAnimationSteps vtkSliderWidgetSetNumberOfAnimationStepsFunction
//input a0 a1 
//output none
ArrayVector vtkSliderWidgetSetNumberOfAnimationStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfAnimationSteps (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfAnimationSteps for class vtkSliderWidget requires 2 argument(s)");
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfAnimationSteps(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliderWidget:GetNumberOfAnimationStepsMinValue vtkSliderWidgetGetNumberOfAnimationStepsMinValueFunction
//input a0 
//output y
ArrayVector vtkSliderWidgetGetNumberOfAnimationStepsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfAnimationStepsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfAnimationStepsMinValue for class vtkSliderWidget requires 1 argument(s)");
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfAnimationStepsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderWidget:GetNumberOfAnimationStepsMaxValue vtkSliderWidgetGetNumberOfAnimationStepsMaxValueFunction
//input a0 
//output y
ArrayVector vtkSliderWidgetGetNumberOfAnimationStepsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfAnimationStepsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfAnimationStepsMaxValue for class vtkSliderWidget requires 1 argument(s)");
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfAnimationStepsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderWidget:GetNumberOfAnimationSteps vtkSliderWidgetGetNumberOfAnimationStepsFunction
//input a0 
//output y
ArrayVector vtkSliderWidgetGetNumberOfAnimationStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfAnimationSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfAnimationSteps for class vtkSliderWidget requires 1 argument(s)");
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfAnimationSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliderWidget:CreateDefaultRepresentation vtkSliderWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkSliderWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkSliderWidget requires 1 argument(s)");
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkSliderWidget:display vtkSliderWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSliderWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSliderWidget* vtk_pointer = GetVTKPointer<vtkSliderWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSliderWidget:delete vtkSliderWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkSliderWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSliderWidget
//@@Section VTKWidgets
//@@Usage
// The vtkSliderWidget is used to set a scalar value in an application.  This
// class assumes that a slider is moved along a 1D parameter space (e.g., a
// spherical bead that can be moved along a tube).  Moving the slider
// modifies the value of the widget, which can be used to set parameters on
// other objects. Note that the actual appearance of the widget depends on
// the specific representation for the widget.
// 
// To use this widget, set the widget representation. The representation is
// assumed to consist of a tube, two end caps, and a slider (the details may
// vary depending on the particulars of the representation). Then in the
// representation you will typically set minimum and maximum value, as well
// as the current value. The position of the slider must also be set, as well
// as various properties.
//
// .SECTION Event Bindings
// By default, the widget responds to the following VTK events (i.e., it
// watches the vtkRenderWindowInteractor for these events):
// <pre>
// If the slider bead is selected:
//   LeftButtonPressEvent - select slider (if on slider)
//   LeftButtonReleaseEvent - release slider (if selected)
//   MouseMoveEvent - move slider
// If the end caps or slider tube are selected:
//   LeftButtonPressEvent - move (or animate) to cap or point on tube;
// </pre>
//
// Note that the event bindings described above can be changed using this
// class's vtkWidgetEventTranslator. This class translates VTK events 
// into the vtkSliderWidget's widget events:
// <pre>
//   vtkWidgetEvent::Select -- some part of the widget has been selected
//   vtkWidgetEvent::EndSelect -- the selection process has completed
//   vtkWidgetEvent::Move -- a request for slider motion has been invoked
// </pre>
//
// In turn, when these widget events are processed, the vtkSliderWidget
// invokes the following VTK events on itself (which observers can listen for):
// <pre>
//   vtkCommand::StartInteractionEvent (on vtkWidgetEvent::Select)
//   vtkCommand::EndInteractionEvent (on vtkWidgetEvent::EndSelect)
//   vtkCommand::InteractionEvent (on vtkWidgetEvent::Move)
// </pre>
//
//
//To create an instance of class vtkSliderWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkSliderWidget
//@]
//@@Methods
//The class vtkSliderWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSliderWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard macros.
//// \item @|int = obj.IsA (string name)| -  Standard macros.
//// \item @|vtkSliderWidget = obj.NewInstance ()| -  Standard macros.
//// \item @|vtkSliderWidget = obj.SafeDownCast (vtkObject o)| -  Standard macros.
//// \item @|obj.SetRepresentation (vtkSliderRepresentation r)| -  Control the behavior of the slider when selecting the tube or caps. If
// Jump, then selecting the tube, left cap, or right cap causes the slider to
// jump to the selection point. If the mode is Animate, the slider moves
// towards the selection point in NumberOfAnimationSteps number of steps.
// If Off, then the slider does not move.
//// \item @|obj.SetAnimationMode (int )| -  Control the behavior of the slider when selecting the tube or caps. If
// Jump, then selecting the tube, left cap, or right cap causes the slider to
// jump to the selection point. If the mode is Animate, the slider moves
// towards the selection point in NumberOfAnimationSteps number of steps.
// If Off, then the slider does not move.
//// \item @|int = obj.GetAnimationModeMinValue ()| -  Control the behavior of the slider when selecting the tube or caps. If
// Jump, then selecting the tube, left cap, or right cap causes the slider to
// jump to the selection point. If the mode is Animate, the slider moves
// towards the selection point in NumberOfAnimationSteps number of steps.
// If Off, then the slider does not move.
//// \item @|int = obj.GetAnimationModeMaxValue ()| -  Control the behavior of the slider when selecting the tube or caps. If
// Jump, then selecting the tube, left cap, or right cap causes the slider to
// jump to the selection point. If the mode is Animate, the slider moves
// towards the selection point in NumberOfAnimationSteps number of steps.
// If Off, then the slider does not move.
//// \item @|int = obj.GetAnimationMode ()| -  Control the behavior of the slider when selecting the tube or caps. If
// Jump, then selecting the tube, left cap, or right cap causes the slider to
// jump to the selection point. If the mode is Animate, the slider moves
// towards the selection point in NumberOfAnimationSteps number of steps.
// If Off, then the slider does not move.
//// \item @|obj.SetAnimationModeToOff ()| -  Control the behavior of the slider when selecting the tube or caps. If
// Jump, then selecting the tube, left cap, or right cap causes the slider to
// jump to the selection point. If the mode is Animate, the slider moves
// towards the selection point in NumberOfAnimationSteps number of steps.
// If Off, then the slider does not move.
//// \item @|obj.SetAnimationModeToJump ()| -  Control the behavior of the slider when selecting the tube or caps. If
// Jump, then selecting the tube, left cap, or right cap causes the slider to
// jump to the selection point. If the mode is Animate, the slider moves
// towards the selection point in NumberOfAnimationSteps number of steps.
// If Off, then the slider does not move.
//// \item @|obj.SetAnimationModeToAnimate ()| -  Specify the number of animation steps to take if the animation mode
// is set to animate.
//// \item @|obj.SetNumberOfAnimationSteps (int )| -  Specify the number of animation steps to take if the animation mode
// is set to animate.
//// \item @|int = obj.GetNumberOfAnimationStepsMinValue ()| -  Specify the number of animation steps to take if the animation mode
// is set to animate.
//// \item @|int = obj.GetNumberOfAnimationStepsMaxValue ()| -  Specify the number of animation steps to take if the animation mode
// is set to animate.
//// \item @|int = obj.GetNumberOfAnimationSteps ()| -  Specify the number of animation steps to take if the animation mode
// is set to animate.
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
////\end{itemize}
//!
