#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSphereHandleRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSphereHandleRepresentation.h"

//@@Signature
//sfunction @vtkSphereHandleRepresentation:vtkSphereHandleRepresentation vtkSphereHandleRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkSphereHandleRepresentation vtkHandleRepresentation 
ArrayVector vtkSphereHandleRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSphereHandleRepresentation::New(),"vtkSphereHandleRepresentation",eval);
  } else if (arg[0].className() == "vtkSphereHandleRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSphereHandleRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSphereHandleRepresentation");
    vtkSphereHandleRepresentation*q = reinterpret_cast<vtkSphereHandleRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSphereHandleRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSphereHandleRepresentation:GetClassName vtkSphereHandleRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSphereHandleRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSphereHandleRepresentation requires 1 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:IsA vtkSphereHandleRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSphereHandleRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:NewInstance vtkSphereHandleRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSphereHandleRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSphereHandleRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSphereHandleRepresentation requires 1 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  vtkSphereHandleRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSphereHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:SafeDownCast vtkSphereHandleRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSphereHandleRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSphereHandleRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSphereHandleRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSphereHandleRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:SetWorldPosition vtkSphereHandleRepresentationSetWorldPositionFunction
//input a0 a1 
//output none
ArrayVector vtkSphereHandleRepresentationSetWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetWorldPosition (double p[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetWorldPosition for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetWorldPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:SetDisplayPosition vtkSphereHandleRepresentationSetDisplayPositionFunction
//input a0 a1 
//output none
ArrayVector vtkSphereHandleRepresentationSetDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDisplayPosition (double p[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplayPosition for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDisplayPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:SetTranslationMode vtkSphereHandleRepresentationSetTranslationModeFunction
//input a0 a1 
//output none
ArrayVector vtkSphereHandleRepresentationSetTranslationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTranslationMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTranslationMode for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTranslationMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:GetTranslationMode vtkSphereHandleRepresentationGetTranslationModeFunction
//input a0 
//output y
ArrayVector vtkSphereHandleRepresentationGetTranslationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTranslationMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTranslationMode for class vtkSphereHandleRepresentation requires 1 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTranslationMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:TranslationModeOn vtkSphereHandleRepresentationTranslationModeOnFunction
//input a0 
//output none
ArrayVector vtkSphereHandleRepresentationTranslationModeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TranslationModeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TranslationModeOn for class vtkSphereHandleRepresentation requires 1 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->TranslationModeOn();
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:TranslationModeOff vtkSphereHandleRepresentationTranslationModeOffFunction
//input a0 
//output none
ArrayVector vtkSphereHandleRepresentationTranslationModeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TranslationModeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TranslationModeOff for class vtkSphereHandleRepresentation requires 1 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->TranslationModeOff();
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:SetSphereRadius vtkSphereHandleRepresentationSetSphereRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkSphereHandleRepresentationSetSphereRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSphereRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSphereRadius for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSphereRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:GetSphereRadius vtkSphereHandleRepresentationGetSphereRadiusFunction
//input a0 
//output y
ArrayVector vtkSphereHandleRepresentationGetSphereRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSphereRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSphereRadius for class vtkSphereHandleRepresentation requires 1 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSphereRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:SetProperty vtkSphereHandleRepresentationSetPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkSphereHandleRepresentationSetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetProperty for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:SetSelectedProperty vtkSphereHandleRepresentationSetSelectedPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkSphereHandleRepresentationSetSelectedPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedProperty for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetSelectedProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:GetProperty vtkSphereHandleRepresentationGetPropertyFunction
//input a0 
//output y
ArrayVector vtkSphereHandleRepresentationGetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProperty for class vtkSphereHandleRepresentation requires 1 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:GetSelectedProperty vtkSphereHandleRepresentationGetSelectedPropertyFunction
//input a0 
//output y
ArrayVector vtkSphereHandleRepresentationGetSelectedPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedProperty for class vtkSphereHandleRepresentation requires 1 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:SetHotSpotSize vtkSphereHandleRepresentationSetHotSpotSizeFunction
//input a0 a1 
//output none
ArrayVector vtkSphereHandleRepresentationSetHotSpotSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHotSpotSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHotSpotSize for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHotSpotSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:GetHotSpotSizeMinValue vtkSphereHandleRepresentationGetHotSpotSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkSphereHandleRepresentationGetHotSpotSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHotSpotSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHotSpotSizeMinValue for class vtkSphereHandleRepresentation requires 1 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHotSpotSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:GetHotSpotSizeMaxValue vtkSphereHandleRepresentationGetHotSpotSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkSphereHandleRepresentationGetHotSpotSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHotSpotSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHotSpotSizeMaxValue for class vtkSphereHandleRepresentation requires 1 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHotSpotSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:GetHotSpotSize vtkSphereHandleRepresentationGetHotSpotSizeFunction
//input a0 
//output y
ArrayVector vtkSphereHandleRepresentationGetHotSpotSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHotSpotSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHotSpotSize for class vtkSphereHandleRepresentation requires 1 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHotSpotSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:SetHandleSize vtkSphereHandleRepresentationSetHandleSizeFunction
//input a0 a1 
//output none
ArrayVector vtkSphereHandleRepresentationSetHandleSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetHandleSize (double size); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleSize for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHandleSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:GetBounds vtkSphereHandleRepresentationGetBoundsFunction
//input a0 
//output y
ArrayVector vtkSphereHandleRepresentationGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds for class vtkSphereHandleRepresentation requires 1 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:BuildRepresentation vtkSphereHandleRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkSphereHandleRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkSphereHandleRepresentation requires 1 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:StartWidgetInteraction vtkSphereHandleRepresentationStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkSphereHandleRepresentationStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:WidgetInteraction vtkSphereHandleRepresentationWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkSphereHandleRepresentationWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double eventPos[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:ComputeInteractionState vtkSphereHandleRepresentationComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSphereHandleRepresentationComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkSphereHandleRepresentation requires 4 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:PlaceWidget vtkSphereHandleRepresentationPlaceWidgetFunction
//input a0 a1 
//output none
ArrayVector vtkSphereHandleRepresentationPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:ShallowCopy vtkSphereHandleRepresentationShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkSphereHandleRepresentationShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:DeepCopy vtkSphereHandleRepresentationDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkSphereHandleRepresentationDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:GetActors vtkSphereHandleRepresentationGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkSphereHandleRepresentationGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:ReleaseGraphicsResources vtkSphereHandleRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkSphereHandleRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:RenderOpaqueGeometry vtkSphereHandleRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkSphereHandleRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:RenderTranslucentPolygonalGeometry vtkSphereHandleRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkSphereHandleRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkSphereHandleRepresentation requires 2 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:HasTranslucentPolygonalGeometry vtkSphereHandleRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkSphereHandleRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkSphereHandleRepresentation requires 1 argument(s)");
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereHandleRepresentation:display vtkSphereHandleRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSphereHandleRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSphereHandleRepresentation* vtk_pointer = GetVTKPointer<vtkSphereHandleRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSphereHandleRepresentation:delete vtkSphereHandleRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkSphereHandleRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSphereHandleRepresentation
//@@Section VTKWidgets
//@@Usage
// This class is a concrete implementation of vtkHandleRepresentation. It 
// renders handles as spherical blobs in 3D space.
//
//
//To create an instance of class vtkSphereHandleRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkSphereHandleRepresentation
//@]
//@@Methods
//The class vtkSphereHandleRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSphereHandleRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkSphereHandleRepresentation = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkSphereHandleRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|obj.SetWorldPosition (double p[3])| -  Set the position of the point in world and display coordinates. Note 
// that if the position is set outside of the bounding box, it will be 
// clamped to the boundary of the bounding box. This method overloads
// the superclasses' SetWorldPosition() and SetDisplayPosition() in 
// order to set the focal point of the cursor properly.
//// \item @|obj.SetDisplayPosition (double p[3])| -  Set the position of the point in world and display coordinates. Note 
// that if the position is set outside of the bounding box, it will be 
// clamped to the boundary of the bounding box. This method overloads
// the superclasses' SetWorldPosition() and SetDisplayPosition() in 
// order to set the focal point of the cursor properly.
//// \item @|obj.SetTranslationMode (int )| -  If translation mode is on, as the widget is moved the bounding box,
// shadows, and cursor are all translated simultaneously as the point moves
// (i.e., the left and middle mouse buttons act the same).  Otherwise, only
// the cursor focal point moves, which is constrained by the bounds of the
// point representation. (Note that the bounds can be scaled up using the
// right mouse button.)
//// \item @|int = obj.GetTranslationMode ()| -  If translation mode is on, as the widget is moved the bounding box,
// shadows, and cursor are all translated simultaneously as the point moves
// (i.e., the left and middle mouse buttons act the same).  Otherwise, only
// the cursor focal point moves, which is constrained by the bounds of the
// point representation. (Note that the bounds can be scaled up using the
// right mouse button.)
//// \item @|obj.TranslationModeOn ()| -  If translation mode is on, as the widget is moved the bounding box,
// shadows, and cursor are all translated simultaneously as the point moves
// (i.e., the left and middle mouse buttons act the same).  Otherwise, only
// the cursor focal point moves, which is constrained by the bounds of the
// point representation. (Note that the bounds can be scaled up using the
// right mouse button.)
//// \item @|obj.TranslationModeOff ()| -  If translation mode is on, as the widget is moved the bounding box,
// shadows, and cursor are all translated simultaneously as the point moves
// (i.e., the left and middle mouse buttons act the same).  Otherwise, only
// the cursor focal point moves, which is constrained by the bounds of the
// point representation. (Note that the bounds can be scaled up using the
// right mouse button.)
//// \item @|obj.SetSphereRadius (double )|
// \item @|double = obj.GetSphereRadius ()|
// \item @|obj.SetProperty (vtkProperty )| -  Set/Get the handle properties when unselected and selected.
//// \item @|obj.SetSelectedProperty (vtkProperty )| -  Set/Get the handle properties when unselected and selected.
//// \item @|vtkProperty = obj.GetProperty ()| -  Set/Get the handle properties when unselected and selected.
//// \item @|vtkProperty = obj.GetSelectedProperty ()| -  Set/Get the handle properties when unselected and selected.
//// \item @|obj.SetHotSpotSize (double )| -  Set the "hot spot" size; i.e., the region around the focus, in which the
// motion vector is used to control the constrained sliding action. Note the
// size is specified as a fraction of the length of the diagonal of the 
// point widget's bounding box.
//// \item @|double = obj.GetHotSpotSizeMinValue ()| -  Set the "hot spot" size; i.e., the region around the focus, in which the
// motion vector is used to control the constrained sliding action. Note the
// size is specified as a fraction of the length of the diagonal of the 
// point widget's bounding box.
//// \item @|double = obj.GetHotSpotSizeMaxValue ()| -  Set the "hot spot" size; i.e., the region around the focus, in which the
// motion vector is used to control the constrained sliding action. Note the
// size is specified as a fraction of the length of the diagonal of the 
// point widget's bounding box.
//// \item @|double = obj.GetHotSpotSize ()| -  Set the "hot spot" size; i.e., the region around the focus, in which the
// motion vector is used to control the constrained sliding action. Note the
// size is specified as a fraction of the length of the diagonal of the 
// point widget's bounding box.
//// \item @|obj.SetHandleSize (double size)| -  Overload the superclasses SetHandleSize() method to update internal 
// variables.
//// \item @|double = obj.GetBounds ()| -  Methods to make this class properly act like a vtkWidgetRepresentation.
//// \item @|obj.BuildRepresentation ()| -  Methods to make this class properly act like a vtkWidgetRepresentation.
//// \item @|obj.StartWidgetInteraction (double eventPos[2])| -  Methods to make this class properly act like a vtkWidgetRepresentation.
//// \item @|obj.WidgetInteraction (double eventPos[2])| -  Methods to make this class properly act like a vtkWidgetRepresentation.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  Methods to make this class properly act like a vtkWidgetRepresentation.
//// \item @|obj.PlaceWidget (double bounds[6])| -  Methods to make this class properly act like a vtkWidgetRepresentation.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Methods to make this class behave as a vtkProp.
//// \item @|obj.DeepCopy (vtkProp prop)| -  Methods to make this class behave as a vtkProp.
//// \item @|obj.GetActors (vtkPropCollection )| -  Methods to make this class behave as a vtkProp.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport viewport)| -  Methods to make this class behave as a vtkProp.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Methods to make this class behave as a vtkProp.
////\end{itemize}
//!
