#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSphereRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSphereRepresentation.h"

//@@Signature
//sfunction @vtkSphereRepresentation:vtkSphereRepresentation vtkSphereRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkSphereRepresentation vtkWidgetRepresentation 
ArrayVector vtkSphereRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSphereRepresentation::New(),"vtkSphereRepresentation",eval);
  } else if (arg[0].className() == "vtkSphereRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSphereRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSphereRepresentation");
    vtkSphereRepresentation*q = reinterpret_cast<vtkSphereRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSphereRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSphereRepresentation:GetClassName vtkSphereRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:IsA vtkSphereRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSphereRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:NewInstance vtkSphereRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSphereRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtkSphereRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSphereRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SafeDownCast vtkSphereRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSphereRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSphereRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSphereRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSphereRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetRepresentation vtkSphereRepresentationSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetRepresentationMinValue vtkSphereRepresentationGetRepresentationMinValueFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetRepresentationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepresentationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepresentationMinValue for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepresentationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetRepresentationMaxValue vtkSphereRepresentationGetRepresentationMaxValueFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetRepresentationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepresentationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepresentationMaxValue for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepresentationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetRepresentation vtkSphereRepresentationGetRepresentationFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepresentation for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepresentation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetRepresentationToOff vtkSphereRepresentationSetRepresentationToOffFunction
//input a0 
//output none
ArrayVector vtkSphereRepresentationSetRepresentationToOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentationToOff ();this SetRepresentation VTK_SPHERE_OFF  */
  if (arg.size() < 1) 
    throw Exception("Function SetRepresentationToOff for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetRepresentationToOff();
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetRepresentationToWireframe vtkSphereRepresentationSetRepresentationToWireframeFunction
//input a0 
//output none
ArrayVector vtkSphereRepresentationSetRepresentationToWireframeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentationToWireframe ();this SetRepresentation VTK_SPHERE_WIREFRAME  */
  if (arg.size() < 1) 
    throw Exception("Function SetRepresentationToWireframe for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetRepresentationToWireframe();
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetRepresentationToSurface vtkSphereRepresentationSetRepresentationToSurfaceFunction
//input a0 
//output none
ArrayVector vtkSphereRepresentationSetRepresentationToSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentationToSurface ();this SetRepresentation VTK_SPHERE_SURFACE  */
  if (arg.size() < 1) 
    throw Exception("Function SetRepresentationToSurface for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetRepresentationToSurface();
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetThetaResolution vtkSphereRepresentationSetThetaResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationSetThetaResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThetaResolution (int r);this SphereSource SetThetaResolution r  */
  if (arg.size() < 2) 
    throw Exception("Function SetThetaResolution for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetThetaResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetThetaResolution vtkSphereRepresentationGetThetaResolutionFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetThetaResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThetaResolution ();return this SphereSource GetThetaResolution  */
  if (arg.size() < 1) 
    throw Exception("Function GetThetaResolution for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetThetaResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetPhiResolution vtkSphereRepresentationSetPhiResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationSetPhiResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPhiResolution (int r);this SphereSource SetPhiResolution r  */
  if (arg.size() < 2) 
    throw Exception("Function SetPhiResolution for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPhiResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetPhiResolution vtkSphereRepresentationGetPhiResolutionFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetPhiResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPhiResolution ();return this SphereSource GetPhiResolution  */
  if (arg.size() < 1) 
    throw Exception("Function GetPhiResolution for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPhiResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetCenter__1 vtkSphereRepresentationSetCenter__1Function
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double c[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__1 for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetCenter__2 vtkSphereRepresentationSetCenter__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSphereRepresentationSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double x, double y, double z);double c c x c y c z this SetCenter c  */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__2 for class vtkSphereRepresentation requires 4 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetCenter__1 vtkSphereRepresentationGetCenter__1Function
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetCenter ();return this SphereSource GetCenter  */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter__1 for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetCenter__2 vtkSphereRepresentationGetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationGetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCenter (double xyz[3]);this SphereSource GetCenter xyz  */
  if (arg.size() < 2) 
    throw Exception("Function GetCenter__2 for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetRadius vtkSphereRepresentationSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double r); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetRadius vtkSphereRepresentationGetRadiusFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius ();return this SphereSource GetRadius  */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetHandleVisibility vtkSphereRepresentationSetHandleVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationSetHandleVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleVisibility for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetHandleVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetHandleVisibility vtkSphereRepresentationGetHandleVisibilityFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetHandleVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHandleVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleVisibility for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHandleVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:HandleVisibilityOn vtkSphereRepresentationHandleVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkSphereRepresentationHandleVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandleVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HandleVisibilityOn for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->HandleVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:HandleVisibilityOff vtkSphereRepresentationHandleVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkSphereRepresentationHandleVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandleVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HandleVisibilityOff for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->HandleVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetHandlePosition__1 vtkSphereRepresentationSetHandlePosition__1Function
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationSetHandlePosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandlePosition (double handle[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandlePosition__1 for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetHandlePosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetHandlePosition__2 vtkSphereRepresentationSetHandlePosition__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSphereRepresentationSetHandlePosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandlePosition (double x, double y, double z);double p p x p y p z this SetHandlePosition p  */
  if (arg.size() < 4) 
    throw Exception("Function SetHandlePosition__2 for class vtkSphereRepresentation requires 4 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetHandlePosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetHandlePosition vtkSphereRepresentationGetHandlePositionFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetHandlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetHandlePosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandlePosition for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetHandlePosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetHandleDirection__1 vtkSphereRepresentationSetHandleDirection__1Function
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationSetHandleDirection__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleDirection (double dir[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleDirection__1 for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetHandleDirection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetHandleDirection__2 vtkSphereRepresentationSetHandleDirection__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSphereRepresentationSetHandleDirection__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleDirection (double dx, double dy, double dz);double d d dx d dy d dz this SetHandleDirection d  */
  if (arg.size() < 4) 
    throw Exception("Function SetHandleDirection__2 for class vtkSphereRepresentation requires 4 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetHandleDirection(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetHandleDirection vtkSphereRepresentationGetHandleDirectionFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetHandleDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetHandleDirection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleDirection for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetHandleDirection();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetHandleText vtkSphereRepresentationSetHandleTextFunction
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationSetHandleTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleText (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleText for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetHandleText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetHandleText vtkSphereRepresentationGetHandleTextFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetHandleTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHandleText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleText for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHandleText();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:HandleTextOn vtkSphereRepresentationHandleTextOnFunction
//input a0 
//output none
ArrayVector vtkSphereRepresentationHandleTextOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandleTextOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HandleTextOn for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->HandleTextOn();
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:HandleTextOff vtkSphereRepresentationHandleTextOffFunction
//input a0 
//output none
ArrayVector vtkSphereRepresentationHandleTextOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandleTextOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HandleTextOff for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->HandleTextOff();
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetRadialLine vtkSphereRepresentationSetRadialLineFunction
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationSetRadialLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadialLine (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadialLine for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRadialLine(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetRadialLine vtkSphereRepresentationGetRadialLineFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetRadialLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRadialLine (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadialLine for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRadialLine();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:RadialLineOn vtkSphereRepresentationRadialLineOnFunction
//input a0 
//output none
ArrayVector vtkSphereRepresentationRadialLineOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RadialLineOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RadialLineOn for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->RadialLineOn();
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:RadialLineOff vtkSphereRepresentationRadialLineOffFunction
//input a0 
//output none
ArrayVector vtkSphereRepresentationRadialLineOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RadialLineOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RadialLineOff for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->RadialLineOff();
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetPolyData vtkSphereRepresentationGetPolyDataFunction
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationGetPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPolyData (vtkPolyData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function GetPolyData for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->GetPolyData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetSphere vtkSphereRepresentationGetSphereFunction
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationGetSphereFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetSphere (vtkSphere *sphere); */
  if (arg.size() < 2) 
    throw Exception("Function GetSphere for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtkSphere  *temp0;
  temp0 = GetVTKPointer<vtkSphere>(arg[1]);
  vtk_pointer->GetSphere(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetSphereProperty vtkSphereRepresentationGetSpherePropertyFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetSpherePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSphereProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSphereProperty for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSphereProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetSelectedSphereProperty vtkSphereRepresentationGetSelectedSpherePropertyFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetSelectedSpherePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedSphereProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedSphereProperty for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedSphereProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetHandleProperty vtkSphereRepresentationGetHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleProperty for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetSelectedHandleProperty vtkSphereRepresentationGetSelectedHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetSelectedHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedHandleProperty for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetHandleTextProperty vtkSphereRepresentationGetHandleTextPropertyFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetHandleTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetHandleTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleTextProperty for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetHandleTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetRadialLineProperty vtkSphereRepresentationGetRadialLinePropertyFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationGetRadialLinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetRadialLineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadialLineProperty for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetRadialLineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetInteractionState vtkSphereRepresentationSetInteractionStateFunction
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationSetInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInteractionState (int state); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractionState for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInteractionState(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:PlaceWidget__1 vtkSphereRepresentationPlaceWidget__1Function
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationPlaceWidget__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget__1 for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:PlaceWidget__2 vtkSphereRepresentationPlaceWidget__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkSphereRepresentationPlaceWidget__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double center[3], double handlePosition[3]); */
  if (arg.size() < 3) 
    throw Exception("Function PlaceWidget__2 for class vtkSphereRepresentation requires 3 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:BuildRepresentation vtkSphereRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkSphereRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:ComputeInteractionState vtkSphereRepresentationComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSphereRepresentationComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkSphereRepresentation requires 4 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:StartWidgetInteraction vtkSphereRepresentationStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:WidgetInteraction vtkSphereRepresentationWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:ReleaseGraphicsResources vtkSphereRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkSphereRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:RenderOpaqueGeometry vtkSphereRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkSphereRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:RenderTranslucentPolygonalGeometry vtkSphereRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkSphereRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:RenderOverlay vtkSphereRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkSphereRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkSphereRepresentation requires 2 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:HasTranslucentPolygonalGeometry vtkSphereRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkSphereRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkSphereRepresentation requires 1 argument(s)");
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetCenter vtkSphereRepresentationSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkSphereRepresentationSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSphereRepresentationSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSphereRepresentationSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSphereRepresentationSetCenter");
}

//@@Signature
//sfunction @vtkSphereRepresentation:GetCenter vtkSphereRepresentationGetCenterFunction
//input varargin
//output varargout
ArrayVector vtkSphereRepresentationGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkSphereRepresentationGetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSphereRepresentationGetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSphereRepresentationGetCenter");
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetHandlePosition vtkSphereRepresentationSetHandlePositionFunction
//input varargin
//output varargout
ArrayVector vtkSphereRepresentationSetHandlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSphereRepresentationSetHandlePosition__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSphereRepresentationSetHandlePosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSphereRepresentationSetHandlePosition");
}

//@@Signature
//sfunction @vtkSphereRepresentation:SetHandleDirection vtkSphereRepresentationSetHandleDirectionFunction
//input varargin
//output varargout
ArrayVector vtkSphereRepresentationSetHandleDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSphereRepresentationSetHandleDirection__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSphereRepresentationSetHandleDirection__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSphereRepresentationSetHandleDirection");
}

//@@Signature
//sfunction @vtkSphereRepresentation:PlaceWidget vtkSphereRepresentationPlaceWidgetFunction
//input varargin
//output varargout
ArrayVector vtkSphereRepresentationPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSphereRepresentationPlaceWidget__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkSphereRepresentationPlaceWidget__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSphereRepresentationPlaceWidget");
}

//@@Signature
//sfunction @vtkSphereRepresentation:display vtkSphereRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSphereRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSphereRepresentation* vtk_pointer = GetVTKPointer<vtkSphereRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSphereRepresentation:delete vtkSphereRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkSphereRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSphereRepresentation
//@@Section VTKWidgets
//@@Usage
// This class is a concrete representation for the vtkSphereWidget2. It
// represents a sphere with an optional handle.  Through interaction with the
// widget, the sphere can be arbitrarily positioned and scaled in 3D space;
// and the handle can be moved on the surface of the sphere. Typically the
// vtkSphereWidget2/vtkSphereRepresentation are used to position a sphere for
// the purpose of extracting, cutting or clipping data; or the handle is
// moved on the sphere to position a light or camera.
//
// To use this representation, you normally use the PlaceWidget() method
// to position the widget at a specified region in space. It is also possible
// to set the center of the sphere, a radius, and/or a handle position.
//
//
//To create an instance of class vtkSphereRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkSphereRepresentation
//@]
//@@Methods
//The class vtkSphereRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSphereRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for type information and to print out the contents of the class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for type information and to print out the contents of the class.
//// \item @|vtkSphereRepresentation = obj.NewInstance ()| -  Standard methods for type information and to print out the contents of the class.
//// \item @|vtkSphereRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard methods for type information and to print out the contents of the class.
//// \item @|obj.SetRepresentation (int )| -  Set the representation (i.e., appearance) of the sphere. Different
// representations are useful depending on the application. 
//// \item @|int = obj.GetRepresentationMinValue ()| -  Set the representation (i.e., appearance) of the sphere. Different
// representations are useful depending on the application. 
//// \item @|int = obj.GetRepresentationMaxValue ()| -  Set the representation (i.e., appearance) of the sphere. Different
// representations are useful depending on the application. 
//// \item @|int = obj.GetRepresentation ()| -  Set the representation (i.e., appearance) of the sphere. Different
// representations are useful depending on the application. 
//// \item @|obj.SetRepresentationToOff ()| -  Set the representation (i.e., appearance) of the sphere. Different
// representations are useful depending on the application. 
//// \item @|obj.SetRepresentationToWireframe ()| -  Set the representation (i.e., appearance) of the sphere. Different
// representations are useful depending on the application. 
//// \item @|obj.SetRepresentationToSurface ()| -  Set/Get the resolution of the sphere in the theta direction.
//// \item @|obj.SetThetaResolution (int r)| -  Set/Get the resolution of the sphere in the theta direction.
//// \item @|int = obj.GetThetaResolution ()| -  Set/Get the resolution of the sphere in the phi direction.
//// \item @|obj.SetPhiResolution (int r)| -  Set/Get the resolution of the sphere in the phi direction.
//// \item @|int = obj.GetPhiResolution ()| -  Set/Get the center position of the sphere. Note that this may
// adjust the direction from the handle to the center, as well as
// the radius of the sphere.
//// \item @|obj.SetCenter (double c[3])| -  Set/Get the center position of the sphere. Note that this may
// adjust the direction from the handle to the center, as well as
// the radius of the sphere.
//// \item @|obj.SetCenter (double x, double y, double z)| -  Set/Get the center position of the sphere. Note that this may
// adjust the direction from the handle to the center, as well as
// the radius of the sphere.
//// \item @|double = obj.GetCenter ()| -  Set/Get the center position of the sphere. Note that this may
// adjust the direction from the handle to the center, as well as
// the radius of the sphere.
//// \item @|obj.GetCenter (double xyz[3])| -  Set/Get the radius of sphere. Default is 0.5. Note that this may
// modify the position of the handle based on the handle direction.
//// \item @|obj.SetRadius (double r)| -  Set/Get the radius of sphere. Default is 0.5. Note that this may
// modify the position of the handle based on the handle direction.
//// \item @|double = obj.GetRadius ()| -  The handle sits on the surface of the sphere and may be moved around
// the surface by picking (left mouse) and then moving. The position
// of the handle can be retrieved, this is useful for positioning cameras
// and lights. By default, the handle is turned off.
//// \item @|obj.SetHandleVisibility (int )| -  The handle sits on the surface of the sphere and may be moved around
// the surface by picking (left mouse) and then moving. The position
// of the handle can be retrieved, this is useful for positioning cameras
// and lights. By default, the handle is turned off.
//// \item @|int = obj.GetHandleVisibility ()| -  The handle sits on the surface of the sphere and may be moved around
// the surface by picking (left mouse) and then moving. The position
// of the handle can be retrieved, this is useful for positioning cameras
// and lights. By default, the handle is turned off.
//// \item @|obj.HandleVisibilityOn ()| -  The handle sits on the surface of the sphere and may be moved around
// the surface by picking (left mouse) and then moving. The position
// of the handle can be retrieved, this is useful for positioning cameras
// and lights. By default, the handle is turned off.
//// \item @|obj.HandleVisibilityOff ()| -  The handle sits on the surface of the sphere and may be moved around
// the surface by picking (left mouse) and then moving. The position
// of the handle can be retrieved, this is useful for positioning cameras
// and lights. By default, the handle is turned off.
//// \item @|obj.SetHandlePosition (double handle[3])| -  Set/Get the position of the handle. Note that this may adjust the radius
// of the sphere and the handle direction.
//// \item @|obj.SetHandlePosition (double x, double y, double z)| -  Set/Get the position of the handle. Note that this may adjust the radius
// of the sphere and the handle direction.
//// \item @|double = obj. GetHandlePosition ()| -  Set/Get the position of the handle. Note that this may adjust the radius
// of the sphere and the handle direction.
//// \item @|obj.SetHandleDirection (double dir[3])| -  Set/Get the direction vector of the handle relative to the center of
// the sphere. This may affect the position of the handle and the radius
// of the sphere.
//// \item @|obj.SetHandleDirection (double dx, double dy, double dz)| -  Set/Get the direction vector of the handle relative to the center of
// the sphere. This may affect the position of the handle and the radius
// of the sphere.
//// \item @|double = obj. GetHandleDirection ()| -  Set/Get the direction vector of the handle relative to the center of
// the sphere. This may affect the position of the handle and the radius
// of the sphere.
//// \item @|obj.SetHandleText (int )| -  Enable/disable a label that displays the location of the handle in
// spherical coordinates (radius,theta,phi). The two angles, theta and
// phi, are displayed in degrees. Note that phi is measured from the
// north pole down towards the equator; and theta is the angle around 
// the north/south axis.
//// \item @|int = obj.GetHandleText ()| -  Enable/disable a label that displays the location of the handle in
// spherical coordinates (radius,theta,phi). The two angles, theta and
// phi, are displayed in degrees. Note that phi is measured from the
// north pole down towards the equator; and theta is the angle around 
// the north/south axis.
//// \item @|obj.HandleTextOn ()| -  Enable/disable a label that displays the location of the handle in
// spherical coordinates (radius,theta,phi). The two angles, theta and
// phi, are displayed in degrees. Note that phi is measured from the
// north pole down towards the equator; and theta is the angle around 
// the north/south axis.
//// \item @|obj.HandleTextOff ()| -  Enable/disable a label that displays the location of the handle in
// spherical coordinates (radius,theta,phi). The two angles, theta and
// phi, are displayed in degrees. Note that phi is measured from the
// north pole down towards the equator; and theta is the angle around 
// the north/south axis.
//// \item @|obj.SetRadialLine (int )| -  Enable/disable a radial line segment that joins the center of the
// outer sphere and the handle.
//// \item @|int = obj.GetRadialLine ()| -  Enable/disable a radial line segment that joins the center of the
// outer sphere and the handle.
//// \item @|obj.RadialLineOn ()| -  Enable/disable a radial line segment that joins the center of the
// outer sphere and the handle.
//// \item @|obj.RadialLineOff ()| -  Enable/disable a radial line segment that joins the center of the
// outer sphere and the handle.
//// \item @|obj.GetPolyData (vtkPolyData pd)| -  Grab the polydata (including points) that defines the sphere.  The
// polydata consists of n+1 points, where n is the resolution of the
// sphere. These point values are guaranteed to be up-to-date when either the
// InteractionEvent or EndInteraction events are invoked. The user provides
// the vtkPolyData and the points and polysphere are added to it.
//// \item @|obj.GetSphere (vtkSphere sphere)| -  Get the spherical implicit function defined by this widget.  Note that
// vtkSphere is a subclass of vtkImplicitFunction, meaning that it can be
// used by a variety of filters to perform clipping, cutting, and selection
// of data.
//// \item @|vtkProperty = obj.GetSphereProperty ()| -  Get the sphere properties. The properties of the sphere when selected 
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetSelectedSphereProperty ()| -  Get the sphere properties. The properties of the sphere when selected 
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetHandleProperty ()| -  Get the handle properties (the little ball on the sphere is the
// handle). The properties of the handle when selected and unselected
// can be  manipulated.
//// \item @|vtkProperty = obj.GetSelectedHandleProperty ()| -  Get the handle properties (the little ball on the sphere is the
// handle). The properties of the handle when selected and unselected
// can be  manipulated.
//// \item @|vtkTextProperty = obj.GetHandleTextProperty ()| -  Get the handle text property. This can be used to control the appearance 
// of the handle text.
//// \item @|vtkProperty = obj.GetRadialLineProperty ()| -  Get the property of the radial line. This can be used to control the 
// appearance of the optional line connecting the center to the handle.
//// \item @|obj.SetInteractionState (int state)| -  The interaction state may be set from a widget (e.g., vtkSphereWidget2) or
// other object. This controls how the interaction with the widget
// proceeds. Normally this method is used as part of a handshaking
// process with the widget: First ComputeInteractionState() is invoked that
// returns a state based on geometric considerations (i.e., cursor near a
// widget feature), then based on events, the widget may modify this
// further.
//// \item @|obj.PlaceWidget (double bounds[6])| -  These are methods that satisfy vtkWidgetRepresentation's API. Note that a 
// version of place widget is available where the center and handle position
// are specified.
//// \item @|obj.PlaceWidget (double center[3], double handlePosition[3])| -  These are methods that satisfy vtkWidgetRepresentation's API. Note that a 
// version of place widget is available where the center and handle position
// are specified.
//// \item @|obj.BuildRepresentation ()| -  These are methods that satisfy vtkWidgetRepresentation's API. Note that a 
// version of place widget is available where the center and handle position
// are specified.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  These are methods that satisfy vtkWidgetRepresentation's API. Note that a 
// version of place widget is available where the center and handle position
// are specified.
//// \item @|obj.StartWidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API. Note that a 
// version of place widget is available where the center and handle position
// are specified.
//// \item @|obj.WidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API. Note that a 
// version of place widget is available where the center and handle position
// are specified.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Methods supporting, and required by, the rendering process.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  Methods supporting, and required by, the rendering process.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  Methods supporting, and required by, the rendering process.
//// \item @|int = obj.RenderOverlay (vtkViewport )| -  Methods supporting, and required by, the rendering process.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Methods supporting, and required by, the rendering process.
////\end{itemize}
//!
