#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSphereWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSphereWidget.h"

//@@Signature
//sfunction @vtkSphereWidget:vtkSphereWidget vtkSphereWidgetConstructorFunction
//input a
//output p
//@@Parents vtkSphereWidget vtk3DWidget 
ArrayVector vtkSphereWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSphereWidget::New(),"vtkSphereWidget",eval);
  } else if (arg[0].className() == "vtkSphereWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSphereWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSphereWidget");
    vtkSphereWidget*q = reinterpret_cast<vtkSphereWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSphereWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSphereWidget:GetClassName vtkSphereWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSphereWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:IsA vtkSphereWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSphereWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSphereWidget requires 2 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:NewInstance vtkSphereWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSphereWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSphereWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtkSphereWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSphereWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:SafeDownCast vtkSphereWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSphereWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSphereWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSphereWidget requires 2 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSphereWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSphereWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:SetEnabled vtkSphereWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkSphereWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkSphereWidget requires 2 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:PlaceWidget__1 vtkSphereWidgetPlaceWidget__1Function
//input a0 a1 
//output none
ArrayVector vtkSphereWidgetPlaceWidget__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget__1 for class vtkSphereWidget requires 2 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:PlaceWidget__2 vtkSphereWidgetPlaceWidget__2Function
//input a0 
//output none
ArrayVector vtkSphereWidgetPlaceWidget__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget ();this Superclass PlaceWidget  */
  if (arg.size() < 1) 
    throw Exception("Function PlaceWidget__2 for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtk_pointer->PlaceWidget();
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:PlaceWidget__3 vtkSphereWidgetPlaceWidget__3Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkSphereWidgetPlaceWidget__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax  */
  if (arg.size() < 7) 
    throw Exception("Function PlaceWidget__3 for class vtkSphereWidget requires 7 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:SetRepresentation vtkSphereWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkSphereWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkSphereWidget requires 2 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetRepresentationMinValue vtkSphereWidgetGetRepresentationMinValueFunction
//input a0 
//output y
ArrayVector vtkSphereWidgetGetRepresentationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepresentationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepresentationMinValue for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepresentationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetRepresentationMaxValue vtkSphereWidgetGetRepresentationMaxValueFunction
//input a0 
//output y
ArrayVector vtkSphereWidgetGetRepresentationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepresentationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepresentationMaxValue for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepresentationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetRepresentation vtkSphereWidgetGetRepresentationFunction
//input a0 
//output y
ArrayVector vtkSphereWidgetGetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepresentation for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRepresentation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:SetRepresentationToOff vtkSphereWidgetSetRepresentationToOffFunction
//input a0 
//output none
ArrayVector vtkSphereWidgetSetRepresentationToOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentationToOff ();this SetRepresentation VTK_SPHERE_OFF  */
  if (arg.size() < 1) 
    throw Exception("Function SetRepresentationToOff for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetRepresentationToOff();
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:SetRepresentationToWireframe vtkSphereWidgetSetRepresentationToWireframeFunction
//input a0 
//output none
ArrayVector vtkSphereWidgetSetRepresentationToWireframeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentationToWireframe ();this SetRepresentation VTK_SPHERE_WIREFRAME  */
  if (arg.size() < 1) 
    throw Exception("Function SetRepresentationToWireframe for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetRepresentationToWireframe();
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:SetRepresentationToSurface vtkSphereWidgetSetRepresentationToSurfaceFunction
//input a0 
//output none
ArrayVector vtkSphereWidgetSetRepresentationToSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentationToSurface ();this SetRepresentation VTK_SPHERE_SURFACE  */
  if (arg.size() < 1) 
    throw Exception("Function SetRepresentationToSurface for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetRepresentationToSurface();
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:SetThetaResolution vtkSphereWidgetSetThetaResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkSphereWidgetSetThetaResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThetaResolution (int r);this SphereSource SetThetaResolution r  */
  if (arg.size() < 2) 
    throw Exception("Function SetThetaResolution for class vtkSphereWidget requires 2 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetThetaResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetThetaResolution vtkSphereWidgetGetThetaResolutionFunction
//input a0 
//output y
ArrayVector vtkSphereWidgetGetThetaResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThetaResolution ();return this SphereSource GetThetaResolution  */
  if (arg.size() < 1) 
    throw Exception("Function GetThetaResolution for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetThetaResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:SetPhiResolution vtkSphereWidgetSetPhiResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkSphereWidgetSetPhiResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPhiResolution (int r);this SphereSource SetPhiResolution r  */
  if (arg.size() < 2) 
    throw Exception("Function SetPhiResolution for class vtkSphereWidget requires 2 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPhiResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetPhiResolution vtkSphereWidgetGetPhiResolutionFunction
//input a0 
//output y
ArrayVector vtkSphereWidgetGetPhiResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPhiResolution ();return this SphereSource GetPhiResolution  */
  if (arg.size() < 1) 
    throw Exception("Function GetPhiResolution for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPhiResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:SetRadius vtkSphereWidgetSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkSphereWidgetSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double r);if r r this SphereSource SetRadius r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkSphereWidget requires 2 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetRadius vtkSphereWidgetGetRadiusFunction
//input a0 
//output y
ArrayVector vtkSphereWidgetGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius ();return this SphereSource GetRadius  */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:SetCenter__1 vtkSphereWidgetSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSphereWidgetSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double x, double y, double z);this SphereSource SetCenter x y z  */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkSphereWidget requires 4 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:SetCenter__2 vtkSphereWidgetSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkSphereWidgetSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double x[3]);this SetCenter x x x  */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkSphereWidget requires 2 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetCenter__1 vtkSphereWidgetGetCenter__1Function
//input a0 
//output y
ArrayVector vtkSphereWidgetGetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetCenter ();return this SphereSource GetCenter  */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter__1 for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetCenter__2 vtkSphereWidgetGetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkSphereWidgetGetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCenter (double xyz[3]);this SphereSource GetCenter xyz  */
  if (arg.size() < 2) 
    throw Exception("Function GetCenter__2 for class vtkSphereWidget requires 2 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:SetTranslation vtkSphereWidgetSetTranslationFunction
//input a0 a1 
//output none
ArrayVector vtkSphereWidgetSetTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTranslation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTranslation for class vtkSphereWidget requires 2 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTranslation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetTranslation vtkSphereWidgetGetTranslationFunction
//input a0 
//output y
ArrayVector vtkSphereWidgetGetTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTranslation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTranslation for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTranslation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:TranslationOn vtkSphereWidgetTranslationOnFunction
//input a0 
//output none
ArrayVector vtkSphereWidgetTranslationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TranslationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TranslationOn for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtk_pointer->TranslationOn();
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:TranslationOff vtkSphereWidgetTranslationOffFunction
//input a0 
//output none
ArrayVector vtkSphereWidgetTranslationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TranslationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TranslationOff for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtk_pointer->TranslationOff();
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:SetScale vtkSphereWidgetSetScaleFunction
//input a0 a1 
//output none
ArrayVector vtkSphereWidgetSetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScale (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScale for class vtkSphereWidget requires 2 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetScale vtkSphereWidgetGetScaleFunction
//input a0 
//output y
ArrayVector vtkSphereWidgetGetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScale for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:ScaleOn vtkSphereWidgetScaleOnFunction
//input a0 
//output none
ArrayVector vtkSphereWidgetScaleOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaleOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaleOn for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtk_pointer->ScaleOn();
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:ScaleOff vtkSphereWidgetScaleOffFunction
//input a0 
//output none
ArrayVector vtkSphereWidgetScaleOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaleOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaleOff for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtk_pointer->ScaleOff();
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:SetHandleVisibility vtkSphereWidgetSetHandleVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkSphereWidgetSetHandleVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleVisibility for class vtkSphereWidget requires 2 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetHandleVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetHandleVisibility vtkSphereWidgetGetHandleVisibilityFunction
//input a0 
//output y
ArrayVector vtkSphereWidgetGetHandleVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHandleVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleVisibility for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHandleVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:HandleVisibilityOn vtkSphereWidgetHandleVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkSphereWidgetHandleVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandleVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HandleVisibilityOn for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtk_pointer->HandleVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:HandleVisibilityOff vtkSphereWidgetHandleVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkSphereWidgetHandleVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandleVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HandleVisibilityOff for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtk_pointer->HandleVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:SetHandleDirection__1 vtkSphereWidgetSetHandleDirection__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSphereWidgetSetHandleDirection__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleDirection (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetHandleDirection__1 for class vtkSphereWidget requires 4 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetHandleDirection(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:SetHandleDirection__2 vtkSphereWidgetSetHandleDirection__2Function
//input a0 a1 
//output none
ArrayVector vtkSphereWidgetSetHandleDirection__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleDirection (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleDirection__2 for class vtkSphereWidget requires 2 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetHandleDirection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetHandleDirection vtkSphereWidgetGetHandleDirectionFunction
//input a0 
//output y
ArrayVector vtkSphereWidgetGetHandleDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetHandleDirection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleDirection for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetHandleDirection();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetHandlePosition vtkSphereWidgetGetHandlePositionFunction
//input a0 
//output y
ArrayVector vtkSphereWidgetGetHandlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetHandlePosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandlePosition for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetHandlePosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetPolyData vtkSphereWidgetGetPolyDataFunction
//input a0 a1 
//output none
ArrayVector vtkSphereWidgetGetPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPolyData (vtkPolyData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function GetPolyData for class vtkSphereWidget requires 2 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->GetPolyData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetSphere vtkSphereWidgetGetSphereFunction
//input a0 a1 
//output none
ArrayVector vtkSphereWidgetGetSphereFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetSphere (vtkSphere *sphere); */
  if (arg.size() < 2) 
    throw Exception("Function GetSphere for class vtkSphereWidget requires 2 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtkSphere  *temp0;
  temp0 = GetVTKPointer<vtkSphere>(arg[1]);
  vtk_pointer->GetSphere(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetSphereProperty vtkSphereWidgetGetSpherePropertyFunction
//input a0 
//output y
ArrayVector vtkSphereWidgetGetSpherePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSphereProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSphereProperty for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSphereProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetSelectedSphereProperty vtkSphereWidgetGetSelectedSpherePropertyFunction
//input a0 
//output y
ArrayVector vtkSphereWidgetGetSelectedSpherePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedSphereProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedSphereProperty for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedSphereProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetHandleProperty vtkSphereWidgetGetHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkSphereWidgetGetHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleProperty for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:GetSelectedHandleProperty vtkSphereWidgetGetSelectedHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkSphereWidgetGetSelectedHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedHandleProperty for class vtkSphereWidget requires 1 argument(s)");
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereWidget:PlaceWidget vtkSphereWidgetPlaceWidgetFunction
//input varargin
//output varargout
ArrayVector vtkSphereWidgetPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSphereWidgetPlaceWidget__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkSphereWidgetPlaceWidget__2Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkSphereWidgetPlaceWidget__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSphereWidgetPlaceWidget");
}

//@@Signature
//sfunction @vtkSphereWidget:SetCenter vtkSphereWidgetSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkSphereWidgetSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSphereWidgetSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSphereWidgetSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSphereWidgetSetCenter");
}

//@@Signature
//sfunction @vtkSphereWidget:GetCenter vtkSphereWidgetGetCenterFunction
//input varargin
//output varargout
ArrayVector vtkSphereWidgetGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkSphereWidgetGetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSphereWidgetGetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSphereWidgetGetCenter");
}

//@@Signature
//sfunction @vtkSphereWidget:SetHandleDirection vtkSphereWidgetSetHandleDirectionFunction
//input varargin
//output varargout
ArrayVector vtkSphereWidgetSetHandleDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSphereWidgetSetHandleDirection__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSphereWidgetSetHandleDirection__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSphereWidgetSetHandleDirection");
}

//@@Signature
//sfunction @vtkSphereWidget:display vtkSphereWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSphereWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSphereWidget* vtk_pointer = GetVTKPointer<vtkSphereWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSphereWidget:delete vtkSphereWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkSphereWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSphereWidget
//@@Section VTKWidgets
//@@Usage
// This 3D widget defines a sphere that can be interactively placed in a
// scene. 
//
// To use this object, just invoke SetInteractor() with the argument of the
// method a vtkRenderWindowInteractor.  You may also wish to invoke
// "PlaceWidget()" to initially position the widget. The interactor will act
// normally until the "i" key (for "interactor") is pressed, at which point the
// vtkSphereWidget will appear. (See superclass documentation for information
// about changing this behavior.) 
// Events that occur outside of the widget (i.e., no part of
// the widget is picked) are propagated to any other registered obsevers
// (such as the interaction style).  Turn off the widget by pressing the "i"
// key again (or invoke the Off() method).
//
// The vtkSphereWidget has several methods that can be used in conjunction
// with other VTK objects. The Set/GetThetaResolution() and
// Set/GetPhiResolution() methods control the number of subdivisions of the
// sphere in the theta and phi directions; the GetPolyData() method can be
// used to get the polygonal representation and can be used for things like
// seeding streamlines. The GetSphere() method returns a sphere implicit
// function that can be used for cutting and clipping. Typical usage of the
// widget is to make use of the StartInteractionEvent, InteractionEvent, and
// EndInteractionEvent events. The InteractionEvent is called on mouse
// motion; the other two events are called on button down and button up
// (any mouse button).
//
// Some additional features of this class include the ability to control the
// properties of the widget. You can set the properties of the selected and
// unselected representations of the sphere. 
//
//To create an instance of class vtkSphereWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkSphereWidget
//@]
//@@Methods
//The class vtkSphereWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSphereWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSphereWidget = obj.NewInstance ()|
// \item @|vtkSphereWidget = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetEnabled (int )| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double bounds[6])| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget ()| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  Set the representation of the sphere. Different representations are
// useful depending on the application. The default is 
// VTK_SPHERE_WIREFRAME.
//// \item @|obj.SetRepresentation (int )| -  Set the representation of the sphere. Different representations are
// useful depending on the application. The default is 
// VTK_SPHERE_WIREFRAME.
//// \item @|int = obj.GetRepresentationMinValue ()| -  Set the representation of the sphere. Different representations are
// useful depending on the application. The default is 
// VTK_SPHERE_WIREFRAME.
//// \item @|int = obj.GetRepresentationMaxValue ()| -  Set the representation of the sphere. Different representations are
// useful depending on the application. The default is 
// VTK_SPHERE_WIREFRAME.
//// \item @|int = obj.GetRepresentation ()| -  Set the representation of the sphere. Different representations are
// useful depending on the application. The default is 
// VTK_SPHERE_WIREFRAME.
//// \item @|obj.SetRepresentationToOff ()| -  Set the representation of the sphere. Different representations are
// useful depending on the application. The default is 
// VTK_SPHERE_WIREFRAME.
//// \item @|obj.SetRepresentationToWireframe ()| -  Set the representation of the sphere. Different representations are
// useful depending on the application. The default is 
// VTK_SPHERE_WIREFRAME.
//// \item @|obj.SetRepresentationToSurface ()| -  Set/Get the resolution of the sphere in the Theta direction.
// The default is 16.
//// \item @|obj.SetThetaResolution (int r)| -  Set/Get the resolution of the sphere in the Theta direction.
// The default is 16.
//// \item @|int = obj.GetThetaResolution ()| -  Set/Get the resolution of the sphere in the Phi direction.
// The default is 8.
//// \item @|obj.SetPhiResolution (int r)| -  Set/Get the resolution of the sphere in the Phi direction.
// The default is 8.
//// \item @|int = obj.GetPhiResolution ()| -  Set/Get the radius of sphere. Default is .5.
//// \item @|obj.SetRadius (double r)| -  Set/Get the radius of sphere. Default is .5.
//// \item @|double = obj.GetRadius ()| -  Set/Get the center of the sphere.
//// \item @|obj.SetCenter (double x, double y, double z)| -  Set/Get the center of the sphere.
//// \item @|obj.SetCenter (double x[3])| -  Set/Get the center of the sphere.
//// \item @|double = obj.GetCenter ()| -  Set/Get the center of the sphere.
//// \item @|obj.GetCenter (double xyz[3])| -  Enable translation and scaling of the widget. By default, the widget
// can be translated and rotated.
//// \item @|obj.SetTranslation (int )| -  Enable translation and scaling of the widget. By default, the widget
// can be translated and rotated.
//// \item @|int = obj.GetTranslation ()| -  Enable translation and scaling of the widget. By default, the widget
// can be translated and rotated.
//// \item @|obj.TranslationOn ()| -  Enable translation and scaling of the widget. By default, the widget
// can be translated and rotated.
//// \item @|obj.TranslationOff ()| -  Enable translation and scaling of the widget. By default, the widget
// can be translated and rotated.
//// \item @|obj.SetScale (int )| -  Enable translation and scaling of the widget. By default, the widget
// can be translated and rotated.
//// \item @|int = obj.GetScale ()| -  Enable translation and scaling of the widget. By default, the widget
// can be translated and rotated.
//// \item @|obj.ScaleOn ()| -  Enable translation and scaling of the widget. By default, the widget
// can be translated and rotated.
//// \item @|obj.ScaleOff ()| -  Enable translation and scaling of the widget. By default, the widget
// can be translated and rotated.
//// \item @|obj.SetHandleVisibility (int )| -  The handle sits on the surface of the sphere and may be moved around
// the surface by picking (left mouse) and then moving. The position
// of the handle can be retrieved, this is useful for positioning cameras
// and lights. By default, the handle is turned off.
//// \item @|int = obj.GetHandleVisibility ()| -  The handle sits on the surface of the sphere and may be moved around
// the surface by picking (left mouse) and then moving. The position
// of the handle can be retrieved, this is useful for positioning cameras
// and lights. By default, the handle is turned off.
//// \item @|obj.HandleVisibilityOn ()| -  The handle sits on the surface of the sphere and may be moved around
// the surface by picking (left mouse) and then moving. The position
// of the handle can be retrieved, this is useful for positioning cameras
// and lights. By default, the handle is turned off.
//// \item @|obj.HandleVisibilityOff ()| -  The handle sits on the surface of the sphere and may be moved around
// the surface by picking (left mouse) and then moving. The position
// of the handle can be retrieved, this is useful for positioning cameras
// and lights. By default, the handle is turned off.
//// \item @|obj.SetHandleDirection (double , double , double )| -  Set/Get the direction vector of the handle relative to the center of
// the sphere. The direction of the handle is from the sphere center to
// the handle position.
//// \item @|obj.SetHandleDirection (double  a[3])| -  Set/Get the direction vector of the handle relative to the center of
// the sphere. The direction of the handle is from the sphere center to
// the handle position.
//// \item @|double = obj. GetHandleDirection ()| -  Set/Get the direction vector of the handle relative to the center of
// the sphere. The direction of the handle is from the sphere center to
// the handle position.
//// \item @|double = obj. GetHandlePosition ()| -  Get the position of the handle.
//// \item @|obj.GetPolyData (vtkPolyData pd)| -  Grab the polydata (including points) that defines the sphere.  The
// polydata consists of n+1 points, where n is the resolution of the
// sphere. These point values are guaranteed to be up-to-date when either the
// InteractionEvent or EndInteraction events are invoked. The user provides
// the vtkPolyData and the points and polysphere are added to it.
//// \item @|obj.GetSphere (vtkSphere sphere)| -  Get the spherical implicit function defined by this widget.  Note that
// vtkSphere is a subclass of vtkImplicitFunction, meaning that it can be
// used by a variety of filters to perform clipping, cutting, and selection
// of data.
//// \item @|vtkProperty = obj.GetSphereProperty ()| -  Get the sphere properties. The properties of the sphere when selected 
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetSelectedSphereProperty ()| -  Get the sphere properties. The properties of the sphere when selected 
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetHandleProperty ()| -  Get the handle properties (the little ball on the sphere is the
// handle). The properties of the handle when selected and unselected
// can be  manipulated.
//// \item @|vtkProperty = obj.GetSelectedHandleProperty ()| -  Get the handle properties (the little ball on the sphere is the
// handle). The properties of the handle when selected and unselected
// can be  manipulated.
////\end{itemize}
//!
