#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSplineRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSplineRepresentation.h"

//@@Signature
//sfunction @vtkSplineRepresentation:vtkSplineRepresentation vtkSplineRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkSplineRepresentation vtkWidgetRepresentation 
ArrayVector vtkSplineRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSplineRepresentation::New(),"vtkSplineRepresentation",eval);
  } else if (arg[0].className() == "vtkSplineRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSplineRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSplineRepresentation");
    vtkSplineRepresentation*q = reinterpret_cast<vtkSplineRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSplineRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSplineRepresentation:GetClassName vtkSplineRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:IsA vtkSplineRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSplineRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:NewInstance vtkSplineRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSplineRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtkSplineRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSplineRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SafeDownCast vtkSplineRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSplineRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSplineRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSplineRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSplineRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SetInteractionState vtkSplineRepresentationSetInteractionStateFunction
//input a0 a1 
//output none
ArrayVector vtkSplineRepresentationSetInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInteractionState (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteractionState for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInteractionState(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SetProjectToPlane vtkSplineRepresentationSetProjectToPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkSplineRepresentationSetProjectToPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectToPlane (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectToPlane for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProjectToPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetProjectToPlane vtkSplineRepresentationGetProjectToPlaneFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationGetProjectToPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectToPlane (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectToPlane for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectToPlane();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:ProjectToPlaneOn vtkSplineRepresentationProjectToPlaneOnFunction
//input a0 
//output none
ArrayVector vtkSplineRepresentationProjectToPlaneOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ProjectToPlaneOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ProjectToPlaneOn for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ProjectToPlaneOn();
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:ProjectToPlaneOff vtkSplineRepresentationProjectToPlaneOffFunction
//input a0 
//output none
ArrayVector vtkSplineRepresentationProjectToPlaneOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ProjectToPlaneOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ProjectToPlaneOff for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ProjectToPlaneOff();
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SetPlaneSource vtkSplineRepresentationSetPlaneSourceFunction
//input a0 a1 
//output none
ArrayVector vtkSplineRepresentationSetPlaneSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaneSource (vtkPlaneSource *plane); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlaneSource for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtkPlaneSource  *temp0;
  temp0 = GetVTKPointer<vtkPlaneSource>(arg[1]);
  vtk_pointer->SetPlaneSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SetProjectionNormal vtkSplineRepresentationSetProjectionNormalFunction
//input a0 a1 
//output none
ArrayVector vtkSplineRepresentationSetProjectionNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormal (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectionNormal for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProjectionNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetProjectionNormalMinValue vtkSplineRepresentationGetProjectionNormalMinValueFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationGetProjectionNormalMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionNormalMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionNormalMinValue for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionNormalMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetProjectionNormalMaxValue vtkSplineRepresentationGetProjectionNormalMaxValueFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationGetProjectionNormalMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionNormalMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionNormalMaxValue for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionNormalMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetProjectionNormal vtkSplineRepresentationGetProjectionNormalFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationGetProjectionNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionNormal for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionNormal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SetProjectionNormalToXAxes vtkSplineRepresentationSetProjectionNormalToXAxesFunction
//input a0 
//output none
ArrayVector vtkSplineRepresentationSetProjectionNormalToXAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToXAxes ();this SetProjectionNormal  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToXAxes for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToXAxes();
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SetProjectionNormalToYAxes vtkSplineRepresentationSetProjectionNormalToYAxesFunction
//input a0 
//output none
ArrayVector vtkSplineRepresentationSetProjectionNormalToYAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToYAxes ();this SetProjectionNormal  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToYAxes for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToYAxes();
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SetProjectionNormalToZAxes vtkSplineRepresentationSetProjectionNormalToZAxesFunction
//input a0 
//output none
ArrayVector vtkSplineRepresentationSetProjectionNormalToZAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToZAxes ();this SetProjectionNormal  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToZAxes for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToZAxes();
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SetProjectionNormalToOblique vtkSplineRepresentationSetProjectionNormalToObliqueFunction
//input a0 
//output none
ArrayVector vtkSplineRepresentationSetProjectionNormalToObliqueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToOblique ();this SetProjectionNormal  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToOblique for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToOblique();
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SetProjectionPosition vtkSplineRepresentationSetProjectionPositionFunction
//input a0 a1 
//output none
ArrayVector vtkSplineRepresentationSetProjectionPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionPosition (double position); */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectionPosition for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetProjectionPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetProjectionPosition vtkSplineRepresentationGetProjectionPositionFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationGetProjectionPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetProjectionPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionPosition for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetProjectionPosition();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetPolyData vtkSplineRepresentationGetPolyDataFunction
//input a0 a1 
//output none
ArrayVector vtkSplineRepresentationGetPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPolyData (vtkPolyData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function GetPolyData for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->GetPolyData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetHandleProperty vtkSplineRepresentationGetHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationGetHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleProperty for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetSelectedHandleProperty vtkSplineRepresentationGetSelectedHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationGetSelectedHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedHandleProperty for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetLineProperty vtkSplineRepresentationGetLinePropertyFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationGetLinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetLineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineProperty for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetLineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetSelectedLineProperty vtkSplineRepresentationGetSelectedLinePropertyFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationGetSelectedLinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedLineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedLineProperty for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedLineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SetNumberOfHandles vtkSplineRepresentationSetNumberOfHandlesFunction
//input a0 a1 
//output none
ArrayVector vtkSplineRepresentationSetNumberOfHandlesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetNumberOfHandles (int npts); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfHandles for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfHandles(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetNumberOfHandles vtkSplineRepresentationGetNumberOfHandlesFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationGetNumberOfHandlesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfHandles (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfHandles for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfHandles();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SetResolution vtkSplineRepresentationSetResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkSplineRepresentationSetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResolution (int resolution); */
  if (arg.size() < 2) 
    throw Exception("Function SetResolution for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetResolution vtkSplineRepresentationGetResolutionFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationGetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolution for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SetParametricSpline vtkSplineRepresentationSetParametricSplineFunction
//input a0 a1 
//output none
ArrayVector vtkSplineRepresentationSetParametricSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetParametricSpline (vtkParametricSpline *); */
  if (arg.size() < 2) 
    throw Exception("Function SetParametricSpline for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtkParametricSpline  *temp0;
  temp0 = GetVTKPointer<vtkParametricSpline>(arg[1]);
  vtk_pointer->SetParametricSpline(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetParametricSpline vtkSplineRepresentationGetParametricSplineFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationGetParametricSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricSpline *GetParametricSpline (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParametricSpline for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtkParametricSpline  *temp20;
  temp20 = (vtk_pointer)->GetParametricSpline();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SetHandlePosition__1 vtkSplineRepresentationSetHandlePosition__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkSplineRepresentationSetHandlePosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandlePosition (int handle, double x, double y, double z); */
  if (arg.size() < 5) 
    throw Exception("Function SetHandlePosition__1 for class vtkSplineRepresentation requires 5 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetHandlePosition(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SetHandlePosition__2 vtkSplineRepresentationSetHandlePosition__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkSplineRepresentationSetHandlePosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandlePosition (int handle, double xyz[3]); */
  if (arg.size() < 3) 
    throw Exception("Function SetHandlePosition__2 for class vtkSplineRepresentation requires 3 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->SetHandlePosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetHandlePosition__1 vtkSplineRepresentationGetHandlePosition__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkSplineRepresentationGetHandlePosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetHandlePosition (int handle, double xyz[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetHandlePosition__1 for class vtkSplineRepresentation requires 3 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetHandlePosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetHandlePositions vtkSplineRepresentationGetHandlePositionsFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationGetHandlePositionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDoubleArray *GetHandlePositions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandlePositions for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtkDoubleArray  *temp20;
  temp20 = (vtk_pointer)->GetHandlePositions();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDoubleArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SetClosed vtkSplineRepresentationSetClosedFunction
//input a0 a1 
//output none
ArrayVector vtkSplineRepresentationSetClosedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClosed (int closed); */
  if (arg.size() < 2) 
    throw Exception("Function SetClosed for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClosed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetClosed vtkSplineRepresentationGetClosedFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationGetClosedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClosed (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClosed for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClosed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:ClosedOn vtkSplineRepresentationClosedOnFunction
//input a0 
//output none
ArrayVector vtkSplineRepresentationClosedOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClosedOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ClosedOn for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ClosedOn();
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:ClosedOff vtkSplineRepresentationClosedOffFunction
//input a0 
//output none
ArrayVector vtkSplineRepresentationClosedOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClosedOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ClosedOff for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->ClosedOff();
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:IsClosed vtkSplineRepresentationIsClosedFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationIsClosedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsClosed (); */
  if (arg.size() < 1) 
    throw Exception("Function IsClosed for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsClosed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetSummedLength vtkSplineRepresentationGetSummedLengthFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationGetSummedLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSummedLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSummedLength for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSummedLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:InitializeHandles vtkSplineRepresentationInitializeHandlesFunction
//input a0 a1 
//output none
ArrayVector vtkSplineRepresentationInitializeHandlesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitializeHandles (vtkPoints *points); */
  if (arg.size() < 2) 
    throw Exception("Function InitializeHandles for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->InitializeHandles(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:BuildRepresentation vtkSplineRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkSplineRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:ComputeInteractionState vtkSplineRepresentationComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSplineRepresentationComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkSplineRepresentation requires 4 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:StartWidgetInteraction vtkSplineRepresentationStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkSplineRepresentationStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:WidgetInteraction vtkSplineRepresentationWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkSplineRepresentationWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:EndWidgetInteraction vtkSplineRepresentationEndWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkSplineRepresentationEndWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndWidgetInteraction (double e[2]); */
  if (arg.size() < 2) 
    throw Exception("Function EndWidgetInteraction for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->EndWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:ReleaseGraphicsResources vtkSplineRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkSplineRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:RenderOpaqueGeometry vtkSplineRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkSplineRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:RenderTranslucentPolygonalGeometry vtkSplineRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkSplineRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:RenderOverlay vtkSplineRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkSplineRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkSplineRepresentation requires 2 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:HasTranslucentPolygonalGeometry vtkSplineRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkSplineRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkSplineRepresentation requires 1 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SetLineColor vtkSplineRepresentationSetLineColorFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSplineRepresentationSetLineColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineColor (double r, double g, double b); */
  if (arg.size() < 4) 
    throw Exception("Function SetLineColor for class vtkSplineRepresentation requires 4 argument(s)");
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetLineColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSplineRepresentation:SetHandlePosition vtkSplineRepresentationSetHandlePositionFunction
//input varargin
//output varargout
ArrayVector vtkSplineRepresentationSetHandlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkSplineRepresentationSetHandlePosition__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkSplineRepresentationSetHandlePosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSplineRepresentationSetHandlePosition");
}

//@@Signature
//sfunction @vtkSplineRepresentation:GetHandlePosition vtkSplineRepresentationGetHandlePositionFunction
//input varargin
//output varargout
ArrayVector vtkSplineRepresentationGetHandlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkSplineRepresentationGetHandlePosition__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSplineRepresentationGetHandlePosition");
}

//@@Signature
//sfunction @vtkSplineRepresentation:display vtkSplineRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSplineRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSplineRepresentation* vtk_pointer = GetVTKPointer<vtkSplineRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSplineRepresentation:delete vtkSplineRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkSplineRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSplineRepresentation
//@@Section VTKWidgets
//@@Usage
// vtkSplineRepresentation is a vtkWidgetRepresentation for a spline.
// This 3D widget defines a spline that can be interactively placed in a
// scene. The spline has handles, the number of which can be changed, plus it
// can be picked on the spline itself to translate or rotate it in the scene.
// This is based on vtkSplineWidget.
//
//To create an instance of class vtkSplineRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkSplineRepresentation
//@]
//@@Methods
//The class vtkSplineRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSplineRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSplineRepresentation = obj.NewInstance ()|
// \item @|vtkSplineRepresentation = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInteractionState (int )|
// \item @|obj.SetProjectToPlane (int )| -  Force the spline widget to be projected onto one of the orthogonal planes.
// Remember that when the InteractionState changes, a ModifiedEvent is invoked.
// This can be used to snap the spline to the plane if it is orginally
// not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY
// planes respectively and 3 for arbitrary oblique planes when the widget
// is tied to a vtkPlaneSource.
//// \item @|int = obj.GetProjectToPlane ()| -  Force the spline widget to be projected onto one of the orthogonal planes.
// Remember that when the InteractionState changes, a ModifiedEvent is invoked.
// This can be used to snap the spline to the plane if it is orginally
// not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY
// planes respectively and 3 for arbitrary oblique planes when the widget
// is tied to a vtkPlaneSource.
//// \item @|obj.ProjectToPlaneOn ()| -  Force the spline widget to be projected onto one of the orthogonal planes.
// Remember that when the InteractionState changes, a ModifiedEvent is invoked.
// This can be used to snap the spline to the plane if it is orginally
// not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY
// planes respectively and 3 for arbitrary oblique planes when the widget
// is tied to a vtkPlaneSource.
//// \item @|obj.ProjectToPlaneOff ()| -  Force the spline widget to be projected onto one of the orthogonal planes.
// Remember that when the InteractionState changes, a ModifiedEvent is invoked.
// This can be used to snap the spline to the plane if it is orginally
// not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY
// planes respectively and 3 for arbitrary oblique planes when the widget
// is tied to a vtkPlaneSource.
//// \item @|obj.SetPlaneSource (vtkPlaneSource plane)| -  Set up a reference to a vtkPlaneSource that could be from another widget
// object, e.g. a vtkPolyDataSourceWidget.
//// \item @|obj.SetProjectionNormal (int )|
// \item @|int = obj.GetProjectionNormalMinValue ()|
// \item @|int = obj.GetProjectionNormalMaxValue ()|
// \item @|int = obj.GetProjectionNormal ()|
// \item @|obj.SetProjectionNormalToXAxes ()|
// \item @|obj.SetProjectionNormalToYAxes ()|
// \item @|obj.SetProjectionNormalToZAxes ()|
// \item @|obj.SetProjectionNormalToOblique ()| -  Set the position of spline handles and points in terms of a plane's
// position. i.e., if ProjectionNormal is 0, all of the x-coordinate
// values of the points are set to position. Any value can be passed (and is
// ignored) to update the spline points when Projection normal is set to 3
// for arbritrary plane orientations.
//// \item @|obj.SetProjectionPosition (double position)| -  Set the position of spline handles and points in terms of a plane's
// position. i.e., if ProjectionNormal is 0, all of the x-coordinate
// values of the points are set to position. Any value can be passed (and is
// ignored) to update the spline points when Projection normal is set to 3
// for arbritrary plane orientations.
//// \item @|double = obj.GetProjectionPosition ()| -  Set the position of spline handles and points in terms of a plane's
// position. i.e., if ProjectionNormal is 0, all of the x-coordinate
// values of the points are set to position. Any value can be passed (and is
// ignored) to update the spline points when Projection normal is set to 3
// for arbritrary plane orientations.
//// \item @|obj.GetPolyData (vtkPolyData pd)| -  Grab the polydata (including points) that defines the spline.  The
// polydata consists of points and line segments numbering Resolution + 1
// and Resoltuion, respectively. Points are guaranteed to be up-to-date when
// either the InteractionEvent or  EndInteraction events are invoked. The
// user provides the vtkPolyData and the points and polyline are added to it.
//// \item @|vtkProperty = obj.GetHandleProperty ()| -  Set/Get the handle properties (the spheres are the handles). The
// properties of the handles when selected and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetSelectedHandleProperty ()| -  Set/Get the handle properties (the spheres are the handles). The
// properties of the handles when selected and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetLineProperty ()| -  Set/Get the line properties. The properties of the line when selected
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetSelectedLineProperty ()| -  Set/Get the line properties. The properties of the line when selected
// and unselected can be manipulated.
//// \item @|obj.SetNumberOfHandles (int npts)| -  Set/Get the number of handles for this widget.
//// \item @|int = obj.GetNumberOfHandles ()| -  Set/Get the number of handles for this widget.
//// \item @|obj.SetResolution (int resolution)| -  Set/Get the number of line segments representing the spline for
// this widget.
//// \item @|int = obj.GetResolution ()| -  Set/Get the number of line segments representing the spline for
// this widget.
//// \item @|obj.SetParametricSpline (vtkParametricSpline )| -  Set the parametric spline object. Through vtkParametricSpline's API, the
// user can supply and configure one of currently two types of spline:
// vtkCardinalSpline, vtkKochanekSpline. The widget controls the open
// or closed configuration of the spline.
// WARNING: The widget does not enforce internal consistency so that all
// three are of the same type.
//// \item @|vtkParametricSpline = obj.GetParametricSpline ()| -  Set the parametric spline object. Through vtkParametricSpline's API, the
// user can supply and configure one of currently two types of spline:
// vtkCardinalSpline, vtkKochanekSpline. The widget controls the open
// or closed configuration of the spline.
// WARNING: The widget does not enforce internal consistency so that all
// three are of the same type.
//// \item @|obj.SetHandlePosition (int handle, double x, double y, double z)| -  Set/Get the position of the spline handles. Call GetNumberOfHandles
// to determine the valid range of handle indices.
//// \item @|obj.SetHandlePosition (int handle, double xyz[3])| -  Set/Get the position of the spline handles. Call GetNumberOfHandles
// to determine the valid range of handle indices.
//// \item @|obj.GetHandlePosition (int handle, double xyz[3])| -  Set/Get the position of the spline handles. Call GetNumberOfHandles
// to determine the valid range of handle indices.
//// \item @|vtkDoubleArray = obj.GetHandlePositions ()| -  Set/Get the position of the spline handles. Call GetNumberOfHandles
// to determine the valid range of handle indices.
//// \item @|obj.SetClosed (int closed)| -  Control whether the spline is open or closed. A closed spline forms
// a continuous loop: the first and last points are the same, and
// derivatives are continuous.  A minimum of 3 handles are required to
// form a closed loop.  This method enforces consistency with
// user supplied subclasses of vtkSpline.
//// \item @|int = obj.GetClosed ()| -  Control whether the spline is open or closed. A closed spline forms
// a continuous loop: the first and last points are the same, and
// derivatives are continuous.  A minimum of 3 handles are required to
// form a closed loop.  This method enforces consistency with
// user supplied subclasses of vtkSpline.
//// \item @|obj.ClosedOn ()| -  Control whether the spline is open or closed. A closed spline forms
// a continuous loop: the first and last points are the same, and
// derivatives are continuous.  A minimum of 3 handles are required to
// form a closed loop.  This method enforces consistency with
// user supplied subclasses of vtkSpline.
//// \item @|obj.ClosedOff ()| -  Control whether the spline is open or closed. A closed spline forms
// a continuous loop: the first and last points are the same, and
// derivatives are continuous.  A minimum of 3 handles are required to
// form a closed loop.  This method enforces consistency with
// user supplied subclasses of vtkSpline.
//// \item @|int = obj.IsClosed ()| -  Convenience method to determine whether the spline is
// closed in a geometric sense.  The widget may be set "closed" but still
// be geometrically open (e.g., a straight line).
//// \item @|double = obj.GetSummedLength ()| -  Get the approximate vs. the true arc length of the spline. Calculated as
// the summed lengths of the individual straight line segments. Use
// SetResolution to control the accuracy.
//// \item @|obj.InitializeHandles (vtkPoints points)| -  Convenience method to allocate and set the handles from a vtkPoints
// instance.  If the first and last points are the same, the spline sets
// Closed to the on InteractionState and disregards the last point, otherwise Closed
// remains unchanged.
//// \item @|obj.BuildRepresentation ()| -  These are methods that satisfy vtkWidgetRepresentation's API. Note that a 
// version of place widget is available where the center and handle position
// are specified.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  These are methods that satisfy vtkWidgetRepresentation's API. Note that a 
// version of place widget is available where the center and handle position
// are specified.
//// \item @|obj.StartWidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API. Note that a 
// version of place widget is available where the center and handle position
// are specified.
//// \item @|obj.WidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API. Note that a 
// version of place widget is available where the center and handle position
// are specified.
//// \item @|obj.EndWidgetInteraction (double e[2])| -  These are methods that satisfy vtkWidgetRepresentation's API. Note that a 
// version of place widget is available where the center and handle position
// are specified.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Methods supporting, and required by, the rendering process.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  Methods supporting, and required by, the rendering process.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  Methods supporting, and required by, the rendering process.
//// \item @|int = obj.RenderOverlay (vtkViewport )| -  Methods supporting, and required by, the rendering process.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Methods supporting, and required by, the rendering process.
//// \item @|obj.SetLineColor (double r, double g, double b)| -  Convenience method to set the line color.
// Ideally one should use GetLineProperty()->SetColor().
////\end{itemize}
//!
