#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSplineWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSplineWidget.h"

//@@Signature
//sfunction @vtkSplineWidget:vtkSplineWidget vtkSplineWidgetConstructorFunction
//input a
//output p
//@@Parents vtkSplineWidget vtk3DWidget 
ArrayVector vtkSplineWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSplineWidget::New(),"vtkSplineWidget",eval);
  } else if (arg[0].className() == "vtkSplineWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSplineWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSplineWidget");
    vtkSplineWidget*q = reinterpret_cast<vtkSplineWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSplineWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSplineWidget:GetClassName vtkSplineWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSplineWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:IsA vtkSplineWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSplineWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:NewInstance vtkSplineWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSplineWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSplineWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtkSplineWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSplineWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SafeDownCast vtkSplineWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSplineWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSplineWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSplineWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSplineWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetEnabled vtkSplineWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkSplineWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:PlaceWidget__1 vtkSplineWidgetPlaceWidget__1Function
//input a0 a1 
//output none
ArrayVector vtkSplineWidgetPlaceWidget__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget__1 for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:PlaceWidget__2 vtkSplineWidgetPlaceWidget__2Function
//input a0 
//output none
ArrayVector vtkSplineWidgetPlaceWidget__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget ();this Superclass PlaceWidget  */
  if (arg.size() < 1) 
    throw Exception("Function PlaceWidget__2 for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtk_pointer->PlaceWidget();
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:PlaceWidget__3 vtkSplineWidgetPlaceWidget__3Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkSplineWidgetPlaceWidget__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax  */
  if (arg.size() < 7) 
    throw Exception("Function PlaceWidget__3 for class vtkSplineWidget requires 7 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetProjectToPlane vtkSplineWidgetSetProjectToPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkSplineWidgetSetProjectToPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectToPlane (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectToPlane for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProjectToPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:GetProjectToPlane vtkSplineWidgetGetProjectToPlaneFunction
//input a0 
//output y
ArrayVector vtkSplineWidgetGetProjectToPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectToPlane (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectToPlane for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectToPlane();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:ProjectToPlaneOn vtkSplineWidgetProjectToPlaneOnFunction
//input a0 
//output none
ArrayVector vtkSplineWidgetProjectToPlaneOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ProjectToPlaneOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ProjectToPlaneOn for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtk_pointer->ProjectToPlaneOn();
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:ProjectToPlaneOff vtkSplineWidgetProjectToPlaneOffFunction
//input a0 
//output none
ArrayVector vtkSplineWidgetProjectToPlaneOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ProjectToPlaneOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ProjectToPlaneOff for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtk_pointer->ProjectToPlaneOff();
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetPlaneSource vtkSplineWidgetSetPlaneSourceFunction
//input a0 a1 
//output none
ArrayVector vtkSplineWidgetSetPlaneSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaneSource (vtkPlaneSource *plane); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlaneSource for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtkPlaneSource  *temp0;
  temp0 = GetVTKPointer<vtkPlaneSource>(arg[1]);
  vtk_pointer->SetPlaneSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetProjectionNormal vtkSplineWidgetSetProjectionNormalFunction
//input a0 a1 
//output none
ArrayVector vtkSplineWidgetSetProjectionNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormal (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectionNormal for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProjectionNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:GetProjectionNormalMinValue vtkSplineWidgetGetProjectionNormalMinValueFunction
//input a0 
//output y
ArrayVector vtkSplineWidgetGetProjectionNormalMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionNormalMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionNormalMinValue for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionNormalMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:GetProjectionNormalMaxValue vtkSplineWidgetGetProjectionNormalMaxValueFunction
//input a0 
//output y
ArrayVector vtkSplineWidgetGetProjectionNormalMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionNormalMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionNormalMaxValue for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionNormalMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:GetProjectionNormal vtkSplineWidgetGetProjectionNormalFunction
//input a0 
//output y
ArrayVector vtkSplineWidgetGetProjectionNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionNormal for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionNormal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetProjectionNormalToXAxes vtkSplineWidgetSetProjectionNormalToXAxesFunction
//input a0 
//output none
ArrayVector vtkSplineWidgetSetProjectionNormalToXAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToXAxes ();this SetProjectionNormal  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToXAxes for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToXAxes();
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetProjectionNormalToYAxes vtkSplineWidgetSetProjectionNormalToYAxesFunction
//input a0 
//output none
ArrayVector vtkSplineWidgetSetProjectionNormalToYAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToYAxes ();this SetProjectionNormal  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToYAxes for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToYAxes();
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetProjectionNormalToZAxes vtkSplineWidgetSetProjectionNormalToZAxesFunction
//input a0 
//output none
ArrayVector vtkSplineWidgetSetProjectionNormalToZAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToZAxes ();this SetProjectionNormal  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToZAxes for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToZAxes();
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetProjectionNormalToOblique vtkSplineWidgetSetProjectionNormalToObliqueFunction
//input a0 
//output none
ArrayVector vtkSplineWidgetSetProjectionNormalToObliqueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionNormalToOblique ();this SetProjectionNormal  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionNormalToOblique for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionNormalToOblique();
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetProjectionPosition vtkSplineWidgetSetProjectionPositionFunction
//input a0 a1 
//output none
ArrayVector vtkSplineWidgetSetProjectionPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionPosition (double position); */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectionPosition for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetProjectionPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:GetProjectionPosition vtkSplineWidgetGetProjectionPositionFunction
//input a0 
//output y
ArrayVector vtkSplineWidgetGetProjectionPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetProjectionPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionPosition for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetProjectionPosition();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:GetPolyData vtkSplineWidgetGetPolyDataFunction
//input a0 a1 
//output none
ArrayVector vtkSplineWidgetGetPolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetPolyData (vtkPolyData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function GetPolyData for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->GetPolyData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetHandleProperty vtkSplineWidgetSetHandlePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkSplineWidgetSetHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetHandleProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleProperty for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetHandleProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:GetHandleProperty vtkSplineWidgetGetHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkSplineWidgetGetHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleProperty for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetSelectedHandleProperty vtkSplineWidgetSetSelectedHandlePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkSplineWidgetSetSelectedHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSelectedHandleProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedHandleProperty for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetSelectedHandleProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:GetSelectedHandleProperty vtkSplineWidgetGetSelectedHandlePropertyFunction
//input a0 
//output y
ArrayVector vtkSplineWidgetGetSelectedHandlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedHandleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedHandleProperty for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedHandleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetLineProperty vtkSplineWidgetSetLinePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkSplineWidgetSetLinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLineProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLineProperty for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetLineProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:GetLineProperty vtkSplineWidgetGetLinePropertyFunction
//input a0 
//output y
ArrayVector vtkSplineWidgetGetLinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetLineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineProperty for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetLineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetSelectedLineProperty vtkSplineWidgetSetSelectedLinePropertyFunction
//input a0 a1 
//output none
ArrayVector vtkSplineWidgetSetSelectedLinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSelectedLineProperty (vtkProperty *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedLineProperty for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp0;
  temp0 = GetVTKPointer<vtkProperty>(arg[1]);
  vtk_pointer->SetSelectedLineProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:GetSelectedLineProperty vtkSplineWidgetGetSelectedLinePropertyFunction
//input a0 
//output y
ArrayVector vtkSplineWidgetGetSelectedLinePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetSelectedLineProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedLineProperty for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetSelectedLineProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetNumberOfHandles vtkSplineWidgetSetNumberOfHandlesFunction
//input a0 a1 
//output none
ArrayVector vtkSplineWidgetSetNumberOfHandlesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetNumberOfHandles (int npts); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfHandles for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfHandles(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:GetNumberOfHandles vtkSplineWidgetGetNumberOfHandlesFunction
//input a0 
//output y
ArrayVector vtkSplineWidgetGetNumberOfHandlesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfHandles (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfHandles for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfHandles();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetResolution vtkSplineWidgetSetResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkSplineWidgetSetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResolution (int resolution); */
  if (arg.size() < 2) 
    throw Exception("Function SetResolution for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:GetResolution vtkSplineWidgetGetResolutionFunction
//input a0 
//output y
ArrayVector vtkSplineWidgetGetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolution for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetParametricSpline vtkSplineWidgetSetParametricSplineFunction
//input a0 a1 
//output none
ArrayVector vtkSplineWidgetSetParametricSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetParametricSpline (vtkParametricSpline *); */
  if (arg.size() < 2) 
    throw Exception("Function SetParametricSpline for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtkParametricSpline  *temp0;
  temp0 = GetVTKPointer<vtkParametricSpline>(arg[1]);
  vtk_pointer->SetParametricSpline(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:GetParametricSpline vtkSplineWidgetGetParametricSplineFunction
//input a0 
//output y
ArrayVector vtkSplineWidgetGetParametricSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricSpline *GetParametricSpline (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParametricSpline for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtkParametricSpline  *temp20;
  temp20 = (vtk_pointer)->GetParametricSpline();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetHandlePosition__1 vtkSplineWidgetSetHandlePosition__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkSplineWidgetSetHandlePosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandlePosition (int handle, double x, double y, double z); */
  if (arg.size() < 5) 
    throw Exception("Function SetHandlePosition__1 for class vtkSplineWidget requires 5 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetHandlePosition(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetHandlePosition__2 vtkSplineWidgetSetHandlePosition__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkSplineWidgetSetHandlePosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandlePosition (int handle, double xyz[3]); */
  if (arg.size() < 3) 
    throw Exception("Function SetHandlePosition__2 for class vtkSplineWidget requires 3 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->SetHandlePosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:GetHandlePosition__1 vtkSplineWidgetGetHandlePosition__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkSplineWidgetGetHandlePosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetHandlePosition (int handle, double xyz[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetHandlePosition__1 for class vtkSplineWidget requires 3 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetHandlePosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:GetHandlePosition__2 vtkSplineWidgetGetHandlePosition__2Function
//input a0 a1 
//output y
ArrayVector vtkSplineWidgetGetHandlePosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetHandlePosition (int handle); */
  if (arg.size() < 2) 
    throw Exception("Function GetHandlePosition__2 for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetHandlePosition(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:SetClosed vtkSplineWidgetSetClosedFunction
//input a0 a1 
//output none
ArrayVector vtkSplineWidgetSetClosedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClosed (int closed); */
  if (arg.size() < 2) 
    throw Exception("Function SetClosed for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClosed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:GetClosed vtkSplineWidgetGetClosedFunction
//input a0 
//output y
ArrayVector vtkSplineWidgetGetClosedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClosed (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClosed for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClosed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:ClosedOn vtkSplineWidgetClosedOnFunction
//input a0 
//output none
ArrayVector vtkSplineWidgetClosedOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClosedOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ClosedOn for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtk_pointer->ClosedOn();
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:ClosedOff vtkSplineWidgetClosedOffFunction
//input a0 
//output none
ArrayVector vtkSplineWidgetClosedOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClosedOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ClosedOff for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtk_pointer->ClosedOff();
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:IsClosed vtkSplineWidgetIsClosedFunction
//input a0 
//output y
ArrayVector vtkSplineWidgetIsClosedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsClosed (); */
  if (arg.size() < 1) 
    throw Exception("Function IsClosed for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsClosed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:GetSummedLength vtkSplineWidgetGetSummedLengthFunction
//input a0 
//output y
ArrayVector vtkSplineWidgetGetSummedLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSummedLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSummedLength for class vtkSplineWidget requires 1 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSummedLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:InitializeHandles vtkSplineWidgetInitializeHandlesFunction
//input a0 a1 
//output none
ArrayVector vtkSplineWidgetInitializeHandlesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitializeHandles (vtkPoints *points); */
  if (arg.size() < 2) 
    throw Exception("Function InitializeHandles for class vtkSplineWidget requires 2 argument(s)");
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->InitializeHandles(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget:PlaceWidget vtkSplineWidgetPlaceWidgetFunction
//input varargin
//output varargout
ArrayVector vtkSplineWidgetPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSplineWidgetPlaceWidget__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkSplineWidgetPlaceWidget__2Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkSplineWidgetPlaceWidget__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSplineWidgetPlaceWidget");
}

//@@Signature
//sfunction @vtkSplineWidget:SetHandlePosition vtkSplineWidgetSetHandlePositionFunction
//input varargin
//output varargout
ArrayVector vtkSplineWidgetSetHandlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkSplineWidgetSetHandlePosition__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkSplineWidgetSetHandlePosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSplineWidgetSetHandlePosition");
}

//@@Signature
//sfunction @vtkSplineWidget:GetHandlePosition vtkSplineWidgetGetHandlePositionFunction
//input varargin
//output varargout
ArrayVector vtkSplineWidgetGetHandlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkSplineWidgetGetHandlePosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkSplineWidgetGetHandlePosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSplineWidgetGetHandlePosition");
}

//@@Signature
//sfunction @vtkSplineWidget:display vtkSplineWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSplineWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSplineWidget* vtk_pointer = GetVTKPointer<vtkSplineWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSplineWidget:delete vtkSplineWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkSplineWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSplineWidget
//@@Section VTKWidgets
//@@Usage
// This 3D widget defines a spline that can be interactively placed in a
// scene. The spline has handles, the number of which can be changed, plus it
// can be picked on the spline itself to translate or rotate it in the scene.
// A nice feature of the object is that the vtkSplineWidget, like any 3D
// widget, will work with the current interactor style. That is, if
// vtkSplineWidget does not handle an event, then all other registered
// observers (including the interactor style) have an opportunity to process
// the event. Otherwise, the vtkSplineWidget will terminate the processing of
// the event that it handles.
//
// To use this object, just invoke SetInteractor() with the argument of the
// method a vtkRenderWindowInteractor.  You may also wish to invoke
// "PlaceWidget()" to initially position the widget. The interactor will act
// normally until the "i" key (for "interactor") is pressed, at which point the
// vtkSplineWidget will appear. (See superclass documentation for information
// about changing this behavior.) Events that occur outside of the widget
// (i.e., no part of the widget is picked) are propagated to any other
// registered obsevers (such as the interaction style).  Turn off the widget
// by pressing the "i" key again (or invoke the Off() method).
//
// The button actions and key modifiers are as follows for controlling the
// widget:
// 1) left button down on and drag one of the spherical handles to change the
// shape of the spline: the handles act as "control points".
// 2) left button or middle button down on a line segment forming the spline
// allows uniform translation of the widget.
// 3) ctrl + middle button down on the widget enables spinning of the widget
// about its center.
// 4) right button down on the widget enables scaling of the widget. By moving
// the mouse "up" the render window the spline will be made bigger; by moving
// "down" the render window the widget will be made smaller.
// 5) ctrl key + right button down on any handle will erase it providing there
// will be two or more points remaining to form a spline.
// 6) shift key + right button down on any line segment will insert a handle
// onto the spline at the cursor position.
//
// The vtkSplineWidget has several methods that can be used in conjunction with
// other VTK objects. The Set/GetResolution() methods control the number of
// subdivisions of the spline; the GetPolyData() method can be used to get the
// polygonal representation and can be used for things like seeding
// streamlines or probing other data sets. Typical usage of the widget is to
// make use of the StartInteractionEvent, InteractionEvent, and
// EndInteractionEvent events. The InteractionEvent is called on mouse motion;
// the other two events are called on button down and button up (either left or
// right button).
//
// Some additional features of this class include the ability to control the
// properties of the widget. You can set the properties of the selected and
// unselected representations of the spline. For example, you can set the
// property for the handles and spline. In addition there are methods to
// constrain the spline so that it is aligned with a plane.  Note that a simple
// ruler widget can be derived by setting the resolution to 1, the number of
// handles to 2, and calling the GetSummedLength method!
//
//To create an instance of class vtkSplineWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkSplineWidget
//@]
//@@Methods
//The class vtkSplineWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSplineWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSplineWidget = obj.NewInstance ()|
// \item @|vtkSplineWidget = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetEnabled (int )| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double bounds[6])| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget ()| -  Methods that satisfy the superclass' API.
//// \item @|obj.PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  Force the spline widget to be projected onto one of the orthogonal planes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the spline to the plane if it is orginally
// not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY
// planes respectively and 3 for arbitrary oblique planes when the widget
// is tied to a vtkPlaneSource.
//// \item @|obj.SetProjectToPlane (int )| -  Force the spline widget to be projected onto one of the orthogonal planes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the spline to the plane if it is orginally
// not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY
// planes respectively and 3 for arbitrary oblique planes when the widget
// is tied to a vtkPlaneSource.
//// \item @|int = obj.GetProjectToPlane ()| -  Force the spline widget to be projected onto one of the orthogonal planes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the spline to the plane if it is orginally
// not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY
// planes respectively and 3 for arbitrary oblique planes when the widget
// is tied to a vtkPlaneSource.
//// \item @|obj.ProjectToPlaneOn ()| -  Force the spline widget to be projected onto one of the orthogonal planes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the spline to the plane if it is orginally
// not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY
// planes respectively and 3 for arbitrary oblique planes when the widget
// is tied to a vtkPlaneSource.
//// \item @|obj.ProjectToPlaneOff ()| -  Force the spline widget to be projected onto one of the orthogonal planes.
// Remember that when the state changes, a ModifiedEvent is invoked.
// This can be used to snap the spline to the plane if it is orginally
// not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY
// planes respectively and 3 for arbitrary oblique planes when the widget
// is tied to a vtkPlaneSource.
//// \item @|obj.SetPlaneSource (vtkPlaneSource plane)| -  Set up a reference to a vtkPlaneSource that could be from another widget
// object, e.g. a vtkPolyDataSourceWidget.
//// \item @|obj.SetProjectionNormal (int )|
// \item @|int = obj.GetProjectionNormalMinValue ()|
// \item @|int = obj.GetProjectionNormalMaxValue ()|
// \item @|int = obj.GetProjectionNormal ()|
// \item @|obj.SetProjectionNormalToXAxes ()|
// \item @|obj.SetProjectionNormalToYAxes ()|
// \item @|obj.SetProjectionNormalToZAxes ()|
// \item @|obj.SetProjectionNormalToOblique ()| -  Set the position of spline handles and points in terms of a plane's
// position. i.e., if ProjectionNormal is 0, all of the x-coordinate
// values of the points are set to position. Any value can be passed (and is
// ignored) to update the spline points when Projection normal is set to 3
// for arbritrary plane orientations.
//// \item @|obj.SetProjectionPosition (double position)| -  Set the position of spline handles and points in terms of a plane's
// position. i.e., if ProjectionNormal is 0, all of the x-coordinate
// values of the points are set to position. Any value can be passed (and is
// ignored) to update the spline points when Projection normal is set to 3
// for arbritrary plane orientations.
//// \item @|double = obj.GetProjectionPosition ()| -  Set the position of spline handles and points in terms of a plane's
// position. i.e., if ProjectionNormal is 0, all of the x-coordinate
// values of the points are set to position. Any value can be passed (and is
// ignored) to update the spline points when Projection normal is set to 3
// for arbritrary plane orientations.
//// \item @|obj.GetPolyData (vtkPolyData pd)| -  Grab the polydata (including points) that defines the spline.  The
// polydata consists of points and line segments numbering Resolution + 1
// and Resoltuion, respectively. Points are guaranteed to be up-to-date when
// either the InteractionEvent or  EndInteraction events are invoked. The
// user provides the vtkPolyData and the points and polyline are added to it.
//// \item @|obj.SetHandleProperty (vtkProperty )| -  Set/Get the handle properties (the spheres are the handles). The
// properties of the handles when selected and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetHandleProperty ()| -  Set/Get the handle properties (the spheres are the handles). The
// properties of the handles when selected and unselected can be manipulated.
//// \item @|obj.SetSelectedHandleProperty (vtkProperty )| -  Set/Get the handle properties (the spheres are the handles). The
// properties of the handles when selected and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetSelectedHandleProperty ()| -  Set/Get the handle properties (the spheres are the handles). The
// properties of the handles when selected and unselected can be manipulated.
//// \item @|obj.SetLineProperty (vtkProperty )| -  Set/Get the line properties. The properties of the line when selected
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetLineProperty ()| -  Set/Get the line properties. The properties of the line when selected
// and unselected can be manipulated.
//// \item @|obj.SetSelectedLineProperty (vtkProperty )| -  Set/Get the line properties. The properties of the line when selected
// and unselected can be manipulated.
//// \item @|vtkProperty = obj.GetSelectedLineProperty ()| -  Set/Get the line properties. The properties of the line when selected
// and unselected can be manipulated.
//// \item @|obj.SetNumberOfHandles (int npts)| -  Set/Get the number of handles for this widget.
//// \item @|int = obj.GetNumberOfHandles ()| -  Set/Get the number of handles for this widget.
//// \item @|obj.SetResolution (int resolution)| -  Set/Get the number of line segments representing the spline for
// this widget.
//// \item @|int = obj.GetResolution ()| -  Set/Get the number of line segments representing the spline for
// this widget.
//// \item @|obj.SetParametricSpline (vtkParametricSpline )| -  Set the parametric spline object. Through vtkParametricSpline's API, the
// user can supply and configure one of currently two types of spline:
// vtkCardinalSpline, vtkKochanekSpline. The widget controls the open
// or closed configuration of the spline.
// WARNING: The widget does not enforce internal consistency so that all
// three are of the same type.
//// \item @|vtkParametricSpline = obj.GetParametricSpline ()| -  Set the parametric spline object. Through vtkParametricSpline's API, the
// user can supply and configure one of currently two types of spline:
// vtkCardinalSpline, vtkKochanekSpline. The widget controls the open
// or closed configuration of the spline.
// WARNING: The widget does not enforce internal consistency so that all
// three are of the same type.
//// \item @|obj.SetHandlePosition (int handle, double x, double y, double z)| -  Set/Get the position of the spline handles. Call GetNumberOfHandles
// to determine the valid range of handle indices.
//// \item @|obj.SetHandlePosition (int handle, double xyz[3])| -  Set/Get the position of the spline handles. Call GetNumberOfHandles
// to determine the valid range of handle indices.
//// \item @|obj.GetHandlePosition (int handle, double xyz[3])| -  Set/Get the position of the spline handles. Call GetNumberOfHandles
// to determine the valid range of handle indices.
//// \item @|double = obj.GetHandlePosition (int handle)| -  Set/Get the position of the spline handles. Call GetNumberOfHandles
// to determine the valid range of handle indices.
//// \item @|obj.SetClosed (int closed)| -  Control whether the spline is open or closed. A closed spline forms
// a continuous loop: the first and last points are the same, and
// derivatives are continuous.  A minimum of 3 handles are required to
// form a closed loop.  This method enforces consistency with
// user supplied subclasses of vtkSpline.
//// \item @|int = obj.GetClosed ()| -  Control whether the spline is open or closed. A closed spline forms
// a continuous loop: the first and last points are the same, and
// derivatives are continuous.  A minimum of 3 handles are required to
// form a closed loop.  This method enforces consistency with
// user supplied subclasses of vtkSpline.
//// \item @|obj.ClosedOn ()| -  Control whether the spline is open or closed. A closed spline forms
// a continuous loop: the first and last points are the same, and
// derivatives are continuous.  A minimum of 3 handles are required to
// form a closed loop.  This method enforces consistency with
// user supplied subclasses of vtkSpline.
//// \item @|obj.ClosedOff ()| -  Control whether the spline is open or closed. A closed spline forms
// a continuous loop: the first and last points are the same, and
// derivatives are continuous.  A minimum of 3 handles are required to
// form a closed loop.  This method enforces consistency with
// user supplied subclasses of vtkSpline.
//// \item @|int = obj.IsClosed ()| -  Convenience method to determine whether the spline is
// closed in a geometric sense.  The widget may be set "closed" but still
// be geometrically open (e.g., a straight line).
//// \item @|double = obj.GetSummedLength ()| -  Get the approximate vs. the true arc length of the spline. Calculated as
// the summed lengths of the individual straight line segments. Use
// SetResolution to control the accuracy.
//// \item @|obj.InitializeHandles (vtkPoints points)| -  Convenience method to allocate and set the handles from a vtkPoints
// instance.  If the first and last points are the same, the spline sets
// Closed to the on state and disregards the last point, otherwise Closed
// remains unchanged.
////\end{itemize}
//!
