#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSplineWidget2 object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSplineWidget2.h"

//@@Signature
//sfunction @vtkSplineWidget2:vtkSplineWidget2 vtkSplineWidget2ConstructorFunction
//input a
//output p
//@@Parents vtkSplineWidget2 vtkAbstractWidget 
ArrayVector vtkSplineWidget2ConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSplineWidget2::New(),"vtkSplineWidget2",eval);
  } else if (arg[0].className() == "vtkSplineWidget2") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSplineWidget2"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSplineWidget2");
    vtkSplineWidget2*q = reinterpret_cast<vtkSplineWidget2*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSplineWidget2");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSplineWidget2:GetClassName vtkSplineWidget2GetClassNameFunction
//input a0 
//output y
ArrayVector vtkSplineWidget2GetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSplineWidget2 requires 1 argument(s)");
  vtkSplineWidget2* vtk_pointer = GetVTKPointer<vtkSplineWidget2>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget2:IsA vtkSplineWidget2IsAFunction
//input a0 a1 
//output y
ArrayVector vtkSplineWidget2IsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSplineWidget2 requires 2 argument(s)");
  vtkSplineWidget2* vtk_pointer = GetVTKPointer<vtkSplineWidget2>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget2:NewInstance vtkSplineWidget2NewInstanceFunction
//input a0 
//output y
ArrayVector vtkSplineWidget2NewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSplineWidget2 *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSplineWidget2 requires 1 argument(s)");
  vtkSplineWidget2* vtk_pointer = GetVTKPointer<vtkSplineWidget2>(arg[0]);
  Array retval;
  vtkSplineWidget2  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSplineWidget2",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget2:SafeDownCast vtkSplineWidget2SafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSplineWidget2SafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSplineWidget2 *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSplineWidget2 requires 2 argument(s)");
  vtkSplineWidget2* vtk_pointer = GetVTKPointer<vtkSplineWidget2>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSplineWidget2  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSplineWidget2",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget2:SetRepresentation vtkSplineWidget2SetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkSplineWidget2SetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkSplineRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkSplineWidget2 requires 2 argument(s)");
  vtkSplineWidget2* vtk_pointer = GetVTKPointer<vtkSplineWidget2>(arg[0]);
  Array retval;
  vtkSplineRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkSplineRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget2:CreateDefaultRepresentation vtkSplineWidget2CreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkSplineWidget2CreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkSplineWidget2 requires 1 argument(s)");
  vtkSplineWidget2* vtk_pointer = GetVTKPointer<vtkSplineWidget2>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkSplineWidget2:display vtkSplineWidget2DisplayFunction
//input varargin
//output varargout
ArrayVector vtkSplineWidget2DisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSplineWidget2* vtk_pointer = GetVTKPointer<vtkSplineWidget2>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSplineWidget2:delete vtkSplineWidget2DeleteFunction
//input varargin
//output none
ArrayVector vtkSplineWidget2DeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSplineWidget2
//@@Section VTKWidgets
//@@Usage
// vtkSplineWidget2 is the vtkAbstractWidget subclass for
// vtkSplineRepresentation which manages the interactions with
// vtkSplineRepresentation. This is based on vtkSplineWidget.
//
//To create an instance of class vtkSplineWidget2, simply
//invoke its constructor as follows
//@[
//  obj = vtkSplineWidget2
//@]
//@@Methods
//The class vtkSplineWidget2 has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSplineWidget2 class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSplineWidget2 = obj.NewInstance ()|
// \item @|vtkSplineWidget2 = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRepresentation (vtkSplineRepresentation r)| -  Create the default widget representation if one is not set. By default,
// this is an instance of the vtkSplineRepresentation class.
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. By default,
// this is an instance of the vtkSplineRepresentation class.
////\end{itemize}
//!
