#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTensorProbeRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTensorProbeRepresentation.h"

//@@Signature
//sfunction @vtkTensorProbeRepresentation:vtkTensorProbeRepresentation vtkTensorProbeRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkTensorProbeRepresentation vtkWidgetRepresentation 
ArrayVector vtkTensorProbeRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTensorProbeRepresentation::New(),"vtkTensorProbeRepresentation",eval);
  } else if (arg[0].className() == "vtkTensorProbeRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTensorProbeRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTensorProbeRepresentation");
    vtkTensorProbeRepresentation*q = reinterpret_cast<vtkTensorProbeRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTensorProbeRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTensorProbeRepresentation:GetClassName vtkTensorProbeRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTensorProbeRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTensorProbeRepresentation requires 1 argument(s)");
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:IsA vtkTensorProbeRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTensorProbeRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTensorProbeRepresentation requires 2 argument(s)");
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:NewInstance vtkTensorProbeRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTensorProbeRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTensorProbeRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTensorProbeRepresentation requires 1 argument(s)");
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  Array retval;
  vtkTensorProbeRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTensorProbeRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:SafeDownCast vtkTensorProbeRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTensorProbeRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTensorProbeRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTensorProbeRepresentation requires 2 argument(s)");
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTensorProbeRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTensorProbeRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:BuildRepresentation vtkTensorProbeRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkTensorProbeRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkTensorProbeRepresentation requires 1 argument(s)");
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:RenderOpaqueGeometry vtkTensorProbeRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkTensorProbeRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkTensorProbeRepresentation requires 2 argument(s)");
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:SetProbePosition__1 vtkTensorProbeRepresentationSetProbePosition__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTensorProbeRepresentationSetProbePosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProbePosition (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetProbePosition__1 for class vtkTensorProbeRepresentation requires 4 argument(s)");
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetProbePosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:SetProbePosition__2 vtkTensorProbeRepresentationSetProbePosition__2Function
//input a0 a1 
//output none
ArrayVector vtkTensorProbeRepresentationSetProbePosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProbePosition (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetProbePosition__2 for class vtkTensorProbeRepresentation requires 2 argument(s)");
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetProbePosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:GetProbePosition vtkTensorProbeRepresentationGetProbePositionFunction
//input a0 
//output y
ArrayVector vtkTensorProbeRepresentationGetProbePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetProbePosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProbePosition for class vtkTensorProbeRepresentation requires 1 argument(s)");
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetProbePosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:SetProbeCellId vtkTensorProbeRepresentationSetProbeCellIdFunction
//input a0 a1 
//output none
ArrayVector vtkTensorProbeRepresentationSetProbeCellIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProbeCellId (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProbeCellId for class vtkTensorProbeRepresentation requires 2 argument(s)");
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProbeCellId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:GetProbeCellId vtkTensorProbeRepresentationGetProbeCellIdFunction
//input a0 
//output y
ArrayVector vtkTensorProbeRepresentationGetProbeCellIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetProbeCellId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProbeCellId for class vtkTensorProbeRepresentation requires 1 argument(s)");
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetProbeCellId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:SetTrajectory vtkTensorProbeRepresentationSetTrajectoryFunction
//input a0 a1 
//output none
ArrayVector vtkTensorProbeRepresentationSetTrajectoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTrajectory (vtkPolyData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTrajectory for class vtkTensorProbeRepresentation requires 2 argument(s)");
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetTrajectory(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:Initialize vtkTensorProbeRepresentationInitializeFunction
//input a0 
//output none
ArrayVector vtkTensorProbeRepresentationInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkTensorProbeRepresentation requires 1 argument(s)");
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:SelectProbe vtkTensorProbeRepresentationSelectProbeFunction
//input a0 a1 
//output y
ArrayVector vtkTensorProbeRepresentationSelectProbeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int SelectProbe (int pos[2]) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function SelectProbe for class vtkTensorProbeRepresentation requires 2 argument(s)");
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  Array retval;
  int    temp0[2];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->SelectProbe(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:Move vtkTensorProbeRepresentationMoveFunction
//input a0 a1 
//output y
ArrayVector vtkTensorProbeRepresentationMoveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Move (double motionVector[2]); */
  if (arg.size() < 2) 
    throw Exception("Function Move for class vtkTensorProbeRepresentation requires 2 argument(s)");
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->Move(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:GetActors vtkTensorProbeRepresentationGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkTensorProbeRepresentationGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkTensorProbeRepresentation requires 2 argument(s)");
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:ReleaseGraphicsResources vtkTensorProbeRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkTensorProbeRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkTensorProbeRepresentation requires 2 argument(s)");
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:SetProbePosition vtkTensorProbeRepresentationSetProbePositionFunction
//input varargin
//output varargout
ArrayVector vtkTensorProbeRepresentationSetProbePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTensorProbeRepresentationSetProbePosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTensorProbeRepresentationSetProbePosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTensorProbeRepresentationSetProbePosition");
}

//@@Signature
//sfunction @vtkTensorProbeRepresentation:display vtkTensorProbeRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTensorProbeRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTensorProbeRepresentation* vtk_pointer = GetVTKPointer<vtkTensorProbeRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTensorProbeRepresentation:delete vtkTensorProbeRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkTensorProbeRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTensorProbeRepresentation
//@@Section VTKWidgets
//@@Usage
// The class serves as an abstract geometrical representation for the
// vtkTensorProbeWidget. It is left to the concrete implementation to render
// the tensors as it desires. For instance, 
// vtkEllipsoidTensorProbeRepresentation renders the tensors as ellipsoids.
//
//
//To create an instance of class vtkTensorProbeRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkTensorProbeRepresentation
//@]
//@@Methods
//The class vtkTensorProbeRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTensorProbeRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkTensorProbeRepresentation = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkTensorProbeRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|obj.BuildRepresentation ()| -  See vtkWidgetRepresentation for details.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  See vtkWidgetRepresentation for details.
//// \item @|obj.SetProbePosition (double , double , double )| -  Set the position of the Tensor probe.
//// \item @|obj.SetProbePosition (double  a[3])| -  Set the position of the Tensor probe.
//// \item @|double = obj. GetProbePosition ()| -  Set the position of the Tensor probe.
//// \item @|obj.SetProbeCellId (vtkIdType )| -  Set the position of the Tensor probe.
//// \item @|vtkIdType = obj.GetProbeCellId ()| -  Set the position of the Tensor probe.
//// \item @|obj.SetTrajectory (vtkPolyData )| -  Set the trajectory that we are trying to probe tensors on
//// \item @|obj.Initialize ()| -  Set the probe position to a reasonable location on the trajectory.
//// \item @|int = obj.SelectProbe (int pos[2])| -  This method is invoked by the widget during user interaction.
// Can we pick the tensor glyph at the current cursor pos
//// \item @|int = obj.Move (double motionVector[2])| -  INTERNAL - Do not use
// This method is invoked by the widget during user interaction.
// Move probe based on the position and the motion vector.
//// \item @|obj.GetActors (vtkPropCollection )| -  See vtkProp for details.  
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  See vtkProp for details.  
////\end{itemize}
//!
