#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTensorProbeWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTensorProbeWidget.h"

//@@Signature
//sfunction @vtkTensorProbeWidget:vtkTensorProbeWidget vtkTensorProbeWidgetConstructorFunction
//input a
//output p
//@@Parents vtkTensorProbeWidget vtkAbstractWidget 
ArrayVector vtkTensorProbeWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTensorProbeWidget::New(),"vtkTensorProbeWidget",eval);
  } else if (arg[0].className() == "vtkTensorProbeWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTensorProbeWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTensorProbeWidget");
    vtkTensorProbeWidget*q = reinterpret_cast<vtkTensorProbeWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTensorProbeWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTensorProbeWidget:GetClassName vtkTensorProbeWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTensorProbeWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTensorProbeWidget requires 1 argument(s)");
  vtkTensorProbeWidget* vtk_pointer = GetVTKPointer<vtkTensorProbeWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeWidget:IsA vtkTensorProbeWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTensorProbeWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTensorProbeWidget requires 2 argument(s)");
  vtkTensorProbeWidget* vtk_pointer = GetVTKPointer<vtkTensorProbeWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeWidget:NewInstance vtkTensorProbeWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTensorProbeWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTensorProbeWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTensorProbeWidget requires 1 argument(s)");
  vtkTensorProbeWidget* vtk_pointer = GetVTKPointer<vtkTensorProbeWidget>(arg[0]);
  Array retval;
  vtkTensorProbeWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTensorProbeWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeWidget:SafeDownCast vtkTensorProbeWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTensorProbeWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTensorProbeWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTensorProbeWidget requires 2 argument(s)");
  vtkTensorProbeWidget* vtk_pointer = GetVTKPointer<vtkTensorProbeWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTensorProbeWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTensorProbeWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeWidget:SetRepresentation vtkTensorProbeWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkTensorProbeWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkTensorProbeRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkTensorProbeWidget requires 2 argument(s)");
  vtkTensorProbeWidget* vtk_pointer = GetVTKPointer<vtkTensorProbeWidget>(arg[0]);
  Array retval;
  vtkTensorProbeRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkTensorProbeRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeWidget:CreateDefaultRepresentation vtkTensorProbeWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkTensorProbeWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkTensorProbeWidget requires 1 argument(s)");
  vtkTensorProbeWidget* vtk_pointer = GetVTKPointer<vtkTensorProbeWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkTensorProbeWidget:display vtkTensorProbeWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTensorProbeWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTensorProbeWidget* vtk_pointer = GetVTKPointer<vtkTensorProbeWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTensorProbeWidget:delete vtkTensorProbeWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkTensorProbeWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTensorProbeWidget
//@@Section VTKWidgets
//@@Usage
// The class is used to probe tensors on a trajectory. The representation
// (vtkTensorProbeRepresentation) is free to choose its own method of 
// rendering the tensors. For instance vtkEllipsoidTensorProbeRepresentation
// renders the tensors as ellipsoids. The interactions of the widget are 
// controlled by the left mouse button. A left click on the tensor selects
// it. It can dragged around the trajectory to probe the tensors on it.
// 
// For instance dragging the ellipsoid around with 
// vtkEllipsoidTensorProbeRepresentation will manifest itself with the 
// ellipsoid shape changing as needed along the trajectory.
//
//To create an instance of class vtkTensorProbeWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkTensorProbeWidget
//@]
//@@Methods
//The class vtkTensorProbeWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTensorProbeWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK class macros.
//// \item @|int = obj.IsA (string name)| -  Standard VTK class macros.
//// \item @|vtkTensorProbeWidget = obj.NewInstance ()| -  Standard VTK class macros.
//// \item @|vtkTensorProbeWidget = obj.SafeDownCast (vtkObject o)| -  Standard VTK class macros.
//// \item @|obj.SetRepresentation (vtkTensorProbeRepresentation r)| -  See vtkWidgetRepresentation for details.
//// \item @|obj.CreateDefaultRepresentation ()| -  See vtkWidgetRepresentation for details.
////\end{itemize}
//!
