#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTerrainContourLineInterpolator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTerrainContourLineInterpolator.h"

//@@Signature
//sfunction @vtkTerrainContourLineInterpolator:vtkTerrainContourLineInterpolator vtkTerrainContourLineInterpolatorConstructorFunction
//input a
//output p
//@@Parents vtkTerrainContourLineInterpolator vtkContourLineInterpolator 
ArrayVector vtkTerrainContourLineInterpolatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTerrainContourLineInterpolator::New(),"vtkTerrainContourLineInterpolator",eval);
  } else if (arg[0].className() == "vtkTerrainContourLineInterpolator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTerrainContourLineInterpolator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTerrainContourLineInterpolator");
    vtkTerrainContourLineInterpolator*q = reinterpret_cast<vtkTerrainContourLineInterpolator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTerrainContourLineInterpolator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTerrainContourLineInterpolator:GetClassName vtkTerrainContourLineInterpolatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTerrainContourLineInterpolatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTerrainContourLineInterpolator requires 1 argument(s)");
  vtkTerrainContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkTerrainContourLineInterpolator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTerrainContourLineInterpolator:IsA vtkTerrainContourLineInterpolatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTerrainContourLineInterpolatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTerrainContourLineInterpolator requires 2 argument(s)");
  vtkTerrainContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkTerrainContourLineInterpolator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTerrainContourLineInterpolator:NewInstance vtkTerrainContourLineInterpolatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTerrainContourLineInterpolatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTerrainContourLineInterpolator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTerrainContourLineInterpolator requires 1 argument(s)");
  vtkTerrainContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkTerrainContourLineInterpolator>(arg[0]);
  Array retval;
  vtkTerrainContourLineInterpolator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTerrainContourLineInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTerrainContourLineInterpolator:SafeDownCast vtkTerrainContourLineInterpolatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTerrainContourLineInterpolatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTerrainContourLineInterpolator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTerrainContourLineInterpolator requires 2 argument(s)");
  vtkTerrainContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkTerrainContourLineInterpolator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTerrainContourLineInterpolator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTerrainContourLineInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTerrainContourLineInterpolator:InterpolateLine vtkTerrainContourLineInterpolatorInterpolateLineFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkTerrainContourLineInterpolatorInterpolateLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int InterpolateLine (vtkRenderer *ren, vtkContourRepresentation *rep, int idx1, int idx2); */
  if (arg.size() < 5) 
    throw Exception("Function InterpolateLine for class vtkTerrainContourLineInterpolator requires 5 argument(s)");
  vtkTerrainContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkTerrainContourLineInterpolator>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkContourRepresentation  *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkContourRepresentation>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->InterpolateLine(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTerrainContourLineInterpolator:UpdateNode vtkTerrainContourLineInterpolatorUpdateNodeFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkTerrainContourLineInterpolatorUpdateNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int UpdateNode (vtkRenderer *, vtkContourRepresentation *, double *, int ); */
  if (arg.size() < 5) 
    throw Exception("Function UpdateNode for class vtkTerrainContourLineInterpolator requires 5 argument(s)");
  vtkTerrainContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkTerrainContourLineInterpolator>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  vtkContourRepresentation  *temp1;
  double  *temp2;
  int      temp3;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  temp1 = GetVTKPointer<vtkContourRepresentation>(arg[2]);
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->UpdateNode(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTerrainContourLineInterpolator:SetImageData vtkTerrainContourLineInterpolatorSetImageDataFunction
//input a0 a1 
//output none
ArrayVector vtkTerrainContourLineInterpolatorSetImageDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetImageData (vtkImageData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageData for class vtkTerrainContourLineInterpolator requires 2 argument(s)");
  vtkTerrainContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkTerrainContourLineInterpolator>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetImageData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTerrainContourLineInterpolator:GetImageData vtkTerrainContourLineInterpolatorGetImageDataFunction
//input a0 
//output y
ArrayVector vtkTerrainContourLineInterpolatorGetImageDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetImageData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageData for class vtkTerrainContourLineInterpolator requires 1 argument(s)");
  vtkTerrainContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkTerrainContourLineInterpolator>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetImageData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTerrainContourLineInterpolator:GetProjector vtkTerrainContourLineInterpolatorGetProjectorFunction
//input a0 
//output y
ArrayVector vtkTerrainContourLineInterpolatorGetProjectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProjectedTerrainPath *GetProjector (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjector for class vtkTerrainContourLineInterpolator requires 1 argument(s)");
  vtkTerrainContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkTerrainContourLineInterpolator>(arg[0]);
  Array retval;
  vtkProjectedTerrainPath  *temp20;
  temp20 = (vtk_pointer)->GetProjector();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProjectedTerrainPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTerrainContourLineInterpolator:display vtkTerrainContourLineInterpolatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTerrainContourLineInterpolatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTerrainContourLineInterpolator* vtk_pointer = GetVTKPointer<vtkTerrainContourLineInterpolator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTerrainContourLineInterpolator:delete vtkTerrainContourLineInterpolatorDeleteFunction
//input varargin
//output none
ArrayVector vtkTerrainContourLineInterpolatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTerrainContourLineInterpolator
//@@Section VTKWidgets
//@@Usage
// vtkTerrainContourLineInterpolator interpolates nodes on height field data.
// The class is meant to be used in conjunciton with a vtkContourWidget, 
// enabling you to draw paths on terrain data. The class internally uses a 
// vtkProjectedTerrainPath. Users can set kind of interpolation
// desired between two node points by setting the modes of the this filter.
// For instance:
//
// \begin{verbatim}
// contourRepresentation->SetLineInterpolator(interpolator);
// interpolator->SetImageData( demDataFile );
// interpolator->GetProjector()->SetProjectionModeToHug();
// interpolator->SetHeightOffset(25.0);
// \end{verbatim}
//
// You are required to set the ImageData to this class as the height-field 
// image.
//
//
//To create an instance of class vtkTerrainContourLineInterpolator, simply
//invoke its constructor as follows
//@[
//  obj = vtkTerrainContourLineInterpolator
//@]
//@@Methods
//The class vtkTerrainContourLineInterpolator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTerrainContourLineInterpolator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkTerrainContourLineInterpolator = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkTerrainContourLineInterpolator = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|int = obj.InterpolateLine (vtkRenderer ren, vtkContourRepresentation rep, int idx1, int idx2)| -  Interpolate to create lines between contour nodes idx1 and idx2.
// Depending on the projection mode, the interpolated line may either 
// hug the terrain, just connect the two points with a straight line or 
// a non-occluded interpolation. 
// Used internally by vtkContourRepresentation.
//// \item @|int = obj.UpdateNode (vtkRenderer , vtkContourRepresentation , double , int )| -  The interpolator is given a chance to update the node.
// Used internally by vtkContourRepresentation
// Returns 0 if the node (world position) is unchanged.
//// \item @|obj.SetImageData (vtkImageData )| -  Set the height field data. The height field data is a 2D image. The
// scalars in the image represent the height field. This must be set.
//// \item @|vtkImageData = obj.GetImageData ()| -  Set the height field data. The height field data is a 2D image. The
// scalars in the image represent the height field. This must be set.
//// \item @|vtkProjectedTerrainPath = obj.GetProjector ()| -  Get the vtkProjectedTerrainPath operator used to project the terrain
// onto the data. This operator has several modes, See the documentation
// of vtkProjectedTerrainPath. The default mode is to hug the terrain
// data at 0 height offset.
////\end{itemize}
//!
