#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTerrainDataPointPlacer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTerrainDataPointPlacer.h"

//@@Signature
//sfunction @vtkTerrainDataPointPlacer:vtkTerrainDataPointPlacer vtkTerrainDataPointPlacerConstructorFunction
//input a
//output p
//@@Parents vtkTerrainDataPointPlacer vtkPointPlacer 
ArrayVector vtkTerrainDataPointPlacerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTerrainDataPointPlacer::New(),"vtkTerrainDataPointPlacer",eval);
  } else if (arg[0].className() == "vtkTerrainDataPointPlacer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTerrainDataPointPlacer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTerrainDataPointPlacer");
    vtkTerrainDataPointPlacer*q = reinterpret_cast<vtkTerrainDataPointPlacer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTerrainDataPointPlacer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTerrainDataPointPlacer:GetClassName vtkTerrainDataPointPlacerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTerrainDataPointPlacerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTerrainDataPointPlacer requires 1 argument(s)");
  vtkTerrainDataPointPlacer* vtk_pointer = GetVTKPointer<vtkTerrainDataPointPlacer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTerrainDataPointPlacer:IsA vtkTerrainDataPointPlacerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTerrainDataPointPlacerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTerrainDataPointPlacer requires 2 argument(s)");
  vtkTerrainDataPointPlacer* vtk_pointer = GetVTKPointer<vtkTerrainDataPointPlacer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTerrainDataPointPlacer:NewInstance vtkTerrainDataPointPlacerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTerrainDataPointPlacerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTerrainDataPointPlacer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTerrainDataPointPlacer requires 1 argument(s)");
  vtkTerrainDataPointPlacer* vtk_pointer = GetVTKPointer<vtkTerrainDataPointPlacer>(arg[0]);
  Array retval;
  vtkTerrainDataPointPlacer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTerrainDataPointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTerrainDataPointPlacer:SafeDownCast vtkTerrainDataPointPlacerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTerrainDataPointPlacerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTerrainDataPointPlacer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTerrainDataPointPlacer requires 2 argument(s)");
  vtkTerrainDataPointPlacer* vtk_pointer = GetVTKPointer<vtkTerrainDataPointPlacer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTerrainDataPointPlacer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTerrainDataPointPlacer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTerrainDataPointPlacer:AddProp vtkTerrainDataPointPlacerAddPropFunction
//input a0 a1 
//output none
ArrayVector vtkTerrainDataPointPlacerAddPropFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddProp (vtkProp *); */
  if (arg.size() < 2) 
    throw Exception("Function AddProp for class vtkTerrainDataPointPlacer requires 2 argument(s)");
  vtkTerrainDataPointPlacer* vtk_pointer = GetVTKPointer<vtkTerrainDataPointPlacer>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->AddProp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTerrainDataPointPlacer:RemoveAllProps vtkTerrainDataPointPlacerRemoveAllPropsFunction
//input a0 
//output none
ArrayVector vtkTerrainDataPointPlacerRemoveAllPropsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveAllProps (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllProps for class vtkTerrainDataPointPlacer requires 1 argument(s)");
  vtkTerrainDataPointPlacer* vtk_pointer = GetVTKPointer<vtkTerrainDataPointPlacer>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllProps();
  return retval;
}

//@@Signature
//sfunction @vtkTerrainDataPointPlacer:SetHeightOffset vtkTerrainDataPointPlacerSetHeightOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkTerrainDataPointPlacerSetHeightOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHeightOffset (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHeightOffset for class vtkTerrainDataPointPlacer requires 2 argument(s)");
  vtkTerrainDataPointPlacer* vtk_pointer = GetVTKPointer<vtkTerrainDataPointPlacer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHeightOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTerrainDataPointPlacer:GetHeightOffset vtkTerrainDataPointPlacerGetHeightOffsetFunction
//input a0 
//output y
ArrayVector vtkTerrainDataPointPlacerGetHeightOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeightOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeightOffset for class vtkTerrainDataPointPlacer requires 1 argument(s)");
  vtkTerrainDataPointPlacer* vtk_pointer = GetVTKPointer<vtkTerrainDataPointPlacer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeightOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTerrainDataPointPlacer:ComputeWorldPosition__1 vtkTerrainDataPointPlacerComputeWorldPosition__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkTerrainDataPointPlacerComputeWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 5) 
    throw Exception("Function ComputeWorldPosition__1 for class vtkTerrainDataPointPlacer requires 5 argument(s)");
  vtkTerrainDataPointPlacer* vtk_pointer = GetVTKPointer<vtkTerrainDataPointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  double temp2[3];
  double temp3[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeWorldPosition(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTerrainDataPointPlacer:ComputeWorldPosition__2 vtkTerrainDataPointPlacerComputeWorldPosition__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkTerrainDataPointPlacerComputeWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 6) 
    throw Exception("Function ComputeWorldPosition__2 for class vtkTerrainDataPointPlacer requires 6 argument(s)");
  vtkTerrainDataPointPlacer* vtk_pointer = GetVTKPointer<vtkTerrainDataPointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  double temp2[3];
  double temp3[3];
  double temp4[9];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !(arg[10].isVector() && arg[10].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[10].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTerrainDataPointPlacer:ValidateWorldPosition__1 vtkTerrainDataPointPlacerValidateWorldPosition__1Function
//input a0 a1 
//output y
ArrayVector vtkTerrainDataPointPlacerValidateWorldPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ValidateWorldPosition (double worldPos[3]); */
  if (arg.size() < 2) 
    throw Exception("Function ValidateWorldPosition__1 for class vtkTerrainDataPointPlacer requires 2 argument(s)");
  vtkTerrainDataPointPlacer* vtk_pointer = GetVTKPointer<vtkTerrainDataPointPlacer>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateWorldPosition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTerrainDataPointPlacer:ValidateDisplayPosition vtkTerrainDataPointPlacerValidateDisplayPositionFunction
//input a0 a1 a2 
//output y
ArrayVector vtkTerrainDataPointPlacerValidateDisplayPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ValidateDisplayPosition (vtkRenderer *, double displayPos[2]); */
  if (arg.size() < 3) 
    throw Exception("Function ValidateDisplayPosition for class vtkTerrainDataPointPlacer requires 3 argument(s)");
  vtkTerrainDataPointPlacer* vtk_pointer = GetVTKPointer<vtkTerrainDataPointPlacer>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  double temp1[2];
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateDisplayPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTerrainDataPointPlacer:ValidateWorldPosition__2 vtkTerrainDataPointPlacerValidateWorldPosition__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkTerrainDataPointPlacerValidateWorldPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ValidateWorldPosition (double worldPos[3], double worldOrient[9]); */
  if (arg.size() < 3) 
    throw Exception("Function ValidateWorldPosition__2 for class vtkTerrainDataPointPlacer requires 3 argument(s)");
  vtkTerrainDataPointPlacer* vtk_pointer = GetVTKPointer<vtkTerrainDataPointPlacer>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[9];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ValidateWorldPosition(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTerrainDataPointPlacer:GetPropPicker vtkTerrainDataPointPlacerGetPropPickerFunction
//input a0 
//output y
ArrayVector vtkTerrainDataPointPlacerGetPropPickerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPropPicker *GetPropPicker (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPropPicker for class vtkTerrainDataPointPlacer requires 1 argument(s)");
  vtkTerrainDataPointPlacer* vtk_pointer = GetVTKPointer<vtkTerrainDataPointPlacer>(arg[0]);
  Array retval;
  vtkPropPicker  *temp20;
  temp20 = (vtk_pointer)->GetPropPicker();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPropPicker",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTerrainDataPointPlacer:ComputeWorldPosition vtkTerrainDataPointPlacerComputeWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkTerrainDataPointPlacerComputeWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkTerrainDataPointPlacerComputeWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsClass(arg[1],"vtkRenderer") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]))
    return vtkTerrainDataPointPlacerComputeWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTerrainDataPointPlacerComputeWorldPosition");
}

//@@Signature
//sfunction @vtkTerrainDataPointPlacer:ValidateWorldPosition vtkTerrainDataPointPlacerValidateWorldPositionFunction
//input varargin
//output varargout
ArrayVector vtkTerrainDataPointPlacerValidateWorldPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTerrainDataPointPlacerValidateWorldPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkTerrainDataPointPlacerValidateWorldPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTerrainDataPointPlacerValidateWorldPosition");
}

//@@Signature
//sfunction @vtkTerrainDataPointPlacer:display vtkTerrainDataPointPlacerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTerrainDataPointPlacerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTerrainDataPointPlacer* vtk_pointer = GetVTKPointer<vtkTerrainDataPointPlacer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTerrainDataPointPlacer:delete vtkTerrainDataPointPlacerDeleteFunction
//input varargin
//output none
ArrayVector vtkTerrainDataPointPlacerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTerrainDataPointPlacer
//@@Section VTKWidgets
//@@Usage
// vtkTerrainDataPointPlacer dictates the placement of points on height field 
// data. The class takes as input the list of props that represent the terrain
// in a rendered scene. A height offset can be specified to dicatate the 
// placement of points at a certain height above the surface. 
//
// .SECTION Usage
// A typical usage of this class is as follows:
// \begin{verbatim}
// pointPlacer->AddProp(demActor);    // the actor(s) containing the terrain.
// rep->SetPointPlacer(pointPlacer);
// pointPlacer->SetHeightOffset( 100 );
// \end{verbatim}
//
//
//To create an instance of class vtkTerrainDataPointPlacer, simply
//invoke its constructor as follows
//@[
//  obj = vtkTerrainDataPointPlacer
//@]
//@@Methods
//The class vtkTerrainDataPointPlacer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTerrainDataPointPlacer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkTerrainDataPointPlacer = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkTerrainDataPointPlacer = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|obj.AddProp (vtkProp )|
// \item @|obj.RemoveAllProps ()|
// \item @|obj.SetHeightOffset (double )| -  This is the height above (or below) the terrain that the dictated
// point should be placed. Positive values indicate distances above the 
// terrain; negative values indicate distances below the terrain. The 
// default is 0.0. 
//// \item @|double = obj.GetHeightOffset ()| -  This is the height above (or below) the terrain that the dictated
// point should be placed. Positive values indicate distances above the 
// terrain; negative values indicate distances below the terrain. The 
// default is 0.0. 
//// \item @|int = obj.ComputeWorldPosition (vtkRenderer ren, double displayPos[2], double worldPos[3], double worldOrient[9])| -  Given a renderer and a display position in pixel coordinates,
// compute the world position and orientation where this point
// will be placed. This method is typically used by the
// representation to place the point initially.
// For the Terrain point placer this computes world points that
// lie at the specified height above the terrain.
//// \item @|int = obj.ComputeWorldPosition (vtkRenderer ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9])| -  Given a renderer, a display position, and a reference world
// position, compute the new world position and orientation 
// of this point. This method is typically used by the 
// representation to move the point.
//// \item @|int = obj.ValidateWorldPosition (double worldPos[3])| -  Given a world position check the validity of this 
// position according to the constraints of the placer
//// \item @|int = obj.ValidateDisplayPosition (vtkRenderer , double displayPos[2])| -  Given a display position, check the validity of this position.
//// \item @|int = obj.ValidateWorldPosition (double worldPos[3], double worldOrient[9])| -  Given a world position and a world orientation,
// validate it according to the constraints of the placer.
//// \item @|vtkPropPicker = obj.GetPropPicker ()| -  Get the Prop picker.
////\end{itemize}
//!
