#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTextRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTextRepresentation.h"

//@@Signature
//sfunction @vtkTextRepresentation:vtkTextRepresentation vtkTextRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkTextRepresentation vtkBorderRepresentation 
ArrayVector vtkTextRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTextRepresentation::New(),"vtkTextRepresentation",eval);
  } else if (arg[0].className() == "vtkTextRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTextRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTextRepresentation");
    vtkTextRepresentation*q = reinterpret_cast<vtkTextRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTextRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTextRepresentation:GetClassName vtkTextRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTextRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTextRepresentation requires 1 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:IsA vtkTextRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTextRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTextRepresentation requires 2 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:NewInstance vtkTextRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTextRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTextRepresentation requires 1 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  vtkTextRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:SafeDownCast vtkTextRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTextRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTextRepresentation requires 2 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTextRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:SetTextActor vtkTextRepresentationSetTextActorFunction
//input a0 a1 
//output none
ArrayVector vtkTextRepresentationSetTextActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextActor (vtkTextActor *textActor); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextActor for class vtkTextRepresentation requires 2 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  vtkTextActor  *temp0;
  temp0 = GetVTKPointer<vtkTextActor>(arg[1]);
  vtk_pointer->SetTextActor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:GetTextActor vtkTextRepresentationGetTextActorFunction
//input a0 
//output y
ArrayVector vtkTextRepresentationGetTextActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextActor *GetTextActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextActor for class vtkTextRepresentation requires 1 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  vtkTextActor  *temp20;
  temp20 = (vtk_pointer)->GetTextActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:SetText vtkTextRepresentationSetTextFunction
//input a0 a1 
//output none
ArrayVector vtkTextRepresentationSetTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetText (const char *text); */
  if (arg.size() < 2) 
    throw Exception("Function SetText for class vtkTextRepresentation requires 2 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:GetText vtkTextRepresentationGetTextFunction
//input a0 
//output y
ArrayVector vtkTextRepresentationGetTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetText for class vtkTextRepresentation requires 1 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:BuildRepresentation vtkTextRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkTextRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkTextRepresentation requires 1 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:GetSize vtkTextRepresentationGetSizeFunction
//input a0 a1 
//output none
ArrayVector vtkTextRepresentationGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetSize (double size[2]);size size  */
  if (arg.size() < 2) 
    throw Exception("Function GetSize for class vtkTextRepresentation requires 2 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:GetActors2D vtkTextRepresentationGetActors2DFunction
//input a0 a1 
//output none
ArrayVector vtkTextRepresentationGetActors2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors2D (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors2D for class vtkTextRepresentation requires 2 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:ReleaseGraphicsResources vtkTextRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkTextRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkTextRepresentation requires 2 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:RenderOverlay vtkTextRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkTextRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkTextRepresentation requires 2 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:RenderOpaqueGeometry vtkTextRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkTextRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkTextRepresentation requires 2 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:RenderTranslucentPolygonalGeometry vtkTextRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkTextRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkTextRepresentation requires 2 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:HasTranslucentPolygonalGeometry vtkTextRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkTextRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkTextRepresentation requires 1 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:SetWindowLocation vtkTextRepresentationSetWindowLocationFunction
//input a0 a1 
//output none
ArrayVector vtkTextRepresentationSetWindowLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetWindowLocation (int enumLocation); */
  if (arg.size() < 2) 
    throw Exception("Function SetWindowLocation for class vtkTextRepresentation requires 2 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWindowLocation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:GetWindowLocation vtkTextRepresentationGetWindowLocationFunction
//input a0 
//output y
ArrayVector vtkTextRepresentationGetWindowLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWindowLocation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWindowLocation for class vtkTextRepresentation requires 1 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWindowLocation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:SetPosition__1 vtkTextRepresentationSetPosition__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkTextRepresentationSetPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPosition (double x, double y); */
  if (arg.size() < 3) 
    throw Exception("Function SetPosition__1 for class vtkTextRepresentation requires 3 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetPosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:SetPosition__2 vtkTextRepresentationSetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkTextRepresentationSetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPosition (double pos[2]);this SetPosition pos pos  */
  if (arg.size() < 2) 
    throw Exception("Function SetPosition__2 for class vtkTextRepresentation requires 2 argument(s)");
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextRepresentation:SetPosition vtkTextRepresentationSetPositionFunction
//input varargin
//output varargout
ArrayVector vtkTextRepresentationSetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkTextRepresentationSetPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTextRepresentationSetPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextRepresentationSetPosition");
}

//@@Signature
//sfunction @vtkTextRepresentation:display vtkTextRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTextRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTextRepresentation* vtk_pointer = GetVTKPointer<vtkTextRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTextRepresentation:delete vtkTextRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkTextRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTextRepresentation
//@@Section VTKWidgets
//@@Usage
// This class represents text for a vtkTextWidget.  This class provides
// support for interactively placing text on the 2D overlay plane. The text
// is defined by an instance of vtkTextActor.
//
//To create an instance of class vtkTextRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkTextRepresentation
//@]
//@@Methods
//The class vtkTextRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTextRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK methods.
//// \item @|vtkTextRepresentation = obj.NewInstance ()| -  Standard VTK methods.
//// \item @|vtkTextRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard VTK methods.
//// \item @|obj.SetTextActor (vtkTextActor textActor)| -  Specify the vtkTextActor to manage. If not specified, then one
// is automatically created.
//// \item @|vtkTextActor = obj.GetTextActor ()| -  Specify the vtkTextActor to manage. If not specified, then one
// is automatically created.
//// \item @|obj.SetText (string text)| -  Get/Set the text string display by this representation.
//// \item @|string = obj.GetText ()| -  Get/Set the text string display by this representation.
//// \item @|obj.BuildRepresentation ()| -  Satisfy the superclasses API.
//// \item @|obj.GetSize (double size[2])| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|obj.GetActors2D (vtkPropCollection )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderOverlay (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  These methods are necessary to make this representation behave as
// a vtkProp.
//// \item @|obj.SetWindowLocation (int enumLocation)| -  Set the text position, by enumeration (
// AnyLocation = 0,
// LowerLeftCorner,
// LowerRightCorner,
// LowerCenter,
// UpperLeftCorner,
// UpperRightCorner,
// UpperCenter)
// related to the render window
//// \item @|int = obj.GetWindowLocation ()| -  Set the text position, by enumeration (
// AnyLocation = 0,
// LowerLeftCorner,
// LowerRightCorner,
// LowerCenter,
// UpperLeftCorner,
// UpperRightCorner,
// UpperCenter)
// related to the render window
//// \item @|obj.SetPosition (double x, double y)| -  Set the text position, by overiding the same function of
// vtkBorderRepresentation so that the Modified() will be called.
//// \item @|obj.SetPosition (double pos[2])| -  Set the text position, by overiding the same function of
// vtkBorderRepresentation so that the Modified() will be called.
////\end{itemize}
//!
