#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTextWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTextWidget.h"

//@@Signature
//sfunction @vtkTextWidget:vtkTextWidget vtkTextWidgetConstructorFunction
//input a
//output p
//@@Parents vtkTextWidget vtkBorderWidget 
ArrayVector vtkTextWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTextWidget::New(),"vtkTextWidget",eval);
  } else if (arg[0].className() == "vtkTextWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTextWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTextWidget");
    vtkTextWidget*q = reinterpret_cast<vtkTextWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTextWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTextWidget:GetClassName vtkTextWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTextWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTextWidget requires 1 argument(s)");
  vtkTextWidget* vtk_pointer = GetVTKPointer<vtkTextWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextWidget:IsA vtkTextWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTextWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTextWidget requires 2 argument(s)");
  vtkTextWidget* vtk_pointer = GetVTKPointer<vtkTextWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextWidget:NewInstance vtkTextWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTextWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTextWidget requires 1 argument(s)");
  vtkTextWidget* vtk_pointer = GetVTKPointer<vtkTextWidget>(arg[0]);
  Array retval;
  vtkTextWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextWidget:SafeDownCast vtkTextWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTextWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTextWidget requires 2 argument(s)");
  vtkTextWidget* vtk_pointer = GetVTKPointer<vtkTextWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTextWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextWidget:SetRepresentation vtkTextWidgetSetRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkTextWidgetSetRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepresentation (vtkTextRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRepresentation for class vtkTextWidget requires 2 argument(s)");
  vtkTextWidget* vtk_pointer = GetVTKPointer<vtkTextWidget>(arg[0]);
  Array retval;
  vtkTextRepresentation  *temp0;
  temp0 = GetVTKPointer<vtkTextRepresentation>(arg[1]);
  vtk_pointer->SetRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextWidget:SetTextActor vtkTextWidgetSetTextActorFunction
//input a0 a1 
//output none
ArrayVector vtkTextWidgetSetTextActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextActor (vtkTextActor *textActor); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextActor for class vtkTextWidget requires 2 argument(s)");
  vtkTextWidget* vtk_pointer = GetVTKPointer<vtkTextWidget>(arg[0]);
  Array retval;
  vtkTextActor  *temp0;
  temp0 = GetVTKPointer<vtkTextActor>(arg[1]);
  vtk_pointer->SetTextActor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextWidget:GetTextActor vtkTextWidgetGetTextActorFunction
//input a0 
//output y
ArrayVector vtkTextWidgetGetTextActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextActor *GetTextActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextActor for class vtkTextWidget requires 1 argument(s)");
  vtkTextWidget* vtk_pointer = GetVTKPointer<vtkTextWidget>(arg[0]);
  Array retval;
  vtkTextActor  *temp20;
  temp20 = (vtk_pointer)->GetTextActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextWidget:CreateDefaultRepresentation vtkTextWidgetCreateDefaultRepresentationFunction
//input a0 
//output none
ArrayVector vtkTextWidgetCreateDefaultRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CreateDefaultRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultRepresentation for class vtkTextWidget requires 1 argument(s)");
  vtkTextWidget* vtk_pointer = GetVTKPointer<vtkTextWidget>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkTextWidget:display vtkTextWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTextWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTextWidget* vtk_pointer = GetVTKPointer<vtkTextWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTextWidget:delete vtkTextWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkTextWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTextWidget
//@@Section VTKWidgets
//@@Usage
// This class provides support for interactively placing text on the 2D
// overlay plane. The text is defined by an instance of vtkTextActor. It uses
// the event bindings of its superclass (vtkBorderWidget). In addition, when
// the text is selected, the widget emits a WidgetActivateEvent that
// observers can watch for. This is useful for opening GUI dialogues to
// adjust font characteristics, etc. (Please see the superclass for a
// description of event bindings.)
//
//To create an instance of class vtkTextWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkTextWidget
//@]
//@@Methods
//The class vtkTextWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTextWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard VTK methods.
//// \item @|int = obj.IsA (string name)| -  Standard VTK methods.
//// \item @|vtkTextWidget = obj.NewInstance ()| -  Standard VTK methods.
//// \item @|vtkTextWidget = obj.SafeDownCast (vtkObject o)| -  Standard VTK methods.
//// \item @|obj.SetRepresentation (vtkTextRepresentation r)| -  Specify a vtkTextActor to manage. This is a convenient, alternative
// method to specify the representation for the widget (i.e., used instead
// of SetRepresentation()). It internally creates a vtkTextRepresentation
// and then invokes vtkTextRepresentation::SetTextActor().
//// \item @|obj.SetTextActor (vtkTextActor textActor)| -  Specify a vtkTextActor to manage. This is a convenient, alternative
// method to specify the representation for the widget (i.e., used instead
// of SetRepresentation()). It internally creates a vtkTextRepresentation
// and then invokes vtkTextRepresentation::SetTextActor().
//// \item @|vtkTextActor = obj.GetTextActor ()| -  Specify a vtkTextActor to manage. This is a convenient, alternative
// method to specify the representation for the widget (i.e., used instead
// of SetRepresentation()). It internally creates a vtkTextRepresentation
// and then invokes vtkTextRepresentation::SetTextActor().
//// \item @|obj.CreateDefaultRepresentation ()| -  Create the default widget representation if one is not set. 
////\end{itemize}
//!
