#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWidgetCallbackMapper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWidgetCallbackMapper.h"

//@@Signature
//sfunction @vtkWidgetCallbackMapper:vtkWidgetCallbackMapper vtkWidgetCallbackMapperConstructorFunction
//input a
//output p
//@@Parents vtkWidgetCallbackMapper vtkObject 
ArrayVector vtkWidgetCallbackMapperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWidgetCallbackMapper::New(),"vtkWidgetCallbackMapper",eval);
  } else if (arg[0].className() == "vtkWidgetCallbackMapper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWidgetCallbackMapper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWidgetCallbackMapper");
    vtkWidgetCallbackMapper*q = reinterpret_cast<vtkWidgetCallbackMapper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWidgetCallbackMapper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWidgetCallbackMapper:GetClassName vtkWidgetCallbackMapperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWidgetCallbackMapperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWidgetCallbackMapper requires 1 argument(s)");
  vtkWidgetCallbackMapper* vtk_pointer = GetVTKPointer<vtkWidgetCallbackMapper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetCallbackMapper:IsA vtkWidgetCallbackMapperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWidgetCallbackMapperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWidgetCallbackMapper requires 2 argument(s)");
  vtkWidgetCallbackMapper* vtk_pointer = GetVTKPointer<vtkWidgetCallbackMapper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetCallbackMapper:NewInstance vtkWidgetCallbackMapperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWidgetCallbackMapperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWidgetCallbackMapper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWidgetCallbackMapper requires 1 argument(s)");
  vtkWidgetCallbackMapper* vtk_pointer = GetVTKPointer<vtkWidgetCallbackMapper>(arg[0]);
  Array retval;
  vtkWidgetCallbackMapper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWidgetCallbackMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetCallbackMapper:SafeDownCast vtkWidgetCallbackMapperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWidgetCallbackMapperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWidgetCallbackMapper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWidgetCallbackMapper requires 2 argument(s)");
  vtkWidgetCallbackMapper* vtk_pointer = GetVTKPointer<vtkWidgetCallbackMapper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWidgetCallbackMapper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWidgetCallbackMapper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetCallbackMapper:SetEventTranslator vtkWidgetCallbackMapperSetEventTranslatorFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetCallbackMapperSetEventTranslatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEventTranslator (vtkWidgetEventTranslator *t); */
  if (arg.size() < 2) 
    throw Exception("Function SetEventTranslator for class vtkWidgetCallbackMapper requires 2 argument(s)");
  vtkWidgetCallbackMapper* vtk_pointer = GetVTKPointer<vtkWidgetCallbackMapper>(arg[0]);
  Array retval;
  vtkWidgetEventTranslator  *temp0;
  temp0 = GetVTKPointer<vtkWidgetEventTranslator>(arg[1]);
  vtk_pointer->SetEventTranslator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetCallbackMapper:GetEventTranslator vtkWidgetCallbackMapperGetEventTranslatorFunction
//input a0 
//output y
ArrayVector vtkWidgetCallbackMapperGetEventTranslatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWidgetEventTranslator *GetEventTranslator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEventTranslator for class vtkWidgetCallbackMapper requires 1 argument(s)");
  vtkWidgetCallbackMapper* vtk_pointer = GetVTKPointer<vtkWidgetCallbackMapper>(arg[0]);
  Array retval;
  vtkWidgetEventTranslator  *temp20;
  temp20 = (vtk_pointer)->GetEventTranslator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWidgetEventTranslator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetCallbackMapper:InvokeCallback vtkWidgetCallbackMapperInvokeCallbackFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetCallbackMapperInvokeCallbackFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InvokeCallback (unsigned long widgetEvent); */
  if (arg.size() < 2) 
    throw Exception("Function InvokeCallback for class vtkWidgetCallbackMapper requires 2 argument(s)");
  vtkWidgetCallbackMapper* vtk_pointer = GetVTKPointer<vtkWidgetCallbackMapper>(arg[0]);
  Array retval;
  unsigned long     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  vtk_pointer->InvokeCallback(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetCallbackMapper:SetCallbackMethod vtkWidgetCallbackMapperSetCallbackMethodFunction
//input varargin
//output varargout
ArrayVector vtkWidgetCallbackMapperSetCallbackMethodFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkWidgetCallbackMapperSetCallbackMethod");
}

//@@Signature
//sfunction @vtkWidgetCallbackMapper:display vtkWidgetCallbackMapperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWidgetCallbackMapperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWidgetCallbackMapper* vtk_pointer = GetVTKPointer<vtkWidgetCallbackMapper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWidgetCallbackMapper:delete vtkWidgetCallbackMapperDeleteFunction
//input varargin
//output none
ArrayVector vtkWidgetCallbackMapperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWidgetCallbackMapper
//@@Section VTKWidgets
//@@Usage
// vtkWidgetCallbackMapper maps widget events (defined in vtkWidgetEvent.h)
// into static class methods, and provides facilities to invoke the methods.
// This class is templated and meant to be used as an internal helper class
// by the widget classes. The class works in combination with the class
// vtkWidgetEventTranslator, which translates VTK events into widget events.
//
//
//To create an instance of class vtkWidgetCallbackMapper, simply
//invoke its constructor as follows
//@[
//  obj = vtkWidgetCallbackMapper
//@]
//@@Methods
//The class vtkWidgetCallbackMapper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWidgetCallbackMapper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard macros.
//// \item @|int = obj.IsA (string name)| -  Standard macros.
//// \item @|vtkWidgetCallbackMapper = obj.NewInstance ()| -  Standard macros.
//// \item @|vtkWidgetCallbackMapper = obj.SafeDownCast (vtkObject o)| -  Standard macros.
//// \item @|obj.SetEventTranslator (vtkWidgetEventTranslator t)| -  Specify the vtkWidgetEventTranslator to coordinate with.
//// \item @|vtkWidgetEventTranslator = obj.GetEventTranslator ()| -  Specify the vtkWidgetEventTranslator to coordinate with.
//// \item @|obj.InvokeCallback (long widgetEvent)| -  This method invokes the callback given a widget event. A non-zero value
// is returned if the listed event is registered.
////\end{itemize}
//!
