#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWidgetEventTranslator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWidgetEventTranslator.h"

//@@Signature
//sfunction @vtkWidgetEventTranslator:vtkWidgetEventTranslator vtkWidgetEventTranslatorConstructorFunction
//input a
//output p
//@@Parents vtkWidgetEventTranslator vtkObject 
ArrayVector vtkWidgetEventTranslatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWidgetEventTranslator::New(),"vtkWidgetEventTranslator",eval);
  } else if (arg[0].className() == "vtkWidgetEventTranslator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWidgetEventTranslator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWidgetEventTranslator");
    vtkWidgetEventTranslator*q = reinterpret_cast<vtkWidgetEventTranslator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWidgetEventTranslator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWidgetEventTranslator:GetClassName vtkWidgetEventTranslatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWidgetEventTranslatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWidgetEventTranslator requires 1 argument(s)");
  vtkWidgetEventTranslator* vtk_pointer = GetVTKPointer<vtkWidgetEventTranslator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:IsA vtkWidgetEventTranslatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWidgetEventTranslatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWidgetEventTranslator requires 2 argument(s)");
  vtkWidgetEventTranslator* vtk_pointer = GetVTKPointer<vtkWidgetEventTranslator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:NewInstance vtkWidgetEventTranslatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWidgetEventTranslatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWidgetEventTranslator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWidgetEventTranslator requires 1 argument(s)");
  vtkWidgetEventTranslator* vtk_pointer = GetVTKPointer<vtkWidgetEventTranslator>(arg[0]);
  Array retval;
  vtkWidgetEventTranslator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWidgetEventTranslator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:SafeDownCast vtkWidgetEventTranslatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWidgetEventTranslatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWidgetEventTranslator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWidgetEventTranslator requires 2 argument(s)");
  vtkWidgetEventTranslator* vtk_pointer = GetVTKPointer<vtkWidgetEventTranslator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWidgetEventTranslator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWidgetEventTranslator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:SetTranslation__1 vtkWidgetEventTranslatorSetTranslation__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkWidgetEventTranslatorSetTranslation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTranslation (unsigned long VTKEvent, unsigned long widgetEvent); */
  if (arg.size() < 3) 
    throw Exception("Function SetTranslation__1 for class vtkWidgetEventTranslator requires 3 argument(s)");
  vtkWidgetEventTranslator* vtk_pointer = GetVTKPointer<vtkWidgetEventTranslator>(arg[0]);
  Array retval;
  unsigned long     temp0;
  unsigned long     temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned long) arg[2].asDouble();
  vtk_pointer->SetTranslation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:SetTranslation__2 vtkWidgetEventTranslatorSetTranslation__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkWidgetEventTranslatorSetTranslation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTranslation (const char *VTKEvent, const char *widgetEvent); */
  if (arg.size() < 3) 
    throw Exception("Function SetTranslation__2 for class vtkWidgetEventTranslator requires 3 argument(s)");
  vtkWidgetEventTranslator* vtk_pointer = GetVTKPointer<vtkWidgetEventTranslator>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetTranslation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:SetTranslation__3 vtkWidgetEventTranslatorSetTranslation__3Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkWidgetEventTranslatorSetTranslation__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTranslation (unsigned long VTKEvent, int modifier, char keyCode, int repeatCount, const char *keySym, unsigned long widgetEvent); */
  if (arg.size() < 7) 
    throw Exception("Function SetTranslation__3 for class vtkWidgetEventTranslator requires 7 argument(s)");
  vtkWidgetEventTranslator* vtk_pointer = GetVTKPointer<vtkWidgetEventTranslator>(arg[0]);
  Array retval;
  unsigned long     temp0;
  int      temp1;
  char     temp2;
  int      temp3;
  char    *temp4;
  unsigned long     temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (char) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  char tmp_string4[1024];
  strcpy(tmp_string4,qPrintable(arg[5].asString())); 
  temp4 = tmp_string4;
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (unsigned long) arg[6].asDouble();
  vtk_pointer->SetTranslation(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:SetTranslation__4 vtkWidgetEventTranslatorSetTranslation__4Function
//input a0 a1 a2 
//output none
ArrayVector vtkWidgetEventTranslatorSetTranslation__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTranslation (vtkEvent *VTKevent, unsigned long widgetEvent); */
  if (arg.size() < 3) 
    throw Exception("Function SetTranslation__4 for class vtkWidgetEventTranslator requires 3 argument(s)");
  vtkWidgetEventTranslator* vtk_pointer = GetVTKPointer<vtkWidgetEventTranslator>(arg[0]);
  Array retval;
  vtkEvent  *temp0;
  unsigned long     temp1;
  temp0 = GetVTKPointer<vtkEvent>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned long) arg[2].asDouble();
  vtk_pointer->SetTranslation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:GetTranslation__1 vtkWidgetEventTranslatorGetTranslation__1Function
//input a0 a1 
//output y
ArrayVector vtkWidgetEventTranslatorGetTranslation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetTranslation (unsigned long VTKEvent); */
  if (arg.size() < 2) 
    throw Exception("Function GetTranslation__1 for class vtkWidgetEventTranslator requires 2 argument(s)");
  vtkWidgetEventTranslator* vtk_pointer = GetVTKPointer<vtkWidgetEventTranslator>(arg[0]);
  Array retval;
  unsigned long     temp0;
  unsigned long     temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTranslation(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:GetTranslation__2 vtkWidgetEventTranslatorGetTranslation__2Function
//input a0 a1 
//output y
ArrayVector vtkWidgetEventTranslatorGetTranslation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetTranslation (const char *VTKEvent); */
  if (arg.size() < 2) 
    throw Exception("Function GetTranslation__2 for class vtkWidgetEventTranslator requires 2 argument(s)");
  vtkWidgetEventTranslator* vtk_pointer = GetVTKPointer<vtkWidgetEventTranslator>(arg[0]);
  Array retval;
  char    *temp0;
  const char    *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetTranslation(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:GetTranslation__3 vtkWidgetEventTranslatorGetTranslation__3Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkWidgetEventTranslatorGetTranslation__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetTranslation (unsigned long VTKEvent, int modifier, char keyCode, int repeatCount, char *keySym); */
  if (arg.size() < 6) 
    throw Exception("Function GetTranslation__3 for class vtkWidgetEventTranslator requires 6 argument(s)");
  vtkWidgetEventTranslator* vtk_pointer = GetVTKPointer<vtkWidgetEventTranslator>(arg[0]);
  Array retval;
  unsigned long     temp0;
  int      temp1;
  char     temp2;
  int      temp3;
  char    *temp4;
  unsigned long     temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (char) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  char tmp_string4[1024];
  strcpy(tmp_string4,qPrintable(arg[5].asString())); 
  temp4 = tmp_string4;
  temp20 = (vtk_pointer)->GetTranslation(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:GetTranslation__4 vtkWidgetEventTranslatorGetTranslation__4Function
//input a0 a1 
//output y
ArrayVector vtkWidgetEventTranslatorGetTranslation__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetTranslation (vtkEvent *VTKEvent); */
  if (arg.size() < 2) 
    throw Exception("Function GetTranslation__4 for class vtkWidgetEventTranslator requires 2 argument(s)");
  vtkWidgetEventTranslator* vtk_pointer = GetVTKPointer<vtkWidgetEventTranslator>(arg[0]);
  Array retval;
  vtkEvent  *temp0;
  unsigned long     temp20;
  temp0 = GetVTKPointer<vtkEvent>(arg[1]);
  temp20 = (vtk_pointer)->GetTranslation(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:RemoveTranslation__1 vtkWidgetEventTranslatorRemoveTranslation__1Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkWidgetEventTranslatorRemoveTranslation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RemoveTranslation (unsigned long VTKEvent, int modifier, char keyCode, int repeatCount, char *keySym); */
  if (arg.size() < 6) 
    throw Exception("Function RemoveTranslation__1 for class vtkWidgetEventTranslator requires 6 argument(s)");
  vtkWidgetEventTranslator* vtk_pointer = GetVTKPointer<vtkWidgetEventTranslator>(arg[0]);
  Array retval;
  unsigned long     temp0;
  int      temp1;
  char     temp2;
  int      temp3;
  char    *temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (char) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  char tmp_string4[1024];
  strcpy(tmp_string4,qPrintable(arg[5].asString())); 
  temp4 = tmp_string4;
  temp20 = (vtk_pointer)->RemoveTranslation(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:RemoveTranslation__2 vtkWidgetEventTranslatorRemoveTranslation__2Function
//input a0 a1 
//output y
ArrayVector vtkWidgetEventTranslatorRemoveTranslation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RemoveTranslation (vtkEvent *e); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveTranslation__2 for class vtkWidgetEventTranslator requires 2 argument(s)");
  vtkWidgetEventTranslator* vtk_pointer = GetVTKPointer<vtkWidgetEventTranslator>(arg[0]);
  Array retval;
  vtkEvent  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkEvent>(arg[1]);
  temp20 = (vtk_pointer)->RemoveTranslation(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:RemoveTranslation__3 vtkWidgetEventTranslatorRemoveTranslation__3Function
//input a0 a1 
//output y
ArrayVector vtkWidgetEventTranslatorRemoveTranslation__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RemoveTranslation (unsigned long VTKEvent); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveTranslation__3 for class vtkWidgetEventTranslator requires 2 argument(s)");
  vtkWidgetEventTranslator* vtk_pointer = GetVTKPointer<vtkWidgetEventTranslator>(arg[0]);
  Array retval;
  unsigned long     temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  temp20 = (vtk_pointer)->RemoveTranslation(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:ClearEvents vtkWidgetEventTranslatorClearEventsFunction
//input a0 
//output none
ArrayVector vtkWidgetEventTranslatorClearEventsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearEvents (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearEvents for class vtkWidgetEventTranslator requires 1 argument(s)");
  vtkWidgetEventTranslator* vtk_pointer = GetVTKPointer<vtkWidgetEventTranslator>(arg[0]);
  Array retval;
  vtk_pointer->ClearEvents();
  return retval;
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:SetTranslation vtkWidgetEventTranslatorSetTranslationFunction
//input varargin
//output varargout
ArrayVector vtkWidgetEventTranslatorSetTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkWidgetEventTranslatorSetTranslation__1Function(nargout,arg,eval);
  if ((arg.size() == 3))
    return vtkWidgetEventTranslatorSetTranslation__2Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[6]))
    return vtkWidgetEventTranslatorSetTranslation__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkEvent") && VTKIsScalarArg(arg[2]))
    return vtkWidgetEventTranslatorSetTranslation__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWidgetEventTranslatorSetTranslation");
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:GetTranslation vtkWidgetEventTranslatorGetTranslationFunction
//input varargin
//output varargout
ArrayVector vtkWidgetEventTranslatorGetTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkWidgetEventTranslatorGetTranslation__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkWidgetEventTranslatorGetTranslation__2Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkWidgetEventTranslatorGetTranslation__3Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkEvent"))
    return vtkWidgetEventTranslatorGetTranslation__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWidgetEventTranslatorGetTranslation");
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:RemoveTranslation vtkWidgetEventTranslatorRemoveTranslationFunction
//input varargin
//output varargout
ArrayVector vtkWidgetEventTranslatorRemoveTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkWidgetEventTranslatorRemoveTranslation__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkEvent"))
    return vtkWidgetEventTranslatorRemoveTranslation__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkWidgetEventTranslatorRemoveTranslation__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWidgetEventTranslatorRemoveTranslation");
}

//@@Signature
//sfunction @vtkWidgetEventTranslator:display vtkWidgetEventTranslatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWidgetEventTranslatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWidgetEventTranslator* vtk_pointer = GetVTKPointer<vtkWidgetEventTranslator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWidgetEventTranslator:delete vtkWidgetEventTranslatorDeleteFunction
//input varargin
//output none
ArrayVector vtkWidgetEventTranslatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWidgetEventTranslator
//@@Section VTKWidgets
//@@Usage
// vtkWidgetEventTranslator maps VTK events (defined on vtkCommand) into
// widget events (defined in vtkWidgetEvent.h). This class is typically used
// in combination with vtkWidgetCallbackMapper, which is responsible for
// translating widget events into method callbacks, and then invoking the 
// callbacks.
//
// This class can be used to define different mappings of VTK events into
// the widget events. Thus widgets can be reconfigured to use different
// event bindings.
//
//To create an instance of class vtkWidgetEventTranslator, simply
//invoke its constructor as follows
//@[
//  obj = vtkWidgetEventTranslator
//@]
//@@Methods
//The class vtkWidgetEventTranslator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWidgetEventTranslator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard macros.
//// \item @|int = obj.IsA (string name)| -  Standard macros.
//// \item @|vtkWidgetEventTranslator = obj.NewInstance ()| -  Standard macros.
//// \item @|vtkWidgetEventTranslator = obj.SafeDownCast (vtkObject o)| -  Standard macros.
//// \item @|obj.SetTranslation (long VTKEvent, long widgetEvent)| -  Use these methods to create the translation from a VTK event to a widget
// event. Specifying vtkWidgetEvent::NoEvent or an empty
// string for the (toEvent) erases the mapping for the event.
//// \item @|obj.SetTranslation (string VTKEvent, string widgetEvent)| -  Use these methods to create the translation from a VTK event to a widget
// event. Specifying vtkWidgetEvent::NoEvent or an empty
// string for the (toEvent) erases the mapping for the event.
//// \item @|obj.SetTranslation (long VTKEvent, int modifier, char keyCode, int repeatCount, string keySym, long widgetEvent)| -  Use these methods to create the translation from a VTK event to a widget
// event. Specifying vtkWidgetEvent::NoEvent or an empty
// string for the (toEvent) erases the mapping for the event.
//// \item @|obj.SetTranslation (vtkEvent VTKevent, long widgetEvent)| -  Use these methods to create the translation from a VTK event to a widget
// event. Specifying vtkWidgetEvent::NoEvent or an empty
// string for the (toEvent) erases the mapping for the event.
//// \item @|long = obj.GetTranslation (long VTKEvent)| -  Translate a VTK event into a widget event. If no event mapping is found,
// then the methods return vtkWidgetEvent::NoEvent or a NULL string.
//// \item @|string = obj.GetTranslation (string VTKEvent)| -  Translate a VTK event into a widget event. If no event mapping is found,
// then the methods return vtkWidgetEvent::NoEvent or a NULL string.
//// \item @|long = obj.GetTranslation (long VTKEvent, int modifier, char keyCode, int repeatCount, string keySym)| -  Translate a VTK event into a widget event. If no event mapping is found,
// then the methods return vtkWidgetEvent::NoEvent or a NULL string.
//// \item @|long = obj.GetTranslation (vtkEvent VTKEvent)| -  Translate a VTK event into a widget event. If no event mapping is found,
// then the methods return vtkWidgetEvent::NoEvent or a NULL string.
//// \item @|int = obj.RemoveTranslation (long VTKEvent, int modifier, char keyCode, int repeatCount, string keySym)| -  Remove translations for a binding. 
// Returns the number of translations removed.
//// \item @|int = obj.RemoveTranslation (vtkEvent e)| -  Remove translations for a binding. 
// Returns the number of translations removed.
//// \item @|int = obj.RemoveTranslation (long VTKEvent)| -  Remove translations for a binding. 
// Returns the number of translations removed.
//// \item @|obj.ClearEvents ()| -  Clear all events from the translator (i.e., no events will be
// translated).
////\end{itemize}
//!
