#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWidgetRepresentation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWidgetRepresentation.h"

//@@Signature
//sfunction @vtkWidgetRepresentation:vtkWidgetRepresentation vtkWidgetRepresentationConstructorFunction
//input a
//output p
//@@Parents vtkWidgetRepresentation vtkProp 
ArrayVector vtkWidgetRepresentationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWidgetRepresentation::New(),"vtkWidgetRepresentation",eval);
  } else if (arg[0].className() == "vtkWidgetRepresentation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWidgetRepresentation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWidgetRepresentation");
    vtkWidgetRepresentation*q = reinterpret_cast<vtkWidgetRepresentation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWidgetRepresentation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWidgetRepresentation:GetClassName vtkWidgetRepresentationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWidgetRepresentationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:IsA vtkWidgetRepresentationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWidgetRepresentationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:NewInstance vtkWidgetRepresentationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWidgetRepresentationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWidgetRepresentation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  vtkWidgetRepresentation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWidgetRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:SafeDownCast vtkWidgetRepresentationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWidgetRepresentationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWidgetRepresentation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWidgetRepresentation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWidgetRepresentation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:SetRenderer vtkWidgetRepresentationSetRendererFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetRepresentationSetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRenderer (vtkRenderer *ren); */
  if (arg.size() < 2) 
    throw Exception("Function SetRenderer for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetRenderer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:GetRenderer vtkWidgetRepresentationGetRendererFunction
//input a0 
//output y
ArrayVector vtkWidgetRepresentationGetRendererFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetRenderer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRenderer for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetRenderer();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:BuildRepresentation vtkWidgetRepresentationBuildRepresentationFunction
//input a0 
//output none
ArrayVector vtkWidgetRepresentationBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function BuildRepresentation for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->BuildRepresentation();
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:PlaceWidget vtkWidgetRepresentationPlaceWidgetFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetRepresentationPlaceWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PlaceWidget (double *); */
  if (arg.size() < 2) 
    throw Exception("Function PlaceWidget for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->PlaceWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:StartWidgetInteraction vtkWidgetRepresentationStartWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetRepresentationStartWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartWidgetInteraction (double eventPos[2]);void eventPos  */
  if (arg.size() < 2) 
    throw Exception("Function StartWidgetInteraction for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->StartWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:WidgetInteraction vtkWidgetRepresentationWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetRepresentationWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void WidgetInteraction (double newEventPos[2]);void newEventPos  */
  if (arg.size() < 2) 
    throw Exception("Function WidgetInteraction for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->WidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:EndWidgetInteraction vtkWidgetRepresentationEndWidgetInteractionFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetRepresentationEndWidgetInteractionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndWidgetInteraction (double newEventPos[2]);void newEventPos  */
  if (arg.size() < 2) 
    throw Exception("Function EndWidgetInteraction for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->EndWidgetInteraction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:ComputeInteractionState vtkWidgetRepresentationComputeInteractionStateFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkWidgetRepresentationComputeInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ComputeInteractionState (int X, int Y, int modify); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeInteractionState for class vtkWidgetRepresentation requires 4 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ComputeInteractionState(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:GetInteractionState vtkWidgetRepresentationGetInteractionStateFunction
//input a0 
//output y
ArrayVector vtkWidgetRepresentationGetInteractionStateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetInteractionState ();return this InteractionState  */
  if (arg.size() < 1) 
    throw Exception("Function GetInteractionState for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInteractionState();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:Highlight vtkWidgetRepresentationHighlightFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetRepresentationHighlightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Highlight (int ); */
  if (arg.size() < 2) 
    throw Exception("Function Highlight for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->Highlight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:SetPlaceFactor vtkWidgetRepresentationSetPlaceFactorFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetRepresentationSetPlaceFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaceFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlaceFactor for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPlaceFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:GetPlaceFactorMinValue vtkWidgetRepresentationGetPlaceFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkWidgetRepresentationGetPlaceFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPlaceFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlaceFactorMinValue for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPlaceFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:GetPlaceFactorMaxValue vtkWidgetRepresentationGetPlaceFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkWidgetRepresentationGetPlaceFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPlaceFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlaceFactorMaxValue for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPlaceFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:GetPlaceFactor vtkWidgetRepresentationGetPlaceFactorFunction
//input a0 
//output y
ArrayVector vtkWidgetRepresentationGetPlaceFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPlaceFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlaceFactor for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPlaceFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:SetHandleSize vtkWidgetRepresentationSetHandleSizeFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetRepresentationSetHandleSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleSize for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHandleSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:GetHandleSizeMinValue vtkWidgetRepresentationGetHandleSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkWidgetRepresentationGetHandleSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHandleSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleSizeMinValue for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHandleSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:GetHandleSizeMaxValue vtkWidgetRepresentationGetHandleSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkWidgetRepresentationGetHandleSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHandleSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleSizeMaxValue for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHandleSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:GetHandleSize vtkWidgetRepresentationGetHandleSizeFunction
//input a0 
//output y
ArrayVector vtkWidgetRepresentationGetHandleSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHandleSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleSize for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHandleSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:GetNeedToRender vtkWidgetRepresentationGetNeedToRenderFunction
//input a0 
//output y
ArrayVector vtkWidgetRepresentationGetNeedToRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNeedToRender (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNeedToRender for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNeedToRender();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:SetNeedToRender vtkWidgetRepresentationSetNeedToRenderFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetRepresentationSetNeedToRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNeedToRender (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNeedToRender for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNeedToRender(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:GetNeedToRenderMinValue vtkWidgetRepresentationGetNeedToRenderMinValueFunction
//input a0 
//output y
ArrayVector vtkWidgetRepresentationGetNeedToRenderMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNeedToRenderMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNeedToRenderMinValue for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNeedToRenderMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:GetNeedToRenderMaxValue vtkWidgetRepresentationGetNeedToRenderMaxValueFunction
//input a0 
//output y
ArrayVector vtkWidgetRepresentationGetNeedToRenderMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNeedToRenderMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNeedToRenderMaxValue for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNeedToRenderMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:NeedToRenderOn vtkWidgetRepresentationNeedToRenderOnFunction
//input a0 
//output none
ArrayVector vtkWidgetRepresentationNeedToRenderOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NeedToRenderOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NeedToRenderOn for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->NeedToRenderOn();
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:NeedToRenderOff vtkWidgetRepresentationNeedToRenderOffFunction
//input a0 
//output none
ArrayVector vtkWidgetRepresentationNeedToRenderOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NeedToRenderOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NeedToRenderOff for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  vtk_pointer->NeedToRenderOff();
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:GetBounds vtkWidgetRepresentationGetBoundsFunction
//input a0 
//output y
ArrayVector vtkWidgetRepresentationGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetBounds ();return NULL  */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:ShallowCopy vtkWidgetRepresentationShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetRepresentationShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:GetActors vtkWidgetRepresentationGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetRepresentationGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:GetActors2D vtkWidgetRepresentationGetActors2DFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetRepresentationGetActors2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors2D (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors2D for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:GetVolumes vtkWidgetRepresentationGetVolumesFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetRepresentationGetVolumesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetVolumes (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetVolumes for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetVolumes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:ReleaseGraphicsResources vtkWidgetRepresentationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetRepresentationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:RenderOverlay vtkWidgetRepresentationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkWidgetRepresentationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *);return  */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:RenderOpaqueGeometry vtkWidgetRepresentationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkWidgetRepresentationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *);return  */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:RenderTranslucentPolygonalGeometry vtkWidgetRepresentationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkWidgetRepresentationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);return  */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:RenderVolumetricGeometry vtkWidgetRepresentationRenderVolumetricGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkWidgetRepresentationRenderVolumetricGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderVolumetricGeometry (vtkViewport *);return  */
  if (arg.size() < 2) 
    throw Exception("Function RenderVolumetricGeometry for class vtkWidgetRepresentation requires 2 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderVolumetricGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:HasTranslucentPolygonalGeometry vtkWidgetRepresentationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkWidgetRepresentationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry ();return  */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkWidgetRepresentation requires 1 argument(s)");
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetRepresentation:display vtkWidgetRepresentationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWidgetRepresentationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWidgetRepresentation* vtk_pointer = GetVTKPointer<vtkWidgetRepresentation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWidgetRepresentation:delete vtkWidgetRepresentationDeleteFunction
//input varargin
//output none
ArrayVector vtkWidgetRepresentationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWidgetRepresentation
//@@Section VTKWidgets
//@@Usage
// This class is used to define the API for, and partially implement, a
// representation for different types of widgets. Note that the widget
// representation (i.e., subclasses of vtkWidgetRepresentation) are a type of
// vtkProp; meaning that they can be associated with a vtkRenderer end
// embedded in a scene like any other vtkActor. However,
// vtkWidgetRepresentation also defines an API that enables it to be paired
// with a subclass vtkAbstractWidget, meaning that it can be driven by a
// widget, serving to represent the widget as the widget responds to
// registered events. 
//
// The API defined here should be regarded as a guideline for implementing
// widgets and widget representations. Widget behavior is complex, as is the
// way the representation responds to the registered widget events, so the API
// may vary from widget to widget to reflect this complexity.
//
//To create an instance of class vtkWidgetRepresentation, simply
//invoke its constructor as follows
//@[
//  obj = vtkWidgetRepresentation
//@]
//@@Methods
//The class vtkWidgetRepresentation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWidgetRepresentation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instances of this class.
//// \item @|vtkWidgetRepresentation = obj.NewInstance ()| -  Standard methods for instances of this class.
//// \item @|vtkWidgetRepresentation = obj.SafeDownCast (vtkObject o)| -  Standard methods for instances of this class.
//// \item @|obj.SetRenderer (vtkRenderer ren)| -  Subclasses of vtkWidgetRepresentation must implement these methods. This is
// considered the minimum API for a widget representation.
// <pre>
// SetRenderer() - the renderer in which the widget is to appear must be set.
// BuildRepresentation() - update the geometry of the widget based on its
//                         current state.
// </pre>
// WARNING: The renderer is NOT reference counted by the representation,
// in order to avoid reference loops.  Be sure that the representation
// lifetime does not extend beyond the renderer lifetime.
//// \item @|vtkRenderer = obj.GetRenderer ()| -  Subclasses of vtkWidgetRepresentation must implement these methods. This is
// considered the minimum API for a widget representation.
// <pre>
// SetRenderer() - the renderer in which the widget is to appear must be set.
// BuildRepresentation() - update the geometry of the widget based on its
//                         current state.
// </pre>
// WARNING: The renderer is NOT reference counted by the representation,
// in order to avoid reference loops.  Be sure that the representation
// lifetime does not extend beyond the renderer lifetime.
//// \item @|obj.BuildRepresentation ()| -  Subclasses of vtkWidgetRepresentation must implement these methods. This is
// considered the minimum API for a widget representation.
// <pre>
// SetRenderer() - the renderer in which the widget is to appear must be set.
// BuildRepresentation() - update the geometry of the widget based on its
//                         current state.
// </pre>
// WARNING: The renderer is NOT reference counted by the representation,
// in order to avoid reference loops.  Be sure that the representation
// lifetime does not extend beyond the renderer lifetime.
//// \item @|obj.PlaceWidget (double )| -  The following is a suggested API for widget representations. These methods
// define the communication between the widget and its representation. These
// methods are only suggestions because widgets take on so many different
// forms that a universal API is not deemed practical. However, these methods
// should be implemented when possible to insure that the VTK widget hierarchy
// remains self-consistent.
// <pre>
// PlaceWidget() - given a bounding box (xmin,xmax,ymin,ymax,zmin,zmax), place 
//                 the widget inside of it. The current orientation of the widget 
//                 is preserved, only scaling and translation is performed.
// StartWidgetInteraction() - generally corresponds to a initial event (e.g.,
//                            mouse down) that starts the interaction process
//                            with the widget.
// WidgetInteraction() - invoked when an event causes the widget to change 
//                       appearance.
// EndWidgetInteraction() - generally corresponds to a final event (e.g., mouse up)
//                          and completes the interaction sequence.
// ComputeInteractionState() - given (X,Y) display coordinates in a renderer, with a
//                             possible flag that modifies the computation,
//                             what is the state of the widget?
// GetInteractionState() - return the current state of the widget. Note that the
//                         value of "0" typically refers to "outside". The 
//                         interaction state is strictly a function of the
//                         representation, and the widget/represent must agree
//                         on what they mean.
// Highlight() - turn on or off any highlights associated with the widget.
//               Highlights are generally turned on when the widget is selected.
// </pre>
// Note that subclasses may ignore some of these methods and implement their own
// depending on the specifics of the widget.
//// \item @|obj.StartWidgetInteraction (double eventPos[2])| -  The following is a suggested API for widget representations. These methods
// define the communication between the widget and its representation. These
// methods are only suggestions because widgets take on so many different
// forms that a universal API is not deemed practical. However, these methods
// should be implemented when possible to insure that the VTK widget hierarchy
// remains self-consistent.
// <pre>
// PlaceWidget() - given a bounding box (xmin,xmax,ymin,ymax,zmin,zmax), place 
//                 the widget inside of it. The current orientation of the widget 
//                 is preserved, only scaling and translation is performed.
// StartWidgetInteraction() - generally corresponds to a initial event (e.g.,
//                            mouse down) that starts the interaction process
//                            with the widget.
// WidgetInteraction() - invoked when an event causes the widget to change 
//                       appearance.
// EndWidgetInteraction() - generally corresponds to a final event (e.g., mouse up)
//                          and completes the interaction sequence.
// ComputeInteractionState() - given (X,Y) display coordinates in a renderer, with a
//                             possible flag that modifies the computation,
//                             what is the state of the widget?
// GetInteractionState() - return the current state of the widget. Note that the
//                         value of "0" typically refers to "outside". The 
//                         interaction state is strictly a function of the
//                         representation, and the widget/represent must agree
//                         on what they mean.
// Highlight() - turn on or off any highlights associated with the widget.
//               Highlights are generally turned on when the widget is selected.
// </pre>
// Note that subclasses may ignore some of these methods and implement their own
// depending on the specifics of the widget.
//// \item @|obj.WidgetInteraction (double newEventPos[2])| -  The following is a suggested API for widget representations. These methods
// define the communication between the widget and its representation. These
// methods are only suggestions because widgets take on so many different
// forms that a universal API is not deemed practical. However, these methods
// should be implemented when possible to insure that the VTK widget hierarchy
// remains self-consistent.
// <pre>
// PlaceWidget() - given a bounding box (xmin,xmax,ymin,ymax,zmin,zmax), place 
//                 the widget inside of it. The current orientation of the widget 
//                 is preserved, only scaling and translation is performed.
// StartWidgetInteraction() - generally corresponds to a initial event (e.g.,
//                            mouse down) that starts the interaction process
//                            with the widget.
// WidgetInteraction() - invoked when an event causes the widget to change 
//                       appearance.
// EndWidgetInteraction() - generally corresponds to a final event (e.g., mouse up)
//                          and completes the interaction sequence.
// ComputeInteractionState() - given (X,Y) display coordinates in a renderer, with a
//                             possible flag that modifies the computation,
//                             what is the state of the widget?
// GetInteractionState() - return the current state of the widget. Note that the
//                         value of "0" typically refers to "outside". The 
//                         interaction state is strictly a function of the
//                         representation, and the widget/represent must agree
//                         on what they mean.
// Highlight() - turn on or off any highlights associated with the widget.
//               Highlights are generally turned on when the widget is selected.
// </pre>
// Note that subclasses may ignore some of these methods and implement their own
// depending on the specifics of the widget.
//// \item @|obj.EndWidgetInteraction (double newEventPos[2])| -  The following is a suggested API for widget representations. These methods
// define the communication between the widget and its representation. These
// methods are only suggestions because widgets take on so many different
// forms that a universal API is not deemed practical. However, these methods
// should be implemented when possible to insure that the VTK widget hierarchy
// remains self-consistent.
// <pre>
// PlaceWidget() - given a bounding box (xmin,xmax,ymin,ymax,zmin,zmax), place 
//                 the widget inside of it. The current orientation of the widget 
//                 is preserved, only scaling and translation is performed.
// StartWidgetInteraction() - generally corresponds to a initial event (e.g.,
//                            mouse down) that starts the interaction process
//                            with the widget.
// WidgetInteraction() - invoked when an event causes the widget to change 
//                       appearance.
// EndWidgetInteraction() - generally corresponds to a final event (e.g., mouse up)
//                          and completes the interaction sequence.
// ComputeInteractionState() - given (X,Y) display coordinates in a renderer, with a
//                             possible flag that modifies the computation,
//                             what is the state of the widget?
// GetInteractionState() - return the current state of the widget. Note that the
//                         value of "0" typically refers to "outside". The 
//                         interaction state is strictly a function of the
//                         representation, and the widget/represent must agree
//                         on what they mean.
// Highlight() - turn on or off any highlights associated with the widget.
//               Highlights are generally turned on when the widget is selected.
// </pre>
// Note that subclasses may ignore some of these methods and implement their own
// depending on the specifics of the widget.
//// \item @|int = obj.ComputeInteractionState (int X, int Y, int modify)| -  The following is a suggested API for widget representations. These methods
// define the communication between the widget and its representation. These
// methods are only suggestions because widgets take on so many different
// forms that a universal API is not deemed practical. However, these methods
// should be implemented when possible to insure that the VTK widget hierarchy
// remains self-consistent.
// <pre>
// PlaceWidget() - given a bounding box (xmin,xmax,ymin,ymax,zmin,zmax), place 
//                 the widget inside of it. The current orientation of the widget 
//                 is preserved, only scaling and translation is performed.
// StartWidgetInteraction() - generally corresponds to a initial event (e.g.,
//                            mouse down) that starts the interaction process
//                            with the widget.
// WidgetInteraction() - invoked when an event causes the widget to change 
//                       appearance.
// EndWidgetInteraction() - generally corresponds to a final event (e.g., mouse up)
//                          and completes the interaction sequence.
// ComputeInteractionState() - given (X,Y) display coordinates in a renderer, with a
//                             possible flag that modifies the computation,
//                             what is the state of the widget?
// GetInteractionState() - return the current state of the widget. Note that the
//                         value of "0" typically refers to "outside". The 
//                         interaction state is strictly a function of the
//                         representation, and the widget/represent must agree
//                         on what they mean.
// Highlight() - turn on or off any highlights associated with the widget.
//               Highlights are generally turned on when the widget is selected.
// </pre>
// Note that subclasses may ignore some of these methods and implement their own
// depending on the specifics of the widget.
//// \item @|int = obj.GetInteractionState ()| -  The following is a suggested API for widget representations. These methods
// define the communication between the widget and its representation. These
// methods are only suggestions because widgets take on so many different
// forms that a universal API is not deemed practical. However, these methods
// should be implemented when possible to insure that the VTK widget hierarchy
// remains self-consistent.
// <pre>
// PlaceWidget() - given a bounding box (xmin,xmax,ymin,ymax,zmin,zmax), place 
//                 the widget inside of it. The current orientation of the widget 
//                 is preserved, only scaling and translation is performed.
// StartWidgetInteraction() - generally corresponds to a initial event (e.g.,
//                            mouse down) that starts the interaction process
//                            with the widget.
// WidgetInteraction() - invoked when an event causes the widget to change 
//                       appearance.
// EndWidgetInteraction() - generally corresponds to a final event (e.g., mouse up)
//                          and completes the interaction sequence.
// ComputeInteractionState() - given (X,Y) display coordinates in a renderer, with a
//                             possible flag that modifies the computation,
//                             what is the state of the widget?
// GetInteractionState() - return the current state of the widget. Note that the
//                         value of "0" typically refers to "outside". The 
//                         interaction state is strictly a function of the
//                         representation, and the widget/represent must agree
//                         on what they mean.
// Highlight() - turn on or off any highlights associated with the widget.
//               Highlights are generally turned on when the widget is selected.
// </pre>
// Note that subclasses may ignore some of these methods and implement their own
// depending on the specifics of the widget.
//// \item @|obj.Highlight (int )| -  Set/Get a factor representing the scaling of the widget upon placement
// (via the PlaceWidget() method). Normally the widget is placed so that
// it just fits within the bounding box defined in PlaceWidget(bounds).
// The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller
// (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.
//// \item @|obj.SetPlaceFactor (double )| -  Set/Get a factor representing the scaling of the widget upon placement
// (via the PlaceWidget() method). Normally the widget is placed so that
// it just fits within the bounding box defined in PlaceWidget(bounds).
// The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller
// (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.
//// \item @|double = obj.GetPlaceFactorMinValue ()| -  Set/Get a factor representing the scaling of the widget upon placement
// (via the PlaceWidget() method). Normally the widget is placed so that
// it just fits within the bounding box defined in PlaceWidget(bounds).
// The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller
// (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.
//// \item @|double = obj.GetPlaceFactorMaxValue ()| -  Set/Get a factor representing the scaling of the widget upon placement
// (via the PlaceWidget() method). Normally the widget is placed so that
// it just fits within the bounding box defined in PlaceWidget(bounds).
// The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller
// (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.
//// \item @|double = obj.GetPlaceFactor ()| -  Set/Get a factor representing the scaling of the widget upon placement
// (via the PlaceWidget() method). Normally the widget is placed so that
// it just fits within the bounding box defined in PlaceWidget(bounds).
// The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller
// (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.
//// \item @|obj.SetHandleSize (double )| -  Set/Get the factor that controls the size of the handles that appear as
// part of the widget (if any). These handles (like spheres, etc.)  are
// used to manipulate the widget. The HandleSize data member allows you
// to change the relative size of the handles. Note that while the handle
// size is typically expressed in pixels, some subclasses may use a relative size
// with respect to the viewport. (As a corollary, the value of this ivar is often
// set by subclasses of this class during instance instantiation.)
//// \item @|double = obj.GetHandleSizeMinValue ()| -  Set/Get the factor that controls the size of the handles that appear as
// part of the widget (if any). These handles (like spheres, etc.)  are
// used to manipulate the widget. The HandleSize data member allows you
// to change the relative size of the handles. Note that while the handle
// size is typically expressed in pixels, some subclasses may use a relative size
// with respect to the viewport. (As a corollary, the value of this ivar is often
// set by subclasses of this class during instance instantiation.)
//// \item @|double = obj.GetHandleSizeMaxValue ()| -  Set/Get the factor that controls the size of the handles that appear as
// part of the widget (if any). These handles (like spheres, etc.)  are
// used to manipulate the widget. The HandleSize data member allows you
// to change the relative size of the handles. Note that while the handle
// size is typically expressed in pixels, some subclasses may use a relative size
// with respect to the viewport. (As a corollary, the value of this ivar is often
// set by subclasses of this class during instance instantiation.)
//// \item @|double = obj.GetHandleSize ()| -  Set/Get the factor that controls the size of the handles that appear as
// part of the widget (if any). These handles (like spheres, etc.)  are
// used to manipulate the widget. The HandleSize data member allows you
// to change the relative size of the handles. Note that while the handle
// size is typically expressed in pixels, some subclasses may use a relative size
// with respect to the viewport. (As a corollary, the value of this ivar is often
// set by subclasses of this class during instance instantiation.)
//// \item @|int = obj.GetNeedToRender ()| -  Some subclasses use this data member to keep track of whether to render
// or not (i.e., to minimize the total number of renders).
//// \item @|obj.SetNeedToRender (int )| -  Some subclasses use this data member to keep track of whether to render
// or not (i.e., to minimize the total number of renders).
//// \item @|int = obj.GetNeedToRenderMinValue ()| -  Some subclasses use this data member to keep track of whether to render
// or not (i.e., to minimize the total number of renders).
//// \item @|int = obj.GetNeedToRenderMaxValue ()| -  Some subclasses use this data member to keep track of whether to render
// or not (i.e., to minimize the total number of renders).
//// \item @|obj.NeedToRenderOn ()| -  Some subclasses use this data member to keep track of whether to render
// or not (i.e., to minimize the total number of renders).
//// \item @|obj.NeedToRenderOff ()| -  Some subclasses use this data member to keep track of whether to render
// or not (i.e., to minimize the total number of renders).
//// \item @|double = obj.GetBounds ()| -  Methods to make this class behave as a vtkProp. They are repeated here (from the
// vtkProp superclass) as a reminder to the widget implementor. Failure to implement
// these methods properly may result in the representation not appearing in the scene
// (i.e., not implementing the Render() methods properly) or leaking graphics resources
// (i.e., not implementing ReleaseGraphicsResources() properly).
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Methods to make this class behave as a vtkProp. They are repeated here (from the
// vtkProp superclass) as a reminder to the widget implementor. Failure to implement
// these methods properly may result in the representation not appearing in the scene
// (i.e., not implementing the Render() methods properly) or leaking graphics resources
// (i.e., not implementing ReleaseGraphicsResources() properly).
//// \item @|obj.GetActors (vtkPropCollection )| -  Methods to make this class behave as a vtkProp. They are repeated here (from the
// vtkProp superclass) as a reminder to the widget implementor. Failure to implement
// these methods properly may result in the representation not appearing in the scene
// (i.e., not implementing the Render() methods properly) or leaking graphics resources
// (i.e., not implementing ReleaseGraphicsResources() properly).
//// \item @|obj.GetActors2D (vtkPropCollection )| -  Methods to make this class behave as a vtkProp. They are repeated here (from the
// vtkProp superclass) as a reminder to the widget implementor. Failure to implement
// these methods properly may result in the representation not appearing in the scene
// (i.e., not implementing the Render() methods properly) or leaking graphics resources
// (i.e., not implementing ReleaseGraphicsResources() properly).
//// \item @|obj.GetVolumes (vtkPropCollection )| -  Methods to make this class behave as a vtkProp. They are repeated here (from the
// vtkProp superclass) as a reminder to the widget implementor. Failure to implement
// these methods properly may result in the representation not appearing in the scene
// (i.e., not implementing the Render() methods properly) or leaking graphics resources
// (i.e., not implementing ReleaseGraphicsResources() properly).
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Methods to make this class behave as a vtkProp. They are repeated here (from the
// vtkProp superclass) as a reminder to the widget implementor. Failure to implement
// these methods properly may result in the representation not appearing in the scene
// (i.e., not implementing the Render() methods properly) or leaking graphics resources
// (i.e., not implementing ReleaseGraphicsResources() properly).
//// \item @|int = obj.RenderOverlay (vtkViewport )| -  Methods to make this class behave as a vtkProp. They are repeated here (from the
// vtkProp superclass) as a reminder to the widget implementor. Failure to implement
// these methods properly may result in the representation not appearing in the scene
// (i.e., not implementing the Render() methods properly) or leaking graphics resources
// (i.e., not implementing ReleaseGraphicsResources() properly).
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  Methods to make this class behave as a vtkProp. They are repeated here (from the
// vtkProp superclass) as a reminder to the widget implementor. Failure to implement
// these methods properly may result in the representation not appearing in the scene
// (i.e., not implementing the Render() methods properly) or leaking graphics resources
// (i.e., not implementing ReleaseGraphicsResources() properly).
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  Methods to make this class behave as a vtkProp. They are repeated here (from the
// vtkProp superclass) as a reminder to the widget implementor. Failure to implement
// these methods properly may result in the representation not appearing in the scene
// (i.e., not implementing the Render() methods properly) or leaking graphics resources
// (i.e., not implementing ReleaseGraphicsResources() properly).
//// \item @|int = obj.RenderVolumetricGeometry (vtkViewport )| -  Methods to make this class behave as a vtkProp. They are repeated here (from the
// vtkProp superclass) as a reminder to the widget implementor. Failure to implement
// these methods properly may result in the representation not appearing in the scene
// (i.e., not implementing the Render() methods properly) or leaking graphics resources
// (i.e., not implementing ReleaseGraphicsResources() properly).
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()|
//\end{itemize}
//!
