#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWidgetSet object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWidgetSet.h"

//@@Signature
//sfunction @vtkWidgetSet:vtkWidgetSet vtkWidgetSetConstructorFunction
//input a
//output p
//@@Parents vtkWidgetSet vtkObject 
ArrayVector vtkWidgetSetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWidgetSet::New(),"vtkWidgetSet",eval);
  } else if (arg[0].className() == "vtkWidgetSet") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWidgetSet"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWidgetSet");
    vtkWidgetSet*q = reinterpret_cast<vtkWidgetSet*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWidgetSet");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWidgetSet:GetClassName vtkWidgetSetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWidgetSetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWidgetSet requires 1 argument(s)");
  vtkWidgetSet* vtk_pointer = GetVTKPointer<vtkWidgetSet>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetSet:IsA vtkWidgetSetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWidgetSetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWidgetSet requires 2 argument(s)");
  vtkWidgetSet* vtk_pointer = GetVTKPointer<vtkWidgetSet>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetSet:NewInstance vtkWidgetSetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWidgetSetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWidgetSet *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWidgetSet requires 1 argument(s)");
  vtkWidgetSet* vtk_pointer = GetVTKPointer<vtkWidgetSet>(arg[0]);
  Array retval;
  vtkWidgetSet  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWidgetSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetSet:SafeDownCast vtkWidgetSetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWidgetSetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWidgetSet *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWidgetSet requires 2 argument(s)");
  vtkWidgetSet* vtk_pointer = GetVTKPointer<vtkWidgetSet>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWidgetSet  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWidgetSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetSet:SetEnabled vtkWidgetSetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetSetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkWidgetSet requires 2 argument(s)");
  vtkWidgetSet* vtk_pointer = GetVTKPointer<vtkWidgetSet>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetSet:EnabledOn vtkWidgetSetEnabledOnFunction
//input a0 
//output none
ArrayVector vtkWidgetSetEnabledOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnabledOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EnabledOn for class vtkWidgetSet requires 1 argument(s)");
  vtkWidgetSet* vtk_pointer = GetVTKPointer<vtkWidgetSet>(arg[0]);
  Array retval;
  vtk_pointer->EnabledOn();
  return retval;
}

//@@Signature
//sfunction @vtkWidgetSet:EnabledOff vtkWidgetSetEnabledOffFunction
//input a0 
//output none
ArrayVector vtkWidgetSetEnabledOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnabledOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EnabledOff for class vtkWidgetSet requires 1 argument(s)");
  vtkWidgetSet* vtk_pointer = GetVTKPointer<vtkWidgetSet>(arg[0]);
  Array retval;
  vtk_pointer->EnabledOff();
  return retval;
}

//@@Signature
//sfunction @vtkWidgetSet:AddWidget vtkWidgetSetAddWidgetFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetSetAddWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddWidget (vtkAbstractWidget *); */
  if (arg.size() < 2) 
    throw Exception("Function AddWidget for class vtkWidgetSet requires 2 argument(s)");
  vtkWidgetSet* vtk_pointer = GetVTKPointer<vtkWidgetSet>(arg[0]);
  Array retval;
  vtkAbstractWidget  *temp0;
  temp0 = GetVTKPointer<vtkAbstractWidget>(arg[1]);
  vtk_pointer->AddWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetSet:RemoveWidget vtkWidgetSetRemoveWidgetFunction
//input a0 a1 
//output none
ArrayVector vtkWidgetSetRemoveWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveWidget (vtkAbstractWidget *); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveWidget for class vtkWidgetSet requires 2 argument(s)");
  vtkWidgetSet* vtk_pointer = GetVTKPointer<vtkWidgetSet>(arg[0]);
  Array retval;
  vtkAbstractWidget  *temp0;
  temp0 = GetVTKPointer<vtkAbstractWidget>(arg[1]);
  vtk_pointer->RemoveWidget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetSet:GetNumberOfWidgets vtkWidgetSetGetNumberOfWidgetsFunction
//input a0 
//output y
ArrayVector vtkWidgetSetGetNumberOfWidgetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int GetNumberOfWidgets (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfWidgets for class vtkWidgetSet requires 1 argument(s)");
  vtkWidgetSet* vtk_pointer = GetVTKPointer<vtkWidgetSet>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfWidgets();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWidgetSet:GetNthWidget vtkWidgetSetGetNthWidgetFunction
//input a0 a1 
//output y
ArrayVector vtkWidgetSetGetNthWidgetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractWidget *GetNthWidget (unsigned int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetNthWidget for class vtkWidgetSet requires 2 argument(s)");
  vtkWidgetSet* vtk_pointer = GetVTKPointer<vtkWidgetSet>(arg[0]);
  Array retval;
  unsigned int      temp0;
  vtkAbstractWidget  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNthWidget(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWidgetSet:display vtkWidgetSetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWidgetSetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWidgetSet* vtk_pointer = GetVTKPointer<vtkWidgetSet>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWidgetSet:delete vtkWidgetSetDeleteFunction
//input varargin
//output none
ArrayVector vtkWidgetSetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWidgetSet
//@@Section VTKWidgets
//@@Usage
// The class synchronizes a set of vtkAbstractWidget(s). Widgets typically
// invoke "Actions" that drive the geometry/behaviour of their representations
// in response to interactor events. Interactor interactions on a render window
// are mapped into "Callbacks" by the widget, from which "Actions" are 
// dispatched to the entire set. This architecture allows us to tie widgets
// existing in different render windows together. For instance a HandleWidget
// might exist on the sagittal view. Moving it around should update the 
// representations of the corresponding handle widget that lies on the axial 
// and coronal and volume views as well. 
//
// .SECTION User API
// A user would use this class as follows.
// \begin{verbatim}
// vtkWidgetSet *set = vtkWidgetSet::New();
// vtkParallelopipedWidget *w1 = vtkParallelopipedWidget::New();
// set->AddWidget(w1);
// w1->SetInteractor(axialRenderWindow->GetInteractor());
// vtkParallelopipedWidget *w2 = vtkParallelopipedWidget::New();
// set->AddWidget(w2);
// w2->SetInteractor(coronalRenderWindow->GetInteractor());
// vtkParallelopipedWidget *w3 = vtkParallelopipedWidget::New();
// set->AddWidget(w3);
// w3->SetInteractor(sagittalRenderWindow->GetInteractor());
// set->SetEnabled(1);
// \end{verbatim}
//
// .SECTION Motivation
// The motivation for this class is really to provide a usable API to tie 
// together multiple widgets of the same kind. To enable this, subclasses
// of vtkAbstractWidget, must be written as follows:
//   They will generally have callback methods mapped to some user 
// interaction such as:
// \begin{verbatim}
// this->CallbackMapper->SetCallbackMethod(vtkCommand::LeftButtonPressEvent,
//                         vtkEvent::NoModifier, 0, 0, NULL, 
//                         vtkPaintbrushWidget::BeginDrawStrokeEvent,
//                         this, vtkPaintbrushWidget::BeginDrawCallback);
// \end{verbatim}
//   The callback invoked when the left button is pressed looks like: 
// \begin{verbatim}
// void vtkPaintbrushWidget::BeginDrawCallback(vtkAbstractWidget *w)
// {
//   vtkPaintbrushWidget *self = vtkPaintbrushWidget::SafeDownCast(w);
//   self->WidgetSet->DispatchAction(self, &vtkPaintbrushWidget::BeginDrawAction);
// }
// \end{verbatim}
//   The actual code for handling the drawing is written in the BeginDrawAction 
// method.
// \begin{verbatim}
// void vtkPaintbrushWidget::BeginDrawAction( vtkPaintbrushWidget *dispatcher)
// {
// // Do stuff to draw... 
// // Here dispatcher is the widget that was interacted with, the one that
// // dispatched an action to all the other widgets in its group. You may, if
// // necessary find it helpful to get parameters from it.
// //   For instance for a ResizeAction:
// //     if (this != dispatcher)
// //       {
// //       double *newsize = dispatcher->GetRepresentation()->GetSize();
// //       this->WidgetRep->SetSize(newsize);
// //       }
// //     else
// //       {
// //       this->WidgetRep->IncrementSizeByDelta();
// //       }
// }
// \end{verbatim}
// 
//
//To create an instance of class vtkWidgetSet, simply
//invoke its constructor as follows
//@[
//  obj = vtkWidgetSet
//@]
//@@Methods
//The class vtkWidgetSet has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWidgetSet class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for a VTK class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for a VTK class.
//// \item @|vtkWidgetSet = obj.NewInstance ()| -  Standard methods for a VTK class.
//// \item @|vtkWidgetSet = obj.SafeDownCast (vtkObject o)| -  Standard methods for a VTK class.
//// \item @|obj.SetEnabled (int )| -  Method for activiating and deactiviating all widgets in the group.
//// \item @|obj.EnabledOn ()| -  Method for activiating and deactiviating all widgets in the group.
//// \item @|obj.EnabledOff ()| -  Method for activiating and deactiviating all widgets in the group.
//// \item @|obj.AddWidget (vtkAbstractWidget )| -  Add a widget to the set.
//// \item @|obj.RemoveWidget (vtkAbstractWidget )| -  Remove a widget from the set
//// \item @|int = obj.GetNumberOfWidgets ()| -  Get number of widgets in the set.
//// \item @|vtkAbstractWidget = obj.GetNthWidget (int )| -  Get the Nth widget in the set.
////\end{itemize}
//!
