#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXYPlotWidget object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXYPlotWidget.h"

//@@Signature
//sfunction @vtkXYPlotWidget:vtkXYPlotWidget vtkXYPlotWidgetConstructorFunction
//input a
//output p
//@@Parents vtkXYPlotWidget vtkInteractorObserver 
ArrayVector vtkXYPlotWidgetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXYPlotWidget::New(),"vtkXYPlotWidget",eval);
  } else if (arg[0].className() == "vtkXYPlotWidget") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXYPlotWidget"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXYPlotWidget");
    vtkXYPlotWidget*q = reinterpret_cast<vtkXYPlotWidget*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXYPlotWidget");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXYPlotWidget:GetClassName vtkXYPlotWidgetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXYPlotWidgetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXYPlotWidget requires 1 argument(s)");
  vtkXYPlotWidget* vtk_pointer = GetVTKPointer<vtkXYPlotWidget>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotWidget:IsA vtkXYPlotWidgetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXYPlotWidgetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXYPlotWidget requires 2 argument(s)");
  vtkXYPlotWidget* vtk_pointer = GetVTKPointer<vtkXYPlotWidget>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotWidget:NewInstance vtkXYPlotWidgetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXYPlotWidgetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXYPlotWidget *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXYPlotWidget requires 1 argument(s)");
  vtkXYPlotWidget* vtk_pointer = GetVTKPointer<vtkXYPlotWidget>(arg[0]);
  Array retval;
  vtkXYPlotWidget  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXYPlotWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotWidget:SafeDownCast vtkXYPlotWidgetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXYPlotWidgetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXYPlotWidget *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXYPlotWidget requires 2 argument(s)");
  vtkXYPlotWidget* vtk_pointer = GetVTKPointer<vtkXYPlotWidget>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXYPlotWidget  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXYPlotWidget",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotWidget:SetXYPlotActor vtkXYPlotWidgetSetXYPlotActorFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotWidgetSetXYPlotActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetXYPlotActor (vtkXYPlotActor *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXYPlotActor for class vtkXYPlotWidget requires 2 argument(s)");
  vtkXYPlotWidget* vtk_pointer = GetVTKPointer<vtkXYPlotWidget>(arg[0]);
  Array retval;
  vtkXYPlotActor  *temp0;
  temp0 = GetVTKPointer<vtkXYPlotActor>(arg[1]);
  vtk_pointer->SetXYPlotActor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotWidget:GetXYPlotActor vtkXYPlotWidgetGetXYPlotActorFunction
//input a0 
//output y
ArrayVector vtkXYPlotWidgetGetXYPlotActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXYPlotActor *GetXYPlotActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXYPlotActor for class vtkXYPlotWidget requires 1 argument(s)");
  vtkXYPlotWidget* vtk_pointer = GetVTKPointer<vtkXYPlotWidget>(arg[0]);
  Array retval;
  vtkXYPlotActor  *temp20;
  temp20 = (vtk_pointer)->GetXYPlotActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXYPlotActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotWidget:SetEnabled vtkXYPlotWidgetSetEnabledFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotWidgetSetEnabledFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEnabled (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnabled for class vtkXYPlotWidget requires 2 argument(s)");
  vtkXYPlotWidget* vtk_pointer = GetVTKPointer<vtkXYPlotWidget>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnabled(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotWidget:display vtkXYPlotWidgetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXYPlotWidgetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXYPlotWidget* vtk_pointer = GetVTKPointer<vtkXYPlotWidget>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXYPlotWidget:delete vtkXYPlotWidgetDeleteFunction
//input varargin
//output none
ArrayVector vtkXYPlotWidgetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXYPlotWidget
//@@Section VTKWidgets
//@@Usage
// This class provides support for interactively manipulating the position,
// size, and orientation of a XY Plot. It listens to Left mouse events and
// mouse movement. It will change the cursor shape based on its location. If
// the cursor is over an edge of thea XY plot it will change the cursor shape
// to a resize edge shape. If the position of a XY plot is moved to be close to
// the center of one of the four edges of the viewport, then the XY plot will
// change its orientation to align with that edge. This orientation is sticky
// in that it will stay that orientation until the position is moved close to
// another edge.
//
//To create an instance of class vtkXYPlotWidget, simply
//invoke its constructor as follows
//@[
//  obj = vtkXYPlotWidget
//@]
//@@Methods
//The class vtkXYPlotWidget has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXYPlotWidget class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXYPlotWidget = obj.NewInstance ()|
// \item @|vtkXYPlotWidget = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetXYPlotActor (vtkXYPlotActor )| -  Get the XY plot used by this Widget. One is created automatically.
//// \item @|vtkXYPlotActor = obj.GetXYPlotActor ()| -  Get the XY plot used by this Widget. One is created automatically.
//// \item @|obj.SetEnabled (int )| -  Methods for turning the interactor observer on and off.
////\end{itemize}
//!
