#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMeshQuality object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMeshQuality.h"

//@@Signature
//sfunction @vtkMeshQuality:vtkMeshQuality vtkMeshQualityConstructorFunction
//input a
//output p
//@@Parents vtkMeshQuality vtkDataSetAlgorithm 
ArrayVector vtkMeshQualityConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMeshQuality::New(),"vtkMeshQuality",eval);
  } else if (arg[0].className() == "vtkMeshQuality") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMeshQuality"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMeshQuality");
    vtkMeshQuality*q = reinterpret_cast<vtkMeshQuality*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMeshQuality");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMeshQuality:GetClassName vtkMeshQualityGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMeshQualityGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:IsA vtkMeshQualityIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:NewInstance vtkMeshQualityNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMeshQualityNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMeshQuality *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkMeshQuality  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMeshQuality",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SafeDownCast vtkMeshQualitySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualitySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMeshQuality *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMeshQuality  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMeshQuality",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetSaveCellQuality vtkMeshQualitySetSaveCellQualityFunction
//input a0 a1 
//output none
ArrayVector vtkMeshQualitySetSaveCellQualityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSaveCellQuality (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSaveCellQuality for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSaveCellQuality(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:GetSaveCellQuality vtkMeshQualityGetSaveCellQualityFunction
//input a0 
//output y
ArrayVector vtkMeshQualityGetSaveCellQualityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSaveCellQuality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSaveCellQuality for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSaveCellQuality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SaveCellQualityOn vtkMeshQualitySaveCellQualityOnFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySaveCellQualityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SaveCellQualityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SaveCellQualityOn for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SaveCellQualityOn();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SaveCellQualityOff vtkMeshQualitySaveCellQualityOffFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySaveCellQualityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SaveCellQualityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SaveCellQualityOff for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SaveCellQualityOff();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTriangleQualityMeasure vtkMeshQualitySetTriangleQualityMeasureFunction
//input a0 a1 
//output none
ArrayVector vtkMeshQualitySetTriangleQualityMeasureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTriangleQualityMeasure (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTriangleQualityMeasure for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTriangleQualityMeasure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:GetTriangleQualityMeasure vtkMeshQualityGetTriangleQualityMeasureFunction
//input a0 
//output y
ArrayVector vtkMeshQualityGetTriangleQualityMeasureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTriangleQualityMeasure (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTriangleQualityMeasure for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTriangleQualityMeasure();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTriangleQualityMeasureToArea vtkMeshQualitySetTriangleQualityMeasureToAreaFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTriangleQualityMeasureToAreaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTriangleQualityMeasureToArea ();this SetTriangleQualityMeasure VTK_QUALITY_AREA  */
  if (arg.size() < 1) 
    throw Exception("Function SetTriangleQualityMeasureToArea for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTriangleQualityMeasureToArea();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTriangleQualityMeasureToEdgeRatio vtkMeshQualitySetTriangleQualityMeasureToEdgeRatioFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTriangleQualityMeasureToEdgeRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTriangleQualityMeasureToEdgeRatio ();this SetTriangleQualityMeasure VTK_QUALITY_EDGE_RATIO  */
  if (arg.size() < 1) 
    throw Exception("Function SetTriangleQualityMeasureToEdgeRatio for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTriangleQualityMeasureToEdgeRatio();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTriangleQualityMeasureToAspectRatio vtkMeshQualitySetTriangleQualityMeasureToAspectRatioFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTriangleQualityMeasureToAspectRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTriangleQualityMeasureToAspectRatio ();this SetTriangleQualityMeasure VTK_QUALITY_ASPECT_RATIO  */
  if (arg.size() < 1) 
    throw Exception("Function SetTriangleQualityMeasureToAspectRatio for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTriangleQualityMeasureToAspectRatio();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTriangleQualityMeasureToRadiusRatio vtkMeshQualitySetTriangleQualityMeasureToRadiusRatioFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTriangleQualityMeasureToRadiusRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTriangleQualityMeasureToRadiusRatio ();this SetTriangleQualityMeasure VTK_QUALITY_RADIUS_RATIO  */
  if (arg.size() < 1) 
    throw Exception("Function SetTriangleQualityMeasureToRadiusRatio for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTriangleQualityMeasureToRadiusRatio();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTriangleQualityMeasureToAspectFrobenius vtkMeshQualitySetTriangleQualityMeasureToAspectFrobeniusFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTriangleQualityMeasureToAspectFrobeniusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTriangleQualityMeasureToAspectFrobenius ();this SetTriangleQualityMeasure VTK_QUALITY_ASPECT_FROBENIUS  */
  if (arg.size() < 1) 
    throw Exception("Function SetTriangleQualityMeasureToAspectFrobenius for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTriangleQualityMeasureToAspectFrobenius();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTriangleQualityMeasureToMinAngle vtkMeshQualitySetTriangleQualityMeasureToMinAngleFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTriangleQualityMeasureToMinAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTriangleQualityMeasureToMinAngle ();this SetTriangleQualityMeasure VTK_QUALITY_MIN_ANGLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetTriangleQualityMeasureToMinAngle for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTriangleQualityMeasureToMinAngle();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTriangleQualityMeasureToMaxAngle vtkMeshQualitySetTriangleQualityMeasureToMaxAngleFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTriangleQualityMeasureToMaxAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTriangleQualityMeasureToMaxAngle ();this SetTriangleQualityMeasure VTK_QUALITY_MAX_ANGLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetTriangleQualityMeasureToMaxAngle for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTriangleQualityMeasureToMaxAngle();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTriangleQualityMeasureToCondition vtkMeshQualitySetTriangleQualityMeasureToConditionFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTriangleQualityMeasureToConditionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTriangleQualityMeasureToCondition ();this SetTriangleQualityMeasure VTK_QUALITY_CONDITION  */
  if (arg.size() < 1) 
    throw Exception("Function SetTriangleQualityMeasureToCondition for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTriangleQualityMeasureToCondition();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTriangleQualityMeasureToScaledJacobian vtkMeshQualitySetTriangleQualityMeasureToScaledJacobianFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTriangleQualityMeasureToScaledJacobianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTriangleQualityMeasureToScaledJacobian ();this SetTriangleQualityMeasure VTK_QUALITY_SCALED_JACOBIAN  */
  if (arg.size() < 1) 
    throw Exception("Function SetTriangleQualityMeasureToScaledJacobian for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTriangleQualityMeasureToScaledJacobian();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTriangleQualityMeasureToRelativeSizeSquared vtkMeshQualitySetTriangleQualityMeasureToRelativeSizeSquaredFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTriangleQualityMeasureToRelativeSizeSquaredFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTriangleQualityMeasureToRelativeSizeSquared ();this SetTriangleQualityMeasure VTK_QUALITY_RELATIVE_SIZE_SQUARED  */
  if (arg.size() < 1) 
    throw Exception("Function SetTriangleQualityMeasureToRelativeSizeSquared for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTriangleQualityMeasureToRelativeSizeSquared();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTriangleQualityMeasureToShape vtkMeshQualitySetTriangleQualityMeasureToShapeFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTriangleQualityMeasureToShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTriangleQualityMeasureToShape ();this SetTriangleQualityMeasure VTK_QUALITY_SHAPE  */
  if (arg.size() < 1) 
    throw Exception("Function SetTriangleQualityMeasureToShape for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTriangleQualityMeasureToShape();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTriangleQualityMeasureToShapeAndSize vtkMeshQualitySetTriangleQualityMeasureToShapeAndSizeFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTriangleQualityMeasureToShapeAndSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTriangleQualityMeasureToShapeAndSize ();this SetTriangleQualityMeasure VTK_QUALITY_SHAPE_AND_SIZE  */
  if (arg.size() < 1) 
    throw Exception("Function SetTriangleQualityMeasureToShapeAndSize for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTriangleQualityMeasureToShapeAndSize();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTriangleQualityMeasureToDistortion vtkMeshQualitySetTriangleQualityMeasureToDistortionFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTriangleQualityMeasureToDistortionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTriangleQualityMeasureToDistortion ();this SetTriangleQualityMeasure VTK_QUALITY_DISTORTION  */
  if (arg.size() < 1) 
    throw Exception("Function SetTriangleQualityMeasureToDistortion for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTriangleQualityMeasureToDistortion();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasure vtkMeshQualitySetQuadQualityMeasureFunction
//input a0 a1 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasure (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetQuadQualityMeasure for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetQuadQualityMeasure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:GetQuadQualityMeasure vtkMeshQualityGetQuadQualityMeasureFunction
//input a0 
//output y
ArrayVector vtkMeshQualityGetQuadQualityMeasureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetQuadQualityMeasure (); */
  if (arg.size() < 1) 
    throw Exception("Function GetQuadQualityMeasure for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetQuadQualityMeasure();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToEdgeRatio vtkMeshQualitySetQuadQualityMeasureToEdgeRatioFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToEdgeRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToEdgeRatio ();this SetQuadQualityMeasure VTK_QUALITY_EDGE_RATIO  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToEdgeRatio for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToEdgeRatio();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToAspectRatio vtkMeshQualitySetQuadQualityMeasureToAspectRatioFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToAspectRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToAspectRatio ();this SetQuadQualityMeasure VTK_QUALITY_ASPECT_RATIO  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToAspectRatio for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToAspectRatio();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToRadiusRatio vtkMeshQualitySetQuadQualityMeasureToRadiusRatioFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToRadiusRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToRadiusRatio ();this SetQuadQualityMeasure VTK_QUALITY_RADIUS_RATIO  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToRadiusRatio for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToRadiusRatio();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToMedAspectFrobenius vtkMeshQualitySetQuadQualityMeasureToMedAspectFrobeniusFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToMedAspectFrobeniusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToMedAspectFrobenius ();this SetQuadQualityMeasure VTK_QUALITY_MED_ASPECT_FROBENIUS  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToMedAspectFrobenius for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToMedAspectFrobenius();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToMaxAspectFrobenius vtkMeshQualitySetQuadQualityMeasureToMaxAspectFrobeniusFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToMaxAspectFrobeniusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToMaxAspectFrobenius ();this SetQuadQualityMeasure VTK_QUALITY_MAX_ASPECT_FROBENIUS  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToMaxAspectFrobenius for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToMaxAspectFrobenius();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToMaxEdgeRatios vtkMeshQualitySetQuadQualityMeasureToMaxEdgeRatiosFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToMaxEdgeRatiosFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToMaxEdgeRatios ();this SetQuadQualityMeasure VTK_QUALITY_MAX_EDGE_RATIO  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToMaxEdgeRatios for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToMaxEdgeRatios();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToSkew vtkMeshQualitySetQuadQualityMeasureToSkewFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToSkewFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToSkew ();this SetQuadQualityMeasure VTK_QUALITY_SKEW  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToSkew for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToSkew();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToTaper vtkMeshQualitySetQuadQualityMeasureToTaperFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToTaperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToTaper ();this SetQuadQualityMeasure VTK_QUALITY_TAPER  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToTaper for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToTaper();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToWarpage vtkMeshQualitySetQuadQualityMeasureToWarpageFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToWarpageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToWarpage ();this SetQuadQualityMeasure VTK_QUALITY_WARPAGE  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToWarpage for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToWarpage();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToArea vtkMeshQualitySetQuadQualityMeasureToAreaFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToAreaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToArea ();this SetQuadQualityMeasure VTK_QUALITY_AREA  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToArea for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToArea();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToStretch vtkMeshQualitySetQuadQualityMeasureToStretchFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToStretchFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToStretch ();this SetQuadQualityMeasure VTK_QUALITY_STRETCH  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToStretch for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToStretch();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToMinAngle vtkMeshQualitySetQuadQualityMeasureToMinAngleFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToMinAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToMinAngle ();this SetQuadQualityMeasure VTK_QUALITY_MIN_ANGLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToMinAngle for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToMinAngle();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToMaxAngle vtkMeshQualitySetQuadQualityMeasureToMaxAngleFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToMaxAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToMaxAngle ();this SetQuadQualityMeasure VTK_QUALITY_MAX_ANGLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToMaxAngle for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToMaxAngle();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToOddy vtkMeshQualitySetQuadQualityMeasureToOddyFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToOddyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToOddy ();this SetQuadQualityMeasure VTK_QUALITY_ODDY  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToOddy for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToOddy();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToCondition vtkMeshQualitySetQuadQualityMeasureToConditionFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToConditionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToCondition ();this SetQuadQualityMeasure VTK_QUALITY_CONDITION  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToCondition for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToCondition();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToJacobian vtkMeshQualitySetQuadQualityMeasureToJacobianFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToJacobianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToJacobian ();this SetQuadQualityMeasure VTK_QUALITY_JACOBIAN  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToJacobian for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToJacobian();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToScaledJacobian vtkMeshQualitySetQuadQualityMeasureToScaledJacobianFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToScaledJacobianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToScaledJacobian ();this SetQuadQualityMeasure VTK_QUALITY_SCALED_JACOBIAN  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToScaledJacobian for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToScaledJacobian();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToShear vtkMeshQualitySetQuadQualityMeasureToShearFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToShearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToShear ();this SetQuadQualityMeasure VTK_QUALITY_SHEAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToShear for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToShear();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToShape vtkMeshQualitySetQuadQualityMeasureToShapeFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToShape ();this SetQuadQualityMeasure VTK_QUALITY_SHAPE  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToShape for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToShape();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToRelativeSizeSquared vtkMeshQualitySetQuadQualityMeasureToRelativeSizeSquaredFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToRelativeSizeSquaredFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToRelativeSizeSquared ();this SetQuadQualityMeasure VTK_QUALITY_RELATIVE_SIZE_SQUARED  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToRelativeSizeSquared for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToRelativeSizeSquared();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToShapeAndSize vtkMeshQualitySetQuadQualityMeasureToShapeAndSizeFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToShapeAndSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToShapeAndSize ();this SetQuadQualityMeasure VTK_QUALITY_SHAPE_AND_SIZE  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToShapeAndSize for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToShapeAndSize();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToShearAndSize vtkMeshQualitySetQuadQualityMeasureToShearAndSizeFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToShearAndSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToShearAndSize ();this SetQuadQualityMeasure VTK_QUALITY_SHEAR_AND_SIZE  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToShearAndSize for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToShearAndSize();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetQuadQualityMeasureToDistortion vtkMeshQualitySetQuadQualityMeasureToDistortionFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetQuadQualityMeasureToDistortionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuadQualityMeasureToDistortion ();this SetQuadQualityMeasure VTK_QUALITY_DISTORTION  */
  if (arg.size() < 1) 
    throw Exception("Function SetQuadQualityMeasureToDistortion for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetQuadQualityMeasureToDistortion();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTetQualityMeasure vtkMeshQualitySetTetQualityMeasureFunction
//input a0 a1 
//output none
ArrayVector vtkMeshQualitySetTetQualityMeasureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetQualityMeasure (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTetQualityMeasure for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTetQualityMeasure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:GetTetQualityMeasure vtkMeshQualityGetTetQualityMeasureFunction
//input a0 
//output y
ArrayVector vtkMeshQualityGetTetQualityMeasureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTetQualityMeasure (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTetQualityMeasure for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTetQualityMeasure();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTetQualityMeasureToEdgeRatio vtkMeshQualitySetTetQualityMeasureToEdgeRatioFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTetQualityMeasureToEdgeRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetQualityMeasureToEdgeRatio ();this SetTetQualityMeasure VTK_QUALITY_EDGE_RATIO  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetQualityMeasureToEdgeRatio for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTetQualityMeasureToEdgeRatio();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTetQualityMeasureToAspectRatio vtkMeshQualitySetTetQualityMeasureToAspectRatioFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTetQualityMeasureToAspectRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetQualityMeasureToAspectRatio ();this SetTetQualityMeasure VTK_QUALITY_ASPECT_RATIO  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetQualityMeasureToAspectRatio for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTetQualityMeasureToAspectRatio();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTetQualityMeasureToRadiusRatio vtkMeshQualitySetTetQualityMeasureToRadiusRatioFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTetQualityMeasureToRadiusRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetQualityMeasureToRadiusRatio ();this SetTetQualityMeasure VTK_QUALITY_RADIUS_RATIO  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetQualityMeasureToRadiusRatio for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTetQualityMeasureToRadiusRatio();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTetQualityMeasureToAspectFrobenius vtkMeshQualitySetTetQualityMeasureToAspectFrobeniusFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTetQualityMeasureToAspectFrobeniusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetQualityMeasureToAspectFrobenius ();this SetTetQualityMeasure VTK_QUALITY_ASPECT_FROBENIUS  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetQualityMeasureToAspectFrobenius for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTetQualityMeasureToAspectFrobenius();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTetQualityMeasureToMinAngle vtkMeshQualitySetTetQualityMeasureToMinAngleFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTetQualityMeasureToMinAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetQualityMeasureToMinAngle ();this SetTetQualityMeasure VTK_QUALITY_MIN_ANGLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetQualityMeasureToMinAngle for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTetQualityMeasureToMinAngle();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTetQualityMeasureToCollapseRatio vtkMeshQualitySetTetQualityMeasureToCollapseRatioFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTetQualityMeasureToCollapseRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetQualityMeasureToCollapseRatio ();this SetTetQualityMeasure VTK_QUALITY_COLLAPSE_RATIO  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetQualityMeasureToCollapseRatio for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTetQualityMeasureToCollapseRatio();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTetQualityMeasureToAspectBeta vtkMeshQualitySetTetQualityMeasureToAspectBetaFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTetQualityMeasureToAspectBetaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetQualityMeasureToAspectBeta ();this SetTetQualityMeasure VTK_QUALITY_ASPECT_BETA  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetQualityMeasureToAspectBeta for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTetQualityMeasureToAspectBeta();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTetQualityMeasureToAspectGamma vtkMeshQualitySetTetQualityMeasureToAspectGammaFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTetQualityMeasureToAspectGammaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetQualityMeasureToAspectGamma ();this SetTetQualityMeasure VTK_QUALITY_ASPECT_GAMMA  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetQualityMeasureToAspectGamma for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTetQualityMeasureToAspectGamma();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTetQualityMeasureToVolume vtkMeshQualitySetTetQualityMeasureToVolumeFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTetQualityMeasureToVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetQualityMeasureToVolume ();this SetTetQualityMeasure VTK_QUALITY_VOLUME  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetQualityMeasureToVolume for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTetQualityMeasureToVolume();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTetQualityMeasureToCondition vtkMeshQualitySetTetQualityMeasureToConditionFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTetQualityMeasureToConditionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetQualityMeasureToCondition ();this SetTetQualityMeasure VTK_QUALITY_CONDITION  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetQualityMeasureToCondition for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTetQualityMeasureToCondition();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTetQualityMeasureToJacobian vtkMeshQualitySetTetQualityMeasureToJacobianFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTetQualityMeasureToJacobianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetQualityMeasureToJacobian ();this SetTetQualityMeasure VTK_QUALITY_JACOBIAN  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetQualityMeasureToJacobian for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTetQualityMeasureToJacobian();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTetQualityMeasureToScaledJacobian vtkMeshQualitySetTetQualityMeasureToScaledJacobianFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTetQualityMeasureToScaledJacobianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetQualityMeasureToScaledJacobian ();this SetTetQualityMeasure VTK_QUALITY_SCALED_JACOBIAN  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetQualityMeasureToScaledJacobian for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTetQualityMeasureToScaledJacobian();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTetQualityMeasureToShape vtkMeshQualitySetTetQualityMeasureToShapeFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTetQualityMeasureToShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetQualityMeasureToShape ();this SetTetQualityMeasure VTK_QUALITY_SHAPE  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetQualityMeasureToShape for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTetQualityMeasureToShape();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTetQualityMeasureToRelativeSizeSquared vtkMeshQualitySetTetQualityMeasureToRelativeSizeSquaredFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTetQualityMeasureToRelativeSizeSquaredFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetQualityMeasureToRelativeSizeSquared ();this SetTetQualityMeasure VTK_QUALITY_RELATIVE_SIZE_SQUARED  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetQualityMeasureToRelativeSizeSquared for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTetQualityMeasureToRelativeSizeSquared();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTetQualityMeasureToShapeAndSize vtkMeshQualitySetTetQualityMeasureToShapeAndSizeFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTetQualityMeasureToShapeAndSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetQualityMeasureToShapeAndSize ();this SetTetQualityMeasure VTK_QUALITY_SHAPE_AND_SIZE  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetQualityMeasureToShapeAndSize for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTetQualityMeasureToShapeAndSize();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetTetQualityMeasureToDistortion vtkMeshQualitySetTetQualityMeasureToDistortionFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetTetQualityMeasureToDistortionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetQualityMeasureToDistortion ();this SetTetQualityMeasure VTK_QUALITY_DISTORTION  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetQualityMeasureToDistortion for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetTetQualityMeasureToDistortion();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasure vtkMeshQualitySetHexQualityMeasureFunction
//input a0 a1 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasure (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHexQualityMeasure for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetHexQualityMeasure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:GetHexQualityMeasure vtkMeshQualityGetHexQualityMeasureFunction
//input a0 
//output y
ArrayVector vtkMeshQualityGetHexQualityMeasureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHexQualityMeasure (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHexQualityMeasure for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHexQualityMeasure();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToEdgeRatio vtkMeshQualitySetHexQualityMeasureToEdgeRatioFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToEdgeRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToEdgeRatio ();this SetHexQualityMeasure VTK_QUALITY_EDGE_RATIO  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToEdgeRatio for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToEdgeRatio();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToMedAspectFrobenius vtkMeshQualitySetHexQualityMeasureToMedAspectFrobeniusFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToMedAspectFrobeniusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToMedAspectFrobenius ();this SetHexQualityMeasure VTK_QUALITY_MED_ASPECT_FROBENIUS  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToMedAspectFrobenius for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToMedAspectFrobenius();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToMaxAspectFrobenius vtkMeshQualitySetHexQualityMeasureToMaxAspectFrobeniusFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToMaxAspectFrobeniusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToMaxAspectFrobenius ();this SetHexQualityMeasure VTK_QUALITY_MAX_ASPECT_FROBENIUS  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToMaxAspectFrobenius for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToMaxAspectFrobenius();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToMaxEdgeRatios vtkMeshQualitySetHexQualityMeasureToMaxEdgeRatiosFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToMaxEdgeRatiosFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToMaxEdgeRatios ();this SetHexQualityMeasure VTK_QUALITY_MAX_EDGE_RATIO  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToMaxEdgeRatios for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToMaxEdgeRatios();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToSkew vtkMeshQualitySetHexQualityMeasureToSkewFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToSkewFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToSkew ();this SetHexQualityMeasure VTK_QUALITY_SKEW  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToSkew for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToSkew();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToTaper vtkMeshQualitySetHexQualityMeasureToTaperFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToTaperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToTaper ();this SetHexQualityMeasure VTK_QUALITY_TAPER  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToTaper for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToTaper();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToVolume vtkMeshQualitySetHexQualityMeasureToVolumeFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToVolume ();this SetHexQualityMeasure VTK_QUALITY_VOLUME  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToVolume for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToVolume();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToStretch vtkMeshQualitySetHexQualityMeasureToStretchFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToStretchFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToStretch ();this SetHexQualityMeasure VTK_QUALITY_STRETCH  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToStretch for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToStretch();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToDiagonal vtkMeshQualitySetHexQualityMeasureToDiagonalFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToDiagonalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToDiagonal ();this SetHexQualityMeasure VTK_QUALITY_DIAGONAL  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToDiagonal for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToDiagonal();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToDimension vtkMeshQualitySetHexQualityMeasureToDimensionFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToDimension ();this SetHexQualityMeasure VTK_QUALITY_DIMENSION  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToDimension for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToDimension();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToOddy vtkMeshQualitySetHexQualityMeasureToOddyFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToOddyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToOddy ();this SetHexQualityMeasure VTK_QUALITY_ODDY  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToOddy for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToOddy();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToCondition vtkMeshQualitySetHexQualityMeasureToConditionFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToConditionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToCondition ();this SetHexQualityMeasure VTK_QUALITY_CONDITION  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToCondition for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToCondition();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToJacobian vtkMeshQualitySetHexQualityMeasureToJacobianFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToJacobianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToJacobian ();this SetHexQualityMeasure VTK_QUALITY_JACOBIAN  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToJacobian for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToJacobian();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToScaledJacobian vtkMeshQualitySetHexQualityMeasureToScaledJacobianFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToScaledJacobianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToScaledJacobian ();this SetHexQualityMeasure VTK_QUALITY_SCALED_JACOBIAN  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToScaledJacobian for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToScaledJacobian();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToShear vtkMeshQualitySetHexQualityMeasureToShearFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToShearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToShear ();this SetHexQualityMeasure VTK_QUALITY_SHEAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToShear for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToShear();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToShape vtkMeshQualitySetHexQualityMeasureToShapeFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToShape ();this SetHexQualityMeasure VTK_QUALITY_SHAPE  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToShape for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToShape();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToRelativeSizeSquared vtkMeshQualitySetHexQualityMeasureToRelativeSizeSquaredFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToRelativeSizeSquaredFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToRelativeSizeSquared ();this SetHexQualityMeasure VTK_QUALITY_RELATIVE_SIZE_SQUARED  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToRelativeSizeSquared for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToRelativeSizeSquared();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToShapeAndSize vtkMeshQualitySetHexQualityMeasureToShapeAndSizeFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToShapeAndSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToShapeAndSize ();this SetHexQualityMeasure VTK_QUALITY_SHAPE_AND_SIZE  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToShapeAndSize for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToShapeAndSize();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToShearAndSize vtkMeshQualitySetHexQualityMeasureToShearAndSizeFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToShearAndSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToShearAndSize ();this SetHexQualityMeasure VTK_QUALITY_SHEAR_AND_SIZE  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToShearAndSize for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToShearAndSize();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetHexQualityMeasureToDistortion vtkMeshQualitySetHexQualityMeasureToDistortionFunction
//input a0 
//output none
ArrayVector vtkMeshQualitySetHexQualityMeasureToDistortionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHexQualityMeasureToDistortion ();this SetHexQualityMeasure VTK_QUALITY_DISTORTION  */
  if (arg.size() < 1) 
    throw Exception("Function SetHexQualityMeasureToDistortion for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->SetHexQualityMeasureToDistortion();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TriangleArea vtkMeshQualityTriangleAreaFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTriangleAreaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TriangleArea (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TriangleArea for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TriangleArea(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TriangleEdgeRatio vtkMeshQualityTriangleEdgeRatioFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTriangleEdgeRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TriangleEdgeRatio (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TriangleEdgeRatio for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TriangleEdgeRatio(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TriangleAspectRatio vtkMeshQualityTriangleAspectRatioFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTriangleAspectRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TriangleAspectRatio (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TriangleAspectRatio for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TriangleAspectRatio(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TriangleRadiusRatio vtkMeshQualityTriangleRadiusRatioFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTriangleRadiusRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TriangleRadiusRatio (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TriangleRadiusRatio for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TriangleRadiusRatio(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TriangleAspectFrobenius vtkMeshQualityTriangleAspectFrobeniusFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTriangleAspectFrobeniusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TriangleAspectFrobenius (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TriangleAspectFrobenius for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TriangleAspectFrobenius(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TriangleMinAngle vtkMeshQualityTriangleMinAngleFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTriangleMinAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TriangleMinAngle (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TriangleMinAngle for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TriangleMinAngle(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TriangleMaxAngle vtkMeshQualityTriangleMaxAngleFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTriangleMaxAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TriangleMaxAngle (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TriangleMaxAngle for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TriangleMaxAngle(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TriangleCondition vtkMeshQualityTriangleConditionFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTriangleConditionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TriangleCondition (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TriangleCondition for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TriangleCondition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TriangleScaledJacobian vtkMeshQualityTriangleScaledJacobianFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTriangleScaledJacobianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TriangleScaledJacobian (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TriangleScaledJacobian for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TriangleScaledJacobian(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TriangleRelativeSizeSquared vtkMeshQualityTriangleRelativeSizeSquaredFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTriangleRelativeSizeSquaredFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TriangleRelativeSizeSquared (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TriangleRelativeSizeSquared for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TriangleRelativeSizeSquared(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TriangleShape vtkMeshQualityTriangleShapeFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTriangleShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TriangleShape (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TriangleShape for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TriangleShape(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TriangleShapeAndSize vtkMeshQualityTriangleShapeAndSizeFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTriangleShapeAndSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TriangleShapeAndSize (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TriangleShapeAndSize for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TriangleShapeAndSize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TriangleDistortion vtkMeshQualityTriangleDistortionFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTriangleDistortionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TriangleDistortion (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TriangleDistortion for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TriangleDistortion(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadEdgeRatio vtkMeshQualityQuadEdgeRatioFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadEdgeRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadEdgeRatio (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadEdgeRatio for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadEdgeRatio(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadAspectRatio vtkMeshQualityQuadAspectRatioFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadAspectRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadAspectRatio (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadAspectRatio for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadAspectRatio(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadRadiusRatio vtkMeshQualityQuadRadiusRatioFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadRadiusRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadRadiusRatio (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadRadiusRatio for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadRadiusRatio(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadMedAspectFrobenius vtkMeshQualityQuadMedAspectFrobeniusFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadMedAspectFrobeniusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadMedAspectFrobenius (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadMedAspectFrobenius for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadMedAspectFrobenius(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadMaxAspectFrobenius vtkMeshQualityQuadMaxAspectFrobeniusFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadMaxAspectFrobeniusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadMaxAspectFrobenius (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadMaxAspectFrobenius for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadMaxAspectFrobenius(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadMinAngle vtkMeshQualityQuadMinAngleFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadMinAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadMinAngle (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadMinAngle for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadMinAngle(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadMaxEdgeRatios vtkMeshQualityQuadMaxEdgeRatiosFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadMaxEdgeRatiosFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadMaxEdgeRatios (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadMaxEdgeRatios for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadMaxEdgeRatios(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadSkew vtkMeshQualityQuadSkewFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadSkewFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadSkew (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadSkew for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadSkew(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadTaper vtkMeshQualityQuadTaperFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadTaperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadTaper (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadTaper for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadTaper(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadWarpage vtkMeshQualityQuadWarpageFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadWarpageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadWarpage (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadWarpage for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadWarpage(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadArea vtkMeshQualityQuadAreaFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadAreaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadArea (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadArea for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadArea(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadStretch vtkMeshQualityQuadStretchFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadStretchFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadStretch (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadStretch for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadStretch(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadMaxAngle vtkMeshQualityQuadMaxAngleFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadMaxAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadMaxAngle (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadMaxAngle for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadMaxAngle(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadOddy vtkMeshQualityQuadOddyFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadOddyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadOddy (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadOddy for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadOddy(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadCondition vtkMeshQualityQuadConditionFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadConditionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadCondition (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadCondition for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadCondition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadJacobian vtkMeshQualityQuadJacobianFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadJacobianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadJacobian (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadJacobian for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadJacobian(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadScaledJacobian vtkMeshQualityQuadScaledJacobianFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadScaledJacobianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadScaledJacobian (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadScaledJacobian for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadScaledJacobian(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadShear vtkMeshQualityQuadShearFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadShearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadShear (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadShear for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadShear(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadShape vtkMeshQualityQuadShapeFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadShape (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadShape for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadShape(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadRelativeSizeSquared vtkMeshQualityQuadRelativeSizeSquaredFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadRelativeSizeSquaredFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadRelativeSizeSquared (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadRelativeSizeSquared for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadRelativeSizeSquared(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadShapeAndSize vtkMeshQualityQuadShapeAndSizeFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadShapeAndSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadShapeAndSize (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadShapeAndSize for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadShapeAndSize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadShearAndSize vtkMeshQualityQuadShearAndSizeFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadShearAndSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadShearAndSize (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadShearAndSize for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadShearAndSize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:QuadDistortion vtkMeshQualityQuadDistortionFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityQuadDistortionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double QuadDistortion (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function QuadDistortion for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->QuadDistortion(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TetEdgeRatio vtkMeshQualityTetEdgeRatioFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTetEdgeRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TetEdgeRatio (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TetEdgeRatio for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TetEdgeRatio(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TetAspectRatio vtkMeshQualityTetAspectRatioFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTetAspectRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TetAspectRatio (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TetAspectRatio for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TetAspectRatio(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TetRadiusRatio vtkMeshQualityTetRadiusRatioFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTetRadiusRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TetRadiusRatio (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TetRadiusRatio for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TetRadiusRatio(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TetAspectFrobenius vtkMeshQualityTetAspectFrobeniusFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTetAspectFrobeniusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TetAspectFrobenius (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TetAspectFrobenius for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TetAspectFrobenius(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TetMinAngle vtkMeshQualityTetMinAngleFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTetMinAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TetMinAngle (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TetMinAngle for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TetMinAngle(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TetCollapseRatio vtkMeshQualityTetCollapseRatioFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTetCollapseRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TetCollapseRatio (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TetCollapseRatio for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TetCollapseRatio(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TetAspectBeta vtkMeshQualityTetAspectBetaFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTetAspectBetaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TetAspectBeta (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TetAspectBeta for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TetAspectBeta(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TetAspectGamma vtkMeshQualityTetAspectGammaFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTetAspectGammaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TetAspectGamma (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TetAspectGamma for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TetAspectGamma(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TetVolume vtkMeshQualityTetVolumeFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTetVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TetVolume (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TetVolume for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TetVolume(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TetCondition vtkMeshQualityTetConditionFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTetConditionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TetCondition (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TetCondition for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TetCondition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TetJacobian vtkMeshQualityTetJacobianFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTetJacobianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TetJacobian (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TetJacobian for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TetJacobian(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TetScaledJacobian vtkMeshQualityTetScaledJacobianFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTetScaledJacobianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TetScaledJacobian (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TetScaledJacobian for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TetScaledJacobian(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TetShape vtkMeshQualityTetShapeFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTetShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TetShape (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TetShape for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TetShape(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TetRelativeSizeSquared vtkMeshQualityTetRelativeSizeSquaredFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTetRelativeSizeSquaredFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TetRelativeSizeSquared (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TetRelativeSizeSquared for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TetRelativeSizeSquared(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TetShapeandSize vtkMeshQualityTetShapeandSizeFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTetShapeandSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TetShapeandSize (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TetShapeandSize for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TetShapeandSize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:TetDistortion vtkMeshQualityTetDistortionFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityTetDistortionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double TetDistortion (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function TetDistortion for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->TetDistortion(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexEdgeRatio vtkMeshQualityHexEdgeRatioFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexEdgeRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexEdgeRatio (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexEdgeRatio for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexEdgeRatio(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexMedAspectFrobenius vtkMeshQualityHexMedAspectFrobeniusFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexMedAspectFrobeniusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexMedAspectFrobenius (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexMedAspectFrobenius for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexMedAspectFrobenius(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexMaxAspectFrobenius vtkMeshQualityHexMaxAspectFrobeniusFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexMaxAspectFrobeniusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexMaxAspectFrobenius (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexMaxAspectFrobenius for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexMaxAspectFrobenius(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexMaxEdgeRatio vtkMeshQualityHexMaxEdgeRatioFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexMaxEdgeRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexMaxEdgeRatio (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexMaxEdgeRatio for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexMaxEdgeRatio(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexSkew vtkMeshQualityHexSkewFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexSkewFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexSkew (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexSkew for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexSkew(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexTaper vtkMeshQualityHexTaperFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexTaperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexTaper (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexTaper for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexTaper(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexVolume vtkMeshQualityHexVolumeFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexVolume (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexVolume for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexVolume(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexStretch vtkMeshQualityHexStretchFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexStretchFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexStretch (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexStretch for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexStretch(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexDiagonal vtkMeshQualityHexDiagonalFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexDiagonalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexDiagonal (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexDiagonal for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexDiagonal(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexDimension vtkMeshQualityHexDimensionFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexDimension (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexDimension for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexDimension(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexOddy vtkMeshQualityHexOddyFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexOddyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexOddy (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexOddy for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexOddy(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexCondition vtkMeshQualityHexConditionFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexConditionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexCondition (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexCondition for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexCondition(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexJacobian vtkMeshQualityHexJacobianFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexJacobianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexJacobian (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexJacobian for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexJacobian(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexScaledJacobian vtkMeshQualityHexScaledJacobianFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexScaledJacobianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexScaledJacobian (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexScaledJacobian for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexScaledJacobian(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexShear vtkMeshQualityHexShearFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexShearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexShear (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexShear for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexShear(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexShape vtkMeshQualityHexShapeFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexShape (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexShape for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexShape(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexRelativeSizeSquared vtkMeshQualityHexRelativeSizeSquaredFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexRelativeSizeSquaredFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexRelativeSizeSquared (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexRelativeSizeSquared for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexRelativeSizeSquared(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexShapeAndSize vtkMeshQualityHexShapeAndSizeFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexShapeAndSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexShapeAndSize (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexShapeAndSize for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexShapeAndSize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexShearAndSize vtkMeshQualityHexShearAndSizeFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexShearAndSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexShearAndSize (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexShearAndSize for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexShearAndSize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:HexDistortion vtkMeshQualityHexDistortionFunction
//input a0 a1 
//output y
ArrayVector vtkMeshQualityHexDistortionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double HexDistortion (vtkCell *cell); */
  if (arg.size() < 2) 
    throw Exception("Function HexDistortion for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtkCell  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkCell>(arg[1]);
  temp20 = (vtk_pointer)->HexDistortion(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetRatio vtkMeshQualitySetRatioFunction
//input a0 a1 
//output none
ArrayVector vtkMeshQualitySetRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRatio (int r);this SetSaveCellQuality r  */
  if (arg.size() < 2) 
    throw Exception("Function SetRatio for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:GetRatio vtkMeshQualityGetRatioFunction
//input a0 
//output y
ArrayVector vtkMeshQualityGetRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRatio ();return this GetSaveCellQuality  */
  if (arg.size() < 1) 
    throw Exception("Function GetRatio for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:RatioOn vtkMeshQualityRatioOnFunction
//input a0 
//output none
ArrayVector vtkMeshQualityRatioOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RatioOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RatioOn for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->RatioOn();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:RatioOff vtkMeshQualityRatioOffFunction
//input a0 
//output none
ArrayVector vtkMeshQualityRatioOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RatioOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RatioOff for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->RatioOff();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetVolume vtkMeshQualitySetVolumeFunction
//input a0 a1 
//output none
ArrayVector vtkMeshQualitySetVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVolume (int cv);if cv this Volume return this Modified this Volume cv if this Volume this CompatibilityModeOn  */
  if (arg.size() < 2) 
    throw Exception("Function SetVolume for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVolume(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:GetVolume vtkMeshQualityGetVolumeFunction
//input a0 
//output y
ArrayVector vtkMeshQualityGetVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVolume ();return this Volume  */
  if (arg.size() < 1) 
    throw Exception("Function GetVolume for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVolume();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:VolumeOn vtkMeshQualityVolumeOnFunction
//input a0 
//output none
ArrayVector vtkMeshQualityVolumeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VolumeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function VolumeOn for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->VolumeOn();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:VolumeOff vtkMeshQualityVolumeOffFunction
//input a0 
//output none
ArrayVector vtkMeshQualityVolumeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VolumeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function VolumeOff for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->VolumeOff();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:SetCompatibilityMode vtkMeshQualitySetCompatibilityModeFunction
//input a0 a1 
//output none
ArrayVector vtkMeshQualitySetCompatibilityModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCompatibilityMode (int cm);if cm this CompatibilityMode return this CompatibilityMode cm this Modified if this CompatibilityMode this Volume this TetQualityMeasure VTK_QUALITY_RADIUS_RATIO  */
  if (arg.size() < 2) 
    throw Exception("Function SetCompatibilityMode for class vtkMeshQuality requires 2 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCompatibilityMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:GetCompatibilityMode vtkMeshQualityGetCompatibilityModeFunction
//input a0 
//output y
ArrayVector vtkMeshQualityGetCompatibilityModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCompatibilityMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompatibilityMode for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCompatibilityMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:CompatibilityModeOn vtkMeshQualityCompatibilityModeOnFunction
//input a0 
//output none
ArrayVector vtkMeshQualityCompatibilityModeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CompatibilityModeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CompatibilityModeOn for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->CompatibilityModeOn();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:CompatibilityModeOff vtkMeshQualityCompatibilityModeOffFunction
//input a0 
//output none
ArrayVector vtkMeshQualityCompatibilityModeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CompatibilityModeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CompatibilityModeOff for class vtkMeshQuality requires 1 argument(s)");
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  Array retval;
  vtk_pointer->CompatibilityModeOff();
  return retval;
}

//@@Signature
//sfunction @vtkMeshQuality:display vtkMeshQualityDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMeshQualityDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMeshQuality* vtk_pointer = GetVTKPointer<vtkMeshQuality>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMeshQuality:delete vtkMeshQualityDeleteFunction
//input varargin
//output none
ArrayVector vtkMeshQualityDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMeshQuality
//@@Section VTKGraphics
//@@Usage
// vtkMeshQuality computes one or more functions of (geometric)
// quality for each 2-D and 3-D cell (triangle, quadrilateral, tetrahedron,
// or hexahedron) of a mesh. These functions of quality are then averaged
// over the entire mesh. The minimum, average, maximum, and unbiased variance
// of quality for each type of cell is stored in the output mesh's FieldData.
// The FieldData arrays are named "Mesh Triangle Quality,"
// "Mesh Quadrilateral Quality," "Mesh Tetrahedron Quality,"
// and "Mesh Hexahedron Quality." Each array has a single tuple
// with 5 components. The first 4 components are the quality statistics
// mentioned above; the final value is the number of cells of the given type.
// This final component makes aggregation of statistics for distributed
// mesh data possible.
//
// By default, the per-cell quality is added to the mesh's cell data, in
// an array named "Quality." Cell types not supported by
// this filter will have an entry of 0. Use SaveCellQualityOff() to
// store only the final statistics.
//
// This version of the filter written by Philippe Pebay and David Thompson
// overtakes an older version written by Leila Baghdadi, Hanif Ladak, and 
// David Steinman at the Imaging Research Labs, Robarts Research Institute.
// That version only supported tetrahedral radius ratio. See the 
// CompatibilityModeOn() member for information on how to make this filter 
// behave like the previous implementation.
// For more information on the triangle quality functions of this class, cf.
// Pebay & Baker 2003, Analysis of triangle quality measures, Math Comp 72:244.
// For more information on the quadrangle quality functions of this class, cf.
// Pebay 2004, Planar Quadrangle Quality Measures, Eng Comp 20:2.
//
//
//To create an instance of class vtkMeshQuality, simply
//invoke its constructor as follows
//@[
//  obj = vtkMeshQuality
//@]
//@@Methods
//The class vtkMeshQuality has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMeshQuality class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMeshQuality = obj.NewInstance ()|
// \item @|vtkMeshQuality = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSaveCellQuality (int )| -  This variable controls whether or not cell quality is stored as
// cell data in the resulting mesh or discarded (leaving only the
// aggregate quality average of the entire mesh, recorded in the
// FieldData).
//// \item @|int = obj.GetSaveCellQuality ()| -  This variable controls whether or not cell quality is stored as
// cell data in the resulting mesh or discarded (leaving only the
// aggregate quality average of the entire mesh, recorded in the
// FieldData).
//// \item @|obj.SaveCellQualityOn ()| -  This variable controls whether or not cell quality is stored as
// cell data in the resulting mesh or discarded (leaving only the
// aggregate quality average of the entire mesh, recorded in the
// FieldData).
//// \item @|obj.SaveCellQualityOff ()| -  This variable controls whether or not cell quality is stored as
// cell data in the resulting mesh or discarded (leaving only the
// aggregate quality average of the entire mesh, recorded in the
// FieldData).
//// \item @|obj.SetTriangleQualityMeasure (int )| -  Set/Get the particular estimator used to function the quality of triangles.
// The default is VTK_QUALITY_RADIUS_RATIO and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|int = obj.GetTriangleQualityMeasure ()| -  Set/Get the particular estimator used to function the quality of triangles.
// The default is VTK_QUALITY_RADIUS_RATIO and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTriangleQualityMeasureToArea ()| -  Set/Get the particular estimator used to function the quality of triangles.
// The default is VTK_QUALITY_RADIUS_RATIO and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTriangleQualityMeasureToEdgeRatio ()| -  Set/Get the particular estimator used to function the quality of triangles.
// The default is VTK_QUALITY_RADIUS_RATIO and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTriangleQualityMeasureToAspectRatio ()| -  Set/Get the particular estimator used to function the quality of triangles.
// The default is VTK_QUALITY_RADIUS_RATIO and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTriangleQualityMeasureToRadiusRatio ()| -  Set/Get the particular estimator used to function the quality of triangles.
// The default is VTK_QUALITY_RADIUS_RATIO and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTriangleQualityMeasureToAspectFrobenius ()| -  Set/Get the particular estimator used to function the quality of triangles.
// The default is VTK_QUALITY_RADIUS_RATIO and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTriangleQualityMeasureToMinAngle ()| -  Set/Get the particular estimator used to function the quality of triangles.
// The default is VTK_QUALITY_RADIUS_RATIO and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTriangleQualityMeasureToMaxAngle ()| -  Set/Get the particular estimator used to function the quality of triangles.
// The default is VTK_QUALITY_RADIUS_RATIO and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTriangleQualityMeasureToCondition ()| -  Set/Get the particular estimator used to function the quality of triangles.
// The default is VTK_QUALITY_RADIUS_RATIO and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTriangleQualityMeasureToScaledJacobian ()| -  Set/Get the particular estimator used to function the quality of triangles.
// The default is VTK_QUALITY_RADIUS_RATIO and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTriangleQualityMeasureToRelativeSizeSquared ()| -  Set/Get the particular estimator used to function the quality of triangles.
// The default is VTK_QUALITY_RADIUS_RATIO and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTriangleQualityMeasureToShape ()| -  Set/Get the particular estimator used to function the quality of triangles.
// The default is VTK_QUALITY_RADIUS_RATIO and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTriangleQualityMeasureToShapeAndSize ()| -  Set/Get the particular estimator used to function the quality of triangles.
// The default is VTK_QUALITY_RADIUS_RATIO and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTriangleQualityMeasureToDistortion ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasure (int )| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|int = obj.GetQuadQualityMeasure ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToEdgeRatio ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToAspectRatio ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToRadiusRatio ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToMedAspectFrobenius ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToMaxAspectFrobenius ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToMaxEdgeRatios ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToSkew ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToTaper ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToWarpage ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToArea ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToStretch ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToMinAngle ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToMaxAngle ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToOddy ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToCondition ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToJacobian ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToScaledJacobian ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToShear ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToShape ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToRelativeSizeSquared ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToShapeAndSize ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToShearAndSize ()| -  Set/Get the particular estimator used to measure the quality of quadrilaterals.
// The default is VTK_QUALITY_EDGE_RATIO and valid values also include
// VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO
// VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,
// VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//
// Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar
// quadrilaterals only; use at your own risk if you really want to assess non-planar
// quadrilateral quality with those.
//// \item @|obj.SetQuadQualityMeasureToDistortion ()| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTetQualityMeasure (int )| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|int = obj.GetTetQualityMeasure ()| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTetQualityMeasureToEdgeRatio ()| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTetQualityMeasureToAspectRatio ()| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTetQualityMeasureToRadiusRatio ()| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTetQualityMeasureToAspectFrobenius ()| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTetQualityMeasureToMinAngle ()| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTetQualityMeasureToCollapseRatio ()| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTetQualityMeasureToAspectBeta ()| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTetQualityMeasureToAspectGamma ()| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTetQualityMeasureToVolume ()| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTetQualityMeasureToCondition ()| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTetQualityMeasureToJacobian ()| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTetQualityMeasureToScaledJacobian ()| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTetQualityMeasureToShape ()| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTetQualityMeasureToRelativeSizeSquared ()| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTetQualityMeasureToShapeAndSize ()| -  Set/Get the particular estimator used to measure the quality of tetrahedra.
// The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect
// ratio beta) and valid values also include
// VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,
// VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, 
// VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, 
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,
// VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetTetQualityMeasureToDistortion ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasure (int )| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|int = obj.GetHexQualityMeasure ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToEdgeRatio ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToMedAspectFrobenius ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToMaxAspectFrobenius ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToMaxEdgeRatios ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToSkew ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToTaper ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToVolume ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToStretch ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToDiagonal ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToDimension ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToOddy ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToCondition ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToJacobian ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToScaledJacobian ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToShear ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToShape ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToRelativeSizeSquared ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToShapeAndSize ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToShearAndSize ()| -  Set/Get the particular estimator used to measure the quality of hexahedra.
// The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include
// VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, 
// VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,
// VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,
// VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,
// VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,
// VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,
// VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.
//// \item @|obj.SetHexQualityMeasureToDistortion ()| -  This is a static function used to calculate the area of a triangle.
// It assumes that you pass the correct type of cell -- no type checking is
// performed because this method is called from the inner loop of the Execute()
// member function.
//// \item @|obj.SetRatio (int r)| -  These methods are deprecated. Use Get/SetSaveCellQuality() instead.
//
// Formerly, SetRatio could be used to disable computation
// of the tetrahedral radius ratio so that volume alone could be computed.
// Now, cell quality is always computed, but you may decide not
// to store the result for each cell.
// This allows average cell quality of a mesh to be
// calculated without requiring per-cell storage.
//// \item @|int = obj.GetRatio ()| -  These methods are deprecated. Use Get/SetSaveCellQuality() instead.
//
// Formerly, SetRatio could be used to disable computation
// of the tetrahedral radius ratio so that volume alone could be computed.
// Now, cell quality is always computed, but you may decide not
// to store the result for each cell.
// This allows average cell quality of a mesh to be
// calculated without requiring per-cell storage.
//// \item @|obj.RatioOn ()| -  These methods are deprecated. Use Get/SetSaveCellQuality() instead.
//
// Formerly, SetRatio could be used to disable computation
// of the tetrahedral radius ratio so that volume alone could be computed.
// Now, cell quality is always computed, but you may decide not
// to store the result for each cell.
// This allows average cell quality of a mesh to be
// calculated without requiring per-cell storage.
//// \item @|obj.RatioOff ()| -  These methods are deprecated. Use Get/SetSaveCellQuality() instead.
//
// Formerly, SetRatio could be used to disable computation
// of the tetrahedral radius ratio so that volume alone could be computed.
// Now, cell quality is always computed, but you may decide not
// to store the result for each cell.
// This allows average cell quality of a mesh to be
// calculated without requiring per-cell storage.
//// \item @|obj.SetVolume (int cv)| -  These methods are deprecated. The functionality of computing cell
// volume is being removed until it can be computed for any 3D cell.
// (The previous implementation only worked for tetrahedra.)
//
// For now, turning on the volume computation will put this
// filter into "compatibility mode," where tetrahedral cell
// volume is stored in first component of each output tuple and
// the radius ratio is stored in the second component. You may
// also use CompatibilityModeOn()/Off() to enter this mode.
// In this mode, cells other than tetrahedra will have report
// a volume of 0.0 (if volume computation is enabled).
//
// By default, volume computation is disabled and compatibility
// mode is off, since it does not make a lot of sense for
// meshes with non-tetrahedral cells.
//// \item @|int = obj.GetVolume ()| -  These methods are deprecated. The functionality of computing cell
// volume is being removed until it can be computed for any 3D cell.
// (The previous implementation only worked for tetrahedra.)
//
// For now, turning on the volume computation will put this
// filter into "compatibility mode," where tetrahedral cell
// volume is stored in first component of each output tuple and
// the radius ratio is stored in the second component. You may
// also use CompatibilityModeOn()/Off() to enter this mode.
// In this mode, cells other than tetrahedra will have report
// a volume of 0.0 (if volume computation is enabled).
//
// By default, volume computation is disabled and compatibility
// mode is off, since it does not make a lot of sense for
// meshes with non-tetrahedral cells.
//// \item @|obj.VolumeOn ()| -  These methods are deprecated. The functionality of computing cell
// volume is being removed until it can be computed for any 3D cell.
// (The previous implementation only worked for tetrahedra.)
//
// For now, turning on the volume computation will put this
// filter into "compatibility mode," where tetrahedral cell
// volume is stored in first component of each output tuple and
// the radius ratio is stored in the second component. You may
// also use CompatibilityModeOn()/Off() to enter this mode.
// In this mode, cells other than tetrahedra will have report
// a volume of 0.0 (if volume computation is enabled).
//
// By default, volume computation is disabled and compatibility
// mode is off, since it does not make a lot of sense for
// meshes with non-tetrahedral cells.
//// \item @|obj.VolumeOff ()| -  These methods are deprecated. The functionality of computing cell
// volume is being removed until it can be computed for any 3D cell.
// (The previous implementation only worked for tetrahedra.)
//
// For now, turning on the volume computation will put this
// filter into "compatibility mode," where tetrahedral cell
// volume is stored in first component of each output tuple and
// the radius ratio is stored in the second component. You may
// also use CompatibilityModeOn()/Off() to enter this mode.
// In this mode, cells other than tetrahedra will have report
// a volume of 0.0 (if volume computation is enabled).
//
// By default, volume computation is disabled and compatibility
// mode is off, since it does not make a lot of sense for
// meshes with non-tetrahedral cells.
//// \item @|obj.SetCompatibilityMode (int cm)| -  CompatibilityMode governs whether, when both a quality function
// and cell volume are to be stored as cell data, the two values
// are stored in a single array. When compatibility mode is off
// (the default), two separate arrays are used -- one labeled
// "Quality" and the other labeled "Volume".
// When compatibility mode is on, both values are stored in a
// single array, with volume as the first component and quality
// as the second component.
//
// Enabling CompatibilityMode changes the default tetrahedral
// quality function to VTK_QUALITY_RADIUS_RATIO and turns volume
// computation on. (This matches the default behavior of the
// initial implementation of vtkMeshQuality.) You may change
// quality function and volume computation without leaving
// compatibility mode.
//
// Disabling compatibility mode does not affect the current
// volume computation or tetrahedral quality function settings. 
//
// The final caveat to CompatibilityMode is that regardless of
// its setting, the resulting array will be of type vtkDoubleArray
// rather than the original vtkFloatArray.
// This is a safety function to keep the authors from
// diving off of the Combinatorial Coding Cliff into
// Certain Insanity.
//// \item @|int = obj.GetCompatibilityMode ()| -  CompatibilityMode governs whether, when both a quality function
// and cell volume are to be stored as cell data, the two values
// are stored in a single array. When compatibility mode is off
// (the default), two separate arrays are used -- one labeled
// "Quality" and the other labeled "Volume".
// When compatibility mode is on, both values are stored in a
// single array, with volume as the first component and quality
// as the second component.
//
// Enabling CompatibilityMode changes the default tetrahedral
// quality function to VTK_QUALITY_RADIUS_RATIO and turns volume
// computation on. (This matches the default behavior of the
// initial implementation of vtkMeshQuality.) You may change
// quality function and volume computation without leaving
// compatibility mode.
//
// Disabling compatibility mode does not affect the current
// volume computation or tetrahedral quality function settings. 
//
// The final caveat to CompatibilityMode is that regardless of
// its setting, the resulting array will be of type vtkDoubleArray
// rather than the original vtkFloatArray.
// This is a safety function to keep the authors from
// diving off of the Combinatorial Coding Cliff into
// Certain Insanity.
//// \item @|obj.CompatibilityModeOn ()| -  CompatibilityMode governs whether, when both a quality function
// and cell volume are to be stored as cell data, the two values
// are stored in a single array. When compatibility mode is off
// (the default), two separate arrays are used -- one labeled
// "Quality" and the other labeled "Volume".
// When compatibility mode is on, both values are stored in a
// single array, with volume as the first component and quality
// as the second component.
//
// Enabling CompatibilityMode changes the default tetrahedral
// quality function to VTK_QUALITY_RADIUS_RATIO and turns volume
// computation on. (This matches the default behavior of the
// initial implementation of vtkMeshQuality.) You may change
// quality function and volume computation without leaving
// compatibility mode.
//
// Disabling compatibility mode does not affect the current
// volume computation or tetrahedral quality function settings. 
//
// The final caveat to CompatibilityMode is that regardless of
// its setting, the resulting array will be of type vtkDoubleArray
// rather than the original vtkFloatArray.
// This is a safety function to keep the authors from
// diving off of the Combinatorial Coding Cliff into
// Certain Insanity.
//// \item @|obj.CompatibilityModeOff ()| -  CompatibilityMode governs whether, when both a quality function
// and cell volume are to be stored as cell data, the two values
// are stored in a single array. When compatibility mode is off
// (the default), two separate arrays are used -- one labeled
// "Quality" and the other labeled "Volume".
// When compatibility mode is on, both values are stored in a
// single array, with volume as the first component and quality
// as the second component.
//
// Enabling CompatibilityMode changes the default tetrahedral
// quality function to VTK_QUALITY_RADIUS_RATIO and turns volume
// computation on. (This matches the default behavior of the
// initial implementation of vtkMeshQuality.) You may change
// quality function and volume computation without leaving
// compatibility mode.
//
// Disabling compatibility mode does not affect the current
// volume computation or tetrahedral quality function settings. 
//
// The final caveat to CompatibilityMode is that regardless of
// its setting, the resulting array will be of type vtkDoubleArray
// rather than the original vtkFloatArray.
// This is a safety function to keep the authors from
// diving off of the Combinatorial Coding Cliff into
// Certain Insanity.
////\end{itemize}
//!
